# appstore_connect_api.api.ActorsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**actorsGetCollection**](ActorsApi.md#actorsgetcollection) | **GET** /v1/actors | 
[**actorsGetInstance**](ActorsApi.md#actorsgetinstance) | **GET** /v1/actors/{id} | 


# **actorsGetCollection**
> ActorsResponse actorsGetCollection(filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketActorsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ActorsApi();
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketActorsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type actors
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.actorsGetCollection(filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketActorsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling ActorsApi->actorsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [default to const []]
 **fieldsLeftSquareBracketActorsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type actors | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**ActorsResponse**](ActorsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **actorsGetInstance**
> ActorResponse actorsGetInstance(id, fieldsLeftSquareBracketActorsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ActorsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketActorsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type actors

try {
    final result = api_instance.actorsGetInstance(id, fieldsLeftSquareBracketActorsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ActorsApi->actorsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketActorsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type actors | [optional] [default to const []]

### Return type

[**ActorResponse**](ActorResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

