# appstore_connect_api.api.AppAvailabilitiesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appAvailabilitiesAvailableTerritoriesGetToManyRelated**](AppAvailabilitiesApi.md#appavailabilitiesavailableterritoriesgettomanyrelated) | **GET** /v1/appAvailabilities/{id}/availableTerritories | 
[**appAvailabilitiesCreateInstance**](AppAvailabilitiesApi.md#appavailabilitiescreateinstance) | **POST** /v1/appAvailabilities | 
[**appAvailabilitiesGetInstance**](AppAvailabilitiesApi.md#appavailabilitiesgetinstance) | **GET** /v1/appAvailabilities/{id} | 


# **appAvailabilitiesAvailableTerritoriesGetToManyRelated**
> TerritoriesResponse appAvailabilitiesAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppAvailabilitiesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appAvailabilitiesAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppAvailabilitiesApi->appAvailabilitiesAvailableTerritoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**TerritoriesResponse**](TerritoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appAvailabilitiesCreateInstance**
> AppAvailabilityResponse appAvailabilitiesCreateInstance(appAvailabilityCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppAvailabilitiesApi();
final appAvailabilityCreateRequest = AppAvailabilityCreateRequest(); // AppAvailabilityCreateRequest | AppAvailability representation

try {
    final result = api_instance.appAvailabilitiesCreateInstance(appAvailabilityCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppAvailabilitiesApi->appAvailabilitiesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appAvailabilityCreateRequest** | [**AppAvailabilityCreateRequest**](AppAvailabilityCreateRequest.md)| AppAvailability representation | 

### Return type

[**AppAvailabilityResponse**](AppAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appAvailabilitiesGetInstance**
> AppAvailabilityResponse appAvailabilitiesGetInstance(id, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppAvailabilitiesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appAvailabilities
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)

try {
    final result = api_instance.appAvailabilitiesGetInstance(id, fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppAvailabilitiesApi->appAvailabilitiesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appAvailabilities | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 

### Return type

[**AppAvailabilityResponse**](AppAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

