# appstore_connect_api.api.AppCategoriesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appCategoriesGetCollection**](AppCategoriesApi.md#appcategoriesgetcollection) | **GET** /v1/appCategories | 
[**appCategoriesGetInstance**](AppCategoriesApi.md#appcategoriesgetinstance) | **GET** /v1/appCategories/{id} | 
[**appCategoriesParentGetToOneRelated**](AppCategoriesApi.md#appcategoriesparentgettoonerelated) | **GET** /v1/appCategories/{id}/parent | 
[**appCategoriesSubcategoriesGetToManyRelated**](AppCategoriesApi.md#appcategoriessubcategoriesgettomanyrelated) | **GET** /v1/appCategories/{id}/subcategories | 


# **appCategoriesGetCollection**
> AppCategoriesResponse appCategoriesGetCollection(filterLeftSquareBracketPlatformsRightSquareBracket, existsLeftSquareBracketParentRightSquareBracket, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limit, include, limitLeftSquareBracketSubcategoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCategoriesApi();
final filterLeftSquareBracketPlatformsRightSquareBracket = []; // List<String> | filter by attribute 'platforms'
final existsLeftSquareBracketParentRightSquareBracket = true; // bool | filter by existence or non-existence of related 'parent'
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)

try {
    final result = api_instance.appCategoriesGetCollection(filterLeftSquareBracketPlatformsRightSquareBracket, existsLeftSquareBracketParentRightSquareBracket, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limit, include, limitLeftSquareBracketSubcategoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppCategoriesApi->appCategoriesGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketPlatformsRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platforms' | [optional] [default to const []]
 **existsLeftSquareBracketParentRightSquareBracket** | **bool**| filter by existence or non-existence of related 'parent' | [optional] 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 

### Return type

[**AppCategoriesResponse**](AppCategoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCategoriesGetInstance**
> AppCategoryResponse appCategoriesGetInstance(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, include, limitLeftSquareBracketSubcategoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCategoriesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final include = []; // List<String> | comma-separated list of relationships to include
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)

try {
    final result = api_instance.appCategoriesGetInstance(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, include, limitLeftSquareBracketSubcategoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppCategoriesApi->appCategoriesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCategoriesParentGetToOneRelated**
> AppCategoryResponse appCategoriesParentGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCategoriesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories

try {
    final result = api_instance.appCategoriesParentGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppCategoriesApi->appCategoriesParentGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCategoriesSubcategoriesGetToManyRelated**
> AppCategoriesResponse appCategoriesSubcategoriesGetToManyRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCategoriesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appCategoriesSubcategoriesGetToManyRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppCategoriesApi->appCategoriesSubcategoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**AppCategoriesResponse**](AppCategoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

