# appstore_connect_api.api.AppClipAdvancedExperienceImagesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appClipAdvancedExperienceImagesCreateInstance**](AppClipAdvancedExperienceImagesApi.md#appclipadvancedexperienceimagescreateinstance) | **POST** /v1/appClipAdvancedExperienceImages | 
[**appClipAdvancedExperienceImagesGetInstance**](AppClipAdvancedExperienceImagesApi.md#appclipadvancedexperienceimagesgetinstance) | **GET** /v1/appClipAdvancedExperienceImages/{id} | 
[**appClipAdvancedExperienceImagesUpdateInstance**](AppClipAdvancedExperienceImagesApi.md#appclipadvancedexperienceimagesupdateinstance) | **PATCH** /v1/appClipAdvancedExperienceImages/{id} | 


# **appClipAdvancedExperienceImagesCreateInstance**
> AppClipAdvancedExperienceImageResponse appClipAdvancedExperienceImagesCreateInstance(appClipAdvancedExperienceImageCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAdvancedExperienceImagesApi();
final appClipAdvancedExperienceImageCreateRequest = AppClipAdvancedExperienceImageCreateRequest(); // AppClipAdvancedExperienceImageCreateRequest | AppClipAdvancedExperienceImage representation

try {
    final result = api_instance.appClipAdvancedExperienceImagesCreateInstance(appClipAdvancedExperienceImageCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAdvancedExperienceImagesApi->appClipAdvancedExperienceImagesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appClipAdvancedExperienceImageCreateRequest** | [**AppClipAdvancedExperienceImageCreateRequest**](AppClipAdvancedExperienceImageCreateRequest.md)| AppClipAdvancedExperienceImage representation | 

### Return type

[**AppClipAdvancedExperienceImageResponse**](AppClipAdvancedExperienceImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipAdvancedExperienceImagesGetInstance**
> AppClipAdvancedExperienceImageResponse appClipAdvancedExperienceImagesGetInstance(id, fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAdvancedExperienceImagesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAdvancedExperienceImages

try {
    final result = api_instance.appClipAdvancedExperienceImagesGetInstance(id, fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAdvancedExperienceImagesApi->appClipAdvancedExperienceImagesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAdvancedExperienceImages | [optional] [default to const []]

### Return type

[**AppClipAdvancedExperienceImageResponse**](AppClipAdvancedExperienceImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipAdvancedExperienceImagesUpdateInstance**
> AppClipAdvancedExperienceImageResponse appClipAdvancedExperienceImagesUpdateInstance(id, appClipAdvancedExperienceImageUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAdvancedExperienceImagesApi();
final id = id_example; // String | the id of the requested resource
final appClipAdvancedExperienceImageUpdateRequest = AppClipAdvancedExperienceImageUpdateRequest(); // AppClipAdvancedExperienceImageUpdateRequest | AppClipAdvancedExperienceImage representation

try {
    final result = api_instance.appClipAdvancedExperienceImagesUpdateInstance(id, appClipAdvancedExperienceImageUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAdvancedExperienceImagesApi->appClipAdvancedExperienceImagesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appClipAdvancedExperienceImageUpdateRequest** | [**AppClipAdvancedExperienceImageUpdateRequest**](AppClipAdvancedExperienceImageUpdateRequest.md)| AppClipAdvancedExperienceImage representation | 

### Return type

[**AppClipAdvancedExperienceImageResponse**](AppClipAdvancedExperienceImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

