# appstore_connect_api.api.AppClipAdvancedExperiencesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appClipAdvancedExperiencesCreateInstance**](AppClipAdvancedExperiencesApi.md#appclipadvancedexperiencescreateinstance) | **POST** /v1/appClipAdvancedExperiences | 
[**appClipAdvancedExperiencesGetInstance**](AppClipAdvancedExperiencesApi.md#appclipadvancedexperiencesgetinstance) | **GET** /v1/appClipAdvancedExperiences/{id} | 
[**appClipAdvancedExperiencesUpdateInstance**](AppClipAdvancedExperiencesApi.md#appclipadvancedexperiencesupdateinstance) | **PATCH** /v1/appClipAdvancedExperiences/{id} | 


# **appClipAdvancedExperiencesCreateInstance**
> AppClipAdvancedExperienceResponse appClipAdvancedExperiencesCreateInstance(appClipAdvancedExperienceCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAdvancedExperiencesApi();
final appClipAdvancedExperienceCreateRequest = AppClipAdvancedExperienceCreateRequest(); // AppClipAdvancedExperienceCreateRequest | AppClipAdvancedExperience representation

try {
    final result = api_instance.appClipAdvancedExperiencesCreateInstance(appClipAdvancedExperienceCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAdvancedExperiencesApi->appClipAdvancedExperiencesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appClipAdvancedExperienceCreateRequest** | [**AppClipAdvancedExperienceCreateRequest**](AppClipAdvancedExperienceCreateRequest.md)| AppClipAdvancedExperience representation | 

### Return type

[**AppClipAdvancedExperienceResponse**](AppClipAdvancedExperienceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipAdvancedExperiencesGetInstance**
> AppClipAdvancedExperienceResponse appClipAdvancedExperiencesGetInstance(id, fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket, include, limitLeftSquareBracketLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAdvancedExperiencesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAdvancedExperiences
final include = []; // List<String> | comma-separated list of relationships to include
final limitLeftSquareBracketLocalizationsRightSquareBracket = 56; // int | maximum number of related localizations returned (when they are included)

try {
    final result = api_instance.appClipAdvancedExperiencesGetInstance(id, fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket, include, limitLeftSquareBracketLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAdvancedExperiencesApi->appClipAdvancedExperiencesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAdvancedExperiences | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **limitLeftSquareBracketLocalizationsRightSquareBracket** | **int**| maximum number of related localizations returned (when they are included) | [optional] 

### Return type

[**AppClipAdvancedExperienceResponse**](AppClipAdvancedExperienceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipAdvancedExperiencesUpdateInstance**
> AppClipAdvancedExperienceResponse appClipAdvancedExperiencesUpdateInstance(id, appClipAdvancedExperienceUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAdvancedExperiencesApi();
final id = id_example; // String | the id of the requested resource
final appClipAdvancedExperienceUpdateRequest = AppClipAdvancedExperienceUpdateRequest(); // AppClipAdvancedExperienceUpdateRequest | AppClipAdvancedExperience representation

try {
    final result = api_instance.appClipAdvancedExperiencesUpdateInstance(id, appClipAdvancedExperienceUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAdvancedExperiencesApi->appClipAdvancedExperiencesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appClipAdvancedExperienceUpdateRequest** | [**AppClipAdvancedExperienceUpdateRequest**](AppClipAdvancedExperienceUpdateRequest.md)| AppClipAdvancedExperience representation | 

### Return type

[**AppClipAdvancedExperienceResponse**](AppClipAdvancedExperienceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

