# appstore_connect_api.api.AppClipAppStoreReviewDetailsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appClipAppStoreReviewDetailsCreateInstance**](AppClipAppStoreReviewDetailsApi.md#appclipappstorereviewdetailscreateinstance) | **POST** /v1/appClipAppStoreReviewDetails | 
[**appClipAppStoreReviewDetailsGetInstance**](AppClipAppStoreReviewDetailsApi.md#appclipappstorereviewdetailsgetinstance) | **GET** /v1/appClipAppStoreReviewDetails/{id} | 
[**appClipAppStoreReviewDetailsUpdateInstance**](AppClipAppStoreReviewDetailsApi.md#appclipappstorereviewdetailsupdateinstance) | **PATCH** /v1/appClipAppStoreReviewDetails/{id} | 


# **appClipAppStoreReviewDetailsCreateInstance**
> AppClipAppStoreReviewDetailResponse appClipAppStoreReviewDetailsCreateInstance(appClipAppStoreReviewDetailCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAppStoreReviewDetailsApi();
final appClipAppStoreReviewDetailCreateRequest = AppClipAppStoreReviewDetailCreateRequest(); // AppClipAppStoreReviewDetailCreateRequest | AppClipAppStoreReviewDetail representation

try {
    final result = api_instance.appClipAppStoreReviewDetailsCreateInstance(appClipAppStoreReviewDetailCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAppStoreReviewDetailsApi->appClipAppStoreReviewDetailsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appClipAppStoreReviewDetailCreateRequest** | [**AppClipAppStoreReviewDetailCreateRequest**](AppClipAppStoreReviewDetailCreateRequest.md)| AppClipAppStoreReviewDetail representation | 

### Return type

[**AppClipAppStoreReviewDetailResponse**](AppClipAppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipAppStoreReviewDetailsGetInstance**
> AppClipAppStoreReviewDetailResponse appClipAppStoreReviewDetailsGetInstance(id, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAppStoreReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAppStoreReviewDetails
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipAppStoreReviewDetailsGetInstance(id, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAppStoreReviewDetailsApi->appClipAppStoreReviewDetailsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAppStoreReviewDetails | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipAppStoreReviewDetailResponse**](AppClipAppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipAppStoreReviewDetailsUpdateInstance**
> AppClipAppStoreReviewDetailResponse appClipAppStoreReviewDetailsUpdateInstance(id, appClipAppStoreReviewDetailUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipAppStoreReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final appClipAppStoreReviewDetailUpdateRequest = AppClipAppStoreReviewDetailUpdateRequest(); // AppClipAppStoreReviewDetailUpdateRequest | AppClipAppStoreReviewDetail representation

try {
    final result = api_instance.appClipAppStoreReviewDetailsUpdateInstance(id, appClipAppStoreReviewDetailUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipAppStoreReviewDetailsApi->appClipAppStoreReviewDetailsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appClipAppStoreReviewDetailUpdateRequest** | [**AppClipAppStoreReviewDetailUpdateRequest**](AppClipAppStoreReviewDetailUpdateRequest.md)| AppClipAppStoreReviewDetail representation | 

### Return type

[**AppClipAppStoreReviewDetailResponse**](AppClipAppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

