# appstore_connect_api.api.AppClipDefaultExperienceLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appClipDefaultExperienceLocalizationsAppClipHeaderImageGetToOneRelated**](AppClipDefaultExperienceLocalizationsApi.md#appclipdefaultexperiencelocalizationsappclipheaderimagegettoonerelated) | **GET** /v1/appClipDefaultExperienceLocalizations/{id}/appClipHeaderImage | 
[**appClipDefaultExperienceLocalizationsCreateInstance**](AppClipDefaultExperienceLocalizationsApi.md#appclipdefaultexperiencelocalizationscreateinstance) | **POST** /v1/appClipDefaultExperienceLocalizations | 
[**appClipDefaultExperienceLocalizationsDeleteInstance**](AppClipDefaultExperienceLocalizationsApi.md#appclipdefaultexperiencelocalizationsdeleteinstance) | **DELETE** /v1/appClipDefaultExperienceLocalizations/{id} | 
[**appClipDefaultExperienceLocalizationsGetInstance**](AppClipDefaultExperienceLocalizationsApi.md#appclipdefaultexperiencelocalizationsgetinstance) | **GET** /v1/appClipDefaultExperienceLocalizations/{id} | 
[**appClipDefaultExperienceLocalizationsUpdateInstance**](AppClipDefaultExperienceLocalizationsApi.md#appclipdefaultexperiencelocalizationsupdateinstance) | **PATCH** /v1/appClipDefaultExperienceLocalizations/{id} | 


# **appClipDefaultExperienceLocalizationsAppClipHeaderImageGetToOneRelated**
> AppClipHeaderImageResponse appClipDefaultExperienceLocalizationsAppClipHeaderImageGetToOneRelated(id, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperienceLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipHeaderImages
final fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperienceLocalizations
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipDefaultExperienceLocalizationsAppClipHeaderImageGetToOneRelated(id, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperienceLocalizationsApi->appClipDefaultExperienceLocalizationsAppClipHeaderImageGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipHeaderImages | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperienceLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipHeaderImageResponse**](AppClipHeaderImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperienceLocalizationsCreateInstance**
> AppClipDefaultExperienceLocalizationResponse appClipDefaultExperienceLocalizationsCreateInstance(appClipDefaultExperienceLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperienceLocalizationsApi();
final appClipDefaultExperienceLocalizationCreateRequest = AppClipDefaultExperienceLocalizationCreateRequest(); // AppClipDefaultExperienceLocalizationCreateRequest | AppClipDefaultExperienceLocalization representation

try {
    final result = api_instance.appClipDefaultExperienceLocalizationsCreateInstance(appClipDefaultExperienceLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperienceLocalizationsApi->appClipDefaultExperienceLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appClipDefaultExperienceLocalizationCreateRequest** | [**AppClipDefaultExperienceLocalizationCreateRequest**](AppClipDefaultExperienceLocalizationCreateRequest.md)| AppClipDefaultExperienceLocalization representation | 

### Return type

[**AppClipDefaultExperienceLocalizationResponse**](AppClipDefaultExperienceLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperienceLocalizationsDeleteInstance**
> appClipDefaultExperienceLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperienceLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appClipDefaultExperienceLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppClipDefaultExperienceLocalizationsApi->appClipDefaultExperienceLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperienceLocalizationsGetInstance**
> AppClipDefaultExperienceLocalizationResponse appClipDefaultExperienceLocalizationsGetInstance(id, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperienceLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperienceLocalizations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipHeaderImages

try {
    final result = api_instance.appClipDefaultExperienceLocalizationsGetInstance(id, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperienceLocalizationsApi->appClipDefaultExperienceLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperienceLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipHeaderImages | [optional] [default to const []]

### Return type

[**AppClipDefaultExperienceLocalizationResponse**](AppClipDefaultExperienceLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperienceLocalizationsUpdateInstance**
> AppClipDefaultExperienceLocalizationResponse appClipDefaultExperienceLocalizationsUpdateInstance(id, appClipDefaultExperienceLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperienceLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final appClipDefaultExperienceLocalizationUpdateRequest = AppClipDefaultExperienceLocalizationUpdateRequest(); // AppClipDefaultExperienceLocalizationUpdateRequest | AppClipDefaultExperienceLocalization representation

try {
    final result = api_instance.appClipDefaultExperienceLocalizationsUpdateInstance(id, appClipDefaultExperienceLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperienceLocalizationsApi->appClipDefaultExperienceLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appClipDefaultExperienceLocalizationUpdateRequest** | [**AppClipDefaultExperienceLocalizationUpdateRequest**](AppClipDefaultExperienceLocalizationUpdateRequest.md)| AppClipDefaultExperienceLocalization representation | 

### Return type

[**AppClipDefaultExperienceLocalizationResponse**](AppClipDefaultExperienceLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

