# appstore_connect_api.api.AppClipDefaultExperiencesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appClipDefaultExperiencesAppClipAppStoreReviewDetailGetToOneRelated**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesappclipappstorereviewdetailgettoonerelated) | **GET** /v1/appClipDefaultExperiences/{id}/appClipAppStoreReviewDetail | 
[**appClipDefaultExperiencesAppClipDefaultExperienceLocalizationsGetToManyRelated**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesappclipdefaultexperiencelocalizationsgettomanyrelated) | **GET** /v1/appClipDefaultExperiences/{id}/appClipDefaultExperienceLocalizations | 
[**appClipDefaultExperiencesCreateInstance**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencescreateinstance) | **POST** /v1/appClipDefaultExperiences | 
[**appClipDefaultExperiencesDeleteInstance**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesdeleteinstance) | **DELETE** /v1/appClipDefaultExperiences/{id} | 
[**appClipDefaultExperiencesGetInstance**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesgetinstance) | **GET** /v1/appClipDefaultExperiences/{id} | 
[**appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelated**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesreleasewithappstoreversiongettoonerelated) | **GET** /v1/appClipDefaultExperiences/{id}/releaseWithAppStoreVersion | 
[**appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelationship**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesreleasewithappstoreversiongettoonerelationship) | **GET** /v1/appClipDefaultExperiences/{id}/relationships/releaseWithAppStoreVersion | 
[**appClipDefaultExperiencesReleaseWithAppStoreVersionUpdateToOneRelationship**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesreleasewithappstoreversionupdatetoonerelationship) | **PATCH** /v1/appClipDefaultExperiences/{id}/relationships/releaseWithAppStoreVersion | 
[**appClipDefaultExperiencesUpdateInstance**](AppClipDefaultExperiencesApi.md#appclipdefaultexperiencesupdateinstance) | **PATCH** /v1/appClipDefaultExperiences/{id} | 


# **appClipDefaultExperiencesAppClipAppStoreReviewDetailGetToOneRelated**
> AppClipAppStoreReviewDetailResponse appClipDefaultExperiencesAppClipAppStoreReviewDetailGetToOneRelated(id, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAppStoreReviewDetails
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipDefaultExperiencesAppClipAppStoreReviewDetailGetToOneRelated(id, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesAppClipAppStoreReviewDetailGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAppStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipAppStoreReviewDetailResponse**](AppClipAppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesAppClipDefaultExperienceLocalizationsGetToManyRelated**
> AppClipDefaultExperienceLocalizationsResponse appClipDefaultExperiencesAppClipDefaultExperienceLocalizationsGetToManyRelated(id, filterLeftSquareBracketLocaleRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketLocaleRightSquareBracket = []; // List<String> | filter by attribute 'locale'
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperienceLocalizations
final fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipHeaderImages
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipDefaultExperiencesAppClipDefaultExperienceLocalizationsGetToManyRelated(id, filterLeftSquareBracketLocaleRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesAppClipDefaultExperienceLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketLocaleRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'locale' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperienceLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipHeaderImages | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipDefaultExperienceLocalizationsResponse**](AppClipDefaultExperienceLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesCreateInstance**
> AppClipDefaultExperienceResponse appClipDefaultExperiencesCreateInstance(appClipDefaultExperienceCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final appClipDefaultExperienceCreateRequest = AppClipDefaultExperienceCreateRequest(); // AppClipDefaultExperienceCreateRequest | AppClipDefaultExperience representation

try {
    final result = api_instance.appClipDefaultExperiencesCreateInstance(appClipDefaultExperienceCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appClipDefaultExperienceCreateRequest** | [**AppClipDefaultExperienceCreateRequest**](AppClipDefaultExperienceCreateRequest.md)| AppClipDefaultExperience representation | 

### Return type

[**AppClipDefaultExperienceResponse**](AppClipDefaultExperienceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesDeleteInstance**
> appClipDefaultExperiencesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appClipDefaultExperiencesDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesGetInstance**
> AppClipDefaultExperienceResponse appClipDefaultExperiencesGetInstance(id, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, include, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAppStoreReviewDetails
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperienceLocalizations
final limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = 56; // int | maximum number of related appClipDefaultExperienceLocalizations returned (when they are included)

try {
    final result = api_instance.appClipDefaultExperiencesGetInstance(id, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, include, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAppStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperienceLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | **int**| maximum number of related appClipDefaultExperienceLocalizations returned (when they are included) | [optional] 

### Return type

[**AppClipDefaultExperienceResponse**](AppClipDefaultExperienceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelated**
> AppStoreVersionResponse appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations
final fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionSubmissions
final fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewDetails
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type routingAppCoverages
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionPhasedReleases
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = 56; // int | maximum number of related appStoreVersionLocalizations returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperiments returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type routingAppCoverages | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionPhasedReleases | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | **int**| maximum number of related appStoreVersionLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperiments returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentsV2 returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionResponse**](AppStoreVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelationship**
> AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageResponse appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelationship(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource

try {
    final result = api_instance.appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelationship(id);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesReleaseWithAppStoreVersionGetToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

[**AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageResponse**](AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesReleaseWithAppStoreVersionUpdateToOneRelationship**
> appClipDefaultExperiencesReleaseWithAppStoreVersionUpdateToOneRelationship(id, appClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource
final appClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest = AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest(); // AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest | Related linkage

try {
    api_instance.appClipDefaultExperiencesReleaseWithAppStoreVersionUpdateToOneRelationship(id, appClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesReleaseWithAppStoreVersionUpdateToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest** | [**AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest**](AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest.md)| Related linkage | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipDefaultExperiencesUpdateInstance**
> AppClipDefaultExperienceResponse appClipDefaultExperiencesUpdateInstance(id, appClipDefaultExperienceUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipDefaultExperiencesApi();
final id = id_example; // String | the id of the requested resource
final appClipDefaultExperienceUpdateRequest = AppClipDefaultExperienceUpdateRequest(); // AppClipDefaultExperienceUpdateRequest | AppClipDefaultExperience representation

try {
    final result = api_instance.appClipDefaultExperiencesUpdateInstance(id, appClipDefaultExperienceUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipDefaultExperiencesApi->appClipDefaultExperiencesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appClipDefaultExperienceUpdateRequest** | [**AppClipDefaultExperienceUpdateRequest**](AppClipDefaultExperienceUpdateRequest.md)| AppClipDefaultExperience representation | 

### Return type

[**AppClipDefaultExperienceResponse**](AppClipDefaultExperienceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

