# appstore_connect_api.api.AppClipHeaderImagesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appClipHeaderImagesCreateInstance**](AppClipHeaderImagesApi.md#appclipheaderimagescreateinstance) | **POST** /v1/appClipHeaderImages | 
[**appClipHeaderImagesDeleteInstance**](AppClipHeaderImagesApi.md#appclipheaderimagesdeleteinstance) | **DELETE** /v1/appClipHeaderImages/{id} | 
[**appClipHeaderImagesGetInstance**](AppClipHeaderImagesApi.md#appclipheaderimagesgetinstance) | **GET** /v1/appClipHeaderImages/{id} | 
[**appClipHeaderImagesUpdateInstance**](AppClipHeaderImagesApi.md#appclipheaderimagesupdateinstance) | **PATCH** /v1/appClipHeaderImages/{id} | 


# **appClipHeaderImagesCreateInstance**
> AppClipHeaderImageResponse appClipHeaderImagesCreateInstance(appClipHeaderImageCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipHeaderImagesApi();
final appClipHeaderImageCreateRequest = AppClipHeaderImageCreateRequest(); // AppClipHeaderImageCreateRequest | AppClipHeaderImage representation

try {
    final result = api_instance.appClipHeaderImagesCreateInstance(appClipHeaderImageCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipHeaderImagesApi->appClipHeaderImagesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appClipHeaderImageCreateRequest** | [**AppClipHeaderImageCreateRequest**](AppClipHeaderImageCreateRequest.md)| AppClipHeaderImage representation | 

### Return type

[**AppClipHeaderImageResponse**](AppClipHeaderImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipHeaderImagesDeleteInstance**
> appClipHeaderImagesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipHeaderImagesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appClipHeaderImagesDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppClipHeaderImagesApi->appClipHeaderImagesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipHeaderImagesGetInstance**
> AppClipHeaderImageResponse appClipHeaderImagesGetInstance(id, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipHeaderImagesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipHeaderImages
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipHeaderImagesGetInstance(id, fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipHeaderImagesApi->appClipHeaderImagesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipHeaderImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipHeaderImages | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipHeaderImageResponse**](AppClipHeaderImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipHeaderImagesUpdateInstance**
> AppClipHeaderImageResponse appClipHeaderImagesUpdateInstance(id, appClipHeaderImageUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipHeaderImagesApi();
final id = id_example; // String | the id of the requested resource
final appClipHeaderImageUpdateRequest = AppClipHeaderImageUpdateRequest(); // AppClipHeaderImageUpdateRequest | AppClipHeaderImage representation

try {
    final result = api_instance.appClipHeaderImagesUpdateInstance(id, appClipHeaderImageUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppClipHeaderImagesApi->appClipHeaderImagesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appClipHeaderImageUpdateRequest** | [**AppClipHeaderImageUpdateRequest**](AppClipHeaderImageUpdateRequest.md)| AppClipHeaderImage representation | 

### Return type

[**AppClipHeaderImageResponse**](AppClipHeaderImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

