# appstore_connect_api.api.AppClipsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appClipsAppClipAdvancedExperiencesGetToManyRelated**](AppClipsApi.md#appclipsappclipadvancedexperiencesgettomanyrelated) | **GET** /v1/appClips/{id}/appClipAdvancedExperiences | 
[**appClipsAppClipDefaultExperiencesGetToManyRelated**](AppClipsApi.md#appclipsappclipdefaultexperiencesgettomanyrelated) | **GET** /v1/appClips/{id}/appClipDefaultExperiences | 
[**appClipsGetInstance**](AppClipsApi.md#appclipsgetinstance) | **GET** /v1/appClips/{id} | 


# **appClipsAppClipAdvancedExperiencesGetToManyRelated**
> AppClipAdvancedExperiencesResponse appClipsAppClipAdvancedExperiencesGetToManyRelated(id, filterLeftSquareBracketActionRightSquareBracket, filterLeftSquareBracketPlaceStatusRightSquareBracket, filterLeftSquareBracketStatusRightSquareBracket, fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket, fieldsLeftSquareBracketAppClipAdvancedExperienceLocalizationsRightSquareBracket, limit, limitLeftSquareBracketLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketActionRightSquareBracket = []; // List<String> | filter by attribute 'action'
final filterLeftSquareBracketPlaceStatusRightSquareBracket = []; // List<String> | filter by attribute 'placeStatus'
final filterLeftSquareBracketStatusRightSquareBracket = []; // List<String> | filter by attribute 'status'
final fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAdvancedExperiences
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAdvancedExperienceImages
final fieldsLeftSquareBracketAppClipAdvancedExperienceLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAdvancedExperienceLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketLocalizationsRightSquareBracket = 56; // int | maximum number of related localizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipsAppClipAdvancedExperiencesGetToManyRelated(id, filterLeftSquareBracketActionRightSquareBracket, filterLeftSquareBracketPlaceStatusRightSquareBracket, filterLeftSquareBracketStatusRightSquareBracket, fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket, fieldsLeftSquareBracketAppClipAdvancedExperienceLocalizationsRightSquareBracket, limit, limitLeftSquareBracketLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipsApi->appClipsAppClipAdvancedExperiencesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketActionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'action' | [optional] [default to const []]
 **filterLeftSquareBracketPlaceStatusRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'placeStatus' | [optional] [default to const []]
 **filterLeftSquareBracketStatusRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'status' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAdvancedExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipAdvancedExperienceImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAdvancedExperienceImages | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipAdvancedExperienceLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAdvancedExperienceLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketLocalizationsRightSquareBracket** | **int**| maximum number of related localizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipAdvancedExperiencesResponse**](AppClipAdvancedExperiencesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipsAppClipDefaultExperiencesGetToManyRelated**
> AppClipDefaultExperiencesResponse appClipsAppClipDefaultExperiencesGetToManyRelated(id, existsLeftSquareBracketReleaseWithAppStoreVersionRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipsApi();
final id = id_example; // String | the id of the requested resource
final existsLeftSquareBracketReleaseWithAppStoreVersionRightSquareBracket = true; // bool | filter by existence or non-existence of related 'releaseWithAppStoreVersion'
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAppStoreReviewDetails
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperienceLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = 56; // int | maximum number of related appClipDefaultExperienceLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appClipsAppClipDefaultExperiencesGetToManyRelated(id, existsLeftSquareBracketReleaseWithAppStoreVersionRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppClipsApi->appClipsAppClipDefaultExperiencesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **existsLeftSquareBracketReleaseWithAppStoreVersionRightSquareBracket** | **bool**| filter by existence or non-existence of related 'releaseWithAppStoreVersion' | [optional] 
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAppStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperienceLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | **int**| maximum number of related appClipDefaultExperienceLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipDefaultExperiencesResponse**](AppClipDefaultExperiencesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appClipsGetInstance**
> AppClipResponse appClipsGetInstance(id, fieldsLeftSquareBracketAppClipsRightSquareBracket, include, fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppClipsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAdvancedExperiences
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = 56; // int | maximum number of related appClipDefaultExperiences returned (when they are included)

try {
    final result = api_instance.appClipsGetInstance(id, fieldsLeftSquareBracketAppClipsRightSquareBracket, include, fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppClipsApi->appClipsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipAdvancedExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAdvancedExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **limitLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | **int**| maximum number of related appClipDefaultExperiences returned (when they are included) | [optional] 

### Return type

[**AppClipResponse**](AppClipResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

