# appstore_connect_api.api.AppCustomProductPageLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appCustomProductPageLocalizationsAppPreviewSetsGetToManyRelated**](AppCustomProductPageLocalizationsApi.md#appcustomproductpagelocalizationsapppreviewsetsgettomanyrelated) | **GET** /v1/appCustomProductPageLocalizations/{id}/appPreviewSets | 
[**appCustomProductPageLocalizationsAppScreenshotSetsGetToManyRelated**](AppCustomProductPageLocalizationsApi.md#appcustomproductpagelocalizationsappscreenshotsetsgettomanyrelated) | **GET** /v1/appCustomProductPageLocalizations/{id}/appScreenshotSets | 
[**appCustomProductPageLocalizationsCreateInstance**](AppCustomProductPageLocalizationsApi.md#appcustomproductpagelocalizationscreateinstance) | **POST** /v1/appCustomProductPageLocalizations | 
[**appCustomProductPageLocalizationsDeleteInstance**](AppCustomProductPageLocalizationsApi.md#appcustomproductpagelocalizationsdeleteinstance) | **DELETE** /v1/appCustomProductPageLocalizations/{id} | 
[**appCustomProductPageLocalizationsGetInstance**](AppCustomProductPageLocalizationsApi.md#appcustomproductpagelocalizationsgetinstance) | **GET** /v1/appCustomProductPageLocalizations/{id} | 
[**appCustomProductPageLocalizationsUpdateInstance**](AppCustomProductPageLocalizationsApi.md#appcustomproductpagelocalizationsupdateinstance) | **PATCH** /v1/appCustomProductPageLocalizations/{id} | 


# **appCustomProductPageLocalizationsAppPreviewSetsGetToManyRelated**
> AppPreviewSetsResponse appCustomProductPageLocalizationsAppPreviewSetsGetToManyRelated(id, filterLeftSquareBracketPreviewTypeRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPreviewsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppPreviewsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketPreviewTypeRightSquareBracket = []; // List<String> | filter by attribute 'previewType'
final filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
final filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionLocalization'
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final fieldsLeftSquareBracketAppPreviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviews
final fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviewSets
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppPreviewsRightSquareBracket = 56; // int | maximum number of related appPreviews returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appCustomProductPageLocalizationsAppPreviewSetsGetToManyRelated(id, filterLeftSquareBracketPreviewTypeRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPreviewsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppPreviewsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageLocalizationsApi->appCustomProductPageLocalizationsAppPreviewSetsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketPreviewTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'previewType' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionLocalization' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviews | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviewSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppPreviewsRightSquareBracket** | **int**| maximum number of related appPreviews returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPreviewSetsResponse**](AppPreviewSetsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPageLocalizationsAppScreenshotSetsGetToManyRelated**
> AppScreenshotSetsResponse appCustomProductPageLocalizationsAppScreenshotSetsGetToManyRelated(id, filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket = []; // List<String> | filter by attribute 'screenshotDisplayType'
final filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
final filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionLocalization'
final fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshotSets
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final fieldsLeftSquareBracketAppScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshots
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppScreenshotsRightSquareBracket = 56; // int | maximum number of related appScreenshots returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appCustomProductPageLocalizationsAppScreenshotSetsGetToManyRelated(id, filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageLocalizationsApi->appCustomProductPageLocalizationsAppScreenshotSetsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'screenshotDisplayType' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionLocalization' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshotSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppScreenshotsRightSquareBracket** | **int**| maximum number of related appScreenshots returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppScreenshotSetsResponse**](AppScreenshotSetsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPageLocalizationsCreateInstance**
> AppCustomProductPageLocalizationResponse appCustomProductPageLocalizationsCreateInstance(appCustomProductPageLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageLocalizationsApi();
final appCustomProductPageLocalizationCreateRequest = AppCustomProductPageLocalizationCreateRequest(); // AppCustomProductPageLocalizationCreateRequest | AppCustomProductPageLocalization representation

try {
    final result = api_instance.appCustomProductPageLocalizationsCreateInstance(appCustomProductPageLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageLocalizationsApi->appCustomProductPageLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appCustomProductPageLocalizationCreateRequest** | [**AppCustomProductPageLocalizationCreateRequest**](AppCustomProductPageLocalizationCreateRequest.md)| AppCustomProductPageLocalization representation | 

### Return type

[**AppCustomProductPageLocalizationResponse**](AppCustomProductPageLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPageLocalizationsDeleteInstance**
> appCustomProductPageLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appCustomProductPageLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppCustomProductPageLocalizationsApi->appCustomProductPageLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPageLocalizationsGetInstance**
> AppCustomProductPageLocalizationResponse appCustomProductPageLocalizationsGetInstance(id, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshotSets
final fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviewSets
final limitLeftSquareBracketAppPreviewSetsRightSquareBracket = 56; // int | maximum number of related appPreviewSets returned (when they are included)
final limitLeftSquareBracketAppScreenshotSetsRightSquareBracket = 56; // int | maximum number of related appScreenshotSets returned (when they are included)

try {
    final result = api_instance.appCustomProductPageLocalizationsGetInstance(id, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageLocalizationsApi->appCustomProductPageLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshotSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviewSets | [optional] [default to const []]
 **limitLeftSquareBracketAppPreviewSetsRightSquareBracket** | **int**| maximum number of related appPreviewSets returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppScreenshotSetsRightSquareBracket** | **int**| maximum number of related appScreenshotSets returned (when they are included) | [optional] 

### Return type

[**AppCustomProductPageLocalizationResponse**](AppCustomProductPageLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPageLocalizationsUpdateInstance**
> AppCustomProductPageLocalizationResponse appCustomProductPageLocalizationsUpdateInstance(id, appCustomProductPageLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final appCustomProductPageLocalizationUpdateRequest = AppCustomProductPageLocalizationUpdateRequest(); // AppCustomProductPageLocalizationUpdateRequest | AppCustomProductPageLocalization representation

try {
    final result = api_instance.appCustomProductPageLocalizationsUpdateInstance(id, appCustomProductPageLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageLocalizationsApi->appCustomProductPageLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appCustomProductPageLocalizationUpdateRequest** | [**AppCustomProductPageLocalizationUpdateRequest**](AppCustomProductPageLocalizationUpdateRequest.md)| AppCustomProductPageLocalization representation | 

### Return type

[**AppCustomProductPageLocalizationResponse**](AppCustomProductPageLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

