# appstore_connect_api.api.AppCustomProductPageVersionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appCustomProductPageVersionsAppCustomProductPageLocalizationsGetToManyRelated**](AppCustomProductPageVersionsApi.md#appcustomproductpageversionsappcustomproductpagelocalizationsgettomanyrelated) | **GET** /v1/appCustomProductPageVersions/{id}/appCustomProductPageLocalizations | 
[**appCustomProductPageVersionsCreateInstance**](AppCustomProductPageVersionsApi.md#appcustomproductpageversionscreateinstance) | **POST** /v1/appCustomProductPageVersions | 
[**appCustomProductPageVersionsGetInstance**](AppCustomProductPageVersionsApi.md#appcustomproductpageversionsgetinstance) | **GET** /v1/appCustomProductPageVersions/{id} | 


# **appCustomProductPageVersionsAppCustomProductPageLocalizationsGetToManyRelated**
> AppCustomProductPageLocalizationsResponse appCustomProductPageVersionsAppCustomProductPageLocalizationsGetToManyRelated(id, filterLeftSquareBracketLocaleRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageVersionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketLocaleRightSquareBracket = []; // List<String> | filter by attribute 'locale'
final fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshotSets
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageVersions
final fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviewSets
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppScreenshotSetsRightSquareBracket = 56; // int | maximum number of related appScreenshotSets returned (when they are included)
final limitLeftSquareBracketAppPreviewSetsRightSquareBracket = 56; // int | maximum number of related appPreviewSets returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appCustomProductPageVersionsAppCustomProductPageLocalizationsGetToManyRelated(id, filterLeftSquareBracketLocaleRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageVersionsApi->appCustomProductPageVersionsAppCustomProductPageLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketLocaleRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'locale' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshotSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviewSets | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppScreenshotSetsRightSquareBracket** | **int**| maximum number of related appScreenshotSets returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppPreviewSetsRightSquareBracket** | **int**| maximum number of related appPreviewSets returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCustomProductPageLocalizationsResponse**](AppCustomProductPageLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPageVersionsCreateInstance**
> AppCustomProductPageVersionResponse appCustomProductPageVersionsCreateInstance(appCustomProductPageVersionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageVersionsApi();
final appCustomProductPageVersionCreateRequest = AppCustomProductPageVersionCreateRequest(); // AppCustomProductPageVersionCreateRequest | AppCustomProductPageVersion representation

try {
    final result = api_instance.appCustomProductPageVersionsCreateInstance(appCustomProductPageVersionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageVersionsApi->appCustomProductPageVersionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appCustomProductPageVersionCreateRequest** | [**AppCustomProductPageVersionCreateRequest**](AppCustomProductPageVersionCreateRequest.md)| AppCustomProductPageVersion representation | 

### Return type

[**AppCustomProductPageVersionResponse**](AppCustomProductPageVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPageVersionsGetInstance**
> AppCustomProductPageVersionResponse appCustomProductPageVersionsGetInstance(id, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, include, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPageVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageVersions
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = 56; // int | maximum number of related appCustomProductPageLocalizations returned (when they are included)

try {
    final result = api_instance.appCustomProductPageVersionsGetInstance(id, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, include, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPageVersionsApi->appCustomProductPageVersionsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageVersions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | **int**| maximum number of related appCustomProductPageLocalizations returned (when they are included) | [optional] 

### Return type

[**AppCustomProductPageVersionResponse**](AppCustomProductPageVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

