# appstore_connect_api.api.AppCustomProductPagesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appCustomProductPagesAppCustomProductPageVersionsGetToManyRelated**](AppCustomProductPagesApi.md#appcustomproductpagesappcustomproductpageversionsgettomanyrelated) | **GET** /v1/appCustomProductPages/{id}/appCustomProductPageVersions | 
[**appCustomProductPagesCreateInstance**](AppCustomProductPagesApi.md#appcustomproductpagescreateinstance) | **POST** /v1/appCustomProductPages | 
[**appCustomProductPagesDeleteInstance**](AppCustomProductPagesApi.md#appcustomproductpagesdeleteinstance) | **DELETE** /v1/appCustomProductPages/{id} | 
[**appCustomProductPagesGetInstance**](AppCustomProductPagesApi.md#appcustomproductpagesgetinstance) | **GET** /v1/appCustomProductPages/{id} | 
[**appCustomProductPagesUpdateInstance**](AppCustomProductPagesApi.md#appcustomproductpagesupdateinstance) | **PATCH** /v1/appCustomProductPages/{id} | 


# **appCustomProductPagesAppCustomProductPageVersionsGetToManyRelated**
> AppCustomProductPageVersionsResponse appCustomProductPagesAppCustomProductPageVersionsGetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, limit, limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPagesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageVersions
final fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPages
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = 56; // int | maximum number of related appCustomProductPageLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appCustomProductPagesAppCustomProductPageVersionsGetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, limit, limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPagesApi->appCustomProductPagesAppCustomProductPageVersionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPages | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | **int**| maximum number of related appCustomProductPageLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCustomProductPageVersionsResponse**](AppCustomProductPageVersionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPagesCreateInstance**
> AppCustomProductPageResponse appCustomProductPagesCreateInstance(appCustomProductPageCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPagesApi();
final appCustomProductPageCreateRequest = AppCustomProductPageCreateRequest(); // AppCustomProductPageCreateRequest | AppCustomProductPage representation

try {
    final result = api_instance.appCustomProductPagesCreateInstance(appCustomProductPageCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPagesApi->appCustomProductPagesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appCustomProductPageCreateRequest** | [**AppCustomProductPageCreateRequest**](AppCustomProductPageCreateRequest.md)| AppCustomProductPage representation | 

### Return type

[**AppCustomProductPageResponse**](AppCustomProductPageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPagesDeleteInstance**
> appCustomProductPagesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPagesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appCustomProductPagesDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppCustomProductPagesApi->appCustomProductPagesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPagesGetInstance**
> AppCustomProductPageResponse appCustomProductPagesGetInstance(id, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, include, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPagesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPages
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageVersions
final limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = 56; // int | maximum number of related appCustomProductPageVersions returned (when they are included)

try {
    final result = api_instance.appCustomProductPagesGetInstance(id, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, include, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPagesApi->appCustomProductPagesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPages | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageVersions | [optional] [default to const []]
 **limitLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | **int**| maximum number of related appCustomProductPageVersions returned (when they are included) | [optional] 

### Return type

[**AppCustomProductPageResponse**](AppCustomProductPageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appCustomProductPagesUpdateInstance**
> AppCustomProductPageResponse appCustomProductPagesUpdateInstance(id, appCustomProductPageUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppCustomProductPagesApi();
final id = id_example; // String | the id of the requested resource
final appCustomProductPageUpdateRequest = AppCustomProductPageUpdateRequest(); // AppCustomProductPageUpdateRequest | AppCustomProductPage representation

try {
    final result = api_instance.appCustomProductPagesUpdateInstance(id, appCustomProductPageUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppCustomProductPagesApi->appCustomProductPagesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appCustomProductPageUpdateRequest** | [**AppCustomProductPageUpdateRequest**](AppCustomProductPageUpdateRequest.md)| AppCustomProductPage representation | 

### Return type

[**AppCustomProductPageResponse**](AppCustomProductPageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

