# appstore_connect_api.api.AppEncryptionDeclarationDocumentsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appEncryptionDeclarationDocumentsCreateInstance**](AppEncryptionDeclarationDocumentsApi.md#appencryptiondeclarationdocumentscreateinstance) | **POST** /v1/appEncryptionDeclarationDocuments | 
[**appEncryptionDeclarationDocumentsGetInstance**](AppEncryptionDeclarationDocumentsApi.md#appencryptiondeclarationdocumentsgetinstance) | **GET** /v1/appEncryptionDeclarationDocuments/{id} | 
[**appEncryptionDeclarationDocumentsUpdateInstance**](AppEncryptionDeclarationDocumentsApi.md#appencryptiondeclarationdocumentsupdateinstance) | **PATCH** /v1/appEncryptionDeclarationDocuments/{id} | 


# **appEncryptionDeclarationDocumentsCreateInstance**
> AppEncryptionDeclarationDocumentResponse appEncryptionDeclarationDocumentsCreateInstance(appEncryptionDeclarationDocumentCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationDocumentsApi();
final appEncryptionDeclarationDocumentCreateRequest = AppEncryptionDeclarationDocumentCreateRequest(); // AppEncryptionDeclarationDocumentCreateRequest | AppEncryptionDeclarationDocument representation

try {
    final result = api_instance.appEncryptionDeclarationDocumentsCreateInstance(appEncryptionDeclarationDocumentCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationDocumentsApi->appEncryptionDeclarationDocumentsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appEncryptionDeclarationDocumentCreateRequest** | [**AppEncryptionDeclarationDocumentCreateRequest**](AppEncryptionDeclarationDocumentCreateRequest.md)| AppEncryptionDeclarationDocument representation | 

### Return type

[**AppEncryptionDeclarationDocumentResponse**](AppEncryptionDeclarationDocumentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEncryptionDeclarationDocumentsGetInstance**
> AppEncryptionDeclarationDocumentResponse appEncryptionDeclarationDocumentsGetInstance(id, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationDocumentsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarationDocuments

try {
    final result = api_instance.appEncryptionDeclarationDocumentsGetInstance(id, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationDocumentsApi->appEncryptionDeclarationDocumentsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarationDocuments | [optional] [default to const []]

### Return type

[**AppEncryptionDeclarationDocumentResponse**](AppEncryptionDeclarationDocumentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEncryptionDeclarationDocumentsUpdateInstance**
> AppEncryptionDeclarationDocumentResponse appEncryptionDeclarationDocumentsUpdateInstance(id, appEncryptionDeclarationDocumentUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationDocumentsApi();
final id = id_example; // String | the id of the requested resource
final appEncryptionDeclarationDocumentUpdateRequest = AppEncryptionDeclarationDocumentUpdateRequest(); // AppEncryptionDeclarationDocumentUpdateRequest | AppEncryptionDeclarationDocument representation

try {
    final result = api_instance.appEncryptionDeclarationDocumentsUpdateInstance(id, appEncryptionDeclarationDocumentUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationDocumentsApi->appEncryptionDeclarationDocumentsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appEncryptionDeclarationDocumentUpdateRequest** | [**AppEncryptionDeclarationDocumentUpdateRequest**](AppEncryptionDeclarationDocumentUpdateRequest.md)| AppEncryptionDeclarationDocument representation | 

### Return type

[**AppEncryptionDeclarationDocumentResponse**](AppEncryptionDeclarationDocumentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

