# appstore_connect_api.api.AppEncryptionDeclarationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appEncryptionDeclarationsAppEncryptionDeclarationDocumentGetToOneRelated**](AppEncryptionDeclarationsApi.md#appencryptiondeclarationsappencryptiondeclarationdocumentgettoonerelated) | **GET** /v1/appEncryptionDeclarations/{id}/appEncryptionDeclarationDocument | 
[**appEncryptionDeclarationsAppGetToOneRelated**](AppEncryptionDeclarationsApi.md#appencryptiondeclarationsappgettoonerelated) | **GET** /v1/appEncryptionDeclarations/{id}/app | 
[**appEncryptionDeclarationsBuildsCreateToManyRelationship**](AppEncryptionDeclarationsApi.md#appencryptiondeclarationsbuildscreatetomanyrelationship) | **POST** /v1/appEncryptionDeclarations/{id}/relationships/builds | 
[**appEncryptionDeclarationsGetCollection**](AppEncryptionDeclarationsApi.md#appencryptiondeclarationsgetcollection) | **GET** /v1/appEncryptionDeclarations | 
[**appEncryptionDeclarationsGetInstance**](AppEncryptionDeclarationsApi.md#appencryptiondeclarationsgetinstance) | **GET** /v1/appEncryptionDeclarations/{id} | 


# **appEncryptionDeclarationsAppEncryptionDeclarationDocumentGetToOneRelated**
> AppEncryptionDeclarationDocumentResponse appEncryptionDeclarationsAppEncryptionDeclarationDocumentGetToOneRelated(id, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarationDocuments

try {
    final result = api_instance.appEncryptionDeclarationsAppEncryptionDeclarationDocumentGetToOneRelated(id, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationsApi->appEncryptionDeclarationsAppEncryptionDeclarationDocumentGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarationDocuments | [optional] [default to const []]

### Return type

[**AppEncryptionDeclarationDocumentResponse**](AppEncryptionDeclarationDocumentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEncryptionDeclarationsAppGetToOneRelated**
> AppResponse appEncryptionDeclarationsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.appEncryptionDeclarationsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationsApi->appEncryptionDeclarationsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEncryptionDeclarationsBuildsCreateToManyRelationship**
> appEncryptionDeclarationsBuildsCreateToManyRelationship(id, appEncryptionDeclarationBuildsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationsApi();
final id = id_example; // String | the id of the requested resource
final appEncryptionDeclarationBuildsLinkagesRequest = AppEncryptionDeclarationBuildsLinkagesRequest(); // AppEncryptionDeclarationBuildsLinkagesRequest | List of related linkages

try {
    api_instance.appEncryptionDeclarationsBuildsCreateToManyRelationship(id, appEncryptionDeclarationBuildsLinkagesRequest);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationsApi->appEncryptionDeclarationsBuildsCreateToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appEncryptionDeclarationBuildsLinkagesRequest** | [**AppEncryptionDeclarationBuildsLinkagesRequest**](AppEncryptionDeclarationBuildsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEncryptionDeclarationsGetCollection**
> AppEncryptionDeclarationsResponse appEncryptionDeclarationsGetCollection(filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationsApi();
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final filterLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | filter by id(s) of related 'builds'
final fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarationDocuments
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)

try {
    final result = api_instance.appEncryptionDeclarationsGetCollection(filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationsApi->appEncryptionDeclarationsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **filterLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'builds' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarationDocuments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 

### Return type

[**AppEncryptionDeclarationsResponse**](AppEncryptionDeclarationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEncryptionDeclarationsGetInstance**
> AppEncryptionDeclarationResponse appEncryptionDeclarationsGetInstance(id, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, include, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEncryptionDeclarationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarationDocuments
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)

try {
    final result = api_instance.appEncryptionDeclarationsGetInstance(id, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, include, fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppEncryptionDeclarationsApi->appEncryptionDeclarationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEncryptionDeclarationDocumentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarationDocuments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 

### Return type

[**AppEncryptionDeclarationResponse**](AppEncryptionDeclarationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

