# appstore_connect_api.api.AppEventLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appEventLocalizationsAppEventScreenshotsGetToManyRelated**](AppEventLocalizationsApi.md#appeventlocalizationsappeventscreenshotsgettomanyrelated) | **GET** /v1/appEventLocalizations/{id}/appEventScreenshots | 
[**appEventLocalizationsAppEventVideoClipsGetToManyRelated**](AppEventLocalizationsApi.md#appeventlocalizationsappeventvideoclipsgettomanyrelated) | **GET** /v1/appEventLocalizations/{id}/appEventVideoClips | 
[**appEventLocalizationsCreateInstance**](AppEventLocalizationsApi.md#appeventlocalizationscreateinstance) | **POST** /v1/appEventLocalizations | 
[**appEventLocalizationsDeleteInstance**](AppEventLocalizationsApi.md#appeventlocalizationsdeleteinstance) | **DELETE** /v1/appEventLocalizations/{id} | 
[**appEventLocalizationsGetInstance**](AppEventLocalizationsApi.md#appeventlocalizationsgetinstance) | **GET** /v1/appEventLocalizations/{id} | 
[**appEventLocalizationsUpdateInstance**](AppEventLocalizationsApi.md#appeventlocalizationsupdateinstance) | **PATCH** /v1/appEventLocalizations/{id} | 


# **appEventLocalizationsAppEventScreenshotsGetToManyRelated**
> AppEventScreenshotsResponse appEventLocalizationsAppEventScreenshotsGetToManyRelated(id, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventScreenshots
final fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventLocalizations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appEventLocalizationsAppEventScreenshotsGetToManyRelated(id, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppEventLocalizationsApi->appEventLocalizationsAppEventScreenshotsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppEventScreenshotsResponse**](AppEventScreenshotsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventLocalizationsAppEventVideoClipsGetToManyRelated**
> AppEventVideoClipsResponse appEventLocalizationsAppEventVideoClipsGetToManyRelated(id, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventVideoClips
final fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventLocalizations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appEventLocalizationsAppEventVideoClipsGetToManyRelated(id, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppEventLocalizationsApi->appEventLocalizationsAppEventVideoClipsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventVideoClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppEventVideoClipsResponse**](AppEventVideoClipsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventLocalizationsCreateInstance**
> AppEventLocalizationResponse appEventLocalizationsCreateInstance(appEventLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventLocalizationsApi();
final appEventLocalizationCreateRequest = AppEventLocalizationCreateRequest(); // AppEventLocalizationCreateRequest | AppEventLocalization representation

try {
    final result = api_instance.appEventLocalizationsCreateInstance(appEventLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventLocalizationsApi->appEventLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appEventLocalizationCreateRequest** | [**AppEventLocalizationCreateRequest**](AppEventLocalizationCreateRequest.md)| AppEventLocalization representation | 

### Return type

[**AppEventLocalizationResponse**](AppEventLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventLocalizationsDeleteInstance**
> appEventLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appEventLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppEventLocalizationsApi->appEventLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventLocalizationsGetInstance**
> AppEventLocalizationResponse appEventLocalizationsGetInstance(id, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, limitLeftSquareBracketAppEventScreenshotsRightSquareBracket, limitLeftSquareBracketAppEventVideoClipsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventLocalizations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventScreenshots
final fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventVideoClips
final limitLeftSquareBracketAppEventScreenshotsRightSquareBracket = 56; // int | maximum number of related appEventScreenshots returned (when they are included)
final limitLeftSquareBracketAppEventVideoClipsRightSquareBracket = 56; // int | maximum number of related appEventVideoClips returned (when they are included)

try {
    final result = api_instance.appEventLocalizationsGetInstance(id, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, limitLeftSquareBracketAppEventScreenshotsRightSquareBracket, limitLeftSquareBracketAppEventVideoClipsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppEventLocalizationsApi->appEventLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventVideoClips | [optional] [default to const []]
 **limitLeftSquareBracketAppEventScreenshotsRightSquareBracket** | **int**| maximum number of related appEventScreenshots returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppEventVideoClipsRightSquareBracket** | **int**| maximum number of related appEventVideoClips returned (when they are included) | [optional] 

### Return type

[**AppEventLocalizationResponse**](AppEventLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventLocalizationsUpdateInstance**
> AppEventLocalizationResponse appEventLocalizationsUpdateInstance(id, appEventLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final appEventLocalizationUpdateRequest = AppEventLocalizationUpdateRequest(); // AppEventLocalizationUpdateRequest | AppEventLocalization representation

try {
    final result = api_instance.appEventLocalizationsUpdateInstance(id, appEventLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventLocalizationsApi->appEventLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appEventLocalizationUpdateRequest** | [**AppEventLocalizationUpdateRequest**](AppEventLocalizationUpdateRequest.md)| AppEventLocalization representation | 

### Return type

[**AppEventLocalizationResponse**](AppEventLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

