# appstore_connect_api.api.AppEventScreenshotsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appEventScreenshotsCreateInstance**](AppEventScreenshotsApi.md#appeventscreenshotscreateinstance) | **POST** /v1/appEventScreenshots | 
[**appEventScreenshotsDeleteInstance**](AppEventScreenshotsApi.md#appeventscreenshotsdeleteinstance) | **DELETE** /v1/appEventScreenshots/{id} | 
[**appEventScreenshotsGetInstance**](AppEventScreenshotsApi.md#appeventscreenshotsgetinstance) | **GET** /v1/appEventScreenshots/{id} | 
[**appEventScreenshotsUpdateInstance**](AppEventScreenshotsApi.md#appeventscreenshotsupdateinstance) | **PATCH** /v1/appEventScreenshots/{id} | 


# **appEventScreenshotsCreateInstance**
> AppEventScreenshotResponse appEventScreenshotsCreateInstance(appEventScreenshotCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventScreenshotsApi();
final appEventScreenshotCreateRequest = AppEventScreenshotCreateRequest(); // AppEventScreenshotCreateRequest | AppEventScreenshot representation

try {
    final result = api_instance.appEventScreenshotsCreateInstance(appEventScreenshotCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventScreenshotsApi->appEventScreenshotsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appEventScreenshotCreateRequest** | [**AppEventScreenshotCreateRequest**](AppEventScreenshotCreateRequest.md)| AppEventScreenshot representation | 

### Return type

[**AppEventScreenshotResponse**](AppEventScreenshotResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventScreenshotsDeleteInstance**
> appEventScreenshotsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventScreenshotsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appEventScreenshotsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppEventScreenshotsApi->appEventScreenshotsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventScreenshotsGetInstance**
> AppEventScreenshotResponse appEventScreenshotsGetInstance(id, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventScreenshotsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventScreenshots
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appEventScreenshotsGetInstance(id, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppEventScreenshotsApi->appEventScreenshotsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventScreenshots | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppEventScreenshotResponse**](AppEventScreenshotResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventScreenshotsUpdateInstance**
> AppEventScreenshotResponse appEventScreenshotsUpdateInstance(id, appEventScreenshotUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventScreenshotsApi();
final id = id_example; // String | the id of the requested resource
final appEventScreenshotUpdateRequest = AppEventScreenshotUpdateRequest(); // AppEventScreenshotUpdateRequest | AppEventScreenshot representation

try {
    final result = api_instance.appEventScreenshotsUpdateInstance(id, appEventScreenshotUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventScreenshotsApi->appEventScreenshotsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appEventScreenshotUpdateRequest** | [**AppEventScreenshotUpdateRequest**](AppEventScreenshotUpdateRequest.md)| AppEventScreenshot representation | 

### Return type

[**AppEventScreenshotResponse**](AppEventScreenshotResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

