# appstore_connect_api.api.AppEventVideoClipsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appEventVideoClipsCreateInstance**](AppEventVideoClipsApi.md#appeventvideoclipscreateinstance) | **POST** /v1/appEventVideoClips | 
[**appEventVideoClipsDeleteInstance**](AppEventVideoClipsApi.md#appeventvideoclipsdeleteinstance) | **DELETE** /v1/appEventVideoClips/{id} | 
[**appEventVideoClipsGetInstance**](AppEventVideoClipsApi.md#appeventvideoclipsgetinstance) | **GET** /v1/appEventVideoClips/{id} | 
[**appEventVideoClipsUpdateInstance**](AppEventVideoClipsApi.md#appeventvideoclipsupdateinstance) | **PATCH** /v1/appEventVideoClips/{id} | 


# **appEventVideoClipsCreateInstance**
> AppEventVideoClipResponse appEventVideoClipsCreateInstance(appEventVideoClipCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventVideoClipsApi();
final appEventVideoClipCreateRequest = AppEventVideoClipCreateRequest(); // AppEventVideoClipCreateRequest | AppEventVideoClip representation

try {
    final result = api_instance.appEventVideoClipsCreateInstance(appEventVideoClipCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventVideoClipsApi->appEventVideoClipsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appEventVideoClipCreateRequest** | [**AppEventVideoClipCreateRequest**](AppEventVideoClipCreateRequest.md)| AppEventVideoClip representation | 

### Return type

[**AppEventVideoClipResponse**](AppEventVideoClipResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventVideoClipsDeleteInstance**
> appEventVideoClipsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventVideoClipsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appEventVideoClipsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppEventVideoClipsApi->appEventVideoClipsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventVideoClipsGetInstance**
> AppEventVideoClipResponse appEventVideoClipsGetInstance(id, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventVideoClipsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventVideoClips
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appEventVideoClipsGetInstance(id, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppEventVideoClipsApi->appEventVideoClipsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventVideoClips | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppEventVideoClipResponse**](AppEventVideoClipResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventVideoClipsUpdateInstance**
> AppEventVideoClipResponse appEventVideoClipsUpdateInstance(id, appEventVideoClipUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventVideoClipsApi();
final id = id_example; // String | the id of the requested resource
final appEventVideoClipUpdateRequest = AppEventVideoClipUpdateRequest(); // AppEventVideoClipUpdateRequest | AppEventVideoClip representation

try {
    final result = api_instance.appEventVideoClipsUpdateInstance(id, appEventVideoClipUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventVideoClipsApi->appEventVideoClipsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appEventVideoClipUpdateRequest** | [**AppEventVideoClipUpdateRequest**](AppEventVideoClipUpdateRequest.md)| AppEventVideoClip representation | 

### Return type

[**AppEventVideoClipResponse**](AppEventVideoClipResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

