# appstore_connect_api.api.AppEventsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appEventsCreateInstance**](AppEventsApi.md#appeventscreateinstance) | **POST** /v1/appEvents | 
[**appEventsDeleteInstance**](AppEventsApi.md#appeventsdeleteinstance) | **DELETE** /v1/appEvents/{id} | 
[**appEventsGetInstance**](AppEventsApi.md#appeventsgetinstance) | **GET** /v1/appEvents/{id} | 
[**appEventsLocalizationsGetToManyRelated**](AppEventsApi.md#appeventslocalizationsgettomanyrelated) | **GET** /v1/appEvents/{id}/localizations | 
[**appEventsUpdateInstance**](AppEventsApi.md#appeventsupdateinstance) | **PATCH** /v1/appEvents/{id} | 


# **appEventsCreateInstance**
> AppEventResponse appEventsCreateInstance(appEventCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventsApi();
final appEventCreateRequest = AppEventCreateRequest(); // AppEventCreateRequest | AppEvent representation

try {
    final result = api_instance.appEventsCreateInstance(appEventCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventsApi->appEventsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appEventCreateRequest** | [**AppEventCreateRequest**](AppEventCreateRequest.md)| AppEvent representation | 

### Return type

[**AppEventResponse**](AppEventResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventsDeleteInstance**
> appEventsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appEventsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppEventsApi->appEventsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventsGetInstance**
> AppEventResponse appEventsGetInstance(id, fieldsLeftSquareBracketAppEventsRightSquareBracket, include, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, limitLeftSquareBracketLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEventsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEvents
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventLocalizations
final limitLeftSquareBracketLocalizationsRightSquareBracket = 56; // int | maximum number of related localizations returned (when they are included)

try {
    final result = api_instance.appEventsGetInstance(id, fieldsLeftSquareBracketAppEventsRightSquareBracket, include, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, limitLeftSquareBracketLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppEventsApi->appEventsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEventsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEvents | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketLocalizationsRightSquareBracket** | **int**| maximum number of related localizations returned (when they are included) | [optional] 

### Return type

[**AppEventResponse**](AppEventResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventsLocalizationsGetToManyRelated**
> AppEventLocalizationsResponse appEventsLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, limit, limitLeftSquareBracketAppEventScreenshotsRightSquareBracket, limitLeftSquareBracketAppEventVideoClipsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventScreenshots
final fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventVideoClips
final fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEventLocalizations
final fieldsLeftSquareBracketAppEventsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEvents
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppEventScreenshotsRightSquareBracket = 56; // int | maximum number of related appEventScreenshots returned (when they are included)
final limitLeftSquareBracketAppEventVideoClipsRightSquareBracket = 56; // int | maximum number of related appEventVideoClips returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appEventsLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket, fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, limit, limitLeftSquareBracketAppEventScreenshotsRightSquareBracket, limitLeftSquareBracketAppEventVideoClipsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppEventsApi->appEventsLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEventScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventVideoClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventVideoClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEventLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEvents | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppEventScreenshotsRightSquareBracket** | **int**| maximum number of related appEventScreenshots returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppEventVideoClipsRightSquareBracket** | **int**| maximum number of related appEventVideoClips returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppEventLocalizationsResponse**](AppEventLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appEventsUpdateInstance**
> AppEventResponse appEventsUpdateInstance(id, appEventUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppEventsApi();
final id = id_example; // String | the id of the requested resource
final appEventUpdateRequest = AppEventUpdateRequest(); // AppEventUpdateRequest | AppEvent representation

try {
    final result = api_instance.appEventsUpdateInstance(id, appEventUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppEventsApi->appEventsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appEventUpdateRequest** | [**AppEventUpdateRequest**](AppEventUpdateRequest.md)| AppEvent representation | 

### Return type

[**AppEventResponse**](AppEventResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

