# appstore_connect_api.api.AppInfoLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appInfoLocalizationsCreateInstance**](AppInfoLocalizationsApi.md#appinfolocalizationscreateinstance) | **POST** /v1/appInfoLocalizations | 
[**appInfoLocalizationsDeleteInstance**](AppInfoLocalizationsApi.md#appinfolocalizationsdeleteinstance) | **DELETE** /v1/appInfoLocalizations/{id} | 
[**appInfoLocalizationsGetInstance**](AppInfoLocalizationsApi.md#appinfolocalizationsgetinstance) | **GET** /v1/appInfoLocalizations/{id} | 
[**appInfoLocalizationsUpdateInstance**](AppInfoLocalizationsApi.md#appinfolocalizationsupdateinstance) | **PATCH** /v1/appInfoLocalizations/{id} | 


# **appInfoLocalizationsCreateInstance**
> AppInfoLocalizationResponse appInfoLocalizationsCreateInstance(appInfoLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfoLocalizationsApi();
final appInfoLocalizationCreateRequest = AppInfoLocalizationCreateRequest(); // AppInfoLocalizationCreateRequest | AppInfoLocalization representation

try {
    final result = api_instance.appInfoLocalizationsCreateInstance(appInfoLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppInfoLocalizationsApi->appInfoLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appInfoLocalizationCreateRequest** | [**AppInfoLocalizationCreateRequest**](AppInfoLocalizationCreateRequest.md)| AppInfoLocalization representation | 

### Return type

[**AppInfoLocalizationResponse**](AppInfoLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfoLocalizationsDeleteInstance**
> appInfoLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfoLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appInfoLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppInfoLocalizationsApi->appInfoLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfoLocalizationsGetInstance**
> AppInfoLocalizationResponse appInfoLocalizationsGetInstance(id, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfoLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfoLocalizations
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfoLocalizationsGetInstance(id, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfoLocalizationsApi->appInfoLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfoLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppInfoLocalizationResponse**](AppInfoLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfoLocalizationsUpdateInstance**
> AppInfoLocalizationResponse appInfoLocalizationsUpdateInstance(id, appInfoLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfoLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final appInfoLocalizationUpdateRequest = AppInfoLocalizationUpdateRequest(); // AppInfoLocalizationUpdateRequest | AppInfoLocalization representation

try {
    final result = api_instance.appInfoLocalizationsUpdateInstance(id, appInfoLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppInfoLocalizationsApi->appInfoLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appInfoLocalizationUpdateRequest** | [**AppInfoLocalizationUpdateRequest**](AppInfoLocalizationUpdateRequest.md)| AppInfoLocalization representation | 

### Return type

[**AppInfoLocalizationResponse**](AppInfoLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

