# appstore_connect_api.api.AppInfosApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appInfosAgeRatingDeclarationGetToOneRelated**](AppInfosApi.md#appinfosageratingdeclarationgettoonerelated) | **GET** /v1/appInfos/{id}/ageRatingDeclaration | 
[**appInfosAppInfoLocalizationsGetToManyRelated**](AppInfosApi.md#appinfosappinfolocalizationsgettomanyrelated) | **GET** /v1/appInfos/{id}/appInfoLocalizations | 
[**appInfosGetInstance**](AppInfosApi.md#appinfosgetinstance) | **GET** /v1/appInfos/{id} | 
[**appInfosPrimaryCategoryGetToOneRelated**](AppInfosApi.md#appinfosprimarycategorygettoonerelated) | **GET** /v1/appInfos/{id}/primaryCategory | 
[**appInfosPrimarySubcategoryOneGetToOneRelated**](AppInfosApi.md#appinfosprimarysubcategoryonegettoonerelated) | **GET** /v1/appInfos/{id}/primarySubcategoryOne | 
[**appInfosPrimarySubcategoryTwoGetToOneRelated**](AppInfosApi.md#appinfosprimarysubcategorytwogettoonerelated) | **GET** /v1/appInfos/{id}/primarySubcategoryTwo | 
[**appInfosSecondaryCategoryGetToOneRelated**](AppInfosApi.md#appinfossecondarycategorygettoonerelated) | **GET** /v1/appInfos/{id}/secondaryCategory | 
[**appInfosSecondarySubcategoryOneGetToOneRelated**](AppInfosApi.md#appinfossecondarysubcategoryonegettoonerelated) | **GET** /v1/appInfos/{id}/secondarySubcategoryOne | 
[**appInfosSecondarySubcategoryTwoGetToOneRelated**](AppInfosApi.md#appinfossecondarysubcategorytwogettoonerelated) | **GET** /v1/appInfos/{id}/secondarySubcategoryTwo | 
[**appInfosUpdateInstance**](AppInfosApi.md#appinfosupdateinstance) | **PATCH** /v1/appInfos/{id} | 


# **appInfosAgeRatingDeclarationGetToOneRelated**
> AgeRatingDeclarationResponse appInfosAgeRatingDeclarationGetToOneRelated(id, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations

try {
    final result = api_instance.appInfosAgeRatingDeclarationGetToOneRelated(id, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosAgeRatingDeclarationGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]

### Return type

[**AgeRatingDeclarationResponse**](AgeRatingDeclarationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosAppInfoLocalizationsGetToManyRelated**
> AppInfoLocalizationsResponse appInfosAppInfoLocalizationsGetToManyRelated(id, filterLeftSquareBracketLocaleRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketLocaleRightSquareBracket = []; // List<String> | filter by attribute 'locale'
final fieldsLeftSquareBracketAppInfosRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfos
final fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfoLocalizations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfosAppInfoLocalizationsGetToManyRelated(id, filterLeftSquareBracketLocaleRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosAppInfoLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketLocaleRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'locale' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfosRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfos | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfoLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppInfoLocalizationsResponse**](AppInfoLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosGetInstance**
> AppInfoResponse appInfosGetInstance(id, fieldsLeftSquareBracketAppInfosRightSquareBracket, include, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppInfosRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfos
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations
final fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfoLocalizations
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket = 56; // int | maximum number of related appInfoLocalizations returned (when they are included)

try {
    final result = api_instance.appInfosGetInstance(id, fieldsLeftSquareBracketAppInfosRightSquareBracket, include, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppInfosRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfos | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfoLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfoLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limitLeftSquareBracketAppInfoLocalizationsRightSquareBracket** | **int**| maximum number of related appInfoLocalizations returned (when they are included) | [optional] 

### Return type

[**AppInfoResponse**](AppInfoResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosPrimaryCategoryGetToOneRelated**
> AppCategoryResponse appInfosPrimaryCategoryGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfosPrimaryCategoryGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosPrimaryCategoryGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosPrimarySubcategoryOneGetToOneRelated**
> AppCategoryResponse appInfosPrimarySubcategoryOneGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfosPrimarySubcategoryOneGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosPrimarySubcategoryOneGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosPrimarySubcategoryTwoGetToOneRelated**
> AppCategoryResponse appInfosPrimarySubcategoryTwoGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfosPrimarySubcategoryTwoGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosPrimarySubcategoryTwoGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosSecondaryCategoryGetToOneRelated**
> AppCategoryResponse appInfosSecondaryCategoryGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfosSecondaryCategoryGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosSecondaryCategoryGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosSecondarySubcategoryOneGetToOneRelated**
> AppCategoryResponse appInfosSecondarySubcategoryOneGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfosSecondarySubcategoryOneGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosSecondarySubcategoryOneGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosSecondarySubcategoryTwoGetToOneRelated**
> AppCategoryResponse appInfosSecondarySubcategoryTwoGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppCategoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCategories
final limitLeftSquareBracketSubcategoriesRightSquareBracket = 56; // int | maximum number of related subcategories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appInfosSecondarySubcategoryTwoGetToOneRelated(id, fieldsLeftSquareBracketAppCategoriesRightSquareBracket, limitLeftSquareBracketSubcategoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosSecondarySubcategoryTwoGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppCategoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCategories | [optional] [default to const []]
 **limitLeftSquareBracketSubcategoriesRightSquareBracket** | **int**| maximum number of related subcategories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppCategoryResponse**](AppCategoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appInfosUpdateInstance**
> AppInfoResponse appInfosUpdateInstance(id, appInfoUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppInfosApi();
final id = id_example; // String | the id of the requested resource
final appInfoUpdateRequest = AppInfoUpdateRequest(); // AppInfoUpdateRequest | AppInfo representation

try {
    final result = api_instance.appInfosUpdateInstance(id, appInfoUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppInfosApi->appInfosUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appInfoUpdateRequest** | [**AppInfoUpdateRequest**](AppInfoUpdateRequest.md)| AppInfo representation | 

### Return type

[**AppInfoResponse**](AppInfoResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

