# appstore_connect_api.api.AppPriceSchedulesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appPriceSchedulesAutomaticPricesGetToManyRelated**](AppPriceSchedulesApi.md#apppriceschedulesautomaticpricesgettomanyrelated) | **GET** /v1/appPriceSchedules/{id}/automaticPrices | 
[**appPriceSchedulesBaseTerritoryGetToOneRelated**](AppPriceSchedulesApi.md#apppriceschedulesbaseterritorygettoonerelated) | **GET** /v1/appPriceSchedules/{id}/baseTerritory | 
[**appPriceSchedulesCreateInstance**](AppPriceSchedulesApi.md#apppriceschedulescreateinstance) | **POST** /v1/appPriceSchedules | 
[**appPriceSchedulesGetInstance**](AppPriceSchedulesApi.md#apppriceschedulesgetinstance) | **GET** /v1/appPriceSchedules/{id} | 
[**appPriceSchedulesManualPricesGetToManyRelated**](AppPriceSchedulesApi.md#apppriceschedulesmanualpricesgettomanyrelated) | **GET** /v1/appPriceSchedules/{id}/manualPrices | 


# **appPriceSchedulesAutomaticPricesGetToManyRelated**
> AppPricesV2Response appPriceSchedulesAutomaticPricesGetToManyRelated(id, filterLeftSquareBracketEndDateRightSquareBracket, filterLeftSquareBracketStartDateRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketEndDateRightSquareBracket = []; // List<String> | filter by attribute 'endDate'
final filterLeftSquareBracketStartDateRightSquareBracket = []; // List<String> | filter by attribute 'startDate'
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appPriceSchedulesAutomaticPricesGetToManyRelated(id, filterLeftSquareBracketEndDateRightSquareBracket, filterLeftSquareBracketStartDateRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceSchedulesApi->appPriceSchedulesAutomaticPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketEndDateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'endDate' | [optional] [default to const []]
 **filterLeftSquareBracketStartDateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'startDate' | [optional] [default to const []]
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPricesV2Response**](AppPricesV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appPriceSchedulesBaseTerritoryGetToOneRelated**
> TerritoryResponse appPriceSchedulesBaseTerritoryGetToOneRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories

try {
    final result = api_instance.appPriceSchedulesBaseTerritoryGetToOneRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceSchedulesApi->appPriceSchedulesBaseTerritoryGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]

### Return type

[**TerritoryResponse**](TerritoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appPriceSchedulesCreateInstance**
> AppPriceScheduleResponse appPriceSchedulesCreateInstance(appPriceScheduleCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceSchedulesApi();
final appPriceScheduleCreateRequest = AppPriceScheduleCreateRequest(); // AppPriceScheduleCreateRequest | AppPriceSchedule representation

try {
    final result = api_instance.appPriceSchedulesCreateInstance(appPriceScheduleCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceSchedulesApi->appPriceSchedulesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appPriceScheduleCreateRequest** | [**AppPriceScheduleCreateRequest**](AppPriceScheduleCreateRequest.md)| AppPriceSchedule representation | 

### Return type

[**AppPriceScheduleResponse**](AppPriceScheduleResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appPriceSchedulesGetInstance**
> AppPriceScheduleResponse appPriceSchedulesGetInstance(id, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, include, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceSchedules
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAutomaticPricesRightSquareBracket = 56; // int | maximum number of related automaticPrices returned (when they are included)
final limitLeftSquareBracketManualPricesRightSquareBracket = 56; // int | maximum number of related manualPrices returned (when they are included)

try {
    final result = api_instance.appPriceSchedulesGetInstance(id, fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket, include, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceSchedulesApi->appPriceSchedulesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppPriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceSchedules | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAutomaticPricesRightSquareBracket** | **int**| maximum number of related automaticPrices returned (when they are included) | [optional] 
 **limitLeftSquareBracketManualPricesRightSquareBracket** | **int**| maximum number of related manualPrices returned (when they are included) | [optional] 

### Return type

[**AppPriceScheduleResponse**](AppPriceScheduleResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appPriceSchedulesManualPricesGetToManyRelated**
> AppPricesV2Response appPriceSchedulesManualPricesGetToManyRelated(id, filterLeftSquareBracketEndDateRightSquareBracket, filterLeftSquareBracketStartDateRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketEndDateRightSquareBracket = []; // List<String> | filter by attribute 'endDate'
final filterLeftSquareBracketStartDateRightSquareBracket = []; // List<String> | filter by attribute 'startDate'
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appPriceSchedulesManualPricesGetToManyRelated(id, filterLeftSquareBracketEndDateRightSquareBracket, filterLeftSquareBracketStartDateRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceSchedulesApi->appPriceSchedulesManualPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketEndDateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'endDate' | [optional] [default to const []]
 **filterLeftSquareBracketStartDateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'startDate' | [optional] [default to const []]
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPricesV2Response**](AppPricesV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

