# appstore_connect_api.api.AppPriceTiersApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appPriceTiersGetCollection**](AppPriceTiersApi.md#apppricetiersgetcollection) | **GET** /v1/appPriceTiers | 
[**appPriceTiersGetInstance**](AppPriceTiersApi.md#apppricetiersgetinstance) | **GET** /v1/appPriceTiers/{id} | 
[**appPriceTiersPricePointsGetToManyRelated**](AppPriceTiersApi.md#apppricetierspricepointsgettomanyrelated) | **GET** /v1/appPriceTiers/{id}/pricePoints | 


# **appPriceTiersGetCollection**
> AppPriceTiersResponse appPriceTiersGetCollection(filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, limit, include, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, limitLeftSquareBracketPricePointsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceTiersApi();
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketAppPriceTiersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceTiers
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final limitLeftSquareBracketPricePointsRightSquareBracket = 56; // int | maximum number of related pricePoints returned (when they are included)

try {
    final result = api_instance.appPriceTiersGetCollection(filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, limit, include, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, limitLeftSquareBracketPricePointsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceTiersApi->appPriceTiersGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPriceTiersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceTiers | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **limitLeftSquareBracketPricePointsRightSquareBracket** | **int**| maximum number of related pricePoints returned (when they are included) | [optional] 

### Return type

[**AppPriceTiersResponse**](AppPriceTiersResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appPriceTiersGetInstance**
> AppPriceTierResponse appPriceTiersGetInstance(id, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, include, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, limitLeftSquareBracketPricePointsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceTiersApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppPriceTiersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceTiers
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final limitLeftSquareBracketPricePointsRightSquareBracket = 56; // int | maximum number of related pricePoints returned (when they are included)

try {
    final result = api_instance.appPriceTiersGetInstance(id, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, include, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, limitLeftSquareBracketPricePointsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceTiersApi->appPriceTiersGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppPriceTiersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceTiers | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **limitLeftSquareBracketPricePointsRightSquareBracket** | **int**| maximum number of related pricePoints returned (when they are included) | [optional] 

### Return type

[**AppPriceTierResponse**](AppPriceTierResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appPriceTiersPricePointsGetToManyRelated**
> AppPricePointsResponse appPriceTiersPricePointsGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPriceTiersApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketAppPriceTiersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPriceTiers
final fieldsLeftSquareBracketAppPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPricePoints
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appPriceTiersPricePointsGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketAppPriceTiersRightSquareBracket, fieldsLeftSquareBracketAppPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppPriceTiersApi->appPriceTiersPricePointsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPriceTiersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPriceTiers | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPricePointsResponse**](AppPricePointsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

