# appstore_connect_api.api.AppPricesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appPricesGetInstance**](AppPricesApi.md#apppricesgetinstance) | **GET** /v1/appPrices/{id} | 


# **appPricesGetInstance**
> AppPriceResponse appPricesGetInstance(id, fieldsLeftSquareBracketAppPricesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppPricesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appPricesGetInstance(id, fieldsLeftSquareBracketAppPricesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppPricesApi->appPricesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPriceResponse**](AppPriceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

