# appstore_connect_api.api.AppStoreReviewAttachmentsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreReviewAttachmentsCreateInstance**](AppStoreReviewAttachmentsApi.md#appstorereviewattachmentscreateinstance) | **POST** /v1/appStoreReviewAttachments | 
[**appStoreReviewAttachmentsDeleteInstance**](AppStoreReviewAttachmentsApi.md#appstorereviewattachmentsdeleteinstance) | **DELETE** /v1/appStoreReviewAttachments/{id} | 
[**appStoreReviewAttachmentsGetInstance**](AppStoreReviewAttachmentsApi.md#appstorereviewattachmentsgetinstance) | **GET** /v1/appStoreReviewAttachments/{id} | 
[**appStoreReviewAttachmentsUpdateInstance**](AppStoreReviewAttachmentsApi.md#appstorereviewattachmentsupdateinstance) | **PATCH** /v1/appStoreReviewAttachments/{id} | 


# **appStoreReviewAttachmentsCreateInstance**
> AppStoreReviewAttachmentResponse appStoreReviewAttachmentsCreateInstance(appStoreReviewAttachmentCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewAttachmentsApi();
final appStoreReviewAttachmentCreateRequest = AppStoreReviewAttachmentCreateRequest(); // AppStoreReviewAttachmentCreateRequest | AppStoreReviewAttachment representation

try {
    final result = api_instance.appStoreReviewAttachmentsCreateInstance(appStoreReviewAttachmentCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreReviewAttachmentsApi->appStoreReviewAttachmentsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreReviewAttachmentCreateRequest** | [**AppStoreReviewAttachmentCreateRequest**](AppStoreReviewAttachmentCreateRequest.md)| AppStoreReviewAttachment representation | 

### Return type

[**AppStoreReviewAttachmentResponse**](AppStoreReviewAttachmentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreReviewAttachmentsDeleteInstance**
> appStoreReviewAttachmentsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewAttachmentsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appStoreReviewAttachmentsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppStoreReviewAttachmentsApi->appStoreReviewAttachmentsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreReviewAttachmentsGetInstance**
> AppStoreReviewAttachmentResponse appStoreReviewAttachmentsGetInstance(id, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewAttachmentsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewAttachments
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreReviewAttachmentsGetInstance(id, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreReviewAttachmentsApi->appStoreReviewAttachmentsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewAttachments | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreReviewAttachmentResponse**](AppStoreReviewAttachmentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreReviewAttachmentsUpdateInstance**
> AppStoreReviewAttachmentResponse appStoreReviewAttachmentsUpdateInstance(id, appStoreReviewAttachmentUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewAttachmentsApi();
final id = id_example; // String | the id of the requested resource
final appStoreReviewAttachmentUpdateRequest = AppStoreReviewAttachmentUpdateRequest(); // AppStoreReviewAttachmentUpdateRequest | AppStoreReviewAttachment representation

try {
    final result = api_instance.appStoreReviewAttachmentsUpdateInstance(id, appStoreReviewAttachmentUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreReviewAttachmentsApi->appStoreReviewAttachmentsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreReviewAttachmentUpdateRequest** | [**AppStoreReviewAttachmentUpdateRequest**](AppStoreReviewAttachmentUpdateRequest.md)| AppStoreReviewAttachment representation | 

### Return type

[**AppStoreReviewAttachmentResponse**](AppStoreReviewAttachmentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

