# appstore_connect_api.api.AppStoreReviewDetailsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreReviewDetailsAppStoreReviewAttachmentsGetToManyRelated**](AppStoreReviewDetailsApi.md#appstorereviewdetailsappstorereviewattachmentsgettomanyrelated) | **GET** /v1/appStoreReviewDetails/{id}/appStoreReviewAttachments | 
[**appStoreReviewDetailsCreateInstance**](AppStoreReviewDetailsApi.md#appstorereviewdetailscreateinstance) | **POST** /v1/appStoreReviewDetails | 
[**appStoreReviewDetailsGetInstance**](AppStoreReviewDetailsApi.md#appstorereviewdetailsgetinstance) | **GET** /v1/appStoreReviewDetails/{id} | 
[**appStoreReviewDetailsUpdateInstance**](AppStoreReviewDetailsApi.md#appstorereviewdetailsupdateinstance) | **PATCH** /v1/appStoreReviewDetails/{id} | 


# **appStoreReviewDetailsAppStoreReviewAttachmentsGetToManyRelated**
> AppStoreReviewAttachmentsResponse appStoreReviewDetailsAppStoreReviewAttachmentsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewDetails
final fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewAttachments
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreReviewDetailsAppStoreReviewAttachmentsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreReviewDetailsApi->appStoreReviewDetailsAppStoreReviewAttachmentsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewAttachments | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreReviewAttachmentsResponse**](AppStoreReviewAttachmentsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreReviewDetailsCreateInstance**
> AppStoreReviewDetailResponse appStoreReviewDetailsCreateInstance(appStoreReviewDetailCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewDetailsApi();
final appStoreReviewDetailCreateRequest = AppStoreReviewDetailCreateRequest(); // AppStoreReviewDetailCreateRequest | AppStoreReviewDetail representation

try {
    final result = api_instance.appStoreReviewDetailsCreateInstance(appStoreReviewDetailCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreReviewDetailsApi->appStoreReviewDetailsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreReviewDetailCreateRequest** | [**AppStoreReviewDetailCreateRequest**](AppStoreReviewDetailCreateRequest.md)| AppStoreReviewDetail representation | 

### Return type

[**AppStoreReviewDetailResponse**](AppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreReviewDetailsGetInstance**
> AppStoreReviewDetailResponse appStoreReviewDetailsGetInstance(id, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewDetails
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewAttachments
final limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket = 56; // int | maximum number of related appStoreReviewAttachments returned (when they are included)

try {
    final result = api_instance.appStoreReviewDetailsGetInstance(id, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreReviewDetailsApi->appStoreReviewDetailsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewDetails | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewAttachments | [optional] [default to const []]
 **limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket** | **int**| maximum number of related appStoreReviewAttachments returned (when they are included) | [optional] 

### Return type

[**AppStoreReviewDetailResponse**](AppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreReviewDetailsUpdateInstance**
> AppStoreReviewDetailResponse appStoreReviewDetailsUpdateInstance(id, appStoreReviewDetailUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final appStoreReviewDetailUpdateRequest = AppStoreReviewDetailUpdateRequest(); // AppStoreReviewDetailUpdateRequest | AppStoreReviewDetail representation

try {
    final result = api_instance.appStoreReviewDetailsUpdateInstance(id, appStoreReviewDetailUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreReviewDetailsApi->appStoreReviewDetailsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreReviewDetailUpdateRequest** | [**AppStoreReviewDetailUpdateRequest**](AppStoreReviewDetailUpdateRequest.md)| AppStoreReviewDetail representation | 

### Return type

[**AppStoreReviewDetailResponse**](AppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

