# appstore_connect_api.api.AppStoreVersionExperimentTreatmentLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreVersionExperimentTreatmentLocalizationsAppPreviewSetsGetToManyRelated**](AppStoreVersionExperimentTreatmentLocalizationsApi.md#appstoreversionexperimenttreatmentlocalizationsapppreviewsetsgettomanyrelated) | **GET** /v1/appStoreVersionExperimentTreatmentLocalizations/{id}/appPreviewSets | 
[**appStoreVersionExperimentTreatmentLocalizationsAppScreenshotSetsGetToManyRelated**](AppStoreVersionExperimentTreatmentLocalizationsApi.md#appstoreversionexperimenttreatmentlocalizationsappscreenshotsetsgettomanyrelated) | **GET** /v1/appStoreVersionExperimentTreatmentLocalizations/{id}/appScreenshotSets | 
[**appStoreVersionExperimentTreatmentLocalizationsCreateInstance**](AppStoreVersionExperimentTreatmentLocalizationsApi.md#appstoreversionexperimenttreatmentlocalizationscreateinstance) | **POST** /v1/appStoreVersionExperimentTreatmentLocalizations | 
[**appStoreVersionExperimentTreatmentLocalizationsDeleteInstance**](AppStoreVersionExperimentTreatmentLocalizationsApi.md#appstoreversionexperimenttreatmentlocalizationsdeleteinstance) | **DELETE** /v1/appStoreVersionExperimentTreatmentLocalizations/{id} | 
[**appStoreVersionExperimentTreatmentLocalizationsGetInstance**](AppStoreVersionExperimentTreatmentLocalizationsApi.md#appstoreversionexperimenttreatmentlocalizationsgetinstance) | **GET** /v1/appStoreVersionExperimentTreatmentLocalizations/{id} | 


# **appStoreVersionExperimentTreatmentLocalizationsAppPreviewSetsGetToManyRelated**
> AppPreviewSetsResponse appStoreVersionExperimentTreatmentLocalizationsAppPreviewSetsGetToManyRelated(id, filterLeftSquareBracketPreviewTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPreviewsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppPreviewsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentTreatmentLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketPreviewTypeRightSquareBracket = []; // List<String> | filter by attribute 'previewType'
final filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appCustomProductPageLocalization'
final filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionLocalization'
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final fieldsLeftSquareBracketAppPreviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviews
final fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviewSets
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppPreviewsRightSquareBracket = 56; // int | maximum number of related appPreviews returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionExperimentTreatmentLocalizationsAppPreviewSetsGetToManyRelated(id, filterLeftSquareBracketPreviewTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPreviewsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppPreviewsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentTreatmentLocalizationsApi->appStoreVersionExperimentTreatmentLocalizationsAppPreviewSetsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketPreviewTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'previewType' | [optional] [default to const []]
 **filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appCustomProductPageLocalization' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionLocalization' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviews | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviewSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppPreviewsRightSquareBracket** | **int**| maximum number of related appPreviews returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPreviewSetsResponse**](AppPreviewSetsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentTreatmentLocalizationsAppScreenshotSetsGetToManyRelated**
> AppScreenshotSetsResponse appStoreVersionExperimentTreatmentLocalizationsAppScreenshotSetsGetToManyRelated(id, filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentTreatmentLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket = []; // List<String> | filter by attribute 'screenshotDisplayType'
final filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appCustomProductPageLocalization'
final filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionLocalization'
final fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshotSets
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final fieldsLeftSquareBracketAppScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshots
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppScreenshotsRightSquareBracket = 56; // int | maximum number of related appScreenshots returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionExperimentTreatmentLocalizationsAppScreenshotSetsGetToManyRelated(id, filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentTreatmentLocalizationsApi->appStoreVersionExperimentTreatmentLocalizationsAppScreenshotSetsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'screenshotDisplayType' | [optional] [default to const []]
 **filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appCustomProductPageLocalization' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionLocalization' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshotSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppScreenshotsRightSquareBracket** | **int**| maximum number of related appScreenshots returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppScreenshotSetsResponse**](AppScreenshotSetsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentTreatmentLocalizationsCreateInstance**
> AppStoreVersionExperimentTreatmentLocalizationResponse appStoreVersionExperimentTreatmentLocalizationsCreateInstance(appStoreVersionExperimentTreatmentLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentTreatmentLocalizationsApi();
final appStoreVersionExperimentTreatmentLocalizationCreateRequest = AppStoreVersionExperimentTreatmentLocalizationCreateRequest(); // AppStoreVersionExperimentTreatmentLocalizationCreateRequest | AppStoreVersionExperimentTreatmentLocalization representation

try {
    final result = api_instance.appStoreVersionExperimentTreatmentLocalizationsCreateInstance(appStoreVersionExperimentTreatmentLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentTreatmentLocalizationsApi->appStoreVersionExperimentTreatmentLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreVersionExperimentTreatmentLocalizationCreateRequest** | [**AppStoreVersionExperimentTreatmentLocalizationCreateRequest**](AppStoreVersionExperimentTreatmentLocalizationCreateRequest.md)| AppStoreVersionExperimentTreatmentLocalization representation | 

### Return type

[**AppStoreVersionExperimentTreatmentLocalizationResponse**](AppStoreVersionExperimentTreatmentLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentTreatmentLocalizationsDeleteInstance**
> appStoreVersionExperimentTreatmentLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentTreatmentLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appStoreVersionExperimentTreatmentLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentTreatmentLocalizationsApi->appStoreVersionExperimentTreatmentLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionExperimentTreatmentLocalizationsGetInstance**
> AppStoreVersionExperimentTreatmentLocalizationResponse appStoreVersionExperimentTreatmentLocalizationsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionExperimentTreatmentLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshotSets
final fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviewSets
final limitLeftSquareBracketAppPreviewSetsRightSquareBracket = 56; // int | maximum number of related appPreviewSets returned (when they are included)
final limitLeftSquareBracketAppScreenshotSetsRightSquareBracket = 56; // int | maximum number of related appScreenshotSets returned (when they are included)

try {
    final result = api_instance.appStoreVersionExperimentTreatmentLocalizationsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionExperimentTreatmentLocalizationsApi->appStoreVersionExperimentTreatmentLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshotSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviewSets | [optional] [default to const []]
 **limitLeftSquareBracketAppPreviewSetsRightSquareBracket** | **int**| maximum number of related appPreviewSets returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppScreenshotSetsRightSquareBracket** | **int**| maximum number of related appScreenshotSets returned (when they are included) | [optional] 

### Return type

[**AppStoreVersionExperimentTreatmentLocalizationResponse**](AppStoreVersionExperimentTreatmentLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

