# appstore_connect_api.api.AppStoreVersionLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreVersionLocalizationsAppPreviewSetsGetToManyRelated**](AppStoreVersionLocalizationsApi.md#appstoreversionlocalizationsapppreviewsetsgettomanyrelated) | **GET** /v1/appStoreVersionLocalizations/{id}/appPreviewSets | 
[**appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelated**](AppStoreVersionLocalizationsApi.md#appstoreversionlocalizationsappscreenshotsetsgettomanyrelated) | **GET** /v1/appStoreVersionLocalizations/{id}/appScreenshotSets | 
[**appStoreVersionLocalizationsCreateInstance**](AppStoreVersionLocalizationsApi.md#appstoreversionlocalizationscreateinstance) | **POST** /v1/appStoreVersionLocalizations | 
[**appStoreVersionLocalizationsDeleteInstance**](AppStoreVersionLocalizationsApi.md#appstoreversionlocalizationsdeleteinstance) | **DELETE** /v1/appStoreVersionLocalizations/{id} | 
[**appStoreVersionLocalizationsGetInstance**](AppStoreVersionLocalizationsApi.md#appstoreversionlocalizationsgetinstance) | **GET** /v1/appStoreVersionLocalizations/{id} | 
[**appStoreVersionLocalizationsUpdateInstance**](AppStoreVersionLocalizationsApi.md#appstoreversionlocalizationsupdateinstance) | **PATCH** /v1/appStoreVersionLocalizations/{id} | 


# **appStoreVersionLocalizationsAppPreviewSetsGetToManyRelated**
> AppPreviewSetsResponse appStoreVersionLocalizationsAppPreviewSetsGetToManyRelated(id, filterLeftSquareBracketPreviewTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPreviewsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppPreviewsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketPreviewTypeRightSquareBracket = []; // List<String> | filter by attribute 'previewType'
final filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appCustomProductPageLocalization'
final filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final fieldsLeftSquareBracketAppPreviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviews
final fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviewSets
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppPreviewsRightSquareBracket = 56; // int | maximum number of related appPreviews returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionLocalizationsAppPreviewSetsGetToManyRelated(id, filterLeftSquareBracketPreviewTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppPreviewsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppPreviewsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionLocalizationsApi->appStoreVersionLocalizationsAppPreviewSetsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketPreviewTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'previewType' | [optional] [default to const []]
 **filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appCustomProductPageLocalization' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviews | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviewSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppPreviewsRightSquareBracket** | **int**| maximum number of related appPreviews returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppPreviewSetsResponse**](AppPreviewSetsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelated**
> AppScreenshotSetsResponse appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelated(id, filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket = []; // List<String> | filter by attribute 'screenshotDisplayType'
final filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appCustomProductPageLocalization'
final filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
final fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshotSets
final fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageLocalizations
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
final fieldsLeftSquareBracketAppScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshots
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppScreenshotsRightSquareBracket = 56; // int | maximum number of related appScreenshots returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelated(id, filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket, filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket, filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppScreenshotsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketAppScreenshotsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionLocalizationsApi->appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketScreenshotDisplayTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'screenshotDisplayType' | [optional] [default to const []]
 **filterLeftSquareBracketAppCustomProductPageLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appCustomProductPageLocalization' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshotSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppScreenshotsRightSquareBracket** | **int**| maximum number of related appScreenshots returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppScreenshotSetsResponse**](AppScreenshotSetsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionLocalizationsCreateInstance**
> AppStoreVersionLocalizationResponse appStoreVersionLocalizationsCreateInstance(appStoreVersionLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionLocalizationsApi();
final appStoreVersionLocalizationCreateRequest = AppStoreVersionLocalizationCreateRequest(); // AppStoreVersionLocalizationCreateRequest | AppStoreVersionLocalization representation

try {
    final result = api_instance.appStoreVersionLocalizationsCreateInstance(appStoreVersionLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionLocalizationsApi->appStoreVersionLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreVersionLocalizationCreateRequest** | [**AppStoreVersionLocalizationCreateRequest**](AppStoreVersionLocalizationCreateRequest.md)| AppStoreVersionLocalization representation | 

### Return type

[**AppStoreVersionLocalizationResponse**](AppStoreVersionLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionLocalizationsDeleteInstance**
> appStoreVersionLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appStoreVersionLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppStoreVersionLocalizationsApi->appStoreVersionLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionLocalizationsGetInstance**
> AppStoreVersionLocalizationResponse appStoreVersionLocalizationsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appScreenshotSets
final fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreviewSets
final limitLeftSquareBracketAppPreviewSetsRightSquareBracket = 56; // int | maximum number of related appPreviewSets returned (when they are included)
final limitLeftSquareBracketAppScreenshotSetsRightSquareBracket = 56; // int | maximum number of related appScreenshotSets returned (when they are included)

try {
    final result = api_instance.appStoreVersionLocalizationsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket, fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppPreviewSetsRightSquareBracket, limitLeftSquareBracketAppScreenshotSetsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionLocalizationsApi->appStoreVersionLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppScreenshotSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appScreenshotSets | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreviewSetsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreviewSets | [optional] [default to const []]
 **limitLeftSquareBracketAppPreviewSetsRightSquareBracket** | **int**| maximum number of related appPreviewSets returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppScreenshotSetsRightSquareBracket** | **int**| maximum number of related appScreenshotSets returned (when they are included) | [optional] 

### Return type

[**AppStoreVersionLocalizationResponse**](AppStoreVersionLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionLocalizationsUpdateInstance**
> AppStoreVersionLocalizationResponse appStoreVersionLocalizationsUpdateInstance(id, appStoreVersionLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final appStoreVersionLocalizationUpdateRequest = AppStoreVersionLocalizationUpdateRequest(); // AppStoreVersionLocalizationUpdateRequest | AppStoreVersionLocalization representation

try {
    final result = api_instance.appStoreVersionLocalizationsUpdateInstance(id, appStoreVersionLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionLocalizationsApi->appStoreVersionLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreVersionLocalizationUpdateRequest** | [**AppStoreVersionLocalizationUpdateRequest**](AppStoreVersionLocalizationUpdateRequest.md)| AppStoreVersionLocalization representation | 

### Return type

[**AppStoreVersionLocalizationResponse**](AppStoreVersionLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

