# appstore_connect_api.api.AppStoreVersionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**appStoreVersionsAgeRatingDeclarationGetToOneRelated**](AppStoreVersionsApi.md#appstoreversionsageratingdeclarationgettoonerelated) | **GET** /v1/appStoreVersions/{id}/ageRatingDeclaration | 
[**appStoreVersionsAppClipDefaultExperienceGetToOneRelated**](AppStoreVersionsApi.md#appstoreversionsappclipdefaultexperiencegettoonerelated) | **GET** /v1/appStoreVersions/{id}/appClipDefaultExperience | 
[**appStoreVersionsAppClipDefaultExperienceGetToOneRelationship**](AppStoreVersionsApi.md#appstoreversionsappclipdefaultexperiencegettoonerelationship) | **GET** /v1/appStoreVersions/{id}/relationships/appClipDefaultExperience | 
[**appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationship**](AppStoreVersionsApi.md#appstoreversionsappclipdefaultexperienceupdatetoonerelationship) | **PATCH** /v1/appStoreVersions/{id}/relationships/appClipDefaultExperience | 
[**appStoreVersionsAppStoreReviewDetailGetToOneRelated**](AppStoreVersionsApi.md#appstoreversionsappstorereviewdetailgettoonerelated) | **GET** /v1/appStoreVersions/{id}/appStoreReviewDetail | 
[**appStoreVersionsAppStoreVersionExperimentsGetToManyRelated**](AppStoreVersionsApi.md#appstoreversionsappstoreversionexperimentsgettomanyrelated) | **GET** /v1/appStoreVersions/{id}/appStoreVersionExperiments | 
[**appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelated**](AppStoreVersionsApi.md#appstoreversionsappstoreversionexperimentsv2gettomanyrelated) | **GET** /v1/appStoreVersions/{id}/appStoreVersionExperimentsV2 | 
[**appStoreVersionsAppStoreVersionLocalizationsGetToManyRelated**](AppStoreVersionsApi.md#appstoreversionsappstoreversionlocalizationsgettomanyrelated) | **GET** /v1/appStoreVersions/{id}/appStoreVersionLocalizations | 
[**appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelated**](AppStoreVersionsApi.md#appstoreversionsappstoreversionphasedreleasegettoonerelated) | **GET** /v1/appStoreVersions/{id}/appStoreVersionPhasedRelease | 
[**appStoreVersionsAppStoreVersionSubmissionGetToOneRelated**](AppStoreVersionsApi.md#appstoreversionsappstoreversionsubmissiongettoonerelated) | **GET** /v1/appStoreVersions/{id}/appStoreVersionSubmission | 
[**appStoreVersionsBuildGetToOneRelated**](AppStoreVersionsApi.md#appstoreversionsbuildgettoonerelated) | **GET** /v1/appStoreVersions/{id}/build | 
[**appStoreVersionsBuildGetToOneRelationship**](AppStoreVersionsApi.md#appstoreversionsbuildgettoonerelationship) | **GET** /v1/appStoreVersions/{id}/relationships/build | 
[**appStoreVersionsBuildUpdateToOneRelationship**](AppStoreVersionsApi.md#appstoreversionsbuildupdatetoonerelationship) | **PATCH** /v1/appStoreVersions/{id}/relationships/build | 
[**appStoreVersionsCreateInstance**](AppStoreVersionsApi.md#appstoreversionscreateinstance) | **POST** /v1/appStoreVersions | 
[**appStoreVersionsCustomerReviewsGetToManyRelated**](AppStoreVersionsApi.md#appstoreversionscustomerreviewsgettomanyrelated) | **GET** /v1/appStoreVersions/{id}/customerReviews | 
[**appStoreVersionsDeleteInstance**](AppStoreVersionsApi.md#appstoreversionsdeleteinstance) | **DELETE** /v1/appStoreVersions/{id} | 
[**appStoreVersionsGetInstance**](AppStoreVersionsApi.md#appstoreversionsgetinstance) | **GET** /v1/appStoreVersions/{id} | 
[**appStoreVersionsRoutingAppCoverageGetToOneRelated**](AppStoreVersionsApi.md#appstoreversionsroutingappcoveragegettoonerelated) | **GET** /v1/appStoreVersions/{id}/routingAppCoverage | 
[**appStoreVersionsUpdateInstance**](AppStoreVersionsApi.md#appstoreversionsupdateinstance) | **PATCH** /v1/appStoreVersions/{id} | 


# **appStoreVersionsAgeRatingDeclarationGetToOneRelated**
> AgeRatingDeclarationResponse appStoreVersionsAgeRatingDeclarationGetToOneRelated(id, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations

try {
    final result = api_instance.appStoreVersionsAgeRatingDeclarationGetToOneRelated(id, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAgeRatingDeclarationGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]

### Return type

[**AgeRatingDeclarationResponse**](AgeRatingDeclarationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppClipDefaultExperienceGetToOneRelated**
> AppClipDefaultExperienceResponse appStoreVersionsAppClipDefaultExperienceGetToOneRelated(id, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipAppStoreReviewDetails
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperienceLocalizations
final limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket = 56; // int | maximum number of related appClipDefaultExperienceLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionsAppClipDefaultExperienceGetToOneRelated(id, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppClipDefaultExperienceGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipAppStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperienceLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketAppClipDefaultExperienceLocalizationsRightSquareBracket** | **int**| maximum number of related appClipDefaultExperienceLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppClipDefaultExperienceResponse**](AppClipDefaultExperienceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppClipDefaultExperienceGetToOneRelationship**
> AppStoreVersionAppClipDefaultExperienceLinkageResponse appStoreVersionsAppClipDefaultExperienceGetToOneRelationship(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource

try {
    final result = api_instance.appStoreVersionsAppClipDefaultExperienceGetToOneRelationship(id);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppClipDefaultExperienceGetToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

[**AppStoreVersionAppClipDefaultExperienceLinkageResponse**](AppStoreVersionAppClipDefaultExperienceLinkageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationship**
> appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationship(id, appStoreVersionAppClipDefaultExperienceLinkageRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final appStoreVersionAppClipDefaultExperienceLinkageRequest = AppStoreVersionAppClipDefaultExperienceLinkageRequest(); // AppStoreVersionAppClipDefaultExperienceLinkageRequest | Related linkage

try {
    api_instance.appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationship(id, appStoreVersionAppClipDefaultExperienceLinkageRequest);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreVersionAppClipDefaultExperienceLinkageRequest** | [**AppStoreVersionAppClipDefaultExperienceLinkageRequest**](AppStoreVersionAppClipDefaultExperienceLinkageRequest.md)| Related linkage | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppStoreReviewDetailGetToOneRelated**
> AppStoreReviewDetailResponse appStoreVersionsAppStoreReviewDetailGetToOneRelated(id, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewDetails
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewAttachments
final limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket = 56; // int | maximum number of related appStoreReviewAttachments returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionsAppStoreReviewDetailGetToOneRelated(id, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppStoreReviewDetailGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewAttachments | [optional] [default to const []]
 **limitLeftSquareBracketAppStoreReviewAttachmentsRightSquareBracket** | **int**| maximum number of related appStoreReviewAttachments returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreReviewDetailResponse**](AppStoreReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppStoreVersionExperimentsGetToManyRelated**
> AppStoreVersionExperimentsResponse appStoreVersionsAppStoreVersionExperimentsGetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatments
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionsAppStoreVersionExperimentsGetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, limit, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppStoreVersionExperimentsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentTreatments returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionExperimentsResponse**](AppStoreVersionExperimentsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelated**
> AppStoreVersionExperimentsV2Response appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketControlVersionsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperimentTreatments
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketControlVersionsRightSquareBracket = 56; // int | maximum number of related controlVersions returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelated(id, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limit, limitLeftSquareBracketControlVersionsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperimentTreatments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketControlVersionsRightSquareBracket** | **int**| maximum number of related controlVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentTreatmentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentTreatments returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionExperimentsV2Response**](AppStoreVersionExperimentsV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppStoreVersionLocalizationsGetToManyRelated**
> AppStoreVersionLocalizationsResponse appStoreVersionsAppStoreVersionLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.appStoreVersionsAppStoreVersionLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppStoreVersionLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**AppStoreVersionLocalizationsResponse**](AppStoreVersionLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelated**
> AppStoreVersionPhasedReleaseResponse appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionPhasedReleases

try {
    final result = api_instance.appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionPhasedReleases | [optional] [default to const []]

### Return type

[**AppStoreVersionPhasedReleaseResponse**](AppStoreVersionPhasedReleaseResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsAppStoreVersionSubmissionGetToOneRelated**
> AppStoreVersionSubmissionResponse appStoreVersionsAppStoreVersionSubmissionGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionSubmissions
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionsAppStoreVersionSubmissionGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsAppStoreVersionSubmissionGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionSubmissionResponse**](AppStoreVersionSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsBuildGetToOneRelated**
> BuildResponse appStoreVersionsBuildGetToOneRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds

try {
    final result = api_instance.appStoreVersionsBuildGetToOneRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsBuildGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]

### Return type

[**BuildResponse**](BuildResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsBuildGetToOneRelationship**
> AppStoreVersionBuildLinkageResponse appStoreVersionsBuildGetToOneRelationship(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource

try {
    final result = api_instance.appStoreVersionsBuildGetToOneRelationship(id);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsBuildGetToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

[**AppStoreVersionBuildLinkageResponse**](AppStoreVersionBuildLinkageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsBuildUpdateToOneRelationship**
> appStoreVersionsBuildUpdateToOneRelationship(id, appStoreVersionBuildLinkageRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final appStoreVersionBuildLinkageRequest = AppStoreVersionBuildLinkageRequest(); // AppStoreVersionBuildLinkageRequest | Related linkage

try {
    api_instance.appStoreVersionsBuildUpdateToOneRelationship(id, appStoreVersionBuildLinkageRequest);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsBuildUpdateToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreVersionBuildLinkageRequest** | [**AppStoreVersionBuildLinkageRequest**](AppStoreVersionBuildLinkageRequest.md)| Related linkage | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsCreateInstance**
> AppStoreVersionResponse appStoreVersionsCreateInstance(appStoreVersionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final appStoreVersionCreateRequest = AppStoreVersionCreateRequest(); // AppStoreVersionCreateRequest | AppStoreVersion representation

try {
    final result = api_instance.appStoreVersionsCreateInstance(appStoreVersionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **appStoreVersionCreateRequest** | [**AppStoreVersionCreateRequest**](AppStoreVersionCreateRequest.md)| AppStoreVersion representation | 

### Return type

[**AppStoreVersionResponse**](AppStoreVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsCustomerReviewsGetToManyRelated**
> CustomerReviewsResponse appStoreVersionsCustomerReviewsGetToManyRelated(id, filterLeftSquareBracketRatingRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, existsLeftSquareBracketPublishedResponseRightSquareBracket, sort, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketRatingRightSquareBracket = []; // List<String> | filter by attribute 'rating'
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by attribute 'territory'
final existsLeftSquareBracketPublishedResponseRightSquareBracket = true; // bool | filter by publishedResponse
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketCustomerReviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviews
final fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviewResponses
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.appStoreVersionsCustomerReviewsGetToManyRelated(id, filterLeftSquareBracketRatingRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, existsLeftSquareBracketPublishedResponseRightSquareBracket, sort, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsCustomerReviewsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketRatingRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'rating' | [optional] [default to const []]
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'territory' | [optional] [default to const []]
 **existsLeftSquareBracketPublishedResponseRightSquareBracket** | **bool**| filter by publishedResponse | [optional] 
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviews | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviewResponses | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CustomerReviewsResponse**](CustomerReviewsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsDeleteInstance**
> appStoreVersionsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.appStoreVersionsDeleteInstance(id);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsGetInstance**
> AppStoreVersionResponse appStoreVersionsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionSubmissions
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations
final fieldsLeftSquareBracketCustomerReviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviews
final fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewDetails
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type routingAppCoverages
final fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionPhasedReleases
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperiments returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
final limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = 56; // int | maximum number of related appStoreVersionLocalizations returned (when they are included)

try {
    final result = api_instance.appStoreVersionsGetInstance(id, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, include, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviews | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type routingAppCoverages | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionPhasedReleases | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperiments returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentsV2 returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | **int**| maximum number of related appStoreVersionLocalizations returned (when they are included) | [optional] 

### Return type

[**AppStoreVersionResponse**](AppStoreVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsRoutingAppCoverageGetToOneRelated**
> RoutingAppCoverageResponse appStoreVersionsRoutingAppCoverageGetToOneRelated(id, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type routingAppCoverages

try {
    final result = api_instance.appStoreVersionsRoutingAppCoverageGetToOneRelated(id, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsRoutingAppCoverageGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type routingAppCoverages | [optional] [default to const []]

### Return type

[**RoutingAppCoverageResponse**](RoutingAppCoverageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **appStoreVersionsUpdateInstance**
> AppStoreVersionResponse appStoreVersionsUpdateInstance(id, appStoreVersionUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = AppStoreVersionsApi();
final id = id_example; // String | the id of the requested resource
final appStoreVersionUpdateRequest = AppStoreVersionUpdateRequest(); // AppStoreVersionUpdateRequest | AppStoreVersion representation

try {
    final result = api_instance.appStoreVersionsUpdateInstance(id, appStoreVersionUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling AppStoreVersionsApi->appStoreVersionsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **appStoreVersionUpdateRequest** | [**AppStoreVersionUpdateRequest**](AppStoreVersionUpdateRequest.md)| AppStoreVersion representation | 

### Return type

[**AppStoreVersionResponse**](AppStoreVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

