# appstore_connect_api.api.BetaAppClipInvocationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**betaAppClipInvocationsCreateInstance**](BetaAppClipInvocationsApi.md#betaappclipinvocationscreateinstance) | **POST** /v1/betaAppClipInvocations | 
[**betaAppClipInvocationsDeleteInstance**](BetaAppClipInvocationsApi.md#betaappclipinvocationsdeleteinstance) | **DELETE** /v1/betaAppClipInvocations/{id} | 
[**betaAppClipInvocationsGetInstance**](BetaAppClipInvocationsApi.md#betaappclipinvocationsgetinstance) | **GET** /v1/betaAppClipInvocations/{id} | 
[**betaAppClipInvocationsUpdateInstance**](BetaAppClipInvocationsApi.md#betaappclipinvocationsupdateinstance) | **PATCH** /v1/betaAppClipInvocations/{id} | 


# **betaAppClipInvocationsCreateInstance**
> BetaAppClipInvocationResponse betaAppClipInvocationsCreateInstance(betaAppClipInvocationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppClipInvocationsApi();
final betaAppClipInvocationCreateRequest = BetaAppClipInvocationCreateRequest(); // BetaAppClipInvocationCreateRequest | BetaAppClipInvocation representation

try {
    final result = api_instance.betaAppClipInvocationsCreateInstance(betaAppClipInvocationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppClipInvocationsApi->betaAppClipInvocationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **betaAppClipInvocationCreateRequest** | [**BetaAppClipInvocationCreateRequest**](BetaAppClipInvocationCreateRequest.md)| BetaAppClipInvocation representation | 

### Return type

[**BetaAppClipInvocationResponse**](BetaAppClipInvocationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppClipInvocationsDeleteInstance**
> betaAppClipInvocationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppClipInvocationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.betaAppClipInvocationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling BetaAppClipInvocationsApi->betaAppClipInvocationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppClipInvocationsGetInstance**
> BetaAppClipInvocationResponse betaAppClipInvocationsGetInstance(id, fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket, include, limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppClipInvocationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppClipInvocations
final include = []; // List<String> | comma-separated list of relationships to include
final limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket = 56; // int | maximum number of related betaAppClipInvocationLocalizations returned (when they are included)

try {
    final result = api_instance.betaAppClipInvocationsGetInstance(id, fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket, include, limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppClipInvocationsApi->betaAppClipInvocationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppClipInvocations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket** | **int**| maximum number of related betaAppClipInvocationLocalizations returned (when they are included) | [optional] 

### Return type

[**BetaAppClipInvocationResponse**](BetaAppClipInvocationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppClipInvocationsUpdateInstance**
> BetaAppClipInvocationResponse betaAppClipInvocationsUpdateInstance(id, betaAppClipInvocationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppClipInvocationsApi();
final id = id_example; // String | the id of the requested resource
final betaAppClipInvocationUpdateRequest = BetaAppClipInvocationUpdateRequest(); // BetaAppClipInvocationUpdateRequest | BetaAppClipInvocation representation

try {
    final result = api_instance.betaAppClipInvocationsUpdateInstance(id, betaAppClipInvocationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppClipInvocationsApi->betaAppClipInvocationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaAppClipInvocationUpdateRequest** | [**BetaAppClipInvocationUpdateRequest**](BetaAppClipInvocationUpdateRequest.md)| BetaAppClipInvocation representation | 

### Return type

[**BetaAppClipInvocationResponse**](BetaAppClipInvocationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

