# appstore_connect_api.api.BetaAppLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**betaAppLocalizationsAppGetToOneRelated**](BetaAppLocalizationsApi.md#betaapplocalizationsappgettoonerelated) | **GET** /v1/betaAppLocalizations/{id}/app | 
[**betaAppLocalizationsCreateInstance**](BetaAppLocalizationsApi.md#betaapplocalizationscreateinstance) | **POST** /v1/betaAppLocalizations | 
[**betaAppLocalizationsDeleteInstance**](BetaAppLocalizationsApi.md#betaapplocalizationsdeleteinstance) | **DELETE** /v1/betaAppLocalizations/{id} | 
[**betaAppLocalizationsGetCollection**](BetaAppLocalizationsApi.md#betaapplocalizationsgetcollection) | **GET** /v1/betaAppLocalizations | 
[**betaAppLocalizationsGetInstance**](BetaAppLocalizationsApi.md#betaapplocalizationsgetinstance) | **GET** /v1/betaAppLocalizations/{id} | 
[**betaAppLocalizationsUpdateInstance**](BetaAppLocalizationsApi.md#betaapplocalizationsupdateinstance) | **PATCH** /v1/betaAppLocalizations/{id} | 


# **betaAppLocalizationsAppGetToOneRelated**
> AppResponse betaAppLocalizationsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaAppLocalizationsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppLocalizationsApi->betaAppLocalizationsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppLocalizationsCreateInstance**
> BetaAppLocalizationResponse betaAppLocalizationsCreateInstance(betaAppLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppLocalizationsApi();
final betaAppLocalizationCreateRequest = BetaAppLocalizationCreateRequest(); // BetaAppLocalizationCreateRequest | BetaAppLocalization representation

try {
    final result = api_instance.betaAppLocalizationsCreateInstance(betaAppLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppLocalizationsApi->betaAppLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **betaAppLocalizationCreateRequest** | [**BetaAppLocalizationCreateRequest**](BetaAppLocalizationCreateRequest.md)| BetaAppLocalization representation | 

### Return type

[**BetaAppLocalizationResponse**](BetaAppLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppLocalizationsDeleteInstance**
> betaAppLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.betaAppLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling BetaAppLocalizationsApi->betaAppLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppLocalizationsGetCollection**
> BetaAppLocalizationsResponse betaAppLocalizationsGetCollection(filterLeftSquareBracketLocaleRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppLocalizationsApi();
final filterLeftSquareBracketLocaleRightSquareBracket = []; // List<String> | filter by attribute 'locale'
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppLocalizations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaAppLocalizationsGetCollection(filterLeftSquareBracketLocaleRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppLocalizationsApi->betaAppLocalizationsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketLocaleRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'locale' | [optional] [default to const []]
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**BetaAppLocalizationsResponse**](BetaAppLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppLocalizationsGetInstance**
> BetaAppLocalizationResponse betaAppLocalizationsGetInstance(id, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppLocalizations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaAppLocalizationsGetInstance(id, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppLocalizationsApi->betaAppLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**BetaAppLocalizationResponse**](BetaAppLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppLocalizationsUpdateInstance**
> BetaAppLocalizationResponse betaAppLocalizationsUpdateInstance(id, betaAppLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final betaAppLocalizationUpdateRequest = BetaAppLocalizationUpdateRequest(); // BetaAppLocalizationUpdateRequest | BetaAppLocalization representation

try {
    final result = api_instance.betaAppLocalizationsUpdateInstance(id, betaAppLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppLocalizationsApi->betaAppLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaAppLocalizationUpdateRequest** | [**BetaAppLocalizationUpdateRequest**](BetaAppLocalizationUpdateRequest.md)| BetaAppLocalization representation | 

### Return type

[**BetaAppLocalizationResponse**](BetaAppLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

