# appstore_connect_api.api.BetaAppReviewDetailsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**betaAppReviewDetailsAppGetToOneRelated**](BetaAppReviewDetailsApi.md#betaappreviewdetailsappgettoonerelated) | **GET** /v1/betaAppReviewDetails/{id}/app | 
[**betaAppReviewDetailsGetCollection**](BetaAppReviewDetailsApi.md#betaappreviewdetailsgetcollection) | **GET** /v1/betaAppReviewDetails | 
[**betaAppReviewDetailsGetInstance**](BetaAppReviewDetailsApi.md#betaappreviewdetailsgetinstance) | **GET** /v1/betaAppReviewDetails/{id} | 
[**betaAppReviewDetailsUpdateInstance**](BetaAppReviewDetailsApi.md#betaappreviewdetailsupdateinstance) | **PATCH** /v1/betaAppReviewDetails/{id} | 


# **betaAppReviewDetailsAppGetToOneRelated**
> AppResponse betaAppReviewDetailsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaAppReviewDetailsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppReviewDetailsApi->betaAppReviewDetailsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppReviewDetailsGetCollection**
> BetaAppReviewDetailsResponse betaAppReviewDetailsGetCollection(filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppReviewDetailsApi();
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewDetails
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaAppReviewDetailsGetCollection(filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppReviewDetailsApi->betaAppReviewDetailsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [default to const []]
 **fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewDetails | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**BetaAppReviewDetailsResponse**](BetaAppReviewDetailsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppReviewDetailsGetInstance**
> BetaAppReviewDetailResponse betaAppReviewDetailsGetInstance(id, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewDetails
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaAppReviewDetailsGetInstance(id, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppReviewDetailsApi->betaAppReviewDetailsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewDetails | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**BetaAppReviewDetailResponse**](BetaAppReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaAppReviewDetailsUpdateInstance**
> BetaAppReviewDetailResponse betaAppReviewDetailsUpdateInstance(id, betaAppReviewDetailUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaAppReviewDetailsApi();
final id = id_example; // String | the id of the requested resource
final betaAppReviewDetailUpdateRequest = BetaAppReviewDetailUpdateRequest(); // BetaAppReviewDetailUpdateRequest | BetaAppReviewDetail representation

try {
    final result = api_instance.betaAppReviewDetailsUpdateInstance(id, betaAppReviewDetailUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaAppReviewDetailsApi->betaAppReviewDetailsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaAppReviewDetailUpdateRequest** | [**BetaAppReviewDetailUpdateRequest**](BetaAppReviewDetailUpdateRequest.md)| BetaAppReviewDetail representation | 

### Return type

[**BetaAppReviewDetailResponse**](BetaAppReviewDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

