# appstore_connect_api.api.BetaGroupsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**betaGroupsAppGetToOneRelated**](BetaGroupsApi.md#betagroupsappgettoonerelated) | **GET** /v1/betaGroups/{id}/app | 
[**betaGroupsBetaTestersCreateToManyRelationship**](BetaGroupsApi.md#betagroupsbetatesterscreatetomanyrelationship) | **POST** /v1/betaGroups/{id}/relationships/betaTesters | 
[**betaGroupsBetaTestersDeleteToManyRelationship**](BetaGroupsApi.md#betagroupsbetatestersdeletetomanyrelationship) | **DELETE** /v1/betaGroups/{id}/relationships/betaTesters | 
[**betaGroupsBetaTestersGetToManyRelated**](BetaGroupsApi.md#betagroupsbetatestersgettomanyrelated) | **GET** /v1/betaGroups/{id}/betaTesters | 
[**betaGroupsBetaTestersGetToManyRelationship**](BetaGroupsApi.md#betagroupsbetatestersgettomanyrelationship) | **GET** /v1/betaGroups/{id}/relationships/betaTesters | 
[**betaGroupsBuildsCreateToManyRelationship**](BetaGroupsApi.md#betagroupsbuildscreatetomanyrelationship) | **POST** /v1/betaGroups/{id}/relationships/builds | 
[**betaGroupsBuildsDeleteToManyRelationship**](BetaGroupsApi.md#betagroupsbuildsdeletetomanyrelationship) | **DELETE** /v1/betaGroups/{id}/relationships/builds | 
[**betaGroupsBuildsGetToManyRelated**](BetaGroupsApi.md#betagroupsbuildsgettomanyrelated) | **GET** /v1/betaGroups/{id}/builds | 
[**betaGroupsBuildsGetToManyRelationship**](BetaGroupsApi.md#betagroupsbuildsgettomanyrelationship) | **GET** /v1/betaGroups/{id}/relationships/builds | 
[**betaGroupsCreateInstance**](BetaGroupsApi.md#betagroupscreateinstance) | **POST** /v1/betaGroups | 
[**betaGroupsDeleteInstance**](BetaGroupsApi.md#betagroupsdeleteinstance) | **DELETE** /v1/betaGroups/{id} | 
[**betaGroupsGetCollection**](BetaGroupsApi.md#betagroupsgetcollection) | **GET** /v1/betaGroups | 
[**betaGroupsGetInstance**](BetaGroupsApi.md#betagroupsgetinstance) | **GET** /v1/betaGroups/{id} | 
[**betaGroupsUpdateInstance**](BetaGroupsApi.md#betagroupsupdateinstance) | **PATCH** /v1/betaGroups/{id} | 


# **betaGroupsAppGetToOneRelated**
> AppResponse betaGroupsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaGroupsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBetaTestersCreateToManyRelationship**
> betaGroupsBetaTestersCreateToManyRelationship(id, betaGroupBetaTestersLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final betaGroupBetaTestersLinkagesRequest = BetaGroupBetaTestersLinkagesRequest(); // BetaGroupBetaTestersLinkagesRequest | List of related linkages

try {
    api_instance.betaGroupsBetaTestersCreateToManyRelationship(id, betaGroupBetaTestersLinkagesRequest);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBetaTestersCreateToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaGroupBetaTestersLinkagesRequest** | [**BetaGroupBetaTestersLinkagesRequest**](BetaGroupBetaTestersLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBetaTestersDeleteToManyRelationship**
> betaGroupsBetaTestersDeleteToManyRelationship(id, betaGroupBetaTestersLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final betaGroupBetaTestersLinkagesRequest = BetaGroupBetaTestersLinkagesRequest(); // BetaGroupBetaTestersLinkagesRequest | List of related linkages

try {
    api_instance.betaGroupsBetaTestersDeleteToManyRelationship(id, betaGroupBetaTestersLinkagesRequest);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBetaTestersDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaGroupBetaTestersLinkagesRequest** | [**BetaGroupBetaTestersLinkagesRequest**](BetaGroupBetaTestersLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBetaTestersGetToManyRelated**
> BetaTestersResponse betaGroupsBetaTestersGetToManyRelated(id, fieldsLeftSquareBracketBetaTestersRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaTesters
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.betaGroupsBetaTestersGetToManyRelated(id, fieldsLeftSquareBracketBetaTestersRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBetaTestersGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaTesters | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BetaTestersResponse**](BetaTestersResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBetaTestersGetToManyRelationship**
> BetaGroupBetaTestersLinkagesResponse betaGroupsBetaTestersGetToManyRelationship(id, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.betaGroupsBetaTestersGetToManyRelationship(id, limit);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBetaTestersGetToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BetaGroupBetaTestersLinkagesResponse**](BetaGroupBetaTestersLinkagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBuildsCreateToManyRelationship**
> betaGroupsBuildsCreateToManyRelationship(id, betaGroupBuildsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final betaGroupBuildsLinkagesRequest = BetaGroupBuildsLinkagesRequest(); // BetaGroupBuildsLinkagesRequest | List of related linkages

try {
    api_instance.betaGroupsBuildsCreateToManyRelationship(id, betaGroupBuildsLinkagesRequest);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBuildsCreateToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaGroupBuildsLinkagesRequest** | [**BetaGroupBuildsLinkagesRequest**](BetaGroupBuildsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBuildsDeleteToManyRelationship**
> betaGroupsBuildsDeleteToManyRelationship(id, betaGroupBuildsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final betaGroupBuildsLinkagesRequest = BetaGroupBuildsLinkagesRequest(); // BetaGroupBuildsLinkagesRequest | List of related linkages

try {
    api_instance.betaGroupsBuildsDeleteToManyRelationship(id, betaGroupBuildsLinkagesRequest);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBuildsDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaGroupBuildsLinkagesRequest** | [**BetaGroupBuildsLinkagesRequest**](BetaGroupBuildsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBuildsGetToManyRelated**
> BuildsResponse betaGroupsBuildsGetToManyRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.betaGroupsBuildsGetToManyRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBuildsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BuildsResponse**](BuildsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsBuildsGetToManyRelationship**
> BetaGroupBuildsLinkagesResponse betaGroupsBuildsGetToManyRelationship(id, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.betaGroupsBuildsGetToManyRelationship(id, limit);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsBuildsGetToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BetaGroupBuildsLinkagesResponse**](BetaGroupBuildsLinkagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsCreateInstance**
> BetaGroupResponse betaGroupsCreateInstance(betaGroupCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final betaGroupCreateRequest = BetaGroupCreateRequest(); // BetaGroupCreateRequest | BetaGroup representation

try {
    final result = api_instance.betaGroupsCreateInstance(betaGroupCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **betaGroupCreateRequest** | [**BetaGroupCreateRequest**](BetaGroupCreateRequest.md)| BetaGroup representation | 

### Return type

[**BetaGroupResponse**](BetaGroupResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsDeleteInstance**
> betaGroupsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.betaGroupsDeleteInstance(id);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsGetCollection**
> BetaGroupsResponse betaGroupsGetCollection(filterLeftSquareBracketIsInternalGroupRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketPublicLinkRightSquareBracket, filterLeftSquareBracketPublicLinkEnabledRightSquareBracket, filterLeftSquareBracketPublicLinkLimitEnabledRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketBuildsRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, limit, include, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBetaTestersRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final filterLeftSquareBracketIsInternalGroupRightSquareBracket = []; // List<String> | filter by attribute 'isInternalGroup'
final filterLeftSquareBracketNameRightSquareBracket = []; // List<String> | filter by attribute 'name'
final filterLeftSquareBracketPublicLinkRightSquareBracket = []; // List<String> | filter by attribute 'publicLink'
final filterLeftSquareBracketPublicLinkEnabledRightSquareBracket = []; // List<String> | filter by attribute 'publicLinkEnabled'
final filterLeftSquareBracketPublicLinkLimitEnabledRightSquareBracket = []; // List<String> | filter by attribute 'publicLinkLimitEnabled'
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final filterLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | filter by id(s) of related 'builds'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaGroups
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketBetaTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaTesters
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limitLeftSquareBracketBetaTestersRightSquareBracket = 56; // int | maximum number of related betaTesters returned (when they are included)
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)

try {
    final result = api_instance.betaGroupsGetCollection(filterLeftSquareBracketIsInternalGroupRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketPublicLinkRightSquareBracket, filterLeftSquareBracketPublicLinkEnabledRightSquareBracket, filterLeftSquareBracketPublicLinkLimitEnabledRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketBuildsRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, limit, include, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBetaTestersRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketIsInternalGroupRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'isInternalGroup' | [optional] [default to const []]
 **filterLeftSquareBracketNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'name' | [optional] [default to const []]
 **filterLeftSquareBracketPublicLinkRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'publicLink' | [optional] [default to const []]
 **filterLeftSquareBracketPublicLinkEnabledRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'publicLinkEnabled' | [optional] [default to const []]
 **filterLeftSquareBracketPublicLinkLimitEnabledRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'publicLinkLimitEnabled' | [optional] [default to const []]
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **filterLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'builds' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaGroups | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaTesters | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limitLeftSquareBracketBetaTestersRightSquareBracket** | **int**| maximum number of related betaTesters returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 

### Return type

[**BetaGroupsResponse**](BetaGroupsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsGetInstance**
> BetaGroupResponse betaGroupsGetInstance(id, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, include, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBetaTestersRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaGroups
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketBetaTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaTesters
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limitLeftSquareBracketBetaTestersRightSquareBracket = 56; // int | maximum number of related betaTesters returned (when they are included)
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)

try {
    final result = api_instance.betaGroupsGetInstance(id, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, include, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBetaTestersRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaGroups | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaTesters | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limitLeftSquareBracketBetaTestersRightSquareBracket** | **int**| maximum number of related betaTesters returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 

### Return type

[**BetaGroupResponse**](BetaGroupResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaGroupsUpdateInstance**
> BetaGroupResponse betaGroupsUpdateInstance(id, betaGroupUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaGroupsApi();
final id = id_example; // String | the id of the requested resource
final betaGroupUpdateRequest = BetaGroupUpdateRequest(); // BetaGroupUpdateRequest | BetaGroup representation

try {
    final result = api_instance.betaGroupsUpdateInstance(id, betaGroupUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaGroupsApi->betaGroupsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaGroupUpdateRequest** | [**BetaGroupUpdateRequest**](BetaGroupUpdateRequest.md)| BetaGroup representation | 

### Return type

[**BetaGroupResponse**](BetaGroupResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

