# appstore_connect_api.api.BetaLicenseAgreementsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**betaLicenseAgreementsAppGetToOneRelated**](BetaLicenseAgreementsApi.md#betalicenseagreementsappgettoonerelated) | **GET** /v1/betaLicenseAgreements/{id}/app | 
[**betaLicenseAgreementsGetCollection**](BetaLicenseAgreementsApi.md#betalicenseagreementsgetcollection) | **GET** /v1/betaLicenseAgreements | 
[**betaLicenseAgreementsGetInstance**](BetaLicenseAgreementsApi.md#betalicenseagreementsgetinstance) | **GET** /v1/betaLicenseAgreements/{id} | 
[**betaLicenseAgreementsUpdateInstance**](BetaLicenseAgreementsApi.md#betalicenseagreementsupdateinstance) | **PATCH** /v1/betaLicenseAgreements/{id} | 


# **betaLicenseAgreementsAppGetToOneRelated**
> AppResponse betaLicenseAgreementsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaLicenseAgreementsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaLicenseAgreementsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaLicenseAgreementsApi->betaLicenseAgreementsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaLicenseAgreementsGetCollection**
> BetaLicenseAgreementsResponse betaLicenseAgreementsGetCollection(filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaLicenseAgreementsApi();
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaLicenseAgreements
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaLicenseAgreementsGetCollection(filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaLicenseAgreementsApi->betaLicenseAgreementsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaLicenseAgreements | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**BetaLicenseAgreementsResponse**](BetaLicenseAgreementsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaLicenseAgreementsGetInstance**
> BetaLicenseAgreementResponse betaLicenseAgreementsGetInstance(id, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaLicenseAgreementsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaLicenseAgreements
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.betaLicenseAgreementsGetInstance(id, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BetaLicenseAgreementsApi->betaLicenseAgreementsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaLicenseAgreements | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**BetaLicenseAgreementResponse**](BetaLicenseAgreementResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **betaLicenseAgreementsUpdateInstance**
> BetaLicenseAgreementResponse betaLicenseAgreementsUpdateInstance(id, betaLicenseAgreementUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BetaLicenseAgreementsApi();
final id = id_example; // String | the id of the requested resource
final betaLicenseAgreementUpdateRequest = BetaLicenseAgreementUpdateRequest(); // BetaLicenseAgreementUpdateRequest | BetaLicenseAgreement representation

try {
    final result = api_instance.betaLicenseAgreementsUpdateInstance(id, betaLicenseAgreementUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BetaLicenseAgreementsApi->betaLicenseAgreementsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **betaLicenseAgreementUpdateRequest** | [**BetaLicenseAgreementUpdateRequest**](BetaLicenseAgreementUpdateRequest.md)| BetaLicenseAgreement representation | 

### Return type

[**BetaLicenseAgreementResponse**](BetaLicenseAgreementResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

