# appstore_connect_api.api.BuildBundlesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**buildBundlesAppClipDomainCacheStatusGetToOneRelated**](BuildBundlesApi.md#buildbundlesappclipdomaincachestatusgettoonerelated) | **GET** /v1/buildBundles/{id}/appClipDomainCacheStatus | 
[**buildBundlesAppClipDomainDebugStatusGetToOneRelated**](BuildBundlesApi.md#buildbundlesappclipdomaindebugstatusgettoonerelated) | **GET** /v1/buildBundles/{id}/appClipDomainDebugStatus | 
[**buildBundlesBetaAppClipInvocationsGetToManyRelated**](BuildBundlesApi.md#buildbundlesbetaappclipinvocationsgettomanyrelated) | **GET** /v1/buildBundles/{id}/betaAppClipInvocations | 
[**buildBundlesBuildBundleFileSizesGetToManyRelated**](BuildBundlesApi.md#buildbundlesbuildbundlefilesizesgettomanyrelated) | **GET** /v1/buildBundles/{id}/buildBundleFileSizes | 


# **buildBundlesAppClipDomainCacheStatusGetToOneRelated**
> AppClipDomainStatusResponse buildBundlesAppClipDomainCacheStatusGetToOneRelated(id, fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildBundlesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDomainStatuses

try {
    final result = api_instance.buildBundlesAppClipDomainCacheStatusGetToOneRelated(id, fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildBundlesApi->buildBundlesAppClipDomainCacheStatusGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDomainStatuses | [optional] [default to const []]

### Return type

[**AppClipDomainStatusResponse**](AppClipDomainStatusResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildBundlesAppClipDomainDebugStatusGetToOneRelated**
> AppClipDomainStatusResponse buildBundlesAppClipDomainDebugStatusGetToOneRelated(id, fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildBundlesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDomainStatuses

try {
    final result = api_instance.buildBundlesAppClipDomainDebugStatusGetToOneRelated(id, fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildBundlesApi->buildBundlesAppClipDomainDebugStatusGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppClipDomainStatusesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDomainStatuses | [optional] [default to const []]

### Return type

[**AppClipDomainStatusResponse**](AppClipDomainStatusResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildBundlesBetaAppClipInvocationsGetToManyRelated**
> BetaAppClipInvocationsResponse buildBundlesBetaAppClipInvocationsGetToManyRelated(id, fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket, fieldsLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket, limit, limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildBundlesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppClipInvocations
final fieldsLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppClipInvocationLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket = 56; // int | maximum number of related betaAppClipInvocationLocalizations returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.buildBundlesBetaAppClipInvocationsGetToManyRelated(id, fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket, fieldsLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket, limit, limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling BuildBundlesApi->buildBundlesBetaAppClipInvocationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppClipInvocationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppClipInvocations | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppClipInvocationLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketBetaAppClipInvocationLocalizationsRightSquareBracket** | **int**| maximum number of related betaAppClipInvocationLocalizations returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**BetaAppClipInvocationsResponse**](BetaAppClipInvocationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildBundlesBuildBundleFileSizesGetToManyRelated**
> BuildBundleFileSizesResponse buildBundlesBuildBundleFileSizesGetToManyRelated(id, fieldsLeftSquareBracketBuildBundleFileSizesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildBundlesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildBundleFileSizesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildBundleFileSizes
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.buildBundlesBuildBundleFileSizesGetToManyRelated(id, fieldsLeftSquareBracketBuildBundleFileSizesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BuildBundlesApi->buildBundlesBuildBundleFileSizesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildBundleFileSizesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildBundleFileSizes | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BuildBundleFileSizesResponse**](BuildBundleFileSizesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

