# appstore_connect_api.api.BuildsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**buildsAppEncryptionDeclarationGetToOneRelated**](BuildsApi.md#buildsappencryptiondeclarationgettoonerelated) | **GET** /v1/builds/{id}/appEncryptionDeclaration | 
[**buildsAppEncryptionDeclarationGetToOneRelationship**](BuildsApi.md#buildsappencryptiondeclarationgettoonerelationship) | **GET** /v1/builds/{id}/relationships/appEncryptionDeclaration | 
[**buildsAppEncryptionDeclarationUpdateToOneRelationship**](BuildsApi.md#buildsappencryptiondeclarationupdatetoonerelationship) | **PATCH** /v1/builds/{id}/relationships/appEncryptionDeclaration | 
[**buildsAppGetToOneRelated**](BuildsApi.md#buildsappgettoonerelated) | **GET** /v1/builds/{id}/app | 
[**buildsAppStoreVersionGetToOneRelated**](BuildsApi.md#buildsappstoreversiongettoonerelated) | **GET** /v1/builds/{id}/appStoreVersion | 
[**buildsBetaAppReviewSubmissionGetToOneRelated**](BuildsApi.md#buildsbetaappreviewsubmissiongettoonerelated) | **GET** /v1/builds/{id}/betaAppReviewSubmission | 
[**buildsBetaBuildLocalizationsGetToManyRelated**](BuildsApi.md#buildsbetabuildlocalizationsgettomanyrelated) | **GET** /v1/builds/{id}/betaBuildLocalizations | 
[**buildsBetaGroupsCreateToManyRelationship**](BuildsApi.md#buildsbetagroupscreatetomanyrelationship) | **POST** /v1/builds/{id}/relationships/betaGroups | 
[**buildsBetaGroupsDeleteToManyRelationship**](BuildsApi.md#buildsbetagroupsdeletetomanyrelationship) | **DELETE** /v1/builds/{id}/relationships/betaGroups | 
[**buildsBuildBetaDetailGetToOneRelated**](BuildsApi.md#buildsbuildbetadetailgettoonerelated) | **GET** /v1/builds/{id}/buildBetaDetail | 
[**buildsDiagnosticSignaturesGetToManyRelated**](BuildsApi.md#buildsdiagnosticsignaturesgettomanyrelated) | **GET** /v1/builds/{id}/diagnosticSignatures | 
[**buildsGetCollection**](BuildsApi.md#buildsgetcollection) | **GET** /v1/builds | 
[**buildsGetInstance**](BuildsApi.md#buildsgetinstance) | **GET** /v1/builds/{id} | 
[**buildsIconsGetToManyRelated**](BuildsApi.md#buildsiconsgettomanyrelated) | **GET** /v1/builds/{id}/icons | 
[**buildsIndividualTestersCreateToManyRelationship**](BuildsApi.md#buildsindividualtesterscreatetomanyrelationship) | **POST** /v1/builds/{id}/relationships/individualTesters | 
[**buildsIndividualTestersDeleteToManyRelationship**](BuildsApi.md#buildsindividualtestersdeletetomanyrelationship) | **DELETE** /v1/builds/{id}/relationships/individualTesters | 
[**buildsIndividualTestersGetToManyRelated**](BuildsApi.md#buildsindividualtestersgettomanyrelated) | **GET** /v1/builds/{id}/individualTesters | 
[**buildsIndividualTestersGetToManyRelationship**](BuildsApi.md#buildsindividualtestersgettomanyrelationship) | **GET** /v1/builds/{id}/relationships/individualTesters | 
[**buildsPerfPowerMetricsGetToManyRelated**](BuildsApi.md#buildsperfpowermetricsgettomanyrelated) | **GET** /v1/builds/{id}/perfPowerMetrics | 
[**buildsPreReleaseVersionGetToOneRelated**](BuildsApi.md#buildsprereleaseversiongettoonerelated) | **GET** /v1/builds/{id}/preReleaseVersion | 
[**buildsUpdateInstance**](BuildsApi.md#buildsupdateinstance) | **PATCH** /v1/builds/{id} | 


# **buildsAppEncryptionDeclarationGetToOneRelated**
> AppEncryptionDeclarationResponse buildsAppEncryptionDeclarationGetToOneRelated(id, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarations

try {
    final result = api_instance.buildsAppEncryptionDeclarationGetToOneRelated(id, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsAppEncryptionDeclarationGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarations | [optional] [default to const []]

### Return type

[**AppEncryptionDeclarationResponse**](AppEncryptionDeclarationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsAppEncryptionDeclarationGetToOneRelationship**
> BuildAppEncryptionDeclarationLinkageResponse buildsAppEncryptionDeclarationGetToOneRelationship(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource

try {
    final result = api_instance.buildsAppEncryptionDeclarationGetToOneRelationship(id);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsAppEncryptionDeclarationGetToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

[**BuildAppEncryptionDeclarationLinkageResponse**](BuildAppEncryptionDeclarationLinkageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsAppEncryptionDeclarationUpdateToOneRelationship**
> buildsAppEncryptionDeclarationUpdateToOneRelationship(id, buildAppEncryptionDeclarationLinkageRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final buildAppEncryptionDeclarationLinkageRequest = BuildAppEncryptionDeclarationLinkageRequest(); // BuildAppEncryptionDeclarationLinkageRequest | Related linkage

try {
    api_instance.buildsAppEncryptionDeclarationUpdateToOneRelationship(id, buildAppEncryptionDeclarationLinkageRequest);
} catch (e) {
    print('Exception when calling BuildsApi->buildsAppEncryptionDeclarationUpdateToOneRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **buildAppEncryptionDeclarationLinkageRequest** | [**BuildAppEncryptionDeclarationLinkageRequest**](BuildAppEncryptionDeclarationLinkageRequest.md)| Related linkage | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsAppGetToOneRelated**
> AppResponse buildsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.buildsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsAppStoreVersionGetToOneRelated**
> AppStoreVersionResponse buildsAppStoreVersionGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ageRatingDeclarations
final fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionSubmissions
final fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreReviewDetails
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type routingAppCoverages
final fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClipDefaultExperiences
final fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionPhasedReleases
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionLocalizations
final limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket = 56; // int | maximum number of related appStoreVersionLocalizations returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = 56; // int | maximum number of related appStoreVersionExperiments returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.buildsAppStoreVersionGetToOneRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket, fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsAppStoreVersionGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAgeRatingDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ageRatingDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type routingAppCoverages | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipDefaultExperiencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClipDefaultExperiences | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionPhasedReleasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionPhasedReleases | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketAppStoreVersionLocalizationsRightSquareBracket** | **int**| maximum number of related appStoreVersionLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | **int**| maximum number of related appStoreVersionExperiments returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentsV2 returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppStoreVersionResponse**](AppStoreVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsBetaAppReviewSubmissionGetToOneRelated**
> BetaAppReviewSubmissionResponse buildsBetaAppReviewSubmissionGetToOneRelated(id, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewSubmissions

try {
    final result = api_instance.buildsBetaAppReviewSubmissionGetToOneRelated(id, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsBetaAppReviewSubmissionGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewSubmissions | [optional] [default to const []]

### Return type

[**BetaAppReviewSubmissionResponse**](BetaAppReviewSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsBetaBuildLocalizationsGetToManyRelated**
> BetaBuildLocalizationsResponse buildsBetaBuildLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaBuildLocalizations
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.buildsBetaBuildLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsBetaBuildLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaBuildLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BetaBuildLocalizationsResponse**](BetaBuildLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsBetaGroupsCreateToManyRelationship**
> buildsBetaGroupsCreateToManyRelationship(id, buildBetaGroupsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final buildBetaGroupsLinkagesRequest = BuildBetaGroupsLinkagesRequest(); // BuildBetaGroupsLinkagesRequest | List of related linkages

try {
    api_instance.buildsBetaGroupsCreateToManyRelationship(id, buildBetaGroupsLinkagesRequest);
} catch (e) {
    print('Exception when calling BuildsApi->buildsBetaGroupsCreateToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **buildBetaGroupsLinkagesRequest** | [**BuildBetaGroupsLinkagesRequest**](BuildBetaGroupsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsBetaGroupsDeleteToManyRelationship**
> buildsBetaGroupsDeleteToManyRelationship(id, buildBetaGroupsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final buildBetaGroupsLinkagesRequest = BuildBetaGroupsLinkagesRequest(); // BuildBetaGroupsLinkagesRequest | List of related linkages

try {
    api_instance.buildsBetaGroupsDeleteToManyRelationship(id, buildBetaGroupsLinkagesRequest);
} catch (e) {
    print('Exception when calling BuildsApi->buildsBetaGroupsDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **buildBetaGroupsLinkagesRequest** | [**BuildBetaGroupsLinkagesRequest**](BuildBetaGroupsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsBuildBetaDetailGetToOneRelated**
> BuildBetaDetailResponse buildsBuildBetaDetailGetToOneRelated(id, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildBetaDetails

try {
    final result = api_instance.buildsBuildBetaDetailGetToOneRelated(id, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsBuildBetaDetailGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildBetaDetails | [optional] [default to const []]

### Return type

[**BuildBetaDetailResponse**](BuildBetaDetailResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsDiagnosticSignaturesGetToManyRelated**
> DiagnosticSignaturesResponse buildsDiagnosticSignaturesGetToManyRelated(id, filterLeftSquareBracketDiagnosticTypeRightSquareBracket, fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketDiagnosticTypeRightSquareBracket = []; // List<String> | filter by attribute 'diagnosticType'
final fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type diagnosticSignatures
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.buildsDiagnosticSignaturesGetToManyRelated(id, filterLeftSquareBracketDiagnosticTypeRightSquareBracket, fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsDiagnosticSignaturesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketDiagnosticTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'diagnosticType' | [optional] [default to const []]
 **fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type diagnosticSignatures | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**DiagnosticSignaturesResponse**](DiagnosticSignaturesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsGetCollection**
> BuildsResponse buildsGetCollection(filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket, filterLeftSquareBracketBuildAudienceTypeRightSquareBracket, filterLeftSquareBracketExpiredRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket, filterLeftSquareBracketProcessingStateRightSquareBracket, filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketAppStoreVersionRightSquareBracket, filterLeftSquareBracketBetaGroupsRightSquareBracket, filterLeftSquareBracketPreReleaseVersionRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBuildsRightSquareBracket, limit, include, fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket, fieldsLeftSquareBracketBuildIconsRightSquareBracket, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildBundlesRightSquareBracket, limitLeftSquareBracketIconsRightSquareBracket, limitLeftSquareBracketIndividualTestersRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket = []; // List<String> | filter by attribute 'betaAppReviewSubmission.betaReviewState'
final filterLeftSquareBracketBuildAudienceTypeRightSquareBracket = []; // List<String> | filter by attribute 'buildAudienceType'
final filterLeftSquareBracketExpiredRightSquareBracket = []; // List<String> | filter by attribute 'expired'
final filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket = []; // List<String> | filter by attribute 'preReleaseVersion.platform'
final filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket = []; // List<String> | filter by attribute 'preReleaseVersion.version'
final filterLeftSquareBracketProcessingStateRightSquareBracket = []; // List<String> | filter by attribute 'processingState'
final filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket = []; // List<String> | filter by attribute 'usesNonExemptEncryption'
final filterLeftSquareBracketVersionRightSquareBracket = []; // List<String> | filter by attribute 'version'
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final filterLeftSquareBracketAppStoreVersionRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersion'
final filterLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | filter by id(s) of related 'betaGroups'
final filterLeftSquareBracketPreReleaseVersionRightSquareBracket = []; // List<String> | filter by id(s) of related 'preReleaseVersion'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type diagnosticSignatures
final fieldsLeftSquareBracketBuildIconsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildIcons
final fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildBetaDetails
final fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewSubmissions
final fieldsLeftSquareBracketBetaTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaTesters
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaBuildLocalizations
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarations
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type perfPowerMetrics
final limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket = 56; // int | maximum number of related betaBuildLocalizations returned (when they are included)
final limitLeftSquareBracketBetaGroupsRightSquareBracket = 56; // int | maximum number of related betaGroups returned (when they are included)
final limitLeftSquareBracketBuildBundlesRightSquareBracket = 56; // int | maximum number of related buildBundles returned (when they are included)
final limitLeftSquareBracketIconsRightSquareBracket = 56; // int | maximum number of related icons returned (when they are included)
final limitLeftSquareBracketIndividualTestersRightSquareBracket = 56; // int | maximum number of related individualTesters returned (when they are included)

try {
    final result = api_instance.buildsGetCollection(filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket, filterLeftSquareBracketBuildAudienceTypeRightSquareBracket, filterLeftSquareBracketExpiredRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket, filterLeftSquareBracketProcessingStateRightSquareBracket, filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketAppStoreVersionRightSquareBracket, filterLeftSquareBracketBetaGroupsRightSquareBracket, filterLeftSquareBracketPreReleaseVersionRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBuildsRightSquareBracket, limit, include, fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket, fieldsLeftSquareBracketBuildIconsRightSquareBracket, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildBundlesRightSquareBracket, limitLeftSquareBracketIconsRightSquareBracket, limitLeftSquareBracketIndividualTestersRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'betaAppReviewSubmission.betaReviewState' | [optional] [default to const []]
 **filterLeftSquareBracketBuildAudienceTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'buildAudienceType' | [optional] [default to const []]
 **filterLeftSquareBracketExpiredRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'expired' | [optional] [default to const []]
 **filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'preReleaseVersion.platform' | [optional] [default to const []]
 **filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'preReleaseVersion.version' | [optional] [default to const []]
 **filterLeftSquareBracketProcessingStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'processingState' | [optional] [default to const []]
 **filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'usesNonExemptEncryption' | [optional] [default to const []]
 **filterLeftSquareBracketVersionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'version' | [optional] [default to const []]
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersion' | [optional] [default to const []]
 **filterLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'betaGroups' | [optional] [default to const []]
 **filterLeftSquareBracketPreReleaseVersionRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'preReleaseVersion' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type diagnosticSignatures | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildIconsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildIcons | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildBetaDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaTesters | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaBuildLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type perfPowerMetrics | [optional] [default to const []]
 **limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket** | **int**| maximum number of related betaBuildLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaGroupsRightSquareBracket** | **int**| maximum number of related betaGroups returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildBundlesRightSquareBracket** | **int**| maximum number of related buildBundles returned (when they are included) | [optional] 
 **limitLeftSquareBracketIconsRightSquareBracket** | **int**| maximum number of related icons returned (when they are included) | [optional] 
 **limitLeftSquareBracketIndividualTestersRightSquareBracket** | **int**| maximum number of related individualTesters returned (when they are included) | [optional] 

### Return type

[**BuildsResponse**](BuildsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsGetInstance**
> BuildResponse buildsGetInstance(id, fieldsLeftSquareBracketBuildsRightSquareBracket, include, fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket, fieldsLeftSquareBracketBuildIconsRightSquareBracket, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildBundlesRightSquareBracket, limitLeftSquareBracketIconsRightSquareBracket, limitLeftSquareBracketIndividualTestersRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type diagnosticSignatures
final fieldsLeftSquareBracketBuildIconsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildIcons
final fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildBetaDetails
final fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewSubmissions
final fieldsLeftSquareBracketBetaTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaTesters
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaBuildLocalizations
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarations
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type perfPowerMetrics
final limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket = 56; // int | maximum number of related betaBuildLocalizations returned (when they are included)
final limitLeftSquareBracketBetaGroupsRightSquareBracket = 56; // int | maximum number of related betaGroups returned (when they are included)
final limitLeftSquareBracketBuildBundlesRightSquareBracket = 56; // int | maximum number of related buildBundles returned (when they are included)
final limitLeftSquareBracketIconsRightSquareBracket = 56; // int | maximum number of related icons returned (when they are included)
final limitLeftSquareBracketIndividualTestersRightSquareBracket = 56; // int | maximum number of related individualTesters returned (when they are included)

try {
    final result = api_instance.buildsGetInstance(id, fieldsLeftSquareBracketBuildsRightSquareBracket, include, fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket, fieldsLeftSquareBracketBuildIconsRightSquareBracket, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket, limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBuildBundlesRightSquareBracket, limitLeftSquareBracketIconsRightSquareBracket, limitLeftSquareBracketIndividualTestersRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketDiagnosticSignaturesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type diagnosticSignatures | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildIconsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildIcons | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildBetaDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaTesters | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaBuildLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketPerfPowerMetricsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type perfPowerMetrics | [optional] [default to const []]
 **limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket** | **int**| maximum number of related betaBuildLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaGroupsRightSquareBracket** | **int**| maximum number of related betaGroups returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildBundlesRightSquareBracket** | **int**| maximum number of related buildBundles returned (when they are included) | [optional] 
 **limitLeftSquareBracketIconsRightSquareBracket** | **int**| maximum number of related icons returned (when they are included) | [optional] 
 **limitLeftSquareBracketIndividualTestersRightSquareBracket** | **int**| maximum number of related individualTesters returned (when they are included) | [optional] 

### Return type

[**BuildResponse**](BuildResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsIconsGetToManyRelated**
> BuildIconsResponse buildsIconsGetToManyRelated(id, fieldsLeftSquareBracketBuildIconsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildIconsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildIcons
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.buildsIconsGetToManyRelated(id, fieldsLeftSquareBracketBuildIconsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsIconsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildIconsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildIcons | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BuildIconsResponse**](BuildIconsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsIndividualTestersCreateToManyRelationship**
> buildsIndividualTestersCreateToManyRelationship(id, buildIndividualTestersLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final buildIndividualTestersLinkagesRequest = BuildIndividualTestersLinkagesRequest(); // BuildIndividualTestersLinkagesRequest | List of related linkages

try {
    api_instance.buildsIndividualTestersCreateToManyRelationship(id, buildIndividualTestersLinkagesRequest);
} catch (e) {
    print('Exception when calling BuildsApi->buildsIndividualTestersCreateToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **buildIndividualTestersLinkagesRequest** | [**BuildIndividualTestersLinkagesRequest**](BuildIndividualTestersLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsIndividualTestersDeleteToManyRelationship**
> buildsIndividualTestersDeleteToManyRelationship(id, buildIndividualTestersLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final buildIndividualTestersLinkagesRequest = BuildIndividualTestersLinkagesRequest(); // BuildIndividualTestersLinkagesRequest | List of related linkages

try {
    api_instance.buildsIndividualTestersDeleteToManyRelationship(id, buildIndividualTestersLinkagesRequest);
} catch (e) {
    print('Exception when calling BuildsApi->buildsIndividualTestersDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **buildIndividualTestersLinkagesRequest** | [**BuildIndividualTestersLinkagesRequest**](BuildIndividualTestersLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsIndividualTestersGetToManyRelated**
> BetaTestersResponse buildsIndividualTestersGetToManyRelated(id, fieldsLeftSquareBracketBetaTestersRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaTesters
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.buildsIndividualTestersGetToManyRelated(id, fieldsLeftSquareBracketBetaTestersRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsIndividualTestersGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaTesters | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BetaTestersResponse**](BetaTestersResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsIndividualTestersGetToManyRelationship**
> BuildIndividualTestersLinkagesResponse buildsIndividualTestersGetToManyRelationship(id, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.buildsIndividualTestersGetToManyRelationship(id, limit);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsIndividualTestersGetToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BuildIndividualTestersLinkagesResponse**](BuildIndividualTestersLinkagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsPerfPowerMetricsGetToManyRelated**
> XcodeMetrics buildsPerfPowerMetricsGetToManyRelated(id, filterLeftSquareBracketDeviceTypeRightSquareBracket, filterLeftSquareBracketMetricTypeRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketDeviceTypeRightSquareBracket = []; // List<String> | filter by attribute 'deviceType'
final filterLeftSquareBracketMetricTypeRightSquareBracket = []; // List<String> | filter by attribute 'metricType'
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'

try {
    final result = api_instance.buildsPerfPowerMetricsGetToManyRelated(id, filterLeftSquareBracketDeviceTypeRightSquareBracket, filterLeftSquareBracketMetricTypeRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsPerfPowerMetricsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketDeviceTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'deviceType' | [optional] [default to const []]
 **filterLeftSquareBracketMetricTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'metricType' | [optional] [default to const []]
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]

### Return type

[**XcodeMetrics**](XcodeMetrics.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/vnd.apple.xcode-metrics+json, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsPreReleaseVersionGetToOneRelated**
> PreReleaseVersionResponse buildsPreReleaseVersionGetToOneRelated(id, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions

try {
    final result = api_instance.buildsPreReleaseVersionGetToOneRelated(id, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsPreReleaseVersionGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]

### Return type

[**PreReleaseVersionResponse**](PreReleaseVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **buildsUpdateInstance**
> BuildResponse buildsUpdateInstance(id, buildUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BuildsApi();
final id = id_example; // String | the id of the requested resource
final buildUpdateRequest = BuildUpdateRequest(); // BuildUpdateRequest | Build representation

try {
    final result = api_instance.buildsUpdateInstance(id, buildUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BuildsApi->buildsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **buildUpdateRequest** | [**BuildUpdateRequest**](BuildUpdateRequest.md)| Build representation | 

### Return type

[**BuildResponse**](BuildResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

