# appstore_connect_api.api.BundleIdsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**bundleIdsAppGetToOneRelated**](BundleIdsApi.md#bundleidsappgettoonerelated) | **GET** /v1/bundleIds/{id}/app | 
[**bundleIdsBundleIdCapabilitiesGetToManyRelated**](BundleIdsApi.md#bundleidsbundleidcapabilitiesgettomanyrelated) | **GET** /v1/bundleIds/{id}/bundleIdCapabilities | 
[**bundleIdsCreateInstance**](BundleIdsApi.md#bundleidscreateinstance) | **POST** /v1/bundleIds | 
[**bundleIdsDeleteInstance**](BundleIdsApi.md#bundleidsdeleteinstance) | **DELETE** /v1/bundleIds/{id} | 
[**bundleIdsGetCollection**](BundleIdsApi.md#bundleidsgetcollection) | **GET** /v1/bundleIds | 
[**bundleIdsGetInstance**](BundleIdsApi.md#bundleidsgetinstance) | **GET** /v1/bundleIds/{id} | 
[**bundleIdsProfilesGetToManyRelated**](BundleIdsApi.md#bundleidsprofilesgettomanyrelated) | **GET** /v1/bundleIds/{id}/profiles | 
[**bundleIdsUpdateInstance**](BundleIdsApi.md#bundleidsupdateinstance) | **PATCH** /v1/bundleIds/{id} | 


# **bundleIdsAppGetToOneRelated**
> AppResponse bundleIdsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.bundleIdsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **bundleIdsBundleIdCapabilitiesGetToManyRelated**
> BundleIdCapabilitiesResponse bundleIdsBundleIdCapabilitiesGetToManyRelated(id, fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIdCapabilities
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.bundleIdsBundleIdCapabilitiesGetToManyRelated(id, fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsBundleIdCapabilitiesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIdCapabilities | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BundleIdCapabilitiesResponse**](BundleIdCapabilitiesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **bundleIdsCreateInstance**
> BundleIdResponse bundleIdsCreateInstance(bundleIdCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final bundleIdCreateRequest = BundleIdCreateRequest(); // BundleIdCreateRequest | BundleId representation

try {
    final result = api_instance.bundleIdsCreateInstance(bundleIdCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **bundleIdCreateRequest** | [**BundleIdCreateRequest**](BundleIdCreateRequest.md)| BundleId representation | 

### Return type

[**BundleIdResponse**](BundleIdResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **bundleIdsDeleteInstance**
> bundleIdsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.bundleIdsDeleteInstance(id);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **bundleIdsGetCollection**
> BundleIdsResponse bundleIdsGetCollection(filterLeftSquareBracketIdentifierRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketSeedIdRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limit, include, fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, fieldsLeftSquareBracketProfilesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, limitLeftSquareBracketProfilesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final filterLeftSquareBracketIdentifierRightSquareBracket = []; // List<String> | filter by attribute 'identifier'
final filterLeftSquareBracketNameRightSquareBracket = []; // List<String> | filter by attribute 'name'
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketSeedIdRightSquareBracket = []; // List<String> | filter by attribute 'seedId'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketBundleIdsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIds
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIdCapabilities
final fieldsLeftSquareBracketProfilesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type profiles
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket = 56; // int | maximum number of related bundleIdCapabilities returned (when they are included)
final limitLeftSquareBracketProfilesRightSquareBracket = 56; // int | maximum number of related profiles returned (when they are included)

try {
    final result = api_instance.bundleIdsGetCollection(filterLeftSquareBracketIdentifierRightSquareBracket, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketSeedIdRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limit, include, fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, fieldsLeftSquareBracketProfilesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, limitLeftSquareBracketProfilesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketIdentifierRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'identifier' | [optional] [default to const []]
 **filterLeftSquareBracketNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'name' | [optional] [default to const []]
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketSeedIdRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'seedId' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketBundleIdsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIds | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIdCapabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketProfilesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type profiles | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket** | **int**| maximum number of related bundleIdCapabilities returned (when they are included) | [optional] 
 **limitLeftSquareBracketProfilesRightSquareBracket** | **int**| maximum number of related profiles returned (when they are included) | [optional] 

### Return type

[**BundleIdsResponse**](BundleIdsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **bundleIdsGetInstance**
> BundleIdResponse bundleIdsGetInstance(id, fieldsLeftSquareBracketBundleIdsRightSquareBracket, include, fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, fieldsLeftSquareBracketProfilesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, limitLeftSquareBracketProfilesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBundleIdsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIds
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIdCapabilities
final fieldsLeftSquareBracketProfilesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type profiles
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket = 56; // int | maximum number of related bundleIdCapabilities returned (when they are included)
final limitLeftSquareBracketProfilesRightSquareBracket = 56; // int | maximum number of related profiles returned (when they are included)

try {
    final result = api_instance.bundleIdsGetInstance(id, fieldsLeftSquareBracketBundleIdsRightSquareBracket, include, fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, fieldsLeftSquareBracketProfilesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket, limitLeftSquareBracketProfilesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBundleIdsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIds | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketBundleIdCapabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIdCapabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketProfilesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type profiles | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketBundleIdCapabilitiesRightSquareBracket** | **int**| maximum number of related bundleIdCapabilities returned (when they are included) | [optional] 
 **limitLeftSquareBracketProfilesRightSquareBracket** | **int**| maximum number of related profiles returned (when they are included) | [optional] 

### Return type

[**BundleIdResponse**](BundleIdResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **bundleIdsProfilesGetToManyRelated**
> ProfilesResponse bundleIdsProfilesGetToManyRelated(id, fieldsLeftSquareBracketProfilesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketProfilesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type profiles
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.bundleIdsProfilesGetToManyRelated(id, fieldsLeftSquareBracketProfilesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsProfilesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketProfilesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type profiles | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**ProfilesResponse**](ProfilesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **bundleIdsUpdateInstance**
> BundleIdResponse bundleIdsUpdateInstance(id, bundleIdUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = BundleIdsApi();
final id = id_example; // String | the id of the requested resource
final bundleIdUpdateRequest = BundleIdUpdateRequest(); // BundleIdUpdateRequest | BundleId representation

try {
    final result = api_instance.bundleIdsUpdateInstance(id, bundleIdUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling BundleIdsApi->bundleIdsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **bundleIdUpdateRequest** | [**BundleIdUpdateRequest**](BundleIdUpdateRequest.md)| BundleId representation | 

### Return type

[**BundleIdResponse**](BundleIdResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

