# appstore_connect_api.api.CertificatesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**certificatesCreateInstance**](CertificatesApi.md#certificatescreateinstance) | **POST** /v1/certificates | 
[**certificatesDeleteInstance**](CertificatesApi.md#certificatesdeleteinstance) | **DELETE** /v1/certificates/{id} | 
[**certificatesGetCollection**](CertificatesApi.md#certificatesgetcollection) | **GET** /v1/certificates | 
[**certificatesGetInstance**](CertificatesApi.md#certificatesgetinstance) | **GET** /v1/certificates/{id} | 


# **certificatesCreateInstance**
> CertificateResponse certificatesCreateInstance(certificateCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CertificatesApi();
final certificateCreateRequest = CertificateCreateRequest(); // CertificateCreateRequest | Certificate representation

try {
    final result = api_instance.certificatesCreateInstance(certificateCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling CertificatesApi->certificatesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certificateCreateRequest** | [**CertificateCreateRequest**](CertificateCreateRequest.md)| Certificate representation | 

### Return type

[**CertificateResponse**](CertificateResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **certificatesDeleteInstance**
> certificatesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CertificatesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.certificatesDeleteInstance(id);
} catch (e) {
    print('Exception when calling CertificatesApi->certificatesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **certificatesGetCollection**
> CertificatesResponse certificatesGetCollection(filterLeftSquareBracketCertificateTypeRightSquareBracket, filterLeftSquareBracketDisplayNameRightSquareBracket, filterLeftSquareBracketSerialNumberRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketCertificatesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CertificatesApi();
final filterLeftSquareBracketCertificateTypeRightSquareBracket = []; // List<String> | filter by attribute 'certificateType'
final filterLeftSquareBracketDisplayNameRightSquareBracket = []; // List<String> | filter by attribute 'displayName'
final filterLeftSquareBracketSerialNumberRightSquareBracket = []; // List<String> | filter by attribute 'serialNumber'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketCertificatesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type certificates
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.certificatesGetCollection(filterLeftSquareBracketCertificateTypeRightSquareBracket, filterLeftSquareBracketDisplayNameRightSquareBracket, filterLeftSquareBracketSerialNumberRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketCertificatesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling CertificatesApi->certificatesGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketCertificateTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'certificateType' | [optional] [default to const []]
 **filterLeftSquareBracketDisplayNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'displayName' | [optional] [default to const []]
 **filterLeftSquareBracketSerialNumberRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'serialNumber' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketCertificatesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type certificates | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**CertificatesResponse**](CertificatesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **certificatesGetInstance**
> CertificateResponse certificatesGetInstance(id, fieldsLeftSquareBracketCertificatesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CertificatesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCertificatesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type certificates

try {
    final result = api_instance.certificatesGetInstance(id, fieldsLeftSquareBracketCertificatesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CertificatesApi->certificatesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCertificatesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type certificates | [optional] [default to const []]

### Return type

[**CertificateResponse**](CertificateResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

