# appstore_connect_api.api.CiBuildActionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciBuildActionsArtifactsGetToManyRelated**](CiBuildActionsApi.md#cibuildactionsartifactsgettomanyrelated) | **GET** /v1/ciBuildActions/{id}/artifacts | 
[**ciBuildActionsBuildRunGetToOneRelated**](CiBuildActionsApi.md#cibuildactionsbuildrungettoonerelated) | **GET** /v1/ciBuildActions/{id}/buildRun | 
[**ciBuildActionsGetInstance**](CiBuildActionsApi.md#cibuildactionsgetinstance) | **GET** /v1/ciBuildActions/{id} | 
[**ciBuildActionsIssuesGetToManyRelated**](CiBuildActionsApi.md#cibuildactionsissuesgettomanyrelated) | **GET** /v1/ciBuildActions/{id}/issues | 
[**ciBuildActionsTestResultsGetToManyRelated**](CiBuildActionsApi.md#cibuildactionstestresultsgettomanyrelated) | **GET** /v1/ciBuildActions/{id}/testResults | 


# **ciBuildActionsArtifactsGetToManyRelated**
> CiArtifactsResponse ciBuildActionsArtifactsGetToManyRelated(id, fieldsLeftSquareBracketCiArtifactsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildActionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiArtifactsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciArtifacts
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.ciBuildActionsArtifactsGetToManyRelated(id, fieldsLeftSquareBracketCiArtifactsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildActionsApi->ciBuildActionsArtifactsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiArtifactsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciArtifacts | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**CiArtifactsResponse**](CiArtifactsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciBuildActionsBuildRunGetToOneRelated**
> CiBuildRunResponse ciBuildActionsBuildRunGetToOneRelated(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildActionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketCiWorkflowsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciWorkflows
final fieldsLeftSquareBracketScmPullRequestsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmPullRequests
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciBuildActionsBuildRunGetToOneRelated(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildActionsApi->ciBuildActionsBuildRunGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketCiWorkflowsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciWorkflows | [optional] [default to const []]
 **fieldsLeftSquareBracketScmPullRequestsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmPullRequests | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CiBuildRunResponse**](CiBuildRunResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciBuildActionsGetInstance**
> CiBuildActionResponse ciBuildActionsGetInstance(id, fieldsLeftSquareBracketCiBuildActionsRightSquareBracket, include, fieldsLeftSquareBracketCiIssuesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiTestResultsRightSquareBracket, fieldsLeftSquareBracketCiArtifactsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildActionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiBuildActionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildActions
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCiIssuesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciIssues
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketCiTestResultsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciTestResults
final fieldsLeftSquareBracketCiArtifactsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciArtifacts

try {
    final result = api_instance.ciBuildActionsGetInstance(id, fieldsLeftSquareBracketCiBuildActionsRightSquareBracket, include, fieldsLeftSquareBracketCiIssuesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiTestResultsRightSquareBracket, fieldsLeftSquareBracketCiArtifactsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildActionsApi->ciBuildActionsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiBuildActionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildActions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCiIssuesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciIssues | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketCiTestResultsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciTestResults | [optional] [default to const []]
 **fieldsLeftSquareBracketCiArtifactsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciArtifacts | [optional] [default to const []]

### Return type

[**CiBuildActionResponse**](CiBuildActionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciBuildActionsIssuesGetToManyRelated**
> CiIssuesResponse ciBuildActionsIssuesGetToManyRelated(id, fieldsLeftSquareBracketCiIssuesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildActionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiIssuesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciIssues
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.ciBuildActionsIssuesGetToManyRelated(id, fieldsLeftSquareBracketCiIssuesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildActionsApi->ciBuildActionsIssuesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiIssuesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciIssues | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**CiIssuesResponse**](CiIssuesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciBuildActionsTestResultsGetToManyRelated**
> CiTestResultsResponse ciBuildActionsTestResultsGetToManyRelated(id, fieldsLeftSquareBracketCiTestResultsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildActionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiTestResultsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciTestResults
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.ciBuildActionsTestResultsGetToManyRelated(id, fieldsLeftSquareBracketCiTestResultsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildActionsApi->ciBuildActionsTestResultsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiTestResultsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciTestResults | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**CiTestResultsResponse**](CiTestResultsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

