# appstore_connect_api.api.CiBuildRunsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciBuildRunsActionsGetToManyRelated**](CiBuildRunsApi.md#cibuildrunsactionsgettomanyrelated) | **GET** /v1/ciBuildRuns/{id}/actions | 
[**ciBuildRunsBuildsGetToManyRelated**](CiBuildRunsApi.md#cibuildrunsbuildsgettomanyrelated) | **GET** /v1/ciBuildRuns/{id}/builds | 
[**ciBuildRunsCreateInstance**](CiBuildRunsApi.md#cibuildrunscreateinstance) | **POST** /v1/ciBuildRuns | 
[**ciBuildRunsGetInstance**](CiBuildRunsApi.md#cibuildrunsgetinstance) | **GET** /v1/ciBuildRuns/{id} | 


# **ciBuildRunsActionsGetToManyRelated**
> CiBuildActionsResponse ciBuildRunsActionsGetToManyRelated(id, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiBuildActionsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildRunsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketCiBuildActionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildActions
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciBuildRunsActionsGetToManyRelated(id, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiBuildActionsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildRunsApi->ciBuildRunsActionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildActionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildActions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CiBuildActionsResponse**](CiBuildActionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciBuildRunsBuildsGetToManyRelated**
> BuildsResponse ciBuildRunsBuildsGetToManyRelated(id, filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket, filterLeftSquareBracketBuildAudienceTypeRightSquareBracket, filterLeftSquareBracketExpiredRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket, filterLeftSquareBracketProcessingStateRightSquareBracket, filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketAppStoreVersionRightSquareBracket, filterLeftSquareBracketBetaGroupsRightSquareBracket, filterLeftSquareBracketPreReleaseVersionRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBuildBundlesRightSquareBracket, fieldsLeftSquareBracketBuildIconsRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, limit, limitLeftSquareBracketIndividualTestersRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limitLeftSquareBracketIconsRightSquareBracket, limitLeftSquareBracketBuildBundlesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildRunsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket = []; // List<String> | filter by attribute 'betaAppReviewSubmission.betaReviewState'
final filterLeftSquareBracketBuildAudienceTypeRightSquareBracket = []; // List<String> | filter by attribute 'buildAudienceType'
final filterLeftSquareBracketExpiredRightSquareBracket = []; // List<String> | filter by attribute 'expired'
final filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket = []; // List<String> | filter by attribute 'preReleaseVersion.platform'
final filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket = []; // List<String> | filter by attribute 'preReleaseVersion.version'
final filterLeftSquareBracketProcessingStateRightSquareBracket = []; // List<String> | filter by attribute 'processingState'
final filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket = []; // List<String> | filter by attribute 'usesNonExemptEncryption'
final filterLeftSquareBracketVersionRightSquareBracket = []; // List<String> | filter by attribute 'version'
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final filterLeftSquareBracketAppStoreVersionRightSquareBracket = []; // List<String> | filter by id(s) of related 'appStoreVersion'
final filterLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | filter by id(s) of related 'betaGroups'
final filterLeftSquareBracketPreReleaseVersionRightSquareBracket = []; // List<String> | filter by id(s) of related 'preReleaseVersion'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketBuildBundlesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildBundles
final fieldsLeftSquareBracketBuildIconsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildIcons
final fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewSubmissions
final fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type buildBetaDetails
final fieldsLeftSquareBracketBetaTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaTesters
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaBuildLocalizations
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEncryptionDeclarations
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaGroups
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketIndividualTestersRightSquareBracket = 56; // int | maximum number of related individualTesters returned (when they are included)
final limitLeftSquareBracketBetaGroupsRightSquareBracket = 56; // int | maximum number of related betaGroups returned (when they are included)
final limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket = 56; // int | maximum number of related betaBuildLocalizations returned (when they are included)
final limitLeftSquareBracketIconsRightSquareBracket = 56; // int | maximum number of related icons returned (when they are included)
final limitLeftSquareBracketBuildBundlesRightSquareBracket = 56; // int | maximum number of related buildBundles returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciBuildRunsBuildsGetToManyRelated(id, filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket, filterLeftSquareBracketBuildAudienceTypeRightSquareBracket, filterLeftSquareBracketExpiredRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket, filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket, filterLeftSquareBracketProcessingStateRightSquareBracket, filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketAppStoreVersionRightSquareBracket, filterLeftSquareBracketBetaGroupsRightSquareBracket, filterLeftSquareBracketPreReleaseVersionRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketBuildBundlesRightSquareBracket, fieldsLeftSquareBracketBuildIconsRightSquareBracket, fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket, fieldsLeftSquareBracketBetaTestersRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, limit, limitLeftSquareBracketIndividualTestersRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket, limitLeftSquareBracketIconsRightSquareBracket, limitLeftSquareBracketBuildBundlesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildRunsApi->ciBuildRunsBuildsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketBetaAppReviewSubmissionPeriodBetaReviewStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'betaAppReviewSubmission.betaReviewState' | [optional] [default to const []]
 **filterLeftSquareBracketBuildAudienceTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'buildAudienceType' | [optional] [default to const []]
 **filterLeftSquareBracketExpiredRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'expired' | [optional] [default to const []]
 **filterLeftSquareBracketPreReleaseVersionPeriodPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'preReleaseVersion.platform' | [optional] [default to const []]
 **filterLeftSquareBracketPreReleaseVersionPeriodVersionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'preReleaseVersion.version' | [optional] [default to const []]
 **filterLeftSquareBracketProcessingStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'processingState' | [optional] [default to const []]
 **filterLeftSquareBracketUsesNonExemptEncryptionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'usesNonExemptEncryption' | [optional] [default to const []]
 **filterLeftSquareBracketVersionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'version' | [optional] [default to const []]
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **filterLeftSquareBracketAppStoreVersionRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'appStoreVersion' | [optional] [default to const []]
 **filterLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'betaGroups' | [optional] [default to const []]
 **filterLeftSquareBracketPreReleaseVersionRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'preReleaseVersion' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildBundlesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildBundles | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildIconsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildIcons | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildBetaDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type buildBetaDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaTesters | [optional] [default to const []]
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaBuildLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaBuildLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEncryptionDeclarationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEncryptionDeclarations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaGroups | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketIndividualTestersRightSquareBracket** | **int**| maximum number of related individualTesters returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaGroupsRightSquareBracket** | **int**| maximum number of related betaGroups returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaBuildLocalizationsRightSquareBracket** | **int**| maximum number of related betaBuildLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketIconsRightSquareBracket** | **int**| maximum number of related icons returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildBundlesRightSquareBracket** | **int**| maximum number of related buildBundles returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**BuildsResponse**](BuildsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciBuildRunsCreateInstance**
> CiBuildRunResponse ciBuildRunsCreateInstance(ciBuildRunCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildRunsApi();
final ciBuildRunCreateRequest = CiBuildRunCreateRequest(); // CiBuildRunCreateRequest | CiBuildRun representation

try {
    final result = api_instance.ciBuildRunsCreateInstance(ciBuildRunCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildRunsApi->ciBuildRunsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ciBuildRunCreateRequest** | [**CiBuildRunCreateRequest**](CiBuildRunCreateRequest.md)| CiBuildRun representation | 

### Return type

[**CiBuildRunResponse**](CiBuildRunResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciBuildRunsGetInstance**
> CiBuildRunResponse ciBuildRunsGetInstance(id, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, include, fieldsLeftSquareBracketCiBuildActionsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiBuildRunsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCiBuildActionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildActions
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)

try {
    final result = api_instance.ciBuildRunsGetInstance(id, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, include, fieldsLeftSquareBracketCiBuildActionsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiBuildRunsApi->ciBuildRunsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildActionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildActions | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 

### Return type

[**CiBuildRunResponse**](CiBuildRunResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

