# appstore_connect_api.api.CiMacOsVersionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciMacOsVersionsGetCollection**](CiMacOsVersionsApi.md#cimacosversionsgetcollection) | **GET** /v1/ciMacOsVersions | 
[**ciMacOsVersionsGetInstance**](CiMacOsVersionsApi.md#cimacosversionsgetinstance) | **GET** /v1/ciMacOsVersions/{id} | 
[**ciMacOsVersionsXcodeVersionsGetToManyRelated**](CiMacOsVersionsApi.md#cimacosversionsxcodeversionsgettomanyrelated) | **GET** /v1/ciMacOsVersions/{id}/xcodeVersions | 


# **ciMacOsVersionsGetCollection**
> CiMacOsVersionsResponse ciMacOsVersionsGetCollection(fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, limit, include, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, limitLeftSquareBracketXcodeVersionsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiMacOsVersionsApi();
final fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciMacOsVersions
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciXcodeVersions
final limitLeftSquareBracketXcodeVersionsRightSquareBracket = 56; // int | maximum number of related xcodeVersions returned (when they are included)

try {
    final result = api_instance.ciMacOsVersionsGetCollection(fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, limit, include, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, limitLeftSquareBracketXcodeVersionsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiMacOsVersionsApi->ciMacOsVersionsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciMacOsVersions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciXcodeVersions | [optional] [default to const []]
 **limitLeftSquareBracketXcodeVersionsRightSquareBracket** | **int**| maximum number of related xcodeVersions returned (when they are included) | [optional] 

### Return type

[**CiMacOsVersionsResponse**](CiMacOsVersionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciMacOsVersionsGetInstance**
> CiMacOsVersionResponse ciMacOsVersionsGetInstance(id, fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, include, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, limitLeftSquareBracketXcodeVersionsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiMacOsVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciMacOsVersions
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciXcodeVersions
final limitLeftSquareBracketXcodeVersionsRightSquareBracket = 56; // int | maximum number of related xcodeVersions returned (when they are included)

try {
    final result = api_instance.ciMacOsVersionsGetInstance(id, fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, include, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, limitLeftSquareBracketXcodeVersionsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiMacOsVersionsApi->ciMacOsVersionsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciMacOsVersions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciXcodeVersions | [optional] [default to const []]
 **limitLeftSquareBracketXcodeVersionsRightSquareBracket** | **int**| maximum number of related xcodeVersions returned (when they are included) | [optional] 

### Return type

[**CiMacOsVersionResponse**](CiMacOsVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciMacOsVersionsXcodeVersionsGetToManyRelated**
> CiXcodeVersionsResponse ciMacOsVersionsXcodeVersionsGetToManyRelated(id, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, limit, limitLeftSquareBracketMacOsVersionsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiMacOsVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciXcodeVersions
final fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciMacOsVersions
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketMacOsVersionsRightSquareBracket = 56; // int | maximum number of related macOsVersions returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciMacOsVersionsXcodeVersionsGetToManyRelated(id, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, limit, limitLeftSquareBracketMacOsVersionsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CiMacOsVersionsApi->ciMacOsVersionsXcodeVersionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciXcodeVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciMacOsVersions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketMacOsVersionsRightSquareBracket** | **int**| maximum number of related macOsVersions returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CiXcodeVersionsResponse**](CiXcodeVersionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

