# appstore_connect_api.api.CiProductsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciProductsAdditionalRepositoriesGetToManyRelated**](CiProductsApi.md#ciproductsadditionalrepositoriesgettomanyrelated) | **GET** /v1/ciProducts/{id}/additionalRepositories | 
[**ciProductsAppGetToOneRelated**](CiProductsApi.md#ciproductsappgettoonerelated) | **GET** /v1/ciProducts/{id}/app | 
[**ciProductsBuildRunsGetToManyRelated**](CiProductsApi.md#ciproductsbuildrunsgettomanyrelated) | **GET** /v1/ciProducts/{id}/buildRuns | 
[**ciProductsDeleteInstance**](CiProductsApi.md#ciproductsdeleteinstance) | **DELETE** /v1/ciProducts/{id} | 
[**ciProductsGetCollection**](CiProductsApi.md#ciproductsgetcollection) | **GET** /v1/ciProducts | 
[**ciProductsGetInstance**](CiProductsApi.md#ciproductsgetinstance) | **GET** /v1/ciProducts/{id} | 
[**ciProductsPrimaryRepositoriesGetToManyRelated**](CiProductsApi.md#ciproductsprimaryrepositoriesgettomanyrelated) | **GET** /v1/ciProducts/{id}/primaryRepositories | 
[**ciProductsWorkflowsGetToManyRelated**](CiProductsApi.md#ciproductsworkflowsgettomanyrelated) | **GET** /v1/ciProducts/{id}/workflows | 


# **ciProductsAdditionalRepositoriesGetToManyRelated**
> ScmRepositoriesResponse ciProductsAdditionalRepositoriesGetToManyRelated(id, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketScmProvidersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmProviders
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciProductsAdditionalRepositoriesGetToManyRelated(id, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsAdditionalRepositoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketScmProvidersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmProviders | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmRepositoriesResponse**](ScmRepositoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciProductsAppGetToOneRelated**
> AppResponse ciProductsAppGetToOneRelated(id, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketAppStoreVersionsRightSquareBracket, limitLeftSquareBracketPreReleaseVersionsRightSquareBracket, limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketAppInfosRightSquareBracket, limitLeftSquareBracketAppClipsRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, limitLeftSquareBracketInAppPurchasesRightSquareBracket, limitLeftSquareBracketSubscriptionGroupsRightSquareBracket, limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, limitLeftSquareBracketAppCustomProductPagesRightSquareBracket, limitLeftSquareBracketInAppPurchasesV2RightSquareBracket, limitLeftSquareBracketPromotedPurchasesRightSquareBracket, limitLeftSquareBracketAppEventsRightSquareBracket, limitLeftSquareBracketReviewSubmissionsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppReviewDetails
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissions
final fieldsLeftSquareBracketBetaGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaGroups
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketAppEventsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEvents
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaLicenseAgreements
final fieldsLeftSquareBracketAppClipsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appClips
final fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type betaAppLocalizations
final fieldsLeftSquareBracketAppInfosRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appInfos
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroups
final fieldsLeftSquareBracketAppPreOrdersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPreOrders
final fieldsLeftSquareBracketAppPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appPrices
final fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type gameCenterEnabledVersions
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGracePeriods
final fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type endUserLicenseAgreements
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPages
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketBetaGroupsRightSquareBracket = 56; // int | maximum number of related betaGroups returned (when they are included)
final limitLeftSquareBracketAppStoreVersionsRightSquareBracket = 56; // int | maximum number of related appStoreVersions returned (when they are included)
final limitLeftSquareBracketPreReleaseVersionsRightSquareBracket = 56; // int | maximum number of related preReleaseVersions returned (when they are included)
final limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket = 56; // int | maximum number of related betaAppLocalizations returned (when they are included)
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)
final limitLeftSquareBracketAppInfosRightSquareBracket = 56; // int | maximum number of related appInfos returned (when they are included)
final limitLeftSquareBracketAppClipsRightSquareBracket = 56; // int | maximum number of related appClips returned (when they are included)
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)
final limitLeftSquareBracketInAppPurchasesRightSquareBracket = 56; // int | maximum number of related inAppPurchases returned (when they are included)
final limitLeftSquareBracketSubscriptionGroupsRightSquareBracket = 56; // int | maximum number of related subscriptionGroups returned (when they are included)
final limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket = 56; // int | maximum number of related gameCenterEnabledVersions returned (when they are included)
final limitLeftSquareBracketAppCustomProductPagesRightSquareBracket = 56; // int | maximum number of related appCustomProductPages returned (when they are included)
final limitLeftSquareBracketInAppPurchasesV2RightSquareBracket = 56; // int | maximum number of related inAppPurchasesV2 returned (when they are included)
final limitLeftSquareBracketPromotedPurchasesRightSquareBracket = 56; // int | maximum number of related promotedPurchases returned (when they are included)
final limitLeftSquareBracketAppEventsRightSquareBracket = 56; // int | maximum number of related appEvents returned (when they are included)
final limitLeftSquareBracketReviewSubmissionsRightSquareBracket = 56; // int | maximum number of related reviewSubmissions returned (when they are included)
final limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket = 56; // int | maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciProductsAppGetToOneRelated(id, fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, fieldsLeftSquareBracketBetaGroupsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppClipsRightSquareBracket, fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket, fieldsLeftSquareBracketAppInfosRightSquareBracket, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketAppPreOrdersRightSquareBracket, fieldsLeftSquareBracketAppPricesRightSquareBracket, fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketBetaGroupsRightSquareBracket, limitLeftSquareBracketAppStoreVersionsRightSquareBracket, limitLeftSquareBracketPreReleaseVersionsRightSquareBracket, limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketAppInfosRightSquareBracket, limitLeftSquareBracketAppClipsRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, limitLeftSquareBracketInAppPurchasesRightSquareBracket, limitLeftSquareBracketSubscriptionGroupsRightSquareBracket, limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket, limitLeftSquareBracketAppCustomProductPagesRightSquareBracket, limitLeftSquareBracketInAppPurchasesV2RightSquareBracket, limitLeftSquareBracketPromotedPurchasesRightSquareBracket, limitLeftSquareBracketAppEventsRightSquareBracket, limitLeftSquareBracketReviewSubmissionsRightSquareBracket, limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBetaAppReviewDetailsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppReviewDetails | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissions | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEvents | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaLicenseAgreements | [optional] [default to const []]
 **fieldsLeftSquareBracketAppClipsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appClips | [optional] [default to const []]
 **fieldsLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type betaAppLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketAppInfosRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appInfos | [optional] [default to const []]
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPreOrdersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPreOrders | [optional] [default to const []]
 **fieldsLeftSquareBracketAppPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type gameCenterEnabledVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGracePeriodsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGracePeriods | [optional] [default to const []]
 **fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type endUserLicenseAgreements | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPages | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketBetaGroupsRightSquareBracket** | **int**| maximum number of related betaGroups returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionsRightSquareBracket** | **int**| maximum number of related appStoreVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketPreReleaseVersionsRightSquareBracket** | **int**| maximum number of related preReleaseVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketBetaAppLocalizationsRightSquareBracket** | **int**| maximum number of related betaAppLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppInfosRightSquareBracket** | **int**| maximum number of related appInfos returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppClipsRightSquareBracket** | **int**| maximum number of related appClips returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 
 **limitLeftSquareBracketInAppPurchasesRightSquareBracket** | **int**| maximum number of related inAppPurchases returned (when they are included) | [optional] 
 **limitLeftSquareBracketSubscriptionGroupsRightSquareBracket** | **int**| maximum number of related subscriptionGroups returned (when they are included) | [optional] 
 **limitLeftSquareBracketGameCenterEnabledVersionsRightSquareBracket** | **int**| maximum number of related gameCenterEnabledVersions returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppCustomProductPagesRightSquareBracket** | **int**| maximum number of related appCustomProductPages returned (when they are included) | [optional] 
 **limitLeftSquareBracketInAppPurchasesV2RightSquareBracket** | **int**| maximum number of related inAppPurchasesV2 returned (when they are included) | [optional] 
 **limitLeftSquareBracketPromotedPurchasesRightSquareBracket** | **int**| maximum number of related promotedPurchases returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppEventsRightSquareBracket** | **int**| maximum number of related appEvents returned (when they are included) | [optional] 
 **limitLeftSquareBracketReviewSubmissionsRightSquareBracket** | **int**| maximum number of related reviewSubmissions returned (when they are included) | [optional] 
 **limitLeftSquareBracketAppStoreVersionExperimentsV2RightSquareBracket** | **int**| maximum number of related appStoreVersionExperimentsV2 returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciProductsBuildRunsGetToManyRelated**
> CiBuildRunsResponse ciProductsBuildRunsGetToManyRelated(id, filterLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limit, limitLeftSquareBracketBuildsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | filter by id(s) of related 'builds'
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketCiWorkflowsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciWorkflows
final fieldsLeftSquareBracketScmPullRequestsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmPullRequests
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciProductsBuildRunsGetToManyRelated(id, filterLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limit, limitLeftSquareBracketBuildsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsBuildRunsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'builds' | [optional] [default to const []]
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketCiWorkflowsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciWorkflows | [optional] [default to const []]
 **fieldsLeftSquareBracketScmPullRequestsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmPullRequests | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CiBuildRunsResponse**](CiBuildRunsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciProductsDeleteInstance**
> ciProductsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.ciProductsDeleteInstance(id);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciProductsGetCollection**
> CiProductsResponse ciProductsGetCollection(filterLeftSquareBracketProductTypeRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, limit, include, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final filterLeftSquareBracketProductTypeRightSquareBracket = []; // List<String> | filter by attribute 'productType'
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketCiWorkflowsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciWorkflows
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket = 56; // int | maximum number of related primaryRepositories returned (when they are included)

try {
    final result = api_instance.ciProductsGetCollection(filterLeftSquareBracketProductTypeRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, limit, include, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketProductTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'productType' | [optional] [default to const []]
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketCiWorkflowsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciWorkflows | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket** | **int**| maximum number of related primaryRepositories returned (when they are included) | [optional] 

### Return type

[**CiProductsResponse**](CiProductsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciProductsGetInstance**
> CiProductResponse ciProductsGetInstance(id, fieldsLeftSquareBracketCiProductsRightSquareBracket, include, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketCiWorkflowsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciWorkflows
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket = 56; // int | maximum number of related primaryRepositories returned (when they are included)

try {
    final result = api_instance.ciProductsGetInstance(id, fieldsLeftSquareBracketCiProductsRightSquareBracket, include, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketCiWorkflowsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciWorkflows | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limitLeftSquareBracketPrimaryRepositoriesRightSquareBracket** | **int**| maximum number of related primaryRepositories returned (when they are included) | [optional] 

### Return type

[**CiProductResponse**](CiProductResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciProductsPrimaryRepositoriesGetToManyRelated**
> ScmRepositoriesResponse ciProductsPrimaryRepositoriesGetToManyRelated(id, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketScmProvidersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmProviders
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciProductsPrimaryRepositoriesGetToManyRelated(id, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsPrimaryRepositoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketScmProvidersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmProviders | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmRepositoriesResponse**](ScmRepositoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciProductsWorkflowsGetToManyRelated**
> CiWorkflowsResponse ciProductsWorkflowsGetToManyRelated(id, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiProductsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciXcodeVersions
final fieldsLeftSquareBracketCiWorkflowsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciWorkflows
final fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciMacOsVersions
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciProductsWorkflowsGetToManyRelated(id, fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling CiProductsApi->ciProductsWorkflowsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiXcodeVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciXcodeVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketCiWorkflowsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciWorkflows | [optional] [default to const []]
 **fieldsLeftSquareBracketCiMacOsVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciMacOsVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CiWorkflowsResponse**](CiWorkflowsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

