# appstore_connect_api.api.CiWorkflowsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**ciWorkflowsBuildRunsGetToManyRelated**](CiWorkflowsApi.md#ciworkflowsbuildrunsgettomanyrelated) | **GET** /v1/ciWorkflows/{id}/buildRuns | 
[**ciWorkflowsCreateInstance**](CiWorkflowsApi.md#ciworkflowscreateinstance) | **POST** /v1/ciWorkflows | 
[**ciWorkflowsDeleteInstance**](CiWorkflowsApi.md#ciworkflowsdeleteinstance) | **DELETE** /v1/ciWorkflows/{id} | 
[**ciWorkflowsGetInstance**](CiWorkflowsApi.md#ciworkflowsgetinstance) | **GET** /v1/ciWorkflows/{id} | 
[**ciWorkflowsRepositoryGetToOneRelated**](CiWorkflowsApi.md#ciworkflowsrepositorygettoonerelated) | **GET** /v1/ciWorkflows/{id}/repository | 
[**ciWorkflowsUpdateInstance**](CiWorkflowsApi.md#ciworkflowsupdateinstance) | **PATCH** /v1/ciWorkflows/{id} | 


# **ciWorkflowsBuildRunsGetToManyRelated**
> CiBuildRunsResponse ciWorkflowsBuildRunsGetToManyRelated(id, filterLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limit, limitLeftSquareBracketBuildsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiWorkflowsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | filter by id(s) of related 'builds'
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketCiWorkflowsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciWorkflows
final fieldsLeftSquareBracketScmPullRequestsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmPullRequests
final fieldsLeftSquareBracketCiProductsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciProducts
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciWorkflowsBuildRunsGetToManyRelated(id, filterLeftSquareBracketBuildsRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketCiProductsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limit, limitLeftSquareBracketBuildsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CiWorkflowsApi->ciWorkflowsBuildRunsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'builds' | [optional] [default to const []]
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketCiWorkflowsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciWorkflows | [optional] [default to const []]
 **fieldsLeftSquareBracketScmPullRequestsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmPullRequests | [optional] [default to const []]
 **fieldsLeftSquareBracketCiProductsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciProducts | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CiBuildRunsResponse**](CiBuildRunsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciWorkflowsCreateInstance**
> CiWorkflowResponse ciWorkflowsCreateInstance(ciWorkflowCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiWorkflowsApi();
final ciWorkflowCreateRequest = CiWorkflowCreateRequest(); // CiWorkflowCreateRequest | CiWorkflow representation

try {
    final result = api_instance.ciWorkflowsCreateInstance(ciWorkflowCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling CiWorkflowsApi->ciWorkflowsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ciWorkflowCreateRequest** | [**CiWorkflowCreateRequest**](CiWorkflowCreateRequest.md)| CiWorkflow representation | 

### Return type

[**CiWorkflowResponse**](CiWorkflowResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciWorkflowsDeleteInstance**
> ciWorkflowsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiWorkflowsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.ciWorkflowsDeleteInstance(id);
} catch (e) {
    print('Exception when calling CiWorkflowsApi->ciWorkflowsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciWorkflowsGetInstance**
> CiWorkflowResponse ciWorkflowsGetInstance(id, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, include, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiWorkflowsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCiWorkflowsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciWorkflows
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCiBuildRunsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type ciBuildRuns
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories

try {
    final result = api_instance.ciWorkflowsGetInstance(id, fieldsLeftSquareBracketCiWorkflowsRightSquareBracket, include, fieldsLeftSquareBracketCiBuildRunsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CiWorkflowsApi->ciWorkflowsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCiWorkflowsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciWorkflows | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCiBuildRunsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type ciBuildRuns | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]

### Return type

[**CiWorkflowResponse**](CiWorkflowResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciWorkflowsRepositoryGetToOneRelated**
> ScmRepositoryResponse ciWorkflowsRepositoryGetToOneRelated(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiWorkflowsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketScmProvidersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmProviders
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.ciWorkflowsRepositoryGetToOneRelated(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CiWorkflowsApi->ciWorkflowsRepositoryGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketScmProvidersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmProviders | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmRepositoryResponse**](ScmRepositoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **ciWorkflowsUpdateInstance**
> CiWorkflowResponse ciWorkflowsUpdateInstance(id, ciWorkflowUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CiWorkflowsApi();
final id = id_example; // String | the id of the requested resource
final ciWorkflowUpdateRequest = CiWorkflowUpdateRequest(); // CiWorkflowUpdateRequest | CiWorkflow representation

try {
    final result = api_instance.ciWorkflowsUpdateInstance(id, ciWorkflowUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling CiWorkflowsApi->ciWorkflowsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **ciWorkflowUpdateRequest** | [**CiWorkflowUpdateRequest**](CiWorkflowUpdateRequest.md)| CiWorkflow representation | 

### Return type

[**CiWorkflowResponse**](CiWorkflowResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

