# appstore_connect_api.api.CustomerReviewResponsesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**customerReviewResponsesCreateInstance**](CustomerReviewResponsesApi.md#customerreviewresponsescreateinstance) | **POST** /v1/customerReviewResponses | 
[**customerReviewResponsesDeleteInstance**](CustomerReviewResponsesApi.md#customerreviewresponsesdeleteinstance) | **DELETE** /v1/customerReviewResponses/{id} | 
[**customerReviewResponsesGetInstance**](CustomerReviewResponsesApi.md#customerreviewresponsesgetinstance) | **GET** /v1/customerReviewResponses/{id} | 


# **customerReviewResponsesCreateInstance**
> CustomerReviewResponseV1Response customerReviewResponsesCreateInstance(customerReviewResponseV1CreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CustomerReviewResponsesApi();
final customerReviewResponseV1CreateRequest = CustomerReviewResponseV1CreateRequest(); // CustomerReviewResponseV1CreateRequest | CustomerReviewResponse representation

try {
    final result = api_instance.customerReviewResponsesCreateInstance(customerReviewResponseV1CreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling CustomerReviewResponsesApi->customerReviewResponsesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerReviewResponseV1CreateRequest** | [**CustomerReviewResponseV1CreateRequest**](CustomerReviewResponseV1CreateRequest.md)| CustomerReviewResponse representation | 

### Return type

[**CustomerReviewResponseV1Response**](CustomerReviewResponseV1Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **customerReviewResponsesDeleteInstance**
> customerReviewResponsesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CustomerReviewResponsesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.customerReviewResponsesDeleteInstance(id);
} catch (e) {
    print('Exception when calling CustomerReviewResponsesApi->customerReviewResponsesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **customerReviewResponsesGetInstance**
> CustomerReviewResponseV1Response customerReviewResponsesGetInstance(id, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CustomerReviewResponsesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviewResponses
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.customerReviewResponsesGetInstance(id, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CustomerReviewResponsesApi->customerReviewResponsesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviewResponses | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CustomerReviewResponseV1Response**](CustomerReviewResponseV1Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

