# appstore_connect_api.api.CustomerReviewsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**customerReviewsGetInstance**](CustomerReviewsApi.md#customerreviewsgetinstance) | **GET** /v1/customerReviews/{id} | 
[**customerReviewsResponseGetToOneRelated**](CustomerReviewsApi.md#customerreviewsresponsegettoonerelated) | **GET** /v1/customerReviews/{id}/response | 


# **customerReviewsGetInstance**
> CustomerReviewResponse customerReviewsGetInstance(id, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, include, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CustomerReviewsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCustomerReviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviews
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviewResponses

try {
    final result = api_instance.customerReviewsGetInstance(id, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, include, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling CustomerReviewsApi->customerReviewsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCustomerReviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviews | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviewResponses | [optional] [default to const []]

### Return type

[**CustomerReviewResponse**](CustomerReviewResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **customerReviewsResponseGetToOneRelated**
> CustomerReviewResponseV1Response customerReviewsResponseGetToOneRelated(id, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = CustomerReviewsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCustomerReviewsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviews
final fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type customerReviewResponses
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.customerReviewsResponseGetToOneRelated(id, fieldsLeftSquareBracketCustomerReviewsRightSquareBracket, fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling CustomerReviewsApi->customerReviewsResponseGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCustomerReviewsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviews | [optional] [default to const []]
 **fieldsLeftSquareBracketCustomerReviewResponsesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type customerReviewResponses | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**CustomerReviewResponseV1Response**](CustomerReviewResponseV1Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

