# appstore_connect_api.api.DevicesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**devicesCreateInstance**](DevicesApi.md#devicescreateinstance) | **POST** /v1/devices | 
[**devicesGetCollection**](DevicesApi.md#devicesgetcollection) | **GET** /v1/devices | 
[**devicesGetInstance**](DevicesApi.md#devicesgetinstance) | **GET** /v1/devices/{id} | 
[**devicesUpdateInstance**](DevicesApi.md#devicesupdateinstance) | **PATCH** /v1/devices/{id} | 


# **devicesCreateInstance**
> DeviceResponse devicesCreateInstance(deviceCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = DevicesApi();
final deviceCreateRequest = DeviceCreateRequest(); // DeviceCreateRequest | Device representation

try {
    final result = api_instance.devicesCreateInstance(deviceCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling DevicesApi->devicesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **deviceCreateRequest** | [**DeviceCreateRequest**](DeviceCreateRequest.md)| Device representation | 

### Return type

[**DeviceResponse**](DeviceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **devicesGetCollection**
> DevicesResponse devicesGetCollection(filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketStatusRightSquareBracket, filterLeftSquareBracketUdidRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketDevicesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = DevicesApi();
final filterLeftSquareBracketNameRightSquareBracket = []; // List<String> | filter by attribute 'name'
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketStatusRightSquareBracket = []; // List<String> | filter by attribute 'status'
final filterLeftSquareBracketUdidRightSquareBracket = []; // List<String> | filter by attribute 'udid'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketDevicesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type devices
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.devicesGetCollection(filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketStatusRightSquareBracket, filterLeftSquareBracketUdidRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketDevicesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling DevicesApi->devicesGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'name' | [optional] [default to const []]
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketStatusRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'status' | [optional] [default to const []]
 **filterLeftSquareBracketUdidRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'udid' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketDevicesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type devices | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**DevicesResponse**](DevicesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **devicesGetInstance**
> DeviceResponse devicesGetInstance(id, fieldsLeftSquareBracketDevicesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = DevicesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketDevicesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type devices

try {
    final result = api_instance.devicesGetInstance(id, fieldsLeftSquareBracketDevicesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling DevicesApi->devicesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketDevicesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type devices | [optional] [default to const []]

### Return type

[**DeviceResponse**](DeviceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **devicesUpdateInstance**
> DeviceResponse devicesUpdateInstance(id, deviceUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = DevicesApi();
final id = id_example; // String | the id of the requested resource
final deviceUpdateRequest = DeviceUpdateRequest(); // DeviceUpdateRequest | Device representation

try {
    final result = api_instance.devicesUpdateInstance(id, deviceUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling DevicesApi->devicesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **deviceUpdateRequest** | [**DeviceUpdateRequest**](DeviceUpdateRequest.md)| Device representation | 

### Return type

[**DeviceResponse**](DeviceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

