# appstore_connect_api.api.EndUserLicenseAgreementsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**endUserLicenseAgreementsCreateInstance**](EndUserLicenseAgreementsApi.md#enduserlicenseagreementscreateinstance) | **POST** /v1/endUserLicenseAgreements | 
[**endUserLicenseAgreementsDeleteInstance**](EndUserLicenseAgreementsApi.md#enduserlicenseagreementsdeleteinstance) | **DELETE** /v1/endUserLicenseAgreements/{id} | 
[**endUserLicenseAgreementsGetInstance**](EndUserLicenseAgreementsApi.md#enduserlicenseagreementsgetinstance) | **GET** /v1/endUserLicenseAgreements/{id} | 
[**endUserLicenseAgreementsTerritoriesGetToManyRelated**](EndUserLicenseAgreementsApi.md#enduserlicenseagreementsterritoriesgettomanyrelated) | **GET** /v1/endUserLicenseAgreements/{id}/territories | 
[**endUserLicenseAgreementsUpdateInstance**](EndUserLicenseAgreementsApi.md#enduserlicenseagreementsupdateinstance) | **PATCH** /v1/endUserLicenseAgreements/{id} | 


# **endUserLicenseAgreementsCreateInstance**
> EndUserLicenseAgreementResponse endUserLicenseAgreementsCreateInstance(endUserLicenseAgreementCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = EndUserLicenseAgreementsApi();
final endUserLicenseAgreementCreateRequest = EndUserLicenseAgreementCreateRequest(); // EndUserLicenseAgreementCreateRequest | EndUserLicenseAgreement representation

try {
    final result = api_instance.endUserLicenseAgreementsCreateInstance(endUserLicenseAgreementCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling EndUserLicenseAgreementsApi->endUserLicenseAgreementsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **endUserLicenseAgreementCreateRequest** | [**EndUserLicenseAgreementCreateRequest**](EndUserLicenseAgreementCreateRequest.md)| EndUserLicenseAgreement representation | 

### Return type

[**EndUserLicenseAgreementResponse**](EndUserLicenseAgreementResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **endUserLicenseAgreementsDeleteInstance**
> endUserLicenseAgreementsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = EndUserLicenseAgreementsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.endUserLicenseAgreementsDeleteInstance(id);
} catch (e) {
    print('Exception when calling EndUserLicenseAgreementsApi->endUserLicenseAgreementsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **endUserLicenseAgreementsGetInstance**
> EndUserLicenseAgreementResponse endUserLicenseAgreementsGetInstance(id, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketTerritoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = EndUserLicenseAgreementsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type endUserLicenseAgreements
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketTerritoriesRightSquareBracket = 56; // int | maximum number of related territories returned (when they are included)

try {
    final result = api_instance.endUserLicenseAgreementsGetInstance(id, fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketTerritoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling EndUserLicenseAgreementsApi->endUserLicenseAgreementsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketEndUserLicenseAgreementsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type endUserLicenseAgreements | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketTerritoriesRightSquareBracket** | **int**| maximum number of related territories returned (when they are included) | [optional] 

### Return type

[**EndUserLicenseAgreementResponse**](EndUserLicenseAgreementResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **endUserLicenseAgreementsTerritoriesGetToManyRelated**
> TerritoriesResponse endUserLicenseAgreementsTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = EndUserLicenseAgreementsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.endUserLicenseAgreementsTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling EndUserLicenseAgreementsApi->endUserLicenseAgreementsTerritoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**TerritoriesResponse**](TerritoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **endUserLicenseAgreementsUpdateInstance**
> EndUserLicenseAgreementResponse endUserLicenseAgreementsUpdateInstance(id, endUserLicenseAgreementUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = EndUserLicenseAgreementsApi();
final id = id_example; // String | the id of the requested resource
final endUserLicenseAgreementUpdateRequest = EndUserLicenseAgreementUpdateRequest(); // EndUserLicenseAgreementUpdateRequest | EndUserLicenseAgreement representation

try {
    final result = api_instance.endUserLicenseAgreementsUpdateInstance(id, endUserLicenseAgreementUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling EndUserLicenseAgreementsApi->endUserLicenseAgreementsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **endUserLicenseAgreementUpdateRequest** | [**EndUserLicenseAgreementUpdateRequest**](EndUserLicenseAgreementUpdateRequest.md)| EndUserLicenseAgreement representation | 

### Return type

[**EndUserLicenseAgreementResponse**](EndUserLicenseAgreementResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

