# appstore_connect_api.api.InAppPurchaseAvailabilitiesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**inAppPurchaseAvailabilitiesAvailableTerritoriesGetToManyRelated**](InAppPurchaseAvailabilitiesApi.md#inapppurchaseavailabilitiesavailableterritoriesgettomanyrelated) | **GET** /v1/inAppPurchaseAvailabilities/{id}/availableTerritories | 
[**inAppPurchaseAvailabilitiesCreateInstance**](InAppPurchaseAvailabilitiesApi.md#inapppurchaseavailabilitiescreateinstance) | **POST** /v1/inAppPurchaseAvailabilities | 
[**inAppPurchaseAvailabilitiesGetInstance**](InAppPurchaseAvailabilitiesApi.md#inapppurchaseavailabilitiesgetinstance) | **GET** /v1/inAppPurchaseAvailabilities/{id} | 


# **inAppPurchaseAvailabilitiesAvailableTerritoriesGetToManyRelated**
> TerritoriesResponse inAppPurchaseAvailabilitiesAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseAvailabilitiesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.inAppPurchaseAvailabilitiesAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchaseAvailabilitiesApi->inAppPurchaseAvailabilitiesAvailableTerritoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**TerritoriesResponse**](TerritoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchaseAvailabilitiesCreateInstance**
> InAppPurchaseAvailabilityResponse inAppPurchaseAvailabilitiesCreateInstance(inAppPurchaseAvailabilityCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseAvailabilitiesApi();
final inAppPurchaseAvailabilityCreateRequest = InAppPurchaseAvailabilityCreateRequest(); // InAppPurchaseAvailabilityCreateRequest | InAppPurchaseAvailability representation

try {
    final result = api_instance.inAppPurchaseAvailabilitiesCreateInstance(inAppPurchaseAvailabilityCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchaseAvailabilitiesApi->inAppPurchaseAvailabilitiesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **inAppPurchaseAvailabilityCreateRequest** | [**InAppPurchaseAvailabilityCreateRequest**](InAppPurchaseAvailabilityCreateRequest.md)| InAppPurchaseAvailability representation | 

### Return type

[**InAppPurchaseAvailabilityResponse**](InAppPurchaseAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchaseAvailabilitiesGetInstance**
> InAppPurchaseAvailabilityResponse inAppPurchaseAvailabilitiesGetInstance(id, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseAvailabilitiesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseAvailabilities
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)

try {
    final result = api_instance.inAppPurchaseAvailabilitiesGetInstance(id, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchaseAvailabilitiesApi->inAppPurchaseAvailabilitiesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseAvailabilities | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 

### Return type

[**InAppPurchaseAvailabilityResponse**](InAppPurchaseAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

