# appstore_connect_api.api.InAppPurchaseLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**inAppPurchaseLocalizationsCreateInstance**](InAppPurchaseLocalizationsApi.md#inapppurchaselocalizationscreateinstance) | **POST** /v1/inAppPurchaseLocalizations | 
[**inAppPurchaseLocalizationsDeleteInstance**](InAppPurchaseLocalizationsApi.md#inapppurchaselocalizationsdeleteinstance) | **DELETE** /v1/inAppPurchaseLocalizations/{id} | 
[**inAppPurchaseLocalizationsGetInstance**](InAppPurchaseLocalizationsApi.md#inapppurchaselocalizationsgetinstance) | **GET** /v1/inAppPurchaseLocalizations/{id} | 
[**inAppPurchaseLocalizationsUpdateInstance**](InAppPurchaseLocalizationsApi.md#inapppurchaselocalizationsupdateinstance) | **PATCH** /v1/inAppPurchaseLocalizations/{id} | 


# **inAppPurchaseLocalizationsCreateInstance**
> InAppPurchaseLocalizationResponse inAppPurchaseLocalizationsCreateInstance(inAppPurchaseLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseLocalizationsApi();
final inAppPurchaseLocalizationCreateRequest = InAppPurchaseLocalizationCreateRequest(); // InAppPurchaseLocalizationCreateRequest | InAppPurchaseLocalization representation

try {
    final result = api_instance.inAppPurchaseLocalizationsCreateInstance(inAppPurchaseLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchaseLocalizationsApi->inAppPurchaseLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **inAppPurchaseLocalizationCreateRequest** | [**InAppPurchaseLocalizationCreateRequest**](InAppPurchaseLocalizationCreateRequest.md)| InAppPurchaseLocalization representation | 

### Return type

[**InAppPurchaseLocalizationResponse**](InAppPurchaseLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchaseLocalizationsDeleteInstance**
> inAppPurchaseLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.inAppPurchaseLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling InAppPurchaseLocalizationsApi->inAppPurchaseLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchaseLocalizationsGetInstance**
> InAppPurchaseLocalizationResponse inAppPurchaseLocalizationsGetInstance(id, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseLocalizations
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchaseLocalizationsGetInstance(id, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchaseLocalizationsApi->inAppPurchaseLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchaseLocalizationResponse**](InAppPurchaseLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchaseLocalizationsUpdateInstance**
> InAppPurchaseLocalizationResponse inAppPurchaseLocalizationsUpdateInstance(id, inAppPurchaseLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchaseLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final inAppPurchaseLocalizationUpdateRequest = InAppPurchaseLocalizationUpdateRequest(); // InAppPurchaseLocalizationUpdateRequest | InAppPurchaseLocalization representation

try {
    final result = api_instance.inAppPurchaseLocalizationsUpdateInstance(id, inAppPurchaseLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchaseLocalizationsApi->inAppPurchaseLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **inAppPurchaseLocalizationUpdateRequest** | [**InAppPurchaseLocalizationUpdateRequest**](InAppPurchaseLocalizationUpdateRequest.md)| InAppPurchaseLocalization representation | 

### Return type

[**InAppPurchaseLocalizationResponse**](InAppPurchaseLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

