# appstore_connect_api.api.InAppPurchasePriceSchedulesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelated**](InAppPurchasePriceSchedulesApi.md#inapppurchasepriceschedulesautomaticpricesgettomanyrelated) | **GET** /v1/inAppPurchasePriceSchedules/{id}/automaticPrices | 
[**inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelated**](InAppPurchasePriceSchedulesApi.md#inapppurchasepriceschedulesbaseterritorygettoonerelated) | **GET** /v1/inAppPurchasePriceSchedules/{id}/baseTerritory | 
[**inAppPurchasePriceSchedulesCreateInstance**](InAppPurchasePriceSchedulesApi.md#inapppurchasepriceschedulescreateinstance) | **POST** /v1/inAppPurchasePriceSchedules | 
[**inAppPurchasePriceSchedulesGetInstance**](InAppPurchasePriceSchedulesApi.md#inapppurchasepriceschedulesgetinstance) | **GET** /v1/inAppPurchasePriceSchedules/{id} | 
[**inAppPurchasePriceSchedulesManualPricesGetToManyRelated**](InAppPurchasePriceSchedulesApi.md#inapppurchasepriceschedulesmanualpricesgettomanyrelated) | **GET** /v1/inAppPurchasePriceSchedules/{id}/manualPrices | 


# **inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelated**
> InAppPurchasePricesResponse inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasePriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePricePoints
final fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePrices
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasePriceSchedulesApi->inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePrices | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchasePricesResponse**](InAppPurchasePricesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelated**
> TerritoryResponse inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasePriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories

try {
    final result = api_instance.inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasePriceSchedulesApi->inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]

### Return type

[**TerritoryResponse**](TerritoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasePriceSchedulesCreateInstance**
> InAppPurchasePriceScheduleResponse inAppPurchasePriceSchedulesCreateInstance(inAppPurchasePriceScheduleCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasePriceSchedulesApi();
final inAppPurchasePriceScheduleCreateRequest = InAppPurchasePriceScheduleCreateRequest(); // InAppPurchasePriceScheduleCreateRequest | InAppPurchasePriceSchedule representation

try {
    final result = api_instance.inAppPurchasePriceSchedulesCreateInstance(inAppPurchasePriceScheduleCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasePriceSchedulesApi->inAppPurchasePriceSchedulesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **inAppPurchasePriceScheduleCreateRequest** | [**InAppPurchasePriceScheduleCreateRequest**](InAppPurchasePriceScheduleCreateRequest.md)| InAppPurchasePriceSchedule representation | 

### Return type

[**InAppPurchasePriceScheduleResponse**](InAppPurchasePriceScheduleResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasePriceSchedulesGetInstance**
> InAppPurchasePriceScheduleResponse inAppPurchasePriceSchedulesGetInstance(id, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, include, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasePriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePriceSchedules
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePrices
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAutomaticPricesRightSquareBracket = 56; // int | maximum number of related automaticPrices returned (when they are included)
final limitLeftSquareBracketManualPricesRightSquareBracket = 56; // int | maximum number of related manualPrices returned (when they are included)

try {
    final result = api_instance.inAppPurchasePriceSchedulesGetInstance(id, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, include, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasePriceSchedulesApi->inAppPurchasePriceSchedulesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePriceSchedules | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePrices | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAutomaticPricesRightSquareBracket** | **int**| maximum number of related automaticPrices returned (when they are included) | [optional] 
 **limitLeftSquareBracketManualPricesRightSquareBracket** | **int**| maximum number of related manualPrices returned (when they are included) | [optional] 

### Return type

[**InAppPurchasePriceScheduleResponse**](InAppPurchasePriceScheduleResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasePriceSchedulesManualPricesGetToManyRelated**
> InAppPurchasePricesResponse inAppPurchasePriceSchedulesManualPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasePriceSchedulesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePricePoints
final fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePrices
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasePriceSchedulesManualPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasePriceSchedulesApi->inAppPurchasePriceSchedulesManualPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePrices | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchasePricesResponse**](InAppPurchasePricesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

