# appstore_connect_api.api.InAppPurchasesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**inAppPurchasesAppStoreReviewScreenshotGetToOneRelated**](InAppPurchasesApi.md#inapppurchasesappstorereviewscreenshotgettoonerelated) | **GET** /v2/inAppPurchases/{id}/appStoreReviewScreenshot | 
[**inAppPurchasesContentGetToOneRelated**](InAppPurchasesApi.md#inapppurchasescontentgettoonerelated) | **GET** /v2/inAppPurchases/{id}/content | 
[**inAppPurchasesCreateInstance**](InAppPurchasesApi.md#inapppurchasescreateinstance) | **POST** /v2/inAppPurchases | 
[**inAppPurchasesDeleteInstance**](InAppPurchasesApi.md#inapppurchasesdeleteinstance) | **DELETE** /v2/inAppPurchases/{id} | 
[**inAppPurchasesGetInstance**](InAppPurchasesApi.md#inapppurchasesgetinstance) | **GET** /v1/inAppPurchases/{id} | 
[**inAppPurchasesGetInstance_0**](InAppPurchasesApi.md#inapppurchasesgetinstance_0) | **GET** /v2/inAppPurchases/{id} | 
[**inAppPurchasesIapPriceScheduleGetToOneRelated**](InAppPurchasesApi.md#inapppurchasesiappriceschedulegettoonerelated) | **GET** /v2/inAppPurchases/{id}/iapPriceSchedule | 
[**inAppPurchasesInAppPurchaseAvailabilityGetToOneRelated**](InAppPurchasesApi.md#inapppurchasesinapppurchaseavailabilitygettoonerelated) | **GET** /v2/inAppPurchases/{id}/inAppPurchaseAvailability | 
[**inAppPurchasesInAppPurchaseLocalizationsGetToManyRelated**](InAppPurchasesApi.md#inapppurchasesinapppurchaselocalizationsgettomanyrelated) | **GET** /v2/inAppPurchases/{id}/inAppPurchaseLocalizations | 
[**inAppPurchasesPricePointsGetToManyRelated**](InAppPurchasesApi.md#inapppurchasespricepointsgettomanyrelated) | **GET** /v2/inAppPurchases/{id}/pricePoints | 
[**inAppPurchasesPromotedPurchaseGetToOneRelated**](InAppPurchasesApi.md#inapppurchasespromotedpurchasegettoonerelated) | **GET** /v2/inAppPurchases/{id}/promotedPurchase | 
[**inAppPurchasesUpdateInstance**](InAppPurchasesApi.md#inapppurchasesupdateinstance) | **PATCH** /v2/inAppPurchases/{id} | 


# **inAppPurchasesAppStoreReviewScreenshotGetToOneRelated**
> InAppPurchaseAppStoreReviewScreenshotResponse inAppPurchasesAppStoreReviewScreenshotGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasesAppStoreReviewScreenshotGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesAppStoreReviewScreenshotGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchaseAppStoreReviewScreenshotResponse**](InAppPurchaseAppStoreReviewScreenshotResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesContentGetToOneRelated**
> InAppPurchaseContentResponse inAppPurchasesContentGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseContents
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasesContentGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesContentGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseContents | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchaseContentResponse**](InAppPurchaseContentResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesCreateInstance**
> InAppPurchaseV2Response inAppPurchasesCreateInstance(inAppPurchaseV2CreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final inAppPurchaseV2CreateRequest = InAppPurchaseV2CreateRequest(); // InAppPurchaseV2CreateRequest | InAppPurchase representation

try {
    final result = api_instance.inAppPurchasesCreateInstance(inAppPurchaseV2CreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **inAppPurchaseV2CreateRequest** | [**InAppPurchaseV2CreateRequest**](InAppPurchaseV2CreateRequest.md)| InAppPurchase representation | 

### Return type

[**InAppPurchaseV2Response**](InAppPurchaseV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesDeleteInstance**
> inAppPurchasesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.inAppPurchasesDeleteInstance(id);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesGetInstance**
> InAppPurchaseResponse inAppPurchasesGetInstance(id, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, include, limitLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final include = []; // List<String> | comma-separated list of relationships to include
final limitLeftSquareBracketAppsRightSquareBracket = 56; // int | maximum number of related apps returned (when they are included)

try {
    final result = api_instance.inAppPurchasesGetInstance(id, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, include, limitLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **limitLeftSquareBracketAppsRightSquareBracket** | **int**| maximum number of related apps returned (when they are included) | [optional] 

### Return type

[**InAppPurchaseResponse**](InAppPurchaseResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesGetInstance_0**
> InAppPurchaseV2Response inAppPurchasesGetInstance_0(id, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, include, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket, limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, limitLeftSquareBracketPricePointsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseAvailabilities
final fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePricePoints
final fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseLocalizations
final fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePriceSchedules
final fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseContents
final limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket = 56; // int | maximum number of related inAppPurchaseLocalizations returned (when they are included)
final limitLeftSquareBracketPricePointsRightSquareBracket = 56; // int | maximum number of related pricePoints returned (when they are included)

try {
    final result = api_instance.inAppPurchasesGetInstance_0(id, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, include, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket, limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, limitLeftSquareBracketPricePointsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesGetInstance_0: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseAppStoreReviewScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePriceSchedules | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchaseContentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseContents | [optional] [default to const []]
 **limitLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket** | **int**| maximum number of related inAppPurchaseLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricePointsRightSquareBracket** | **int**| maximum number of related pricePoints returned (when they are included) | [optional] 

### Return type

[**InAppPurchaseV2Response**](InAppPurchaseV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesIapPriceScheduleGetToOneRelated**
> InAppPurchasePriceScheduleResponse inAppPurchasesIapPriceScheduleGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePrices
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePriceSchedules
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketManualPricesRightSquareBracket = 56; // int | maximum number of related manualPrices returned (when they are included)
final limitLeftSquareBracketAutomaticPricesRightSquareBracket = 56; // int | maximum number of related automaticPrices returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasesIapPriceScheduleGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketManualPricesRightSquareBracket, limitLeftSquareBracketAutomaticPricesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesIapPriceScheduleGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchasePricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePrices | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePriceSchedulesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePriceSchedules | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketManualPricesRightSquareBracket** | **int**| maximum number of related manualPrices returned (when they are included) | [optional] 
 **limitLeftSquareBracketAutomaticPricesRightSquareBracket** | **int**| maximum number of related automaticPrices returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchasePriceScheduleResponse**](InAppPurchasePriceScheduleResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesInAppPurchaseAvailabilityGetToOneRelated**
> InAppPurchaseAvailabilityResponse inAppPurchasesInAppPurchaseAvailabilityGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseAvailabilities
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasesInAppPurchaseAvailabilityGetToOneRelated(id, fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesInAppPurchaseAvailabilityGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchaseAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchaseAvailabilityResponse**](InAppPurchaseAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesInAppPurchaseLocalizationsGetToManyRelated**
> InAppPurchaseLocalizationsResponse inAppPurchasesInAppPurchaseLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchaseLocalizations
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasesInAppPurchaseLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesInAppPurchaseLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketInAppPurchaseLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchaseLocalizations | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchaseLocalizationsResponse**](InAppPurchaseLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesPricePointsGetToManyRelated**
> InAppPurchasePricePointsResponse inAppPurchasesPricePointsGetToManyRelated(id, filterLeftSquareBracketPriceTierRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketPriceTierRightSquareBracket = []; // List<String> | filter by attribute 'priceTier'
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchasePricePoints
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasesPricePointsGetToManyRelated(id, filterLeftSquareBracketPriceTierRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesPricePointsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketPriceTierRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'priceTier' | [optional] [default to const []]
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasePricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchasePricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**InAppPurchasePricePointsResponse**](InAppPurchasePricePointsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/csv

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesPromotedPurchaseGetToOneRelated**
> PromotedPurchaseResponse inAppPurchasesPromotedPurchaseGetToOneRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limitLeftSquareBracketPromotionImagesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchaseImages
final limitLeftSquareBracketPromotionImagesRightSquareBracket = 56; // int | maximum number of related promotionImages returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.inAppPurchasesPromotedPurchaseGetToOneRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limitLeftSquareBracketPromotionImagesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesPromotedPurchaseGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchaseImages | [optional] [default to const []]
 **limitLeftSquareBracketPromotionImagesRightSquareBracket** | **int**| maximum number of related promotionImages returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**PromotedPurchaseResponse**](PromotedPurchaseResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **inAppPurchasesUpdateInstance**
> InAppPurchaseV2Response inAppPurchasesUpdateInstance(id, inAppPurchaseV2UpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = InAppPurchasesApi();
final id = id_example; // String | the id of the requested resource
final inAppPurchaseV2UpdateRequest = InAppPurchaseV2UpdateRequest(); // InAppPurchaseV2UpdateRequest | InAppPurchase representation

try {
    final result = api_instance.inAppPurchasesUpdateInstance(id, inAppPurchaseV2UpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling InAppPurchasesApi->inAppPurchasesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **inAppPurchaseV2UpdateRequest** | [**InAppPurchaseV2UpdateRequest**](InAppPurchaseV2UpdateRequest.md)| InAppPurchase representation | 

### Return type

[**InAppPurchaseV2Response**](InAppPurchaseV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

