# appstore_connect_api.api.PreReleaseVersionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**preReleaseVersionsAppGetToOneRelated**](PreReleaseVersionsApi.md#prereleaseversionsappgettoonerelated) | **GET** /v1/preReleaseVersions/{id}/app | 
[**preReleaseVersionsBuildsGetToManyRelated**](PreReleaseVersionsApi.md#prereleaseversionsbuildsgettomanyrelated) | **GET** /v1/preReleaseVersions/{id}/builds | 
[**preReleaseVersionsGetCollection**](PreReleaseVersionsApi.md#prereleaseversionsgetcollection) | **GET** /v1/preReleaseVersions | 
[**preReleaseVersionsGetInstance**](PreReleaseVersionsApi.md#prereleaseversionsgetinstance) | **GET** /v1/preReleaseVersions/{id} | 


# **preReleaseVersionsAppGetToOneRelated**
> AppResponse preReleaseVersionsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PreReleaseVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps

try {
    final result = api_instance.preReleaseVersionsAppGetToOneRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling PreReleaseVersionsApi->preReleaseVersionsAppGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]

### Return type

[**AppResponse**](AppResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **preReleaseVersionsBuildsGetToManyRelated**
> BuildsResponse preReleaseVersionsBuildsGetToManyRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PreReleaseVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.preReleaseVersionsBuildsGetToManyRelated(id, fieldsLeftSquareBracketBuildsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling PreReleaseVersionsApi->preReleaseVersionsBuildsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**BuildsResponse**](BuildsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **preReleaseVersionsGetCollection**
> PreReleaseVersionsResponse preReleaseVersionsGetCollection(filterLeftSquareBracketBuildsPeriodExpiredRightSquareBracket, filterLeftSquareBracketBuildsPeriodProcessingStateRightSquareBracket, filterLeftSquareBracketBuildsPeriodVersionRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketBuildsRightSquareBracket, sort, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PreReleaseVersionsApi();
final filterLeftSquareBracketBuildsPeriodExpiredRightSquareBracket = []; // List<String> | filter by attribute 'builds.expired'
final filterLeftSquareBracketBuildsPeriodProcessingStateRightSquareBracket = []; // List<String> | filter by attribute 'builds.processingState'
final filterLeftSquareBracketBuildsPeriodVersionRightSquareBracket = []; // List<String> | filter by attribute 'builds.version'
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketVersionRightSquareBracket = []; // List<String> | filter by attribute 'version'
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final filterLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | filter by id(s) of related 'builds'
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)

try {
    final result = api_instance.preReleaseVersionsGetCollection(filterLeftSquareBracketBuildsPeriodExpiredRightSquareBracket, filterLeftSquareBracketBuildsPeriodProcessingStateRightSquareBracket, filterLeftSquareBracketBuildsPeriodVersionRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket, filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketBuildsRightSquareBracket, sort, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling PreReleaseVersionsApi->preReleaseVersionsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketBuildsPeriodExpiredRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'builds.expired' | [optional] [default to const []]
 **filterLeftSquareBracketBuildsPeriodProcessingStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'builds.processingState' | [optional] [default to const []]
 **filterLeftSquareBracketBuildsPeriodVersionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'builds.version' | [optional] [default to const []]
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketVersionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'version' | [optional] [default to const []]
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [optional] [default to const []]
 **filterLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'builds' | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 

### Return type

[**PreReleaseVersionsResponse**](PreReleaseVersionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **preReleaseVersionsGetInstance**
> PreReleaseVersionResponse preReleaseVersionsGetInstance(id, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PreReleaseVersionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type preReleaseVersions
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final fieldsLeftSquareBracketBuildsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type builds
final limitLeftSquareBracketBuildsRightSquareBracket = 56; // int | maximum number of related builds returned (when they are included)

try {
    final result = api_instance.preReleaseVersionsGetInstance(id, fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket, fieldsLeftSquareBracketBuildsRightSquareBracket, limitLeftSquareBracketBuildsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling PreReleaseVersionsApi->preReleaseVersionsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPreReleaseVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type preReleaseVersions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **fieldsLeftSquareBracketBuildsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type builds | [optional] [default to const []]
 **limitLeftSquareBracketBuildsRightSquareBracket** | **int**| maximum number of related builds returned (when they are included) | [optional] 

### Return type

[**PreReleaseVersionResponse**](PreReleaseVersionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

