# appstore_connect_api.api.ProfilesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**profilesBundleIdGetToOneRelated**](ProfilesApi.md#profilesbundleidgettoonerelated) | **GET** /v1/profiles/{id}/bundleId | 
[**profilesCertificatesGetToManyRelated**](ProfilesApi.md#profilescertificatesgettomanyrelated) | **GET** /v1/profiles/{id}/certificates | 
[**profilesCreateInstance**](ProfilesApi.md#profilescreateinstance) | **POST** /v1/profiles | 
[**profilesDeleteInstance**](ProfilesApi.md#profilesdeleteinstance) | **DELETE** /v1/profiles/{id} | 
[**profilesDevicesGetToManyRelated**](ProfilesApi.md#profilesdevicesgettomanyrelated) | **GET** /v1/profiles/{id}/devices | 
[**profilesGetCollection**](ProfilesApi.md#profilesgetcollection) | **GET** /v1/profiles | 
[**profilesGetInstance**](ProfilesApi.md#profilesgetinstance) | **GET** /v1/profiles/{id} | 


# **profilesBundleIdGetToOneRelated**
> BundleIdResponse profilesBundleIdGetToOneRelated(id, fieldsLeftSquareBracketBundleIdsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ProfilesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketBundleIdsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIds

try {
    final result = api_instance.profilesBundleIdGetToOneRelated(id, fieldsLeftSquareBracketBundleIdsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ProfilesApi->profilesBundleIdGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketBundleIdsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIds | [optional] [default to const []]

### Return type

[**BundleIdResponse**](BundleIdResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profilesCertificatesGetToManyRelated**
> CertificatesResponse profilesCertificatesGetToManyRelated(id, fieldsLeftSquareBracketCertificatesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ProfilesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketCertificatesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type certificates
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.profilesCertificatesGetToManyRelated(id, fieldsLeftSquareBracketCertificatesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling ProfilesApi->profilesCertificatesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketCertificatesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type certificates | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**CertificatesResponse**](CertificatesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profilesCreateInstance**
> ProfileResponse profilesCreateInstance(profileCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ProfilesApi();
final profileCreateRequest = ProfileCreateRequest(); // ProfileCreateRequest | Profile representation

try {
    final result = api_instance.profilesCreateInstance(profileCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling ProfilesApi->profilesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profileCreateRequest** | [**ProfileCreateRequest**](ProfileCreateRequest.md)| Profile representation | 

### Return type

[**ProfileResponse**](ProfileResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profilesDeleteInstance**
> profilesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ProfilesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.profilesDeleteInstance(id);
} catch (e) {
    print('Exception when calling ProfilesApi->profilesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profilesDevicesGetToManyRelated**
> DevicesResponse profilesDevicesGetToManyRelated(id, fieldsLeftSquareBracketDevicesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ProfilesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketDevicesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type devices
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.profilesDevicesGetToManyRelated(id, fieldsLeftSquareBracketDevicesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling ProfilesApi->profilesDevicesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketDevicesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type devices | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**DevicesResponse**](DevicesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profilesGetCollection**
> ProfilesResponse profilesGetCollection(filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketProfileStateRightSquareBracket, filterLeftSquareBracketProfileTypeRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketProfilesRightSquareBracket, limit, include, fieldsLeftSquareBracketCertificatesRightSquareBracket, fieldsLeftSquareBracketDevicesRightSquareBracket, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limitLeftSquareBracketCertificatesRightSquareBracket, limitLeftSquareBracketDevicesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ProfilesApi();
final filterLeftSquareBracketNameRightSquareBracket = []; // List<String> | filter by attribute 'name'
final filterLeftSquareBracketProfileStateRightSquareBracket = []; // List<String> | filter by attribute 'profileState'
final filterLeftSquareBracketProfileTypeRightSquareBracket = []; // List<String> | filter by attribute 'profileType'
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketProfilesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type profiles
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCertificatesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type certificates
final fieldsLeftSquareBracketDevicesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type devices
final fieldsLeftSquareBracketBundleIdsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIds
final limitLeftSquareBracketCertificatesRightSquareBracket = 56; // int | maximum number of related certificates returned (when they are included)
final limitLeftSquareBracketDevicesRightSquareBracket = 56; // int | maximum number of related devices returned (when they are included)

try {
    final result = api_instance.profilesGetCollection(filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketProfileStateRightSquareBracket, filterLeftSquareBracketProfileTypeRightSquareBracket, filterLeftSquareBracketIdRightSquareBracket, sort, fieldsLeftSquareBracketProfilesRightSquareBracket, limit, include, fieldsLeftSquareBracketCertificatesRightSquareBracket, fieldsLeftSquareBracketDevicesRightSquareBracket, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limitLeftSquareBracketCertificatesRightSquareBracket, limitLeftSquareBracketDevicesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ProfilesApi->profilesGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'name' | [optional] [default to const []]
 **filterLeftSquareBracketProfileStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'profileState' | [optional] [default to const []]
 **filterLeftSquareBracketProfileTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'profileType' | [optional] [default to const []]
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketProfilesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type profiles | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCertificatesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type certificates | [optional] [default to const []]
 **fieldsLeftSquareBracketDevicesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type devices | [optional] [default to const []]
 **fieldsLeftSquareBracketBundleIdsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIds | [optional] [default to const []]
 **limitLeftSquareBracketCertificatesRightSquareBracket** | **int**| maximum number of related certificates returned (when they are included) | [optional] 
 **limitLeftSquareBracketDevicesRightSquareBracket** | **int**| maximum number of related devices returned (when they are included) | [optional] 

### Return type

[**ProfilesResponse**](ProfilesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **profilesGetInstance**
> ProfileResponse profilesGetInstance(id, fieldsLeftSquareBracketProfilesRightSquareBracket, include, fieldsLeftSquareBracketCertificatesRightSquareBracket, fieldsLeftSquareBracketDevicesRightSquareBracket, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limitLeftSquareBracketCertificatesRightSquareBracket, limitLeftSquareBracketDevicesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ProfilesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketProfilesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type profiles
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketCertificatesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type certificates
final fieldsLeftSquareBracketDevicesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type devices
final fieldsLeftSquareBracketBundleIdsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type bundleIds
final limitLeftSquareBracketCertificatesRightSquareBracket = 56; // int | maximum number of related certificates returned (when they are included)
final limitLeftSquareBracketDevicesRightSquareBracket = 56; // int | maximum number of related devices returned (when they are included)

try {
    final result = api_instance.profilesGetInstance(id, fieldsLeftSquareBracketProfilesRightSquareBracket, include, fieldsLeftSquareBracketCertificatesRightSquareBracket, fieldsLeftSquareBracketDevicesRightSquareBracket, fieldsLeftSquareBracketBundleIdsRightSquareBracket, limitLeftSquareBracketCertificatesRightSquareBracket, limitLeftSquareBracketDevicesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ProfilesApi->profilesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketProfilesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type profiles | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketCertificatesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type certificates | [optional] [default to const []]
 **fieldsLeftSquareBracketDevicesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type devices | [optional] [default to const []]
 **fieldsLeftSquareBracketBundleIdsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type bundleIds | [optional] [default to const []]
 **limitLeftSquareBracketCertificatesRightSquareBracket** | **int**| maximum number of related certificates returned (when they are included) | [optional] 
 **limitLeftSquareBracketDevicesRightSquareBracket** | **int**| maximum number of related devices returned (when they are included) | [optional] 

### Return type

[**ProfileResponse**](ProfileResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

