# appstore_connect_api.api.PromotedPurchaseImagesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**promotedPurchaseImagesCreateInstance**](PromotedPurchaseImagesApi.md#promotedpurchaseimagescreateinstance) | **POST** /v1/promotedPurchaseImages | 
[**promotedPurchaseImagesDeleteInstance**](PromotedPurchaseImagesApi.md#promotedpurchaseimagesdeleteinstance) | **DELETE** /v1/promotedPurchaseImages/{id} | 
[**promotedPurchaseImagesGetInstance**](PromotedPurchaseImagesApi.md#promotedpurchaseimagesgetinstance) | **GET** /v1/promotedPurchaseImages/{id} | 
[**promotedPurchaseImagesUpdateInstance**](PromotedPurchaseImagesApi.md#promotedpurchaseimagesupdateinstance) | **PATCH** /v1/promotedPurchaseImages/{id} | 


# **promotedPurchaseImagesCreateInstance**
> PromotedPurchaseImageResponse promotedPurchaseImagesCreateInstance(promotedPurchaseImageCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchaseImagesApi();
final promotedPurchaseImageCreateRequest = PromotedPurchaseImageCreateRequest(); // PromotedPurchaseImageCreateRequest | PromotedPurchaseImage representation

try {
    final result = api_instance.promotedPurchaseImagesCreateInstance(promotedPurchaseImageCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling PromotedPurchaseImagesApi->promotedPurchaseImagesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **promotedPurchaseImageCreateRequest** | [**PromotedPurchaseImageCreateRequest**](PromotedPurchaseImageCreateRequest.md)| PromotedPurchaseImage representation | 

### Return type

[**PromotedPurchaseImageResponse**](PromotedPurchaseImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promotedPurchaseImagesDeleteInstance**
> promotedPurchaseImagesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchaseImagesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.promotedPurchaseImagesDeleteInstance(id);
} catch (e) {
    print('Exception when calling PromotedPurchaseImagesApi->promotedPurchaseImagesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promotedPurchaseImagesGetInstance**
> PromotedPurchaseImageResponse promotedPurchaseImagesGetInstance(id, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchaseImagesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchaseImages
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.promotedPurchaseImagesGetInstance(id, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling PromotedPurchaseImagesApi->promotedPurchaseImagesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchaseImages | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**PromotedPurchaseImageResponse**](PromotedPurchaseImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promotedPurchaseImagesUpdateInstance**
> PromotedPurchaseImageResponse promotedPurchaseImagesUpdateInstance(id, promotedPurchaseImageUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchaseImagesApi();
final id = id_example; // String | the id of the requested resource
final promotedPurchaseImageUpdateRequest = PromotedPurchaseImageUpdateRequest(); // PromotedPurchaseImageUpdateRequest | PromotedPurchaseImage representation

try {
    final result = api_instance.promotedPurchaseImagesUpdateInstance(id, promotedPurchaseImageUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling PromotedPurchaseImagesApi->promotedPurchaseImagesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **promotedPurchaseImageUpdateRequest** | [**PromotedPurchaseImageUpdateRequest**](PromotedPurchaseImageUpdateRequest.md)| PromotedPurchaseImage representation | 

### Return type

[**PromotedPurchaseImageResponse**](PromotedPurchaseImageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

