# appstore_connect_api.api.PromotedPurchasesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**promotedPurchasesCreateInstance**](PromotedPurchasesApi.md#promotedpurchasescreateinstance) | **POST** /v1/promotedPurchases | 
[**promotedPurchasesDeleteInstance**](PromotedPurchasesApi.md#promotedpurchasesdeleteinstance) | **DELETE** /v1/promotedPurchases/{id} | 
[**promotedPurchasesGetInstance**](PromotedPurchasesApi.md#promotedpurchasesgetinstance) | **GET** /v1/promotedPurchases/{id} | 
[**promotedPurchasesPromotionImagesGetToManyRelated**](PromotedPurchasesApi.md#promotedpurchasespromotionimagesgettomanyrelated) | **GET** /v1/promotedPurchases/{id}/promotionImages | 
[**promotedPurchasesUpdateInstance**](PromotedPurchasesApi.md#promotedpurchasesupdateinstance) | **PATCH** /v1/promotedPurchases/{id} | 


# **promotedPurchasesCreateInstance**
> PromotedPurchaseResponse promotedPurchasesCreateInstance(promotedPurchaseCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchasesApi();
final promotedPurchaseCreateRequest = PromotedPurchaseCreateRequest(); // PromotedPurchaseCreateRequest | PromotedPurchase representation

try {
    final result = api_instance.promotedPurchasesCreateInstance(promotedPurchaseCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling PromotedPurchasesApi->promotedPurchasesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **promotedPurchaseCreateRequest** | [**PromotedPurchaseCreateRequest**](PromotedPurchaseCreateRequest.md)| PromotedPurchase representation | 

### Return type

[**PromotedPurchaseResponse**](PromotedPurchaseResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promotedPurchasesDeleteInstance**
> promotedPurchasesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchasesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.promotedPurchasesDeleteInstance(id);
} catch (e) {
    print('Exception when calling PromotedPurchasesApi->promotedPurchasesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promotedPurchasesGetInstance**
> PromotedPurchaseResponse promotedPurchasesGetInstance(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, include, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limitLeftSquareBracketPromotionImagesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchaseImages
final limitLeftSquareBracketPromotionImagesRightSquareBracket = 56; // int | maximum number of related promotionImages returned (when they are included)

try {
    final result = api_instance.promotedPurchasesGetInstance(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, include, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limitLeftSquareBracketPromotionImagesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling PromotedPurchasesApi->promotedPurchasesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchaseImages | [optional] [default to const []]
 **limitLeftSquareBracketPromotionImagesRightSquareBracket** | **int**| maximum number of related promotionImages returned (when they are included) | [optional] 

### Return type

[**PromotedPurchaseResponse**](PromotedPurchaseResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promotedPurchasesPromotionImagesGetToManyRelated**
> PromotedPurchaseImagesResponse promotedPurchasesPromotionImagesGetToManyRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchasesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchaseImages
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.promotedPurchasesPromotionImagesGetToManyRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling PromotedPurchasesApi->promotedPurchasesPromotionImagesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchaseImages | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**PromotedPurchaseImagesResponse**](PromotedPurchaseImagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **promotedPurchasesUpdateInstance**
> PromotedPurchaseResponse promotedPurchasesUpdateInstance(id, promotedPurchaseUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = PromotedPurchasesApi();
final id = id_example; // String | the id of the requested resource
final promotedPurchaseUpdateRequest = PromotedPurchaseUpdateRequest(); // PromotedPurchaseUpdateRequest | PromotedPurchase representation

try {
    final result = api_instance.promotedPurchasesUpdateInstance(id, promotedPurchaseUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling PromotedPurchasesApi->promotedPurchasesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **promotedPurchaseUpdateRequest** | [**PromotedPurchaseUpdateRequest**](PromotedPurchaseUpdateRequest.md)| PromotedPurchase representation | 

### Return type

[**PromotedPurchaseResponse**](PromotedPurchaseResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

