# appstore_connect_api.api.ReviewSubmissionItemsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**reviewSubmissionItemsCreateInstance**](ReviewSubmissionItemsApi.md#reviewsubmissionitemscreateinstance) | **POST** /v1/reviewSubmissionItems | 
[**reviewSubmissionItemsDeleteInstance**](ReviewSubmissionItemsApi.md#reviewsubmissionitemsdeleteinstance) | **DELETE** /v1/reviewSubmissionItems/{id} | 
[**reviewSubmissionItemsUpdateInstance**](ReviewSubmissionItemsApi.md#reviewsubmissionitemsupdateinstance) | **PATCH** /v1/reviewSubmissionItems/{id} | 


# **reviewSubmissionItemsCreateInstance**
> ReviewSubmissionItemResponse reviewSubmissionItemsCreateInstance(reviewSubmissionItemCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionItemsApi();
final reviewSubmissionItemCreateRequest = ReviewSubmissionItemCreateRequest(); // ReviewSubmissionItemCreateRequest | ReviewSubmissionItem representation

try {
    final result = api_instance.reviewSubmissionItemsCreateInstance(reviewSubmissionItemCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling ReviewSubmissionItemsApi->reviewSubmissionItemsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **reviewSubmissionItemCreateRequest** | [**ReviewSubmissionItemCreateRequest**](ReviewSubmissionItemCreateRequest.md)| ReviewSubmissionItem representation | 

### Return type

[**ReviewSubmissionItemResponse**](ReviewSubmissionItemResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reviewSubmissionItemsDeleteInstance**
> reviewSubmissionItemsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionItemsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.reviewSubmissionItemsDeleteInstance(id);
} catch (e) {
    print('Exception when calling ReviewSubmissionItemsApi->reviewSubmissionItemsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reviewSubmissionItemsUpdateInstance**
> ReviewSubmissionItemResponse reviewSubmissionItemsUpdateInstance(id, reviewSubmissionItemUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionItemsApi();
final id = id_example; // String | the id of the requested resource
final reviewSubmissionItemUpdateRequest = ReviewSubmissionItemUpdateRequest(); // ReviewSubmissionItemUpdateRequest | ReviewSubmissionItem representation

try {
    final result = api_instance.reviewSubmissionItemsUpdateInstance(id, reviewSubmissionItemUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling ReviewSubmissionItemsApi->reviewSubmissionItemsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **reviewSubmissionItemUpdateRequest** | [**ReviewSubmissionItemUpdateRequest**](ReviewSubmissionItemUpdateRequest.md)| ReviewSubmissionItem representation | 

### Return type

[**ReviewSubmissionItemResponse**](ReviewSubmissionItemResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

