# appstore_connect_api.api.ReviewSubmissionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**reviewSubmissionsCreateInstance**](ReviewSubmissionsApi.md#reviewsubmissionscreateinstance) | **POST** /v1/reviewSubmissions | 
[**reviewSubmissionsGetCollection**](ReviewSubmissionsApi.md#reviewsubmissionsgetcollection) | **GET** /v1/reviewSubmissions | 
[**reviewSubmissionsGetInstance**](ReviewSubmissionsApi.md#reviewsubmissionsgetinstance) | **GET** /v1/reviewSubmissions/{id} | 
[**reviewSubmissionsItemsGetToManyRelated**](ReviewSubmissionsApi.md#reviewsubmissionsitemsgettomanyrelated) | **GET** /v1/reviewSubmissions/{id}/items | 
[**reviewSubmissionsUpdateInstance**](ReviewSubmissionsApi.md#reviewsubmissionsupdateinstance) | **PATCH** /v1/reviewSubmissions/{id} | 


# **reviewSubmissionsCreateInstance**
> ReviewSubmissionResponse reviewSubmissionsCreateInstance(reviewSubmissionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionsApi();
final reviewSubmissionCreateRequest = ReviewSubmissionCreateRequest(); // ReviewSubmissionCreateRequest | ReviewSubmission representation

try {
    final result = api_instance.reviewSubmissionsCreateInstance(reviewSubmissionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling ReviewSubmissionsApi->reviewSubmissionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **reviewSubmissionCreateRequest** | [**ReviewSubmissionCreateRequest**](ReviewSubmissionCreateRequest.md)| ReviewSubmission representation | 

### Return type

[**ReviewSubmissionResponse**](ReviewSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reviewSubmissionsGetCollection**
> ReviewSubmissionsResponse reviewSubmissionsGetCollection(filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, limit, include, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, limitLeftSquareBracketItemsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionsApi();
final filterLeftSquareBracketAppRightSquareBracket = []; // List<String> | filter by id(s) of related 'app'
final filterLeftSquareBracketPlatformRightSquareBracket = []; // List<String> | filter by attribute 'platform'
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissions
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissionItems
final limitLeftSquareBracketItemsRightSquareBracket = 56; // int | maximum number of related items returned (when they are included)

try {
    final result = api_instance.reviewSubmissionsGetCollection(filterLeftSquareBracketAppRightSquareBracket, filterLeftSquareBracketPlatformRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, limit, include, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, limitLeftSquareBracketItemsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ReviewSubmissionsApi->reviewSubmissionsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketAppRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'app' | [default to const []]
 **filterLeftSquareBracketPlatformRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'platform' | [optional] [default to const []]
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissions | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissionItems | [optional] [default to const []]
 **limitLeftSquareBracketItemsRightSquareBracket** | **int**| maximum number of related items returned (when they are included) | [optional] 

### Return type

[**ReviewSubmissionsResponse**](ReviewSubmissionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reviewSubmissionsGetInstance**
> ReviewSubmissionResponse reviewSubmissionsGetInstance(id, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, include, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, limitLeftSquareBracketItemsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissions
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissionItems
final limitLeftSquareBracketItemsRightSquareBracket = 56; // int | maximum number of related items returned (when they are included)

try {
    final result = api_instance.reviewSubmissionsGetInstance(id, fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket, include, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, limitLeftSquareBracketItemsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ReviewSubmissionsApi->reviewSubmissionsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketReviewSubmissionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissionItems | [optional] [default to const []]
 **limitLeftSquareBracketItemsRightSquareBracket** | **int**| maximum number of related items returned (when they are included) | [optional] 

### Return type

[**ReviewSubmissionResponse**](ReviewSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reviewSubmissionsItemsGetToManyRelated**
> ReviewSubmissionItemsResponse reviewSubmissionsItemsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2 = []; // List<String> | the fields to include for returned resources of type appStoreVersionExperiments
final fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type reviewSubmissionItems
final fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appStoreVersions
final fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appCustomProductPageVersions
final fieldsLeftSquareBracketAppEventsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type appEvents
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.reviewSubmissionsItemsGetToManyRelated(id, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2, fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket, fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket, fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket, fieldsLeftSquareBracketAppEventsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling ReviewSubmissionsApi->reviewSubmissionsItemsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionExperimentsRightSquareBracket2** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersionExperiments | [optional] [default to const []]
 **fieldsLeftSquareBracketReviewSubmissionItemsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type reviewSubmissionItems | [optional] [default to const []]
 **fieldsLeftSquareBracketAppStoreVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appStoreVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppCustomProductPageVersionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appCustomProductPageVersions | [optional] [default to const []]
 **fieldsLeftSquareBracketAppEventsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type appEvents | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ReviewSubmissionItemsResponse**](ReviewSubmissionItemsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **reviewSubmissionsUpdateInstance**
> ReviewSubmissionResponse reviewSubmissionsUpdateInstance(id, reviewSubmissionUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ReviewSubmissionsApi();
final id = id_example; // String | the id of the requested resource
final reviewSubmissionUpdateRequest = ReviewSubmissionUpdateRequest(); // ReviewSubmissionUpdateRequest | ReviewSubmission representation

try {
    final result = api_instance.reviewSubmissionsUpdateInstance(id, reviewSubmissionUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling ReviewSubmissionsApi->reviewSubmissionsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **reviewSubmissionUpdateRequest** | [**ReviewSubmissionUpdateRequest**](ReviewSubmissionUpdateRequest.md)| ReviewSubmission representation | 

### Return type

[**ReviewSubmissionResponse**](ReviewSubmissionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

