# appstore_connect_api.api.RoutingAppCoveragesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**routingAppCoveragesCreateInstance**](RoutingAppCoveragesApi.md#routingappcoveragescreateinstance) | **POST** /v1/routingAppCoverages | 
[**routingAppCoveragesDeleteInstance**](RoutingAppCoveragesApi.md#routingappcoveragesdeleteinstance) | **DELETE** /v1/routingAppCoverages/{id} | 
[**routingAppCoveragesGetInstance**](RoutingAppCoveragesApi.md#routingappcoveragesgetinstance) | **GET** /v1/routingAppCoverages/{id} | 
[**routingAppCoveragesUpdateInstance**](RoutingAppCoveragesApi.md#routingappcoveragesupdateinstance) | **PATCH** /v1/routingAppCoverages/{id} | 


# **routingAppCoveragesCreateInstance**
> RoutingAppCoverageResponse routingAppCoveragesCreateInstance(routingAppCoverageCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = RoutingAppCoveragesApi();
final routingAppCoverageCreateRequest = RoutingAppCoverageCreateRequest(); // RoutingAppCoverageCreateRequest | RoutingAppCoverage representation

try {
    final result = api_instance.routingAppCoveragesCreateInstance(routingAppCoverageCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling RoutingAppCoveragesApi->routingAppCoveragesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **routingAppCoverageCreateRequest** | [**RoutingAppCoverageCreateRequest**](RoutingAppCoverageCreateRequest.md)| RoutingAppCoverage representation | 

### Return type

[**RoutingAppCoverageResponse**](RoutingAppCoverageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **routingAppCoveragesDeleteInstance**
> routingAppCoveragesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = RoutingAppCoveragesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.routingAppCoveragesDeleteInstance(id);
} catch (e) {
    print('Exception when calling RoutingAppCoveragesApi->routingAppCoveragesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **routingAppCoveragesGetInstance**
> RoutingAppCoverageResponse routingAppCoveragesGetInstance(id, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = RoutingAppCoveragesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type routingAppCoverages
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.routingAppCoveragesGetInstance(id, fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling RoutingAppCoveragesApi->routingAppCoveragesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketRoutingAppCoveragesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type routingAppCoverages | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**RoutingAppCoverageResponse**](RoutingAppCoverageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **routingAppCoveragesUpdateInstance**
> RoutingAppCoverageResponse routingAppCoveragesUpdateInstance(id, routingAppCoverageUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = RoutingAppCoveragesApi();
final id = id_example; // String | the id of the requested resource
final routingAppCoverageUpdateRequest = RoutingAppCoverageUpdateRequest(); // RoutingAppCoverageUpdateRequest | RoutingAppCoverage representation

try {
    final result = api_instance.routingAppCoveragesUpdateInstance(id, routingAppCoverageUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling RoutingAppCoveragesApi->routingAppCoveragesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **routingAppCoverageUpdateRequest** | [**RoutingAppCoverageUpdateRequest**](RoutingAppCoverageUpdateRequest.md)| RoutingAppCoverage representation | 

### Return type

[**RoutingAppCoverageResponse**](RoutingAppCoverageResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

