# appstore_connect_api.api.SalesReportsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**salesReportsGetCollection**](SalesReportsApi.md#salesreportsgetcollection) | **GET** /v1/salesReports | 


# **salesReportsGetCollection**
> MultipartFile salesReportsGetCollection(filterLeftSquareBracketFrequencyRightSquareBracket, filterLeftSquareBracketReportSubTypeRightSquareBracket, filterLeftSquareBracketReportTypeRightSquareBracket, filterLeftSquareBracketVendorNumberRightSquareBracket, filterLeftSquareBracketReportDateRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SalesReportsApi();
final filterLeftSquareBracketFrequencyRightSquareBracket = []; // List<String> | filter by attribute 'frequency'
final filterLeftSquareBracketReportSubTypeRightSquareBracket = []; // List<String> | filter by attribute 'reportSubType'
final filterLeftSquareBracketReportTypeRightSquareBracket = []; // List<String> | filter by attribute 'reportType'
final filterLeftSquareBracketVendorNumberRightSquareBracket = []; // List<String> | filter by attribute 'vendorNumber'
final filterLeftSquareBracketReportDateRightSquareBracket = []; // List<String> | filter by attribute 'reportDate'
final filterLeftSquareBracketVersionRightSquareBracket = []; // List<String> | filter by attribute 'version'

try {
    final result = api_instance.salesReportsGetCollection(filterLeftSquareBracketFrequencyRightSquareBracket, filterLeftSquareBracketReportSubTypeRightSquareBracket, filterLeftSquareBracketReportTypeRightSquareBracket, filterLeftSquareBracketVendorNumberRightSquareBracket, filterLeftSquareBracketReportDateRightSquareBracket, filterLeftSquareBracketVersionRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SalesReportsApi->salesReportsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketFrequencyRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'frequency' | [default to const []]
 **filterLeftSquareBracketReportSubTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'reportSubType' | [default to const []]
 **filterLeftSquareBracketReportTypeRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'reportType' | [default to const []]
 **filterLeftSquareBracketVendorNumberRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'vendorNumber' | [default to const []]
 **filterLeftSquareBracketReportDateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'reportDate' | [optional] [default to const []]
 **filterLeftSquareBracketVersionRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'version' | [optional] [default to const []]

### Return type

[**MultipartFile**](MultipartFile.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/a-gzip, application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

