# appstore_connect_api.api.SandboxTestersApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**sandboxTestersGetCollection**](SandboxTestersApi.md#sandboxtestersgetcollection) | **GET** /v2/sandboxTesters | 
[**sandboxTestersUpdateInstance**](SandboxTestersApi.md#sandboxtestersupdateinstance) | **PATCH** /v2/sandboxTesters/{id} | 


# **sandboxTestersGetCollection**
> SandboxTestersV2Response sandboxTestersGetCollection(fieldsLeftSquareBracketSandboxTestersRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SandboxTestersApi();
final fieldsLeftSquareBracketSandboxTestersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type sandboxTesters
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.sandboxTestersGetCollection(fieldsLeftSquareBracketSandboxTestersRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling SandboxTestersApi->sandboxTestersGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fieldsLeftSquareBracketSandboxTestersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type sandboxTesters | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**SandboxTestersV2Response**](SandboxTestersV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **sandboxTestersUpdateInstance**
> SandboxTesterV2Response sandboxTestersUpdateInstance(id, sandboxTesterV2UpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SandboxTestersApi();
final id = id_example; // String | the id of the requested resource
final sandboxTesterV2UpdateRequest = SandboxTesterV2UpdateRequest(); // SandboxTesterV2UpdateRequest | SandboxTester representation

try {
    final result = api_instance.sandboxTestersUpdateInstance(id, sandboxTesterV2UpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SandboxTestersApi->sandboxTestersUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **sandboxTesterV2UpdateRequest** | [**SandboxTesterV2UpdateRequest**](SandboxTesterV2UpdateRequest.md)| SandboxTester representation | 

### Return type

[**SandboxTesterV2Response**](SandboxTesterV2Response.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

