# appstore_connect_api.api.ScmProvidersApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**scmProvidersGetCollection**](ScmProvidersApi.md#scmprovidersgetcollection) | **GET** /v1/scmProviders | 
[**scmProvidersGetInstance**](ScmProvidersApi.md#scmprovidersgetinstance) | **GET** /v1/scmProviders/{id} | 
[**scmProvidersRepositoriesGetToManyRelated**](ScmProvidersApi.md#scmprovidersrepositoriesgettomanyrelated) | **GET** /v1/scmProviders/{id}/repositories | 


# **scmProvidersGetCollection**
> ScmProvidersResponse scmProvidersGetCollection(fieldsLeftSquareBracketScmProvidersRightSquareBracket, limit, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmProvidersApi();
final fieldsLeftSquareBracketScmProvidersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmProviders
final limit = 56; // int | maximum resources per page
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories

try {
    final result = api_instance.scmProvidersGetCollection(fieldsLeftSquareBracketScmProvidersRightSquareBracket, limit, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ScmProvidersApi->scmProvidersGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **fieldsLeftSquareBracketScmProvidersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmProviders | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]

### Return type

[**ScmProvidersResponse**](ScmProvidersResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **scmProvidersGetInstance**
> ScmProviderResponse scmProvidersGetInstance(id, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmProvidersApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmProvidersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmProviders
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories

try {
    final result = api_instance.scmProvidersGetInstance(id, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ScmProvidersApi->scmProvidersGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmProvidersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmProviders | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]

### Return type

[**ScmProviderResponse**](ScmProviderResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **scmProvidersRepositoriesGetToManyRelated**
> ScmRepositoriesResponse scmProvidersRepositoriesGetToManyRelated(id, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmProvidersApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketScmProvidersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmProviders
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.scmProvidersRepositoriesGetToManyRelated(id, filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmProvidersRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling ScmProvidersApi->scmProvidersRepositoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketScmProvidersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmProviders | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmRepositoriesResponse**](ScmRepositoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

