# appstore_connect_api.api.ScmPullRequestsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**scmPullRequestsGetInstance**](ScmPullRequestsApi.md#scmpullrequestsgetinstance) | **GET** /v1/scmPullRequests/{id} | 


# **scmPullRequestsGetInstance**
> ScmPullRequestResponse scmPullRequestsGetInstance(id, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmPullRequestsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmPullRequestsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmPullRequests
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.scmPullRequestsGetInstance(id, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling ScmPullRequestsApi->scmPullRequestsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmPullRequestsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmPullRequests | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmPullRequestResponse**](ScmPullRequestResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

