# appstore_connect_api.api.ScmRepositoriesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**scmRepositoriesGetCollection**](ScmRepositoriesApi.md#scmrepositoriesgetcollection) | **GET** /v1/scmRepositories | 
[**scmRepositoriesGetInstance**](ScmRepositoriesApi.md#scmrepositoriesgetinstance) | **GET** /v1/scmRepositories/{id} | 
[**scmRepositoriesGitReferencesGetToManyRelated**](ScmRepositoriesApi.md#scmrepositoriesgitreferencesgettomanyrelated) | **GET** /v1/scmRepositories/{id}/gitReferences | 
[**scmRepositoriesPullRequestsGetToManyRelated**](ScmRepositoriesApi.md#scmrepositoriespullrequestsgettomanyrelated) | **GET** /v1/scmRepositories/{id}/pullRequests | 


# **scmRepositoriesGetCollection**
> ScmRepositoriesResponse scmRepositoriesGetCollection(filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmRepositoriesApi();
final filterLeftSquareBracketIdRightSquareBracket = []; // List<String> | filter by id(s)
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketScmPullRequestsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmPullRequests

try {
    final result = api_instance.scmRepositoriesGetCollection(filterLeftSquareBracketIdRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ScmRepositoriesApi->scmRepositoriesGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketIdRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketScmPullRequestsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmPullRequests | [optional] [default to const []]

### Return type

[**ScmRepositoriesResponse**](ScmRepositoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **scmRepositoriesGetInstance**
> ScmRepositoryResponse scmRepositoriesGetInstance(id, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, include, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmRepositoriesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketScmPullRequestsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmPullRequests

try {
    final result = api_instance.scmRepositoriesGetInstance(id, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, include, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling ScmRepositoriesApi->scmRepositoriesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketScmPullRequestsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmPullRequests | [optional] [default to const []]

### Return type

[**ScmRepositoryResponse**](ScmRepositoryResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **scmRepositoriesGitReferencesGetToManyRelated**
> ScmGitReferencesResponse scmRepositoriesGitReferencesGetToManyRelated(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmRepositoriesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmGitReferencesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmGitReferences
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.scmRepositoriesGitReferencesGetToManyRelated(id, fieldsLeftSquareBracketScmGitReferencesRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling ScmRepositoriesApi->scmRepositoriesGitReferencesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmGitReferencesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmGitReferences | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmGitReferencesResponse**](ScmGitReferencesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **scmRepositoriesPullRequestsGetToManyRelated**
> ScmPullRequestsResponse scmRepositoriesPullRequestsGetToManyRelated(id, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = ScmRepositoriesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketScmPullRequestsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmPullRequests
final fieldsLeftSquareBracketScmRepositoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type scmRepositories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.scmRepositoriesPullRequestsGetToManyRelated(id, fieldsLeftSquareBracketScmPullRequestsRightSquareBracket, fieldsLeftSquareBracketScmRepositoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling ScmRepositoriesApi->scmRepositoriesPullRequestsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketScmPullRequestsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmPullRequests | [optional] [default to const []]
 **fieldsLeftSquareBracketScmRepositoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type scmRepositories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**ScmPullRequestsResponse**](ScmPullRequestsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

