# appstore_connect_api.api.SubscriptionAvailabilitiesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionAvailabilitiesAvailableTerritoriesGetToManyRelated**](SubscriptionAvailabilitiesApi.md#subscriptionavailabilitiesavailableterritoriesgettomanyrelated) | **GET** /v1/subscriptionAvailabilities/{id}/availableTerritories | 
[**subscriptionAvailabilitiesCreateInstance**](SubscriptionAvailabilitiesApi.md#subscriptionavailabilitiescreateinstance) | **POST** /v1/subscriptionAvailabilities | 
[**subscriptionAvailabilitiesGetInstance**](SubscriptionAvailabilitiesApi.md#subscriptionavailabilitiesgetinstance) | **GET** /v1/subscriptionAvailabilities/{id} | 


# **subscriptionAvailabilitiesAvailableTerritoriesGetToManyRelated**
> TerritoriesResponse subscriptionAvailabilitiesAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionAvailabilitiesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.subscriptionAvailabilitiesAvailableTerritoriesGetToManyRelated(id, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionAvailabilitiesApi->subscriptionAvailabilitiesAvailableTerritoriesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**TerritoriesResponse**](TerritoriesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionAvailabilitiesCreateInstance**
> SubscriptionAvailabilityResponse subscriptionAvailabilitiesCreateInstance(subscriptionAvailabilityCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionAvailabilitiesApi();
final subscriptionAvailabilityCreateRequest = SubscriptionAvailabilityCreateRequest(); // SubscriptionAvailabilityCreateRequest | SubscriptionAvailability representation

try {
    final result = api_instance.subscriptionAvailabilitiesCreateInstance(subscriptionAvailabilityCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionAvailabilitiesApi->subscriptionAvailabilitiesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionAvailabilityCreateRequest** | [**SubscriptionAvailabilityCreateRequest**](SubscriptionAvailabilityCreateRequest.md)| SubscriptionAvailability representation | 

### Return type

[**SubscriptionAvailabilityResponse**](SubscriptionAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionAvailabilitiesGetInstance**
> SubscriptionAvailabilityResponse subscriptionAvailabilitiesGetInstance(id, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionAvailabilitiesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionAvailabilities
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)

try {
    final result = api_instance.subscriptionAvailabilitiesGetInstance(id, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, include, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionAvailabilitiesApi->subscriptionAvailabilitiesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionAvailabilities | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 

### Return type

[**SubscriptionAvailabilityResponse**](SubscriptionAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

