# appstore_connect_api.api.SubscriptionGroupLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionGroupLocalizationsCreateInstance**](SubscriptionGroupLocalizationsApi.md#subscriptiongrouplocalizationscreateinstance) | **POST** /v1/subscriptionGroupLocalizations | 
[**subscriptionGroupLocalizationsDeleteInstance**](SubscriptionGroupLocalizationsApi.md#subscriptiongrouplocalizationsdeleteinstance) | **DELETE** /v1/subscriptionGroupLocalizations/{id} | 
[**subscriptionGroupLocalizationsGetInstance**](SubscriptionGroupLocalizationsApi.md#subscriptiongrouplocalizationsgetinstance) | **GET** /v1/subscriptionGroupLocalizations/{id} | 
[**subscriptionGroupLocalizationsUpdateInstance**](SubscriptionGroupLocalizationsApi.md#subscriptiongrouplocalizationsupdateinstance) | **PATCH** /v1/subscriptionGroupLocalizations/{id} | 


# **subscriptionGroupLocalizationsCreateInstance**
> SubscriptionGroupLocalizationResponse subscriptionGroupLocalizationsCreateInstance(subscriptionGroupLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupLocalizationsApi();
final subscriptionGroupLocalizationCreateRequest = SubscriptionGroupLocalizationCreateRequest(); // SubscriptionGroupLocalizationCreateRequest | SubscriptionGroupLocalization representation

try {
    final result = api_instance.subscriptionGroupLocalizationsCreateInstance(subscriptionGroupLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupLocalizationsApi->subscriptionGroupLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionGroupLocalizationCreateRequest** | [**SubscriptionGroupLocalizationCreateRequest**](SubscriptionGroupLocalizationCreateRequest.md)| SubscriptionGroupLocalization representation | 

### Return type

[**SubscriptionGroupLocalizationResponse**](SubscriptionGroupLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupLocalizationsDeleteInstance**
> subscriptionGroupLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.subscriptionGroupLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling SubscriptionGroupLocalizationsApi->subscriptionGroupLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupLocalizationsGetInstance**
> SubscriptionGroupLocalizationResponse subscriptionGroupLocalizationsGetInstance(id, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroupLocalizations
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionGroupLocalizationsGetInstance(id, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupLocalizationsApi->subscriptionGroupLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroupLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionGroupLocalizationResponse**](SubscriptionGroupLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupLocalizationsUpdateInstance**
> SubscriptionGroupLocalizationResponse subscriptionGroupLocalizationsUpdateInstance(id, subscriptionGroupLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final subscriptionGroupLocalizationUpdateRequest = SubscriptionGroupLocalizationUpdateRequest(); // SubscriptionGroupLocalizationUpdateRequest | SubscriptionGroupLocalization representation

try {
    final result = api_instance.subscriptionGroupLocalizationsUpdateInstance(id, subscriptionGroupLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupLocalizationsApi->subscriptionGroupLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionGroupLocalizationUpdateRequest** | [**SubscriptionGroupLocalizationUpdateRequest**](SubscriptionGroupLocalizationUpdateRequest.md)| SubscriptionGroupLocalization representation | 

### Return type

[**SubscriptionGroupLocalizationResponse**](SubscriptionGroupLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

