# appstore_connect_api.api.SubscriptionGroupsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionGroupsCreateInstance**](SubscriptionGroupsApi.md#subscriptiongroupscreateinstance) | **POST** /v1/subscriptionGroups | 
[**subscriptionGroupsDeleteInstance**](SubscriptionGroupsApi.md#subscriptiongroupsdeleteinstance) | **DELETE** /v1/subscriptionGroups/{id} | 
[**subscriptionGroupsGetInstance**](SubscriptionGroupsApi.md#subscriptiongroupsgetinstance) | **GET** /v1/subscriptionGroups/{id} | 
[**subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelated**](SubscriptionGroupsApi.md#subscriptiongroupssubscriptiongrouplocalizationsgettomanyrelated) | **GET** /v1/subscriptionGroups/{id}/subscriptionGroupLocalizations | 
[**subscriptionGroupsSubscriptionsGetToManyRelated**](SubscriptionGroupsApi.md#subscriptiongroupssubscriptionsgettomanyrelated) | **GET** /v1/subscriptionGroups/{id}/subscriptions | 
[**subscriptionGroupsUpdateInstance**](SubscriptionGroupsApi.md#subscriptiongroupsupdateinstance) | **PATCH** /v1/subscriptionGroups/{id} | 


# **subscriptionGroupsCreateInstance**
> SubscriptionGroupResponse subscriptionGroupsCreateInstance(subscriptionGroupCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupsApi();
final subscriptionGroupCreateRequest = SubscriptionGroupCreateRequest(); // SubscriptionGroupCreateRequest | SubscriptionGroup representation

try {
    final result = api_instance.subscriptionGroupsCreateInstance(subscriptionGroupCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupsApi->subscriptionGroupsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionGroupCreateRequest** | [**SubscriptionGroupCreateRequest**](SubscriptionGroupCreateRequest.md)| SubscriptionGroup representation | 

### Return type

[**SubscriptionGroupResponse**](SubscriptionGroupResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupsDeleteInstance**
> subscriptionGroupsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.subscriptionGroupsDeleteInstance(id);
} catch (e) {
    print('Exception when calling SubscriptionGroupsApi->subscriptionGroupsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupsGetInstance**
> SubscriptionGroupResponse subscriptionGroupsGetInstance(id, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limitLeftSquareBracketSubscriptionsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroups
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroupLocalizations
final limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket = 56; // int | maximum number of related subscriptionGroupLocalizations returned (when they are included)
final limitLeftSquareBracketSubscriptionsRightSquareBracket = 56; // int | maximum number of related subscriptions returned (when they are included)

try {
    final result = api_instance.subscriptionGroupsGetInstance(id, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limitLeftSquareBracketSubscriptionsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupsApi->subscriptionGroupsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroups | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroupLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket** | **int**| maximum number of related subscriptionGroupLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketSubscriptionsRightSquareBracket** | **int**| maximum number of related subscriptions returned (when they are included) | [optional] 

### Return type

[**SubscriptionGroupResponse**](SubscriptionGroupResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelated**
> SubscriptionGroupLocalizationsResponse subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroups
final fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroupLocalizations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupsApi->subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroupLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionGroupLocalizationsResponse**](SubscriptionGroupLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupsSubscriptionsGetToManyRelated**
> SubscriptionsResponse subscriptionGroupsSubscriptionsGetToManyRelated(id, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketProductIdRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, sort, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limitLeftSquareBracketIntroductoryOffersRightSquareBracket, limitLeftSquareBracketPromotionalOffersRightSquareBracket, limitLeftSquareBracketOfferCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketNameRightSquareBracket = []; // List<String> | filter by attribute 'name'
final filterLeftSquareBracketProductIdRightSquareBracket = []; // List<String> | filter by attribute 'productId'
final filterLeftSquareBracketStateRightSquareBracket = []; // List<String> | filter by attribute 'state'
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPromotionalOffers
final fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodes
final fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionAvailabilities
final fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionGroups
final fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionIntroductoryOffers
final fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPrices
final fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionLocalizations
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket = 56; // int | maximum number of related subscriptionLocalizations returned (when they are included)
final limitLeftSquareBracketIntroductoryOffersRightSquareBracket = 56; // int | maximum number of related introductoryOffers returned (when they are included)
final limitLeftSquareBracketPromotionalOffersRightSquareBracket = 56; // int | maximum number of related promotionalOffers returned (when they are included)
final limitLeftSquareBracketOfferCodesRightSquareBracket = 56; // int | maximum number of related offerCodes returned (when they are included)
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionGroupsSubscriptionsGetToManyRelated(id, filterLeftSquareBracketNameRightSquareBracket, filterLeftSquareBracketProductIdRightSquareBracket, filterLeftSquareBracketStateRightSquareBracket, sort, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket, fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limit, limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limitLeftSquareBracketIntroductoryOffersRightSquareBracket, limitLeftSquareBracketPromotionalOffersRightSquareBracket, limitLeftSquareBracketOfferCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupsApi->subscriptionGroupsSubscriptionsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketNameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'name' | [optional] [default to const []]
 **filterLeftSquareBracketProductIdRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'productId' | [optional] [default to const []]
 **filterLeftSquareBracketStateRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'state' | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPromotionalOffers | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionGroupsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionGroups | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionIntroductoryOffers | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket** | **int**| maximum number of related subscriptionLocalizations returned (when they are included) | [optional] 
 **limitLeftSquareBracketIntroductoryOffersRightSquareBracket** | **int**| maximum number of related introductoryOffers returned (when they are included) | [optional] 
 **limitLeftSquareBracketPromotionalOffersRightSquareBracket** | **int**| maximum number of related promotionalOffers returned (when they are included) | [optional] 
 **limitLeftSquareBracketOfferCodesRightSquareBracket** | **int**| maximum number of related offerCodes returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionsResponse**](SubscriptionsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionGroupsUpdateInstance**
> SubscriptionGroupResponse subscriptionGroupsUpdateInstance(id, subscriptionGroupUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionGroupsApi();
final id = id_example; // String | the id of the requested resource
final subscriptionGroupUpdateRequest = SubscriptionGroupUpdateRequest(); // SubscriptionGroupUpdateRequest | SubscriptionGroup representation

try {
    final result = api_instance.subscriptionGroupsUpdateInstance(id, subscriptionGroupUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionGroupsApi->subscriptionGroupsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionGroupUpdateRequest** | [**SubscriptionGroupUpdateRequest**](SubscriptionGroupUpdateRequest.md)| SubscriptionGroup representation | 

### Return type

[**SubscriptionGroupResponse**](SubscriptionGroupResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

