# appstore_connect_api.api.SubscriptionLocalizationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionLocalizationsCreateInstance**](SubscriptionLocalizationsApi.md#subscriptionlocalizationscreateinstance) | **POST** /v1/subscriptionLocalizations | 
[**subscriptionLocalizationsDeleteInstance**](SubscriptionLocalizationsApi.md#subscriptionlocalizationsdeleteinstance) | **DELETE** /v1/subscriptionLocalizations/{id} | 
[**subscriptionLocalizationsGetInstance**](SubscriptionLocalizationsApi.md#subscriptionlocalizationsgetinstance) | **GET** /v1/subscriptionLocalizations/{id} | 
[**subscriptionLocalizationsUpdateInstance**](SubscriptionLocalizationsApi.md#subscriptionlocalizationsupdateinstance) | **PATCH** /v1/subscriptionLocalizations/{id} | 


# **subscriptionLocalizationsCreateInstance**
> SubscriptionLocalizationResponse subscriptionLocalizationsCreateInstance(subscriptionLocalizationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionLocalizationsApi();
final subscriptionLocalizationCreateRequest = SubscriptionLocalizationCreateRequest(); // SubscriptionLocalizationCreateRequest | SubscriptionLocalization representation

try {
    final result = api_instance.subscriptionLocalizationsCreateInstance(subscriptionLocalizationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionLocalizationsApi->subscriptionLocalizationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionLocalizationCreateRequest** | [**SubscriptionLocalizationCreateRequest**](SubscriptionLocalizationCreateRequest.md)| SubscriptionLocalization representation | 

### Return type

[**SubscriptionLocalizationResponse**](SubscriptionLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionLocalizationsDeleteInstance**
> subscriptionLocalizationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionLocalizationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.subscriptionLocalizationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling SubscriptionLocalizationsApi->subscriptionLocalizationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionLocalizationsGetInstance**
> SubscriptionLocalizationResponse subscriptionLocalizationsGetInstance(id, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionLocalizations
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionLocalizationsGetInstance(id, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionLocalizationsApi->subscriptionLocalizationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionLocalizations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionLocalizationResponse**](SubscriptionLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionLocalizationsUpdateInstance**
> SubscriptionLocalizationResponse subscriptionLocalizationsUpdateInstance(id, subscriptionLocalizationUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionLocalizationsApi();
final id = id_example; // String | the id of the requested resource
final subscriptionLocalizationUpdateRequest = SubscriptionLocalizationUpdateRequest(); // SubscriptionLocalizationUpdateRequest | SubscriptionLocalization representation

try {
    final result = api_instance.subscriptionLocalizationsUpdateInstance(id, subscriptionLocalizationUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionLocalizationsApi->subscriptionLocalizationsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionLocalizationUpdateRequest** | [**SubscriptionLocalizationUpdateRequest**](SubscriptionLocalizationUpdateRequest.md)| SubscriptionLocalization representation | 

### Return type

[**SubscriptionLocalizationResponse**](SubscriptionLocalizationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

