# appstore_connect_api.api.SubscriptionOfferCodesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionOfferCodesCreateInstance**](SubscriptionOfferCodesApi.md#subscriptionoffercodescreateinstance) | **POST** /v1/subscriptionOfferCodes | 
[**subscriptionOfferCodesCustomCodesGetToManyRelated**](SubscriptionOfferCodesApi.md#subscriptionoffercodescustomcodesgettomanyrelated) | **GET** /v1/subscriptionOfferCodes/{id}/customCodes | 
[**subscriptionOfferCodesGetInstance**](SubscriptionOfferCodesApi.md#subscriptionoffercodesgetinstance) | **GET** /v1/subscriptionOfferCodes/{id} | 
[**subscriptionOfferCodesOneTimeUseCodesGetToManyRelated**](SubscriptionOfferCodesApi.md#subscriptionoffercodesonetimeusecodesgettomanyrelated) | **GET** /v1/subscriptionOfferCodes/{id}/oneTimeUseCodes | 
[**subscriptionOfferCodesPricesGetToManyRelated**](SubscriptionOfferCodesApi.md#subscriptionoffercodespricesgettomanyrelated) | **GET** /v1/subscriptionOfferCodes/{id}/prices | 
[**subscriptionOfferCodesUpdateInstance**](SubscriptionOfferCodesApi.md#subscriptionoffercodesupdateinstance) | **PATCH** /v1/subscriptionOfferCodes/{id} | 


# **subscriptionOfferCodesCreateInstance**
> SubscriptionOfferCodeResponse subscriptionOfferCodesCreateInstance(subscriptionOfferCodeCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodesApi();
final subscriptionOfferCodeCreateRequest = SubscriptionOfferCodeCreateRequest(); // SubscriptionOfferCodeCreateRequest | SubscriptionOfferCode representation

try {
    final result = api_instance.subscriptionOfferCodesCreateInstance(subscriptionOfferCodeCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodesApi->subscriptionOfferCodesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionOfferCodeCreateRequest** | [**SubscriptionOfferCodeCreateRequest**](SubscriptionOfferCodeCreateRequest.md)| SubscriptionOfferCode representation | 

### Return type

[**SubscriptionOfferCodeResponse**](SubscriptionOfferCodeResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodesCustomCodesGetToManyRelated**
> SubscriptionOfferCodeCustomCodesResponse subscriptionOfferCodesCustomCodesGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeCustomCodes
final fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodes
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionOfferCodesCustomCodesGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodesApi->subscriptionOfferCodesCustomCodesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeCustomCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodes | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionOfferCodeCustomCodesResponse**](SubscriptionOfferCodeCustomCodesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodesGetInstance**
> SubscriptionOfferCodeResponse subscriptionOfferCodesGetInstance(id, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket, limitLeftSquareBracketCustomCodesRightSquareBracket, limitLeftSquareBracketOneTimeUseCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodes
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeCustomCodes
final fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes
final fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodePrices
final limitLeftSquareBracketCustomCodesRightSquareBracket = 56; // int | maximum number of related customCodes returned (when they are included)
final limitLeftSquareBracketOneTimeUseCodesRightSquareBracket = 56; // int | maximum number of related oneTimeUseCodes returned (when they are included)
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)

try {
    final result = api_instance.subscriptionOfferCodesGetInstance(id, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket, limitLeftSquareBracketCustomCodesRightSquareBracket, limitLeftSquareBracketOneTimeUseCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodesApi->subscriptionOfferCodesGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodes | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeCustomCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodePrices | [optional] [default to const []]
 **limitLeftSquareBracketCustomCodesRightSquareBracket** | **int**| maximum number of related customCodes returned (when they are included) | [optional] 
 **limitLeftSquareBracketOneTimeUseCodesRightSquareBracket** | **int**| maximum number of related oneTimeUseCodes returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 

### Return type

[**SubscriptionOfferCodeResponse**](SubscriptionOfferCodeResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodesOneTimeUseCodesGetToManyRelated**
> SubscriptionOfferCodeOneTimeUseCodesResponse subscriptionOfferCodesOneTimeUseCodesGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodesApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodes
final fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionOfferCodesOneTimeUseCodesGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodesApi->subscriptionOfferCodesOneTimeUseCodesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionOfferCodeOneTimeUseCodesResponse**](SubscriptionOfferCodeOneTimeUseCodesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodesPricesGetToManyRelated**
> SubscriptionOfferCodePricesResponse subscriptionOfferCodesPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodesApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPricePoints
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodePrices
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionOfferCodesPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodesApi->subscriptionOfferCodesPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodePrices | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionOfferCodePricesResponse**](SubscriptionOfferCodePricesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionOfferCodesUpdateInstance**
> SubscriptionOfferCodeResponse subscriptionOfferCodesUpdateInstance(id, subscriptionOfferCodeUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionOfferCodesApi();
final id = id_example; // String | the id of the requested resource
final subscriptionOfferCodeUpdateRequest = SubscriptionOfferCodeUpdateRequest(); // SubscriptionOfferCodeUpdateRequest | SubscriptionOfferCode representation

try {
    final result = api_instance.subscriptionOfferCodesUpdateInstance(id, subscriptionOfferCodeUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionOfferCodesApi->subscriptionOfferCodesUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionOfferCodeUpdateRequest** | [**SubscriptionOfferCodeUpdateRequest**](SubscriptionOfferCodeUpdateRequest.md)| SubscriptionOfferCode representation | 

### Return type

[**SubscriptionOfferCodeResponse**](SubscriptionOfferCodeResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

