# appstore_connect_api.api.SubscriptionPricesApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionPricesCreateInstance**](SubscriptionPricesApi.md#subscriptionpricescreateinstance) | **POST** /v1/subscriptionPrices | 
[**subscriptionPricesDeleteInstance**](SubscriptionPricesApi.md#subscriptionpricesdeleteinstance) | **DELETE** /v1/subscriptionPrices/{id} | 


# **subscriptionPricesCreateInstance**
> SubscriptionPriceResponse subscriptionPricesCreateInstance(subscriptionPriceCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionPricesApi();
final subscriptionPriceCreateRequest = SubscriptionPriceCreateRequest(); // SubscriptionPriceCreateRequest | SubscriptionPrice representation

try {
    final result = api_instance.subscriptionPricesCreateInstance(subscriptionPriceCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionPricesApi->subscriptionPricesCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionPriceCreateRequest** | [**SubscriptionPriceCreateRequest**](SubscriptionPriceCreateRequest.md)| SubscriptionPrice representation | 

### Return type

[**SubscriptionPriceResponse**](SubscriptionPriceResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionPricesDeleteInstance**
> subscriptionPricesDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionPricesApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.subscriptionPricesDeleteInstance(id);
} catch (e) {
    print('Exception when calling SubscriptionPricesApi->subscriptionPricesDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

