# appstore_connect_api.api.SubscriptionPromotionalOffersApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionPromotionalOffersCreateInstance**](SubscriptionPromotionalOffersApi.md#subscriptionpromotionalofferscreateinstance) | **POST** /v1/subscriptionPromotionalOffers | 
[**subscriptionPromotionalOffersDeleteInstance**](SubscriptionPromotionalOffersApi.md#subscriptionpromotionaloffersdeleteinstance) | **DELETE** /v1/subscriptionPromotionalOffers/{id} | 
[**subscriptionPromotionalOffersGetInstance**](SubscriptionPromotionalOffersApi.md#subscriptionpromotionaloffersgetinstance) | **GET** /v1/subscriptionPromotionalOffers/{id} | 
[**subscriptionPromotionalOffersPricesGetToManyRelated**](SubscriptionPromotionalOffersApi.md#subscriptionpromotionalofferspricesgettomanyrelated) | **GET** /v1/subscriptionPromotionalOffers/{id}/prices | 
[**subscriptionPromotionalOffersUpdateInstance**](SubscriptionPromotionalOffersApi.md#subscriptionpromotionaloffersupdateinstance) | **PATCH** /v1/subscriptionPromotionalOffers/{id} | 


# **subscriptionPromotionalOffersCreateInstance**
> SubscriptionPromotionalOfferResponse subscriptionPromotionalOffersCreateInstance(subscriptionPromotionalOfferCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionPromotionalOffersApi();
final subscriptionPromotionalOfferCreateRequest = SubscriptionPromotionalOfferCreateRequest(); // SubscriptionPromotionalOfferCreateRequest | SubscriptionPromotionalOffer representation

try {
    final result = api_instance.subscriptionPromotionalOffersCreateInstance(subscriptionPromotionalOfferCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionPromotionalOffersApi->subscriptionPromotionalOffersCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionPromotionalOfferCreateRequest** | [**SubscriptionPromotionalOfferCreateRequest**](SubscriptionPromotionalOfferCreateRequest.md)| SubscriptionPromotionalOffer representation | 

### Return type

[**SubscriptionPromotionalOfferResponse**](SubscriptionPromotionalOfferResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionPromotionalOffersDeleteInstance**
> subscriptionPromotionalOffersDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionPromotionalOffersApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.subscriptionPromotionalOffersDeleteInstance(id);
} catch (e) {
    print('Exception when calling SubscriptionPromotionalOffersApi->subscriptionPromotionalOffersDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionPromotionalOffersGetInstance**
> SubscriptionPromotionalOfferResponse subscriptionPromotionalOffersGetInstance(id, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionPromotionalOffersApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPromotionalOffers
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPromotionalOfferPrices
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)

try {
    final result = api_instance.subscriptionPromotionalOffersGetInstance(id, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, include, fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionPromotionalOffersApi->subscriptionPromotionalOffersGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPromotionalOffers | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPromotionalOfferPrices | [optional] [default to const []]
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 

### Return type

[**SubscriptionPromotionalOfferResponse**](SubscriptionPromotionalOfferResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionPromotionalOffersPricesGetToManyRelated**
> SubscriptionPromotionalOfferPricesResponse subscriptionPromotionalOffersPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionPromotionalOffersApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPricePoints
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPromotionalOfferPrices
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionPromotionalOffersPricesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionPromotionalOffersApi->subscriptionPromotionalOffersPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPromotionalOfferPrices | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionPromotionalOfferPricesResponse**](SubscriptionPromotionalOfferPricesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionPromotionalOffersUpdateInstance**
> SubscriptionPromotionalOfferResponse subscriptionPromotionalOffersUpdateInstance(id, subscriptionPromotionalOfferUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionPromotionalOffersApi();
final id = id_example; // String | the id of the requested resource
final subscriptionPromotionalOfferUpdateRequest = SubscriptionPromotionalOfferUpdateRequest(); // SubscriptionPromotionalOfferUpdateRequest | SubscriptionPromotionalOffer representation

try {
    final result = api_instance.subscriptionPromotionalOffersUpdateInstance(id, subscriptionPromotionalOfferUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionPromotionalOffersApi->subscriptionPromotionalOffersUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionPromotionalOfferUpdateRequest** | [**SubscriptionPromotionalOfferUpdateRequest**](SubscriptionPromotionalOfferUpdateRequest.md)| SubscriptionPromotionalOffer representation | 

### Return type

[**SubscriptionPromotionalOfferResponse**](SubscriptionPromotionalOfferResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

