# appstore_connect_api.api.SubscriptionsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**subscriptionsAppStoreReviewScreenshotGetToOneRelated**](SubscriptionsApi.md#subscriptionsappstorereviewscreenshotgettoonerelated) | **GET** /v1/subscriptions/{id}/appStoreReviewScreenshot | 
[**subscriptionsCreateInstance**](SubscriptionsApi.md#subscriptionscreateinstance) | **POST** /v1/subscriptions | 
[**subscriptionsDeleteInstance**](SubscriptionsApi.md#subscriptionsdeleteinstance) | **DELETE** /v1/subscriptions/{id} | 
[**subscriptionsGetInstance**](SubscriptionsApi.md#subscriptionsgetinstance) | **GET** /v1/subscriptions/{id} | 
[**subscriptionsIntroductoryOffersDeleteToManyRelationship**](SubscriptionsApi.md#subscriptionsintroductoryoffersdeletetomanyrelationship) | **DELETE** /v1/subscriptions/{id}/relationships/introductoryOffers | 
[**subscriptionsIntroductoryOffersGetToManyRelated**](SubscriptionsApi.md#subscriptionsintroductoryoffersgettomanyrelated) | **GET** /v1/subscriptions/{id}/introductoryOffers | 
[**subscriptionsIntroductoryOffersGetToManyRelationship**](SubscriptionsApi.md#subscriptionsintroductoryoffersgettomanyrelationship) | **GET** /v1/subscriptions/{id}/relationships/introductoryOffers | 
[**subscriptionsOfferCodesGetToManyRelated**](SubscriptionsApi.md#subscriptionsoffercodesgettomanyrelated) | **GET** /v1/subscriptions/{id}/offerCodes | 
[**subscriptionsPricePointsGetToManyRelated**](SubscriptionsApi.md#subscriptionspricepointsgettomanyrelated) | **GET** /v1/subscriptions/{id}/pricePoints | 
[**subscriptionsPricesDeleteToManyRelationship**](SubscriptionsApi.md#subscriptionspricesdeletetomanyrelationship) | **DELETE** /v1/subscriptions/{id}/relationships/prices | 
[**subscriptionsPricesGetToManyRelated**](SubscriptionsApi.md#subscriptionspricesgettomanyrelated) | **GET** /v1/subscriptions/{id}/prices | 
[**subscriptionsPricesGetToManyRelationship**](SubscriptionsApi.md#subscriptionspricesgettomanyrelationship) | **GET** /v1/subscriptions/{id}/relationships/prices | 
[**subscriptionsPromotedPurchaseGetToOneRelated**](SubscriptionsApi.md#subscriptionspromotedpurchasegettoonerelated) | **GET** /v1/subscriptions/{id}/promotedPurchase | 
[**subscriptionsPromotionalOffersGetToManyRelated**](SubscriptionsApi.md#subscriptionspromotionaloffersgettomanyrelated) | **GET** /v1/subscriptions/{id}/promotionalOffers | 
[**subscriptionsSubscriptionAvailabilityGetToOneRelated**](SubscriptionsApi.md#subscriptionssubscriptionavailabilitygettoonerelated) | **GET** /v1/subscriptions/{id}/subscriptionAvailability | 
[**subscriptionsSubscriptionLocalizationsGetToManyRelated**](SubscriptionsApi.md#subscriptionssubscriptionlocalizationsgettomanyrelated) | **GET** /v1/subscriptions/{id}/subscriptionLocalizations | 
[**subscriptionsUpdateInstance**](SubscriptionsApi.md#subscriptionsupdateinstance) | **PATCH** /v1/subscriptions/{id} | 


# **subscriptionsAppStoreReviewScreenshotGetToOneRelated**
> SubscriptionAppStoreReviewScreenshotResponse subscriptionsAppStoreReviewScreenshotGetToOneRelated(id, fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsAppStoreReviewScreenshotGetToOneRelated(id, fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsAppStoreReviewScreenshotGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionAppStoreReviewScreenshotResponse**](SubscriptionAppStoreReviewScreenshotResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsCreateInstance**
> SubscriptionResponse subscriptionsCreateInstance(subscriptionCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final subscriptionCreateRequest = SubscriptionCreateRequest(); // SubscriptionCreateRequest | Subscription representation

try {
    final result = api_instance.subscriptionsCreateInstance(subscriptionCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **subscriptionCreateRequest** | [**SubscriptionCreateRequest**](SubscriptionCreateRequest.md)| Subscription representation | 

### Return type

[**SubscriptionResponse**](SubscriptionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsDeleteInstance**
> subscriptionsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.subscriptionsDeleteInstance(id);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsGetInstance**
> SubscriptionResponse subscriptionsGetInstance(id, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, include, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket, fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limitLeftSquareBracketIntroductoryOffersRightSquareBracket, limitLeftSquareBracketOfferCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketPromotionalOffersRightSquareBracket, limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPricePoints
final fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPromotionalOffers
final fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodes
final fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
final fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionAvailabilities
final fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPrices
final fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionIntroductoryOffers
final fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionLocalizations
final limitLeftSquareBracketIntroductoryOffersRightSquareBracket = 56; // int | maximum number of related introductoryOffers returned (when they are included)
final limitLeftSquareBracketOfferCodesRightSquareBracket = 56; // int | maximum number of related offerCodes returned (when they are included)
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)
final limitLeftSquareBracketPromotionalOffersRightSquareBracket = 56; // int | maximum number of related promotionalOffers returned (when they are included)
final limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket = 56; // int | maximum number of related subscriptionLocalizations returned (when they are included)

try {
    final result = api_instance.subscriptionsGetInstance(id, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, include, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket, fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limitLeftSquareBracketIntroductoryOffersRightSquareBracket, limitLeftSquareBracketOfferCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, limitLeftSquareBracketPromotionalOffersRightSquareBracket, limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPromotionalOffers | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionAppStoreReviewScreenshotsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionIntroductoryOffers | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionLocalizations | [optional] [default to const []]
 **limitLeftSquareBracketIntroductoryOffersRightSquareBracket** | **int**| maximum number of related introductoryOffers returned (when they are included) | [optional] 
 **limitLeftSquareBracketOfferCodesRightSquareBracket** | **int**| maximum number of related offerCodes returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 
 **limitLeftSquareBracketPromotionalOffersRightSquareBracket** | **int**| maximum number of related promotionalOffers returned (when they are included) | [optional] 
 **limitLeftSquareBracketSubscriptionLocalizationsRightSquareBracket** | **int**| maximum number of related subscriptionLocalizations returned (when they are included) | [optional] 

### Return type

[**SubscriptionResponse**](SubscriptionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsIntroductoryOffersDeleteToManyRelationship**
> subscriptionsIntroductoryOffersDeleteToManyRelationship(id, subscriptionIntroductoryOffersLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final subscriptionIntroductoryOffersLinkagesRequest = SubscriptionIntroductoryOffersLinkagesRequest(); // SubscriptionIntroductoryOffersLinkagesRequest | List of related linkages

try {
    api_instance.subscriptionsIntroductoryOffersDeleteToManyRelationship(id, subscriptionIntroductoryOffersLinkagesRequest);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsIntroductoryOffersDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionIntroductoryOffersLinkagesRequest** | [**SubscriptionIntroductoryOffersLinkagesRequest**](SubscriptionIntroductoryOffersLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsIntroductoryOffersGetToManyRelated**
> SubscriptionIntroductoryOffersResponse subscriptionsIntroductoryOffersGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPricePoints
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionIntroductoryOffers
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsIntroductoryOffersGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsIntroductoryOffersGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionIntroductoryOffersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionIntroductoryOffers | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionIntroductoryOffersResponse**](SubscriptionIntroductoryOffersResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsIntroductoryOffersGetToManyRelationship**
> SubscriptionIntroductoryOffersLinkagesResponse subscriptionsIntroductoryOffersGetToManyRelationship(id, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.subscriptionsIntroductoryOffersGetToManyRelationship(id, limit);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsIntroductoryOffersGetToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**SubscriptionIntroductoryOffersLinkagesResponse**](SubscriptionIntroductoryOffersLinkagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsOfferCodesGetToManyRelated**
> SubscriptionOfferCodesResponse subscriptionsOfferCodesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket, limit, limitLeftSquareBracketOneTimeUseCodesRightSquareBracket, limitLeftSquareBracketCustomCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by territory
final fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeCustomCodes
final fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodes
final fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionOfferCodePrices
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketOneTimeUseCodesRightSquareBracket = 56; // int | maximum number of related oneTimeUseCodes returned (when they are included)
final limitLeftSquareBracketCustomCodesRightSquareBracket = 56; // int | maximum number of related customCodes returned (when they are included)
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsOfferCodesGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket, limit, limitLeftSquareBracketOneTimeUseCodesRightSquareBracket, limitLeftSquareBracketCustomCodesRightSquareBracket, limitLeftSquareBracketPricesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsOfferCodesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by territory | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodeCustomCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeCustomCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodeOneTimeUseCodesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionOfferCodePricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionOfferCodePrices | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketOneTimeUseCodesRightSquareBracket** | **int**| maximum number of related oneTimeUseCodes returned (when they are included) | [optional] 
 **limitLeftSquareBracketCustomCodesRightSquareBracket** | **int**| maximum number of related customCodes returned (when they are included) | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionOfferCodesResponse**](SubscriptionOfferCodesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsPricePointsGetToManyRelated**
> SubscriptionPricePointsResponse subscriptionsPricePointsGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPricePoints
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsPricePointsGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsPricePointsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionPricePointsResponse**](SubscriptionPricePointsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/csv

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsPricesDeleteToManyRelationship**
> subscriptionsPricesDeleteToManyRelationship(id, subscriptionPricesLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final subscriptionPricesLinkagesRequest = SubscriptionPricesLinkagesRequest(); // SubscriptionPricesLinkagesRequest | List of related linkages

try {
    api_instance.subscriptionsPricesDeleteToManyRelationship(id, subscriptionPricesLinkagesRequest);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsPricesDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionPricesLinkagesRequest** | [**SubscriptionPricesLinkagesRequest**](SubscriptionPricesLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsPricesGetToManyRelated**
> SubscriptionPricesResponse subscriptionsPricesGetToManyRelated(id, filterLeftSquareBracketSubscriptionPricePointRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketSubscriptionPricePointRightSquareBracket = []; // List<String> | filter by id(s) of related 'subscriptionPricePoint'
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by id(s) of related 'territory'
final fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPricePoints
final fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPrices
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsPricesGetToManyRelated(id, filterLeftSquareBracketSubscriptionPricePointRightSquareBracket, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket, fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsPricesGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketSubscriptionPricePointRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'subscriptionPricePoint' | [optional] [default to const []]
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'territory' | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricePointsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPricePoints | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPrices | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionPricesResponse**](SubscriptionPricesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsPricesGetToManyRelationship**
> SubscriptionPricesLinkagesResponse subscriptionsPricesGetToManyRelationship(id, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.subscriptionsPricesGetToManyRelationship(id, limit);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsPricesGetToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**SubscriptionPricesLinkagesResponse**](SubscriptionPricesLinkagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsPromotedPurchaseGetToOneRelated**
> PromotedPurchaseResponse subscriptionsPromotedPurchaseGetToOneRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limitLeftSquareBracketPromotionImagesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchases
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketInAppPurchasesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type inAppPurchases
final fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type promotedPurchaseImages
final limitLeftSquareBracketPromotionImagesRightSquareBracket = 56; // int | maximum number of related promotionImages returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsPromotedPurchaseGetToOneRelated(id, fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketInAppPurchasesRightSquareBracket, fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket, limitLeftSquareBracketPromotionImagesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsPromotedPurchaseGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketPromotedPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketInAppPurchasesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type inAppPurchases | [optional] [default to const []]
 **fieldsLeftSquareBracketPromotedPurchaseImagesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type promotedPurchaseImages | [optional] [default to const []]
 **limitLeftSquareBracketPromotionImagesRightSquareBracket** | **int**| maximum number of related promotionImages returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**PromotedPurchaseResponse**](PromotedPurchaseResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsPromotionalOffersGetToManyRelated**
> SubscriptionPromotionalOffersResponse subscriptionsPromotionalOffersGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket, limit, limitLeftSquareBracketPricesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final filterLeftSquareBracketTerritoryRightSquareBracket = []; // List<String> | filter by territory
final fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPromotionalOffers
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionPromotionalOfferPrices
final limit = 56; // int | maximum resources per page
final limitLeftSquareBracketPricesRightSquareBracket = 56; // int | maximum number of related prices returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsPromotionalOffersGetToManyRelated(id, filterLeftSquareBracketTerritoryRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket, limit, limitLeftSquareBracketPricesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsPromotionalOffersGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **filterLeftSquareBracketTerritoryRightSquareBracket** | [**List<String>**](String.md)| filter by territory | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPromotionalOffersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPromotionalOffers | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionPromotionalOfferPricesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionPromotionalOfferPrices | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **limitLeftSquareBracketPricesRightSquareBracket** | **int**| maximum number of related prices returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionPromotionalOffersResponse**](SubscriptionPromotionalOffersResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsSubscriptionAvailabilityGetToOneRelated**
> SubscriptionAvailabilityResponse subscriptionsSubscriptionAvailabilityGetToOneRelated(id, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionAvailabilities
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketTerritoriesRightSquareBracket = []; // List<String> | the fields to include for returned resources of type territories
final limitLeftSquareBracketAvailableTerritoriesRightSquareBracket = 56; // int | maximum number of related availableTerritories returned (when they are included)
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsSubscriptionAvailabilityGetToOneRelated(id, fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketTerritoriesRightSquareBracket, limitLeftSquareBracketAvailableTerritoriesRightSquareBracket, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsSubscriptionAvailabilityGetToOneRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionAvailabilitiesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionAvailabilities | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketTerritoriesRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type territories | [optional] [default to const []]
 **limitLeftSquareBracketAvailableTerritoriesRightSquareBracket** | **int**| maximum number of related availableTerritories returned (when they are included) | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionAvailabilityResponse**](SubscriptionAvailabilityResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsSubscriptionLocalizationsGetToManyRelated**
> SubscriptionLocalizationsResponse subscriptionsSubscriptionLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limit, include)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketSubscriptionsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptions
final fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type subscriptionLocalizations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include

try {
    final result = api_instance.subscriptionsSubscriptionLocalizationsGetToManyRelated(id, fieldsLeftSquareBracketSubscriptionsRightSquareBracket, fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket, limit, include);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsSubscriptionLocalizationsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketSubscriptionsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptions | [optional] [default to const []]
 **fieldsLeftSquareBracketSubscriptionLocalizationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type subscriptionLocalizations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]

### Return type

[**SubscriptionLocalizationsResponse**](SubscriptionLocalizationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **subscriptionsUpdateInstance**
> SubscriptionResponse subscriptionsUpdateInstance(id, subscriptionUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = SubscriptionsApi();
final id = id_example; // String | the id of the requested resource
final subscriptionUpdateRequest = SubscriptionUpdateRequest(); // SubscriptionUpdateRequest | Subscription representation

try {
    final result = api_instance.subscriptionsUpdateInstance(id, subscriptionUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling SubscriptionsApi->subscriptionsUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **subscriptionUpdateRequest** | [**SubscriptionUpdateRequest**](SubscriptionUpdateRequest.md)| Subscription representation | 

### Return type

[**SubscriptionResponse**](SubscriptionResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

