# appstore_connect_api.api.UserInvitationsApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**userInvitationsCreateInstance**](UserInvitationsApi.md#userinvitationscreateinstance) | **POST** /v1/userInvitations | 
[**userInvitationsDeleteInstance**](UserInvitationsApi.md#userinvitationsdeleteinstance) | **DELETE** /v1/userInvitations/{id} | 
[**userInvitationsGetCollection**](UserInvitationsApi.md#userinvitationsgetcollection) | **GET** /v1/userInvitations | 
[**userInvitationsGetInstance**](UserInvitationsApi.md#userinvitationsgetinstance) | **GET** /v1/userInvitations/{id} | 
[**userInvitationsVisibleAppsGetToManyRelated**](UserInvitationsApi.md#userinvitationsvisibleappsgettomanyrelated) | **GET** /v1/userInvitations/{id}/visibleApps | 


# **userInvitationsCreateInstance**
> UserInvitationResponse userInvitationsCreateInstance(userInvitationCreateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UserInvitationsApi();
final userInvitationCreateRequest = UserInvitationCreateRequest(); // UserInvitationCreateRequest | UserInvitation representation

try {
    final result = api_instance.userInvitationsCreateInstance(userInvitationCreateRequest);
    print(result);
} catch (e) {
    print('Exception when calling UserInvitationsApi->userInvitationsCreateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **userInvitationCreateRequest** | [**UserInvitationCreateRequest**](UserInvitationCreateRequest.md)| UserInvitation representation | 

### Return type

[**UserInvitationResponse**](UserInvitationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userInvitationsDeleteInstance**
> userInvitationsDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UserInvitationsApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.userInvitationsDeleteInstance(id);
} catch (e) {
    print('Exception when calling UserInvitationsApi->userInvitationsDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userInvitationsGetCollection**
> UserInvitationsResponse userInvitationsGetCollection(filterLeftSquareBracketEmailRightSquareBracket, filterLeftSquareBracketRolesRightSquareBracket, filterLeftSquareBracketVisibleAppsRightSquareBracket, sort, fieldsLeftSquareBracketUserInvitationsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UserInvitationsApi();
final filterLeftSquareBracketEmailRightSquareBracket = []; // List<String> | filter by attribute 'email'
final filterLeftSquareBracketRolesRightSquareBracket = []; // List<String> | filter by attribute 'roles'
final filterLeftSquareBracketVisibleAppsRightSquareBracket = []; // List<String> | filter by id(s) of related 'visibleApps'
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketUserInvitationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type userInvitations
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketVisibleAppsRightSquareBracket = 56; // int | maximum number of related visibleApps returned (when they are included)

try {
    final result = api_instance.userInvitationsGetCollection(filterLeftSquareBracketEmailRightSquareBracket, filterLeftSquareBracketRolesRightSquareBracket, filterLeftSquareBracketVisibleAppsRightSquareBracket, sort, fieldsLeftSquareBracketUserInvitationsRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling UserInvitationsApi->userInvitationsGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketEmailRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'email' | [optional] [default to const []]
 **filterLeftSquareBracketRolesRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'roles' | [optional] [default to const []]
 **filterLeftSquareBracketVisibleAppsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'visibleApps' | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketUserInvitationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type userInvitations | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketVisibleAppsRightSquareBracket** | **int**| maximum number of related visibleApps returned (when they are included) | [optional] 

### Return type

[**UserInvitationsResponse**](UserInvitationsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userInvitationsGetInstance**
> UserInvitationResponse userInvitationsGetInstance(id, fieldsLeftSquareBracketUserInvitationsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UserInvitationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketUserInvitationsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type userInvitations
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketVisibleAppsRightSquareBracket = 56; // int | maximum number of related visibleApps returned (when they are included)

try {
    final result = api_instance.userInvitationsGetInstance(id, fieldsLeftSquareBracketUserInvitationsRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling UserInvitationsApi->userInvitationsGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketUserInvitationsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type userInvitations | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketVisibleAppsRightSquareBracket** | **int**| maximum number of related visibleApps returned (when they are included) | [optional] 

### Return type

[**UserInvitationResponse**](UserInvitationResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **userInvitationsVisibleAppsGetToManyRelated**
> AppsResponse userInvitationsVisibleAppsGetToManyRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UserInvitationsApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.userInvitationsVisibleAppsGetToManyRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling UserInvitationsApi->userInvitationsVisibleAppsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**AppsResponse**](AppsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

