# appstore_connect_api.api.UsersApi

## Load the API package
```dart
import 'package:appstore_connect_api/api.dart';
```

All URIs are relative to *https://api.appstoreconnect.apple.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**usersDeleteInstance**](UsersApi.md#usersdeleteinstance) | **DELETE** /v1/users/{id} | 
[**usersGetCollection**](UsersApi.md#usersgetcollection) | **GET** /v1/users | 
[**usersGetInstance**](UsersApi.md#usersgetinstance) | **GET** /v1/users/{id} | 
[**usersUpdateInstance**](UsersApi.md#usersupdateinstance) | **PATCH** /v1/users/{id} | 
[**usersVisibleAppsCreateToManyRelationship**](UsersApi.md#usersvisibleappscreatetomanyrelationship) | **POST** /v1/users/{id}/relationships/visibleApps | 
[**usersVisibleAppsDeleteToManyRelationship**](UsersApi.md#usersvisibleappsdeletetomanyrelationship) | **DELETE** /v1/users/{id}/relationships/visibleApps | 
[**usersVisibleAppsGetToManyRelated**](UsersApi.md#usersvisibleappsgettomanyrelated) | **GET** /v1/users/{id}/visibleApps | 
[**usersVisibleAppsGetToManyRelationship**](UsersApi.md#usersvisibleappsgettomanyrelationship) | **GET** /v1/users/{id}/relationships/visibleApps | 
[**usersVisibleAppsReplaceToManyRelationship**](UsersApi.md#usersvisibleappsreplacetomanyrelationship) | **PATCH** /v1/users/{id}/relationships/visibleApps | 


# **usersDeleteInstance**
> usersDeleteInstance(id)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource

try {
    api_instance.usersDeleteInstance(id);
} catch (e) {
    print('Exception when calling UsersApi->usersDeleteInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersGetCollection**
> UsersResponse usersGetCollection(filterLeftSquareBracketRolesRightSquareBracket, filterLeftSquareBracketUsernameRightSquareBracket, filterLeftSquareBracketVisibleAppsRightSquareBracket, sort, fieldsLeftSquareBracketUsersRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final filterLeftSquareBracketRolesRightSquareBracket = []; // List<String> | filter by attribute 'roles'
final filterLeftSquareBracketUsernameRightSquareBracket = []; // List<String> | filter by attribute 'username'
final filterLeftSquareBracketVisibleAppsRightSquareBracket = []; // List<String> | filter by id(s) of related 'visibleApps'
final sort = []; // List<String> | comma-separated list of sort expressions; resources will be sorted as specified
final fieldsLeftSquareBracketUsersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type users
final limit = 56; // int | maximum resources per page
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketVisibleAppsRightSquareBracket = 56; // int | maximum number of related visibleApps returned (when they are included)

try {
    final result = api_instance.usersGetCollection(filterLeftSquareBracketRolesRightSquareBracket, filterLeftSquareBracketUsernameRightSquareBracket, filterLeftSquareBracketVisibleAppsRightSquareBracket, sort, fieldsLeftSquareBracketUsersRightSquareBracket, limit, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling UsersApi->usersGetCollection: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **filterLeftSquareBracketRolesRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'roles' | [optional] [default to const []]
 **filterLeftSquareBracketUsernameRightSquareBracket** | [**List<String>**](String.md)| filter by attribute 'username' | [optional] [default to const []]
 **filterLeftSquareBracketVisibleAppsRightSquareBracket** | [**List<String>**](String.md)| filter by id(s) of related 'visibleApps' | [optional] [default to const []]
 **sort** | [**List<String>**](String.md)| comma-separated list of sort expressions; resources will be sorted as specified | [optional] [default to const []]
 **fieldsLeftSquareBracketUsersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type users | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketVisibleAppsRightSquareBracket** | **int**| maximum number of related visibleApps returned (when they are included) | [optional] 

### Return type

[**UsersResponse**](UsersResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersGetInstance**
> UserResponse usersGetInstance(id, fieldsLeftSquareBracketUsersRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketUsersRightSquareBracket = []; // List<String> | the fields to include for returned resources of type users
final include = []; // List<String> | comma-separated list of relationships to include
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limitLeftSquareBracketVisibleAppsRightSquareBracket = 56; // int | maximum number of related visibleApps returned (when they are included)

try {
    final result = api_instance.usersGetInstance(id, fieldsLeftSquareBracketUsersRightSquareBracket, include, fieldsLeftSquareBracketAppsRightSquareBracket, limitLeftSquareBracketVisibleAppsRightSquareBracket);
    print(result);
} catch (e) {
    print('Exception when calling UsersApi->usersGetInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketUsersRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type users | [optional] [default to const []]
 **include** | [**List<String>**](String.md)| comma-separated list of relationships to include | [optional] [default to const []]
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limitLeftSquareBracketVisibleAppsRightSquareBracket** | **int**| maximum number of related visibleApps returned (when they are included) | [optional] 

### Return type

[**UserResponse**](UserResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersUpdateInstance**
> UserResponse usersUpdateInstance(id, userUpdateRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource
final userUpdateRequest = UserUpdateRequest(); // UserUpdateRequest | User representation

try {
    final result = api_instance.usersUpdateInstance(id, userUpdateRequest);
    print(result);
} catch (e) {
    print('Exception when calling UsersApi->usersUpdateInstance: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **userUpdateRequest** | [**UserUpdateRequest**](UserUpdateRequest.md)| User representation | 

### Return type

[**UserResponse**](UserResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersVisibleAppsCreateToManyRelationship**
> usersVisibleAppsCreateToManyRelationship(id, userVisibleAppsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource
final userVisibleAppsLinkagesRequest = UserVisibleAppsLinkagesRequest(); // UserVisibleAppsLinkagesRequest | List of related linkages

try {
    api_instance.usersVisibleAppsCreateToManyRelationship(id, userVisibleAppsLinkagesRequest);
} catch (e) {
    print('Exception when calling UsersApi->usersVisibleAppsCreateToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **userVisibleAppsLinkagesRequest** | [**UserVisibleAppsLinkagesRequest**](UserVisibleAppsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersVisibleAppsDeleteToManyRelationship**
> usersVisibleAppsDeleteToManyRelationship(id, userVisibleAppsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource
final userVisibleAppsLinkagesRequest = UserVisibleAppsLinkagesRequest(); // UserVisibleAppsLinkagesRequest | List of related linkages

try {
    api_instance.usersVisibleAppsDeleteToManyRelationship(id, userVisibleAppsLinkagesRequest);
} catch (e) {
    print('Exception when calling UsersApi->usersVisibleAppsDeleteToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **userVisibleAppsLinkagesRequest** | [**UserVisibleAppsLinkagesRequest**](UserVisibleAppsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersVisibleAppsGetToManyRelated**
> AppsResponse usersVisibleAppsGetToManyRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource
final fieldsLeftSquareBracketAppsRightSquareBracket = []; // List<String> | the fields to include for returned resources of type apps
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.usersVisibleAppsGetToManyRelated(id, fieldsLeftSquareBracketAppsRightSquareBracket, limit);
    print(result);
} catch (e) {
    print('Exception when calling UsersApi->usersVisibleAppsGetToManyRelated: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **fieldsLeftSquareBracketAppsRightSquareBracket** | [**List<String>**](String.md)| the fields to include for returned resources of type apps | [optional] [default to const []]
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**AppsResponse**](AppsResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersVisibleAppsGetToManyRelationship**
> UserVisibleAppsLinkagesResponse usersVisibleAppsGetToManyRelationship(id, limit)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource
final limit = 56; // int | maximum resources per page

try {
    final result = api_instance.usersVisibleAppsGetToManyRelationship(id, limit);
    print(result);
} catch (e) {
    print('Exception when calling UsersApi->usersVisibleAppsGetToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **limit** | **int**| maximum resources per page | [optional] 

### Return type

[**UserVisibleAppsLinkagesResponse**](UserVisibleAppsLinkagesResponse.md)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **usersVisibleAppsReplaceToManyRelationship**
> usersVisibleAppsReplaceToManyRelationship(id, userVisibleAppsLinkagesRequest)



### Example
```dart
import 'package:appstore_connect_api/api.dart';
// TODO Configure HTTP Bearer authorization: itc-bearer-token
// Case 1. Use String Token
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken('YOUR_ACCESS_TOKEN');
// Case 2. Use Function which generate token.
// String yourTokenGeneratorFunction() { ... }
//defaultApiClient.getAuthentication<HttpBearerAuth>('itc-bearer-token').setAccessToken(yourTokenGeneratorFunction);

final api_instance = UsersApi();
final id = id_example; // String | the id of the requested resource
final userVisibleAppsLinkagesRequest = UserVisibleAppsLinkagesRequest(); // UserVisibleAppsLinkagesRequest | List of related linkages

try {
    api_instance.usersVisibleAppsReplaceToManyRelationship(id, userVisibleAppsLinkagesRequest);
} catch (e) {
    print('Exception when calling UsersApi->usersVisibleAppsReplaceToManyRelationship: $e\n');
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **String**| the id of the requested resource | 
 **userVisibleAppsLinkagesRequest** | [**UserVisibleAppsLinkagesRequest**](UserVisibleAppsLinkagesRequest.md)| List of related linkages | 

### Return type

void (empty response body)

### Authorization

[itc-bearer-token](../README.md#itc-bearer-token)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

