//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class ActorsApi {
  ActorsApi([ApiClient? apiClient]) : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/actors' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterId (required):
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsActors:
  ///   the fields to include for returned resources of type actors
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> actorsGetCollectionWithHttpInfo(
    List<String> filterId, {
    List<String>? fieldsActors,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/actors';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    if (fieldsActors != null) {
      queryParams.addAll(_queryParams('csv', 'fields[actors]', fieldsActors));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterId (required):
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsActors:
  ///   the fields to include for returned resources of type actors
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<ActorsResponse?> actorsGetCollection(
    List<String> filterId, {
    List<String>? fieldsActors,
    int? limit,
  }) async {
    final response = await actorsGetCollectionWithHttpInfo(
      filterId,
      fieldsActors: fieldsActors,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ActorsResponse',
      ) as ActorsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/actors/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsActors:
  ///   the fields to include for returned resources of type actors
  Future<Response> actorsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsActors,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/actors/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsActors != null) {
      queryParams.addAll(_queryParams('csv', 'fields[actors]', fieldsActors));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsActors:
  ///   the fields to include for returned resources of type actors
  Future<ActorResponse?> actorsGetInstance(
    String id, {
    List<String>? fieldsActors,
  }) async {
    final response = await actorsGetInstanceWithHttpInfo(
      id,
      fieldsActors: fieldsActors,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ActorResponse',
      ) as ActorResponse;
    }
    return null;
  }
}
