//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppAvailabilitiesApi {
  AppAvailabilitiesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appAvailabilities/{id}/availableTerritories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response>
      appAvailabilitiesAvailableTerritoriesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsTerritories,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appAvailabilities/{id}/availableTerritories'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<TerritoriesResponse?>
      appAvailabilitiesAvailableTerritoriesGetToManyRelated(
    String id, {
    List<String>? fieldsTerritories,
    int? limit,
  }) async {
    final response =
        await appAvailabilitiesAvailableTerritoriesGetToManyRelatedWithHttpInfo(
      id,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'TerritoriesResponse',
      ) as TerritoriesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/appAvailabilities' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppAvailabilityCreateRequest] appAvailabilityCreateRequest (required):
  ///   AppAvailability representation
  Future<Response> appAvailabilitiesCreateInstanceWithHttpInfo(
    AppAvailabilityCreateRequest appAvailabilityCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appAvailabilities';

    // ignore: prefer_final_locals
    Object? postBody = appAvailabilityCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppAvailabilityCreateRequest] appAvailabilityCreateRequest (required):
  ///   AppAvailability representation
  Future<AppAvailabilityResponse?> appAvailabilitiesCreateInstance(
    AppAvailabilityCreateRequest appAvailabilityCreateRequest,
  ) async {
    final response = await appAvailabilitiesCreateInstanceWithHttpInfo(
      appAvailabilityCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppAvailabilityResponse',
      ) as AppAvailabilityResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appAvailabilities/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  Future<Response> appAvailabilitiesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppAvailabilities,
    List<String>? include,
    List<String>? fieldsTerritories,
    int? limitAvailableTerritories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appAvailabilities/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appAvailabilities]', fieldsAppAvailabilities));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limitAvailableTerritories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[availableTerritories]', limitAvailableTerritories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  Future<AppAvailabilityResponse?> appAvailabilitiesGetInstance(
    String id, {
    List<String>? fieldsAppAvailabilities,
    List<String>? include,
    List<String>? fieldsTerritories,
    int? limitAvailableTerritories,
  }) async {
    final response = await appAvailabilitiesGetInstanceWithHttpInfo(
      id,
      fieldsAppAvailabilities: fieldsAppAvailabilities,
      include: include,
      fieldsTerritories: fieldsTerritories,
      limitAvailableTerritories: limitAvailableTerritories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppAvailabilityResponse',
      ) as AppAvailabilityResponse;
    }
    return null;
  }
}
