//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppCategoriesApi {
  AppCategoriesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appCategories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterPlatforms:
  ///   filter by attribute 'platforms'
  ///
  /// * [bool] existsParent:
  ///   filter by existence or non-existence of related 'parent'
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  Future<Response> appCategoriesGetCollectionWithHttpInfo({
    List<String>? filterPlatforms,
    bool? existsParent,
    List<String>? fieldsAppCategories,
    int? limit,
    List<String>? include,
    int? limitSubcategories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appCategories';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterPlatforms != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platforms]', filterPlatforms));
    }
    if (existsParent != null) {
      queryParams.addAll(_queryParams('', 'exists[parent]', existsParent));
    }
    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterPlatforms:
  ///   filter by attribute 'platforms'
  ///
  /// * [bool] existsParent:
  ///   filter by existence or non-existence of related 'parent'
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  Future<AppCategoriesResponse?> appCategoriesGetCollection({
    List<String>? filterPlatforms,
    bool? existsParent,
    List<String>? fieldsAppCategories,
    int? limit,
    List<String>? include,
    int? limitSubcategories,
  }) async {
    final response = await appCategoriesGetCollectionWithHttpInfo(
      filterPlatforms: filterPlatforms,
      existsParent: existsParent,
      fieldsAppCategories: fieldsAppCategories,
      limit: limit,
      include: include,
      limitSubcategories: limitSubcategories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoriesResponse',
      ) as AppCategoriesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appCategories/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  Future<Response> appCategoriesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    List<String>? include,
    int? limitSubcategories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appCategories/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  Future<AppCategoryResponse?> appCategoriesGetInstance(
    String id, {
    List<String>? fieldsAppCategories,
    List<String>? include,
    int? limitSubcategories,
  }) async {
    final response = await appCategoriesGetInstanceWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      include: include,
      limitSubcategories: limitSubcategories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appCategories/{id}/parent' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  Future<Response> appCategoriesParentGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appCategories/{id}/parent'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  Future<AppCategoryResponse?> appCategoriesParentGetToOneRelated(
    String id, {
    List<String>? fieldsAppCategories,
  }) async {
    final response = await appCategoriesParentGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appCategories/{id}/subcategories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appCategoriesSubcategoriesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appCategories/{id}/subcategories'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<AppCategoriesResponse?> appCategoriesSubcategoriesGetToManyRelated(
    String id, {
    List<String>? fieldsAppCategories,
    int? limit,
  }) async {
    final response =
        await appCategoriesSubcategoriesGetToManyRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoriesResponse',
      ) as AppCategoriesResponse;
    }
    return null;
  }
}
