//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppEventsApi {
  AppEventsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/appEvents' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppEventCreateRequest] appEventCreateRequest (required):
  ///   AppEvent representation
  Future<Response> appEventsCreateInstanceWithHttpInfo(
    AppEventCreateRequest appEventCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appEvents';

    // ignore: prefer_final_locals
    Object? postBody = appEventCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppEventCreateRequest] appEventCreateRequest (required):
  ///   AppEvent representation
  Future<AppEventResponse?> appEventsCreateInstance(
    AppEventCreateRequest appEventCreateRequest,
  ) async {
    final response = await appEventsCreateInstanceWithHttpInfo(
      appEventCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppEventResponse',
      ) as AppEventResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/appEvents/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> appEventsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appEvents/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> appEventsDeleteInstance(
    String id,
  ) async {
    final response = await appEventsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/appEvents/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppEventLocalizations:
  ///   the fields to include for returned resources of type appEventLocalizations
  ///
  /// * [int] limitLocalizations:
  ///   maximum number of related localizations returned (when they are included)
  Future<Response> appEventsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppEvents,
    List<String>? include,
    List<String>? fieldsAppEventLocalizations,
    int? limitLocalizations,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appEvents/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppEvents != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appEvents]', fieldsAppEvents));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAppEventLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appEventLocalizations]', fieldsAppEventLocalizations));
    }
    if (limitLocalizations != null) {
      queryParams
          .addAll(_queryParams('', 'limit[localizations]', limitLocalizations));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppEventLocalizations:
  ///   the fields to include for returned resources of type appEventLocalizations
  ///
  /// * [int] limitLocalizations:
  ///   maximum number of related localizations returned (when they are included)
  Future<AppEventResponse?> appEventsGetInstance(
    String id, {
    List<String>? fieldsAppEvents,
    List<String>? include,
    List<String>? fieldsAppEventLocalizations,
    int? limitLocalizations,
  }) async {
    final response = await appEventsGetInstanceWithHttpInfo(
      id,
      fieldsAppEvents: fieldsAppEvents,
      include: include,
      fieldsAppEventLocalizations: fieldsAppEventLocalizations,
      limitLocalizations: limitLocalizations,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppEventResponse',
      ) as AppEventResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appEvents/{id}/localizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppEventScreenshots:
  ///   the fields to include for returned resources of type appEventScreenshots
  ///
  /// * [List<String>] fieldsAppEventVideoClips:
  ///   the fields to include for returned resources of type appEventVideoClips
  ///
  /// * [List<String>] fieldsAppEventLocalizations:
  ///   the fields to include for returned resources of type appEventLocalizations
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppEventScreenshots:
  ///   maximum number of related appEventScreenshots returned (when they are included)
  ///
  /// * [int] limitAppEventVideoClips:
  ///   maximum number of related appEventVideoClips returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appEventsLocalizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppEventScreenshots,
    List<String>? fieldsAppEventVideoClips,
    List<String>? fieldsAppEventLocalizations,
    List<String>? fieldsAppEvents,
    int? limit,
    int? limitAppEventScreenshots,
    int? limitAppEventVideoClips,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appEvents/{id}/localizations'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppEventScreenshots != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appEventScreenshots]', fieldsAppEventScreenshots));
    }
    if (fieldsAppEventVideoClips != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appEventVideoClips]', fieldsAppEventVideoClips));
    }
    if (fieldsAppEventLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appEventLocalizations]', fieldsAppEventLocalizations));
    }
    if (fieldsAppEvents != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appEvents]', fieldsAppEvents));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppEventScreenshots != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[appEventScreenshots]', limitAppEventScreenshots));
    }
    if (limitAppEventVideoClips != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[appEventVideoClips]', limitAppEventVideoClips));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppEventScreenshots:
  ///   the fields to include for returned resources of type appEventScreenshots
  ///
  /// * [List<String>] fieldsAppEventVideoClips:
  ///   the fields to include for returned resources of type appEventVideoClips
  ///
  /// * [List<String>] fieldsAppEventLocalizations:
  ///   the fields to include for returned resources of type appEventLocalizations
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppEventScreenshots:
  ///   maximum number of related appEventScreenshots returned (when they are included)
  ///
  /// * [int] limitAppEventVideoClips:
  ///   maximum number of related appEventVideoClips returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppEventLocalizationsResponse?> appEventsLocalizationsGetToManyRelated(
    String id, {
    List<String>? fieldsAppEventScreenshots,
    List<String>? fieldsAppEventVideoClips,
    List<String>? fieldsAppEventLocalizations,
    List<String>? fieldsAppEvents,
    int? limit,
    int? limitAppEventScreenshots,
    int? limitAppEventVideoClips,
    List<String>? include,
  }) async {
    final response = await appEventsLocalizationsGetToManyRelatedWithHttpInfo(
      id,
      fieldsAppEventScreenshots: fieldsAppEventScreenshots,
      fieldsAppEventVideoClips: fieldsAppEventVideoClips,
      fieldsAppEventLocalizations: fieldsAppEventLocalizations,
      fieldsAppEvents: fieldsAppEvents,
      limit: limit,
      limitAppEventScreenshots: limitAppEventScreenshots,
      limitAppEventVideoClips: limitAppEventVideoClips,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppEventLocalizationsResponse',
      ) as AppEventLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appEvents/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppEventUpdateRequest] appEventUpdateRequest (required):
  ///   AppEvent representation
  Future<Response> appEventsUpdateInstanceWithHttpInfo(
    String id,
    AppEventUpdateRequest appEventUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appEvents/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appEventUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppEventUpdateRequest] appEventUpdateRequest (required):
  ///   AppEvent representation
  Future<AppEventResponse?> appEventsUpdateInstance(
    String id,
    AppEventUpdateRequest appEventUpdateRequest,
  ) async {
    final response = await appEventsUpdateInstanceWithHttpInfo(
      id,
      appEventUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppEventResponse',
      ) as AppEventResponse;
    }
    return null;
  }
}
