//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppInfoLocalizationsApi {
  AppInfoLocalizationsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/appInfoLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppInfoLocalizationCreateRequest] appInfoLocalizationCreateRequest (required):
  ///   AppInfoLocalization representation
  Future<Response> appInfoLocalizationsCreateInstanceWithHttpInfo(
    AppInfoLocalizationCreateRequest appInfoLocalizationCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfoLocalizations';

    // ignore: prefer_final_locals
    Object? postBody = appInfoLocalizationCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppInfoLocalizationCreateRequest] appInfoLocalizationCreateRequest (required):
  ///   AppInfoLocalization representation
  Future<AppInfoLocalizationResponse?> appInfoLocalizationsCreateInstance(
    AppInfoLocalizationCreateRequest appInfoLocalizationCreateRequest,
  ) async {
    final response = await appInfoLocalizationsCreateInstanceWithHttpInfo(
      appInfoLocalizationCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppInfoLocalizationResponse',
      ) as AppInfoLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/appInfoLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> appInfoLocalizationsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfoLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> appInfoLocalizationsDeleteInstance(
    String id,
  ) async {
    final response = await appInfoLocalizationsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/appInfoLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfoLocalizationsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppInfoLocalizations,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfoLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppInfoLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appInfoLocalizations]', fieldsAppInfoLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppInfoLocalizationResponse?> appInfoLocalizationsGetInstance(
    String id, {
    List<String>? fieldsAppInfoLocalizations,
    List<String>? include,
  }) async {
    final response = await appInfoLocalizationsGetInstanceWithHttpInfo(
      id,
      fieldsAppInfoLocalizations: fieldsAppInfoLocalizations,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppInfoLocalizationResponse',
      ) as AppInfoLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appInfoLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppInfoLocalizationUpdateRequest] appInfoLocalizationUpdateRequest (required):
  ///   AppInfoLocalization representation
  Future<Response> appInfoLocalizationsUpdateInstanceWithHttpInfo(
    String id,
    AppInfoLocalizationUpdateRequest appInfoLocalizationUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfoLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appInfoLocalizationUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppInfoLocalizationUpdateRequest] appInfoLocalizationUpdateRequest (required):
  ///   AppInfoLocalization representation
  Future<AppInfoLocalizationResponse?> appInfoLocalizationsUpdateInstance(
    String id,
    AppInfoLocalizationUpdateRequest appInfoLocalizationUpdateRequest,
  ) async {
    final response = await appInfoLocalizationsUpdateInstanceWithHttpInfo(
      id,
      appInfoLocalizationUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppInfoLocalizationResponse',
      ) as AppInfoLocalizationResponse;
    }
    return null;
  }
}
