//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppInfosApi {
  AppInfosApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appInfos/{id}/ageRatingDeclaration' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  Future<Response> appInfosAgeRatingDeclarationGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAgeRatingDeclarations,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appInfos/{id}/ageRatingDeclaration'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAgeRatingDeclarations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ageRatingDeclarations]', fieldsAgeRatingDeclarations));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  Future<AgeRatingDeclarationResponse?>
      appInfosAgeRatingDeclarationGetToOneRelated(
    String id, {
    List<String>? fieldsAgeRatingDeclarations,
  }) async {
    final response =
        await appInfosAgeRatingDeclarationGetToOneRelatedWithHttpInfo(
      id,
      fieldsAgeRatingDeclarations: fieldsAgeRatingDeclarations,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AgeRatingDeclarationResponse',
      ) as AgeRatingDeclarationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}/appInfoLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterLocale:
  ///   filter by attribute 'locale'
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfosAppInfoLocalizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterLocale,
    List<String>? fieldsAppInfos,
    List<String>? fieldsAppInfoLocalizations,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appInfos/{id}/appInfoLocalizations'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterLocale != null) {
      queryParams.addAll(_queryParams('csv', 'filter[locale]', filterLocale));
    }
    if (fieldsAppInfos != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appInfos]', fieldsAppInfos));
    }
    if (fieldsAppInfoLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appInfoLocalizations]', fieldsAppInfoLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterLocale:
  ///   filter by attribute 'locale'
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppInfoLocalizationsResponse?>
      appInfosAppInfoLocalizationsGetToManyRelated(
    String id, {
    List<String>? filterLocale,
    List<String>? fieldsAppInfos,
    List<String>? fieldsAppInfoLocalizations,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await appInfosAppInfoLocalizationsGetToManyRelatedWithHttpInfo(
      id,
      filterLocale: filterLocale,
      fieldsAppInfos: fieldsAppInfos,
      fieldsAppInfoLocalizations: fieldsAppInfoLocalizations,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppInfoLocalizationsResponse',
      ) as AppInfoLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitAppInfoLocalizations:
  ///   maximum number of related appInfoLocalizations returned (when they are included)
  Future<Response> appInfosGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppInfos,
    List<String>? include,
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsAppInfoLocalizations,
    List<String>? fieldsAppCategories,
    int? limitAppInfoLocalizations,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfos/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppInfos != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appInfos]', fieldsAppInfos));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAgeRatingDeclarations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ageRatingDeclarations]', fieldsAgeRatingDeclarations));
    }
    if (fieldsAppInfoLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appInfoLocalizations]', fieldsAppInfoLocalizations));
    }
    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limitAppInfoLocalizations != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[appInfoLocalizations]', limitAppInfoLocalizations));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitAppInfoLocalizations:
  ///   maximum number of related appInfoLocalizations returned (when they are included)
  Future<AppInfoResponse?> appInfosGetInstance(
    String id, {
    List<String>? fieldsAppInfos,
    List<String>? include,
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsAppInfoLocalizations,
    List<String>? fieldsAppCategories,
    int? limitAppInfoLocalizations,
  }) async {
    final response = await appInfosGetInstanceWithHttpInfo(
      id,
      fieldsAppInfos: fieldsAppInfos,
      include: include,
      fieldsAgeRatingDeclarations: fieldsAgeRatingDeclarations,
      fieldsAppInfoLocalizations: fieldsAppInfoLocalizations,
      fieldsAppCategories: fieldsAppCategories,
      limitAppInfoLocalizations: limitAppInfoLocalizations,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppInfoResponse',
      ) as AppInfoResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}/primaryCategory' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfosPrimaryCategoryGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfos/{id}/primaryCategory'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppCategoryResponse?> appInfosPrimaryCategoryGetToOneRelated(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    final response = await appInfosPrimaryCategoryGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      limitSubcategories: limitSubcategories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}/primarySubcategoryOne' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfosPrimarySubcategoryOneGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appInfos/{id}/primarySubcategoryOne'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppCategoryResponse?> appInfosPrimarySubcategoryOneGetToOneRelated(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    final response =
        await appInfosPrimarySubcategoryOneGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      limitSubcategories: limitSubcategories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}/primarySubcategoryTwo' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfosPrimarySubcategoryTwoGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appInfos/{id}/primarySubcategoryTwo'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppCategoryResponse?> appInfosPrimarySubcategoryTwoGetToOneRelated(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    final response =
        await appInfosPrimarySubcategoryTwoGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      limitSubcategories: limitSubcategories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}/secondaryCategory' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfosSecondaryCategoryGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfos/{id}/secondaryCategory'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppCategoryResponse?> appInfosSecondaryCategoryGetToOneRelated(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    final response = await appInfosSecondaryCategoryGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      limitSubcategories: limitSubcategories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}/secondarySubcategoryOne' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfosSecondarySubcategoryOneGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appInfos/{id}/secondarySubcategoryOne'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppCategoryResponse?> appInfosSecondarySubcategoryOneGetToOneRelated(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    final response =
        await appInfosSecondarySubcategoryOneGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      limitSubcategories: limitSubcategories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appInfos/{id}/secondarySubcategoryTwo' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appInfosSecondarySubcategoryTwoGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appInfos/{id}/secondarySubcategoryTwo'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (limitSubcategories != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subcategories]', limitSubcategories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [int] limitSubcategories:
  ///   maximum number of related subcategories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppCategoryResponse?> appInfosSecondarySubcategoryTwoGetToOneRelated(
    String id, {
    List<String>? fieldsAppCategories,
    int? limitSubcategories,
    List<String>? include,
  }) async {
    final response =
        await appInfosSecondarySubcategoryTwoGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppCategories: fieldsAppCategories,
      limitSubcategories: limitSubcategories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCategoryResponse',
      ) as AppCategoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appInfos/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppInfoUpdateRequest] appInfoUpdateRequest (required):
  ///   AppInfo representation
  Future<Response> appInfosUpdateInstanceWithHttpInfo(
    String id,
    AppInfoUpdateRequest appInfoUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appInfos/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appInfoUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppInfoUpdateRequest] appInfoUpdateRequest (required):
  ///   AppInfo representation
  Future<AppInfoResponse?> appInfosUpdateInstance(
    String id,
    AppInfoUpdateRequest appInfoUpdateRequest,
  ) async {
    final response = await appInfosUpdateInstanceWithHttpInfo(
      id,
      appInfoUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppInfoResponse',
      ) as AppInfoResponse;
    }
    return null;
  }
}
