//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppPreOrdersApi {
  AppPreOrdersApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/appPreOrders' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppPreOrderCreateRequest] appPreOrderCreateRequest (required):
  ///   AppPreOrder representation
  Future<Response> appPreOrdersCreateInstanceWithHttpInfo(
    AppPreOrderCreateRequest appPreOrderCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreOrders';

    // ignore: prefer_final_locals
    Object? postBody = appPreOrderCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppPreOrderCreateRequest] appPreOrderCreateRequest (required):
  ///   AppPreOrder representation
  Future<AppPreOrderResponse?> appPreOrdersCreateInstance(
    AppPreOrderCreateRequest appPreOrderCreateRequest,
  ) async {
    final response = await appPreOrdersCreateInstanceWithHttpInfo(
      appPreOrderCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreOrderResponse',
      ) as AppPreOrderResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/appPreOrders/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> appPreOrdersDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreOrders/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> appPreOrdersDeleteInstance(
    String id,
  ) async {
    final response = await appPreOrdersDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/appPreOrders/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appPreOrdersGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppPreOrders,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreOrders/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPreOrders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreOrders]', fieldsAppPreOrders));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPreOrderResponse?> appPreOrdersGetInstance(
    String id, {
    List<String>? fieldsAppPreOrders,
    List<String>? include,
  }) async {
    final response = await appPreOrdersGetInstanceWithHttpInfo(
      id,
      fieldsAppPreOrders: fieldsAppPreOrders,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreOrderResponse',
      ) as AppPreOrderResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appPreOrders/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppPreOrderUpdateRequest] appPreOrderUpdateRequest (required):
  ///   AppPreOrder representation
  Future<Response> appPreOrdersUpdateInstanceWithHttpInfo(
    String id,
    AppPreOrderUpdateRequest appPreOrderUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreOrders/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appPreOrderUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppPreOrderUpdateRequest] appPreOrderUpdateRequest (required):
  ///   AppPreOrder representation
  Future<AppPreOrderResponse?> appPreOrdersUpdateInstance(
    String id,
    AppPreOrderUpdateRequest appPreOrderUpdateRequest,
  ) async {
    final response = await appPreOrdersUpdateInstanceWithHttpInfo(
      id,
      appPreOrderUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreOrderResponse',
      ) as AppPreOrderResponse;
    }
    return null;
  }
}
