//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppPreviewSetsApi {
  AppPreviewSetsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appPreviewSets/{id}/appPreviews' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreviews:
  ///   the fields to include for returned resources of type appPreviews
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appPreviewSetsAppPreviewsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppPreviews,
    List<String>? fieldsAppPreviewSets,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreviewSets/{id}/appPreviews'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPreviews != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreviews]', fieldsAppPreviews));
    }
    if (fieldsAppPreviewSets != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreviewSets]', fieldsAppPreviewSets));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreviews:
  ///   the fields to include for returned resources of type appPreviews
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPreviewsResponse?> appPreviewSetsAppPreviewsGetToManyRelated(
    String id, {
    List<String>? fieldsAppPreviews,
    List<String>? fieldsAppPreviewSets,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await appPreviewSetsAppPreviewsGetToManyRelatedWithHttpInfo(
      id,
      fieldsAppPreviews: fieldsAppPreviews,
      fieldsAppPreviewSets: fieldsAppPreviewSets,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreviewsResponse',
      ) as AppPreviewsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPreviewSets/{id}/relationships/appPreviews' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appPreviewSetsAppPreviewsGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreviewSets/{id}/relationships/appPreviews'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<AppPreviewSetAppPreviewsLinkagesResponse?>
      appPreviewSetsAppPreviewsGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response =
        await appPreviewSetsAppPreviewsGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreviewSetAppPreviewsLinkagesResponse',
      ) as AppPreviewSetAppPreviewsLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appPreviewSets/{id}/relationships/appPreviews' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppPreviewSetAppPreviewsLinkagesRequest] appPreviewSetAppPreviewsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response>
      appPreviewSetsAppPreviewsReplaceToManyRelationshipWithHttpInfo(
    String id,
    AppPreviewSetAppPreviewsLinkagesRequest
        appPreviewSetAppPreviewsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreviewSets/{id}/relationships/appPreviews'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appPreviewSetAppPreviewsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppPreviewSetAppPreviewsLinkagesRequest] appPreviewSetAppPreviewsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> appPreviewSetsAppPreviewsReplaceToManyRelationship(
    String id,
    AppPreviewSetAppPreviewsLinkagesRequest
        appPreviewSetAppPreviewsLinkagesRequest,
  ) async {
    final response =
        await appPreviewSetsAppPreviewsReplaceToManyRelationshipWithHttpInfo(
      id,
      appPreviewSetAppPreviewsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'POST /v1/appPreviewSets' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppPreviewSetCreateRequest] appPreviewSetCreateRequest (required):
  ///   AppPreviewSet representation
  Future<Response> appPreviewSetsCreateInstanceWithHttpInfo(
    AppPreviewSetCreateRequest appPreviewSetCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreviewSets';

    // ignore: prefer_final_locals
    Object? postBody = appPreviewSetCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppPreviewSetCreateRequest] appPreviewSetCreateRequest (required):
  ///   AppPreviewSet representation
  Future<AppPreviewSetResponse?> appPreviewSetsCreateInstance(
    AppPreviewSetCreateRequest appPreviewSetCreateRequest,
  ) async {
    final response = await appPreviewSetsCreateInstanceWithHttpInfo(
      appPreviewSetCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreviewSetResponse',
      ) as AppPreviewSetResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/appPreviewSets/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> appPreviewSetsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreviewSets/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> appPreviewSetsDeleteInstance(
    String id,
  ) async {
    final response = await appPreviewSetsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/appPreviewSets/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPreviews:
  ///   the fields to include for returned resources of type appPreviews
  ///
  /// * [int] limitAppPreviews:
  ///   maximum number of related appPreviews returned (when they are included)
  Future<Response> appPreviewSetsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppPreviewSets,
    List<String>? include,
    List<String>? fieldsAppPreviews,
    int? limitAppPreviews,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPreviewSets/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPreviewSets != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreviewSets]', fieldsAppPreviewSets));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAppPreviews != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreviews]', fieldsAppPreviews));
    }
    if (limitAppPreviews != null) {
      queryParams
          .addAll(_queryParams('', 'limit[appPreviews]', limitAppPreviews));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPreviews:
  ///   the fields to include for returned resources of type appPreviews
  ///
  /// * [int] limitAppPreviews:
  ///   maximum number of related appPreviews returned (when they are included)
  Future<AppPreviewSetResponse?> appPreviewSetsGetInstance(
    String id, {
    List<String>? fieldsAppPreviewSets,
    List<String>? include,
    List<String>? fieldsAppPreviews,
    int? limitAppPreviews,
  }) async {
    final response = await appPreviewSetsGetInstanceWithHttpInfo(
      id,
      fieldsAppPreviewSets: fieldsAppPreviewSets,
      include: include,
      fieldsAppPreviews: fieldsAppPreviews,
      limitAppPreviews: limitAppPreviews,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreviewSetResponse',
      ) as AppPreviewSetResponse;
    }
    return null;
  }
}
