//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppPricePointsApi {
  AppPricePointsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v3/appPricePoints/{id}/equalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appPricePointsEqualizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v3/appPricePoints/{id}/equalizations'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricePointsV3Response?> appPricePointsEqualizationsGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await appPricePointsEqualizationsGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsApps: fieldsApps,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricePointsV3Response',
      ) as AppPricePointsV3Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPricePoints' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterPriceTier:
  ///   filter by id(s) of related 'priceTier'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<Response> appPricePointsGetCollectionWithHttpInfo({
    List<String>? filterPriceTier,
    List<String>? filterTerritory,
    List<String>? fieldsAppPricePoints,
    int? limit,
    List<String>? include,
    List<String>? fieldsTerritories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPricePoints';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterPriceTier != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[priceTier]', filterPriceTier));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterPriceTier:
  ///   filter by id(s) of related 'priceTier'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<AppPricePointsResponse?> appPricePointsGetCollection({
    List<String>? filterPriceTier,
    List<String>? filterTerritory,
    List<String>? fieldsAppPricePoints,
    int? limit,
    List<String>? include,
    List<String>? fieldsTerritories,
  }) async {
    final response = await appPricePointsGetCollectionWithHttpInfo(
      filterPriceTier: filterPriceTier,
      filterTerritory: filterTerritory,
      fieldsAppPricePoints: fieldsAppPricePoints,
      limit: limit,
      include: include,
      fieldsTerritories: fieldsTerritories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricePointsResponse',
      ) as AppPricePointsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v3/appPricePoints/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appPricePointsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppPricePoints,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v3/appPricePoints/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricePointV3Response?> appPricePointsGetInstance(
    String id, {
    List<String>? fieldsAppPricePoints,
    List<String>? include,
  }) async {
    final response = await appPricePointsGetInstanceWithHttpInfo(
      id,
      fieldsAppPricePoints: fieldsAppPricePoints,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricePointV3Response',
      ) as AppPricePointV3Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPricePoints/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<Response> appPricePointsGetInstance_1WithHttpInfo(
    String id, {
    List<String>? fieldsAppPricePoints,
    List<String>? include,
    List<String>? fieldsTerritories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPricePoints/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<AppPricePointResponse?> appPricePointsGetInstance_1(
    String id, {
    List<String>? fieldsAppPricePoints,
    List<String>? include,
    List<String>? fieldsTerritories,
  }) async {
    final response = await appPricePointsGetInstance_1WithHttpInfo(
      id,
      fieldsAppPricePoints: fieldsAppPricePoints,
      include: include,
      fieldsTerritories: fieldsTerritories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricePointResponse',
      ) as AppPricePointResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPricePoints/{id}/territory' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<Response> appPricePointsTerritoryGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsTerritories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPricePoints/{id}/territory'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<TerritoryResponse?> appPricePointsTerritoryGetToOneRelated(
    String id, {
    List<String>? fieldsTerritories,
  }) async {
    final response = await appPricePointsTerritoryGetToOneRelatedWithHttpInfo(
      id,
      fieldsTerritories: fieldsTerritories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'TerritoryResponse',
      ) as TerritoryResponse;
    }
    return null;
  }
}
