//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppPriceSchedulesApi {
  AppPriceSchedulesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appPriceSchedules/{id}/automaticPrices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterEndDate:
  ///   filter by attribute 'endDate'
  ///
  /// * [List<String>] filterStartDate:
  ///   filter by attribute 'startDate'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appPriceSchedulesAutomaticPricesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterEndDate,
    List<String>? filterStartDate,
    List<String>? filterTerritory,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appPriceSchedules/{id}/automaticPrices'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterEndDate != null) {
      queryParams.addAll(_queryParams('csv', 'filter[endDate]', filterEndDate));
    }
    if (filterStartDate != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[startDate]', filterStartDate));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterEndDate:
  ///   filter by attribute 'endDate'
  ///
  /// * [List<String>] filterStartDate:
  ///   filter by attribute 'startDate'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricesV2Response?> appPriceSchedulesAutomaticPricesGetToManyRelated(
    String id, {
    List<String>? filterEndDate,
    List<String>? filterStartDate,
    List<String>? filterTerritory,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await appPriceSchedulesAutomaticPricesGetToManyRelatedWithHttpInfo(
      id,
      filterEndDate: filterEndDate,
      filterStartDate: filterStartDate,
      filterTerritory: filterTerritory,
      fieldsAppPrices: fieldsAppPrices,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricesV2Response',
      ) as AppPricesV2Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPriceSchedules/{id}/baseTerritory' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<Response> appPriceSchedulesBaseTerritoryGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsTerritories,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appPriceSchedules/{id}/baseTerritory'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<TerritoryResponse?> appPriceSchedulesBaseTerritoryGetToOneRelated(
    String id, {
    List<String>? fieldsTerritories,
  }) async {
    final response =
        await appPriceSchedulesBaseTerritoryGetToOneRelatedWithHttpInfo(
      id,
      fieldsTerritories: fieldsTerritories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'TerritoryResponse',
      ) as TerritoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/appPriceSchedules' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppPriceScheduleCreateRequest] appPriceScheduleCreateRequest (required):
  ///   AppPriceSchedule representation
  Future<Response> appPriceSchedulesCreateInstanceWithHttpInfo(
    AppPriceScheduleCreateRequest appPriceScheduleCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPriceSchedules';

    // ignore: prefer_final_locals
    Object? postBody = appPriceScheduleCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppPriceScheduleCreateRequest] appPriceScheduleCreateRequest (required):
  ///   AppPriceSchedule representation
  Future<AppPriceScheduleResponse?> appPriceSchedulesCreateInstance(
    AppPriceScheduleCreateRequest appPriceScheduleCreateRequest,
  ) async {
    final response = await appPriceSchedulesCreateInstanceWithHttpInfo(
      appPriceScheduleCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPriceScheduleResponse',
      ) as AppPriceScheduleResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPriceSchedules/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAutomaticPrices:
  ///   maximum number of related automaticPrices returned (when they are included)
  ///
  /// * [int] limitManualPrices:
  ///   maximum number of related manualPrices returned (when they are included)
  Future<Response> appPriceSchedulesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppPriceSchedules,
    List<String>? include,
    List<String>? fieldsAppPrices,
    List<String>? fieldsTerritories,
    int? limitAutomaticPrices,
    int? limitManualPrices,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPriceSchedules/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPriceSchedules != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appPriceSchedules]', fieldsAppPriceSchedules));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limitAutomaticPrices != null) {
      queryParams.addAll(
          _queryParams('', 'limit[automaticPrices]', limitAutomaticPrices));
    }
    if (limitManualPrices != null) {
      queryParams
          .addAll(_queryParams('', 'limit[manualPrices]', limitManualPrices));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAutomaticPrices:
  ///   maximum number of related automaticPrices returned (when they are included)
  ///
  /// * [int] limitManualPrices:
  ///   maximum number of related manualPrices returned (when they are included)
  Future<AppPriceScheduleResponse?> appPriceSchedulesGetInstance(
    String id, {
    List<String>? fieldsAppPriceSchedules,
    List<String>? include,
    List<String>? fieldsAppPrices,
    List<String>? fieldsTerritories,
    int? limitAutomaticPrices,
    int? limitManualPrices,
  }) async {
    final response = await appPriceSchedulesGetInstanceWithHttpInfo(
      id,
      fieldsAppPriceSchedules: fieldsAppPriceSchedules,
      include: include,
      fieldsAppPrices: fieldsAppPrices,
      fieldsTerritories: fieldsTerritories,
      limitAutomaticPrices: limitAutomaticPrices,
      limitManualPrices: limitManualPrices,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPriceScheduleResponse',
      ) as AppPriceScheduleResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPriceSchedules/{id}/manualPrices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterEndDate:
  ///   filter by attribute 'endDate'
  ///
  /// * [List<String>] filterStartDate:
  ///   filter by attribute 'startDate'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appPriceSchedulesManualPricesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterEndDate,
    List<String>? filterStartDate,
    List<String>? filterTerritory,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appPriceSchedules/{id}/manualPrices'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterEndDate != null) {
      queryParams.addAll(_queryParams('csv', 'filter[endDate]', filterEndDate));
    }
    if (filterStartDate != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[startDate]', filterStartDate));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterEndDate:
  ///   filter by attribute 'endDate'
  ///
  /// * [List<String>] filterStartDate:
  ///   filter by attribute 'startDate'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricesV2Response?> appPriceSchedulesManualPricesGetToManyRelated(
    String id, {
    List<String>? filterEndDate,
    List<String>? filterStartDate,
    List<String>? filterTerritory,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await appPriceSchedulesManualPricesGetToManyRelatedWithHttpInfo(
      id,
      filterEndDate: filterEndDate,
      filterStartDate: filterStartDate,
      filterTerritory: filterTerritory,
      fieldsAppPrices: fieldsAppPrices,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricesV2Response',
      ) as AppPricesV2Response;
    }
    return null;
  }
}
