//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppPriceTiersApi {
  AppPriceTiersApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appPriceTiers' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [int] limitPricePoints:
  ///   maximum number of related pricePoints returned (when they are included)
  Future<Response> appPriceTiersGetCollectionWithHttpInfo({
    List<String>? filterId,
    List<String>? fieldsAppPriceTiers,
    int? limit,
    List<String>? include,
    List<String>? fieldsAppPricePoints,
    int? limitPricePoints,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPriceTiers';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsAppPriceTiers != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPriceTiers]', fieldsAppPriceTiers));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (limitPricePoints != null) {
      queryParams
          .addAll(_queryParams('', 'limit[pricePoints]', limitPricePoints));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [int] limitPricePoints:
  ///   maximum number of related pricePoints returned (when they are included)
  Future<AppPriceTiersResponse?> appPriceTiersGetCollection({
    List<String>? filterId,
    List<String>? fieldsAppPriceTiers,
    int? limit,
    List<String>? include,
    List<String>? fieldsAppPricePoints,
    int? limitPricePoints,
  }) async {
    final response = await appPriceTiersGetCollectionWithHttpInfo(
      filterId: filterId,
      fieldsAppPriceTiers: fieldsAppPriceTiers,
      limit: limit,
      include: include,
      fieldsAppPricePoints: fieldsAppPricePoints,
      limitPricePoints: limitPricePoints,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPriceTiersResponse',
      ) as AppPriceTiersResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPriceTiers/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [int] limitPricePoints:
  ///   maximum number of related pricePoints returned (when they are included)
  Future<Response> appPriceTiersGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppPriceTiers,
    List<String>? include,
    List<String>? fieldsAppPricePoints,
    int? limitPricePoints,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPriceTiers/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPriceTiers != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPriceTiers]', fieldsAppPriceTiers));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (limitPricePoints != null) {
      queryParams
          .addAll(_queryParams('', 'limit[pricePoints]', limitPricePoints));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [int] limitPricePoints:
  ///   maximum number of related pricePoints returned (when they are included)
  Future<AppPriceTierResponse?> appPriceTiersGetInstance(
    String id, {
    List<String>? fieldsAppPriceTiers,
    List<String>? include,
    List<String>? fieldsAppPricePoints,
    int? limitPricePoints,
  }) async {
    final response = await appPriceTiersGetInstanceWithHttpInfo(
      id,
      fieldsAppPriceTiers: fieldsAppPriceTiers,
      include: include,
      fieldsAppPricePoints: fieldsAppPricePoints,
      limitPricePoints: limitPricePoints,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPriceTierResponse',
      ) as AppPriceTierResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appPriceTiers/{id}/pricePoints' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appPriceTiersPricePointsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsAppPriceTiers,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appPriceTiers/{id}/pricePoints'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsAppPriceTiers != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPriceTiers]', fieldsAppPriceTiers));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricePointsResponse?> appPriceTiersPricePointsGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsAppPriceTiers,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response = await appPriceTiersPricePointsGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsAppPriceTiers: fieldsAppPriceTiers,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricePointsResponse',
      ) as AppPricePointsResponse;
    }
    return null;
  }
}
