//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppStoreVersionLocalizationsApi {
  AppStoreVersionLocalizationsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appStoreVersionLocalizations/{id}/appPreviewSets' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPreviewType:
  ///   filter by attribute 'previewType'
  ///
  /// * [List<String>] filterAppCustomProductPageLocalization:
  ///   filter by id(s) of related 'appCustomProductPageLocalization'
  ///
  /// * [List<String>] filterAppStoreVersionExperimentTreatmentLocalization:
  ///   filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
  ///
  /// * [List<String>] fieldsAppCustomProductPageLocalizations:
  ///   the fields to include for returned resources of type appCustomProductPageLocalizations
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatmentLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
  ///
  /// * [List<String>] fieldsAppPreviews:
  ///   the fields to include for returned resources of type appPreviews
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppPreviews:
  ///   maximum number of related appPreviews returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      appStoreVersionLocalizationsAppPreviewSetsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterPreviewType,
    List<String>? filterAppCustomProductPageLocalization,
    List<String>? filterAppStoreVersionExperimentTreatmentLocalization,
    List<String>? fieldsAppCustomProductPageLocalizations,
    List<String>? fieldsAppStoreVersionExperimentTreatmentLocalizations,
    List<String>? fieldsAppPreviews,
    List<String>? fieldsAppPreviewSets,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
    int? limitAppPreviews,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersionLocalizations/{id}/appPreviewSets'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterPreviewType != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[previewType]', filterPreviewType));
    }
    if (filterAppCustomProductPageLocalization != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[appCustomProductPageLocalization]',
          filterAppCustomProductPageLocalization));
    }
    if (filterAppStoreVersionExperimentTreatmentLocalization != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[appStoreVersionExperimentTreatmentLocalization]',
          filterAppStoreVersionExperimentTreatmentLocalization));
    }
    if (fieldsAppCustomProductPageLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appCustomProductPageLocalizations]',
          fieldsAppCustomProductPageLocalizations));
    }
    if (fieldsAppStoreVersionExperimentTreatmentLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperimentTreatmentLocalizations]',
          fieldsAppStoreVersionExperimentTreatmentLocalizations));
    }
    if (fieldsAppPreviews != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreviews]', fieldsAppPreviews));
    }
    if (fieldsAppPreviewSets != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreviewSets]', fieldsAppPreviewSets));
    }
    if (fieldsAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionLocalizations]',
          fieldsAppStoreVersionLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppPreviews != null) {
      queryParams
          .addAll(_queryParams('', 'limit[appPreviews]', limitAppPreviews));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPreviewType:
  ///   filter by attribute 'previewType'
  ///
  /// * [List<String>] filterAppCustomProductPageLocalization:
  ///   filter by id(s) of related 'appCustomProductPageLocalization'
  ///
  /// * [List<String>] filterAppStoreVersionExperimentTreatmentLocalization:
  ///   filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
  ///
  /// * [List<String>] fieldsAppCustomProductPageLocalizations:
  ///   the fields to include for returned resources of type appCustomProductPageLocalizations
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatmentLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
  ///
  /// * [List<String>] fieldsAppPreviews:
  ///   the fields to include for returned resources of type appPreviews
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppPreviews:
  ///   maximum number of related appPreviews returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPreviewSetsResponse?>
      appStoreVersionLocalizationsAppPreviewSetsGetToManyRelated(
    String id, {
    List<String>? filterPreviewType,
    List<String>? filterAppCustomProductPageLocalization,
    List<String>? filterAppStoreVersionExperimentTreatmentLocalization,
    List<String>? fieldsAppCustomProductPageLocalizations,
    List<String>? fieldsAppStoreVersionExperimentTreatmentLocalizations,
    List<String>? fieldsAppPreviews,
    List<String>? fieldsAppPreviewSets,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
    int? limitAppPreviews,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionLocalizationsAppPreviewSetsGetToManyRelatedWithHttpInfo(
      id,
      filterPreviewType: filterPreviewType,
      filterAppCustomProductPageLocalization:
          filterAppCustomProductPageLocalization,
      filterAppStoreVersionExperimentTreatmentLocalization:
          filterAppStoreVersionExperimentTreatmentLocalization,
      fieldsAppCustomProductPageLocalizations:
          fieldsAppCustomProductPageLocalizations,
      fieldsAppStoreVersionExperimentTreatmentLocalizations:
          fieldsAppStoreVersionExperimentTreatmentLocalizations,
      fieldsAppPreviews: fieldsAppPreviews,
      fieldsAppPreviewSets: fieldsAppPreviewSets,
      fieldsAppStoreVersionLocalizations: fieldsAppStoreVersionLocalizations,
      limit: limit,
      limitAppPreviews: limitAppPreviews,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreviewSetsResponse',
      ) as AppPreviewSetsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersionLocalizations/{id}/appScreenshotSets' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterScreenshotDisplayType:
  ///   filter by attribute 'screenshotDisplayType'
  ///
  /// * [List<String>] filterAppCustomProductPageLocalization:
  ///   filter by id(s) of related 'appCustomProductPageLocalization'
  ///
  /// * [List<String>] filterAppStoreVersionExperimentTreatmentLocalization:
  ///   filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
  ///
  /// * [List<String>] fieldsAppScreenshotSets:
  ///   the fields to include for returned resources of type appScreenshotSets
  ///
  /// * [List<String>] fieldsAppCustomProductPageLocalizations:
  ///   the fields to include for returned resources of type appCustomProductPageLocalizations
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatmentLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
  ///
  /// * [List<String>] fieldsAppScreenshots:
  ///   the fields to include for returned resources of type appScreenshots
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppScreenshots:
  ///   maximum number of related appScreenshots returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterScreenshotDisplayType,
    List<String>? filterAppCustomProductPageLocalization,
    List<String>? filterAppStoreVersionExperimentTreatmentLocalization,
    List<String>? fieldsAppScreenshotSets,
    List<String>? fieldsAppCustomProductPageLocalizations,
    List<String>? fieldsAppStoreVersionExperimentTreatmentLocalizations,
    List<String>? fieldsAppScreenshots,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
    int? limitAppScreenshots,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersionLocalizations/{id}/appScreenshotSets'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterScreenshotDisplayType != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[screenshotDisplayType]', filterScreenshotDisplayType));
    }
    if (filterAppCustomProductPageLocalization != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[appCustomProductPageLocalization]',
          filterAppCustomProductPageLocalization));
    }
    if (filterAppStoreVersionExperimentTreatmentLocalization != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[appStoreVersionExperimentTreatmentLocalization]',
          filterAppStoreVersionExperimentTreatmentLocalization));
    }
    if (fieldsAppScreenshotSets != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appScreenshotSets]', fieldsAppScreenshotSets));
    }
    if (fieldsAppCustomProductPageLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appCustomProductPageLocalizations]',
          fieldsAppCustomProductPageLocalizations));
    }
    if (fieldsAppStoreVersionExperimentTreatmentLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperimentTreatmentLocalizations]',
          fieldsAppStoreVersionExperimentTreatmentLocalizations));
    }
    if (fieldsAppScreenshots != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appScreenshots]', fieldsAppScreenshots));
    }
    if (fieldsAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionLocalizations]',
          fieldsAppStoreVersionLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppScreenshots != null) {
      queryParams.addAll(
          _queryParams('', 'limit[appScreenshots]', limitAppScreenshots));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterScreenshotDisplayType:
  ///   filter by attribute 'screenshotDisplayType'
  ///
  /// * [List<String>] filterAppCustomProductPageLocalization:
  ///   filter by id(s) of related 'appCustomProductPageLocalization'
  ///
  /// * [List<String>] filterAppStoreVersionExperimentTreatmentLocalization:
  ///   filter by id(s) of related 'appStoreVersionExperimentTreatmentLocalization'
  ///
  /// * [List<String>] fieldsAppScreenshotSets:
  ///   the fields to include for returned resources of type appScreenshotSets
  ///
  /// * [List<String>] fieldsAppCustomProductPageLocalizations:
  ///   the fields to include for returned resources of type appCustomProductPageLocalizations
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatmentLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatmentLocalizations
  ///
  /// * [List<String>] fieldsAppScreenshots:
  ///   the fields to include for returned resources of type appScreenshots
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppScreenshots:
  ///   maximum number of related appScreenshots returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppScreenshotSetsResponse?>
      appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelated(
    String id, {
    List<String>? filterScreenshotDisplayType,
    List<String>? filterAppCustomProductPageLocalization,
    List<String>? filterAppStoreVersionExperimentTreatmentLocalization,
    List<String>? fieldsAppScreenshotSets,
    List<String>? fieldsAppCustomProductPageLocalizations,
    List<String>? fieldsAppStoreVersionExperimentTreatmentLocalizations,
    List<String>? fieldsAppScreenshots,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
    int? limitAppScreenshots,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionLocalizationsAppScreenshotSetsGetToManyRelatedWithHttpInfo(
      id,
      filterScreenshotDisplayType: filterScreenshotDisplayType,
      filterAppCustomProductPageLocalization:
          filterAppCustomProductPageLocalization,
      filterAppStoreVersionExperimentTreatmentLocalization:
          filterAppStoreVersionExperimentTreatmentLocalization,
      fieldsAppScreenshotSets: fieldsAppScreenshotSets,
      fieldsAppCustomProductPageLocalizations:
          fieldsAppCustomProductPageLocalizations,
      fieldsAppStoreVersionExperimentTreatmentLocalizations:
          fieldsAppStoreVersionExperimentTreatmentLocalizations,
      fieldsAppScreenshots: fieldsAppScreenshots,
      fieldsAppStoreVersionLocalizations: fieldsAppStoreVersionLocalizations,
      limit: limit,
      limitAppScreenshots: limitAppScreenshots,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppScreenshotSetsResponse',
      ) as AppScreenshotSetsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/appStoreVersionLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppStoreVersionLocalizationCreateRequest] appStoreVersionLocalizationCreateRequest (required):
  ///   AppStoreVersionLocalization representation
  Future<Response> appStoreVersionLocalizationsCreateInstanceWithHttpInfo(
    AppStoreVersionLocalizationCreateRequest
        appStoreVersionLocalizationCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersionLocalizations';

    // ignore: prefer_final_locals
    Object? postBody = appStoreVersionLocalizationCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppStoreVersionLocalizationCreateRequest] appStoreVersionLocalizationCreateRequest (required):
  ///   AppStoreVersionLocalization representation
  Future<AppStoreVersionLocalizationResponse?>
      appStoreVersionLocalizationsCreateInstance(
    AppStoreVersionLocalizationCreateRequest
        appStoreVersionLocalizationCreateRequest,
  ) async {
    final response =
        await appStoreVersionLocalizationsCreateInstanceWithHttpInfo(
      appStoreVersionLocalizationCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionLocalizationResponse',
      ) as AppStoreVersionLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/appStoreVersionLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> appStoreVersionLocalizationsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersionLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> appStoreVersionLocalizationsDeleteInstance(
    String id,
  ) async {
    final response =
        await appStoreVersionLocalizationsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/appStoreVersionLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppScreenshotSets:
  ///   the fields to include for returned resources of type appScreenshotSets
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [int] limitAppPreviewSets:
  ///   maximum number of related appPreviewSets returned (when they are included)
  ///
  /// * [int] limitAppScreenshotSets:
  ///   maximum number of related appScreenshotSets returned (when they are included)
  Future<Response> appStoreVersionLocalizationsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppStoreVersionLocalizations,
    List<String>? include,
    List<String>? fieldsAppScreenshotSets,
    List<String>? fieldsAppPreviewSets,
    int? limitAppPreviewSets,
    int? limitAppScreenshotSets,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersionLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionLocalizations]',
          fieldsAppStoreVersionLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAppScreenshotSets != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appScreenshotSets]', fieldsAppScreenshotSets));
    }
    if (fieldsAppPreviewSets != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreviewSets]', fieldsAppPreviewSets));
    }
    if (limitAppPreviewSets != null) {
      queryParams.addAll(
          _queryParams('', 'limit[appPreviewSets]', limitAppPreviewSets));
    }
    if (limitAppScreenshotSets != null) {
      queryParams.addAll(
          _queryParams('', 'limit[appScreenshotSets]', limitAppScreenshotSets));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppScreenshotSets:
  ///   the fields to include for returned resources of type appScreenshotSets
  ///
  /// * [List<String>] fieldsAppPreviewSets:
  ///   the fields to include for returned resources of type appPreviewSets
  ///
  /// * [int] limitAppPreviewSets:
  ///   maximum number of related appPreviewSets returned (when they are included)
  ///
  /// * [int] limitAppScreenshotSets:
  ///   maximum number of related appScreenshotSets returned (when they are included)
  Future<AppStoreVersionLocalizationResponse?>
      appStoreVersionLocalizationsGetInstance(
    String id, {
    List<String>? fieldsAppStoreVersionLocalizations,
    List<String>? include,
    List<String>? fieldsAppScreenshotSets,
    List<String>? fieldsAppPreviewSets,
    int? limitAppPreviewSets,
    int? limitAppScreenshotSets,
  }) async {
    final response = await appStoreVersionLocalizationsGetInstanceWithHttpInfo(
      id,
      fieldsAppStoreVersionLocalizations: fieldsAppStoreVersionLocalizations,
      include: include,
      fieldsAppScreenshotSets: fieldsAppScreenshotSets,
      fieldsAppPreviewSets: fieldsAppPreviewSets,
      limitAppPreviewSets: limitAppPreviewSets,
      limitAppScreenshotSets: limitAppScreenshotSets,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionLocalizationResponse',
      ) as AppStoreVersionLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appStoreVersionLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionLocalizationUpdateRequest] appStoreVersionLocalizationUpdateRequest (required):
  ///   AppStoreVersionLocalization representation
  Future<Response> appStoreVersionLocalizationsUpdateInstanceWithHttpInfo(
    String id,
    AppStoreVersionLocalizationUpdateRequest
        appStoreVersionLocalizationUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersionLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appStoreVersionLocalizationUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionLocalizationUpdateRequest] appStoreVersionLocalizationUpdateRequest (required):
  ///   AppStoreVersionLocalization representation
  Future<AppStoreVersionLocalizationResponse?>
      appStoreVersionLocalizationsUpdateInstance(
    String id,
    AppStoreVersionLocalizationUpdateRequest
        appStoreVersionLocalizationUpdateRequest,
  ) async {
    final response =
        await appStoreVersionLocalizationsUpdateInstanceWithHttpInfo(
      id,
      appStoreVersionLocalizationUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionLocalizationResponse',
      ) as AppStoreVersionLocalizationResponse;
    }
    return null;
  }
}
