//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppStoreVersionsApi {
  AppStoreVersionsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/ageRatingDeclaration' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  Future<Response>
      appStoreVersionsAgeRatingDeclarationGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAgeRatingDeclarations,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/ageRatingDeclaration'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAgeRatingDeclarations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ageRatingDeclarations]', fieldsAgeRatingDeclarations));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  Future<AgeRatingDeclarationResponse?>
      appStoreVersionsAgeRatingDeclarationGetToOneRelated(
    String id, {
    List<String>? fieldsAgeRatingDeclarations,
  }) async {
    final response =
        await appStoreVersionsAgeRatingDeclarationGetToOneRelatedWithHttpInfo(
      id,
      fieldsAgeRatingDeclarations: fieldsAgeRatingDeclarations,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AgeRatingDeclarationResponse',
      ) as AgeRatingDeclarationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/appClipDefaultExperience' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsAppClipAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appClipAppStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [List<String>] fieldsAppClipDefaultExperienceLocalizations:
  ///   the fields to include for returned resources of type appClipDefaultExperienceLocalizations
  ///
  /// * [int] limitAppClipDefaultExperienceLocalizations:
  ///   maximum number of related appClipDefaultExperienceLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      appStoreVersionsAppClipDefaultExperienceGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppClips,
    List<String>? fieldsAppClipAppStoreReviewDetails,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppClipDefaultExperiences,
    List<String>? fieldsAppClipDefaultExperienceLocalizations,
    int? limitAppClipDefaultExperienceLocalizations,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/appClipDefaultExperience'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppClips != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appClips]', fieldsAppClips));
    }
    if (fieldsAppClipAppStoreReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appClipAppStoreReviewDetails]',
          fieldsAppClipAppStoreReviewDetails));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsAppClipDefaultExperiences != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appClipDefaultExperiences]',
          fieldsAppClipDefaultExperiences));
    }
    if (fieldsAppClipDefaultExperienceLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appClipDefaultExperienceLocalizations]',
          fieldsAppClipDefaultExperienceLocalizations));
    }
    if (limitAppClipDefaultExperienceLocalizations != null) {
      queryParams.addAll(_queryParams(
          '',
          'limit[appClipDefaultExperienceLocalizations]',
          limitAppClipDefaultExperienceLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsAppClipAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appClipAppStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [List<String>] fieldsAppClipDefaultExperienceLocalizations:
  ///   the fields to include for returned resources of type appClipDefaultExperienceLocalizations
  ///
  /// * [int] limitAppClipDefaultExperienceLocalizations:
  ///   maximum number of related appClipDefaultExperienceLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppClipDefaultExperienceResponse?>
      appStoreVersionsAppClipDefaultExperienceGetToOneRelated(
    String id, {
    List<String>? fieldsAppClips,
    List<String>? fieldsAppClipAppStoreReviewDetails,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppClipDefaultExperiences,
    List<String>? fieldsAppClipDefaultExperienceLocalizations,
    int? limitAppClipDefaultExperienceLocalizations,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionsAppClipDefaultExperienceGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppClips: fieldsAppClips,
      fieldsAppClipAppStoreReviewDetails: fieldsAppClipAppStoreReviewDetails,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsAppClipDefaultExperiences: fieldsAppClipDefaultExperiences,
      fieldsAppClipDefaultExperienceLocalizations:
          fieldsAppClipDefaultExperienceLocalizations,
      limitAppClipDefaultExperienceLocalizations:
          limitAppClipDefaultExperienceLocalizations,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppClipDefaultExperienceResponse',
      ) as AppClipDefaultExperienceResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/relationships/appClipDefaultExperience' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response>
      appStoreVersionsAppClipDefaultExperienceGetToOneRelationshipWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersions/{id}/relationships/appClipDefaultExperience'
            .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<AppStoreVersionAppClipDefaultExperienceLinkageResponse?>
      appStoreVersionsAppClipDefaultExperienceGetToOneRelationship(
    String id,
  ) async {
    final response =
        await appStoreVersionsAppClipDefaultExperienceGetToOneRelationshipWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionAppClipDefaultExperienceLinkageResponse',
      ) as AppStoreVersionAppClipDefaultExperienceLinkageResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appStoreVersions/{id}/relationships/appClipDefaultExperience' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionAppClipDefaultExperienceLinkageRequest] appStoreVersionAppClipDefaultExperienceLinkageRequest (required):
  ///   Related linkage
  Future<Response>
      appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationshipWithHttpInfo(
    String id,
    AppStoreVersionAppClipDefaultExperienceLinkageRequest
        appStoreVersionAppClipDefaultExperienceLinkageRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersions/{id}/relationships/appClipDefaultExperience'
            .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appStoreVersionAppClipDefaultExperienceLinkageRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionAppClipDefaultExperienceLinkageRequest] appStoreVersionAppClipDefaultExperienceLinkageRequest (required):
  ///   Related linkage
  Future<void> appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationship(
    String id,
    AppStoreVersionAppClipDefaultExperienceLinkageRequest
        appStoreVersionAppClipDefaultExperienceLinkageRequest,
  ) async {
    final response =
        await appStoreVersionsAppClipDefaultExperienceUpdateToOneRelationshipWithHttpInfo(
      id,
      appStoreVersionAppClipDefaultExperienceLinkageRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/appStoreReviewDetail' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppStoreReviewAttachments:
  ///   the fields to include for returned resources of type appStoreReviewAttachments
  ///
  /// * [int] limitAppStoreReviewAttachments:
  ///   maximum number of related appStoreReviewAttachments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      appStoreVersionsAppStoreReviewDetailGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppStoreReviewDetails,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppStoreReviewAttachments,
    int? limitAppStoreReviewAttachments,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/appStoreReviewDetail'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppStoreReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreReviewDetails]', fieldsAppStoreReviewDetails));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsAppStoreReviewAttachments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreReviewAttachments]',
          fieldsAppStoreReviewAttachments));
    }
    if (limitAppStoreReviewAttachments != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreReviewAttachments]',
          limitAppStoreReviewAttachments));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppStoreReviewAttachments:
  ///   the fields to include for returned resources of type appStoreReviewAttachments
  ///
  /// * [int] limitAppStoreReviewAttachments:
  ///   maximum number of related appStoreReviewAttachments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppStoreReviewDetailResponse?>
      appStoreVersionsAppStoreReviewDetailGetToOneRelated(
    String id, {
    List<String>? fieldsAppStoreReviewDetails,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppStoreReviewAttachments,
    int? limitAppStoreReviewAttachments,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionsAppStoreReviewDetailGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppStoreReviewDetails: fieldsAppStoreReviewDetails,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsAppStoreReviewAttachments: fieldsAppStoreReviewAttachments,
      limitAppStoreReviewAttachments: limitAppStoreReviewAttachments,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreReviewDetailResponse',
      ) as AppStoreReviewDetailResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/appStoreVersionExperiments' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatments:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatments
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppStoreVersionExperimentTreatments:
  ///   maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      appStoreVersionsAppStoreVersionExperimentsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterState,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperimentTreatments,
    List<String>? fieldsAppStoreVersions,
    int? limit,
    int? limitAppStoreVersionExperimentTreatments,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/appStoreVersionExperiments'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[state]', filterState));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsAppStoreVersionExperimentTreatments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperimentTreatments]',
          fieldsAppStoreVersionExperimentTreatments));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppStoreVersionExperimentTreatments != null) {
      queryParams.addAll(_queryParams(
          '',
          'limit[appStoreVersionExperimentTreatments]',
          limitAppStoreVersionExperimentTreatments));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatments:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatments
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppStoreVersionExperimentTreatments:
  ///   maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppStoreVersionExperimentsResponse?>
      appStoreVersionsAppStoreVersionExperimentsGetToManyRelated(
    String id, {
    List<String>? filterState,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperimentTreatments,
    List<String>? fieldsAppStoreVersions,
    int? limit,
    int? limitAppStoreVersionExperimentTreatments,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionsAppStoreVersionExperimentsGetToManyRelatedWithHttpInfo(
      id,
      filterState: filterState,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsAppStoreVersionExperimentTreatments:
          fieldsAppStoreVersionExperimentTreatments,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      limit: limit,
      limitAppStoreVersionExperimentTreatments:
          limitAppStoreVersionExperimentTreatments,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionExperimentsResponse',
      ) as AppStoreVersionExperimentsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/appStoreVersionExperimentsV2' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatments:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatments
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitControlVersions:
  ///   maximum number of related controlVersions returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentTreatments:
  ///   maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterState,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperimentTreatments,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitControlVersions,
    int? limitAppStoreVersionExperimentTreatments,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/appStoreVersionExperimentsV2'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[state]', filterState));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsAppStoreVersionExperimentTreatments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperimentTreatments]',
          fieldsAppStoreVersionExperimentTreatments));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitControlVersions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[controlVersions]', limitControlVersions));
    }
    if (limitAppStoreVersionExperimentTreatments != null) {
      queryParams.addAll(_queryParams(
          '',
          'limit[appStoreVersionExperimentTreatments]',
          limitAppStoreVersionExperimentTreatments));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatments:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatments
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitControlVersions:
  ///   maximum number of related controlVersions returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentTreatments:
  ///   maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppStoreVersionExperimentsV2Response?>
      appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelated(
    String id, {
    List<String>? filterState,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperimentTreatments,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitControlVersions,
    int? limitAppStoreVersionExperimentTreatments,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionsAppStoreVersionExperimentsV2GetToManyRelatedWithHttpInfo(
      id,
      filterState: filterState,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsAppStoreVersionExperimentTreatments:
          fieldsAppStoreVersionExperimentTreatments,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsApps: fieldsApps,
      limit: limit,
      limitControlVersions: limitControlVersions,
      limitAppStoreVersionExperimentTreatments:
          limitAppStoreVersionExperimentTreatments,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionExperimentsV2Response',
      ) as AppStoreVersionExperimentsV2Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/appStoreVersionLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response>
      appStoreVersionsAppStoreVersionLocalizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/appStoreVersionLocalizations'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionLocalizations]',
          fieldsAppStoreVersionLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<AppStoreVersionLocalizationsResponse?>
      appStoreVersionsAppStoreVersionLocalizationsGetToManyRelated(
    String id, {
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
  }) async {
    final response =
        await appStoreVersionsAppStoreVersionLocalizationsGetToManyRelatedWithHttpInfo(
      id,
      fieldsAppStoreVersionLocalizations: fieldsAppStoreVersionLocalizations,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionLocalizationsResponse',
      ) as AppStoreVersionLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/appStoreVersionPhasedRelease' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionPhasedReleases:
  ///   the fields to include for returned resources of type appStoreVersionPhasedReleases
  Future<Response>
      appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppStoreVersionPhasedReleases,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/appStoreVersionPhasedRelease'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppStoreVersionPhasedReleases != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionPhasedReleases]',
          fieldsAppStoreVersionPhasedReleases));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionPhasedReleases:
  ///   the fields to include for returned resources of type appStoreVersionPhasedReleases
  Future<AppStoreVersionPhasedReleaseResponse?>
      appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelated(
    String id, {
    List<String>? fieldsAppStoreVersionPhasedReleases,
  }) async {
    final response =
        await appStoreVersionsAppStoreVersionPhasedReleaseGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppStoreVersionPhasedReleases: fieldsAppStoreVersionPhasedReleases,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionPhasedReleaseResponse',
      ) as AppStoreVersionPhasedReleaseResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/appStoreVersionSubmission' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionSubmissions:
  ///   the fields to include for returned resources of type appStoreVersionSubmissions
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      appStoreVersionsAppStoreVersionSubmissionGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppStoreVersionSubmissions,
    List<String>? fieldsAppStoreVersions,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/appStoreVersionSubmission'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppStoreVersionSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionSubmissions]',
          fieldsAppStoreVersionSubmissions));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionSubmissions:
  ///   the fields to include for returned resources of type appStoreVersionSubmissions
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppStoreVersionSubmissionResponse?>
      appStoreVersionsAppStoreVersionSubmissionGetToOneRelated(
    String id, {
    List<String>? fieldsAppStoreVersionSubmissions,
    List<String>? fieldsAppStoreVersions,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionsAppStoreVersionSubmissionGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppStoreVersionSubmissions: fieldsAppStoreVersionSubmissions,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionSubmissionResponse',
      ) as AppStoreVersionSubmissionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/build' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> appStoreVersionsBuildGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}/build'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BuildResponse?> appStoreVersionsBuildGetToOneRelated(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    final response = await appStoreVersionsBuildGetToOneRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildResponse',
      ) as BuildResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/relationships/build' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> appStoreVersionsBuildGetToOneRelationshipWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersions/{id}/relationships/build'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<AppStoreVersionBuildLinkageResponse?>
      appStoreVersionsBuildGetToOneRelationship(
    String id,
  ) async {
    final response =
        await appStoreVersionsBuildGetToOneRelationshipWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionBuildLinkageResponse',
      ) as AppStoreVersionBuildLinkageResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appStoreVersions/{id}/relationships/build' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionBuildLinkageRequest] appStoreVersionBuildLinkageRequest (required):
  ///   Related linkage
  Future<Response> appStoreVersionsBuildUpdateToOneRelationshipWithHttpInfo(
    String id,
    AppStoreVersionBuildLinkageRequest appStoreVersionBuildLinkageRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersions/{id}/relationships/build'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appStoreVersionBuildLinkageRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionBuildLinkageRequest] appStoreVersionBuildLinkageRequest (required):
  ///   Related linkage
  Future<void> appStoreVersionsBuildUpdateToOneRelationship(
    String id,
    AppStoreVersionBuildLinkageRequest appStoreVersionBuildLinkageRequest,
  ) async {
    final response =
        await appStoreVersionsBuildUpdateToOneRelationshipWithHttpInfo(
      id,
      appStoreVersionBuildLinkageRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'POST /v1/appStoreVersions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [AppStoreVersionCreateRequest] appStoreVersionCreateRequest (required):
  ///   AppStoreVersion representation
  Future<Response> appStoreVersionsCreateInstanceWithHttpInfo(
    AppStoreVersionCreateRequest appStoreVersionCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions';

    // ignore: prefer_final_locals
    Object? postBody = appStoreVersionCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [AppStoreVersionCreateRequest] appStoreVersionCreateRequest (required):
  ///   AppStoreVersion representation
  Future<AppStoreVersionResponse?> appStoreVersionsCreateInstance(
    AppStoreVersionCreateRequest appStoreVersionCreateRequest,
  ) async {
    final response = await appStoreVersionsCreateInstanceWithHttpInfo(
      appStoreVersionCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionResponse',
      ) as AppStoreVersionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/customerReviews' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterRating:
  ///   filter by attribute 'rating'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by attribute 'territory'
  ///
  /// * [bool] existsPublishedResponse:
  ///   filter by publishedResponse
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appStoreVersionsCustomerReviewsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterRating,
    List<String>? filterTerritory,
    bool? existsPublishedResponse,
    List<String>? sort,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsCustomerReviewResponses,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersions/{id}/customerReviews'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterRating != null) {
      queryParams.addAll(_queryParams('csv', 'filter[rating]', filterRating));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (existsPublishedResponse != null) {
      queryParams.addAll(_queryParams(
          '', 'exists[publishedResponse]', existsPublishedResponse));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsCustomerReviews != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[customerReviews]', fieldsCustomerReviews));
    }
    if (fieldsCustomerReviewResponses != null) {
      queryParams.addAll(_queryParams('csv', 'fields[customerReviewResponses]',
          fieldsCustomerReviewResponses));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterRating:
  ///   filter by attribute 'rating'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by attribute 'territory'
  ///
  /// * [bool] existsPublishedResponse:
  ///   filter by publishedResponse
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CustomerReviewsResponse?>
      appStoreVersionsCustomerReviewsGetToManyRelated(
    String id, {
    List<String>? filterRating,
    List<String>? filterTerritory,
    bool? existsPublishedResponse,
    List<String>? sort,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsCustomerReviewResponses,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await appStoreVersionsCustomerReviewsGetToManyRelatedWithHttpInfo(
      id,
      filterRating: filterRating,
      filterTerritory: filterTerritory,
      existsPublishedResponse: existsPublishedResponse,
      sort: sort,
      fieldsCustomerReviews: fieldsCustomerReviews,
      fieldsCustomerReviewResponses: fieldsCustomerReviewResponses,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CustomerReviewsResponse',
      ) as CustomerReviewsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/appStoreVersions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> appStoreVersionsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> appStoreVersionsDeleteInstance(
    String id,
  ) async {
    final response = await appStoreVersionsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments2:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionSubmissions:
  ///   the fields to include for returned resources of type appStoreVersionSubmissions
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  ///
  /// * [List<String>] fieldsAppStoreVersionPhasedReleases:
  ///   the fields to include for returned resources of type appStoreVersionPhasedReleases
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limitAppStoreVersionExperiments:
  ///   maximum number of related appStoreVersionExperiments returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionLocalizations:
  ///   maximum number of related appStoreVersionLocalizations returned (when they are included)
  Future<Response> appStoreVersionsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsAppStoreVersions,
    List<String>? include,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperiments2,
    List<String>? fieldsAppStoreVersionSubmissions,
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsAppStoreReviewDetails,
    List<String>? fieldsAppClipDefaultExperiences,
    List<String>? fieldsRoutingAppCoverages,
    List<String>? fieldsAppStoreVersionPhasedReleases,
    List<String>? fieldsBuilds,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limitAppStoreVersionExperiments,
    int? limitAppStoreVersionExperimentsV2,
    int? limitAppStoreVersionLocalizations,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsAppStoreVersionExperiments2 != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments2));
    }
    if (fieldsAppStoreVersionSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionSubmissions]',
          fieldsAppStoreVersionSubmissions));
    }
    if (fieldsAgeRatingDeclarations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ageRatingDeclarations]', fieldsAgeRatingDeclarations));
    }
    if (fieldsCustomerReviews != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[customerReviews]', fieldsCustomerReviews));
    }
    if (fieldsAppStoreReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreReviewDetails]', fieldsAppStoreReviewDetails));
    }
    if (fieldsAppClipDefaultExperiences != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appClipDefaultExperiences]',
          fieldsAppClipDefaultExperiences));
    }
    if (fieldsRoutingAppCoverages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[routingAppCoverages]', fieldsRoutingAppCoverages));
    }
    if (fieldsAppStoreVersionPhasedReleases != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionPhasedReleases]',
          fieldsAppStoreVersionPhasedReleases));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionLocalizations]',
          fieldsAppStoreVersionLocalizations));
    }
    if (limitAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionExperiments]',
          limitAppStoreVersionExperiments));
    }
    if (limitAppStoreVersionExperimentsV2 != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionExperimentsV2]',
          limitAppStoreVersionExperimentsV2));
    }
    if (limitAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionLocalizations]',
          limitAppStoreVersionLocalizations));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments2:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionSubmissions:
  ///   the fields to include for returned resources of type appStoreVersionSubmissions
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  ///
  /// * [List<String>] fieldsAppStoreVersionPhasedReleases:
  ///   the fields to include for returned resources of type appStoreVersionPhasedReleases
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limitAppStoreVersionExperiments:
  ///   maximum number of related appStoreVersionExperiments returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionLocalizations:
  ///   maximum number of related appStoreVersionLocalizations returned (when they are included)
  Future<AppStoreVersionResponse?> appStoreVersionsGetInstance(
    String id, {
    List<String>? fieldsAppStoreVersions,
    List<String>? include,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperiments2,
    List<String>? fieldsAppStoreVersionSubmissions,
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsAppStoreReviewDetails,
    List<String>? fieldsAppClipDefaultExperiences,
    List<String>? fieldsRoutingAppCoverages,
    List<String>? fieldsAppStoreVersionPhasedReleases,
    List<String>? fieldsBuilds,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limitAppStoreVersionExperiments,
    int? limitAppStoreVersionExperimentsV2,
    int? limitAppStoreVersionLocalizations,
  }) async {
    final response = await appStoreVersionsGetInstanceWithHttpInfo(
      id,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      include: include,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsAppStoreVersionExperiments2: fieldsAppStoreVersionExperiments2,
      fieldsAppStoreVersionSubmissions: fieldsAppStoreVersionSubmissions,
      fieldsAgeRatingDeclarations: fieldsAgeRatingDeclarations,
      fieldsCustomerReviews: fieldsCustomerReviews,
      fieldsAppStoreReviewDetails: fieldsAppStoreReviewDetails,
      fieldsAppClipDefaultExperiences: fieldsAppClipDefaultExperiences,
      fieldsRoutingAppCoverages: fieldsRoutingAppCoverages,
      fieldsAppStoreVersionPhasedReleases: fieldsAppStoreVersionPhasedReleases,
      fieldsBuilds: fieldsBuilds,
      fieldsAppStoreVersionLocalizations: fieldsAppStoreVersionLocalizations,
      limitAppStoreVersionExperiments: limitAppStoreVersionExperiments,
      limitAppStoreVersionExperimentsV2: limitAppStoreVersionExperimentsV2,
      limitAppStoreVersionLocalizations: limitAppStoreVersionLocalizations,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionResponse',
      ) as AppStoreVersionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/appStoreVersions/{id}/routingAppCoverage' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  Future<Response>
      appStoreVersionsRoutingAppCoverageGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsRoutingAppCoverages,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/appStoreVersions/{id}/routingAppCoverage'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsRoutingAppCoverages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[routingAppCoverages]', fieldsRoutingAppCoverages));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  Future<RoutingAppCoverageResponse?>
      appStoreVersionsRoutingAppCoverageGetToOneRelated(
    String id, {
    List<String>? fieldsRoutingAppCoverages,
  }) async {
    final response =
        await appStoreVersionsRoutingAppCoverageGetToOneRelatedWithHttpInfo(
      id,
      fieldsRoutingAppCoverages: fieldsRoutingAppCoverages,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'RoutingAppCoverageResponse',
      ) as RoutingAppCoverageResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/appStoreVersions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionUpdateRequest] appStoreVersionUpdateRequest (required):
  ///   AppStoreVersion representation
  Future<Response> appStoreVersionsUpdateInstanceWithHttpInfo(
    String id,
    AppStoreVersionUpdateRequest appStoreVersionUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/appStoreVersions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appStoreVersionUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppStoreVersionUpdateRequest] appStoreVersionUpdateRequest (required):
  ///   AppStoreVersion representation
  Future<AppStoreVersionResponse?> appStoreVersionsUpdateInstance(
    String id,
    AppStoreVersionUpdateRequest appStoreVersionUpdateRequest,
  ) async {
    final response = await appStoreVersionsUpdateInstanceWithHttpInfo(
      id,
      appStoreVersionUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionResponse',
      ) as AppStoreVersionResponse;
    }
    return null;
  }
}
