//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BetaAppLocalizationsApi {
  BetaAppLocalizationsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/betaAppLocalizations/{id}/app' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> betaAppLocalizationsAppGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppLocalizations/{id}/app'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<AppResponse?> betaAppLocalizationsAppGetToOneRelated(
    String id, {
    List<String>? fieldsApps,
  }) async {
    final response = await betaAppLocalizationsAppGetToOneRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaAppLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [BetaAppLocalizationCreateRequest] betaAppLocalizationCreateRequest (required):
  ///   BetaAppLocalization representation
  Future<Response> betaAppLocalizationsCreateInstanceWithHttpInfo(
    BetaAppLocalizationCreateRequest betaAppLocalizationCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppLocalizations';

    // ignore: prefer_final_locals
    Object? postBody = betaAppLocalizationCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [BetaAppLocalizationCreateRequest] betaAppLocalizationCreateRequest (required):
  ///   BetaAppLocalization representation
  Future<BetaAppLocalizationResponse?> betaAppLocalizationsCreateInstance(
    BetaAppLocalizationCreateRequest betaAppLocalizationCreateRequest,
  ) async {
    final response = await betaAppLocalizationsCreateInstanceWithHttpInfo(
      betaAppLocalizationCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppLocalizationResponse',
      ) as BetaAppLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/betaAppLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> betaAppLocalizationsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> betaAppLocalizationsDeleteInstance(
    String id,
  ) async {
    final response = await betaAppLocalizationsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaAppLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterLocale:
  ///   filter by attribute 'locale'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> betaAppLocalizationsGetCollectionWithHttpInfo({
    List<String>? filterLocale,
    List<String>? filterApp,
    List<String>? fieldsBetaAppLocalizations,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppLocalizations';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterLocale != null) {
      queryParams.addAll(_queryParams('csv', 'filter[locale]', filterLocale));
    }
    if (filterApp != null) {
      queryParams.addAll(_queryParams('csv', 'filter[app]', filterApp));
    }
    if (fieldsBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppLocalizations]', fieldsBetaAppLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterLocale:
  ///   filter by attribute 'locale'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<BetaAppLocalizationsResponse?> betaAppLocalizationsGetCollection({
    List<String>? filterLocale,
    List<String>? filterApp,
    List<String>? fieldsBetaAppLocalizations,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    final response = await betaAppLocalizationsGetCollectionWithHttpInfo(
      filterLocale: filterLocale,
      filterApp: filterApp,
      fieldsBetaAppLocalizations: fieldsBetaAppLocalizations,
      limit: limit,
      include: include,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppLocalizationsResponse',
      ) as BetaAppLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaAppLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> betaAppLocalizationsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBetaAppLocalizations,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppLocalizations]', fieldsBetaAppLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<BetaAppLocalizationResponse?> betaAppLocalizationsGetInstance(
    String id, {
    List<String>? fieldsBetaAppLocalizations,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    final response = await betaAppLocalizationsGetInstanceWithHttpInfo(
      id,
      fieldsBetaAppLocalizations: fieldsBetaAppLocalizations,
      include: include,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppLocalizationResponse',
      ) as BetaAppLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/betaAppLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaAppLocalizationUpdateRequest] betaAppLocalizationUpdateRequest (required):
  ///   BetaAppLocalization representation
  Future<Response> betaAppLocalizationsUpdateInstanceWithHttpInfo(
    String id,
    BetaAppLocalizationUpdateRequest betaAppLocalizationUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaAppLocalizationUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaAppLocalizationUpdateRequest] betaAppLocalizationUpdateRequest (required):
  ///   BetaAppLocalization representation
  Future<BetaAppLocalizationResponse?> betaAppLocalizationsUpdateInstance(
    String id,
    BetaAppLocalizationUpdateRequest betaAppLocalizationUpdateRequest,
  ) async {
    final response = await betaAppLocalizationsUpdateInstanceWithHttpInfo(
      id,
      betaAppLocalizationUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppLocalizationResponse',
      ) as BetaAppLocalizationResponse;
    }
    return null;
  }
}
