//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BetaAppReviewDetailsApi {
  BetaAppReviewDetailsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/betaAppReviewDetails/{id}/app' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> betaAppReviewDetailsAppGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppReviewDetails/{id}/app'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<AppResponse?> betaAppReviewDetailsAppGetToOneRelated(
    String id, {
    List<String>? fieldsApps,
  }) async {
    final response = await betaAppReviewDetailsAppGetToOneRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaAppReviewDetails' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterApp (required):
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> betaAppReviewDetailsGetCollectionWithHttpInfo(
    List<String> filterApp, {
    List<String>? fieldsBetaAppReviewDetails,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppReviewDetails';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    queryParams.addAll(_queryParams('csv', 'filter[app]', filterApp));
    if (fieldsBetaAppReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppReviewDetails]', fieldsBetaAppReviewDetails));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterApp (required):
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<BetaAppReviewDetailsResponse?> betaAppReviewDetailsGetCollection(
    List<String> filterApp, {
    List<String>? fieldsBetaAppReviewDetails,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    final response = await betaAppReviewDetailsGetCollectionWithHttpInfo(
      filterApp,
      fieldsBetaAppReviewDetails: fieldsBetaAppReviewDetails,
      limit: limit,
      include: include,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppReviewDetailsResponse',
      ) as BetaAppReviewDetailsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaAppReviewDetails/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> betaAppReviewDetailsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppReviewDetails/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaAppReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppReviewDetails]', fieldsBetaAppReviewDetails));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<BetaAppReviewDetailResponse?> betaAppReviewDetailsGetInstance(
    String id, {
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? include,
    List<String>? fieldsApps,
  }) async {
    final response = await betaAppReviewDetailsGetInstanceWithHttpInfo(
      id,
      fieldsBetaAppReviewDetails: fieldsBetaAppReviewDetails,
      include: include,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppReviewDetailResponse',
      ) as BetaAppReviewDetailResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/betaAppReviewDetails/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaAppReviewDetailUpdateRequest] betaAppReviewDetailUpdateRequest (required):
  ///   BetaAppReviewDetail representation
  Future<Response> betaAppReviewDetailsUpdateInstanceWithHttpInfo(
    String id,
    BetaAppReviewDetailUpdateRequest betaAppReviewDetailUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppReviewDetails/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaAppReviewDetailUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaAppReviewDetailUpdateRequest] betaAppReviewDetailUpdateRequest (required):
  ///   BetaAppReviewDetail representation
  Future<BetaAppReviewDetailResponse?> betaAppReviewDetailsUpdateInstance(
    String id,
    BetaAppReviewDetailUpdateRequest betaAppReviewDetailUpdateRequest,
  ) async {
    final response = await betaAppReviewDetailsUpdateInstanceWithHttpInfo(
      id,
      betaAppReviewDetailUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppReviewDetailResponse',
      ) as BetaAppReviewDetailResponse;
    }
    return null;
  }
}
