//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BetaAppReviewSubmissionsApi {
  BetaAppReviewSubmissionsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/betaAppReviewSubmissions/{id}/build' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> betaAppReviewSubmissionsBuildGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaAppReviewSubmissions/{id}/build'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BuildResponse?> betaAppReviewSubmissionsBuildGetToOneRelated(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    final response =
        await betaAppReviewSubmissionsBuildGetToOneRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildResponse',
      ) as BuildResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaAppReviewSubmissions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [BetaAppReviewSubmissionCreateRequest] betaAppReviewSubmissionCreateRequest (required):
  ///   BetaAppReviewSubmission representation
  Future<Response> betaAppReviewSubmissionsCreateInstanceWithHttpInfo(
    BetaAppReviewSubmissionCreateRequest betaAppReviewSubmissionCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppReviewSubmissions';

    // ignore: prefer_final_locals
    Object? postBody = betaAppReviewSubmissionCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [BetaAppReviewSubmissionCreateRequest] betaAppReviewSubmissionCreateRequest (required):
  ///   BetaAppReviewSubmission representation
  Future<BetaAppReviewSubmissionResponse?>
      betaAppReviewSubmissionsCreateInstance(
    BetaAppReviewSubmissionCreateRequest betaAppReviewSubmissionCreateRequest,
  ) async {
    final response = await betaAppReviewSubmissionsCreateInstanceWithHttpInfo(
      betaAppReviewSubmissionCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppReviewSubmissionResponse',
      ) as BetaAppReviewSubmissionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaAppReviewSubmissions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterBuild (required):
  ///   filter by id(s) of related 'build'
  ///
  /// * [List<String>] filterBetaReviewState:
  ///   filter by attribute 'betaReviewState'
  ///
  /// * [List<String>] fieldsBetaAppReviewSubmissions:
  ///   the fields to include for returned resources of type betaAppReviewSubmissions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> betaAppReviewSubmissionsGetCollectionWithHttpInfo(
    List<String> filterBuild, {
    List<String>? filterBetaReviewState,
    List<String>? fieldsBetaAppReviewSubmissions,
    int? limit,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppReviewSubmissions';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterBetaReviewState != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[betaReviewState]', filterBetaReviewState));
    }
    queryParams.addAll(_queryParams('csv', 'filter[build]', filterBuild));
    if (fieldsBetaAppReviewSubmissions != null) {
      queryParams.addAll(_queryParams('csv', 'fields[betaAppReviewSubmissions]',
          fieldsBetaAppReviewSubmissions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterBuild (required):
  ///   filter by id(s) of related 'build'
  ///
  /// * [List<String>] filterBetaReviewState:
  ///   filter by attribute 'betaReviewState'
  ///
  /// * [List<String>] fieldsBetaAppReviewSubmissions:
  ///   the fields to include for returned resources of type betaAppReviewSubmissions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BetaAppReviewSubmissionsResponse?>
      betaAppReviewSubmissionsGetCollection(
    List<String> filterBuild, {
    List<String>? filterBetaReviewState,
    List<String>? fieldsBetaAppReviewSubmissions,
    int? limit,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    final response = await betaAppReviewSubmissionsGetCollectionWithHttpInfo(
      filterBuild,
      filterBetaReviewState: filterBetaReviewState,
      fieldsBetaAppReviewSubmissions: fieldsBetaAppReviewSubmissions,
      limit: limit,
      include: include,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppReviewSubmissionsResponse',
      ) as BetaAppReviewSubmissionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaAppReviewSubmissions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewSubmissions:
  ///   the fields to include for returned resources of type betaAppReviewSubmissions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> betaAppReviewSubmissionsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBetaAppReviewSubmissions,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaAppReviewSubmissions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaAppReviewSubmissions != null) {
      queryParams.addAll(_queryParams('csv', 'fields[betaAppReviewSubmissions]',
          fieldsBetaAppReviewSubmissions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewSubmissions:
  ///   the fields to include for returned resources of type betaAppReviewSubmissions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BetaAppReviewSubmissionResponse?> betaAppReviewSubmissionsGetInstance(
    String id, {
    List<String>? fieldsBetaAppReviewSubmissions,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    final response = await betaAppReviewSubmissionsGetInstanceWithHttpInfo(
      id,
      fieldsBetaAppReviewSubmissions: fieldsBetaAppReviewSubmissions,
      include: include,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppReviewSubmissionResponse',
      ) as BetaAppReviewSubmissionResponse;
    }
    return null;
  }
}
