//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BetaBuildLocalizationsApi {
  BetaBuildLocalizationsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/betaBuildLocalizations/{id}/build' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> betaBuildLocalizationsBuildGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaBuildLocalizations/{id}/build'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BuildResponse?> betaBuildLocalizationsBuildGetToOneRelated(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    final response =
        await betaBuildLocalizationsBuildGetToOneRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildResponse',
      ) as BuildResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaBuildLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [BetaBuildLocalizationCreateRequest] betaBuildLocalizationCreateRequest (required):
  ///   BetaBuildLocalization representation
  Future<Response> betaBuildLocalizationsCreateInstanceWithHttpInfo(
    BetaBuildLocalizationCreateRequest betaBuildLocalizationCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaBuildLocalizations';

    // ignore: prefer_final_locals
    Object? postBody = betaBuildLocalizationCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [BetaBuildLocalizationCreateRequest] betaBuildLocalizationCreateRequest (required):
  ///   BetaBuildLocalization representation
  Future<BetaBuildLocalizationResponse?> betaBuildLocalizationsCreateInstance(
    BetaBuildLocalizationCreateRequest betaBuildLocalizationCreateRequest,
  ) async {
    final response = await betaBuildLocalizationsCreateInstanceWithHttpInfo(
      betaBuildLocalizationCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaBuildLocalizationResponse',
      ) as BetaBuildLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/betaBuildLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> betaBuildLocalizationsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaBuildLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> betaBuildLocalizationsDeleteInstance(
    String id,
  ) async {
    final response = await betaBuildLocalizationsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaBuildLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterLocale:
  ///   filter by attribute 'locale'
  ///
  /// * [List<String>] filterBuild:
  ///   filter by id(s) of related 'build'
  ///
  /// * [List<String>] fieldsBetaBuildLocalizations:
  ///   the fields to include for returned resources of type betaBuildLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> betaBuildLocalizationsGetCollectionWithHttpInfo({
    List<String>? filterLocale,
    List<String>? filterBuild,
    List<String>? fieldsBetaBuildLocalizations,
    int? limit,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaBuildLocalizations';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterLocale != null) {
      queryParams.addAll(_queryParams('csv', 'filter[locale]', filterLocale));
    }
    if (filterBuild != null) {
      queryParams.addAll(_queryParams('csv', 'filter[build]', filterBuild));
    }
    if (fieldsBetaBuildLocalizations != null) {
      queryParams.addAll(_queryParams('csv', 'fields[betaBuildLocalizations]',
          fieldsBetaBuildLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterLocale:
  ///   filter by attribute 'locale'
  ///
  /// * [List<String>] filterBuild:
  ///   filter by id(s) of related 'build'
  ///
  /// * [List<String>] fieldsBetaBuildLocalizations:
  ///   the fields to include for returned resources of type betaBuildLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BetaBuildLocalizationsResponse?> betaBuildLocalizationsGetCollection({
    List<String>? filterLocale,
    List<String>? filterBuild,
    List<String>? fieldsBetaBuildLocalizations,
    int? limit,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    final response = await betaBuildLocalizationsGetCollectionWithHttpInfo(
      filterLocale: filterLocale,
      filterBuild: filterBuild,
      fieldsBetaBuildLocalizations: fieldsBetaBuildLocalizations,
      limit: limit,
      include: include,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaBuildLocalizationsResponse',
      ) as BetaBuildLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaBuildLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaBuildLocalizations:
  ///   the fields to include for returned resources of type betaBuildLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> betaBuildLocalizationsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBetaBuildLocalizations,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaBuildLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaBuildLocalizations != null) {
      queryParams.addAll(_queryParams('csv', 'fields[betaBuildLocalizations]',
          fieldsBetaBuildLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaBuildLocalizations:
  ///   the fields to include for returned resources of type betaBuildLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BetaBuildLocalizationResponse?> betaBuildLocalizationsGetInstance(
    String id, {
    List<String>? fieldsBetaBuildLocalizations,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    final response = await betaBuildLocalizationsGetInstanceWithHttpInfo(
      id,
      fieldsBetaBuildLocalizations: fieldsBetaBuildLocalizations,
      include: include,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaBuildLocalizationResponse',
      ) as BetaBuildLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/betaBuildLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaBuildLocalizationUpdateRequest] betaBuildLocalizationUpdateRequest (required):
  ///   BetaBuildLocalization representation
  Future<Response> betaBuildLocalizationsUpdateInstanceWithHttpInfo(
    String id,
    BetaBuildLocalizationUpdateRequest betaBuildLocalizationUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaBuildLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaBuildLocalizationUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaBuildLocalizationUpdateRequest] betaBuildLocalizationUpdateRequest (required):
  ///   BetaBuildLocalization representation
  Future<BetaBuildLocalizationResponse?> betaBuildLocalizationsUpdateInstance(
    String id,
    BetaBuildLocalizationUpdateRequest betaBuildLocalizationUpdateRequest,
  ) async {
    final response = await betaBuildLocalizationsUpdateInstanceWithHttpInfo(
      id,
      betaBuildLocalizationUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaBuildLocalizationResponse',
      ) as BetaBuildLocalizationResponse;
    }
    return null;
  }
}
