//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BetaGroupsApi {
  BetaGroupsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/betaGroups/{id}/app' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> betaGroupsAppGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups/{id}/app'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<AppResponse?> betaGroupsAppGetToOneRelated(
    String id, {
    List<String>? fieldsApps,
  }) async {
    final response = await betaGroupsAppGetToOneRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaGroups/{id}/relationships/betaTesters' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBetaTestersLinkagesRequest] betaGroupBetaTestersLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaGroupsBetaTestersCreateToManyRelationshipWithHttpInfo(
    String id,
    BetaGroupBetaTestersLinkagesRequest betaGroupBetaTestersLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaGroups/{id}/relationships/betaTesters'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaGroupBetaTestersLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBetaTestersLinkagesRequest] betaGroupBetaTestersLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaGroupsBetaTestersCreateToManyRelationship(
    String id,
    BetaGroupBetaTestersLinkagesRequest betaGroupBetaTestersLinkagesRequest,
  ) async {
    final response =
        await betaGroupsBetaTestersCreateToManyRelationshipWithHttpInfo(
      id,
      betaGroupBetaTestersLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'DELETE /v1/betaGroups/{id}/relationships/betaTesters' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBetaTestersLinkagesRequest] betaGroupBetaTestersLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaGroupsBetaTestersDeleteToManyRelationshipWithHttpInfo(
    String id,
    BetaGroupBetaTestersLinkagesRequest betaGroupBetaTestersLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaGroups/{id}/relationships/betaTesters'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaGroupBetaTestersLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBetaTestersLinkagesRequest] betaGroupBetaTestersLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaGroupsBetaTestersDeleteToManyRelationship(
    String id,
    BetaGroupBetaTestersLinkagesRequest betaGroupBetaTestersLinkagesRequest,
  ) async {
    final response =
        await betaGroupsBetaTestersDeleteToManyRelationshipWithHttpInfo(
      id,
      betaGroupBetaTestersLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaGroups/{id}/betaTesters' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaGroupsBetaTestersGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBetaTesters,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups/{id}/betaTesters'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaTesters != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[betaTesters]', fieldsBetaTesters));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaTestersResponse?> betaGroupsBetaTestersGetToManyRelated(
    String id, {
    List<String>? fieldsBetaTesters,
    int? limit,
  }) async {
    final response = await betaGroupsBetaTestersGetToManyRelatedWithHttpInfo(
      id,
      fieldsBetaTesters: fieldsBetaTesters,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaTestersResponse',
      ) as BetaTestersResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaGroups/{id}/relationships/betaTesters' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaGroupsBetaTestersGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaGroups/{id}/relationships/betaTesters'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaGroupBetaTestersLinkagesResponse?>
      betaGroupsBetaTestersGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response =
        await betaGroupsBetaTestersGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupBetaTestersLinkagesResponse',
      ) as BetaGroupBetaTestersLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaGroups/{id}/relationships/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBuildsLinkagesRequest] betaGroupBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaGroupsBuildsCreateToManyRelationshipWithHttpInfo(
    String id,
    BetaGroupBuildsLinkagesRequest betaGroupBuildsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaGroups/{id}/relationships/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaGroupBuildsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBuildsLinkagesRequest] betaGroupBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaGroupsBuildsCreateToManyRelationship(
    String id,
    BetaGroupBuildsLinkagesRequest betaGroupBuildsLinkagesRequest,
  ) async {
    final response = await betaGroupsBuildsCreateToManyRelationshipWithHttpInfo(
      id,
      betaGroupBuildsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'DELETE /v1/betaGroups/{id}/relationships/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBuildsLinkagesRequest] betaGroupBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaGroupsBuildsDeleteToManyRelationshipWithHttpInfo(
    String id,
    BetaGroupBuildsLinkagesRequest betaGroupBuildsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaGroups/{id}/relationships/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaGroupBuildsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupBuildsLinkagesRequest] betaGroupBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaGroupsBuildsDeleteToManyRelationship(
    String id,
    BetaGroupBuildsLinkagesRequest betaGroupBuildsLinkagesRequest,
  ) async {
    final response = await betaGroupsBuildsDeleteToManyRelationshipWithHttpInfo(
      id,
      betaGroupBuildsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaGroups/{id}/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaGroupsBuildsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups/{id}/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BuildsResponse?> betaGroupsBuildsGetToManyRelated(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    final response = await betaGroupsBuildsGetToManyRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildsResponse',
      ) as BuildsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaGroups/{id}/relationships/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaGroupsBuildsGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaGroups/{id}/relationships/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaGroupBuildsLinkagesResponse?>
      betaGroupsBuildsGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response = await betaGroupsBuildsGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupBuildsLinkagesResponse',
      ) as BetaGroupBuildsLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [BetaGroupCreateRequest] betaGroupCreateRequest (required):
  ///   BetaGroup representation
  Future<Response> betaGroupsCreateInstanceWithHttpInfo(
    BetaGroupCreateRequest betaGroupCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups';

    // ignore: prefer_final_locals
    Object? postBody = betaGroupCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [BetaGroupCreateRequest] betaGroupCreateRequest (required):
  ///   BetaGroup representation
  Future<BetaGroupResponse?> betaGroupsCreateInstance(
    BetaGroupCreateRequest betaGroupCreateRequest,
  ) async {
    final response = await betaGroupsCreateInstanceWithHttpInfo(
      betaGroupCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupResponse',
      ) as BetaGroupResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/betaGroups/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> betaGroupsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> betaGroupsDeleteInstance(
    String id,
  ) async {
    final response = await betaGroupsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterIsInternalGroup:
  ///   filter by attribute 'isInternalGroup'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterPublicLink:
  ///   filter by attribute 'publicLink'
  ///
  /// * [List<String>] filterPublicLinkEnabled:
  ///   filter by attribute 'publicLinkEnabled'
  ///
  /// * [List<String>] filterPublicLinkLimitEnabled:
  ///   filter by attribute 'publicLinkLimitEnabled'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBetaTesters:
  ///   maximum number of related betaTesters returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<Response> betaGroupsGetCollectionWithHttpInfo({
    List<String>? filterIsInternalGroup,
    List<String>? filterName,
    List<String>? filterPublicLink,
    List<String>? filterPublicLinkEnabled,
    List<String>? filterPublicLinkLimitEnabled,
    List<String>? filterApp,
    List<String>? filterBuilds,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBetaGroups,
    int? limit,
    List<String>? include,
    List<String>? fieldsBetaTesters,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBetaTesters,
    int? limitBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterIsInternalGroup != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[isInternalGroup]', filterIsInternalGroup));
    }
    if (filterName != null) {
      queryParams.addAll(_queryParams('csv', 'filter[name]', filterName));
    }
    if (filterPublicLink != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[publicLink]', filterPublicLink));
    }
    if (filterPublicLinkEnabled != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[publicLinkEnabled]', filterPublicLinkEnabled));
    }
    if (filterPublicLinkLimitEnabled != null) {
      queryParams.addAll(_queryParams('csv', 'filter[publicLinkLimitEnabled]',
          filterPublicLinkLimitEnabled));
    }
    if (filterApp != null) {
      queryParams.addAll(_queryParams('csv', 'filter[app]', filterApp));
    }
    if (filterBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'filter[builds]', filterBuilds));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBetaTesters != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[betaTesters]', fieldsBetaTesters));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limitBetaTesters != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaTesters]', limitBetaTesters));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterIsInternalGroup:
  ///   filter by attribute 'isInternalGroup'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterPublicLink:
  ///   filter by attribute 'publicLink'
  ///
  /// * [List<String>] filterPublicLinkEnabled:
  ///   filter by attribute 'publicLinkEnabled'
  ///
  /// * [List<String>] filterPublicLinkLimitEnabled:
  ///   filter by attribute 'publicLinkLimitEnabled'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBetaTesters:
  ///   maximum number of related betaTesters returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<BetaGroupsResponse?> betaGroupsGetCollection({
    List<String>? filterIsInternalGroup,
    List<String>? filterName,
    List<String>? filterPublicLink,
    List<String>? filterPublicLinkEnabled,
    List<String>? filterPublicLinkLimitEnabled,
    List<String>? filterApp,
    List<String>? filterBuilds,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBetaGroups,
    int? limit,
    List<String>? include,
    List<String>? fieldsBetaTesters,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBetaTesters,
    int? limitBuilds,
  }) async {
    final response = await betaGroupsGetCollectionWithHttpInfo(
      filterIsInternalGroup: filterIsInternalGroup,
      filterName: filterName,
      filterPublicLink: filterPublicLink,
      filterPublicLinkEnabled: filterPublicLinkEnabled,
      filterPublicLinkLimitEnabled: filterPublicLinkLimitEnabled,
      filterApp: filterApp,
      filterBuilds: filterBuilds,
      filterId: filterId,
      sort: sort,
      fieldsBetaGroups: fieldsBetaGroups,
      limit: limit,
      include: include,
      fieldsBetaTesters: fieldsBetaTesters,
      fieldsApps: fieldsApps,
      fieldsBuilds: fieldsBuilds,
      limitBetaTesters: limitBetaTesters,
      limitBuilds: limitBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupsResponse',
      ) as BetaGroupsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaGroups/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBetaTesters:
  ///   maximum number of related betaTesters returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<Response> betaGroupsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBetaGroups,
    List<String>? include,
    List<String>? fieldsBetaTesters,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBetaTesters,
    int? limitBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBetaTesters != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[betaTesters]', fieldsBetaTesters));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limitBetaTesters != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaTesters]', limitBetaTesters));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBetaTesters:
  ///   maximum number of related betaTesters returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<BetaGroupResponse?> betaGroupsGetInstance(
    String id, {
    List<String>? fieldsBetaGroups,
    List<String>? include,
    List<String>? fieldsBetaTesters,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBetaTesters,
    int? limitBuilds,
  }) async {
    final response = await betaGroupsGetInstanceWithHttpInfo(
      id,
      fieldsBetaGroups: fieldsBetaGroups,
      include: include,
      fieldsBetaTesters: fieldsBetaTesters,
      fieldsApps: fieldsApps,
      fieldsBuilds: fieldsBuilds,
      limitBetaTesters: limitBetaTesters,
      limitBuilds: limitBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupResponse',
      ) as BetaGroupResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/betaGroups/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupUpdateRequest] betaGroupUpdateRequest (required):
  ///   BetaGroup representation
  Future<Response> betaGroupsUpdateInstanceWithHttpInfo(
    String id,
    BetaGroupUpdateRequest betaGroupUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaGroups/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaGroupUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaGroupUpdateRequest] betaGroupUpdateRequest (required):
  ///   BetaGroup representation
  Future<BetaGroupResponse?> betaGroupsUpdateInstance(
    String id,
    BetaGroupUpdateRequest betaGroupUpdateRequest,
  ) async {
    final response = await betaGroupsUpdateInstanceWithHttpInfo(
      id,
      betaGroupUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupResponse',
      ) as BetaGroupResponse;
    }
    return null;
  }
}
