//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BetaTestersApi {
  BetaTestersApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'DELETE /v1/betaTesters/{id}/relationships/apps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterAppsLinkagesRequest] betaTesterAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaTestersAppsDeleteToManyRelationshipWithHttpInfo(
    String id,
    BetaTesterAppsLinkagesRequest betaTesterAppsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/apps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaTesterAppsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterAppsLinkagesRequest] betaTesterAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaTestersAppsDeleteToManyRelationship(
    String id,
    BetaTesterAppsLinkagesRequest betaTesterAppsLinkagesRequest,
  ) async {
    final response = await betaTestersAppsDeleteToManyRelationshipWithHttpInfo(
      id,
      betaTesterAppsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaTesters/{id}/apps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaTestersAppsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaTesters/{id}/apps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<AppsResponse?> betaTestersAppsGetToManyRelated(
    String id, {
    List<String>? fieldsApps,
    int? limit,
  }) async {
    final response = await betaTestersAppsGetToManyRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppsResponse',
      ) as AppsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaTesters/{id}/relationships/apps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaTestersAppsGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/apps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaTesterAppsLinkagesResponse?> betaTestersAppsGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response = await betaTestersAppsGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaTesterAppsLinkagesResponse',
      ) as BetaTesterAppsLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaTesters/{id}/relationships/betaGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBetaGroupsLinkagesRequest] betaTesterBetaGroupsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaTestersBetaGroupsCreateToManyRelationshipWithHttpInfo(
    String id,
    BetaTesterBetaGroupsLinkagesRequest betaTesterBetaGroupsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/betaGroups'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaTesterBetaGroupsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBetaGroupsLinkagesRequest] betaTesterBetaGroupsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaTestersBetaGroupsCreateToManyRelationship(
    String id,
    BetaTesterBetaGroupsLinkagesRequest betaTesterBetaGroupsLinkagesRequest,
  ) async {
    final response =
        await betaTestersBetaGroupsCreateToManyRelationshipWithHttpInfo(
      id,
      betaTesterBetaGroupsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'DELETE /v1/betaTesters/{id}/relationships/betaGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBetaGroupsLinkagesRequest] betaTesterBetaGroupsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaTestersBetaGroupsDeleteToManyRelationshipWithHttpInfo(
    String id,
    BetaTesterBetaGroupsLinkagesRequest betaTesterBetaGroupsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/betaGroups'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaTesterBetaGroupsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBetaGroupsLinkagesRequest] betaTesterBetaGroupsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaTestersBetaGroupsDeleteToManyRelationship(
    String id,
    BetaTesterBetaGroupsLinkagesRequest betaTesterBetaGroupsLinkagesRequest,
  ) async {
    final response =
        await betaTestersBetaGroupsDeleteToManyRelationshipWithHttpInfo(
      id,
      betaTesterBetaGroupsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaTesters/{id}/betaGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaTestersBetaGroupsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBetaGroups,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaTesters/{id}/betaGroups'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaGroupsResponse?> betaTestersBetaGroupsGetToManyRelated(
    String id, {
    List<String>? fieldsBetaGroups,
    int? limit,
  }) async {
    final response = await betaTestersBetaGroupsGetToManyRelatedWithHttpInfo(
      id,
      fieldsBetaGroups: fieldsBetaGroups,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupsResponse',
      ) as BetaGroupsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaTesters/{id}/relationships/betaGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaTestersBetaGroupsGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/betaGroups'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaTesterBetaGroupsLinkagesResponse?>
      betaTestersBetaGroupsGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response =
        await betaTestersBetaGroupsGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaTesterBetaGroupsLinkagesResponse',
      ) as BetaTesterBetaGroupsLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaTesters/{id}/relationships/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBuildsLinkagesRequest] betaTesterBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaTestersBuildsCreateToManyRelationshipWithHttpInfo(
    String id,
    BetaTesterBuildsLinkagesRequest betaTesterBuildsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaTesterBuildsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBuildsLinkagesRequest] betaTesterBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaTestersBuildsCreateToManyRelationship(
    String id,
    BetaTesterBuildsLinkagesRequest betaTesterBuildsLinkagesRequest,
  ) async {
    final response =
        await betaTestersBuildsCreateToManyRelationshipWithHttpInfo(
      id,
      betaTesterBuildsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'DELETE /v1/betaTesters/{id}/relationships/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBuildsLinkagesRequest] betaTesterBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> betaTestersBuildsDeleteToManyRelationshipWithHttpInfo(
    String id,
    BetaTesterBuildsLinkagesRequest betaTesterBuildsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = betaTesterBuildsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BetaTesterBuildsLinkagesRequest] betaTesterBuildsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> betaTestersBuildsDeleteToManyRelationship(
    String id,
    BetaTesterBuildsLinkagesRequest betaTesterBuildsLinkagesRequest,
  ) async {
    final response =
        await betaTestersBuildsDeleteToManyRelationshipWithHttpInfo(
      id,
      betaTesterBuildsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaTesters/{id}/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaTestersBuildsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaTesters/{id}/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BuildsResponse?> betaTestersBuildsGetToManyRelated(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    final response = await betaTestersBuildsGetToManyRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildsResponse',
      ) as BuildsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaTesters/{id}/relationships/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> betaTestersBuildsGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/betaTesters/{id}/relationships/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaTesterBuildsLinkagesResponse?>
      betaTestersBuildsGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response = await betaTestersBuildsGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaTesterBuildsLinkagesResponse',
      ) as BetaTesterBuildsLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/betaTesters' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [BetaTesterCreateRequest] betaTesterCreateRequest (required):
  ///   BetaTester representation
  Future<Response> betaTestersCreateInstanceWithHttpInfo(
    BetaTesterCreateRequest betaTesterCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaTesters';

    // ignore: prefer_final_locals
    Object? postBody = betaTesterCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [BetaTesterCreateRequest] betaTesterCreateRequest (required):
  ///   BetaTester representation
  Future<BetaTesterResponse?> betaTestersCreateInstance(
    BetaTesterCreateRequest betaTesterCreateRequest,
  ) async {
    final response = await betaTestersCreateInstanceWithHttpInfo(
      betaTesterCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaTesterResponse',
      ) as BetaTesterResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/betaTesters/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> betaTestersDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaTesters/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> betaTestersDeleteInstance(
    String id,
  ) async {
    final response = await betaTestersDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/betaTesters' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterEmail:
  ///   filter by attribute 'email'
  ///
  /// * [List<String>] filterFirstName:
  ///   filter by attribute 'firstName'
  ///
  /// * [List<String>] filterInviteType:
  ///   filter by attribute 'inviteType'
  ///
  /// * [List<String>] filterLastName:
  ///   filter by attribute 'lastName'
  ///
  /// * [List<String>] filterApps:
  ///   filter by id(s) of related 'apps'
  ///
  /// * [List<String>] filterBetaGroups:
  ///   filter by id(s) of related 'betaGroups'
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limitApps:
  ///   maximum number of related apps returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<Response> betaTestersGetCollectionWithHttpInfo({
    List<String>? filterEmail,
    List<String>? filterFirstName,
    List<String>? filterInviteType,
    List<String>? filterLastName,
    List<String>? filterApps,
    List<String>? filterBetaGroups,
    List<String>? filterBuilds,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBetaTesters,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaGroups,
    int? limitApps,
    int? limitBetaGroups,
    int? limitBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaTesters';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterEmail != null) {
      queryParams.addAll(_queryParams('csv', 'filter[email]', filterEmail));
    }
    if (filterFirstName != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[firstName]', filterFirstName));
    }
    if (filterInviteType != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[inviteType]', filterInviteType));
    }
    if (filterLastName != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[lastName]', filterLastName));
    }
    if (filterApps != null) {
      queryParams.addAll(_queryParams('csv', 'filter[apps]', filterApps));
    }
    if (filterBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[betaGroups]', filterBetaGroups));
    }
    if (filterBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'filter[builds]', filterBuilds));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsBetaTesters != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[betaTesters]', fieldsBetaTesters));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (limitApps != null) {
      queryParams.addAll(_queryParams('', 'limit[apps]', limitApps));
    }
    if (limitBetaGroups != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaGroups]', limitBetaGroups));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterEmail:
  ///   filter by attribute 'email'
  ///
  /// * [List<String>] filterFirstName:
  ///   filter by attribute 'firstName'
  ///
  /// * [List<String>] filterInviteType:
  ///   filter by attribute 'inviteType'
  ///
  /// * [List<String>] filterLastName:
  ///   filter by attribute 'lastName'
  ///
  /// * [List<String>] filterApps:
  ///   filter by id(s) of related 'apps'
  ///
  /// * [List<String>] filterBetaGroups:
  ///   filter by id(s) of related 'betaGroups'
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limitApps:
  ///   maximum number of related apps returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<BetaTestersResponse?> betaTestersGetCollection({
    List<String>? filterEmail,
    List<String>? filterFirstName,
    List<String>? filterInviteType,
    List<String>? filterLastName,
    List<String>? filterApps,
    List<String>? filterBetaGroups,
    List<String>? filterBuilds,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBetaTesters,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaGroups,
    int? limitApps,
    int? limitBetaGroups,
    int? limitBuilds,
  }) async {
    final response = await betaTestersGetCollectionWithHttpInfo(
      filterEmail: filterEmail,
      filterFirstName: filterFirstName,
      filterInviteType: filterInviteType,
      filterLastName: filterLastName,
      filterApps: filterApps,
      filterBetaGroups: filterBetaGroups,
      filterBuilds: filterBuilds,
      filterId: filterId,
      sort: sort,
      fieldsBetaTesters: fieldsBetaTesters,
      limit: limit,
      include: include,
      fieldsApps: fieldsApps,
      fieldsBuilds: fieldsBuilds,
      fieldsBetaGroups: fieldsBetaGroups,
      limitApps: limitApps,
      limitBetaGroups: limitBetaGroups,
      limitBuilds: limitBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaTestersResponse',
      ) as BetaTestersResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/betaTesters/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limitApps:
  ///   maximum number of related apps returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<Response> betaTestersGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBetaTesters,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaGroups,
    int? limitApps,
    int? limitBetaGroups,
    int? limitBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/betaTesters/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaTesters != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[betaTesters]', fieldsBetaTesters));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (limitApps != null) {
      queryParams.addAll(_queryParams('', 'limit[apps]', limitApps));
    }
    if (limitBetaGroups != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaGroups]', limitBetaGroups));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limitApps:
  ///   maximum number of related apps returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<BetaTesterResponse?> betaTestersGetInstance(
    String id, {
    List<String>? fieldsBetaTesters,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaGroups,
    int? limitApps,
    int? limitBetaGroups,
    int? limitBuilds,
  }) async {
    final response = await betaTestersGetInstanceWithHttpInfo(
      id,
      fieldsBetaTesters: fieldsBetaTesters,
      include: include,
      fieldsApps: fieldsApps,
      fieldsBuilds: fieldsBuilds,
      fieldsBetaGroups: fieldsBetaGroups,
      limitApps: limitApps,
      limitBetaGroups: limitBetaGroups,
      limitBuilds: limitBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaTesterResponse',
      ) as BetaTesterResponse;
    }
    return null;
  }
}
