//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BuildBetaDetailsApi {
  BuildBetaDetailsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/buildBetaDetails/{id}/build' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> buildBetaDetailsBuildGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/buildBetaDetails/{id}/build'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BuildResponse?> buildBetaDetailsBuildGetToOneRelated(
    String id, {
    List<String>? fieldsBuilds,
  }) async {
    final response = await buildBetaDetailsBuildGetToOneRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildResponse',
      ) as BuildResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/buildBetaDetails' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterBuild:
  ///   filter by id(s) of related 'build'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsBuildBetaDetails:
  ///   the fields to include for returned resources of type buildBetaDetails
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> buildBetaDetailsGetCollectionWithHttpInfo({
    List<String>? filterBuild,
    List<String>? filterId,
    List<String>? fieldsBuildBetaDetails,
    int? limit,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/buildBetaDetails';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterBuild != null) {
      queryParams.addAll(_queryParams('csv', 'filter[build]', filterBuild));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsBuildBetaDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[buildBetaDetails]', fieldsBuildBetaDetails));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterBuild:
  ///   filter by id(s) of related 'build'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsBuildBetaDetails:
  ///   the fields to include for returned resources of type buildBetaDetails
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BuildBetaDetailsResponse?> buildBetaDetailsGetCollection({
    List<String>? filterBuild,
    List<String>? filterId,
    List<String>? fieldsBuildBetaDetails,
    int? limit,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    final response = await buildBetaDetailsGetCollectionWithHttpInfo(
      filterBuild: filterBuild,
      filterId: filterId,
      fieldsBuildBetaDetails: fieldsBuildBetaDetails,
      limit: limit,
      include: include,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildBetaDetailsResponse',
      ) as BuildBetaDetailsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/buildBetaDetails/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuildBetaDetails:
  ///   the fields to include for returned resources of type buildBetaDetails
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<Response> buildBetaDetailsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBuildBetaDetails,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/buildBetaDetails/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuildBetaDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[buildBetaDetails]', fieldsBuildBetaDetails));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuildBetaDetails:
  ///   the fields to include for returned resources of type buildBetaDetails
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  Future<BuildBetaDetailResponse?> buildBetaDetailsGetInstance(
    String id, {
    List<String>? fieldsBuildBetaDetails,
    List<String>? include,
    List<String>? fieldsBuilds,
  }) async {
    final response = await buildBetaDetailsGetInstanceWithHttpInfo(
      id,
      fieldsBuildBetaDetails: fieldsBuildBetaDetails,
      include: include,
      fieldsBuilds: fieldsBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildBetaDetailResponse',
      ) as BuildBetaDetailResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/buildBetaDetails/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BuildBetaDetailUpdateRequest] buildBetaDetailUpdateRequest (required):
  ///   BuildBetaDetail representation
  Future<Response> buildBetaDetailsUpdateInstanceWithHttpInfo(
    String id,
    BuildBetaDetailUpdateRequest buildBetaDetailUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/buildBetaDetails/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = buildBetaDetailUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BuildBetaDetailUpdateRequest] buildBetaDetailUpdateRequest (required):
  ///   BuildBetaDetail representation
  Future<BuildBetaDetailResponse?> buildBetaDetailsUpdateInstance(
    String id,
    BuildBetaDetailUpdateRequest buildBetaDetailUpdateRequest,
  ) async {
    final response = await buildBetaDetailsUpdateInstanceWithHttpInfo(
      id,
      buildBetaDetailUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildBetaDetailResponse',
      ) as BuildBetaDetailResponse;
    }
    return null;
  }
}
