//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class BundleIdsApi {
  BundleIdsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/bundleIds/{id}/app' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> bundleIdsAppGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/bundleIds/{id}/app'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<AppResponse?> bundleIdsAppGetToOneRelated(
    String id, {
    List<String>? fieldsApps,
  }) async {
    final response = await bundleIdsAppGetToOneRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/bundleIds/{id}/bundleIdCapabilities' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBundleIdCapabilities:
  ///   the fields to include for returned resources of type bundleIdCapabilities
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> bundleIdsBundleIdCapabilitiesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBundleIdCapabilities,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/bundleIds/{id}/bundleIdCapabilities'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBundleIdCapabilities != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[bundleIdCapabilities]', fieldsBundleIdCapabilities));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBundleIdCapabilities:
  ///   the fields to include for returned resources of type bundleIdCapabilities
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BundleIdCapabilitiesResponse?>
      bundleIdsBundleIdCapabilitiesGetToManyRelated(
    String id, {
    List<String>? fieldsBundleIdCapabilities,
    int? limit,
  }) async {
    final response =
        await bundleIdsBundleIdCapabilitiesGetToManyRelatedWithHttpInfo(
      id,
      fieldsBundleIdCapabilities: fieldsBundleIdCapabilities,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BundleIdCapabilitiesResponse',
      ) as BundleIdCapabilitiesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/bundleIds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [BundleIdCreateRequest] bundleIdCreateRequest (required):
  ///   BundleId representation
  Future<Response> bundleIdsCreateInstanceWithHttpInfo(
    BundleIdCreateRequest bundleIdCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/bundleIds';

    // ignore: prefer_final_locals
    Object? postBody = bundleIdCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [BundleIdCreateRequest] bundleIdCreateRequest (required):
  ///   BundleId representation
  Future<BundleIdResponse?> bundleIdsCreateInstance(
    BundleIdCreateRequest bundleIdCreateRequest,
  ) async {
    final response = await bundleIdsCreateInstanceWithHttpInfo(
      bundleIdCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BundleIdResponse',
      ) as BundleIdResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/bundleIds/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> bundleIdsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/bundleIds/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> bundleIdsDeleteInstance(
    String id,
  ) async {
    final response = await bundleIdsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/bundleIds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterIdentifier:
  ///   filter by attribute 'identifier'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterSeedId:
  ///   filter by attribute 'seedId'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBundleIdCapabilities:
  ///   the fields to include for returned resources of type bundleIdCapabilities
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitBundleIdCapabilities:
  ///   maximum number of related bundleIdCapabilities returned (when they are included)
  ///
  /// * [int] limitProfiles:
  ///   maximum number of related profiles returned (when they are included)
  Future<Response> bundleIdsGetCollectionWithHttpInfo({
    List<String>? filterIdentifier,
    List<String>? filterName,
    List<String>? filterPlatform,
    List<String>? filterSeedId,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBundleIds,
    int? limit,
    List<String>? include,
    List<String>? fieldsBundleIdCapabilities,
    List<String>? fieldsProfiles,
    List<String>? fieldsApps,
    int? limitBundleIdCapabilities,
    int? limitProfiles,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/bundleIds';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterIdentifier != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[identifier]', filterIdentifier));
    }
    if (filterName != null) {
      queryParams.addAll(_queryParams('csv', 'filter[name]', filterName));
    }
    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }
    if (filterSeedId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[seedId]', filterSeedId));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsBundleIds != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[bundleIds]', fieldsBundleIds));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBundleIdCapabilities != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[bundleIdCapabilities]', fieldsBundleIdCapabilities));
    }
    if (fieldsProfiles != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[profiles]', fieldsProfiles));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limitBundleIdCapabilities != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[bundleIdCapabilities]', limitBundleIdCapabilities));
    }
    if (limitProfiles != null) {
      queryParams.addAll(_queryParams('', 'limit[profiles]', limitProfiles));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterIdentifier:
  ///   filter by attribute 'identifier'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterSeedId:
  ///   filter by attribute 'seedId'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBundleIdCapabilities:
  ///   the fields to include for returned resources of type bundleIdCapabilities
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitBundleIdCapabilities:
  ///   maximum number of related bundleIdCapabilities returned (when they are included)
  ///
  /// * [int] limitProfiles:
  ///   maximum number of related profiles returned (when they are included)
  Future<BundleIdsResponse?> bundleIdsGetCollection({
    List<String>? filterIdentifier,
    List<String>? filterName,
    List<String>? filterPlatform,
    List<String>? filterSeedId,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBundleIds,
    int? limit,
    List<String>? include,
    List<String>? fieldsBundleIdCapabilities,
    List<String>? fieldsProfiles,
    List<String>? fieldsApps,
    int? limitBundleIdCapabilities,
    int? limitProfiles,
  }) async {
    final response = await bundleIdsGetCollectionWithHttpInfo(
      filterIdentifier: filterIdentifier,
      filterName: filterName,
      filterPlatform: filterPlatform,
      filterSeedId: filterSeedId,
      filterId: filterId,
      sort: sort,
      fieldsBundleIds: fieldsBundleIds,
      limit: limit,
      include: include,
      fieldsBundleIdCapabilities: fieldsBundleIdCapabilities,
      fieldsProfiles: fieldsProfiles,
      fieldsApps: fieldsApps,
      limitBundleIdCapabilities: limitBundleIdCapabilities,
      limitProfiles: limitProfiles,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BundleIdsResponse',
      ) as BundleIdsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/bundleIds/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBundleIdCapabilities:
  ///   the fields to include for returned resources of type bundleIdCapabilities
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitBundleIdCapabilities:
  ///   maximum number of related bundleIdCapabilities returned (when they are included)
  ///
  /// * [int] limitProfiles:
  ///   maximum number of related profiles returned (when they are included)
  Future<Response> bundleIdsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsBundleIds,
    List<String>? include,
    List<String>? fieldsBundleIdCapabilities,
    List<String>? fieldsProfiles,
    List<String>? fieldsApps,
    int? limitBundleIdCapabilities,
    int? limitProfiles,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/bundleIds/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBundleIds != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[bundleIds]', fieldsBundleIds));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBundleIdCapabilities != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[bundleIdCapabilities]', fieldsBundleIdCapabilities));
    }
    if (fieldsProfiles != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[profiles]', fieldsProfiles));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limitBundleIdCapabilities != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[bundleIdCapabilities]', limitBundleIdCapabilities));
    }
    if (limitProfiles != null) {
      queryParams.addAll(_queryParams('', 'limit[profiles]', limitProfiles));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBundleIdCapabilities:
  ///   the fields to include for returned resources of type bundleIdCapabilities
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitBundleIdCapabilities:
  ///   maximum number of related bundleIdCapabilities returned (when they are included)
  ///
  /// * [int] limitProfiles:
  ///   maximum number of related profiles returned (when they are included)
  Future<BundleIdResponse?> bundleIdsGetInstance(
    String id, {
    List<String>? fieldsBundleIds,
    List<String>? include,
    List<String>? fieldsBundleIdCapabilities,
    List<String>? fieldsProfiles,
    List<String>? fieldsApps,
    int? limitBundleIdCapabilities,
    int? limitProfiles,
  }) async {
    final response = await bundleIdsGetInstanceWithHttpInfo(
      id,
      fieldsBundleIds: fieldsBundleIds,
      include: include,
      fieldsBundleIdCapabilities: fieldsBundleIdCapabilities,
      fieldsProfiles: fieldsProfiles,
      fieldsApps: fieldsApps,
      limitBundleIdCapabilities: limitBundleIdCapabilities,
      limitProfiles: limitProfiles,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BundleIdResponse',
      ) as BundleIdResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/bundleIds/{id}/profiles' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> bundleIdsProfilesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsProfiles,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/bundleIds/{id}/profiles'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsProfiles != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[profiles]', fieldsProfiles));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<ProfilesResponse?> bundleIdsProfilesGetToManyRelated(
    String id, {
    List<String>? fieldsProfiles,
    int? limit,
  }) async {
    final response = await bundleIdsProfilesGetToManyRelatedWithHttpInfo(
      id,
      fieldsProfiles: fieldsProfiles,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ProfilesResponse',
      ) as ProfilesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/bundleIds/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BundleIdUpdateRequest] bundleIdUpdateRequest (required):
  ///   BundleId representation
  Future<Response> bundleIdsUpdateInstanceWithHttpInfo(
    String id,
    BundleIdUpdateRequest bundleIdUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/bundleIds/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = bundleIdUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [BundleIdUpdateRequest] bundleIdUpdateRequest (required):
  ///   BundleId representation
  Future<BundleIdResponse?> bundleIdsUpdateInstance(
    String id,
    BundleIdUpdateRequest bundleIdUpdateRequest,
  ) async {
    final response = await bundleIdsUpdateInstanceWithHttpInfo(
      id,
      bundleIdUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BundleIdResponse',
      ) as BundleIdResponse;
    }
    return null;
  }
}
