//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class CertificatesApi {
  CertificatesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/certificates' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [CertificateCreateRequest] certificateCreateRequest (required):
  ///   Certificate representation
  Future<Response> certificatesCreateInstanceWithHttpInfo(
    CertificateCreateRequest certificateCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/certificates';

    // ignore: prefer_final_locals
    Object? postBody = certificateCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [CertificateCreateRequest] certificateCreateRequest (required):
  ///   Certificate representation
  Future<CertificateResponse?> certificatesCreateInstance(
    CertificateCreateRequest certificateCreateRequest,
  ) async {
    final response = await certificatesCreateInstanceWithHttpInfo(
      certificateCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CertificateResponse',
      ) as CertificateResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/certificates/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> certificatesDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/certificates/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> certificatesDeleteInstance(
    String id,
  ) async {
    final response = await certificatesDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/certificates' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterCertificateType:
  ///   filter by attribute 'certificateType'
  ///
  /// * [List<String>] filterDisplayName:
  ///   filter by attribute 'displayName'
  ///
  /// * [List<String>] filterSerialNumber:
  ///   filter by attribute 'serialNumber'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> certificatesGetCollectionWithHttpInfo({
    List<String>? filterCertificateType,
    List<String>? filterDisplayName,
    List<String>? filterSerialNumber,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsCertificates,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/certificates';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterCertificateType != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[certificateType]', filterCertificateType));
    }
    if (filterDisplayName != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[displayName]', filterDisplayName));
    }
    if (filterSerialNumber != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[serialNumber]', filterSerialNumber));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsCertificates != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[certificates]', fieldsCertificates));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterCertificateType:
  ///   filter by attribute 'certificateType'
  ///
  /// * [List<String>] filterDisplayName:
  ///   filter by attribute 'displayName'
  ///
  /// * [List<String>] filterSerialNumber:
  ///   filter by attribute 'serialNumber'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<CertificatesResponse?> certificatesGetCollection({
    List<String>? filterCertificateType,
    List<String>? filterDisplayName,
    List<String>? filterSerialNumber,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsCertificates,
    int? limit,
  }) async {
    final response = await certificatesGetCollectionWithHttpInfo(
      filterCertificateType: filterCertificateType,
      filterDisplayName: filterDisplayName,
      filterSerialNumber: filterSerialNumber,
      filterId: filterId,
      sort: sort,
      fieldsCertificates: fieldsCertificates,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CertificatesResponse',
      ) as CertificatesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/certificates/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  Future<Response> certificatesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsCertificates,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/certificates/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCertificates != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[certificates]', fieldsCertificates));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  Future<CertificateResponse?> certificatesGetInstance(
    String id, {
    List<String>? fieldsCertificates,
  }) async {
    final response = await certificatesGetInstanceWithHttpInfo(
      id,
      fieldsCertificates: fieldsCertificates,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CertificateResponse',
      ) as CertificateResponse;
    }
    return null;
  }
}
