//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class CiBuildActionsApi {
  CiBuildActionsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/ciBuildActions/{id}/artifacts' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiArtifacts:
  ///   the fields to include for returned resources of type ciArtifacts
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> ciBuildActionsArtifactsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCiArtifacts,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildActions/{id}/artifacts'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiArtifacts != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciArtifacts]', fieldsCiArtifacts));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiArtifacts:
  ///   the fields to include for returned resources of type ciArtifacts
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<CiArtifactsResponse?> ciBuildActionsArtifactsGetToManyRelated(
    String id, {
    List<String>? fieldsCiArtifacts,
    int? limit,
  }) async {
    final response = await ciBuildActionsArtifactsGetToManyRelatedWithHttpInfo(
      id,
      fieldsCiArtifacts: fieldsCiArtifacts,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiArtifactsResponse',
      ) as CiArtifactsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciBuildActions/{id}/buildRun' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciBuildActionsBuildRunGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsCiProducts,
    List<String>? fieldsBuilds,
    int? limitBuilds,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildActions/{id}/buildRun'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsCiWorkflows != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciWorkflows]', fieldsCiWorkflows));
    }
    if (fieldsScmPullRequests != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmPullRequests]', fieldsScmPullRequests));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CiBuildRunResponse?> ciBuildActionsBuildRunGetToOneRelated(
    String id, {
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsCiProducts,
    List<String>? fieldsBuilds,
    int? limitBuilds,
    List<String>? include,
  }) async {
    final response = await ciBuildActionsBuildRunGetToOneRelatedWithHttpInfo(
      id,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsCiWorkflows: fieldsCiWorkflows,
      fieldsScmPullRequests: fieldsScmPullRequests,
      fieldsCiProducts: fieldsCiProducts,
      fieldsBuilds: fieldsBuilds,
      limitBuilds: limitBuilds,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiBuildRunResponse',
      ) as CiBuildRunResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciBuildActions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiBuildActions:
  ///   the fields to include for returned resources of type ciBuildActions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiIssues:
  ///   the fields to include for returned resources of type ciIssues
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiTestResults:
  ///   the fields to include for returned resources of type ciTestResults
  ///
  /// * [List<String>] fieldsCiArtifacts:
  ///   the fields to include for returned resources of type ciArtifacts
  Future<Response> ciBuildActionsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsCiBuildActions,
    List<String>? include,
    List<String>? fieldsCiIssues,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiTestResults,
    List<String>? fieldsCiArtifacts,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildActions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiBuildActions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildActions]', fieldsCiBuildActions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCiIssues != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciIssues]', fieldsCiIssues));
    }
    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsCiTestResults != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciTestResults]', fieldsCiTestResults));
    }
    if (fieldsCiArtifacts != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciArtifacts]', fieldsCiArtifacts));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiBuildActions:
  ///   the fields to include for returned resources of type ciBuildActions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiIssues:
  ///   the fields to include for returned resources of type ciIssues
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiTestResults:
  ///   the fields to include for returned resources of type ciTestResults
  ///
  /// * [List<String>] fieldsCiArtifacts:
  ///   the fields to include for returned resources of type ciArtifacts
  Future<CiBuildActionResponse?> ciBuildActionsGetInstance(
    String id, {
    List<String>? fieldsCiBuildActions,
    List<String>? include,
    List<String>? fieldsCiIssues,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiTestResults,
    List<String>? fieldsCiArtifacts,
  }) async {
    final response = await ciBuildActionsGetInstanceWithHttpInfo(
      id,
      fieldsCiBuildActions: fieldsCiBuildActions,
      include: include,
      fieldsCiIssues: fieldsCiIssues,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsCiTestResults: fieldsCiTestResults,
      fieldsCiArtifacts: fieldsCiArtifacts,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiBuildActionResponse',
      ) as CiBuildActionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciBuildActions/{id}/issues' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiIssues:
  ///   the fields to include for returned resources of type ciIssues
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> ciBuildActionsIssuesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCiIssues,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildActions/{id}/issues'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiIssues != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciIssues]', fieldsCiIssues));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiIssues:
  ///   the fields to include for returned resources of type ciIssues
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<CiIssuesResponse?> ciBuildActionsIssuesGetToManyRelated(
    String id, {
    List<String>? fieldsCiIssues,
    int? limit,
  }) async {
    final response = await ciBuildActionsIssuesGetToManyRelatedWithHttpInfo(
      id,
      fieldsCiIssues: fieldsCiIssues,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiIssuesResponse',
      ) as CiIssuesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciBuildActions/{id}/testResults' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiTestResults:
  ///   the fields to include for returned resources of type ciTestResults
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> ciBuildActionsTestResultsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCiTestResults,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildActions/{id}/testResults'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiTestResults != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciTestResults]', fieldsCiTestResults));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiTestResults:
  ///   the fields to include for returned resources of type ciTestResults
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<CiTestResultsResponse?> ciBuildActionsTestResultsGetToManyRelated(
    String id, {
    List<String>? fieldsCiTestResults,
    int? limit,
  }) async {
    final response =
        await ciBuildActionsTestResultsGetToManyRelatedWithHttpInfo(
      id,
      fieldsCiTestResults: fieldsCiTestResults,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiTestResultsResponse',
      ) as CiTestResultsResponse;
    }
    return null;
  }
}
