//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class CiBuildRunsApi {
  CiBuildRunsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/ciBuildRuns/{id}/actions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiBuildActions:
  ///   the fields to include for returned resources of type ciBuildActions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciBuildRunsActionsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiBuildActions,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildRuns/{id}/actions'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsCiBuildActions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildActions]', fieldsCiBuildActions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiBuildActions:
  ///   the fields to include for returned resources of type ciBuildActions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CiBuildActionsResponse?> ciBuildRunsActionsGetToManyRelated(
    String id, {
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiBuildActions,
    int? limit,
    List<String>? include,
  }) async {
    final response = await ciBuildRunsActionsGetToManyRelatedWithHttpInfo(
      id,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsCiBuildActions: fieldsCiBuildActions,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiBuildActionsResponse',
      ) as CiBuildActionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciBuildRuns/{id}/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBetaAppReviewSubmissionPeriodBetaReviewState:
  ///   filter by attribute 'betaAppReviewSubmission.betaReviewState'
  ///
  /// * [List<String>] filterBuildAudienceType:
  ///   filter by attribute 'buildAudienceType'
  ///
  /// * [List<String>] filterExpired:
  ///   filter by attribute 'expired'
  ///
  /// * [List<String>] filterPreReleaseVersionPeriodPlatform:
  ///   filter by attribute 'preReleaseVersion.platform'
  ///
  /// * [List<String>] filterPreReleaseVersionPeriodVersion:
  ///   filter by attribute 'preReleaseVersion.version'
  ///
  /// * [List<String>] filterProcessingState:
  ///   filter by attribute 'processingState'
  ///
  /// * [List<String>] filterUsesNonExemptEncryption:
  ///   filter by attribute 'usesNonExemptEncryption'
  ///
  /// * [List<String>] filterVersion:
  ///   filter by attribute 'version'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterAppStoreVersion:
  ///   filter by id(s) of related 'appStoreVersion'
  ///
  /// * [List<String>] filterBetaGroups:
  ///   filter by id(s) of related 'betaGroups'
  ///
  /// * [List<String>] filterPreReleaseVersion:
  ///   filter by id(s) of related 'preReleaseVersion'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBuildBundles:
  ///   the fields to include for returned resources of type buildBundles
  ///
  /// * [List<String>] fieldsBuildIcons:
  ///   the fields to include for returned resources of type buildIcons
  ///
  /// * [List<String>] fieldsBetaAppReviewSubmissions:
  ///   the fields to include for returned resources of type betaAppReviewSubmissions
  ///
  /// * [List<String>] fieldsBuildBetaDetails:
  ///   the fields to include for returned resources of type buildBetaDetails
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsBetaBuildLocalizations:
  ///   the fields to include for returned resources of type betaBuildLocalizations
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppEncryptionDeclarations:
  ///   the fields to include for returned resources of type appEncryptionDeclarations
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitIndividualTesters:
  ///   maximum number of related individualTesters returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBetaBuildLocalizations:
  ///   maximum number of related betaBuildLocalizations returned (when they are included)
  ///
  /// * [int] limitIcons:
  ///   maximum number of related icons returned (when they are included)
  ///
  /// * [int] limitBuildBundles:
  ///   maximum number of related buildBundles returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciBuildRunsBuildsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterBetaAppReviewSubmissionPeriodBetaReviewState,
    List<String>? filterBuildAudienceType,
    List<String>? filterExpired,
    List<String>? filterPreReleaseVersionPeriodPlatform,
    List<String>? filterPreReleaseVersionPeriodVersion,
    List<String>? filterProcessingState,
    List<String>? filterUsesNonExemptEncryption,
    List<String>? filterVersion,
    List<String>? filterApp,
    List<String>? filterAppStoreVersion,
    List<String>? filterBetaGroups,
    List<String>? filterPreReleaseVersion,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBuildBundles,
    List<String>? fieldsBuildIcons,
    List<String>? fieldsBetaAppReviewSubmissions,
    List<String>? fieldsBuildBetaDetails,
    List<String>? fieldsBetaTesters,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsBetaBuildLocalizations,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppEncryptionDeclarations,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaGroups,
    int? limit,
    int? limitIndividualTesters,
    int? limitBetaGroups,
    int? limitBetaBuildLocalizations,
    int? limitIcons,
    int? limitBuildBundles,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildRuns/{id}/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterBetaAppReviewSubmissionPeriodBetaReviewState != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[betaAppReviewSubmission.betaReviewState]',
          filterBetaAppReviewSubmissionPeriodBetaReviewState));
    }
    if (filterBuildAudienceType != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[buildAudienceType]', filterBuildAudienceType));
    }
    if (filterExpired != null) {
      queryParams.addAll(_queryParams('csv', 'filter[expired]', filterExpired));
    }
    if (filterPreReleaseVersionPeriodPlatform != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[preReleaseVersion.platform]',
          filterPreReleaseVersionPeriodPlatform));
    }
    if (filterPreReleaseVersionPeriodVersion != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[preReleaseVersion.version]',
          filterPreReleaseVersionPeriodVersion));
    }
    if (filterProcessingState != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[processingState]', filterProcessingState));
    }
    if (filterUsesNonExemptEncryption != null) {
      queryParams.addAll(_queryParams('csv', 'filter[usesNonExemptEncryption]',
          filterUsesNonExemptEncryption));
    }
    if (filterVersion != null) {
      queryParams.addAll(_queryParams('csv', 'filter[version]', filterVersion));
    }
    if (filterApp != null) {
      queryParams.addAll(_queryParams('csv', 'filter[app]', filterApp));
    }
    if (filterAppStoreVersion != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[appStoreVersion]', filterAppStoreVersion));
    }
    if (filterBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[betaGroups]', filterBetaGroups));
    }
    if (filterPreReleaseVersion != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[preReleaseVersion]', filterPreReleaseVersion));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsBuildBundles != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[buildBundles]', fieldsBuildBundles));
    }
    if (fieldsBuildIcons != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[buildIcons]', fieldsBuildIcons));
    }
    if (fieldsBetaAppReviewSubmissions != null) {
      queryParams.addAll(_queryParams('csv', 'fields[betaAppReviewSubmissions]',
          fieldsBetaAppReviewSubmissions));
    }
    if (fieldsBuildBetaDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[buildBetaDetails]', fieldsBuildBetaDetails));
    }
    if (fieldsBetaTesters != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[betaTesters]', fieldsBetaTesters));
    }
    if (fieldsPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[preReleaseVersions]', fieldsPreReleaseVersions));
    }
    if (fieldsBetaBuildLocalizations != null) {
      queryParams.addAll(_queryParams('csv', 'fields[betaBuildLocalizations]',
          fieldsBetaBuildLocalizations));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsAppEncryptionDeclarations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appEncryptionDeclarations]',
          fieldsAppEncryptionDeclarations));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitIndividualTesters != null) {
      queryParams.addAll(
          _queryParams('', 'limit[individualTesters]', limitIndividualTesters));
    }
    if (limitBetaGroups != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaGroups]', limitBetaGroups));
    }
    if (limitBetaBuildLocalizations != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[betaBuildLocalizations]', limitBetaBuildLocalizations));
    }
    if (limitIcons != null) {
      queryParams.addAll(_queryParams('', 'limit[icons]', limitIcons));
    }
    if (limitBuildBundles != null) {
      queryParams
          .addAll(_queryParams('', 'limit[buildBundles]', limitBuildBundles));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBetaAppReviewSubmissionPeriodBetaReviewState:
  ///   filter by attribute 'betaAppReviewSubmission.betaReviewState'
  ///
  /// * [List<String>] filterBuildAudienceType:
  ///   filter by attribute 'buildAudienceType'
  ///
  /// * [List<String>] filterExpired:
  ///   filter by attribute 'expired'
  ///
  /// * [List<String>] filterPreReleaseVersionPeriodPlatform:
  ///   filter by attribute 'preReleaseVersion.platform'
  ///
  /// * [List<String>] filterPreReleaseVersionPeriodVersion:
  ///   filter by attribute 'preReleaseVersion.version'
  ///
  /// * [List<String>] filterProcessingState:
  ///   filter by attribute 'processingState'
  ///
  /// * [List<String>] filterUsesNonExemptEncryption:
  ///   filter by attribute 'usesNonExemptEncryption'
  ///
  /// * [List<String>] filterVersion:
  ///   filter by attribute 'version'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterAppStoreVersion:
  ///   filter by id(s) of related 'appStoreVersion'
  ///
  /// * [List<String>] filterBetaGroups:
  ///   filter by id(s) of related 'betaGroups'
  ///
  /// * [List<String>] filterPreReleaseVersion:
  ///   filter by id(s) of related 'preReleaseVersion'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsBuildBundles:
  ///   the fields to include for returned resources of type buildBundles
  ///
  /// * [List<String>] fieldsBuildIcons:
  ///   the fields to include for returned resources of type buildIcons
  ///
  /// * [List<String>] fieldsBetaAppReviewSubmissions:
  ///   the fields to include for returned resources of type betaAppReviewSubmissions
  ///
  /// * [List<String>] fieldsBuildBetaDetails:
  ///   the fields to include for returned resources of type buildBetaDetails
  ///
  /// * [List<String>] fieldsBetaTesters:
  ///   the fields to include for returned resources of type betaTesters
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsBetaBuildLocalizations:
  ///   the fields to include for returned resources of type betaBuildLocalizations
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppEncryptionDeclarations:
  ///   the fields to include for returned resources of type appEncryptionDeclarations
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitIndividualTesters:
  ///   maximum number of related individualTesters returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBetaBuildLocalizations:
  ///   maximum number of related betaBuildLocalizations returned (when they are included)
  ///
  /// * [int] limitIcons:
  ///   maximum number of related icons returned (when they are included)
  ///
  /// * [int] limitBuildBundles:
  ///   maximum number of related buildBundles returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<BuildsResponse?> ciBuildRunsBuildsGetToManyRelated(
    String id, {
    List<String>? filterBetaAppReviewSubmissionPeriodBetaReviewState,
    List<String>? filterBuildAudienceType,
    List<String>? filterExpired,
    List<String>? filterPreReleaseVersionPeriodPlatform,
    List<String>? filterPreReleaseVersionPeriodVersion,
    List<String>? filterProcessingState,
    List<String>? filterUsesNonExemptEncryption,
    List<String>? filterVersion,
    List<String>? filterApp,
    List<String>? filterAppStoreVersion,
    List<String>? filterBetaGroups,
    List<String>? filterPreReleaseVersion,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsBuildBundles,
    List<String>? fieldsBuildIcons,
    List<String>? fieldsBetaAppReviewSubmissions,
    List<String>? fieldsBuildBetaDetails,
    List<String>? fieldsBetaTesters,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsBetaBuildLocalizations,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppEncryptionDeclarations,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaGroups,
    int? limit,
    int? limitIndividualTesters,
    int? limitBetaGroups,
    int? limitBetaBuildLocalizations,
    int? limitIcons,
    int? limitBuildBundles,
    List<String>? include,
  }) async {
    final response = await ciBuildRunsBuildsGetToManyRelatedWithHttpInfo(
      id,
      filterBetaAppReviewSubmissionPeriodBetaReviewState:
          filterBetaAppReviewSubmissionPeriodBetaReviewState,
      filterBuildAudienceType: filterBuildAudienceType,
      filterExpired: filterExpired,
      filterPreReleaseVersionPeriodPlatform:
          filterPreReleaseVersionPeriodPlatform,
      filterPreReleaseVersionPeriodVersion:
          filterPreReleaseVersionPeriodVersion,
      filterProcessingState: filterProcessingState,
      filterUsesNonExemptEncryption: filterUsesNonExemptEncryption,
      filterVersion: filterVersion,
      filterApp: filterApp,
      filterAppStoreVersion: filterAppStoreVersion,
      filterBetaGroups: filterBetaGroups,
      filterPreReleaseVersion: filterPreReleaseVersion,
      filterId: filterId,
      sort: sort,
      fieldsBuildBundles: fieldsBuildBundles,
      fieldsBuildIcons: fieldsBuildIcons,
      fieldsBetaAppReviewSubmissions: fieldsBetaAppReviewSubmissions,
      fieldsBuildBetaDetails: fieldsBuildBetaDetails,
      fieldsBetaTesters: fieldsBetaTesters,
      fieldsPreReleaseVersions: fieldsPreReleaseVersions,
      fieldsBetaBuildLocalizations: fieldsBetaBuildLocalizations,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsAppEncryptionDeclarations: fieldsAppEncryptionDeclarations,
      fieldsApps: fieldsApps,
      fieldsBuilds: fieldsBuilds,
      fieldsBetaGroups: fieldsBetaGroups,
      limit: limit,
      limitIndividualTesters: limitIndividualTesters,
      limitBetaGroups: limitBetaGroups,
      limitBetaBuildLocalizations: limitBetaBuildLocalizations,
      limitIcons: limitIcons,
      limitBuildBundles: limitBuildBundles,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildsResponse',
      ) as BuildsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/ciBuildRuns' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [CiBuildRunCreateRequest] ciBuildRunCreateRequest (required):
  ///   CiBuildRun representation
  Future<Response> ciBuildRunsCreateInstanceWithHttpInfo(
    CiBuildRunCreateRequest ciBuildRunCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildRuns';

    // ignore: prefer_final_locals
    Object? postBody = ciBuildRunCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [CiBuildRunCreateRequest] ciBuildRunCreateRequest (required):
  ///   CiBuildRun representation
  Future<CiBuildRunResponse?> ciBuildRunsCreateInstance(
    CiBuildRunCreateRequest ciBuildRunCreateRequest,
  ) async {
    final response = await ciBuildRunsCreateInstanceWithHttpInfo(
      ciBuildRunCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiBuildRunResponse',
      ) as CiBuildRunResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciBuildRuns/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildActions:
  ///   the fields to include for returned resources of type ciBuildActions
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<Response> ciBuildRunsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsCiBuildRuns,
    List<String>? include,
    List<String>? fieldsCiBuildActions,
    List<String>? fieldsBuilds,
    int? limitBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciBuildRuns/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCiBuildActions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildActions]', fieldsCiBuildActions));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildActions:
  ///   the fields to include for returned resources of type ciBuildActions
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<CiBuildRunResponse?> ciBuildRunsGetInstance(
    String id, {
    List<String>? fieldsCiBuildRuns,
    List<String>? include,
    List<String>? fieldsCiBuildActions,
    List<String>? fieldsBuilds,
    int? limitBuilds,
  }) async {
    final response = await ciBuildRunsGetInstanceWithHttpInfo(
      id,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      include: include,
      fieldsCiBuildActions: fieldsCiBuildActions,
      fieldsBuilds: fieldsBuilds,
      limitBuilds: limitBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiBuildRunResponse',
      ) as CiBuildRunResponse;
    }
    return null;
  }
}
