//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class CiProductsApi {
  CiProductsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/ciProducts/{id}/additionalRepositories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciProductsAdditionalRepositoriesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterId,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/ciProducts/{id}/additionalRepositories'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsScmProviders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[scmProviders]', fieldsScmProviders));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ScmRepositoriesResponse?>
      ciProductsAdditionalRepositoriesGetToManyRelated(
    String id, {
    List<String>? filterId,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await ciProductsAdditionalRepositoriesGetToManyRelatedWithHttpInfo(
      id,
      filterId: filterId,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsScmProviders: fieldsScmProviders,
      fieldsScmRepositories: fieldsScmRepositories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmRepositoriesResponse',
      ) as ScmRepositoriesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciProducts/{id}/app' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsInAppPurchases2:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitAppStoreVersions:
  ///   maximum number of related appStoreVersions returned (when they are included)
  ///
  /// * [int] limitPreReleaseVersions:
  ///   maximum number of related preReleaseVersions returned (when they are included)
  ///
  /// * [int] limitBetaAppLocalizations:
  ///   maximum number of related betaAppLocalizations returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [int] limitAppInfos:
  ///   maximum number of related appInfos returned (when they are included)
  ///
  /// * [int] limitAppClips:
  ///   maximum number of related appClips returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [int] limitInAppPurchases:
  ///   maximum number of related inAppPurchases returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroups:
  ///   maximum number of related subscriptionGroups returned (when they are included)
  ///
  /// * [int] limitGameCenterEnabledVersions:
  ///   maximum number of related gameCenterEnabledVersions returned (when they are included)
  ///
  /// * [int] limitAppCustomProductPages:
  ///   maximum number of related appCustomProductPages returned (when they are included)
  ///
  /// * [int] limitInAppPurchasesV2:
  ///   maximum number of related inAppPurchasesV2 returned (when they are included)
  ///
  /// * [int] limitPromotedPurchases:
  ///   maximum number of related promotedPurchases returned (when they are included)
  ///
  /// * [int] limitAppEvents:
  ///   maximum number of related appEvents returned (when they are included)
  ///
  /// * [int] limitReviewSubmissions:
  ///   maximum number of related reviewSubmissions returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciProductsAppGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? fieldsCiProducts,
    List<String>? fieldsReviewSubmissions,
    List<String>? fieldsBetaGroups,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsApps,
    List<String>? fieldsAppEvents,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaLicenseAgreements,
    List<String>? fieldsAppClips,
    List<String>? fieldsBetaAppLocalizations,
    List<String>? fieldsAppInfos,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsInAppPurchases2,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsAppPreOrders,
    List<String>? fieldsAppPrices,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsSubscriptionGracePeriods,
    List<String>? fieldsEndUserLicenseAgreements,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsTerritories,
    int? limitBetaGroups,
    int? limitAppStoreVersions,
    int? limitPreReleaseVersions,
    int? limitBetaAppLocalizations,
    int? limitBuilds,
    int? limitAppInfos,
    int? limitAppClips,
    int? limitPrices,
    int? limitAvailableTerritories,
    int? limitInAppPurchases,
    int? limitSubscriptionGroups,
    int? limitGameCenterEnabledVersions,
    int? limitAppCustomProductPages,
    int? limitInAppPurchasesV2,
    int? limitPromotedPurchases,
    int? limitAppEvents,
    int? limitReviewSubmissions,
    int? limitAppStoreVersionExperimentsV2,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciProducts/{id}/app'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaAppReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppReviewDetails]', fieldsBetaAppReviewDetails));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsReviewSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissions]', fieldsReviewSubmissions));
    }
    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsAppEvents != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appEvents]', fieldsAppEvents));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsBetaLicenseAgreements != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaLicenseAgreements]', fieldsBetaLicenseAgreements));
    }
    if (fieldsAppClips != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appClips]', fieldsAppClips));
    }
    if (fieldsBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppLocalizations]', fieldsBetaAppLocalizations));
    }
    if (fieldsAppInfos != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appInfos]', fieldsAppInfos));
    }
    if (fieldsPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[preReleaseVersions]', fieldsPreReleaseVersions));
    }
    if (fieldsInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases));
    }
    if (fieldsInAppPurchases2 != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases2));
    }
    if (fieldsSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionGroups]', fieldsSubscriptionGroups));
    }
    if (fieldsAppPreOrders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreOrders]', fieldsAppPreOrders));
    }
    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (fieldsGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[gameCenterEnabledVersions]',
          fieldsGameCenterEnabledVersions));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsSubscriptionGracePeriods != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionGracePeriods]',
          fieldsSubscriptionGracePeriods));
    }
    if (fieldsEndUserLicenseAgreements != null) {
      queryParams.addAll(_queryParams('csv', 'fields[endUserLicenseAgreements]',
          fieldsEndUserLicenseAgreements));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsAppCustomProductPages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appCustomProductPages]', fieldsAppCustomProductPages));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limitBetaGroups != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaGroups]', limitBetaGroups));
    }
    if (limitAppStoreVersions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[appStoreVersions]', limitAppStoreVersions));
    }
    if (limitPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[preReleaseVersions]', limitPreReleaseVersions));
    }
    if (limitBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[betaAppLocalizations]', limitBetaAppLocalizations));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }
    if (limitAppInfos != null) {
      queryParams.addAll(_queryParams('', 'limit[appInfos]', limitAppInfos));
    }
    if (limitAppClips != null) {
      queryParams.addAll(_queryParams('', 'limit[appClips]', limitAppClips));
    }
    if (limitPrices != null) {
      queryParams.addAll(_queryParams('', 'limit[prices]', limitPrices));
    }
    if (limitAvailableTerritories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[availableTerritories]', limitAvailableTerritories));
    }
    if (limitInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('', 'limit[inAppPurchases]', limitInAppPurchases));
    }
    if (limitSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[subscriptionGroups]', limitSubscriptionGroups));
    }
    if (limitGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams('', 'limit[gameCenterEnabledVersions]',
          limitGameCenterEnabledVersions));
    }
    if (limitAppCustomProductPages != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[appCustomProductPages]', limitAppCustomProductPages));
    }
    if (limitInAppPurchasesV2 != null) {
      queryParams.addAll(
          _queryParams('', 'limit[inAppPurchasesV2]', limitInAppPurchasesV2));
    }
    if (limitPromotedPurchases != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotedPurchases]', limitPromotedPurchases));
    }
    if (limitAppEvents != null) {
      queryParams.addAll(_queryParams('', 'limit[appEvents]', limitAppEvents));
    }
    if (limitReviewSubmissions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[reviewSubmissions]', limitReviewSubmissions));
    }
    if (limitAppStoreVersionExperimentsV2 != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionExperimentsV2]',
          limitAppStoreVersionExperimentsV2));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsInAppPurchases2:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitAppStoreVersions:
  ///   maximum number of related appStoreVersions returned (when they are included)
  ///
  /// * [int] limitPreReleaseVersions:
  ///   maximum number of related preReleaseVersions returned (when they are included)
  ///
  /// * [int] limitBetaAppLocalizations:
  ///   maximum number of related betaAppLocalizations returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [int] limitAppInfos:
  ///   maximum number of related appInfos returned (when they are included)
  ///
  /// * [int] limitAppClips:
  ///   maximum number of related appClips returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [int] limitInAppPurchases:
  ///   maximum number of related inAppPurchases returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroups:
  ///   maximum number of related subscriptionGroups returned (when they are included)
  ///
  /// * [int] limitGameCenterEnabledVersions:
  ///   maximum number of related gameCenterEnabledVersions returned (when they are included)
  ///
  /// * [int] limitAppCustomProductPages:
  ///   maximum number of related appCustomProductPages returned (when they are included)
  ///
  /// * [int] limitInAppPurchasesV2:
  ///   maximum number of related inAppPurchasesV2 returned (when they are included)
  ///
  /// * [int] limitPromotedPurchases:
  ///   maximum number of related promotedPurchases returned (when they are included)
  ///
  /// * [int] limitAppEvents:
  ///   maximum number of related appEvents returned (when they are included)
  ///
  /// * [int] limitReviewSubmissions:
  ///   maximum number of related reviewSubmissions returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppResponse?> ciProductsAppGetToOneRelated(
    String id, {
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? fieldsCiProducts,
    List<String>? fieldsReviewSubmissions,
    List<String>? fieldsBetaGroups,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsApps,
    List<String>? fieldsAppEvents,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaLicenseAgreements,
    List<String>? fieldsAppClips,
    List<String>? fieldsBetaAppLocalizations,
    List<String>? fieldsAppInfos,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsInAppPurchases2,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsAppPreOrders,
    List<String>? fieldsAppPrices,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsSubscriptionGracePeriods,
    List<String>? fieldsEndUserLicenseAgreements,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsTerritories,
    int? limitBetaGroups,
    int? limitAppStoreVersions,
    int? limitPreReleaseVersions,
    int? limitBetaAppLocalizations,
    int? limitBuilds,
    int? limitAppInfos,
    int? limitAppClips,
    int? limitPrices,
    int? limitAvailableTerritories,
    int? limitInAppPurchases,
    int? limitSubscriptionGroups,
    int? limitGameCenterEnabledVersions,
    int? limitAppCustomProductPages,
    int? limitInAppPurchasesV2,
    int? limitPromotedPurchases,
    int? limitAppEvents,
    int? limitReviewSubmissions,
    int? limitAppStoreVersionExperimentsV2,
    List<String>? include,
  }) async {
    final response = await ciProductsAppGetToOneRelatedWithHttpInfo(
      id,
      fieldsBetaAppReviewDetails: fieldsBetaAppReviewDetails,
      fieldsCiProducts: fieldsCiProducts,
      fieldsReviewSubmissions: fieldsReviewSubmissions,
      fieldsBetaGroups: fieldsBetaGroups,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsApps: fieldsApps,
      fieldsAppEvents: fieldsAppEvents,
      fieldsBuilds: fieldsBuilds,
      fieldsBetaLicenseAgreements: fieldsBetaLicenseAgreements,
      fieldsAppClips: fieldsAppClips,
      fieldsBetaAppLocalizations: fieldsBetaAppLocalizations,
      fieldsAppInfos: fieldsAppInfos,
      fieldsPreReleaseVersions: fieldsPreReleaseVersions,
      fieldsInAppPurchases: fieldsInAppPurchases,
      fieldsInAppPurchases2: fieldsInAppPurchases2,
      fieldsSubscriptionGroups: fieldsSubscriptionGroups,
      fieldsAppPreOrders: fieldsAppPreOrders,
      fieldsAppPrices: fieldsAppPrices,
      fieldsGameCenterEnabledVersions: fieldsGameCenterEnabledVersions,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsSubscriptionGracePeriods: fieldsSubscriptionGracePeriods,
      fieldsEndUserLicenseAgreements: fieldsEndUserLicenseAgreements,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsAppCustomProductPages: fieldsAppCustomProductPages,
      fieldsTerritories: fieldsTerritories,
      limitBetaGroups: limitBetaGroups,
      limitAppStoreVersions: limitAppStoreVersions,
      limitPreReleaseVersions: limitPreReleaseVersions,
      limitBetaAppLocalizations: limitBetaAppLocalizations,
      limitBuilds: limitBuilds,
      limitAppInfos: limitAppInfos,
      limitAppClips: limitAppClips,
      limitPrices: limitPrices,
      limitAvailableTerritories: limitAvailableTerritories,
      limitInAppPurchases: limitInAppPurchases,
      limitSubscriptionGroups: limitSubscriptionGroups,
      limitGameCenterEnabledVersions: limitGameCenterEnabledVersions,
      limitAppCustomProductPages: limitAppCustomProductPages,
      limitInAppPurchasesV2: limitInAppPurchasesV2,
      limitPromotedPurchases: limitPromotedPurchases,
      limitAppEvents: limitAppEvents,
      limitReviewSubmissions: limitReviewSubmissions,
      limitAppStoreVersionExperimentsV2: limitAppStoreVersionExperimentsV2,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciProducts/{id}/buildRuns' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciProductsBuildRunsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterBuilds,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsCiProducts,
    List<String>? fieldsBuilds,
    int? limit,
    int? limitBuilds,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciProducts/{id}/buildRuns'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'filter[builds]', filterBuilds));
    }
    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsCiWorkflows != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciWorkflows]', fieldsCiWorkflows));
    }
    if (fieldsScmPullRequests != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmPullRequests]', fieldsScmPullRequests));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CiBuildRunsResponse?> ciProductsBuildRunsGetToManyRelated(
    String id, {
    List<String>? filterBuilds,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsCiProducts,
    List<String>? fieldsBuilds,
    int? limit,
    int? limitBuilds,
    List<String>? include,
  }) async {
    final response = await ciProductsBuildRunsGetToManyRelatedWithHttpInfo(
      id,
      filterBuilds: filterBuilds,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsCiWorkflows: fieldsCiWorkflows,
      fieldsScmPullRequests: fieldsScmPullRequests,
      fieldsCiProducts: fieldsCiProducts,
      fieldsBuilds: fieldsBuilds,
      limit: limit,
      limitBuilds: limitBuilds,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiBuildRunsResponse',
      ) as CiBuildRunsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/ciProducts/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> ciProductsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciProducts/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> ciProductsDeleteInstance(
    String id,
  ) async {
    final response = await ciProductsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/ciProducts' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterProductType:
  ///   filter by attribute 'productType'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limitPrimaryRepositories:
  ///   maximum number of related primaryRepositories returned (when they are included)
  Future<Response> ciProductsGetCollectionWithHttpInfo({
    List<String>? filterProductType,
    List<String>? filterApp,
    List<String>? fieldsCiProducts,
    int? limit,
    List<String>? include,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsApps,
    List<String>? fieldsScmRepositories,
    int? limitPrimaryRepositories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciProducts';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterProductType != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[productType]', filterProductType));
    }
    if (filterApp != null) {
      queryParams.addAll(_queryParams('csv', 'filter[app]', filterApp));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsCiWorkflows != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciWorkflows]', fieldsCiWorkflows));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limitPrimaryRepositories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[primaryRepositories]', limitPrimaryRepositories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterProductType:
  ///   filter by attribute 'productType'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limitPrimaryRepositories:
  ///   maximum number of related primaryRepositories returned (when they are included)
  Future<CiProductsResponse?> ciProductsGetCollection({
    List<String>? filterProductType,
    List<String>? filterApp,
    List<String>? fieldsCiProducts,
    int? limit,
    List<String>? include,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsApps,
    List<String>? fieldsScmRepositories,
    int? limitPrimaryRepositories,
  }) async {
    final response = await ciProductsGetCollectionWithHttpInfo(
      filterProductType: filterProductType,
      filterApp: filterApp,
      fieldsCiProducts: fieldsCiProducts,
      limit: limit,
      include: include,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsCiWorkflows: fieldsCiWorkflows,
      fieldsApps: fieldsApps,
      fieldsScmRepositories: fieldsScmRepositories,
      limitPrimaryRepositories: limitPrimaryRepositories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiProductsResponse',
      ) as CiProductsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciProducts/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limitPrimaryRepositories:
  ///   maximum number of related primaryRepositories returned (when they are included)
  Future<Response> ciProductsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsCiProducts,
    List<String>? include,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsApps,
    List<String>? fieldsScmRepositories,
    int? limitPrimaryRepositories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciProducts/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsCiWorkflows != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciWorkflows]', fieldsCiWorkflows));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limitPrimaryRepositories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[primaryRepositories]', limitPrimaryRepositories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limitPrimaryRepositories:
  ///   maximum number of related primaryRepositories returned (when they are included)
  Future<CiProductResponse?> ciProductsGetInstance(
    String id, {
    List<String>? fieldsCiProducts,
    List<String>? include,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsApps,
    List<String>? fieldsScmRepositories,
    int? limitPrimaryRepositories,
  }) async {
    final response = await ciProductsGetInstanceWithHttpInfo(
      id,
      fieldsCiProducts: fieldsCiProducts,
      include: include,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsCiWorkflows: fieldsCiWorkflows,
      fieldsApps: fieldsApps,
      fieldsScmRepositories: fieldsScmRepositories,
      limitPrimaryRepositories: limitPrimaryRepositories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiProductResponse',
      ) as CiProductResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciProducts/{id}/primaryRepositories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciProductsPrimaryRepositoriesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterId,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/ciProducts/{id}/primaryRepositories'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsScmProviders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[scmProviders]', fieldsScmProviders));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ScmRepositoriesResponse?>
      ciProductsPrimaryRepositoriesGetToManyRelated(
    String id, {
    List<String>? filterId,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await ciProductsPrimaryRepositoriesGetToManyRelatedWithHttpInfo(
      id,
      filterId: filterId,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsScmProviders: fieldsScmProviders,
      fieldsScmRepositories: fieldsScmRepositories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmRepositoriesResponse',
      ) as ScmRepositoriesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciProducts/{id}/workflows' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciProductsWorkflowsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCiXcodeVersions,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsCiMacOsVersions,
    List<String>? fieldsCiProducts,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciProducts/{id}/workflows'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiXcodeVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciXcodeVersions]', fieldsCiXcodeVersions));
    }
    if (fieldsCiWorkflows != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciWorkflows]', fieldsCiWorkflows));
    }
    if (fieldsCiMacOsVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciMacOsVersions]', fieldsCiMacOsVersions));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CiWorkflowsResponse?> ciProductsWorkflowsGetToManyRelated(
    String id, {
    List<String>? fieldsCiXcodeVersions,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsCiMacOsVersions,
    List<String>? fieldsCiProducts,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    final response = await ciProductsWorkflowsGetToManyRelatedWithHttpInfo(
      id,
      fieldsCiXcodeVersions: fieldsCiXcodeVersions,
      fieldsCiWorkflows: fieldsCiWorkflows,
      fieldsCiMacOsVersions: fieldsCiMacOsVersions,
      fieldsCiProducts: fieldsCiProducts,
      fieldsScmRepositories: fieldsScmRepositories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiWorkflowsResponse',
      ) as CiWorkflowsResponse;
    }
    return null;
  }
}
