//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class CiWorkflowsApi {
  CiWorkflowsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/ciWorkflows/{id}/buildRuns' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciWorkflowsBuildRunsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterBuilds,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsCiProducts,
    List<String>? fieldsBuilds,
    int? limit,
    int? limitBuilds,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciWorkflows/{id}/buildRuns'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'filter[builds]', filterBuilds));
    }
    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsCiWorkflows != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciWorkflows]', fieldsCiWorkflows));
    }
    if (fieldsScmPullRequests != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmPullRequests]', fieldsScmPullRequests));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CiBuildRunsResponse?> ciWorkflowsBuildRunsGetToManyRelated(
    String id, {
    List<String>? filterBuilds,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsCiWorkflows,
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsCiProducts,
    List<String>? fieldsBuilds,
    int? limit,
    int? limitBuilds,
    List<String>? include,
  }) async {
    final response = await ciWorkflowsBuildRunsGetToManyRelatedWithHttpInfo(
      id,
      filterBuilds: filterBuilds,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsCiWorkflows: fieldsCiWorkflows,
      fieldsScmPullRequests: fieldsScmPullRequests,
      fieldsCiProducts: fieldsCiProducts,
      fieldsBuilds: fieldsBuilds,
      limit: limit,
      limitBuilds: limitBuilds,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiBuildRunsResponse',
      ) as CiBuildRunsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/ciWorkflows' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [CiWorkflowCreateRequest] ciWorkflowCreateRequest (required):
  ///   CiWorkflow representation
  Future<Response> ciWorkflowsCreateInstanceWithHttpInfo(
    CiWorkflowCreateRequest ciWorkflowCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciWorkflows';

    // ignore: prefer_final_locals
    Object? postBody = ciWorkflowCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [CiWorkflowCreateRequest] ciWorkflowCreateRequest (required):
  ///   CiWorkflow representation
  Future<CiWorkflowResponse?> ciWorkflowsCreateInstance(
    CiWorkflowCreateRequest ciWorkflowCreateRequest,
  ) async {
    final response = await ciWorkflowsCreateInstanceWithHttpInfo(
      ciWorkflowCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiWorkflowResponse',
      ) as CiWorkflowResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/ciWorkflows/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> ciWorkflowsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciWorkflows/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> ciWorkflowsDeleteInstance(
    String id,
  ) async {
    final response = await ciWorkflowsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/ciWorkflows/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  Future<Response> ciWorkflowsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsCiWorkflows,
    List<String>? include,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsScmRepositories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciWorkflows/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiWorkflows != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciWorkflows]', fieldsCiWorkflows));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCiBuildRuns != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[ciBuildRuns]', fieldsCiBuildRuns));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiWorkflows:
  ///   the fields to include for returned resources of type ciWorkflows
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiBuildRuns:
  ///   the fields to include for returned resources of type ciBuildRuns
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  Future<CiWorkflowResponse?> ciWorkflowsGetInstance(
    String id, {
    List<String>? fieldsCiWorkflows,
    List<String>? include,
    List<String>? fieldsCiBuildRuns,
    List<String>? fieldsScmRepositories,
  }) async {
    final response = await ciWorkflowsGetInstanceWithHttpInfo(
      id,
      fieldsCiWorkflows: fieldsCiWorkflows,
      include: include,
      fieldsCiBuildRuns: fieldsCiBuildRuns,
      fieldsScmRepositories: fieldsScmRepositories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiWorkflowResponse',
      ) as CiWorkflowResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciWorkflows/{id}/repository' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciWorkflowsRepositoryGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciWorkflows/{id}/repository'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsScmProviders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[scmProviders]', fieldsScmProviders));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ScmRepositoryResponse?> ciWorkflowsRepositoryGetToOneRelated(
    String id, {
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    List<String>? include,
  }) async {
    final response = await ciWorkflowsRepositoryGetToOneRelatedWithHttpInfo(
      id,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsScmProviders: fieldsScmProviders,
      fieldsScmRepositories: fieldsScmRepositories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmRepositoryResponse',
      ) as ScmRepositoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/ciWorkflows/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [CiWorkflowUpdateRequest] ciWorkflowUpdateRequest (required):
  ///   CiWorkflow representation
  Future<Response> ciWorkflowsUpdateInstanceWithHttpInfo(
    String id,
    CiWorkflowUpdateRequest ciWorkflowUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciWorkflows/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = ciWorkflowUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [CiWorkflowUpdateRequest] ciWorkflowUpdateRequest (required):
  ///   CiWorkflow representation
  Future<CiWorkflowResponse?> ciWorkflowsUpdateInstance(
    String id,
    CiWorkflowUpdateRequest ciWorkflowUpdateRequest,
  ) async {
    final response = await ciWorkflowsUpdateInstanceWithHttpInfo(
      id,
      ciWorkflowUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiWorkflowResponse',
      ) as CiWorkflowResponse;
    }
    return null;
  }
}
