//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class CiXcodeVersionsApi {
  CiXcodeVersionsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/ciXcodeVersions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [int] limitMacOsVersions:
  ///   maximum number of related macOsVersions returned (when they are included)
  Future<Response> ciXcodeVersionsGetCollectionWithHttpInfo({
    List<String>? fieldsCiXcodeVersions,
    int? limit,
    List<String>? include,
    List<String>? fieldsCiMacOsVersions,
    int? limitMacOsVersions,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciXcodeVersions';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiXcodeVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciXcodeVersions]', fieldsCiXcodeVersions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCiMacOsVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciMacOsVersions]', fieldsCiMacOsVersions));
    }
    if (limitMacOsVersions != null) {
      queryParams
          .addAll(_queryParams('', 'limit[macOsVersions]', limitMacOsVersions));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [int] limitMacOsVersions:
  ///   maximum number of related macOsVersions returned (when they are included)
  Future<CiXcodeVersionsResponse?> ciXcodeVersionsGetCollection({
    List<String>? fieldsCiXcodeVersions,
    int? limit,
    List<String>? include,
    List<String>? fieldsCiMacOsVersions,
    int? limitMacOsVersions,
  }) async {
    final response = await ciXcodeVersionsGetCollectionWithHttpInfo(
      fieldsCiXcodeVersions: fieldsCiXcodeVersions,
      limit: limit,
      include: include,
      fieldsCiMacOsVersions: fieldsCiMacOsVersions,
      limitMacOsVersions: limitMacOsVersions,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiXcodeVersionsResponse',
      ) as CiXcodeVersionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciXcodeVersions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [int] limitMacOsVersions:
  ///   maximum number of related macOsVersions returned (when they are included)
  Future<Response> ciXcodeVersionsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsCiXcodeVersions,
    List<String>? include,
    List<String>? fieldsCiMacOsVersions,
    int? limitMacOsVersions,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/ciXcodeVersions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiXcodeVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciXcodeVersions]', fieldsCiXcodeVersions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCiMacOsVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciMacOsVersions]', fieldsCiMacOsVersions));
    }
    if (limitMacOsVersions != null) {
      queryParams
          .addAll(_queryParams('', 'limit[macOsVersions]', limitMacOsVersions));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [int] limitMacOsVersions:
  ///   maximum number of related macOsVersions returned (when they are included)
  Future<CiXcodeVersionResponse?> ciXcodeVersionsGetInstance(
    String id, {
    List<String>? fieldsCiXcodeVersions,
    List<String>? include,
    List<String>? fieldsCiMacOsVersions,
    int? limitMacOsVersions,
  }) async {
    final response = await ciXcodeVersionsGetInstanceWithHttpInfo(
      id,
      fieldsCiXcodeVersions: fieldsCiXcodeVersions,
      include: include,
      fieldsCiMacOsVersions: fieldsCiMacOsVersions,
      limitMacOsVersions: limitMacOsVersions,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiXcodeVersionResponse',
      ) as CiXcodeVersionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/ciXcodeVersions/{id}/macOsVersions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitXcodeVersions:
  ///   maximum number of related xcodeVersions returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> ciXcodeVersionsMacOsVersionsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCiXcodeVersions,
    List<String>? fieldsCiMacOsVersions,
    int? limit,
    int? limitXcodeVersions,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/ciXcodeVersions/{id}/macOsVersions'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiXcodeVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciXcodeVersions]', fieldsCiXcodeVersions));
    }
    if (fieldsCiMacOsVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ciMacOsVersions]', fieldsCiMacOsVersions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitXcodeVersions != null) {
      queryParams
          .addAll(_queryParams('', 'limit[xcodeVersions]', limitXcodeVersions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiXcodeVersions:
  ///   the fields to include for returned resources of type ciXcodeVersions
  ///
  /// * [List<String>] fieldsCiMacOsVersions:
  ///   the fields to include for returned resources of type ciMacOsVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitXcodeVersions:
  ///   maximum number of related xcodeVersions returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CiMacOsVersionsResponse?> ciXcodeVersionsMacOsVersionsGetToManyRelated(
    String id, {
    List<String>? fieldsCiXcodeVersions,
    List<String>? fieldsCiMacOsVersions,
    int? limit,
    int? limitXcodeVersions,
    List<String>? include,
  }) async {
    final response =
        await ciXcodeVersionsMacOsVersionsGetToManyRelatedWithHttpInfo(
      id,
      fieldsCiXcodeVersions: fieldsCiXcodeVersions,
      fieldsCiMacOsVersions: fieldsCiMacOsVersions,
      limit: limit,
      limitXcodeVersions: limitXcodeVersions,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiMacOsVersionsResponse',
      ) as CiMacOsVersionsResponse;
    }
    return null;
  }
}
