//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class CustomerReviewsApi {
  CustomerReviewsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/customerReviews/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  Future<Response> customerReviewsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsCustomerReviews,
    List<String>? include,
    List<String>? fieldsCustomerReviewResponses,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/customerReviews/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCustomerReviews != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[customerReviews]', fieldsCustomerReviews));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCustomerReviewResponses != null) {
      queryParams.addAll(_queryParams('csv', 'fields[customerReviewResponses]',
          fieldsCustomerReviewResponses));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  Future<CustomerReviewResponse?> customerReviewsGetInstance(
    String id, {
    List<String>? fieldsCustomerReviews,
    List<String>? include,
    List<String>? fieldsCustomerReviewResponses,
  }) async {
    final response = await customerReviewsGetInstanceWithHttpInfo(
      id,
      fieldsCustomerReviews: fieldsCustomerReviews,
      include: include,
      fieldsCustomerReviewResponses: fieldsCustomerReviewResponses,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CustomerReviewResponse',
      ) as CustomerReviewResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/customerReviews/{id}/response' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> customerReviewsResponseGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsCustomerReviewResponses,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/customerReviews/{id}/response'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCustomerReviews != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[customerReviews]', fieldsCustomerReviews));
    }
    if (fieldsCustomerReviewResponses != null) {
      queryParams.addAll(_queryParams('csv', 'fields[customerReviewResponses]',
          fieldsCustomerReviewResponses));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CustomerReviewResponseV1Response?>
      customerReviewsResponseGetToOneRelated(
    String id, {
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsCustomerReviewResponses,
    List<String>? include,
  }) async {
    final response = await customerReviewsResponseGetToOneRelatedWithHttpInfo(
      id,
      fieldsCustomerReviews: fieldsCustomerReviews,
      fieldsCustomerReviewResponses: fieldsCustomerReviewResponses,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CustomerReviewResponseV1Response',
      ) as CustomerReviewResponseV1Response;
    }
    return null;
  }
}
