//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class DevicesApi {
  DevicesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/devices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [DeviceCreateRequest] deviceCreateRequest (required):
  ///   Device representation
  Future<Response> devicesCreateInstanceWithHttpInfo(
    DeviceCreateRequest deviceCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/devices';

    // ignore: prefer_final_locals
    Object? postBody = deviceCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [DeviceCreateRequest] deviceCreateRequest (required):
  ///   Device representation
  Future<DeviceResponse?> devicesCreateInstance(
    DeviceCreateRequest deviceCreateRequest,
  ) async {
    final response = await devicesCreateInstanceWithHttpInfo(
      deviceCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'DeviceResponse',
      ) as DeviceResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/devices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterStatus:
  ///   filter by attribute 'status'
  ///
  /// * [List<String>] filterUdid:
  ///   filter by attribute 'udid'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> devicesGetCollectionWithHttpInfo({
    List<String>? filterName,
    List<String>? filterPlatform,
    List<String>? filterStatus,
    List<String>? filterUdid,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsDevices,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/devices';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterName != null) {
      queryParams.addAll(_queryParams('csv', 'filter[name]', filterName));
    }
    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }
    if (filterStatus != null) {
      queryParams.addAll(_queryParams('csv', 'filter[status]', filterStatus));
    }
    if (filterUdid != null) {
      queryParams.addAll(_queryParams('csv', 'filter[udid]', filterUdid));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsDevices != null) {
      queryParams.addAll(_queryParams('csv', 'fields[devices]', fieldsDevices));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterStatus:
  ///   filter by attribute 'status'
  ///
  /// * [List<String>] filterUdid:
  ///   filter by attribute 'udid'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<DevicesResponse?> devicesGetCollection({
    List<String>? filterName,
    List<String>? filterPlatform,
    List<String>? filterStatus,
    List<String>? filterUdid,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsDevices,
    int? limit,
  }) async {
    final response = await devicesGetCollectionWithHttpInfo(
      filterName: filterName,
      filterPlatform: filterPlatform,
      filterStatus: filterStatus,
      filterUdid: filterUdid,
      filterId: filterId,
      sort: sort,
      fieldsDevices: fieldsDevices,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'DevicesResponse',
      ) as DevicesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/devices/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  Future<Response> devicesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsDevices,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/devices/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsDevices != null) {
      queryParams.addAll(_queryParams('csv', 'fields[devices]', fieldsDevices));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  Future<DeviceResponse?> devicesGetInstance(
    String id, {
    List<String>? fieldsDevices,
  }) async {
    final response = await devicesGetInstanceWithHttpInfo(
      id,
      fieldsDevices: fieldsDevices,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'DeviceResponse',
      ) as DeviceResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/devices/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [DeviceUpdateRequest] deviceUpdateRequest (required):
  ///   Device representation
  Future<Response> devicesUpdateInstanceWithHttpInfo(
    String id,
    DeviceUpdateRequest deviceUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/devices/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = deviceUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [DeviceUpdateRequest] deviceUpdateRequest (required):
  ///   Device representation
  Future<DeviceResponse?> devicesUpdateInstance(
    String id,
    DeviceUpdateRequest deviceUpdateRequest,
  ) async {
    final response = await devicesUpdateInstanceWithHttpInfo(
      id,
      deviceUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'DeviceResponse',
      ) as DeviceResponse;
    }
    return null;
  }
}
