//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class InAppPurchasePriceSchedulesApi {
  InAppPurchasePriceSchedulesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/inAppPurchasePriceSchedules/{id}/automaticPrices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsInAppPurchasePricePoints:
  ///   the fields to include for returned resources of type inAppPurchasePricePoints
  ///
  /// * [List<String>] fieldsInAppPurchasePrices:
  ///   the fields to include for returned resources of type inAppPurchasePrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsInAppPurchasePricePoints,
    List<String>? fieldsInAppPurchasePrices,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/inAppPurchasePriceSchedules/{id}/automaticPrices'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsInAppPurchasePricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[inAppPurchasePricePoints]',
          fieldsInAppPurchasePricePoints));
    }
    if (fieldsInAppPurchasePrices != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[inAppPurchasePrices]', fieldsInAppPurchasePrices));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsInAppPurchasePricePoints:
  ///   the fields to include for returned resources of type inAppPurchasePricePoints
  ///
  /// * [List<String>] fieldsInAppPurchasePrices:
  ///   the fields to include for returned resources of type inAppPurchasePrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<InAppPurchasePricesResponse?>
      inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsInAppPurchasePricePoints,
    List<String>? fieldsInAppPurchasePrices,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await inAppPurchasePriceSchedulesAutomaticPricesGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsInAppPurchasePricePoints: fieldsInAppPurchasePricePoints,
      fieldsInAppPurchasePrices: fieldsInAppPurchasePrices,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'InAppPurchasePricesResponse',
      ) as InAppPurchasePricesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/inAppPurchasePriceSchedules/{id}/baseTerritory' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<Response>
      inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsTerritories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/inAppPurchasePriceSchedules/{id}/baseTerritory'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  Future<TerritoryResponse?>
      inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelated(
    String id, {
    List<String>? fieldsTerritories,
  }) async {
    final response =
        await inAppPurchasePriceSchedulesBaseTerritoryGetToOneRelatedWithHttpInfo(
      id,
      fieldsTerritories: fieldsTerritories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'TerritoryResponse',
      ) as TerritoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/inAppPurchasePriceSchedules' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [InAppPurchasePriceScheduleCreateRequest] inAppPurchasePriceScheduleCreateRequest (required):
  ///   InAppPurchasePriceSchedule representation
  Future<Response> inAppPurchasePriceSchedulesCreateInstanceWithHttpInfo(
    InAppPurchasePriceScheduleCreateRequest
        inAppPurchasePriceScheduleCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/inAppPurchasePriceSchedules';

    // ignore: prefer_final_locals
    Object? postBody = inAppPurchasePriceScheduleCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [InAppPurchasePriceScheduleCreateRequest] inAppPurchasePriceScheduleCreateRequest (required):
  ///   InAppPurchasePriceSchedule representation
  Future<InAppPurchasePriceScheduleResponse?>
      inAppPurchasePriceSchedulesCreateInstance(
    InAppPurchasePriceScheduleCreateRequest
        inAppPurchasePriceScheduleCreateRequest,
  ) async {
    final response =
        await inAppPurchasePriceSchedulesCreateInstanceWithHttpInfo(
      inAppPurchasePriceScheduleCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'InAppPurchasePriceScheduleResponse',
      ) as InAppPurchasePriceScheduleResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/inAppPurchasePriceSchedules/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsInAppPurchasePriceSchedules:
  ///   the fields to include for returned resources of type inAppPurchasePriceSchedules
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsInAppPurchasePrices:
  ///   the fields to include for returned resources of type inAppPurchasePrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAutomaticPrices:
  ///   maximum number of related automaticPrices returned (when they are included)
  ///
  /// * [int] limitManualPrices:
  ///   maximum number of related manualPrices returned (when they are included)
  Future<Response> inAppPurchasePriceSchedulesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsInAppPurchasePriceSchedules,
    List<String>? include,
    List<String>? fieldsInAppPurchasePrices,
    List<String>? fieldsTerritories,
    int? limitAutomaticPrices,
    int? limitManualPrices,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/inAppPurchasePriceSchedules/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsInAppPurchasePriceSchedules != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[inAppPurchasePriceSchedules]',
          fieldsInAppPurchasePriceSchedules));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsInAppPurchasePrices != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[inAppPurchasePrices]', fieldsInAppPurchasePrices));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limitAutomaticPrices != null) {
      queryParams.addAll(
          _queryParams('', 'limit[automaticPrices]', limitAutomaticPrices));
    }
    if (limitManualPrices != null) {
      queryParams
          .addAll(_queryParams('', 'limit[manualPrices]', limitManualPrices));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsInAppPurchasePriceSchedules:
  ///   the fields to include for returned resources of type inAppPurchasePriceSchedules
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsInAppPurchasePrices:
  ///   the fields to include for returned resources of type inAppPurchasePrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAutomaticPrices:
  ///   maximum number of related automaticPrices returned (when they are included)
  ///
  /// * [int] limitManualPrices:
  ///   maximum number of related manualPrices returned (when they are included)
  Future<InAppPurchasePriceScheduleResponse?>
      inAppPurchasePriceSchedulesGetInstance(
    String id, {
    List<String>? fieldsInAppPurchasePriceSchedules,
    List<String>? include,
    List<String>? fieldsInAppPurchasePrices,
    List<String>? fieldsTerritories,
    int? limitAutomaticPrices,
    int? limitManualPrices,
  }) async {
    final response = await inAppPurchasePriceSchedulesGetInstanceWithHttpInfo(
      id,
      fieldsInAppPurchasePriceSchedules: fieldsInAppPurchasePriceSchedules,
      include: include,
      fieldsInAppPurchasePrices: fieldsInAppPurchasePrices,
      fieldsTerritories: fieldsTerritories,
      limitAutomaticPrices: limitAutomaticPrices,
      limitManualPrices: limitManualPrices,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'InAppPurchasePriceScheduleResponse',
      ) as InAppPurchasePriceScheduleResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/inAppPurchasePriceSchedules/{id}/manualPrices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsInAppPurchasePricePoints:
  ///   the fields to include for returned resources of type inAppPurchasePricePoints
  ///
  /// * [List<String>] fieldsInAppPurchasePrices:
  ///   the fields to include for returned resources of type inAppPurchasePrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      inAppPurchasePriceSchedulesManualPricesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsInAppPurchasePricePoints,
    List<String>? fieldsInAppPurchasePrices,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/inAppPurchasePriceSchedules/{id}/manualPrices'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsInAppPurchasePricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[inAppPurchasePricePoints]',
          fieldsInAppPurchasePricePoints));
    }
    if (fieldsInAppPurchasePrices != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[inAppPurchasePrices]', fieldsInAppPurchasePrices));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsInAppPurchasePricePoints:
  ///   the fields to include for returned resources of type inAppPurchasePricePoints
  ///
  /// * [List<String>] fieldsInAppPurchasePrices:
  ///   the fields to include for returned resources of type inAppPurchasePrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<InAppPurchasePricesResponse?>
      inAppPurchasePriceSchedulesManualPricesGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsInAppPurchasePricePoints,
    List<String>? fieldsInAppPurchasePrices,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await inAppPurchasePriceSchedulesManualPricesGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsInAppPurchasePricePoints: fieldsInAppPurchasePricePoints,
      fieldsInAppPurchasePrices: fieldsInAppPurchasePrices,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'InAppPurchasePricesResponse',
      ) as InAppPurchasePricesResponse;
    }
    return null;
  }
}
