//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class PreReleaseVersionsApi {
  PreReleaseVersionsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/preReleaseVersions/{id}/app' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<Response> preReleaseVersionsAppGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/preReleaseVersions/{id}/app'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  Future<AppResponse?> preReleaseVersionsAppGetToOneRelated(
    String id, {
    List<String>? fieldsApps,
  }) async {
    final response = await preReleaseVersionsAppGetToOneRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/preReleaseVersions/{id}/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> preReleaseVersionsBuildsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/preReleaseVersions/{id}/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BuildsResponse?> preReleaseVersionsBuildsGetToManyRelated(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    final response = await preReleaseVersionsBuildsGetToManyRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildsResponse',
      ) as BuildsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/preReleaseVersions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterBuildsPeriodExpired:
  ///   filter by attribute 'builds.expired'
  ///
  /// * [List<String>] filterBuildsPeriodProcessingState:
  ///   filter by attribute 'builds.processingState'
  ///
  /// * [List<String>] filterBuildsPeriodVersion:
  ///   filter by attribute 'builds.version'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterVersion:
  ///   filter by attribute 'version'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<Response> preReleaseVersionsGetCollectionWithHttpInfo({
    List<String>? filterBuildsPeriodExpired,
    List<String>? filterBuildsPeriodProcessingState,
    List<String>? filterBuildsPeriodVersion,
    List<String>? filterPlatform,
    List<String>? filterVersion,
    List<String>? filterApp,
    List<String>? filterBuilds,
    List<String>? sort,
    List<String>? fieldsPreReleaseVersions,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/preReleaseVersions';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterBuildsPeriodExpired != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[builds.expired]', filterBuildsPeriodExpired));
    }
    if (filterBuildsPeriodProcessingState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[builds.processingState]',
          filterBuildsPeriodProcessingState));
    }
    if (filterBuildsPeriodVersion != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[builds.version]', filterBuildsPeriodVersion));
    }
    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }
    if (filterVersion != null) {
      queryParams.addAll(_queryParams('csv', 'filter[version]', filterVersion));
    }
    if (filterApp != null) {
      queryParams.addAll(_queryParams('csv', 'filter[app]', filterApp));
    }
    if (filterBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'filter[builds]', filterBuilds));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[preReleaseVersions]', fieldsPreReleaseVersions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterBuildsPeriodExpired:
  ///   filter by attribute 'builds.expired'
  ///
  /// * [List<String>] filterBuildsPeriodProcessingState:
  ///   filter by attribute 'builds.processingState'
  ///
  /// * [List<String>] filterBuildsPeriodVersion:
  ///   filter by attribute 'builds.version'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterVersion:
  ///   filter by attribute 'version'
  ///
  /// * [List<String>] filterApp:
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterBuilds:
  ///   filter by id(s) of related 'builds'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<PreReleaseVersionsResponse?> preReleaseVersionsGetCollection({
    List<String>? filterBuildsPeriodExpired,
    List<String>? filterBuildsPeriodProcessingState,
    List<String>? filterBuildsPeriodVersion,
    List<String>? filterPlatform,
    List<String>? filterVersion,
    List<String>? filterApp,
    List<String>? filterBuilds,
    List<String>? sort,
    List<String>? fieldsPreReleaseVersions,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBuilds,
  }) async {
    final response = await preReleaseVersionsGetCollectionWithHttpInfo(
      filterBuildsPeriodExpired: filterBuildsPeriodExpired,
      filterBuildsPeriodProcessingState: filterBuildsPeriodProcessingState,
      filterBuildsPeriodVersion: filterBuildsPeriodVersion,
      filterPlatform: filterPlatform,
      filterVersion: filterVersion,
      filterApp: filterApp,
      filterBuilds: filterBuilds,
      sort: sort,
      fieldsPreReleaseVersions: fieldsPreReleaseVersions,
      limit: limit,
      include: include,
      fieldsApps: fieldsApps,
      fieldsBuilds: fieldsBuilds,
      limitBuilds: limitBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PreReleaseVersionsResponse',
      ) as PreReleaseVersionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/preReleaseVersions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<Response> preReleaseVersionsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsPreReleaseVersions,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBuilds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/preReleaseVersions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[preReleaseVersions]', fieldsPreReleaseVersions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  Future<PreReleaseVersionResponse?> preReleaseVersionsGetInstance(
    String id, {
    List<String>? fieldsPreReleaseVersions,
    List<String>? include,
    List<String>? fieldsApps,
    List<String>? fieldsBuilds,
    int? limitBuilds,
  }) async {
    final response = await preReleaseVersionsGetInstanceWithHttpInfo(
      id,
      fieldsPreReleaseVersions: fieldsPreReleaseVersions,
      include: include,
      fieldsApps: fieldsApps,
      fieldsBuilds: fieldsBuilds,
      limitBuilds: limitBuilds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PreReleaseVersionResponse',
      ) as PreReleaseVersionResponse;
    }
    return null;
  }
}
