//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class ProfilesApi {
  ProfilesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/profiles/{id}/bundleId' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  Future<Response> profilesBundleIdGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBundleIds,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/profiles/{id}/bundleId'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBundleIds != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[bundleIds]', fieldsBundleIds));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  Future<BundleIdResponse?> profilesBundleIdGetToOneRelated(
    String id, {
    List<String>? fieldsBundleIds,
  }) async {
    final response = await profilesBundleIdGetToOneRelatedWithHttpInfo(
      id,
      fieldsBundleIds: fieldsBundleIds,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BundleIdResponse',
      ) as BundleIdResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/profiles/{id}/certificates' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> profilesCertificatesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCertificates,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/profiles/{id}/certificates'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCertificates != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[certificates]', fieldsCertificates));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<CertificatesResponse?> profilesCertificatesGetToManyRelated(
    String id, {
    List<String>? fieldsCertificates,
    int? limit,
  }) async {
    final response = await profilesCertificatesGetToManyRelatedWithHttpInfo(
      id,
      fieldsCertificates: fieldsCertificates,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CertificatesResponse',
      ) as CertificatesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/profiles' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [ProfileCreateRequest] profileCreateRequest (required):
  ///   Profile representation
  Future<Response> profilesCreateInstanceWithHttpInfo(
    ProfileCreateRequest profileCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/profiles';

    // ignore: prefer_final_locals
    Object? postBody = profileCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [ProfileCreateRequest] profileCreateRequest (required):
  ///   Profile representation
  Future<ProfileResponse?> profilesCreateInstance(
    ProfileCreateRequest profileCreateRequest,
  ) async {
    final response = await profilesCreateInstanceWithHttpInfo(
      profileCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ProfileResponse',
      ) as ProfileResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/profiles/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> profilesDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/profiles/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> profilesDeleteInstance(
    String id,
  ) async {
    final response = await profilesDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/profiles/{id}/devices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> profilesDevicesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsDevices,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/profiles/{id}/devices'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsDevices != null) {
      queryParams.addAll(_queryParams('csv', 'fields[devices]', fieldsDevices));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<DevicesResponse?> profilesDevicesGetToManyRelated(
    String id, {
    List<String>? fieldsDevices,
    int? limit,
  }) async {
    final response = await profilesDevicesGetToManyRelatedWithHttpInfo(
      id,
      fieldsDevices: fieldsDevices,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'DevicesResponse',
      ) as DevicesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/profiles' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterProfileState:
  ///   filter by attribute 'profileState'
  ///
  /// * [List<String>] filterProfileType:
  ///   filter by attribute 'profileType'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limitCertificates:
  ///   maximum number of related certificates returned (when they are included)
  ///
  /// * [int] limitDevices:
  ///   maximum number of related devices returned (when they are included)
  Future<Response> profilesGetCollectionWithHttpInfo({
    List<String>? filterName,
    List<String>? filterProfileState,
    List<String>? filterProfileType,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsProfiles,
    int? limit,
    List<String>? include,
    List<String>? fieldsCertificates,
    List<String>? fieldsDevices,
    List<String>? fieldsBundleIds,
    int? limitCertificates,
    int? limitDevices,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/profiles';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterName != null) {
      queryParams.addAll(_queryParams('csv', 'filter[name]', filterName));
    }
    if (filterProfileState != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[profileState]', filterProfileState));
    }
    if (filterProfileType != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[profileType]', filterProfileType));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsProfiles != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[profiles]', fieldsProfiles));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCertificates != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[certificates]', fieldsCertificates));
    }
    if (fieldsDevices != null) {
      queryParams.addAll(_queryParams('csv', 'fields[devices]', fieldsDevices));
    }
    if (fieldsBundleIds != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[bundleIds]', fieldsBundleIds));
    }
    if (limitCertificates != null) {
      queryParams
          .addAll(_queryParams('', 'limit[certificates]', limitCertificates));
    }
    if (limitDevices != null) {
      queryParams.addAll(_queryParams('', 'limit[devices]', limitDevices));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterProfileState:
  ///   filter by attribute 'profileState'
  ///
  /// * [List<String>] filterProfileType:
  ///   filter by attribute 'profileType'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limitCertificates:
  ///   maximum number of related certificates returned (when they are included)
  ///
  /// * [int] limitDevices:
  ///   maximum number of related devices returned (when they are included)
  Future<ProfilesResponse?> profilesGetCollection({
    List<String>? filterName,
    List<String>? filterProfileState,
    List<String>? filterProfileType,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsProfiles,
    int? limit,
    List<String>? include,
    List<String>? fieldsCertificates,
    List<String>? fieldsDevices,
    List<String>? fieldsBundleIds,
    int? limitCertificates,
    int? limitDevices,
  }) async {
    final response = await profilesGetCollectionWithHttpInfo(
      filterName: filterName,
      filterProfileState: filterProfileState,
      filterProfileType: filterProfileType,
      filterId: filterId,
      sort: sort,
      fieldsProfiles: fieldsProfiles,
      limit: limit,
      include: include,
      fieldsCertificates: fieldsCertificates,
      fieldsDevices: fieldsDevices,
      fieldsBundleIds: fieldsBundleIds,
      limitCertificates: limitCertificates,
      limitDevices: limitDevices,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ProfilesResponse',
      ) as ProfilesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/profiles/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limitCertificates:
  ///   maximum number of related certificates returned (when they are included)
  ///
  /// * [int] limitDevices:
  ///   maximum number of related devices returned (when they are included)
  Future<Response> profilesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsProfiles,
    List<String>? include,
    List<String>? fieldsCertificates,
    List<String>? fieldsDevices,
    List<String>? fieldsBundleIds,
    int? limitCertificates,
    int? limitDevices,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/profiles/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsProfiles != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[profiles]', fieldsProfiles));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsCertificates != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[certificates]', fieldsCertificates));
    }
    if (fieldsDevices != null) {
      queryParams.addAll(_queryParams('csv', 'fields[devices]', fieldsDevices));
    }
    if (fieldsBundleIds != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[bundleIds]', fieldsBundleIds));
    }
    if (limitCertificates != null) {
      queryParams
          .addAll(_queryParams('', 'limit[certificates]', limitCertificates));
    }
    if (limitDevices != null) {
      queryParams.addAll(_queryParams('', 'limit[devices]', limitDevices));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsProfiles:
  ///   the fields to include for returned resources of type profiles
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsCertificates:
  ///   the fields to include for returned resources of type certificates
  ///
  /// * [List<String>] fieldsDevices:
  ///   the fields to include for returned resources of type devices
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limitCertificates:
  ///   maximum number of related certificates returned (when they are included)
  ///
  /// * [int] limitDevices:
  ///   maximum number of related devices returned (when they are included)
  Future<ProfileResponse?> profilesGetInstance(
    String id, {
    List<String>? fieldsProfiles,
    List<String>? include,
    List<String>? fieldsCertificates,
    List<String>? fieldsDevices,
    List<String>? fieldsBundleIds,
    int? limitCertificates,
    int? limitDevices,
  }) async {
    final response = await profilesGetInstanceWithHttpInfo(
      id,
      fieldsProfiles: fieldsProfiles,
      include: include,
      fieldsCertificates: fieldsCertificates,
      fieldsDevices: fieldsDevices,
      fieldsBundleIds: fieldsBundleIds,
      limitCertificates: limitCertificates,
      limitDevices: limitDevices,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ProfileResponse',
      ) as ProfileResponse;
    }
    return null;
  }
}
