//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class PromotedPurchasesApi {
  PromotedPurchasesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/promotedPurchases' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [PromotedPurchaseCreateRequest] promotedPurchaseCreateRequest (required):
  ///   PromotedPurchase representation
  Future<Response> promotedPurchasesCreateInstanceWithHttpInfo(
    PromotedPurchaseCreateRequest promotedPurchaseCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/promotedPurchases';

    // ignore: prefer_final_locals
    Object? postBody = promotedPurchaseCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [PromotedPurchaseCreateRequest] promotedPurchaseCreateRequest (required):
  ///   PromotedPurchase representation
  Future<PromotedPurchaseResponse?> promotedPurchasesCreateInstance(
    PromotedPurchaseCreateRequest promotedPurchaseCreateRequest,
  ) async {
    final response = await promotedPurchasesCreateInstanceWithHttpInfo(
      promotedPurchaseCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PromotedPurchaseResponse',
      ) as PromotedPurchaseResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/promotedPurchases/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> promotedPurchasesDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/promotedPurchases/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> promotedPurchasesDeleteInstance(
    String id,
  ) async {
    final response = await promotedPurchasesDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/promotedPurchases/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limitPromotionImages:
  ///   maximum number of related promotionImages returned (when they are included)
  Future<Response> promotedPurchasesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? include,
    List<String>? fieldsPromotedPurchaseImages,
    int? limitPromotionImages,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/promotedPurchases/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsPromotedPurchaseImages != null) {
      queryParams.addAll(_queryParams('csv', 'fields[promotedPurchaseImages]',
          fieldsPromotedPurchaseImages));
    }
    if (limitPromotionImages != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotionImages]', limitPromotionImages));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limitPromotionImages:
  ///   maximum number of related promotionImages returned (when they are included)
  Future<PromotedPurchaseResponse?> promotedPurchasesGetInstance(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? include,
    List<String>? fieldsPromotedPurchaseImages,
    int? limitPromotionImages,
  }) async {
    final response = await promotedPurchasesGetInstanceWithHttpInfo(
      id,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      include: include,
      fieldsPromotedPurchaseImages: fieldsPromotedPurchaseImages,
      limitPromotionImages: limitPromotionImages,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PromotedPurchaseResponse',
      ) as PromotedPurchaseResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/promotedPurchases/{id}/promotionImages' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> promotedPurchasesPromotionImagesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsPromotedPurchaseImages,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/promotedPurchases/{id}/promotionImages'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsPromotedPurchaseImages != null) {
      queryParams.addAll(_queryParams('csv', 'fields[promotedPurchaseImages]',
          fieldsPromotedPurchaseImages));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<PromotedPurchaseImagesResponse?>
      promotedPurchasesPromotionImagesGetToManyRelated(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsPromotedPurchaseImages,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await promotedPurchasesPromotionImagesGetToManyRelatedWithHttpInfo(
      id,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsPromotedPurchaseImages: fieldsPromotedPurchaseImages,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PromotedPurchaseImagesResponse',
      ) as PromotedPurchaseImagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/promotedPurchases/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [PromotedPurchaseUpdateRequest] promotedPurchaseUpdateRequest (required):
  ///   PromotedPurchase representation
  Future<Response> promotedPurchasesUpdateInstanceWithHttpInfo(
    String id,
    PromotedPurchaseUpdateRequest promotedPurchaseUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/promotedPurchases/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = promotedPurchaseUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [PromotedPurchaseUpdateRequest] promotedPurchaseUpdateRequest (required):
  ///   PromotedPurchase representation
  Future<PromotedPurchaseResponse?> promotedPurchasesUpdateInstance(
    String id,
    PromotedPurchaseUpdateRequest promotedPurchaseUpdateRequest,
  ) async {
    final response = await promotedPurchasesUpdateInstanceWithHttpInfo(
      id,
      promotedPurchaseUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PromotedPurchaseResponse',
      ) as PromotedPurchaseResponse;
    }
    return null;
  }
}
