//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class ReviewSubmissionsApi {
  ReviewSubmissionsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/reviewSubmissions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [ReviewSubmissionCreateRequest] reviewSubmissionCreateRequest (required):
  ///   ReviewSubmission representation
  Future<Response> reviewSubmissionsCreateInstanceWithHttpInfo(
    ReviewSubmissionCreateRequest reviewSubmissionCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/reviewSubmissions';

    // ignore: prefer_final_locals
    Object? postBody = reviewSubmissionCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [ReviewSubmissionCreateRequest] reviewSubmissionCreateRequest (required):
  ///   ReviewSubmission representation
  Future<ReviewSubmissionResponse?> reviewSubmissionsCreateInstance(
    ReviewSubmissionCreateRequest reviewSubmissionCreateRequest,
  ) async {
    final response = await reviewSubmissionsCreateInstanceWithHttpInfo(
      reviewSubmissionCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ReviewSubmissionResponse',
      ) as ReviewSubmissionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/reviewSubmissions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterApp (required):
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [int] limitItems:
  ///   maximum number of related items returned (when they are included)
  Future<Response> reviewSubmissionsGetCollectionWithHttpInfo(
    List<String> filterApp, {
    List<String>? filterPlatform,
    List<String>? filterState,
    List<String>? fieldsReviewSubmissions,
    int? limit,
    List<String>? include,
    List<String>? fieldsReviewSubmissionItems,
    int? limitItems,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/reviewSubmissions';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }
    if (filterState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[state]', filterState));
    }
    queryParams.addAll(_queryParams('csv', 'filter[app]', filterApp));
    if (fieldsReviewSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissions]', fieldsReviewSubmissions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsReviewSubmissionItems != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissionItems]', fieldsReviewSubmissionItems));
    }
    if (limitItems != null) {
      queryParams.addAll(_queryParams('', 'limit[items]', limitItems));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterApp (required):
  ///   filter by id(s) of related 'app'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [int] limitItems:
  ///   maximum number of related items returned (when they are included)
  Future<ReviewSubmissionsResponse?> reviewSubmissionsGetCollection(
    List<String> filterApp, {
    List<String>? filterPlatform,
    List<String>? filterState,
    List<String>? fieldsReviewSubmissions,
    int? limit,
    List<String>? include,
    List<String>? fieldsReviewSubmissionItems,
    int? limitItems,
  }) async {
    final response = await reviewSubmissionsGetCollectionWithHttpInfo(
      filterApp,
      filterPlatform: filterPlatform,
      filterState: filterState,
      fieldsReviewSubmissions: fieldsReviewSubmissions,
      limit: limit,
      include: include,
      fieldsReviewSubmissionItems: fieldsReviewSubmissionItems,
      limitItems: limitItems,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ReviewSubmissionsResponse',
      ) as ReviewSubmissionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/reviewSubmissions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [int] limitItems:
  ///   maximum number of related items returned (when they are included)
  Future<Response> reviewSubmissionsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsReviewSubmissions,
    List<String>? include,
    List<String>? fieldsReviewSubmissionItems,
    int? limitItems,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/reviewSubmissions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsReviewSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissions]', fieldsReviewSubmissions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsReviewSubmissionItems != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissionItems]', fieldsReviewSubmissionItems));
    }
    if (limitItems != null) {
      queryParams.addAll(_queryParams('', 'limit[items]', limitItems));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [int] limitItems:
  ///   maximum number of related items returned (when they are included)
  Future<ReviewSubmissionResponse?> reviewSubmissionsGetInstance(
    String id, {
    List<String>? fieldsReviewSubmissions,
    List<String>? include,
    List<String>? fieldsReviewSubmissionItems,
    int? limitItems,
  }) async {
    final response = await reviewSubmissionsGetInstanceWithHttpInfo(
      id,
      fieldsReviewSubmissions: fieldsReviewSubmissions,
      include: include,
      fieldsReviewSubmissionItems: fieldsReviewSubmissionItems,
      limitItems: limitItems,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ReviewSubmissionResponse',
      ) as ReviewSubmissionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/reviewSubmissions/{id}/items' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments2:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPageVersions:
  ///   the fields to include for returned resources of type appCustomProductPageVersions
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> reviewSubmissionsItemsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperiments2,
    List<String>? fieldsReviewSubmissionItems,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPageVersions,
    List<String>? fieldsAppEvents,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/reviewSubmissions/{id}/items'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsAppStoreVersionExperiments2 != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments2));
    }
    if (fieldsReviewSubmissionItems != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissionItems]', fieldsReviewSubmissionItems));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsAppCustomProductPageVersions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appCustomProductPageVersions]',
          fieldsAppCustomProductPageVersions));
    }
    if (fieldsAppEvents != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appEvents]', fieldsAppEvents));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments2:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPageVersions:
  ///   the fields to include for returned resources of type appCustomProductPageVersions
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ReviewSubmissionItemsResponse?> reviewSubmissionsItemsGetToManyRelated(
    String id, {
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperiments2,
    List<String>? fieldsReviewSubmissionItems,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPageVersions,
    List<String>? fieldsAppEvents,
    int? limit,
    List<String>? include,
  }) async {
    final response = await reviewSubmissionsItemsGetToManyRelatedWithHttpInfo(
      id,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsAppStoreVersionExperiments2: fieldsAppStoreVersionExperiments2,
      fieldsReviewSubmissionItems: fieldsReviewSubmissionItems,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsAppCustomProductPageVersions: fieldsAppCustomProductPageVersions,
      fieldsAppEvents: fieldsAppEvents,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ReviewSubmissionItemsResponse',
      ) as ReviewSubmissionItemsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/reviewSubmissions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [ReviewSubmissionUpdateRequest] reviewSubmissionUpdateRequest (required):
  ///   ReviewSubmission representation
  Future<Response> reviewSubmissionsUpdateInstanceWithHttpInfo(
    String id,
    ReviewSubmissionUpdateRequest reviewSubmissionUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/reviewSubmissions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = reviewSubmissionUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [ReviewSubmissionUpdateRequest] reviewSubmissionUpdateRequest (required):
  ///   ReviewSubmission representation
  Future<ReviewSubmissionResponse?> reviewSubmissionsUpdateInstance(
    String id,
    ReviewSubmissionUpdateRequest reviewSubmissionUpdateRequest,
  ) async {
    final response = await reviewSubmissionsUpdateInstanceWithHttpInfo(
      id,
      reviewSubmissionUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ReviewSubmissionResponse',
      ) as ReviewSubmissionResponse;
    }
    return null;
  }
}
