//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class RoutingAppCoveragesApi {
  RoutingAppCoveragesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/routingAppCoverages' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [RoutingAppCoverageCreateRequest] routingAppCoverageCreateRequest (required):
  ///   RoutingAppCoverage representation
  Future<Response> routingAppCoveragesCreateInstanceWithHttpInfo(
    RoutingAppCoverageCreateRequest routingAppCoverageCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/routingAppCoverages';

    // ignore: prefer_final_locals
    Object? postBody = routingAppCoverageCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [RoutingAppCoverageCreateRequest] routingAppCoverageCreateRequest (required):
  ///   RoutingAppCoverage representation
  Future<RoutingAppCoverageResponse?> routingAppCoveragesCreateInstance(
    RoutingAppCoverageCreateRequest routingAppCoverageCreateRequest,
  ) async {
    final response = await routingAppCoveragesCreateInstanceWithHttpInfo(
      routingAppCoverageCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'RoutingAppCoverageResponse',
      ) as RoutingAppCoverageResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/routingAppCoverages/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> routingAppCoveragesDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/routingAppCoverages/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> routingAppCoveragesDeleteInstance(
    String id,
  ) async {
    final response = await routingAppCoveragesDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/routingAppCoverages/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> routingAppCoveragesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsRoutingAppCoverages,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/routingAppCoverages/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsRoutingAppCoverages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[routingAppCoverages]', fieldsRoutingAppCoverages));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<RoutingAppCoverageResponse?> routingAppCoveragesGetInstance(
    String id, {
    List<String>? fieldsRoutingAppCoverages,
    List<String>? include,
  }) async {
    final response = await routingAppCoveragesGetInstanceWithHttpInfo(
      id,
      fieldsRoutingAppCoverages: fieldsRoutingAppCoverages,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'RoutingAppCoverageResponse',
      ) as RoutingAppCoverageResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/routingAppCoverages/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [RoutingAppCoverageUpdateRequest] routingAppCoverageUpdateRequest (required):
  ///   RoutingAppCoverage representation
  Future<Response> routingAppCoveragesUpdateInstanceWithHttpInfo(
    String id,
    RoutingAppCoverageUpdateRequest routingAppCoverageUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/routingAppCoverages/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = routingAppCoverageUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [RoutingAppCoverageUpdateRequest] routingAppCoverageUpdateRequest (required):
  ///   RoutingAppCoverage representation
  Future<RoutingAppCoverageResponse?> routingAppCoveragesUpdateInstance(
    String id,
    RoutingAppCoverageUpdateRequest routingAppCoverageUpdateRequest,
  ) async {
    final response = await routingAppCoveragesUpdateInstanceWithHttpInfo(
      id,
      routingAppCoverageUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'RoutingAppCoverageResponse',
      ) as RoutingAppCoverageResponse;
    }
    return null;
  }
}
