//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class ScmProvidersApi {
  ScmProvidersApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/scmProviders' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  Future<Response> scmProvidersGetCollectionWithHttpInfo({
    List<String>? fieldsScmProviders,
    int? limit,
    List<String>? fieldsScmRepositories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/scmProviders';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsScmProviders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[scmProviders]', fieldsScmProviders));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  Future<ScmProvidersResponse?> scmProvidersGetCollection({
    List<String>? fieldsScmProviders,
    int? limit,
    List<String>? fieldsScmRepositories,
  }) async {
    final response = await scmProvidersGetCollectionWithHttpInfo(
      fieldsScmProviders: fieldsScmProviders,
      limit: limit,
      fieldsScmRepositories: fieldsScmRepositories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmProvidersResponse',
      ) as ScmProvidersResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/scmProviders/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  Future<Response> scmProvidersGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/scmProviders/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsScmProviders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[scmProviders]', fieldsScmProviders));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  Future<ScmProviderResponse?> scmProvidersGetInstance(
    String id, {
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
  }) async {
    final response = await scmProvidersGetInstanceWithHttpInfo(
      id,
      fieldsScmProviders: fieldsScmProviders,
      fieldsScmRepositories: fieldsScmRepositories,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmProviderResponse',
      ) as ScmProviderResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/scmProviders/{id}/repositories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> scmProvidersRepositoriesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterId,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/scmProviders/{id}/repositories'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsScmProviders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[scmProviders]', fieldsScmProviders));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmProviders:
  ///   the fields to include for returned resources of type scmProviders
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ScmRepositoriesResponse?> scmProvidersRepositoriesGetToManyRelated(
    String id, {
    List<String>? filterId,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmProviders,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    final response = await scmProvidersRepositoriesGetToManyRelatedWithHttpInfo(
      id,
      filterId: filterId,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsScmProviders: fieldsScmProviders,
      fieldsScmRepositories: fieldsScmRepositories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmRepositoriesResponse',
      ) as ScmRepositoriesResponse;
    }
    return null;
  }
}
