//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class ScmRepositoriesApi {
  ScmRepositoriesApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/scmRepositories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  Future<Response> scmRepositoriesGetCollectionWithHttpInfo({
    List<String>? filterId,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmPullRequests,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/scmRepositories';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsScmPullRequests != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmPullRequests]', fieldsScmPullRequests));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  Future<ScmRepositoriesResponse?> scmRepositoriesGetCollection({
    List<String>? filterId,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmPullRequests,
  }) async {
    final response = await scmRepositoriesGetCollectionWithHttpInfo(
      filterId: filterId,
      fieldsScmRepositories: fieldsScmRepositories,
      limit: limit,
      include: include,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsScmPullRequests: fieldsScmPullRequests,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmRepositoriesResponse',
      ) as ScmRepositoriesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/scmRepositories/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  Future<Response> scmRepositoriesGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsScmRepositories,
    List<String>? include,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmPullRequests,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/scmRepositories/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsScmPullRequests != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmPullRequests]', fieldsScmPullRequests));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  Future<ScmRepositoryResponse?> scmRepositoriesGetInstance(
    String id, {
    List<String>? fieldsScmRepositories,
    List<String>? include,
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmPullRequests,
  }) async {
    final response = await scmRepositoriesGetInstanceWithHttpInfo(
      id,
      fieldsScmRepositories: fieldsScmRepositories,
      include: include,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsScmPullRequests: fieldsScmPullRequests,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmRepositoryResponse',
      ) as ScmRepositoryResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/scmRepositories/{id}/gitReferences' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> scmRepositoriesGitReferencesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/scmRepositories/{id}/gitReferences'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsScmGitReferences != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmGitReferences]', fieldsScmGitReferences));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmGitReferences:
  ///   the fields to include for returned resources of type scmGitReferences
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ScmGitReferencesResponse?>
      scmRepositoriesGitReferencesGetToManyRelated(
    String id, {
    List<String>? fieldsScmGitReferences,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await scmRepositoriesGitReferencesGetToManyRelatedWithHttpInfo(
      id,
      fieldsScmGitReferences: fieldsScmGitReferences,
      fieldsScmRepositories: fieldsScmRepositories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmGitReferencesResponse',
      ) as ScmGitReferencesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/scmRepositories/{id}/pullRequests' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> scmRepositoriesPullRequestsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/scmRepositories/{id}/pullRequests'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsScmPullRequests != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmPullRequests]', fieldsScmPullRequests));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsScmPullRequests:
  ///   the fields to include for returned resources of type scmPullRequests
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ScmPullRequestsResponse?> scmRepositoriesPullRequestsGetToManyRelated(
    String id, {
    List<String>? fieldsScmPullRequests,
    List<String>? fieldsScmRepositories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await scmRepositoriesPullRequestsGetToManyRelatedWithHttpInfo(
      id,
      fieldsScmPullRequests: fieldsScmPullRequests,
      fieldsScmRepositories: fieldsScmRepositories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ScmPullRequestsResponse',
      ) as ScmPullRequestsResponse;
    }
    return null;
  }
}
