//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class SubscriptionGroupsApi {
  SubscriptionGroupsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/subscriptionGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [SubscriptionGroupCreateRequest] subscriptionGroupCreateRequest (required):
  ///   SubscriptionGroup representation
  Future<Response> subscriptionGroupsCreateInstanceWithHttpInfo(
    SubscriptionGroupCreateRequest subscriptionGroupCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionGroups';

    // ignore: prefer_final_locals
    Object? postBody = subscriptionGroupCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [SubscriptionGroupCreateRequest] subscriptionGroupCreateRequest (required):
  ///   SubscriptionGroup representation
  Future<SubscriptionGroupResponse?> subscriptionGroupsCreateInstance(
    SubscriptionGroupCreateRequest subscriptionGroupCreateRequest,
  ) async {
    final response = await subscriptionGroupsCreateInstanceWithHttpInfo(
      subscriptionGroupCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionGroupResponse',
      ) as SubscriptionGroupResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/subscriptionGroups/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> subscriptionGroupsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionGroups/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> subscriptionGroupsDeleteInstance(
    String id,
  ) async {
    final response = await subscriptionGroupsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/subscriptionGroups/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionGroupLocalizations:
  ///   the fields to include for returned resources of type subscriptionGroupLocalizations
  ///
  /// * [int] limitSubscriptionGroupLocalizations:
  ///   maximum number of related subscriptionGroupLocalizations returned (when they are included)
  ///
  /// * [int] limitSubscriptions:
  ///   maximum number of related subscriptions returned (when they are included)
  Future<Response> subscriptionGroupsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptionGroups,
    List<String>? include,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionGroupLocalizations,
    int? limitSubscriptionGroupLocalizations,
    int? limitSubscriptions,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionGroups/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionGroups]', fieldsSubscriptionGroups));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsSubscriptionGroupLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionGroupLocalizations]',
          fieldsSubscriptionGroupLocalizations));
    }
    if (limitSubscriptionGroupLocalizations != null) {
      queryParams.addAll(_queryParams(
          '',
          'limit[subscriptionGroupLocalizations]',
          limitSubscriptionGroupLocalizations));
    }
    if (limitSubscriptions != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subscriptions]', limitSubscriptions));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionGroupLocalizations:
  ///   the fields to include for returned resources of type subscriptionGroupLocalizations
  ///
  /// * [int] limitSubscriptionGroupLocalizations:
  ///   maximum number of related subscriptionGroupLocalizations returned (when they are included)
  ///
  /// * [int] limitSubscriptions:
  ///   maximum number of related subscriptions returned (when they are included)
  Future<SubscriptionGroupResponse?> subscriptionGroupsGetInstance(
    String id, {
    List<String>? fieldsSubscriptionGroups,
    List<String>? include,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionGroupLocalizations,
    int? limitSubscriptionGroupLocalizations,
    int? limitSubscriptions,
  }) async {
    final response = await subscriptionGroupsGetInstanceWithHttpInfo(
      id,
      fieldsSubscriptionGroups: fieldsSubscriptionGroups,
      include: include,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsSubscriptionGroupLocalizations:
          fieldsSubscriptionGroupLocalizations,
      limitSubscriptionGroupLocalizations: limitSubscriptionGroupLocalizations,
      limitSubscriptions: limitSubscriptions,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionGroupResponse',
      ) as SubscriptionGroupResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptionGroups/{id}/subscriptionGroupLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsSubscriptionGroupLocalizations:
  ///   the fields to include for returned resources of type subscriptionGroupLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsSubscriptionGroupLocalizations,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionGroups/{id}/subscriptionGroupLocalizations'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionGroups]', fieldsSubscriptionGroups));
    }
    if (fieldsSubscriptionGroupLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionGroupLocalizations]',
          fieldsSubscriptionGroupLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsSubscriptionGroupLocalizations:
  ///   the fields to include for returned resources of type subscriptionGroupLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionGroupLocalizationsResponse?>
      subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelated(
    String id, {
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsSubscriptionGroupLocalizations,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await subscriptionGroupsSubscriptionGroupLocalizationsGetToManyRelatedWithHttpInfo(
      id,
      fieldsSubscriptionGroups: fieldsSubscriptionGroups,
      fieldsSubscriptionGroupLocalizations:
          fieldsSubscriptionGroupLocalizations,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionGroupLocalizationsResponse',
      ) as SubscriptionGroupLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptionGroups/{id}/subscriptions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterProductId:
  ///   filter by attribute 'productId'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOffers:
  ///   the fields to include for returned resources of type subscriptionPromotionalOffers
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodes
  ///
  /// * [List<String>] fieldsSubscriptionAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionAvailabilities:
  ///   the fields to include for returned resources of type subscriptionAvailabilities
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsSubscriptionIntroductoryOffers:
  ///   the fields to include for returned resources of type subscriptionIntroductoryOffers
  ///
  /// * [List<String>] fieldsSubscriptionPrices:
  ///   the fields to include for returned resources of type subscriptionPrices
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitSubscriptionLocalizations:
  ///   maximum number of related subscriptionLocalizations returned (when they are included)
  ///
  /// * [int] limitIntroductoryOffers:
  ///   maximum number of related introductoryOffers returned (when they are included)
  ///
  /// * [int] limitPromotionalOffers:
  ///   maximum number of related promotionalOffers returned (when they are included)
  ///
  /// * [int] limitOfferCodes:
  ///   maximum number of related offerCodes returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionGroupsSubscriptionsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterName,
    List<String>? filterProductId,
    List<String>? filterState,
    List<String>? sort,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptionPromotionalOffers,
    List<String>? fieldsSubscriptionOfferCodes,
    List<String>? fieldsSubscriptionAppStoreReviewScreenshots,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionAvailabilities,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsSubscriptionIntroductoryOffers,
    List<String>? fieldsSubscriptionPrices,
    List<String>? fieldsSubscriptionLocalizations,
    int? limit,
    int? limitSubscriptionLocalizations,
    int? limitIntroductoryOffers,
    int? limitPromotionalOffers,
    int? limitOfferCodes,
    int? limitPrices,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/subscriptionGroups/{id}/subscriptions'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterName != null) {
      queryParams.addAll(_queryParams('csv', 'filter[name]', filterName));
    }
    if (filterProductId != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[productId]', filterProductId));
    }
    if (filterState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[state]', filterState));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsSubscriptionPromotionalOffers != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionPromotionalOffers]',
          fieldsSubscriptionPromotionalOffers));
    }
    if (fieldsSubscriptionOfferCodes != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionOfferCodes]',
          fieldsSubscriptionOfferCodes));
    }
    if (fieldsSubscriptionAppStoreReviewScreenshots != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionAppStoreReviewScreenshots]',
          fieldsSubscriptionAppStoreReviewScreenshots));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsSubscriptionAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionAvailabilities]',
          fieldsSubscriptionAvailabilities));
    }
    if (fieldsSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionGroups]', fieldsSubscriptionGroups));
    }
    if (fieldsSubscriptionIntroductoryOffers != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionIntroductoryOffers]',
          fieldsSubscriptionIntroductoryOffers));
    }
    if (fieldsSubscriptionPrices != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionPrices]', fieldsSubscriptionPrices));
    }
    if (fieldsSubscriptionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionLocalizations]',
          fieldsSubscriptionLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitSubscriptionLocalizations != null) {
      queryParams.addAll(_queryParams('', 'limit[subscriptionLocalizations]',
          limitSubscriptionLocalizations));
    }
    if (limitIntroductoryOffers != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[introductoryOffers]', limitIntroductoryOffers));
    }
    if (limitPromotionalOffers != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotionalOffers]', limitPromotionalOffers));
    }
    if (limitOfferCodes != null) {
      queryParams
          .addAll(_queryParams('', 'limit[offerCodes]', limitOfferCodes));
    }
    if (limitPrices != null) {
      queryParams.addAll(_queryParams('', 'limit[prices]', limitPrices));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterProductId:
  ///   filter by attribute 'productId'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOffers:
  ///   the fields to include for returned resources of type subscriptionPromotionalOffers
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodes
  ///
  /// * [List<String>] fieldsSubscriptionAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionAvailabilities:
  ///   the fields to include for returned resources of type subscriptionAvailabilities
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsSubscriptionIntroductoryOffers:
  ///   the fields to include for returned resources of type subscriptionIntroductoryOffers
  ///
  /// * [List<String>] fieldsSubscriptionPrices:
  ///   the fields to include for returned resources of type subscriptionPrices
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitSubscriptionLocalizations:
  ///   maximum number of related subscriptionLocalizations returned (when they are included)
  ///
  /// * [int] limitIntroductoryOffers:
  ///   maximum number of related introductoryOffers returned (when they are included)
  ///
  /// * [int] limitPromotionalOffers:
  ///   maximum number of related promotionalOffers returned (when they are included)
  ///
  /// * [int] limitOfferCodes:
  ///   maximum number of related offerCodes returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionsResponse?>
      subscriptionGroupsSubscriptionsGetToManyRelated(
    String id, {
    List<String>? filterName,
    List<String>? filterProductId,
    List<String>? filterState,
    List<String>? sort,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptionPromotionalOffers,
    List<String>? fieldsSubscriptionOfferCodes,
    List<String>? fieldsSubscriptionAppStoreReviewScreenshots,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionAvailabilities,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsSubscriptionIntroductoryOffers,
    List<String>? fieldsSubscriptionPrices,
    List<String>? fieldsSubscriptionLocalizations,
    int? limit,
    int? limitSubscriptionLocalizations,
    int? limitIntroductoryOffers,
    int? limitPromotionalOffers,
    int? limitOfferCodes,
    int? limitPrices,
    List<String>? include,
  }) async {
    final response =
        await subscriptionGroupsSubscriptionsGetToManyRelatedWithHttpInfo(
      id,
      filterName: filterName,
      filterProductId: filterProductId,
      filterState: filterState,
      sort: sort,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsSubscriptionPromotionalOffers: fieldsSubscriptionPromotionalOffers,
      fieldsSubscriptionOfferCodes: fieldsSubscriptionOfferCodes,
      fieldsSubscriptionAppStoreReviewScreenshots:
          fieldsSubscriptionAppStoreReviewScreenshots,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsSubscriptionAvailabilities: fieldsSubscriptionAvailabilities,
      fieldsSubscriptionGroups: fieldsSubscriptionGroups,
      fieldsSubscriptionIntroductoryOffers:
          fieldsSubscriptionIntroductoryOffers,
      fieldsSubscriptionPrices: fieldsSubscriptionPrices,
      fieldsSubscriptionLocalizations: fieldsSubscriptionLocalizations,
      limit: limit,
      limitSubscriptionLocalizations: limitSubscriptionLocalizations,
      limitIntroductoryOffers: limitIntroductoryOffers,
      limitPromotionalOffers: limitPromotionalOffers,
      limitOfferCodes: limitOfferCodes,
      limitPrices: limitPrices,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionsResponse',
      ) as SubscriptionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/subscriptionGroups/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionGroupUpdateRequest] subscriptionGroupUpdateRequest (required):
  ///   SubscriptionGroup representation
  Future<Response> subscriptionGroupsUpdateInstanceWithHttpInfo(
    String id,
    SubscriptionGroupUpdateRequest subscriptionGroupUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionGroups/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = subscriptionGroupUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionGroupUpdateRequest] subscriptionGroupUpdateRequest (required):
  ///   SubscriptionGroup representation
  Future<SubscriptionGroupResponse?> subscriptionGroupsUpdateInstance(
    String id,
    SubscriptionGroupUpdateRequest subscriptionGroupUpdateRequest,
  ) async {
    final response = await subscriptionGroupsUpdateInstanceWithHttpInfo(
      id,
      subscriptionGroupUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionGroupResponse',
      ) as SubscriptionGroupResponse;
    }
    return null;
  }
}
