//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class SubscriptionLocalizationsApi {
  SubscriptionLocalizationsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/subscriptionLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [SubscriptionLocalizationCreateRequest] subscriptionLocalizationCreateRequest (required):
  ///   SubscriptionLocalization representation
  Future<Response> subscriptionLocalizationsCreateInstanceWithHttpInfo(
    SubscriptionLocalizationCreateRequest subscriptionLocalizationCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionLocalizations';

    // ignore: prefer_final_locals
    Object? postBody = subscriptionLocalizationCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [SubscriptionLocalizationCreateRequest] subscriptionLocalizationCreateRequest (required):
  ///   SubscriptionLocalization representation
  Future<SubscriptionLocalizationResponse?>
      subscriptionLocalizationsCreateInstance(
    SubscriptionLocalizationCreateRequest subscriptionLocalizationCreateRequest,
  ) async {
    final response = await subscriptionLocalizationsCreateInstanceWithHttpInfo(
      subscriptionLocalizationCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionLocalizationResponse',
      ) as SubscriptionLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/subscriptionLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> subscriptionLocalizationsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> subscriptionLocalizationsDeleteInstance(
    String id,
  ) async {
    final response = await subscriptionLocalizationsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/subscriptionLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionLocalizationsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptionLocalizations,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionLocalizations]',
          fieldsSubscriptionLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionLocalizationResponse?>
      subscriptionLocalizationsGetInstance(
    String id, {
    List<String>? fieldsSubscriptionLocalizations,
    List<String>? include,
  }) async {
    final response = await subscriptionLocalizationsGetInstanceWithHttpInfo(
      id,
      fieldsSubscriptionLocalizations: fieldsSubscriptionLocalizations,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionLocalizationResponse',
      ) as SubscriptionLocalizationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/subscriptionLocalizations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionLocalizationUpdateRequest] subscriptionLocalizationUpdateRequest (required):
  ///   SubscriptionLocalization representation
  Future<Response> subscriptionLocalizationsUpdateInstanceWithHttpInfo(
    String id,
    SubscriptionLocalizationUpdateRequest subscriptionLocalizationUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionLocalizations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = subscriptionLocalizationUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionLocalizationUpdateRequest] subscriptionLocalizationUpdateRequest (required):
  ///   SubscriptionLocalization representation
  Future<SubscriptionLocalizationResponse?>
      subscriptionLocalizationsUpdateInstance(
    String id,
    SubscriptionLocalizationUpdateRequest subscriptionLocalizationUpdateRequest,
  ) async {
    final response = await subscriptionLocalizationsUpdateInstanceWithHttpInfo(
      id,
      subscriptionLocalizationUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionLocalizationResponse',
      ) as SubscriptionLocalizationResponse;
    }
    return null;
  }
}
