//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class SubscriptionPricePointsApi {
  SubscriptionPricePointsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/subscriptionPricePoints/{id}/equalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterSubscription:
  ///   filter by id(s) of related 'subscription'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      subscriptionPricePointsEqualizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterSubscription,
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionPricePoints/{id}/equalizations'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterSubscription != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[subscription]', filterSubscription));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsSubscriptionPricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionPricePoints]',
          fieldsSubscriptionPricePoints));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterSubscription:
  ///   filter by id(s) of related 'subscription'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionPricePointsResponse?>
      subscriptionPricePointsEqualizationsGetToManyRelated(
    String id, {
    List<String>? filterSubscription,
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await subscriptionPricePointsEqualizationsGetToManyRelatedWithHttpInfo(
      id,
      filterSubscription: filterSubscription,
      filterTerritory: filterTerritory,
      fieldsSubscriptionPricePoints: fieldsSubscriptionPricePoints,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionPricePointsResponse',
      ) as SubscriptionPricePointsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptionPricePoints/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionPricePointsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptionPricePoints/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptionPricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionPricePoints]',
          fieldsSubscriptionPricePoints));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionPricePointResponse?> subscriptionPricePointsGetInstance(
    String id, {
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? include,
  }) async {
    final response = await subscriptionPricePointsGetInstanceWithHttpInfo(
      id,
      fieldsSubscriptionPricePoints: fieldsSubscriptionPricePoints,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionPricePointResponse',
      ) as SubscriptionPricePointResponse;
    }
    return null;
  }
}
