//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class SubscriptionsApi {
  SubscriptionsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/appStoreReviewScreenshot' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      subscriptionsAppStoreReviewScreenshotGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptionAppStoreReviewScreenshots,
    List<String>? fieldsSubscriptions,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/appStoreReviewScreenshot'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptionAppStoreReviewScreenshots != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionAppStoreReviewScreenshots]',
          fieldsSubscriptionAppStoreReviewScreenshots));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionAppStoreReviewScreenshotResponse?>
      subscriptionsAppStoreReviewScreenshotGetToOneRelated(
    String id, {
    List<String>? fieldsSubscriptionAppStoreReviewScreenshots,
    List<String>? fieldsSubscriptions,
    List<String>? include,
  }) async {
    final response =
        await subscriptionsAppStoreReviewScreenshotGetToOneRelatedWithHttpInfo(
      id,
      fieldsSubscriptionAppStoreReviewScreenshots:
          fieldsSubscriptionAppStoreReviewScreenshots,
      fieldsSubscriptions: fieldsSubscriptions,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionAppStoreReviewScreenshotResponse',
      ) as SubscriptionAppStoreReviewScreenshotResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/subscriptions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [SubscriptionCreateRequest] subscriptionCreateRequest (required):
  ///   Subscription representation
  Future<Response> subscriptionsCreateInstanceWithHttpInfo(
    SubscriptionCreateRequest subscriptionCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions';

    // ignore: prefer_final_locals
    Object? postBody = subscriptionCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [SubscriptionCreateRequest] subscriptionCreateRequest (required):
  ///   Subscription representation
  Future<SubscriptionResponse?> subscriptionsCreateInstance(
    SubscriptionCreateRequest subscriptionCreateRequest,
  ) async {
    final response = await subscriptionsCreateInstanceWithHttpInfo(
      subscriptionCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionResponse',
      ) as SubscriptionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/subscriptions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> subscriptionsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> subscriptionsDeleteInstance(
    String id,
  ) async {
    final response = await subscriptionsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOffers:
  ///   the fields to include for returned resources of type subscriptionPromotionalOffers
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodes
  ///
  /// * [List<String>] fieldsSubscriptionAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsSubscriptionAvailabilities:
  ///   the fields to include for returned resources of type subscriptionAvailabilities
  ///
  /// * [List<String>] fieldsSubscriptionPrices:
  ///   the fields to include for returned resources of type subscriptionPrices
  ///
  /// * [List<String>] fieldsSubscriptionIntroductoryOffers:
  ///   the fields to include for returned resources of type subscriptionIntroductoryOffers
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [int] limitIntroductoryOffers:
  ///   maximum number of related introductoryOffers returned (when they are included)
  ///
  /// * [int] limitOfferCodes:
  ///   maximum number of related offerCodes returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitPromotionalOffers:
  ///   maximum number of related promotionalOffers returned (when they are included)
  ///
  /// * [int] limitSubscriptionLocalizations:
  ///   maximum number of related subscriptionLocalizations returned (when they are included)
  Future<Response> subscriptionsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptions,
    List<String>? include,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsSubscriptionPromotionalOffers,
    List<String>? fieldsSubscriptionOfferCodes,
    List<String>? fieldsSubscriptionAppStoreReviewScreenshots,
    List<String>? fieldsSubscriptionAvailabilities,
    List<String>? fieldsSubscriptionPrices,
    List<String>? fieldsSubscriptionIntroductoryOffers,
    List<String>? fieldsSubscriptionLocalizations,
    int? limitIntroductoryOffers,
    int? limitOfferCodes,
    int? limitPrices,
    int? limitPromotionalOffers,
    int? limitSubscriptionLocalizations,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsSubscriptionPricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionPricePoints]',
          fieldsSubscriptionPricePoints));
    }
    if (fieldsSubscriptionPromotionalOffers != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionPromotionalOffers]',
          fieldsSubscriptionPromotionalOffers));
    }
    if (fieldsSubscriptionOfferCodes != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionOfferCodes]',
          fieldsSubscriptionOfferCodes));
    }
    if (fieldsSubscriptionAppStoreReviewScreenshots != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionAppStoreReviewScreenshots]',
          fieldsSubscriptionAppStoreReviewScreenshots));
    }
    if (fieldsSubscriptionAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionAvailabilities]',
          fieldsSubscriptionAvailabilities));
    }
    if (fieldsSubscriptionPrices != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionPrices]', fieldsSubscriptionPrices));
    }
    if (fieldsSubscriptionIntroductoryOffers != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionIntroductoryOffers]',
          fieldsSubscriptionIntroductoryOffers));
    }
    if (fieldsSubscriptionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionLocalizations]',
          fieldsSubscriptionLocalizations));
    }
    if (limitIntroductoryOffers != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[introductoryOffers]', limitIntroductoryOffers));
    }
    if (limitOfferCodes != null) {
      queryParams
          .addAll(_queryParams('', 'limit[offerCodes]', limitOfferCodes));
    }
    if (limitPrices != null) {
      queryParams.addAll(_queryParams('', 'limit[prices]', limitPrices));
    }
    if (limitPromotionalOffers != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotionalOffers]', limitPromotionalOffers));
    }
    if (limitSubscriptionLocalizations != null) {
      queryParams.addAll(_queryParams('', 'limit[subscriptionLocalizations]',
          limitSubscriptionLocalizations));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOffers:
  ///   the fields to include for returned resources of type subscriptionPromotionalOffers
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodes
  ///
  /// * [List<String>] fieldsSubscriptionAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type subscriptionAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsSubscriptionAvailabilities:
  ///   the fields to include for returned resources of type subscriptionAvailabilities
  ///
  /// * [List<String>] fieldsSubscriptionPrices:
  ///   the fields to include for returned resources of type subscriptionPrices
  ///
  /// * [List<String>] fieldsSubscriptionIntroductoryOffers:
  ///   the fields to include for returned resources of type subscriptionIntroductoryOffers
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [int] limitIntroductoryOffers:
  ///   maximum number of related introductoryOffers returned (when they are included)
  ///
  /// * [int] limitOfferCodes:
  ///   maximum number of related offerCodes returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitPromotionalOffers:
  ///   maximum number of related promotionalOffers returned (when they are included)
  ///
  /// * [int] limitSubscriptionLocalizations:
  ///   maximum number of related subscriptionLocalizations returned (when they are included)
  Future<SubscriptionResponse?> subscriptionsGetInstance(
    String id, {
    List<String>? fieldsSubscriptions,
    List<String>? include,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsSubscriptionPromotionalOffers,
    List<String>? fieldsSubscriptionOfferCodes,
    List<String>? fieldsSubscriptionAppStoreReviewScreenshots,
    List<String>? fieldsSubscriptionAvailabilities,
    List<String>? fieldsSubscriptionPrices,
    List<String>? fieldsSubscriptionIntroductoryOffers,
    List<String>? fieldsSubscriptionLocalizations,
    int? limitIntroductoryOffers,
    int? limitOfferCodes,
    int? limitPrices,
    int? limitPromotionalOffers,
    int? limitSubscriptionLocalizations,
  }) async {
    final response = await subscriptionsGetInstanceWithHttpInfo(
      id,
      fieldsSubscriptions: fieldsSubscriptions,
      include: include,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsSubscriptionPricePoints: fieldsSubscriptionPricePoints,
      fieldsSubscriptionPromotionalOffers: fieldsSubscriptionPromotionalOffers,
      fieldsSubscriptionOfferCodes: fieldsSubscriptionOfferCodes,
      fieldsSubscriptionAppStoreReviewScreenshots:
          fieldsSubscriptionAppStoreReviewScreenshots,
      fieldsSubscriptionAvailabilities: fieldsSubscriptionAvailabilities,
      fieldsSubscriptionPrices: fieldsSubscriptionPrices,
      fieldsSubscriptionIntroductoryOffers:
          fieldsSubscriptionIntroductoryOffers,
      fieldsSubscriptionLocalizations: fieldsSubscriptionLocalizations,
      limitIntroductoryOffers: limitIntroductoryOffers,
      limitOfferCodes: limitOfferCodes,
      limitPrices: limitPrices,
      limitPromotionalOffers: limitPromotionalOffers,
      limitSubscriptionLocalizations: limitSubscriptionLocalizations,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionResponse',
      ) as SubscriptionResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/subscriptions/{id}/relationships/introductoryOffers' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionIntroductoryOffersLinkagesRequest] subscriptionIntroductoryOffersLinkagesRequest (required):
  ///   List of related linkages
  Future<Response>
      subscriptionsIntroductoryOffersDeleteToManyRelationshipWithHttpInfo(
    String id,
    SubscriptionIntroductoryOffersLinkagesRequest
        subscriptionIntroductoryOffersLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/relationships/introductoryOffers'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = subscriptionIntroductoryOffersLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionIntroductoryOffersLinkagesRequest] subscriptionIntroductoryOffersLinkagesRequest (required):
  ///   List of related linkages
  Future<void> subscriptionsIntroductoryOffersDeleteToManyRelationship(
    String id,
    SubscriptionIntroductoryOffersLinkagesRequest
        subscriptionIntroductoryOffersLinkagesRequest,
  ) async {
    final response =
        await subscriptionsIntroductoryOffersDeleteToManyRelationshipWithHttpInfo(
      id,
      subscriptionIntroductoryOffersLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/introductoryOffers' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionIntroductoryOffers:
  ///   the fields to include for returned resources of type subscriptionIntroductoryOffers
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionsIntroductoryOffersGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionIntroductoryOffers,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/subscriptions/{id}/introductoryOffers'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsSubscriptionPricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionPricePoints]',
          fieldsSubscriptionPricePoints));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsSubscriptionIntroductoryOffers != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionIntroductoryOffers]',
          fieldsSubscriptionIntroductoryOffers));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionIntroductoryOffers:
  ///   the fields to include for returned resources of type subscriptionIntroductoryOffers
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionIntroductoryOffersResponse?>
      subscriptionsIntroductoryOffersGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionIntroductoryOffers,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await subscriptionsIntroductoryOffersGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsSubscriptionPricePoints: fieldsSubscriptionPricePoints,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsSubscriptionIntroductoryOffers:
          fieldsSubscriptionIntroductoryOffers,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionIntroductoryOffersResponse',
      ) as SubscriptionIntroductoryOffersResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/relationships/introductoryOffers' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response>
      subscriptionsIntroductoryOffersGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/relationships/introductoryOffers'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<SubscriptionIntroductoryOffersLinkagesResponse?>
      subscriptionsIntroductoryOffersGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response =
        await subscriptionsIntroductoryOffersGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionIntroductoryOffersLinkagesResponse',
      ) as SubscriptionIntroductoryOffersLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/offerCodes' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by territory
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodeCustomCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodeCustomCodes
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodes
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodeOneTimeUseCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodePrices:
  ///   the fields to include for returned resources of type subscriptionOfferCodePrices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitOneTimeUseCodes:
  ///   maximum number of related oneTimeUseCodes returned (when they are included)
  ///
  /// * [int] limitCustomCodes:
  ///   maximum number of related customCodes returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionsOfferCodesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionOfferCodeCustomCodes,
    List<String>? fieldsSubscriptionOfferCodes,
    List<String>? fieldsSubscriptionOfferCodeOneTimeUseCodes,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionOfferCodePrices,
    int? limit,
    int? limitOneTimeUseCodes,
    int? limitCustomCodes,
    int? limitPrices,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/offerCodes'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsSubscriptionOfferCodeCustomCodes != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionOfferCodeCustomCodes]',
          fieldsSubscriptionOfferCodeCustomCodes));
    }
    if (fieldsSubscriptionOfferCodes != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionOfferCodes]',
          fieldsSubscriptionOfferCodes));
    }
    if (fieldsSubscriptionOfferCodeOneTimeUseCodes != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionOfferCodeOneTimeUseCodes]',
          fieldsSubscriptionOfferCodeOneTimeUseCodes));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsSubscriptionOfferCodePrices != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionOfferCodePrices]',
          fieldsSubscriptionOfferCodePrices));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitOneTimeUseCodes != null) {
      queryParams.addAll(
          _queryParams('', 'limit[oneTimeUseCodes]', limitOneTimeUseCodes));
    }
    if (limitCustomCodes != null) {
      queryParams
          .addAll(_queryParams('', 'limit[customCodes]', limitCustomCodes));
    }
    if (limitPrices != null) {
      queryParams.addAll(_queryParams('', 'limit[prices]', limitPrices));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by territory
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodeCustomCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodeCustomCodes
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodes
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodeOneTimeUseCodes:
  ///   the fields to include for returned resources of type subscriptionOfferCodeOneTimeUseCodes
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionOfferCodePrices:
  ///   the fields to include for returned resources of type subscriptionOfferCodePrices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitOneTimeUseCodes:
  ///   maximum number of related oneTimeUseCodes returned (when they are included)
  ///
  /// * [int] limitCustomCodes:
  ///   maximum number of related customCodes returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionOfferCodesResponse?>
      subscriptionsOfferCodesGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionOfferCodeCustomCodes,
    List<String>? fieldsSubscriptionOfferCodes,
    List<String>? fieldsSubscriptionOfferCodeOneTimeUseCodes,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionOfferCodePrices,
    int? limit,
    int? limitOneTimeUseCodes,
    int? limitCustomCodes,
    int? limitPrices,
    List<String>? include,
  }) async {
    final response = await subscriptionsOfferCodesGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsSubscriptionOfferCodeCustomCodes:
          fieldsSubscriptionOfferCodeCustomCodes,
      fieldsSubscriptionOfferCodes: fieldsSubscriptionOfferCodes,
      fieldsSubscriptionOfferCodeOneTimeUseCodes:
          fieldsSubscriptionOfferCodeOneTimeUseCodes,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsSubscriptionOfferCodePrices: fieldsSubscriptionOfferCodePrices,
      limit: limit,
      limitOneTimeUseCodes: limitOneTimeUseCodes,
      limitCustomCodes: limitCustomCodes,
      limitPrices: limitPrices,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionOfferCodesResponse',
      ) as SubscriptionOfferCodesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/pricePoints' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionsPricePointsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/pricePoints'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsSubscriptionPricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionPricePoints]',
          fieldsSubscriptionPricePoints));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionPricePointsResponse?>
      subscriptionsPricePointsGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response = await subscriptionsPricePointsGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsSubscriptionPricePoints: fieldsSubscriptionPricePoints,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionPricePointsResponse',
      ) as SubscriptionPricePointsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/subscriptions/{id}/relationships/prices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionPricesLinkagesRequest] subscriptionPricesLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> subscriptionsPricesDeleteToManyRelationshipWithHttpInfo(
    String id,
    SubscriptionPricesLinkagesRequest subscriptionPricesLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/subscriptions/{id}/relationships/prices'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = subscriptionPricesLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionPricesLinkagesRequest] subscriptionPricesLinkagesRequest (required):
  ///   List of related linkages
  Future<void> subscriptionsPricesDeleteToManyRelationship(
    String id,
    SubscriptionPricesLinkagesRequest subscriptionPricesLinkagesRequest,
  ) async {
    final response =
        await subscriptionsPricesDeleteToManyRelationshipWithHttpInfo(
      id,
      subscriptionPricesLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/prices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterSubscriptionPricePoint:
  ///   filter by id(s) of related 'subscriptionPricePoint'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsSubscriptionPrices:
  ///   the fields to include for returned resources of type subscriptionPrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionsPricesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterSubscriptionPricePoint,
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsSubscriptionPrices,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/prices'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterSubscriptionPricePoint != null) {
      queryParams.addAll(_queryParams('csv', 'filter[subscriptionPricePoint]',
          filterSubscriptionPricePoint));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsSubscriptionPricePoints != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionPricePoints]',
          fieldsSubscriptionPricePoints));
    }
    if (fieldsSubscriptionPrices != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionPrices]', fieldsSubscriptionPrices));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterSubscriptionPricePoint:
  ///   filter by id(s) of related 'subscriptionPricePoint'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsSubscriptionPricePoints:
  ///   the fields to include for returned resources of type subscriptionPricePoints
  ///
  /// * [List<String>] fieldsSubscriptionPrices:
  ///   the fields to include for returned resources of type subscriptionPrices
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionPricesResponse?> subscriptionsPricesGetToManyRelated(
    String id, {
    List<String>? filterSubscriptionPricePoint,
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPricePoints,
    List<String>? fieldsSubscriptionPrices,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response = await subscriptionsPricesGetToManyRelatedWithHttpInfo(
      id,
      filterSubscriptionPricePoint: filterSubscriptionPricePoint,
      filterTerritory: filterTerritory,
      fieldsSubscriptionPricePoints: fieldsSubscriptionPricePoints,
      fieldsSubscriptionPrices: fieldsSubscriptionPrices,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionPricesResponse',
      ) as SubscriptionPricesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/relationships/prices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> subscriptionsPricesGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/subscriptions/{id}/relationships/prices'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<SubscriptionPricesLinkagesResponse?>
      subscriptionsPricesGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response = await subscriptionsPricesGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionPricesLinkagesResponse',
      ) as SubscriptionPricesLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/promotedPurchase' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limitPromotionImages:
  ///   maximum number of related promotionImages returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionsPromotedPurchaseGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPromotedPurchaseImages,
    int? limitPromotionImages,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/subscriptions/{id}/promotedPurchase'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases));
    }
    if (fieldsPromotedPurchaseImages != null) {
      queryParams.addAll(_queryParams('csv', 'fields[promotedPurchaseImages]',
          fieldsPromotedPurchaseImages));
    }
    if (limitPromotionImages != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotionImages]', limitPromotionImages));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limitPromotionImages:
  ///   maximum number of related promotionImages returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<PromotedPurchaseResponse?>
      subscriptionsPromotedPurchaseGetToOneRelated(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPromotedPurchaseImages,
    int? limitPromotionImages,
    List<String>? include,
  }) async {
    final response =
        await subscriptionsPromotedPurchaseGetToOneRelatedWithHttpInfo(
      id,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsInAppPurchases: fieldsInAppPurchases,
      fieldsPromotedPurchaseImages: fieldsPromotedPurchaseImages,
      limitPromotionImages: limitPromotionImages,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PromotedPurchaseResponse',
      ) as PromotedPurchaseResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/promotionalOffers' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by territory
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOffers:
  ///   the fields to include for returned resources of type subscriptionPromotionalOffers
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOfferPrices:
  ///   the fields to include for returned resources of type subscriptionPromotionalOfferPrices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> subscriptionsPromotionalOffersGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPromotionalOffers,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionPromotionalOfferPrices,
    int? limit,
    int? limitPrices,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/subscriptions/{id}/promotionalOffers'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsSubscriptionPromotionalOffers != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionPromotionalOffers]',
          fieldsSubscriptionPromotionalOffers));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsSubscriptionPromotionalOfferPrices != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionPromotionalOfferPrices]',
          fieldsSubscriptionPromotionalOfferPrices));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitPrices != null) {
      queryParams.addAll(_queryParams('', 'limit[prices]', limitPrices));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by territory
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOffers:
  ///   the fields to include for returned resources of type subscriptionPromotionalOffers
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionPromotionalOfferPrices:
  ///   the fields to include for returned resources of type subscriptionPromotionalOfferPrices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionPromotionalOffersResponse?>
      subscriptionsPromotionalOffersGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsSubscriptionPromotionalOffers,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionPromotionalOfferPrices,
    int? limit,
    int? limitPrices,
    List<String>? include,
  }) async {
    final response =
        await subscriptionsPromotionalOffersGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsSubscriptionPromotionalOffers: fieldsSubscriptionPromotionalOffers,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsSubscriptionPromotionalOfferPrices:
          fieldsSubscriptionPromotionalOfferPrices,
      limit: limit,
      limitPrices: limitPrices,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionPromotionalOffersResponse',
      ) as SubscriptionPromotionalOffersResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/subscriptionAvailability' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionAvailabilities:
  ///   the fields to include for returned resources of type subscriptionAvailabilities
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      subscriptionsSubscriptionAvailabilityGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptionAvailabilities,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsTerritories,
    int? limitAvailableTerritories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/subscriptionAvailability'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptionAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionAvailabilities]',
          fieldsSubscriptionAvailabilities));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limitAvailableTerritories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[availableTerritories]', limitAvailableTerritories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionAvailabilities:
  ///   the fields to include for returned resources of type subscriptionAvailabilities
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionAvailabilityResponse?>
      subscriptionsSubscriptionAvailabilityGetToOneRelated(
    String id, {
    List<String>? fieldsSubscriptionAvailabilities,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsTerritories,
    int? limitAvailableTerritories,
    List<String>? include,
  }) async {
    final response =
        await subscriptionsSubscriptionAvailabilityGetToOneRelatedWithHttpInfo(
      id,
      fieldsSubscriptionAvailabilities: fieldsSubscriptionAvailabilities,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsTerritories: fieldsTerritories,
      limitAvailableTerritories: limitAvailableTerritories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionAvailabilityResponse',
      ) as SubscriptionAvailabilityResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/subscriptions/{id}/subscriptionLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response>
      subscriptionsSubscriptionLocalizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionLocalizations,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}/subscriptionLocalizations'
        .replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsSubscriptionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionLocalizations]',
          fieldsSubscriptionLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionLocalizations:
  ///   the fields to include for returned resources of type subscriptionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionLocalizationsResponse?>
      subscriptionsSubscriptionLocalizationsGetToManyRelated(
    String id, {
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionLocalizations,
    int? limit,
    List<String>? include,
  }) async {
    final response =
        await subscriptionsSubscriptionLocalizationsGetToManyRelatedWithHttpInfo(
      id,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsSubscriptionLocalizations: fieldsSubscriptionLocalizations,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionLocalizationsResponse',
      ) as SubscriptionLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/subscriptions/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionUpdateRequest] subscriptionUpdateRequest (required):
  ///   Subscription representation
  Future<Response> subscriptionsUpdateInstanceWithHttpInfo(
    String id,
    SubscriptionUpdateRequest subscriptionUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/subscriptions/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = subscriptionUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [SubscriptionUpdateRequest] subscriptionUpdateRequest (required):
  ///   Subscription representation
  Future<SubscriptionResponse?> subscriptionsUpdateInstance(
    String id,
    SubscriptionUpdateRequest subscriptionUpdateRequest,
  ) async {
    final response = await subscriptionsUpdateInstanceWithHttpInfo(
      id,
      subscriptionUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionResponse',
      ) as SubscriptionResponse;
    }
    return null;
  }
}
