//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class UserInvitationsApi {
  UserInvitationsApi([ApiClient? apiClient])
      : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'POST /v1/userInvitations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [UserInvitationCreateRequest] userInvitationCreateRequest (required):
  ///   UserInvitation representation
  Future<Response> userInvitationsCreateInstanceWithHttpInfo(
    UserInvitationCreateRequest userInvitationCreateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/userInvitations';

    // ignore: prefer_final_locals
    Object? postBody = userInvitationCreateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [UserInvitationCreateRequest] userInvitationCreateRequest (required):
  ///   UserInvitation representation
  Future<UserInvitationResponse?> userInvitationsCreateInstance(
    UserInvitationCreateRequest userInvitationCreateRequest,
  ) async {
    final response = await userInvitationsCreateInstanceWithHttpInfo(
      userInvitationCreateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'UserInvitationResponse',
      ) as UserInvitationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/userInvitations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> userInvitationsDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/userInvitations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> userInvitationsDeleteInstance(
    String id,
  ) async {
    final response = await userInvitationsDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/userInvitations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterEmail:
  ///   filter by attribute 'email'
  ///
  /// * [List<String>] filterRoles:
  ///   filter by attribute 'roles'
  ///
  /// * [List<String>] filterVisibleApps:
  ///   filter by id(s) of related 'visibleApps'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsUserInvitations:
  ///   the fields to include for returned resources of type userInvitations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<Response> userInvitationsGetCollectionWithHttpInfo({
    List<String>? filterEmail,
    List<String>? filterRoles,
    List<String>? filterVisibleApps,
    List<String>? sort,
    List<String>? fieldsUserInvitations,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/userInvitations';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterEmail != null) {
      queryParams.addAll(_queryParams('csv', 'filter[email]', filterEmail));
    }
    if (filterRoles != null) {
      queryParams.addAll(_queryParams('csv', 'filter[roles]', filterRoles));
    }
    if (filterVisibleApps != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[visibleApps]', filterVisibleApps));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsUserInvitations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[userInvitations]', fieldsUserInvitations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limitVisibleApps != null) {
      queryParams
          .addAll(_queryParams('', 'limit[visibleApps]', limitVisibleApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterEmail:
  ///   filter by attribute 'email'
  ///
  /// * [List<String>] filterRoles:
  ///   filter by attribute 'roles'
  ///
  /// * [List<String>] filterVisibleApps:
  ///   filter by id(s) of related 'visibleApps'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsUserInvitations:
  ///   the fields to include for returned resources of type userInvitations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<UserInvitationsResponse?> userInvitationsGetCollection({
    List<String>? filterEmail,
    List<String>? filterRoles,
    List<String>? filterVisibleApps,
    List<String>? sort,
    List<String>? fieldsUserInvitations,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    final response = await userInvitationsGetCollectionWithHttpInfo(
      filterEmail: filterEmail,
      filterRoles: filterRoles,
      filterVisibleApps: filterVisibleApps,
      sort: sort,
      fieldsUserInvitations: fieldsUserInvitations,
      limit: limit,
      include: include,
      fieldsApps: fieldsApps,
      limitVisibleApps: limitVisibleApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'UserInvitationsResponse',
      ) as UserInvitationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/userInvitations/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsUserInvitations:
  ///   the fields to include for returned resources of type userInvitations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<Response> userInvitationsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsUserInvitations,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/userInvitations/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsUserInvitations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[userInvitations]', fieldsUserInvitations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limitVisibleApps != null) {
      queryParams
          .addAll(_queryParams('', 'limit[visibleApps]', limitVisibleApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsUserInvitations:
  ///   the fields to include for returned resources of type userInvitations
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<UserInvitationResponse?> userInvitationsGetInstance(
    String id, {
    List<String>? fieldsUserInvitations,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    final response = await userInvitationsGetInstanceWithHttpInfo(
      id,
      fieldsUserInvitations: fieldsUserInvitations,
      include: include,
      fieldsApps: fieldsApps,
      limitVisibleApps: limitVisibleApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'UserInvitationResponse',
      ) as UserInvitationResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/userInvitations/{id}/visibleApps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> userInvitationsVisibleAppsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/userInvitations/{id}/visibleApps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<AppsResponse?> userInvitationsVisibleAppsGetToManyRelated(
    String id, {
    List<String>? fieldsApps,
    int? limit,
  }) async {
    final response =
        await userInvitationsVisibleAppsGetToManyRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppsResponse',
      ) as AppsResponse;
    }
    return null;
  }
}
