//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class UsersApi {
  UsersApi([ApiClient? apiClient]) : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'DELETE /v1/users/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<Response> usersDeleteInstanceWithHttpInfo(
    String id,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/users/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  Future<void> usersDeleteInstance(
    String id,
  ) async {
    final response = await usersDeleteInstanceWithHttpInfo(
      id,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/users' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterRoles:
  ///   filter by attribute 'roles'
  ///
  /// * [List<String>] filterUsername:
  ///   filter by attribute 'username'
  ///
  /// * [List<String>] filterVisibleApps:
  ///   filter by id(s) of related 'visibleApps'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsUsers:
  ///   the fields to include for returned resources of type users
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<Response> usersGetCollectionWithHttpInfo({
    List<String>? filterRoles,
    List<String>? filterUsername,
    List<String>? filterVisibleApps,
    List<String>? sort,
    List<String>? fieldsUsers,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/users';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterRoles != null) {
      queryParams.addAll(_queryParams('csv', 'filter[roles]', filterRoles));
    }
    if (filterUsername != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[username]', filterUsername));
    }
    if (filterVisibleApps != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[visibleApps]', filterVisibleApps));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsUsers != null) {
      queryParams.addAll(_queryParams('csv', 'fields[users]', fieldsUsers));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limitVisibleApps != null) {
      queryParams
          .addAll(_queryParams('', 'limit[visibleApps]', limitVisibleApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterRoles:
  ///   filter by attribute 'roles'
  ///
  /// * [List<String>] filterUsername:
  ///   filter by attribute 'username'
  ///
  /// * [List<String>] filterVisibleApps:
  ///   filter by id(s) of related 'visibleApps'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsUsers:
  ///   the fields to include for returned resources of type users
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<UsersResponse?> usersGetCollection({
    List<String>? filterRoles,
    List<String>? filterUsername,
    List<String>? filterVisibleApps,
    List<String>? sort,
    List<String>? fieldsUsers,
    int? limit,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    final response = await usersGetCollectionWithHttpInfo(
      filterRoles: filterRoles,
      filterUsername: filterUsername,
      filterVisibleApps: filterVisibleApps,
      sort: sort,
      fieldsUsers: fieldsUsers,
      limit: limit,
      include: include,
      fieldsApps: fieldsApps,
      limitVisibleApps: limitVisibleApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'UsersResponse',
      ) as UsersResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/users/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsUsers:
  ///   the fields to include for returned resources of type users
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<Response> usersGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsUsers,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/users/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsUsers != null) {
      queryParams.addAll(_queryParams('csv', 'fields[users]', fieldsUsers));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limitVisibleApps != null) {
      queryParams
          .addAll(_queryParams('', 'limit[visibleApps]', limitVisibleApps));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsUsers:
  ///   the fields to include for returned resources of type users
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limitVisibleApps:
  ///   maximum number of related visibleApps returned (when they are included)
  Future<UserResponse?> usersGetInstance(
    String id, {
    List<String>? fieldsUsers,
    List<String>? include,
    List<String>? fieldsApps,
    int? limitVisibleApps,
  }) async {
    final response = await usersGetInstanceWithHttpInfo(
      id,
      fieldsUsers: fieldsUsers,
      include: include,
      fieldsApps: fieldsApps,
      limitVisibleApps: limitVisibleApps,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'UserResponse',
      ) as UserResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/users/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserUpdateRequest] userUpdateRequest (required):
  ///   User representation
  Future<Response> usersUpdateInstanceWithHttpInfo(
    String id,
    UserUpdateRequest userUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/users/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = userUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserUpdateRequest] userUpdateRequest (required):
  ///   User representation
  Future<UserResponse?> usersUpdateInstance(
    String id,
    UserUpdateRequest userUpdateRequest,
  ) async {
    final response = await usersUpdateInstanceWithHttpInfo(
      id,
      userUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'UserResponse',
      ) as UserResponse;
    }
    return null;
  }

  /// Performs an HTTP 'POST /v1/users/{id}/relationships/visibleApps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserVisibleAppsLinkagesRequest] userVisibleAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> usersVisibleAppsCreateToManyRelationshipWithHttpInfo(
    String id,
    UserVisibleAppsLinkagesRequest userVisibleAppsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/users/{id}/relationships/visibleApps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = userVisibleAppsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'POST',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserVisibleAppsLinkagesRequest] userVisibleAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> usersVisibleAppsCreateToManyRelationship(
    String id,
    UserVisibleAppsLinkagesRequest userVisibleAppsLinkagesRequest,
  ) async {
    final response = await usersVisibleAppsCreateToManyRelationshipWithHttpInfo(
      id,
      userVisibleAppsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'DELETE /v1/users/{id}/relationships/visibleApps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserVisibleAppsLinkagesRequest] userVisibleAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> usersVisibleAppsDeleteToManyRelationshipWithHttpInfo(
    String id,
    UserVisibleAppsLinkagesRequest userVisibleAppsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/users/{id}/relationships/visibleApps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = userVisibleAppsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserVisibleAppsLinkagesRequest] userVisibleAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> usersVisibleAppsDeleteToManyRelationship(
    String id,
    UserVisibleAppsLinkagesRequest userVisibleAppsLinkagesRequest,
  ) async {
    final response = await usersVisibleAppsDeleteToManyRelationshipWithHttpInfo(
      id,
      userVisibleAppsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/users/{id}/visibleApps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> usersVisibleAppsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/users/{id}/visibleApps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<AppsResponse?> usersVisibleAppsGetToManyRelated(
    String id, {
    List<String>? fieldsApps,
    int? limit,
  }) async {
    final response = await usersVisibleAppsGetToManyRelatedWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppsResponse',
      ) as AppsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/users/{id}/relationships/visibleApps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> usersVisibleAppsGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/users/{id}/relationships/visibleApps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<UserVisibleAppsLinkagesResponse?>
      usersVisibleAppsGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response = await usersVisibleAppsGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'UserVisibleAppsLinkagesResponse',
      ) as UserVisibleAppsLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/users/{id}/relationships/visibleApps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserVisibleAppsLinkagesRequest] userVisibleAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> usersVisibleAppsReplaceToManyRelationshipWithHttpInfo(
    String id,
    UserVisibleAppsLinkagesRequest userVisibleAppsLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/users/{id}/relationships/visibleApps'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = userVisibleAppsLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [UserVisibleAppsLinkagesRequest] userVisibleAppsLinkagesRequest (required):
  ///   List of related linkages
  Future<void> usersVisibleAppsReplaceToManyRelationship(
    String id,
    UserVisibleAppsLinkagesRequest userVisibleAppsLinkagesRequest,
  ) async {
    final response =
        await usersVisibleAppsReplaceToManyRelationshipWithHttpInfo(
      id,
      userVisibleAppsLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }
}
