//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class ApiClient {
  ApiClient({
    this.basePath = 'https://api.appstoreconnect.apple.com',
    this.authentication,
  });

  final String basePath;
  final Authentication? authentication;

  var _client = Client();
  final _defaultHeaderMap = <String, String>{};

  /// Returns the current HTTP [Client] instance to use in this class.
  ///
  /// The return value is guaranteed to never be null.
  Client get client => _client;

  /// Requests to use a new HTTP [Client] in this class.
  set client(Client newClient) {
    _client = newClient;
  }

  Map<String, String> get defaultHeaderMap => _defaultHeaderMap;

  void addDefaultHeader(String key, String value) {
    _defaultHeaderMap[key] = value;
  }

  // We don't use a Map<String, String> for queryParams.
  // If collectionFormat is 'multi', a key might appear multiple times.
  Future<Response> invokeAPI(
    String path,
    String method,
    List<QueryParam> queryParams,
    Object? body,
    Map<String, String> headerParams,
    Map<String, String> formParams,
    String? contentType,
  ) async {
    await authentication?.applyToParams(queryParams, headerParams);

    headerParams.addAll(_defaultHeaderMap);
    if (contentType != null) {
      headerParams['Content-Type'] = contentType;
    }

    final urlEncodedQueryParams = queryParams.map((param) => '$param');
    final queryString = urlEncodedQueryParams.isNotEmpty
        ? '?${urlEncodedQueryParams.join('&')}'
        : '';
    final uri = Uri.parse('$basePath$path$queryString');

    try {
      // Special case for uploading a single file which isn't a 'multipart/form-data'.
      if (body is MultipartFile &&
          (contentType == null ||
              !contentType.toLowerCase().startsWith('multipart/form-data'))) {
        final request = StreamedRequest(method, uri);
        request.headers.addAll(headerParams);
        request.contentLength = body.length;
        body.finalize().listen(
              request.sink.add,
              onDone: request.sink.close,
              // ignore: avoid_types_on_closure_parameters
              onError: (Object error, StackTrace trace) => request.sink.close(),
              cancelOnError: true,
            );
        final response = await _client.send(request);
        return Response.fromStream(response);
      }

      if (body is MultipartRequest) {
        final request = MultipartRequest(method, uri);
        request.fields.addAll(body.fields);
        request.files.addAll(body.files);
        request.headers.addAll(body.headers);
        request.headers.addAll(headerParams);
        final response = await _client.send(request);
        return Response.fromStream(response);
      }

      final msgBody = contentType == 'application/x-www-form-urlencoded'
          ? formParams
          : await serializeAsync(body);
      final nullableHeaderParams = headerParams.isEmpty ? null : headerParams;

      switch (method) {
        case 'POST':
          return await _client.post(
            uri,
            headers: nullableHeaderParams,
            body: msgBody,
          );
        case 'PUT':
          return await _client.put(
            uri,
            headers: nullableHeaderParams,
            body: msgBody,
          );
        case 'DELETE':
          return await _client.delete(
            uri,
            headers: nullableHeaderParams,
            body: msgBody,
          );
        case 'PATCH':
          return await _client.patch(
            uri,
            headers: nullableHeaderParams,
            body: msgBody,
          );
        case 'HEAD':
          return await _client.head(
            uri,
            headers: nullableHeaderParams,
          );
        case 'GET':
          return await _client.get(
            uri,
            headers: nullableHeaderParams,
          );
      }
    } on SocketException catch (error, trace) {
      throw ApiException.withInner(
        HttpStatus.badRequest,
        'Socket operation failed: $method $path',
        error,
        trace,
      );
    } on TlsException catch (error, trace) {
      throw ApiException.withInner(
        HttpStatus.badRequest,
        'TLS/SSL communication failed: $method $path',
        error,
        trace,
      );
    } on IOException catch (error, trace) {
      throw ApiException.withInner(
        HttpStatus.badRequest,
        'I/O operation failed: $method $path',
        error,
        trace,
      );
    } on ClientException catch (error, trace) {
      throw ApiException.withInner(
        HttpStatus.badRequest,
        'HTTP connection failed: $method $path',
        error,
        trace,
      );
    } on Exception catch (error, trace) {
      throw ApiException.withInner(
        HttpStatus.badRequest,
        'Exception occurred: $method $path',
        error,
        trace,
      );
    }

    throw ApiException(
      HttpStatus.badRequest,
      'Invalid HTTP operation: $method $path',
    );
  }

  Future<dynamic> deserializeAsync(
    String json,
    String targetType, {
    bool growable = false,
  }) async =>
      // ignore: deprecated_member_use_from_same_package
      deserialize(json, targetType, growable: growable);

  @Deprecated(
      'Scheduled for removal in OpenAPI Generator 6.x. Use deserializeAsync() instead.')
  dynamic deserialize(
    String json,
    String targetType, {
    bool growable = false,
  }) {
    // Remove all spaces. Necessary for regular expressions as well.
    targetType =
        targetType.replaceAll(' ', ''); // ignore: parameter_assignments

    // If the expected target type is String, nothing to do...
    return targetType == 'String'
        ? json
        : _deserialize(jsonDecode(json), targetType, growable: growable);
  }

  // ignore: deprecated_member_use_from_same_package
  Future<String> serializeAsync(Object? value) async => serialize(value);

  @Deprecated(
      'Scheduled for removal in OpenAPI Generator 6.x. Use serializeAsync() instead.')
  String serialize(Object? value) => value == null ? '' : json.encode(value);

  static dynamic _deserialize(dynamic value, String targetType,
      {bool growable = false}) {
    try {
      switch (targetType) {
        case 'String':
          return value is String ? value : value.toString();
        case 'int':
          return value is int ? value : int.parse('$value');
        case 'double':
          return value is double ? value : double.parse('$value');
        case 'bool':
          if (value is bool) {
            return value;
          }
          final valueString = '$value'.toLowerCase();
          return valueString == 'true' || valueString == '1';
        case 'DateTime':
          return value is DateTime ? value : DateTime.tryParse(value);
        case 'Actor':
          return Actor.fromJson(value);
        case 'ActorAttributes':
          return ActorAttributes.fromJson(value);
        case 'ActorResponse':
          return ActorResponse.fromJson(value);
        case 'ActorsResponse':
          return ActorsResponse.fromJson(value);
        case 'AgeRatingDeclaration':
          return AgeRatingDeclaration.fromJson(value);
        case 'AgeRatingDeclarationAttributes':
          return AgeRatingDeclarationAttributes.fromJson(value);
        case 'AgeRatingDeclarationResponse':
          return AgeRatingDeclarationResponse.fromJson(value);
        case 'AgeRatingDeclarationUpdateRequest':
          return AgeRatingDeclarationUpdateRequest.fromJson(value);
        case 'AgeRatingDeclarationUpdateRequestData':
          return AgeRatingDeclarationUpdateRequestData.fromJson(value);
        case 'App':
          return App.fromJson(value);
        case 'AppAttributes':
          return AppAttributes.fromJson(value);
        case 'AppAvailability':
          return AppAvailability.fromJson(value);
        case 'AppAvailabilityAttributes':
          return AppAvailabilityAttributes.fromJson(value);
        case 'AppAvailabilityCreateRequest':
          return AppAvailabilityCreateRequest.fromJson(value);
        case 'AppAvailabilityCreateRequestData':
          return AppAvailabilityCreateRequestData.fromJson(value);
        case 'AppAvailabilityCreateRequestDataAttributes':
          return AppAvailabilityCreateRequestDataAttributes.fromJson(value);
        case 'AppAvailabilityCreateRequestDataRelationships':
          return AppAvailabilityCreateRequestDataRelationships.fromJson(value);
        case 'AppAvailabilityCreateRequestDataRelationshipsApp':
          return AppAvailabilityCreateRequestDataRelationshipsApp.fromJson(
              value);
        case 'AppAvailabilityCreateRequestDataRelationshipsAvailableTerritories':
          return AppAvailabilityCreateRequestDataRelationshipsAvailableTerritories
              .fromJson(value);
        case 'AppAvailabilityRelationships':
          return AppAvailabilityRelationships.fromJson(value);
        case 'AppAvailabilityRelationshipsApp':
          return AppAvailabilityRelationshipsApp.fromJson(value);
        case 'AppAvailabilityRelationshipsAppData':
          return AppAvailabilityRelationshipsAppData.fromJson(value);
        case 'AppAvailabilityRelationshipsAppLinks':
          return AppAvailabilityRelationshipsAppLinks.fromJson(value);
        case 'AppAvailabilityRelationshipsAvailableTerritories':
          return AppAvailabilityRelationshipsAvailableTerritories.fromJson(
              value);
        case 'AppAvailabilityRelationshipsAvailableTerritoriesDataInner':
          return AppAvailabilityRelationshipsAvailableTerritoriesDataInner
              .fromJson(value);
        case 'AppAvailabilityResponse':
          return AppAvailabilityResponse.fromJson(value);
        case 'AppAvailabilityResponseIncludedInner':
          return AppAvailabilityResponseIncludedInner.fromJson(value);
        case 'AppBetaTestersLinkagesRequest':
          return AppBetaTestersLinkagesRequest.fromJson(value);
        case 'AppCategoriesResponse':
          return AppCategoriesResponse.fromJson(value);
        case 'AppCategoriesResponseIncludedInner':
          return AppCategoriesResponseIncludedInner.fromJson(value);
        case 'AppCategory':
          return AppCategory.fromJson(value);
        case 'AppCategoryAttributes':
          return AppCategoryAttributes.fromJson(value);
        case 'AppCategoryRelationships':
          return AppCategoryRelationships.fromJson(value);
        case 'AppCategoryRelationshipsParent':
          return AppCategoryRelationshipsParent.fromJson(value);
        case 'AppCategoryRelationshipsSubcategories':
          return AppCategoryRelationshipsSubcategories.fromJson(value);
        case 'AppCategoryRelationshipsSubcategoriesDataInner':
          return AppCategoryRelationshipsSubcategoriesDataInner.fromJson(value);
        case 'AppCategoryResponse':
          return AppCategoryResponse.fromJson(value);
        case 'AppClip':
          return AppClip.fromJson(value);
        case 'AppClipAction':
          return AppClipActionTypeTransformer().decode(value);
        case 'AppClipAdvancedExperience':
          return AppClipAdvancedExperience.fromJson(value);
        case 'AppClipAdvancedExperienceAttributes':
          return AppClipAdvancedExperienceAttributes.fromJson(value);
        case 'AppClipAdvancedExperienceAttributesPlace':
          return AppClipAdvancedExperienceAttributesPlace.fromJson(value);
        case 'AppClipAdvancedExperienceAttributesPlaceDisplayPoint':
          return AppClipAdvancedExperienceAttributesPlaceDisplayPoint.fromJson(
              value);
        case 'AppClipAdvancedExperienceAttributesPlaceDisplayPointCoordinates':
          return AppClipAdvancedExperienceAttributesPlaceDisplayPointCoordinates
              .fromJson(value);
        case 'AppClipAdvancedExperienceAttributesPlaceMainAddress':
          return AppClipAdvancedExperienceAttributesPlaceMainAddress.fromJson(
              value);
        case 'AppClipAdvancedExperienceAttributesPlaceMainAddressStructuredAddress':
          return AppClipAdvancedExperienceAttributesPlaceMainAddressStructuredAddress
              .fromJson(value);
        case 'AppClipAdvancedExperienceAttributesPlacePhoneNumber':
          return AppClipAdvancedExperienceAttributesPlacePhoneNumber.fromJson(
              value);
        case 'AppClipAdvancedExperienceCreateRequest':
          return AppClipAdvancedExperienceCreateRequest.fromJson(value);
        case 'AppClipAdvancedExperienceCreateRequestData':
          return AppClipAdvancedExperienceCreateRequestData.fromJson(value);
        case 'AppClipAdvancedExperienceCreateRequestDataAttributes':
          return AppClipAdvancedExperienceCreateRequestDataAttributes.fromJson(
              value);
        case 'AppClipAdvancedExperienceCreateRequestDataRelationships':
          return AppClipAdvancedExperienceCreateRequestDataRelationships
              .fromJson(value);
        case 'AppClipAdvancedExperienceCreateRequestDataRelationshipsAppClip':
          return AppClipAdvancedExperienceCreateRequestDataRelationshipsAppClip
              .fromJson(value);
        case 'AppClipAdvancedExperienceCreateRequestDataRelationshipsHeaderImage':
          return AppClipAdvancedExperienceCreateRequestDataRelationshipsHeaderImage
              .fromJson(value);
        case 'AppClipAdvancedExperienceCreateRequestDataRelationshipsLocalizations':
          return AppClipAdvancedExperienceCreateRequestDataRelationshipsLocalizations
              .fromJson(value);
        case 'AppClipAdvancedExperienceImage':
          return AppClipAdvancedExperienceImage.fromJson(value);
        case 'AppClipAdvancedExperienceImageAttributes':
          return AppClipAdvancedExperienceImageAttributes.fromJson(value);
        case 'AppClipAdvancedExperienceImageCreateRequest':
          return AppClipAdvancedExperienceImageCreateRequest.fromJson(value);
        case 'AppClipAdvancedExperienceImageCreateRequestData':
          return AppClipAdvancedExperienceImageCreateRequestData.fromJson(
              value);
        case 'AppClipAdvancedExperienceImageCreateRequestDataAttributes':
          return AppClipAdvancedExperienceImageCreateRequestDataAttributes
              .fromJson(value);
        case 'AppClipAdvancedExperienceImageResponse':
          return AppClipAdvancedExperienceImageResponse.fromJson(value);
        case 'AppClipAdvancedExperienceImageUpdateRequest':
          return AppClipAdvancedExperienceImageUpdateRequest.fromJson(value);
        case 'AppClipAdvancedExperienceImageUpdateRequestData':
          return AppClipAdvancedExperienceImageUpdateRequestData.fromJson(
              value);
        case 'AppClipAdvancedExperienceImageUpdateRequestDataAttributes':
          return AppClipAdvancedExperienceImageUpdateRequestDataAttributes
              .fromJson(value);
        case 'AppClipAdvancedExperienceLanguage':
          return AppClipAdvancedExperienceLanguageTypeTransformer()
              .decode(value);
        case 'AppClipAdvancedExperienceLocalization':
          return AppClipAdvancedExperienceLocalization.fromJson(value);
        case 'AppClipAdvancedExperienceLocalizationAttributes':
          return AppClipAdvancedExperienceLocalizationAttributes.fromJson(
              value);
        case 'AppClipAdvancedExperienceLocalizationInlineCreate':
          return AppClipAdvancedExperienceLocalizationInlineCreate.fromJson(
              value);
        case 'AppClipAdvancedExperienceRelationships':
          return AppClipAdvancedExperienceRelationships.fromJson(value);
        case 'AppClipAdvancedExperienceRelationshipsAppClip':
          return AppClipAdvancedExperienceRelationshipsAppClip.fromJson(value);
        case 'AppClipAdvancedExperienceRelationshipsAppClipData':
          return AppClipAdvancedExperienceRelationshipsAppClipData.fromJson(
              value);
        case 'AppClipAdvancedExperienceRelationshipsHeaderImage':
          return AppClipAdvancedExperienceRelationshipsHeaderImage.fromJson(
              value);
        case 'AppClipAdvancedExperienceRelationshipsHeaderImageData':
          return AppClipAdvancedExperienceRelationshipsHeaderImageData.fromJson(
              value);
        case 'AppClipAdvancedExperienceRelationshipsLocalizations':
          return AppClipAdvancedExperienceRelationshipsLocalizations.fromJson(
              value);
        case 'AppClipAdvancedExperienceRelationshipsLocalizationsDataInner':
          return AppClipAdvancedExperienceRelationshipsLocalizationsDataInner
              .fromJson(value);
        case 'AppClipAdvancedExperienceResponse':
          return AppClipAdvancedExperienceResponse.fromJson(value);
        case 'AppClipAdvancedExperienceUpdateRequest':
          return AppClipAdvancedExperienceUpdateRequest.fromJson(value);
        case 'AppClipAdvancedExperienceUpdateRequestData':
          return AppClipAdvancedExperienceUpdateRequestData.fromJson(value);
        case 'AppClipAdvancedExperienceUpdateRequestDataAttributes':
          return AppClipAdvancedExperienceUpdateRequestDataAttributes.fromJson(
              value);
        case 'AppClipAdvancedExperienceUpdateRequestDataRelationships':
          return AppClipAdvancedExperienceUpdateRequestDataRelationships
              .fromJson(value);
        case 'AppClipAdvancedExperienceUpdateRequestDataRelationshipsAppClip':
          return AppClipAdvancedExperienceUpdateRequestDataRelationshipsAppClip
              .fromJson(value);
        case 'AppClipAdvancedExperienceUpdateRequestDataRelationshipsHeaderImage':
          return AppClipAdvancedExperienceUpdateRequestDataRelationshipsHeaderImage
              .fromJson(value);
        case 'AppClipAdvancedExperienceUpdateRequestDataRelationshipsLocalizations':
          return AppClipAdvancedExperienceUpdateRequestDataRelationshipsLocalizations
              .fromJson(value);
        case 'AppClipAdvancedExperiencesResponse':
          return AppClipAdvancedExperiencesResponse.fromJson(value);
        case 'AppClipAdvancedExperiencesResponseIncludedInner':
          return AppClipAdvancedExperiencesResponseIncludedInner.fromJson(
              value);
        case 'AppClipAppStoreReviewDetail':
          return AppClipAppStoreReviewDetail.fromJson(value);
        case 'AppClipAppStoreReviewDetailAttributes':
          return AppClipAppStoreReviewDetailAttributes.fromJson(value);
        case 'AppClipAppStoreReviewDetailCreateRequest':
          return AppClipAppStoreReviewDetailCreateRequest.fromJson(value);
        case 'AppClipAppStoreReviewDetailCreateRequestData':
          return AppClipAppStoreReviewDetailCreateRequestData.fromJson(value);
        case 'AppClipAppStoreReviewDetailCreateRequestDataRelationships':
          return AppClipAppStoreReviewDetailCreateRequestDataRelationships
              .fromJson(value);
        case 'AppClipAppStoreReviewDetailCreateRequestDataRelationshipsAppClipDefaultExperience':
          return AppClipAppStoreReviewDetailCreateRequestDataRelationshipsAppClipDefaultExperience
              .fromJson(value);
        case 'AppClipAppStoreReviewDetailRelationships':
          return AppClipAppStoreReviewDetailRelationships.fromJson(value);
        case 'AppClipAppStoreReviewDetailRelationshipsAppClipDefaultExperience':
          return AppClipAppStoreReviewDetailRelationshipsAppClipDefaultExperience
              .fromJson(value);
        case 'AppClipAppStoreReviewDetailRelationshipsAppClipDefaultExperienceData':
          return AppClipAppStoreReviewDetailRelationshipsAppClipDefaultExperienceData
              .fromJson(value);
        case 'AppClipAppStoreReviewDetailResponse':
          return AppClipAppStoreReviewDetailResponse.fromJson(value);
        case 'AppClipAppStoreReviewDetailUpdateRequest':
          return AppClipAppStoreReviewDetailUpdateRequest.fromJson(value);
        case 'AppClipAppStoreReviewDetailUpdateRequestData':
          return AppClipAppStoreReviewDetailUpdateRequestData.fromJson(value);
        case 'AppClipAttributes':
          return AppClipAttributes.fromJson(value);
        case 'AppClipDefaultExperience':
          return AppClipDefaultExperience.fromJson(value);
        case 'AppClipDefaultExperienceAttributes':
          return AppClipDefaultExperienceAttributes.fromJson(value);
        case 'AppClipDefaultExperienceCreateRequest':
          return AppClipDefaultExperienceCreateRequest.fromJson(value);
        case 'AppClipDefaultExperienceCreateRequestData':
          return AppClipDefaultExperienceCreateRequestData.fromJson(value);
        case 'AppClipDefaultExperienceCreateRequestDataRelationships':
          return AppClipDefaultExperienceCreateRequestDataRelationships
              .fromJson(value);
        case 'AppClipDefaultExperienceCreateRequestDataRelationshipsAppClipDefaultExperienceTemplate':
          return AppClipDefaultExperienceCreateRequestDataRelationshipsAppClipDefaultExperienceTemplate
              .fromJson(value);
        case 'AppClipDefaultExperienceCreateRequestDataRelationshipsReleaseWithAppStoreVersion':
          return AppClipDefaultExperienceCreateRequestDataRelationshipsReleaseWithAppStoreVersion
              .fromJson(value);
        case 'AppClipDefaultExperienceLocalization':
          return AppClipDefaultExperienceLocalization.fromJson(value);
        case 'AppClipDefaultExperienceLocalizationAttributes':
          return AppClipDefaultExperienceLocalizationAttributes.fromJson(value);
        case 'AppClipDefaultExperienceLocalizationCreateRequest':
          return AppClipDefaultExperienceLocalizationCreateRequest.fromJson(
              value);
        case 'AppClipDefaultExperienceLocalizationCreateRequestData':
          return AppClipDefaultExperienceLocalizationCreateRequestData.fromJson(
              value);
        case 'AppClipDefaultExperienceLocalizationCreateRequestDataAttributes':
          return AppClipDefaultExperienceLocalizationCreateRequestDataAttributes
              .fromJson(value);
        case 'AppClipDefaultExperienceLocalizationRelationships':
          return AppClipDefaultExperienceLocalizationRelationships.fromJson(
              value);
        case 'AppClipDefaultExperienceLocalizationRelationshipsAppClipHeaderImage':
          return AppClipDefaultExperienceLocalizationRelationshipsAppClipHeaderImage
              .fromJson(value);
        case 'AppClipDefaultExperienceLocalizationRelationshipsAppClipHeaderImageData':
          return AppClipDefaultExperienceLocalizationRelationshipsAppClipHeaderImageData
              .fromJson(value);
        case 'AppClipDefaultExperienceLocalizationResponse':
          return AppClipDefaultExperienceLocalizationResponse.fromJson(value);
        case 'AppClipDefaultExperienceLocalizationUpdateRequest':
          return AppClipDefaultExperienceLocalizationUpdateRequest.fromJson(
              value);
        case 'AppClipDefaultExperienceLocalizationUpdateRequestData':
          return AppClipDefaultExperienceLocalizationUpdateRequestData.fromJson(
              value);
        case 'AppClipDefaultExperienceLocalizationUpdateRequestDataAttributes':
          return AppClipDefaultExperienceLocalizationUpdateRequestDataAttributes
              .fromJson(value);
        case 'AppClipDefaultExperienceLocalizationsResponse':
          return AppClipDefaultExperienceLocalizationsResponse.fromJson(value);
        case 'AppClipDefaultExperienceLocalizationsResponseIncludedInner':
          return AppClipDefaultExperienceLocalizationsResponseIncludedInner
              .fromJson(value);
        case 'AppClipDefaultExperienceRelationships':
          return AppClipDefaultExperienceRelationships.fromJson(value);
        case 'AppClipDefaultExperienceRelationshipsAppClipAppStoreReviewDetail':
          return AppClipDefaultExperienceRelationshipsAppClipAppStoreReviewDetail
              .fromJson(value);
        case 'AppClipDefaultExperienceRelationshipsAppClipAppStoreReviewDetailData':
          return AppClipDefaultExperienceRelationshipsAppClipAppStoreReviewDetailData
              .fromJson(value);
        case 'AppClipDefaultExperienceRelationshipsAppClipDefaultExperienceLocalizations':
          return AppClipDefaultExperienceRelationshipsAppClipDefaultExperienceLocalizations
              .fromJson(value);
        case 'AppClipDefaultExperienceRelationshipsAppClipDefaultExperienceLocalizationsDataInner':
          return AppClipDefaultExperienceRelationshipsAppClipDefaultExperienceLocalizationsDataInner
              .fromJson(value);
        case 'AppClipDefaultExperienceRelationshipsReleaseWithAppStoreVersion':
          return AppClipDefaultExperienceRelationshipsReleaseWithAppStoreVersion
              .fromJson(value);
        case 'AppClipDefaultExperienceRelationshipsReleaseWithAppStoreVersionData':
          return AppClipDefaultExperienceRelationshipsReleaseWithAppStoreVersionData
              .fromJson(value);
        case 'AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest':
          return AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageRequest
              .fromJson(value);
        case 'AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageResponse':
          return AppClipDefaultExperienceReleaseWithAppStoreVersionLinkageResponse
              .fromJson(value);
        case 'AppClipDefaultExperienceResponse':
          return AppClipDefaultExperienceResponse.fromJson(value);
        case 'AppClipDefaultExperienceUpdateRequest':
          return AppClipDefaultExperienceUpdateRequest.fromJson(value);
        case 'AppClipDefaultExperienceUpdateRequestData':
          return AppClipDefaultExperienceUpdateRequestData.fromJson(value);
        case 'AppClipDefaultExperienceUpdateRequestDataRelationships':
          return AppClipDefaultExperienceUpdateRequestDataRelationships
              .fromJson(value);
        case 'AppClipDefaultExperiencesResponse':
          return AppClipDefaultExperiencesResponse.fromJson(value);
        case 'AppClipDefaultExperiencesResponseIncludedInner':
          return AppClipDefaultExperiencesResponseIncludedInner.fromJson(value);
        case 'AppClipDomainStatus':
          return AppClipDomainStatus.fromJson(value);
        case 'AppClipDomainStatusAttributes':
          return AppClipDomainStatusAttributes.fromJson(value);
        case 'AppClipDomainStatusAttributesDomainsInner':
          return AppClipDomainStatusAttributesDomainsInner.fromJson(value);
        case 'AppClipDomainStatusResponse':
          return AppClipDomainStatusResponse.fromJson(value);
        case 'AppClipHeaderImage':
          return AppClipHeaderImage.fromJson(value);
        case 'AppClipHeaderImageCreateRequest':
          return AppClipHeaderImageCreateRequest.fromJson(value);
        case 'AppClipHeaderImageCreateRequestData':
          return AppClipHeaderImageCreateRequestData.fromJson(value);
        case 'AppClipHeaderImageCreateRequestDataRelationships':
          return AppClipHeaderImageCreateRequestDataRelationships.fromJson(
              value);
        case 'AppClipHeaderImageCreateRequestDataRelationshipsAppClipDefaultExperienceLocalization':
          return AppClipHeaderImageCreateRequestDataRelationshipsAppClipDefaultExperienceLocalization
              .fromJson(value);
        case 'AppClipHeaderImageRelationships':
          return AppClipHeaderImageRelationships.fromJson(value);
        case 'AppClipHeaderImageRelationshipsAppClipDefaultExperienceLocalization':
          return AppClipHeaderImageRelationshipsAppClipDefaultExperienceLocalization
              .fromJson(value);
        case 'AppClipHeaderImageResponse':
          return AppClipHeaderImageResponse.fromJson(value);
        case 'AppClipHeaderImageUpdateRequest':
          return AppClipHeaderImageUpdateRequest.fromJson(value);
        case 'AppClipHeaderImageUpdateRequestData':
          return AppClipHeaderImageUpdateRequestData.fromJson(value);
        case 'AppClipRelationships':
          return AppClipRelationships.fromJson(value);
        case 'AppClipRelationshipsAppClipDefaultExperiences':
          return AppClipRelationshipsAppClipDefaultExperiences.fromJson(value);
        case 'AppClipResponse':
          return AppClipResponse.fromJson(value);
        case 'AppClipsResponse':
          return AppClipsResponse.fromJson(value);
        case 'AppClipsResponseIncludedInner':
          return AppClipsResponseIncludedInner.fromJson(value);
        case 'AppCustomProductPage':
          return AppCustomProductPage.fromJson(value);
        case 'AppCustomProductPageAttributes':
          return AppCustomProductPageAttributes.fromJson(value);
        case 'AppCustomProductPageCreateRequest':
          return AppCustomProductPageCreateRequest.fromJson(value);
        case 'AppCustomProductPageCreateRequestData':
          return AppCustomProductPageCreateRequestData.fromJson(value);
        case 'AppCustomProductPageCreateRequestDataAttributes':
          return AppCustomProductPageCreateRequestDataAttributes.fromJson(
              value);
        case 'AppCustomProductPageCreateRequestDataRelationships':
          return AppCustomProductPageCreateRequestDataRelationships.fromJson(
              value);
        case 'AppCustomProductPageCreateRequestDataRelationshipsAppCustomProductPageVersions':
          return AppCustomProductPageCreateRequestDataRelationshipsAppCustomProductPageVersions
              .fromJson(value);
        case 'AppCustomProductPageCreateRequestIncludedInner':
          return AppCustomProductPageCreateRequestIncludedInner.fromJson(value);
        case 'AppCustomProductPageLocalization':
          return AppCustomProductPageLocalization.fromJson(value);
        case 'AppCustomProductPageLocalizationAttributes':
          return AppCustomProductPageLocalizationAttributes.fromJson(value);
        case 'AppCustomProductPageLocalizationCreateRequest':
          return AppCustomProductPageLocalizationCreateRequest.fromJson(value);
        case 'AppCustomProductPageLocalizationCreateRequestData':
          return AppCustomProductPageLocalizationCreateRequestData.fromJson(
              value);
        case 'AppCustomProductPageLocalizationCreateRequestDataRelationships':
          return AppCustomProductPageLocalizationCreateRequestDataRelationships
              .fromJson(value);
        case 'AppCustomProductPageLocalizationCreateRequestDataRelationshipsAppCustomProductPageVersion':
          return AppCustomProductPageLocalizationCreateRequestDataRelationshipsAppCustomProductPageVersion
              .fromJson(value);
        case 'AppCustomProductPageLocalizationInlineCreate':
          return AppCustomProductPageLocalizationInlineCreate.fromJson(value);
        case 'AppCustomProductPageLocalizationInlineCreateAttributes':
          return AppCustomProductPageLocalizationInlineCreateAttributes
              .fromJson(value);
        case 'AppCustomProductPageLocalizationInlineCreateRelationships':
          return AppCustomProductPageLocalizationInlineCreateRelationships
              .fromJson(value);
        case 'AppCustomProductPageLocalizationInlineCreateRelationshipsAppCustomProductPageVersion':
          return AppCustomProductPageLocalizationInlineCreateRelationshipsAppCustomProductPageVersion
              .fromJson(value);
        case 'AppCustomProductPageLocalizationRelationships':
          return AppCustomProductPageLocalizationRelationships.fromJson(value);
        case 'AppCustomProductPageLocalizationRelationshipsAppCustomProductPageVersion':
          return AppCustomProductPageLocalizationRelationshipsAppCustomProductPageVersion
              .fromJson(value);
        case 'AppCustomProductPageLocalizationRelationshipsAppCustomProductPageVersionData':
          return AppCustomProductPageLocalizationRelationshipsAppCustomProductPageVersionData
              .fromJson(value);
        case 'AppCustomProductPageLocalizationRelationshipsAppPreviewSets':
          return AppCustomProductPageLocalizationRelationshipsAppPreviewSets
              .fromJson(value);
        case 'AppCustomProductPageLocalizationRelationshipsAppPreviewSetsDataInner':
          return AppCustomProductPageLocalizationRelationshipsAppPreviewSetsDataInner
              .fromJson(value);
        case 'AppCustomProductPageLocalizationRelationshipsAppScreenshotSets':
          return AppCustomProductPageLocalizationRelationshipsAppScreenshotSets
              .fromJson(value);
        case 'AppCustomProductPageLocalizationRelationshipsAppScreenshotSetsDataInner':
          return AppCustomProductPageLocalizationRelationshipsAppScreenshotSetsDataInner
              .fromJson(value);
        case 'AppCustomProductPageLocalizationResponse':
          return AppCustomProductPageLocalizationResponse.fromJson(value);
        case 'AppCustomProductPageLocalizationUpdateRequest':
          return AppCustomProductPageLocalizationUpdateRequest.fromJson(value);
        case 'AppCustomProductPageLocalizationUpdateRequestData':
          return AppCustomProductPageLocalizationUpdateRequestData.fromJson(
              value);
        case 'AppCustomProductPageLocalizationUpdateRequestDataAttributes':
          return AppCustomProductPageLocalizationUpdateRequestDataAttributes
              .fromJson(value);
        case 'AppCustomProductPageLocalizationsResponse':
          return AppCustomProductPageLocalizationsResponse.fromJson(value);
        case 'AppCustomProductPageLocalizationsResponseIncludedInner':
          return AppCustomProductPageLocalizationsResponseIncludedInner
              .fromJson(value);
        case 'AppCustomProductPageRelationships':
          return AppCustomProductPageRelationships.fromJson(value);
        case 'AppCustomProductPageRelationshipsAppCustomProductPageVersions':
          return AppCustomProductPageRelationshipsAppCustomProductPageVersions
              .fromJson(value);
        case 'AppCustomProductPageResponse':
          return AppCustomProductPageResponse.fromJson(value);
        case 'AppCustomProductPageUpdateRequest':
          return AppCustomProductPageUpdateRequest.fromJson(value);
        case 'AppCustomProductPageUpdateRequestData':
          return AppCustomProductPageUpdateRequestData.fromJson(value);
        case 'AppCustomProductPageUpdateRequestDataAttributes':
          return AppCustomProductPageUpdateRequestDataAttributes.fromJson(
              value);
        case 'AppCustomProductPageVersion':
          return AppCustomProductPageVersion.fromJson(value);
        case 'AppCustomProductPageVersionAttributes':
          return AppCustomProductPageVersionAttributes.fromJson(value);
        case 'AppCustomProductPageVersionCreateRequest':
          return AppCustomProductPageVersionCreateRequest.fromJson(value);
        case 'AppCustomProductPageVersionCreateRequestData':
          return AppCustomProductPageVersionCreateRequestData.fromJson(value);
        case 'AppCustomProductPageVersionCreateRequestDataRelationships':
          return AppCustomProductPageVersionCreateRequestDataRelationships
              .fromJson(value);
        case 'AppCustomProductPageVersionCreateRequestDataRelationshipsAppCustomProductPage':
          return AppCustomProductPageVersionCreateRequestDataRelationshipsAppCustomProductPage
              .fromJson(value);
        case 'AppCustomProductPageVersionInlineCreate':
          return AppCustomProductPageVersionInlineCreate.fromJson(value);
        case 'AppCustomProductPageVersionInlineCreateRelationships':
          return AppCustomProductPageVersionInlineCreateRelationships.fromJson(
              value);
        case 'AppCustomProductPageVersionInlineCreateRelationshipsAppCustomProductPage':
          return AppCustomProductPageVersionInlineCreateRelationshipsAppCustomProductPage
              .fromJson(value);
        case 'AppCustomProductPageVersionInlineCreateRelationshipsAppCustomProductPageLocalizations':
          return AppCustomProductPageVersionInlineCreateRelationshipsAppCustomProductPageLocalizations
              .fromJson(value);
        case 'AppCustomProductPageVersionRelationships':
          return AppCustomProductPageVersionRelationships.fromJson(value);
        case 'AppCustomProductPageVersionRelationshipsAppCustomProductPage':
          return AppCustomProductPageVersionRelationshipsAppCustomProductPage
              .fromJson(value);
        case 'AppCustomProductPageVersionRelationshipsAppCustomProductPageData':
          return AppCustomProductPageVersionRelationshipsAppCustomProductPageData
              .fromJson(value);
        case 'AppCustomProductPageVersionRelationshipsAppCustomProductPageLocalizations':
          return AppCustomProductPageVersionRelationshipsAppCustomProductPageLocalizations
              .fromJson(value);
        case 'AppCustomProductPageVersionRelationshipsAppCustomProductPageLocalizationsDataInner':
          return AppCustomProductPageVersionRelationshipsAppCustomProductPageLocalizationsDataInner
              .fromJson(value);
        case 'AppCustomProductPageVersionResponse':
          return AppCustomProductPageVersionResponse.fromJson(value);
        case 'AppCustomProductPageVersionsResponse':
          return AppCustomProductPageVersionsResponse.fromJson(value);
        case 'AppCustomProductPageVersionsResponseIncludedInner':
          return AppCustomProductPageVersionsResponseIncludedInner.fromJson(
              value);
        case 'AppCustomProductPagesResponse':
          return AppCustomProductPagesResponse.fromJson(value);
        case 'AppCustomProductPagesResponseIncludedInner':
          return AppCustomProductPagesResponseIncludedInner.fromJson(value);
        case 'AppEncryptionDeclaration':
          return AppEncryptionDeclaration.fromJson(value);
        case 'AppEncryptionDeclarationAttributes':
          return AppEncryptionDeclarationAttributes.fromJson(value);
        case 'AppEncryptionDeclarationBuildsLinkagesRequest':
          return AppEncryptionDeclarationBuildsLinkagesRequest.fromJson(value);
        case 'AppEncryptionDeclarationDocument':
          return AppEncryptionDeclarationDocument.fromJson(value);
        case 'AppEncryptionDeclarationDocumentAttributes':
          return AppEncryptionDeclarationDocumentAttributes.fromJson(value);
        case 'AppEncryptionDeclarationDocumentCreateRequest':
          return AppEncryptionDeclarationDocumentCreateRequest.fromJson(value);
        case 'AppEncryptionDeclarationDocumentCreateRequestData':
          return AppEncryptionDeclarationDocumentCreateRequestData.fromJson(
              value);
        case 'AppEncryptionDeclarationDocumentCreateRequestDataRelationships':
          return AppEncryptionDeclarationDocumentCreateRequestDataRelationships
              .fromJson(value);
        case 'AppEncryptionDeclarationDocumentCreateRequestDataRelationshipsAppEncryptionDeclaration':
          return AppEncryptionDeclarationDocumentCreateRequestDataRelationshipsAppEncryptionDeclaration
              .fromJson(value);
        case 'AppEncryptionDeclarationDocumentCreateRequestDataRelationshipsAppEncryptionDeclarationData':
          return AppEncryptionDeclarationDocumentCreateRequestDataRelationshipsAppEncryptionDeclarationData
              .fromJson(value);
        case 'AppEncryptionDeclarationDocumentResponse':
          return AppEncryptionDeclarationDocumentResponse.fromJson(value);
        case 'AppEncryptionDeclarationDocumentUpdateRequest':
          return AppEncryptionDeclarationDocumentUpdateRequest.fromJson(value);
        case 'AppEncryptionDeclarationDocumentUpdateRequestData':
          return AppEncryptionDeclarationDocumentUpdateRequestData.fromJson(
              value);
        case 'AppEncryptionDeclarationRelationships':
          return AppEncryptionDeclarationRelationships.fromJson(value);
        case 'AppEncryptionDeclarationRelationshipsAppEncryptionDeclarationDocument':
          return AppEncryptionDeclarationRelationshipsAppEncryptionDeclarationDocument
              .fromJson(value);
        case 'AppEncryptionDeclarationRelationshipsAppEncryptionDeclarationDocumentData':
          return AppEncryptionDeclarationRelationshipsAppEncryptionDeclarationDocumentData
              .fromJson(value);
        case 'AppEncryptionDeclarationRelationshipsBuilds':
          return AppEncryptionDeclarationRelationshipsBuilds.fromJson(value);
        case 'AppEncryptionDeclarationRelationshipsBuildsDataInner':
          return AppEncryptionDeclarationRelationshipsBuildsDataInner.fromJson(
              value);
        case 'AppEncryptionDeclarationResponse':
          return AppEncryptionDeclarationResponse.fromJson(value);
        case 'AppEncryptionDeclarationState':
          return AppEncryptionDeclarationStateTypeTransformer().decode(value);
        case 'AppEncryptionDeclarationsResponse':
          return AppEncryptionDeclarationsResponse.fromJson(value);
        case 'AppEncryptionDeclarationsResponseIncludedInner':
          return AppEncryptionDeclarationsResponseIncludedInner.fromJson(value);
        case 'AppEvent':
          return AppEvent.fromJson(value);
        case 'AppEventAssetType':
          return AppEventAssetTypeTypeTransformer().decode(value);
        case 'AppEventAttributes':
          return AppEventAttributes.fromJson(value);
        case 'AppEventAttributesTerritorySchedulesInner':
          return AppEventAttributesTerritorySchedulesInner.fromJson(value);
        case 'AppEventCreateRequest':
          return AppEventCreateRequest.fromJson(value);
        case 'AppEventCreateRequestData':
          return AppEventCreateRequestData.fromJson(value);
        case 'AppEventCreateRequestDataAttributes':
          return AppEventCreateRequestDataAttributes.fromJson(value);
        case 'AppEventCreateRequestDataRelationships':
          return AppEventCreateRequestDataRelationships.fromJson(value);
        case 'AppEventLocalization':
          return AppEventLocalization.fromJson(value);
        case 'AppEventLocalizationAttributes':
          return AppEventLocalizationAttributes.fromJson(value);
        case 'AppEventLocalizationCreateRequest':
          return AppEventLocalizationCreateRequest.fromJson(value);
        case 'AppEventLocalizationCreateRequestData':
          return AppEventLocalizationCreateRequestData.fromJson(value);
        case 'AppEventLocalizationCreateRequestDataAttributes':
          return AppEventLocalizationCreateRequestDataAttributes.fromJson(
              value);
        case 'AppEventLocalizationCreateRequestDataRelationships':
          return AppEventLocalizationCreateRequestDataRelationships.fromJson(
              value);
        case 'AppEventLocalizationCreateRequestDataRelationshipsAppEvent':
          return AppEventLocalizationCreateRequestDataRelationshipsAppEvent
              .fromJson(value);
        case 'AppEventLocalizationRelationships':
          return AppEventLocalizationRelationships.fromJson(value);
        case 'AppEventLocalizationRelationshipsAppEvent':
          return AppEventLocalizationRelationshipsAppEvent.fromJson(value);
        case 'AppEventLocalizationRelationshipsAppEventData':
          return AppEventLocalizationRelationshipsAppEventData.fromJson(value);
        case 'AppEventLocalizationRelationshipsAppEventScreenshots':
          return AppEventLocalizationRelationshipsAppEventScreenshots.fromJson(
              value);
        case 'AppEventLocalizationRelationshipsAppEventScreenshotsDataInner':
          return AppEventLocalizationRelationshipsAppEventScreenshotsDataInner
              .fromJson(value);
        case 'AppEventLocalizationRelationshipsAppEventVideoClips':
          return AppEventLocalizationRelationshipsAppEventVideoClips.fromJson(
              value);
        case 'AppEventLocalizationRelationshipsAppEventVideoClipsDataInner':
          return AppEventLocalizationRelationshipsAppEventVideoClipsDataInner
              .fromJson(value);
        case 'AppEventLocalizationResponse':
          return AppEventLocalizationResponse.fromJson(value);
        case 'AppEventLocalizationUpdateRequest':
          return AppEventLocalizationUpdateRequest.fromJson(value);
        case 'AppEventLocalizationUpdateRequestData':
          return AppEventLocalizationUpdateRequestData.fromJson(value);
        case 'AppEventLocalizationUpdateRequestDataAttributes':
          return AppEventLocalizationUpdateRequestDataAttributes.fromJson(
              value);
        case 'AppEventLocalizationsResponse':
          return AppEventLocalizationsResponse.fromJson(value);
        case 'AppEventLocalizationsResponseIncludedInner':
          return AppEventLocalizationsResponseIncludedInner.fromJson(value);
        case 'AppEventRelationships':
          return AppEventRelationships.fromJson(value);
        case 'AppEventRelationshipsLocalizations':
          return AppEventRelationshipsLocalizations.fromJson(value);
        case 'AppEventResponse':
          return AppEventResponse.fromJson(value);
        case 'AppEventScreenshot':
          return AppEventScreenshot.fromJson(value);
        case 'AppEventScreenshotAttributes':
          return AppEventScreenshotAttributes.fromJson(value);
        case 'AppEventScreenshotCreateRequest':
          return AppEventScreenshotCreateRequest.fromJson(value);
        case 'AppEventScreenshotCreateRequestData':
          return AppEventScreenshotCreateRequestData.fromJson(value);
        case 'AppEventScreenshotCreateRequestDataAttributes':
          return AppEventScreenshotCreateRequestDataAttributes.fromJson(value);
        case 'AppEventScreenshotCreateRequestDataRelationships':
          return AppEventScreenshotCreateRequestDataRelationships.fromJson(
              value);
        case 'AppEventScreenshotCreateRequestDataRelationshipsAppEventLocalization':
          return AppEventScreenshotCreateRequestDataRelationshipsAppEventLocalization
              .fromJson(value);
        case 'AppEventScreenshotRelationships':
          return AppEventScreenshotRelationships.fromJson(value);
        case 'AppEventScreenshotRelationshipsAppEventLocalization':
          return AppEventScreenshotRelationshipsAppEventLocalization.fromJson(
              value);
        case 'AppEventScreenshotRelationshipsAppEventLocalizationData':
          return AppEventScreenshotRelationshipsAppEventLocalizationData
              .fromJson(value);
        case 'AppEventScreenshotResponse':
          return AppEventScreenshotResponse.fromJson(value);
        case 'AppEventScreenshotUpdateRequest':
          return AppEventScreenshotUpdateRequest.fromJson(value);
        case 'AppEventScreenshotUpdateRequestData':
          return AppEventScreenshotUpdateRequestData.fromJson(value);
        case 'AppEventScreenshotUpdateRequestDataAttributes':
          return AppEventScreenshotUpdateRequestDataAttributes.fromJson(value);
        case 'AppEventScreenshotsResponse':
          return AppEventScreenshotsResponse.fromJson(value);
        case 'AppEventUpdateRequest':
          return AppEventUpdateRequest.fromJson(value);
        case 'AppEventUpdateRequestData':
          return AppEventUpdateRequestData.fromJson(value);
        case 'AppEventUpdateRequestDataAttributes':
          return AppEventUpdateRequestDataAttributes.fromJson(value);
        case 'AppEventVideoClip':
          return AppEventVideoClip.fromJson(value);
        case 'AppEventVideoClipAttributes':
          return AppEventVideoClipAttributes.fromJson(value);
        case 'AppEventVideoClipCreateRequest':
          return AppEventVideoClipCreateRequest.fromJson(value);
        case 'AppEventVideoClipCreateRequestData':
          return AppEventVideoClipCreateRequestData.fromJson(value);
        case 'AppEventVideoClipCreateRequestDataAttributes':
          return AppEventVideoClipCreateRequestDataAttributes.fromJson(value);
        case 'AppEventVideoClipResponse':
          return AppEventVideoClipResponse.fromJson(value);
        case 'AppEventVideoClipUpdateRequest':
          return AppEventVideoClipUpdateRequest.fromJson(value);
        case 'AppEventVideoClipUpdateRequestData':
          return AppEventVideoClipUpdateRequestData.fromJson(value);
        case 'AppEventVideoClipUpdateRequestDataAttributes':
          return AppEventVideoClipUpdateRequestDataAttributes.fromJson(value);
        case 'AppEventVideoClipsResponse':
          return AppEventVideoClipsResponse.fromJson(value);
        case 'AppEventsResponse':
          return AppEventsResponse.fromJson(value);
        case 'AppInfo':
          return AppInfo.fromJson(value);
        case 'AppInfoAttributes':
          return AppInfoAttributes.fromJson(value);
        case 'AppInfoLocalization':
          return AppInfoLocalization.fromJson(value);
        case 'AppInfoLocalizationAttributes':
          return AppInfoLocalizationAttributes.fromJson(value);
        case 'AppInfoLocalizationCreateRequest':
          return AppInfoLocalizationCreateRequest.fromJson(value);
        case 'AppInfoLocalizationCreateRequestData':
          return AppInfoLocalizationCreateRequestData.fromJson(value);
        case 'AppInfoLocalizationCreateRequestDataAttributes':
          return AppInfoLocalizationCreateRequestDataAttributes.fromJson(value);
        case 'AppInfoLocalizationCreateRequestDataRelationships':
          return AppInfoLocalizationCreateRequestDataRelationships.fromJson(
              value);
        case 'AppInfoLocalizationCreateRequestDataRelationshipsAppInfo':
          return AppInfoLocalizationCreateRequestDataRelationshipsAppInfo
              .fromJson(value);
        case 'AppInfoLocalizationRelationships':
          return AppInfoLocalizationRelationships.fromJson(value);
        case 'AppInfoLocalizationRelationshipsAppInfo':
          return AppInfoLocalizationRelationshipsAppInfo.fromJson(value);
        case 'AppInfoLocalizationRelationshipsAppInfoData':
          return AppInfoLocalizationRelationshipsAppInfoData.fromJson(value);
        case 'AppInfoLocalizationResponse':
          return AppInfoLocalizationResponse.fromJson(value);
        case 'AppInfoLocalizationUpdateRequest':
          return AppInfoLocalizationUpdateRequest.fromJson(value);
        case 'AppInfoLocalizationUpdateRequestData':
          return AppInfoLocalizationUpdateRequestData.fromJson(value);
        case 'AppInfoLocalizationUpdateRequestDataAttributes':
          return AppInfoLocalizationUpdateRequestDataAttributes.fromJson(value);
        case 'AppInfoLocalizationsResponse':
          return AppInfoLocalizationsResponse.fromJson(value);
        case 'AppInfoRelationships':
          return AppInfoRelationships.fromJson(value);
        case 'AppInfoRelationshipsAgeRatingDeclaration':
          return AppInfoRelationshipsAgeRatingDeclaration.fromJson(value);
        case 'AppInfoRelationshipsAgeRatingDeclarationData':
          return AppInfoRelationshipsAgeRatingDeclarationData.fromJson(value);
        case 'AppInfoRelationshipsAppInfoLocalizations':
          return AppInfoRelationshipsAppInfoLocalizations.fromJson(value);
        case 'AppInfoRelationshipsAppInfoLocalizationsDataInner':
          return AppInfoRelationshipsAppInfoLocalizationsDataInner.fromJson(
              value);
        case 'AppInfoResponse':
          return AppInfoResponse.fromJson(value);
        case 'AppInfoUpdateRequest':
          return AppInfoUpdateRequest.fromJson(value);
        case 'AppInfoUpdateRequestData':
          return AppInfoUpdateRequestData.fromJson(value);
        case 'AppInfoUpdateRequestDataRelationships':
          return AppInfoUpdateRequestDataRelationships.fromJson(value);
        case 'AppInfoUpdateRequestDataRelationshipsPrimaryCategory':
          return AppInfoUpdateRequestDataRelationshipsPrimaryCategory.fromJson(
              value);
        case 'AppInfosResponse':
          return AppInfosResponse.fromJson(value);
        case 'AppInfosResponseIncludedInner':
          return AppInfosResponseIncludedInner.fromJson(value);
        case 'AppMediaAssetState':
          return AppMediaAssetState.fromJson(value);
        case 'AppMediaStateError':
          return AppMediaStateError.fromJson(value);
        case 'AppPreOrder':
          return AppPreOrder.fromJson(value);
        case 'AppPreOrderAttributes':
          return AppPreOrderAttributes.fromJson(value);
        case 'AppPreOrderCreateRequest':
          return AppPreOrderCreateRequest.fromJson(value);
        case 'AppPreOrderCreateRequestData':
          return AppPreOrderCreateRequestData.fromJson(value);
        case 'AppPreOrderCreateRequestDataAttributes':
          return AppPreOrderCreateRequestDataAttributes.fromJson(value);
        case 'AppPreOrderRelationships':
          return AppPreOrderRelationships.fromJson(value);
        case 'AppPreOrderResponse':
          return AppPreOrderResponse.fromJson(value);
        case 'AppPreOrderUpdateRequest':
          return AppPreOrderUpdateRequest.fromJson(value);
        case 'AppPreOrderUpdateRequestData':
          return AppPreOrderUpdateRequestData.fromJson(value);
        case 'AppPreview':
          return AppPreview.fromJson(value);
        case 'AppPreviewAttributes':
          return AppPreviewAttributes.fromJson(value);
        case 'AppPreviewCreateRequest':
          return AppPreviewCreateRequest.fromJson(value);
        case 'AppPreviewCreateRequestData':
          return AppPreviewCreateRequestData.fromJson(value);
        case 'AppPreviewCreateRequestDataAttributes':
          return AppPreviewCreateRequestDataAttributes.fromJson(value);
        case 'AppPreviewCreateRequestDataRelationships':
          return AppPreviewCreateRequestDataRelationships.fromJson(value);
        case 'AppPreviewCreateRequestDataRelationshipsAppPreviewSet':
          return AppPreviewCreateRequestDataRelationshipsAppPreviewSet.fromJson(
              value);
        case 'AppPreviewRelationships':
          return AppPreviewRelationships.fromJson(value);
        case 'AppPreviewRelationshipsAppPreviewSet':
          return AppPreviewRelationshipsAppPreviewSet.fromJson(value);
        case 'AppPreviewResponse':
          return AppPreviewResponse.fromJson(value);
        case 'AppPreviewSet':
          return AppPreviewSet.fromJson(value);
        case 'AppPreviewSetAppPreviewsLinkagesRequest':
          return AppPreviewSetAppPreviewsLinkagesRequest.fromJson(value);
        case 'AppPreviewSetAppPreviewsLinkagesResponse':
          return AppPreviewSetAppPreviewsLinkagesResponse.fromJson(value);
        case 'AppPreviewSetAttributes':
          return AppPreviewSetAttributes.fromJson(value);
        case 'AppPreviewSetCreateRequest':
          return AppPreviewSetCreateRequest.fromJson(value);
        case 'AppPreviewSetCreateRequestData':
          return AppPreviewSetCreateRequestData.fromJson(value);
        case 'AppPreviewSetCreateRequestDataAttributes':
          return AppPreviewSetCreateRequestDataAttributes.fromJson(value);
        case 'AppPreviewSetCreateRequestDataRelationships':
          return AppPreviewSetCreateRequestDataRelationships.fromJson(value);
        case 'AppPreviewSetCreateRequestDataRelationshipsAppCustomProductPageLocalization':
          return AppPreviewSetCreateRequestDataRelationshipsAppCustomProductPageLocalization
              .fromJson(value);
        case 'AppPreviewSetCreateRequestDataRelationshipsAppStoreVersionExperimentTreatmentLocalization':
          return AppPreviewSetCreateRequestDataRelationshipsAppStoreVersionExperimentTreatmentLocalization
              .fromJson(value);
        case 'AppPreviewSetCreateRequestDataRelationshipsAppStoreVersionLocalization':
          return AppPreviewSetCreateRequestDataRelationshipsAppStoreVersionLocalization
              .fromJson(value);
        case 'AppPreviewSetRelationships':
          return AppPreviewSetRelationships.fromJson(value);
        case 'AppPreviewSetRelationshipsAppCustomProductPageLocalization':
          return AppPreviewSetRelationshipsAppCustomProductPageLocalization
              .fromJson(value);
        case 'AppPreviewSetRelationshipsAppPreviews':
          return AppPreviewSetRelationshipsAppPreviews.fromJson(value);
        case 'AppPreviewSetRelationshipsAppPreviewsDataInner':
          return AppPreviewSetRelationshipsAppPreviewsDataInner.fromJson(value);
        case 'AppPreviewSetRelationshipsAppStoreVersionExperimentTreatmentLocalization':
          return AppPreviewSetRelationshipsAppStoreVersionExperimentTreatmentLocalization
              .fromJson(value);
        case 'AppPreviewSetRelationshipsAppStoreVersionExperimentTreatmentLocalizationData':
          return AppPreviewSetRelationshipsAppStoreVersionExperimentTreatmentLocalizationData
              .fromJson(value);
        case 'AppPreviewSetRelationshipsAppStoreVersionLocalization':
          return AppPreviewSetRelationshipsAppStoreVersionLocalization.fromJson(
              value);
        case 'AppPreviewSetRelationshipsAppStoreVersionLocalizationData':
          return AppPreviewSetRelationshipsAppStoreVersionLocalizationData
              .fromJson(value);
        case 'AppPreviewSetResponse':
          return AppPreviewSetResponse.fromJson(value);
        case 'AppPreviewSetsResponse':
          return AppPreviewSetsResponse.fromJson(value);
        case 'AppPreviewSetsResponseIncludedInner':
          return AppPreviewSetsResponseIncludedInner.fromJson(value);
        case 'AppPreviewUpdateRequest':
          return AppPreviewUpdateRequest.fromJson(value);
        case 'AppPreviewUpdateRequestData':
          return AppPreviewUpdateRequestData.fromJson(value);
        case 'AppPreviewUpdateRequestDataAttributes':
          return AppPreviewUpdateRequestDataAttributes.fromJson(value);
        case 'AppPreviewsResponse':
          return AppPreviewsResponse.fromJson(value);
        case 'AppPrice':
          return AppPrice.fromJson(value);
        case 'AppPriceInlineCreate':
          return AppPriceInlineCreate.fromJson(value);
        case 'AppPricePoint':
          return AppPricePoint.fromJson(value);
        case 'AppPricePointRelationships':
          return AppPricePointRelationships.fromJson(value);
        case 'AppPricePointResponse':
          return AppPricePointResponse.fromJson(value);
        case 'AppPricePointV2':
          return AppPricePointV2.fromJson(value);
        case 'AppPricePointV2Attributes':
          return AppPricePointV2Attributes.fromJson(value);
        case 'AppPricePointV2Relationships':
          return AppPricePointV2Relationships.fromJson(value);
        case 'AppPricePointV2RelationshipsPriceTier':
          return AppPricePointV2RelationshipsPriceTier.fromJson(value);
        case 'AppPricePointV2RelationshipsPriceTierData':
          return AppPricePointV2RelationshipsPriceTierData.fromJson(value);
        case 'AppPricePointV2RelationshipsTerritory':
          return AppPricePointV2RelationshipsTerritory.fromJson(value);
        case 'AppPricePointV3':
          return AppPricePointV3.fromJson(value);
        case 'AppPricePointV3Relationships':
          return AppPricePointV3Relationships.fromJson(value);
        case 'AppPricePointV3Response':
          return AppPricePointV3Response.fromJson(value);
        case 'AppPricePointsResponse':
          return AppPricePointsResponse.fromJson(value);
        case 'AppPricePointsResponseIncludedInner':
          return AppPricePointsResponseIncludedInner.fromJson(value);
        case 'AppPricePointsV2Response':
          return AppPricePointsV2Response.fromJson(value);
        case 'AppPricePointsV2ResponseIncludedInner':
          return AppPricePointsV2ResponseIncludedInner.fromJson(value);
        case 'AppPricePointsV3Response':
          return AppPricePointsV3Response.fromJson(value);
        case 'AppPriceRelationships':
          return AppPriceRelationships.fromJson(value);
        case 'AppPriceResponse':
          return AppPriceResponse.fromJson(value);
        case 'AppPriceSchedule':
          return AppPriceSchedule.fromJson(value);
        case 'AppPriceScheduleCreateRequest':
          return AppPriceScheduleCreateRequest.fromJson(value);
        case 'AppPriceScheduleCreateRequestData':
          return AppPriceScheduleCreateRequestData.fromJson(value);
        case 'AppPriceScheduleCreateRequestDataRelationships':
          return AppPriceScheduleCreateRequestDataRelationships.fromJson(value);
        case 'AppPriceScheduleCreateRequestDataRelationshipsBaseTerritory':
          return AppPriceScheduleCreateRequestDataRelationshipsBaseTerritory
              .fromJson(value);
        case 'AppPriceScheduleCreateRequestDataRelationshipsManualPrices':
          return AppPriceScheduleCreateRequestDataRelationshipsManualPrices
              .fromJson(value);
        case 'AppPriceScheduleCreateRequestIncludedInner':
          return AppPriceScheduleCreateRequestIncludedInner.fromJson(value);
        case 'AppPriceScheduleRelationships':
          return AppPriceScheduleRelationships.fromJson(value);
        case 'AppPriceScheduleRelationshipsManualPrices':
          return AppPriceScheduleRelationshipsManualPrices.fromJson(value);
        case 'AppPriceScheduleRelationshipsManualPricesDataInner':
          return AppPriceScheduleRelationshipsManualPricesDataInner.fromJson(
              value);
        case 'AppPriceScheduleResponse':
          return AppPriceScheduleResponse.fromJson(value);
        case 'AppPriceScheduleResponseIncludedInner':
          return AppPriceScheduleResponseIncludedInner.fromJson(value);
        case 'AppPriceTier':
          return AppPriceTier.fromJson(value);
        case 'AppPriceTierRelationships':
          return AppPriceTierRelationships.fromJson(value);
        case 'AppPriceTierRelationshipsPricePoints':
          return AppPriceTierRelationshipsPricePoints.fromJson(value);
        case 'AppPriceTierRelationshipsPricePointsDataInner':
          return AppPriceTierRelationshipsPricePointsDataInner.fromJson(value);
        case 'AppPriceTierResponse':
          return AppPriceTierResponse.fromJson(value);
        case 'AppPriceTiersResponse':
          return AppPriceTiersResponse.fromJson(value);
        case 'AppPriceV2':
          return AppPriceV2.fromJson(value);
        case 'AppPriceV2Attributes':
          return AppPriceV2Attributes.fromJson(value);
        case 'AppPriceV2InlineCreate':
          return AppPriceV2InlineCreate.fromJson(value);
        case 'AppPriceV2Relationships':
          return AppPriceV2Relationships.fromJson(value);
        case 'AppPriceV2RelationshipsAppPricePoint':
          return AppPriceV2RelationshipsAppPricePoint.fromJson(value);
        case 'AppPricesResponse':
          return AppPricesResponse.fromJson(value);
        case 'AppPricesResponseIncludedInner':
          return AppPricesResponseIncludedInner.fromJson(value);
        case 'AppPricesV2Response':
          return AppPricesV2Response.fromJson(value);
        case 'AppPricesV2ResponseIncludedInner':
          return AppPricesV2ResponseIncludedInner.fromJson(value);
        case 'AppPromotedPurchasesLinkagesRequest':
          return AppPromotedPurchasesLinkagesRequest.fromJson(value);
        case 'AppPromotedPurchasesLinkagesResponse':
          return AppPromotedPurchasesLinkagesResponse.fromJson(value);
        case 'AppRelationships':
          return AppRelationships.fromJson(value);
        case 'AppRelationshipsAppClips':
          return AppRelationshipsAppClips.fromJson(value);
        case 'AppRelationshipsAppCustomProductPages':
          return AppRelationshipsAppCustomProductPages.fromJson(value);
        case 'AppRelationshipsAppEvents':
          return AppRelationshipsAppEvents.fromJson(value);
        case 'AppRelationshipsAppInfos':
          return AppRelationshipsAppInfos.fromJson(value);
        case 'AppRelationshipsAvailableTerritories':
          return AppRelationshipsAvailableTerritories.fromJson(value);
        case 'AppRelationshipsBetaAppLocalizations':
          return AppRelationshipsBetaAppLocalizations.fromJson(value);
        case 'AppRelationshipsBetaAppLocalizationsDataInner':
          return AppRelationshipsBetaAppLocalizationsDataInner.fromJson(value);
        case 'AppRelationshipsBetaAppReviewDetail':
          return AppRelationshipsBetaAppReviewDetail.fromJson(value);
        case 'AppRelationshipsBetaAppReviewDetailData':
          return AppRelationshipsBetaAppReviewDetailData.fromJson(value);
        case 'AppRelationshipsBetaGroups':
          return AppRelationshipsBetaGroups.fromJson(value);
        case 'AppRelationshipsBetaGroupsDataInner':
          return AppRelationshipsBetaGroupsDataInner.fromJson(value);
        case 'AppRelationshipsBetaLicenseAgreement':
          return AppRelationshipsBetaLicenseAgreement.fromJson(value);
        case 'AppRelationshipsBetaLicenseAgreementData':
          return AppRelationshipsBetaLicenseAgreementData.fromJson(value);
        case 'AppRelationshipsBuilds':
          return AppRelationshipsBuilds.fromJson(value);
        case 'AppRelationshipsCiProduct':
          return AppRelationshipsCiProduct.fromJson(value);
        case 'AppRelationshipsCiProductData':
          return AppRelationshipsCiProductData.fromJson(value);
        case 'AppRelationshipsEndUserLicenseAgreement':
          return AppRelationshipsEndUserLicenseAgreement.fromJson(value);
        case 'AppRelationshipsEndUserLicenseAgreementData':
          return AppRelationshipsEndUserLicenseAgreementData.fromJson(value);
        case 'AppRelationshipsGameCenterEnabledVersions':
          return AppRelationshipsGameCenterEnabledVersions.fromJson(value);
        case 'AppRelationshipsGameCenterEnabledVersionsDataInner':
          return AppRelationshipsGameCenterEnabledVersionsDataInner.fromJson(
              value);
        case 'AppRelationshipsInAppPurchases':
          return AppRelationshipsInAppPurchases.fromJson(value);
        case 'AppRelationshipsInAppPurchasesDataInner':
          return AppRelationshipsInAppPurchasesDataInner.fromJson(value);
        case 'AppRelationshipsInAppPurchasesV2':
          return AppRelationshipsInAppPurchasesV2.fromJson(value);
        case 'AppRelationshipsPreOrder':
          return AppRelationshipsPreOrder.fromJson(value);
        case 'AppRelationshipsPreOrderData':
          return AppRelationshipsPreOrderData.fromJson(value);
        case 'AppRelationshipsPreReleaseVersions':
          return AppRelationshipsPreReleaseVersions.fromJson(value);
        case 'AppRelationshipsPreReleaseVersionsDataInner':
          return AppRelationshipsPreReleaseVersionsDataInner.fromJson(value);
        case 'AppRelationshipsPrices':
          return AppRelationshipsPrices.fromJson(value);
        case 'AppRelationshipsPromotedPurchases':
          return AppRelationshipsPromotedPurchases.fromJson(value);
        case 'AppRelationshipsPromotedPurchasesDataInner':
          return AppRelationshipsPromotedPurchasesDataInner.fromJson(value);
        case 'AppRelationshipsReviewSubmissions':
          return AppRelationshipsReviewSubmissions.fromJson(value);
        case 'AppRelationshipsReviewSubmissionsDataInner':
          return AppRelationshipsReviewSubmissionsDataInner.fromJson(value);
        case 'AppRelationshipsSubscriptionGracePeriod':
          return AppRelationshipsSubscriptionGracePeriod.fromJson(value);
        case 'AppRelationshipsSubscriptionGracePeriodData':
          return AppRelationshipsSubscriptionGracePeriodData.fromJson(value);
        case 'AppRelationshipsSubscriptionGroups':
          return AppRelationshipsSubscriptionGroups.fromJson(value);
        case 'AppRelationshipsSubscriptionGroupsDataInner':
          return AppRelationshipsSubscriptionGroupsDataInner.fromJson(value);
        case 'AppResponse':
          return AppResponse.fromJson(value);
        case 'AppScreenshot':
          return AppScreenshot.fromJson(value);
        case 'AppScreenshotAttributes':
          return AppScreenshotAttributes.fromJson(value);
        case 'AppScreenshotCreateRequest':
          return AppScreenshotCreateRequest.fromJson(value);
        case 'AppScreenshotCreateRequestData':
          return AppScreenshotCreateRequestData.fromJson(value);
        case 'AppScreenshotCreateRequestDataRelationships':
          return AppScreenshotCreateRequestDataRelationships.fromJson(value);
        case 'AppScreenshotCreateRequestDataRelationshipsAppScreenshotSet':
          return AppScreenshotCreateRequestDataRelationshipsAppScreenshotSet
              .fromJson(value);
        case 'AppScreenshotRelationships':
          return AppScreenshotRelationships.fromJson(value);
        case 'AppScreenshotRelationshipsAppScreenshotSet':
          return AppScreenshotRelationshipsAppScreenshotSet.fromJson(value);
        case 'AppScreenshotResponse':
          return AppScreenshotResponse.fromJson(value);
        case 'AppScreenshotSet':
          return AppScreenshotSet.fromJson(value);
        case 'AppScreenshotSetAppScreenshotsLinkagesRequest':
          return AppScreenshotSetAppScreenshotsLinkagesRequest.fromJson(value);
        case 'AppScreenshotSetAppScreenshotsLinkagesResponse':
          return AppScreenshotSetAppScreenshotsLinkagesResponse.fromJson(value);
        case 'AppScreenshotSetAttributes':
          return AppScreenshotSetAttributes.fromJson(value);
        case 'AppScreenshotSetCreateRequest':
          return AppScreenshotSetCreateRequest.fromJson(value);
        case 'AppScreenshotSetCreateRequestData':
          return AppScreenshotSetCreateRequestData.fromJson(value);
        case 'AppScreenshotSetCreateRequestDataAttributes':
          return AppScreenshotSetCreateRequestDataAttributes.fromJson(value);
        case 'AppScreenshotSetRelationships':
          return AppScreenshotSetRelationships.fromJson(value);
        case 'AppScreenshotSetRelationshipsAppScreenshots':
          return AppScreenshotSetRelationshipsAppScreenshots.fromJson(value);
        case 'AppScreenshotSetRelationshipsAppScreenshotsDataInner':
          return AppScreenshotSetRelationshipsAppScreenshotsDataInner.fromJson(
              value);
        case 'AppScreenshotSetResponse':
          return AppScreenshotSetResponse.fromJson(value);
        case 'AppScreenshotSetsResponse':
          return AppScreenshotSetsResponse.fromJson(value);
        case 'AppScreenshotSetsResponseIncludedInner':
          return AppScreenshotSetsResponseIncludedInner.fromJson(value);
        case 'AppScreenshotUpdateRequest':
          return AppScreenshotUpdateRequest.fromJson(value);
        case 'AppScreenshotUpdateRequestData':
          return AppScreenshotUpdateRequestData.fromJson(value);
        case 'AppScreenshotsResponse':
          return AppScreenshotsResponse.fromJson(value);
        case 'AppStoreAgeRating':
          return AppStoreAgeRatingTypeTransformer().decode(value);
        case 'AppStoreReviewAttachment':
          return AppStoreReviewAttachment.fromJson(value);
        case 'AppStoreReviewAttachmentAttributes':
          return AppStoreReviewAttachmentAttributes.fromJson(value);
        case 'AppStoreReviewAttachmentCreateRequest':
          return AppStoreReviewAttachmentCreateRequest.fromJson(value);
        case 'AppStoreReviewAttachmentCreateRequestData':
          return AppStoreReviewAttachmentCreateRequestData.fromJson(value);
        case 'AppStoreReviewAttachmentCreateRequestDataRelationships':
          return AppStoreReviewAttachmentCreateRequestDataRelationships
              .fromJson(value);
        case 'AppStoreReviewAttachmentCreateRequestDataRelationshipsAppStoreReviewDetail':
          return AppStoreReviewAttachmentCreateRequestDataRelationshipsAppStoreReviewDetail
              .fromJson(value);
        case 'AppStoreReviewAttachmentRelationships':
          return AppStoreReviewAttachmentRelationships.fromJson(value);
        case 'AppStoreReviewAttachmentRelationshipsAppStoreReviewDetail':
          return AppStoreReviewAttachmentRelationshipsAppStoreReviewDetail
              .fromJson(value);
        case 'AppStoreReviewAttachmentRelationshipsAppStoreReviewDetailData':
          return AppStoreReviewAttachmentRelationshipsAppStoreReviewDetailData
              .fromJson(value);
        case 'AppStoreReviewAttachmentResponse':
          return AppStoreReviewAttachmentResponse.fromJson(value);
        case 'AppStoreReviewAttachmentUpdateRequest':
          return AppStoreReviewAttachmentUpdateRequest.fromJson(value);
        case 'AppStoreReviewAttachmentUpdateRequestData':
          return AppStoreReviewAttachmentUpdateRequestData.fromJson(value);
        case 'AppStoreReviewAttachmentsResponse':
          return AppStoreReviewAttachmentsResponse.fromJson(value);
        case 'AppStoreReviewDetail':
          return AppStoreReviewDetail.fromJson(value);
        case 'AppStoreReviewDetailAttributes':
          return AppStoreReviewDetailAttributes.fromJson(value);
        case 'AppStoreReviewDetailCreateRequest':
          return AppStoreReviewDetailCreateRequest.fromJson(value);
        case 'AppStoreReviewDetailCreateRequestData':
          return AppStoreReviewDetailCreateRequestData.fromJson(value);
        case 'AppStoreReviewDetailCreateRequestDataRelationships':
          return AppStoreReviewDetailCreateRequestDataRelationships.fromJson(
              value);
        case 'AppStoreReviewDetailCreateRequestDataRelationshipsAppStoreVersion':
          return AppStoreReviewDetailCreateRequestDataRelationshipsAppStoreVersion
              .fromJson(value);
        case 'AppStoreReviewDetailRelationships':
          return AppStoreReviewDetailRelationships.fromJson(value);
        case 'AppStoreReviewDetailRelationshipsAppStoreReviewAttachments':
          return AppStoreReviewDetailRelationshipsAppStoreReviewAttachments
              .fromJson(value);
        case 'AppStoreReviewDetailRelationshipsAppStoreReviewAttachmentsDataInner':
          return AppStoreReviewDetailRelationshipsAppStoreReviewAttachmentsDataInner
              .fromJson(value);
        case 'AppStoreReviewDetailResponse':
          return AppStoreReviewDetailResponse.fromJson(value);
        case 'AppStoreReviewDetailResponseIncludedInner':
          return AppStoreReviewDetailResponseIncludedInner.fromJson(value);
        case 'AppStoreReviewDetailUpdateRequest':
          return AppStoreReviewDetailUpdateRequest.fromJson(value);
        case 'AppStoreReviewDetailUpdateRequestData':
          return AppStoreReviewDetailUpdateRequestData.fromJson(value);
        case 'AppStoreVersion':
          return AppStoreVersion.fromJson(value);
        case 'AppStoreVersionAppClipDefaultExperienceLinkageRequest':
          return AppStoreVersionAppClipDefaultExperienceLinkageRequest.fromJson(
              value);
        case 'AppStoreVersionAppClipDefaultExperienceLinkageResponse':
          return AppStoreVersionAppClipDefaultExperienceLinkageResponse
              .fromJson(value);
        case 'AppStoreVersionAttributes':
          return AppStoreVersionAttributes.fromJson(value);
        case 'AppStoreVersionBuildLinkageRequest':
          return AppStoreVersionBuildLinkageRequest.fromJson(value);
        case 'AppStoreVersionBuildLinkageResponse':
          return AppStoreVersionBuildLinkageResponse.fromJson(value);
        case 'AppStoreVersionCreateRequest':
          return AppStoreVersionCreateRequest.fromJson(value);
        case 'AppStoreVersionCreateRequestData':
          return AppStoreVersionCreateRequestData.fromJson(value);
        case 'AppStoreVersionCreateRequestDataAttributes':
          return AppStoreVersionCreateRequestDataAttributes.fromJson(value);
        case 'AppStoreVersionCreateRequestDataRelationships':
          return AppStoreVersionCreateRequestDataRelationships.fromJson(value);
        case 'AppStoreVersionCreateRequestDataRelationshipsAppStoreVersionLocalizations':
          return AppStoreVersionCreateRequestDataRelationshipsAppStoreVersionLocalizations
              .fromJson(value);
        case 'AppStoreVersionCreateRequestDataRelationshipsBuild':
          return AppStoreVersionCreateRequestDataRelationshipsBuild.fromJson(
              value);
        case 'AppStoreVersionExperiment':
          return AppStoreVersionExperiment.fromJson(value);
        case 'AppStoreVersionExperimentAttributes':
          return AppStoreVersionExperimentAttributes.fromJson(value);
        case 'AppStoreVersionExperimentCreateRequest':
          return AppStoreVersionExperimentCreateRequest.fromJson(value);
        case 'AppStoreVersionExperimentCreateRequestData':
          return AppStoreVersionExperimentCreateRequestData.fromJson(value);
        case 'AppStoreVersionExperimentCreateRequestDataAttributes':
          return AppStoreVersionExperimentCreateRequestDataAttributes.fromJson(
              value);
        case 'AppStoreVersionExperimentRelationships':
          return AppStoreVersionExperimentRelationships.fromJson(value);
        case 'AppStoreVersionExperimentResponse':
          return AppStoreVersionExperimentResponse.fromJson(value);
        case 'AppStoreVersionExperimentTreatment':
          return AppStoreVersionExperimentTreatment.fromJson(value);
        case 'AppStoreVersionExperimentTreatmentAttributes':
          return AppStoreVersionExperimentTreatmentAttributes.fromJson(value);
        case 'AppStoreVersionExperimentTreatmentCreateRequest':
          return AppStoreVersionExperimentTreatmentCreateRequest.fromJson(
              value);
        case 'AppStoreVersionExperimentTreatmentCreateRequestData':
          return AppStoreVersionExperimentTreatmentCreateRequestData.fromJson(
              value);
        case 'AppStoreVersionExperimentTreatmentCreateRequestDataAttributes':
          return AppStoreVersionExperimentTreatmentCreateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentCreateRequestDataRelationships':
          return AppStoreVersionExperimentTreatmentCreateRequestDataRelationships
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentCreateRequestDataRelationshipsAppStoreVersionExperiment':
          return AppStoreVersionExperimentTreatmentCreateRequestDataRelationshipsAppStoreVersionExperiment
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentCreateRequestDataRelationshipsAppStoreVersionExperimentV2':
          return AppStoreVersionExperimentTreatmentCreateRequestDataRelationshipsAppStoreVersionExperimentV2
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalization':
          return AppStoreVersionExperimentTreatmentLocalization.fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationAttributes':
          return AppStoreVersionExperimentTreatmentLocalizationAttributes
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationCreateRequest':
          return AppStoreVersionExperimentTreatmentLocalizationCreateRequest
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationCreateRequestData':
          return AppStoreVersionExperimentTreatmentLocalizationCreateRequestData
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationCreateRequestDataAttributes':
          return AppStoreVersionExperimentTreatmentLocalizationCreateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationCreateRequestDataRelationships':
          return AppStoreVersionExperimentTreatmentLocalizationCreateRequestDataRelationships
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationCreateRequestDataRelationshipsAppStoreVersionExperimentTreatment':
          return AppStoreVersionExperimentTreatmentLocalizationCreateRequestDataRelationshipsAppStoreVersionExperimentTreatment
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationRelationships':
          return AppStoreVersionExperimentTreatmentLocalizationRelationships
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationRelationshipsAppStoreVersionExperimentTreatment':
          return AppStoreVersionExperimentTreatmentLocalizationRelationshipsAppStoreVersionExperimentTreatment
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationRelationshipsAppStoreVersionExperimentTreatmentData':
          return AppStoreVersionExperimentTreatmentLocalizationRelationshipsAppStoreVersionExperimentTreatmentData
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationResponse':
          return AppStoreVersionExperimentTreatmentLocalizationResponse
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationsResponse':
          return AppStoreVersionExperimentTreatmentLocalizationsResponse
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentLocalizationsResponseIncludedInner':
          return AppStoreVersionExperimentTreatmentLocalizationsResponseIncludedInner
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentRelationships':
          return AppStoreVersionExperimentTreatmentRelationships.fromJson(
              value);
        case 'AppStoreVersionExperimentTreatmentRelationshipsAppStoreVersionExperiment':
          return AppStoreVersionExperimentTreatmentRelationshipsAppStoreVersionExperiment
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentRelationshipsAppStoreVersionExperimentData':
          return AppStoreVersionExperimentTreatmentRelationshipsAppStoreVersionExperimentData
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentRelationshipsAppStoreVersionExperimentTreatmentLocalizations':
          return AppStoreVersionExperimentTreatmentRelationshipsAppStoreVersionExperimentTreatmentLocalizations
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentResponse':
          return AppStoreVersionExperimentTreatmentResponse.fromJson(value);
        case 'AppStoreVersionExperimentTreatmentUpdateRequest':
          return AppStoreVersionExperimentTreatmentUpdateRequest.fromJson(
              value);
        case 'AppStoreVersionExperimentTreatmentUpdateRequestData':
          return AppStoreVersionExperimentTreatmentUpdateRequestData.fromJson(
              value);
        case 'AppStoreVersionExperimentTreatmentUpdateRequestDataAttributes':
          return AppStoreVersionExperimentTreatmentUpdateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionExperimentTreatmentsResponse':
          return AppStoreVersionExperimentTreatmentsResponse.fromJson(value);
        case 'AppStoreVersionExperimentTreatmentsResponseIncludedInner':
          return AppStoreVersionExperimentTreatmentsResponseIncludedInner
              .fromJson(value);
        case 'AppStoreVersionExperimentUpdateRequest':
          return AppStoreVersionExperimentUpdateRequest.fromJson(value);
        case 'AppStoreVersionExperimentV2':
          return AppStoreVersionExperimentV2.fromJson(value);
        case 'AppStoreVersionExperimentV2Attributes':
          return AppStoreVersionExperimentV2Attributes.fromJson(value);
        case 'AppStoreVersionExperimentV2CreateRequest':
          return AppStoreVersionExperimentV2CreateRequest.fromJson(value);
        case 'AppStoreVersionExperimentV2CreateRequestData':
          return AppStoreVersionExperimentV2CreateRequestData.fromJson(value);
        case 'AppStoreVersionExperimentV2CreateRequestDataAttributes':
          return AppStoreVersionExperimentV2CreateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionExperimentV2Relationships':
          return AppStoreVersionExperimentV2Relationships.fromJson(value);
        case 'AppStoreVersionExperimentV2RelationshipsAppStoreVersionExperimentTreatments':
          return AppStoreVersionExperimentV2RelationshipsAppStoreVersionExperimentTreatments
              .fromJson(value);
        case 'AppStoreVersionExperimentV2RelationshipsControlVersions':
          return AppStoreVersionExperimentV2RelationshipsControlVersions
              .fromJson(value);
        case 'AppStoreVersionExperimentV2Response':
          return AppStoreVersionExperimentV2Response.fromJson(value);
        case 'AppStoreVersionExperimentV2UpdateRequest':
          return AppStoreVersionExperimentV2UpdateRequest.fromJson(value);
        case 'AppStoreVersionExperimentV2UpdateRequestData':
          return AppStoreVersionExperimentV2UpdateRequestData.fromJson(value);
        case 'AppStoreVersionExperimentV2UpdateRequestDataAttributes':
          return AppStoreVersionExperimentV2UpdateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionExperimentsResponse':
          return AppStoreVersionExperimentsResponse.fromJson(value);
        case 'AppStoreVersionExperimentsResponseIncludedInner':
          return AppStoreVersionExperimentsResponseIncludedInner.fromJson(
              value);
        case 'AppStoreVersionExperimentsV2Response':
          return AppStoreVersionExperimentsV2Response.fromJson(value);
        case 'AppStoreVersionExperimentsV2ResponseIncludedInner':
          return AppStoreVersionExperimentsV2ResponseIncludedInner.fromJson(
              value);
        case 'AppStoreVersionLocalization':
          return AppStoreVersionLocalization.fromJson(value);
        case 'AppStoreVersionLocalizationAttributes':
          return AppStoreVersionLocalizationAttributes.fromJson(value);
        case 'AppStoreVersionLocalizationCreateRequest':
          return AppStoreVersionLocalizationCreateRequest.fromJson(value);
        case 'AppStoreVersionLocalizationCreateRequestData':
          return AppStoreVersionLocalizationCreateRequestData.fromJson(value);
        case 'AppStoreVersionLocalizationCreateRequestDataAttributes':
          return AppStoreVersionLocalizationCreateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionLocalizationRelationships':
          return AppStoreVersionLocalizationRelationships.fromJson(value);
        case 'AppStoreVersionLocalizationResponse':
          return AppStoreVersionLocalizationResponse.fromJson(value);
        case 'AppStoreVersionLocalizationUpdateRequest':
          return AppStoreVersionLocalizationUpdateRequest.fromJson(value);
        case 'AppStoreVersionLocalizationUpdateRequestData':
          return AppStoreVersionLocalizationUpdateRequestData.fromJson(value);
        case 'AppStoreVersionLocalizationUpdateRequestDataAttributes':
          return AppStoreVersionLocalizationUpdateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionLocalizationsResponse':
          return AppStoreVersionLocalizationsResponse.fromJson(value);
        case 'AppStoreVersionLocalizationsResponseIncludedInner':
          return AppStoreVersionLocalizationsResponseIncludedInner.fromJson(
              value);
        case 'AppStoreVersionPhasedRelease':
          return AppStoreVersionPhasedRelease.fromJson(value);
        case 'AppStoreVersionPhasedReleaseAttributes':
          return AppStoreVersionPhasedReleaseAttributes.fromJson(value);
        case 'AppStoreVersionPhasedReleaseCreateRequest':
          return AppStoreVersionPhasedReleaseCreateRequest.fromJson(value);
        case 'AppStoreVersionPhasedReleaseCreateRequestData':
          return AppStoreVersionPhasedReleaseCreateRequestData.fromJson(value);
        case 'AppStoreVersionPhasedReleaseCreateRequestDataAttributes':
          return AppStoreVersionPhasedReleaseCreateRequestDataAttributes
              .fromJson(value);
        case 'AppStoreVersionPhasedReleaseResponse':
          return AppStoreVersionPhasedReleaseResponse.fromJson(value);
        case 'AppStoreVersionPhasedReleaseUpdateRequest':
          return AppStoreVersionPhasedReleaseUpdateRequest.fromJson(value);
        case 'AppStoreVersionPhasedReleaseUpdateRequestData':
          return AppStoreVersionPhasedReleaseUpdateRequestData.fromJson(value);
        case 'AppStoreVersionPromotion':
          return AppStoreVersionPromotion.fromJson(value);
        case 'AppStoreVersionPromotionCreateRequest':
          return AppStoreVersionPromotionCreateRequest.fromJson(value);
        case 'AppStoreVersionPromotionCreateRequestData':
          return AppStoreVersionPromotionCreateRequestData.fromJson(value);
        case 'AppStoreVersionPromotionCreateRequestDataRelationships':
          return AppStoreVersionPromotionCreateRequestDataRelationships
              .fromJson(value);
        case 'AppStoreVersionPromotionResponse':
          return AppStoreVersionPromotionResponse.fromJson(value);
        case 'AppStoreVersionRelationships':
          return AppStoreVersionRelationships.fromJson(value);
        case 'AppStoreVersionRelationshipsAgeRatingDeclaration':
          return AppStoreVersionRelationshipsAgeRatingDeclaration.fromJson(
              value);
        case 'AppStoreVersionRelationshipsAppStoreVersionExperiments':
          return AppStoreVersionRelationshipsAppStoreVersionExperiments
              .fromJson(value);
        case 'AppStoreVersionRelationshipsAppStoreVersionLocalizations':
          return AppStoreVersionRelationshipsAppStoreVersionLocalizations
              .fromJson(value);
        case 'AppStoreVersionRelationshipsAppStoreVersionPhasedRelease':
          return AppStoreVersionRelationshipsAppStoreVersionPhasedRelease
              .fromJson(value);
        case 'AppStoreVersionRelationshipsAppStoreVersionPhasedReleaseData':
          return AppStoreVersionRelationshipsAppStoreVersionPhasedReleaseData
              .fromJson(value);
        case 'AppStoreVersionRelationshipsAppStoreVersionSubmission':
          return AppStoreVersionRelationshipsAppStoreVersionSubmission.fromJson(
              value);
        case 'AppStoreVersionRelationshipsAppStoreVersionSubmissionData':
          return AppStoreVersionRelationshipsAppStoreVersionSubmissionData
              .fromJson(value);
        case 'AppStoreVersionRelationshipsBuild':
          return AppStoreVersionRelationshipsBuild.fromJson(value);
        case 'AppStoreVersionRelationshipsRoutingAppCoverage':
          return AppStoreVersionRelationshipsRoutingAppCoverage.fromJson(value);
        case 'AppStoreVersionRelationshipsRoutingAppCoverageData':
          return AppStoreVersionRelationshipsRoutingAppCoverageData.fromJson(
              value);
        case 'AppStoreVersionReleaseRequest':
          return AppStoreVersionReleaseRequest.fromJson(value);
        case 'AppStoreVersionReleaseRequestCreateRequest':
          return AppStoreVersionReleaseRequestCreateRequest.fromJson(value);
        case 'AppStoreVersionReleaseRequestCreateRequestData':
          return AppStoreVersionReleaseRequestCreateRequestData.fromJson(value);
        case 'AppStoreVersionReleaseRequestResponse':
          return AppStoreVersionReleaseRequestResponse.fromJson(value);
        case 'AppStoreVersionResponse':
          return AppStoreVersionResponse.fromJson(value);
        case 'AppStoreVersionState':
          return AppStoreVersionStateTypeTransformer().decode(value);
        case 'AppStoreVersionSubmission':
          return AppStoreVersionSubmission.fromJson(value);
        case 'AppStoreVersionSubmissionCreateRequest':
          return AppStoreVersionSubmissionCreateRequest.fromJson(value);
        case 'AppStoreVersionSubmissionCreateRequestData':
          return AppStoreVersionSubmissionCreateRequestData.fromJson(value);
        case 'AppStoreVersionSubmissionRelationships':
          return AppStoreVersionSubmissionRelationships.fromJson(value);
        case 'AppStoreVersionSubmissionResponse':
          return AppStoreVersionSubmissionResponse.fromJson(value);
        case 'AppStoreVersionUpdateRequest':
          return AppStoreVersionUpdateRequest.fromJson(value);
        case 'AppStoreVersionUpdateRequestData':
          return AppStoreVersionUpdateRequestData.fromJson(value);
        case 'AppStoreVersionUpdateRequestDataAttributes':
          return AppStoreVersionUpdateRequestDataAttributes.fromJson(value);
        case 'AppStoreVersionUpdateRequestDataRelationships':
          return AppStoreVersionUpdateRequestDataRelationships.fromJson(value);
        case 'AppStoreVersionsResponse':
          return AppStoreVersionsResponse.fromJson(value);
        case 'AppStoreVersionsResponseIncludedInner':
          return AppStoreVersionsResponseIncludedInner.fromJson(value);
        case 'AppUpdateRequest':
          return AppUpdateRequest.fromJson(value);
        case 'AppUpdateRequestData':
          return AppUpdateRequestData.fromJson(value);
        case 'AppUpdateRequestDataAttributes':
          return AppUpdateRequestDataAttributes.fromJson(value);
        case 'AppUpdateRequestDataRelationships':
          return AppUpdateRequestDataRelationships.fromJson(value);
        case 'AppUpdateRequestDataRelationshipsAvailableTerritories':
          return AppUpdateRequestDataRelationshipsAvailableTerritories.fromJson(
              value);
        case 'AppUpdateRequestDataRelationshipsPrices':
          return AppUpdateRequestDataRelationshipsPrices.fromJson(value);
        case 'AppsResponse':
          return AppsResponse.fromJson(value);
        case 'AppsResponseIncludedInner':
          return AppsResponseIncludedInner.fromJson(value);
        case 'BetaAppClipInvocation':
          return BetaAppClipInvocation.fromJson(value);
        case 'BetaAppClipInvocationAttributes':
          return BetaAppClipInvocationAttributes.fromJson(value);
        case 'BetaAppClipInvocationCreateRequest':
          return BetaAppClipInvocationCreateRequest.fromJson(value);
        case 'BetaAppClipInvocationCreateRequestData':
          return BetaAppClipInvocationCreateRequestData.fromJson(value);
        case 'BetaAppClipInvocationCreateRequestDataAttributes':
          return BetaAppClipInvocationCreateRequestDataAttributes.fromJson(
              value);
        case 'BetaAppClipInvocationCreateRequestDataRelationships':
          return BetaAppClipInvocationCreateRequestDataRelationships.fromJson(
              value);
        case 'BetaAppClipInvocationCreateRequestDataRelationshipsBetaAppClipInvocationLocalizations':
          return BetaAppClipInvocationCreateRequestDataRelationshipsBetaAppClipInvocationLocalizations
              .fromJson(value);
        case 'BetaAppClipInvocationCreateRequestDataRelationshipsBuildBundle':
          return BetaAppClipInvocationCreateRequestDataRelationshipsBuildBundle
              .fromJson(value);
        case 'BetaAppClipInvocationCreateRequestDataRelationshipsBuildBundleData':
          return BetaAppClipInvocationCreateRequestDataRelationshipsBuildBundleData
              .fromJson(value);
        case 'BetaAppClipInvocationLocalization':
          return BetaAppClipInvocationLocalization.fromJson(value);
        case 'BetaAppClipInvocationLocalizationAttributes':
          return BetaAppClipInvocationLocalizationAttributes.fromJson(value);
        case 'BetaAppClipInvocationLocalizationCreateRequest':
          return BetaAppClipInvocationLocalizationCreateRequest.fromJson(value);
        case 'BetaAppClipInvocationLocalizationCreateRequestData':
          return BetaAppClipInvocationLocalizationCreateRequestData.fromJson(
              value);
        case 'BetaAppClipInvocationLocalizationCreateRequestDataRelationships':
          return BetaAppClipInvocationLocalizationCreateRequestDataRelationships
              .fromJson(value);
        case 'BetaAppClipInvocationLocalizationCreateRequestDataRelationshipsBetaAppClipInvocation':
          return BetaAppClipInvocationLocalizationCreateRequestDataRelationshipsBetaAppClipInvocation
              .fromJson(value);
        case 'BetaAppClipInvocationLocalizationInlineCreate':
          return BetaAppClipInvocationLocalizationInlineCreate.fromJson(value);
        case 'BetaAppClipInvocationLocalizationInlineCreateAttributes':
          return BetaAppClipInvocationLocalizationInlineCreateAttributes
              .fromJson(value);
        case 'BetaAppClipInvocationLocalizationInlineCreateRelationships':
          return BetaAppClipInvocationLocalizationInlineCreateRelationships
              .fromJson(value);
        case 'BetaAppClipInvocationLocalizationInlineCreateRelationshipsBetaAppClipInvocation':
          return BetaAppClipInvocationLocalizationInlineCreateRelationshipsBetaAppClipInvocation
              .fromJson(value);
        case 'BetaAppClipInvocationLocalizationInlineCreateRelationshipsBetaAppClipInvocationData':
          return BetaAppClipInvocationLocalizationInlineCreateRelationshipsBetaAppClipInvocationData
              .fromJson(value);
        case 'BetaAppClipInvocationLocalizationResponse':
          return BetaAppClipInvocationLocalizationResponse.fromJson(value);
        case 'BetaAppClipInvocationLocalizationUpdateRequest':
          return BetaAppClipInvocationLocalizationUpdateRequest.fromJson(value);
        case 'BetaAppClipInvocationLocalizationUpdateRequestData':
          return BetaAppClipInvocationLocalizationUpdateRequestData.fromJson(
              value);
        case 'BetaAppClipInvocationLocalizationUpdateRequestDataAttributes':
          return BetaAppClipInvocationLocalizationUpdateRequestDataAttributes
              .fromJson(value);
        case 'BetaAppClipInvocationRelationships':
          return BetaAppClipInvocationRelationships.fromJson(value);
        case 'BetaAppClipInvocationRelationshipsBetaAppClipInvocationLocalizations':
          return BetaAppClipInvocationRelationshipsBetaAppClipInvocationLocalizations
              .fromJson(value);
        case 'BetaAppClipInvocationRelationshipsBetaAppClipInvocationLocalizationsDataInner':
          return BetaAppClipInvocationRelationshipsBetaAppClipInvocationLocalizationsDataInner
              .fromJson(value);
        case 'BetaAppClipInvocationResponse':
          return BetaAppClipInvocationResponse.fromJson(value);
        case 'BetaAppClipInvocationUpdateRequest':
          return BetaAppClipInvocationUpdateRequest.fromJson(value);
        case 'BetaAppClipInvocationUpdateRequestData':
          return BetaAppClipInvocationUpdateRequestData.fromJson(value);
        case 'BetaAppClipInvocationsResponse':
          return BetaAppClipInvocationsResponse.fromJson(value);
        case 'BetaAppLocalization':
          return BetaAppLocalization.fromJson(value);
        case 'BetaAppLocalizationAttributes':
          return BetaAppLocalizationAttributes.fromJson(value);
        case 'BetaAppLocalizationCreateRequest':
          return BetaAppLocalizationCreateRequest.fromJson(value);
        case 'BetaAppLocalizationCreateRequestData':
          return BetaAppLocalizationCreateRequestData.fromJson(value);
        case 'BetaAppLocalizationCreateRequestDataAttributes':
          return BetaAppLocalizationCreateRequestDataAttributes.fromJson(value);
        case 'BetaAppLocalizationResponse':
          return BetaAppLocalizationResponse.fromJson(value);
        case 'BetaAppLocalizationUpdateRequest':
          return BetaAppLocalizationUpdateRequest.fromJson(value);
        case 'BetaAppLocalizationUpdateRequestData':
          return BetaAppLocalizationUpdateRequestData.fromJson(value);
        case 'BetaAppLocalizationUpdateRequestDataAttributes':
          return BetaAppLocalizationUpdateRequestDataAttributes.fromJson(value);
        case 'BetaAppLocalizationsResponse':
          return BetaAppLocalizationsResponse.fromJson(value);
        case 'BetaAppReviewDetail':
          return BetaAppReviewDetail.fromJson(value);
        case 'BetaAppReviewDetailResponse':
          return BetaAppReviewDetailResponse.fromJson(value);
        case 'BetaAppReviewDetailUpdateRequest':
          return BetaAppReviewDetailUpdateRequest.fromJson(value);
        case 'BetaAppReviewDetailUpdateRequestData':
          return BetaAppReviewDetailUpdateRequestData.fromJson(value);
        case 'BetaAppReviewDetailsResponse':
          return BetaAppReviewDetailsResponse.fromJson(value);
        case 'BetaAppReviewSubmission':
          return BetaAppReviewSubmission.fromJson(value);
        case 'BetaAppReviewSubmissionAttributes':
          return BetaAppReviewSubmissionAttributes.fromJson(value);
        case 'BetaAppReviewSubmissionCreateRequest':
          return BetaAppReviewSubmissionCreateRequest.fromJson(value);
        case 'BetaAppReviewSubmissionCreateRequestData':
          return BetaAppReviewSubmissionCreateRequestData.fromJson(value);
        case 'BetaAppReviewSubmissionCreateRequestDataRelationships':
          return BetaAppReviewSubmissionCreateRequestDataRelationships.fromJson(
              value);
        case 'BetaAppReviewSubmissionCreateRequestDataRelationshipsBuild':
          return BetaAppReviewSubmissionCreateRequestDataRelationshipsBuild
              .fromJson(value);
        case 'BetaAppReviewSubmissionRelationships':
          return BetaAppReviewSubmissionRelationships.fromJson(value);
        case 'BetaAppReviewSubmissionResponse':
          return BetaAppReviewSubmissionResponse.fromJson(value);
        case 'BetaAppReviewSubmissionsResponse':
          return BetaAppReviewSubmissionsResponse.fromJson(value);
        case 'BetaBuildLocalization':
          return BetaBuildLocalization.fromJson(value);
        case 'BetaBuildLocalizationAttributes':
          return BetaBuildLocalizationAttributes.fromJson(value);
        case 'BetaBuildLocalizationCreateRequest':
          return BetaBuildLocalizationCreateRequest.fromJson(value);
        case 'BetaBuildLocalizationCreateRequestData':
          return BetaBuildLocalizationCreateRequestData.fromJson(value);
        case 'BetaBuildLocalizationCreateRequestDataAttributes':
          return BetaBuildLocalizationCreateRequestDataAttributes.fromJson(
              value);
        case 'BetaBuildLocalizationResponse':
          return BetaBuildLocalizationResponse.fromJson(value);
        case 'BetaBuildLocalizationUpdateRequest':
          return BetaBuildLocalizationUpdateRequest.fromJson(value);
        case 'BetaBuildLocalizationUpdateRequestData':
          return BetaBuildLocalizationUpdateRequestData.fromJson(value);
        case 'BetaBuildLocalizationUpdateRequestDataAttributes':
          return BetaBuildLocalizationUpdateRequestDataAttributes.fromJson(
              value);
        case 'BetaBuildLocalizationsResponse':
          return BetaBuildLocalizationsResponse.fromJson(value);
        case 'BetaGroup':
          return BetaGroup.fromJson(value);
        case 'BetaGroupAttributes':
          return BetaGroupAttributes.fromJson(value);
        case 'BetaGroupBetaTestersLinkagesRequest':
          return BetaGroupBetaTestersLinkagesRequest.fromJson(value);
        case 'BetaGroupBetaTestersLinkagesResponse':
          return BetaGroupBetaTestersLinkagesResponse.fromJson(value);
        case 'BetaGroupBuildsLinkagesRequest':
          return BetaGroupBuildsLinkagesRequest.fromJson(value);
        case 'BetaGroupBuildsLinkagesResponse':
          return BetaGroupBuildsLinkagesResponse.fromJson(value);
        case 'BetaGroupCreateRequest':
          return BetaGroupCreateRequest.fromJson(value);
        case 'BetaGroupCreateRequestData':
          return BetaGroupCreateRequestData.fromJson(value);
        case 'BetaGroupCreateRequestDataAttributes':
          return BetaGroupCreateRequestDataAttributes.fromJson(value);
        case 'BetaGroupCreateRequestDataRelationships':
          return BetaGroupCreateRequestDataRelationships.fromJson(value);
        case 'BetaGroupCreateRequestDataRelationshipsBetaTesters':
          return BetaGroupCreateRequestDataRelationshipsBetaTesters.fromJson(
              value);
        case 'BetaGroupCreateRequestDataRelationshipsBuilds':
          return BetaGroupCreateRequestDataRelationshipsBuilds.fromJson(value);
        case 'BetaGroupRelationships':
          return BetaGroupRelationships.fromJson(value);
        case 'BetaGroupRelationshipsBetaTesters':
          return BetaGroupRelationshipsBetaTesters.fromJson(value);
        case 'BetaGroupRelationshipsBetaTestersDataInner':
          return BetaGroupRelationshipsBetaTestersDataInner.fromJson(value);
        case 'BetaGroupResponse':
          return BetaGroupResponse.fromJson(value);
        case 'BetaGroupUpdateRequest':
          return BetaGroupUpdateRequest.fromJson(value);
        case 'BetaGroupUpdateRequestData':
          return BetaGroupUpdateRequestData.fromJson(value);
        case 'BetaGroupUpdateRequestDataAttributes':
          return BetaGroupUpdateRequestDataAttributes.fromJson(value);
        case 'BetaGroupsResponse':
          return BetaGroupsResponse.fromJson(value);
        case 'BetaGroupsResponseIncludedInner':
          return BetaGroupsResponseIncludedInner.fromJson(value);
        case 'BetaInviteType':
          return BetaInviteTypeTypeTransformer().decode(value);
        case 'BetaLicenseAgreement':
          return BetaLicenseAgreement.fromJson(value);
        case 'BetaLicenseAgreementAttributes':
          return BetaLicenseAgreementAttributes.fromJson(value);
        case 'BetaLicenseAgreementResponse':
          return BetaLicenseAgreementResponse.fromJson(value);
        case 'BetaLicenseAgreementUpdateRequest':
          return BetaLicenseAgreementUpdateRequest.fromJson(value);
        case 'BetaLicenseAgreementUpdateRequestData':
          return BetaLicenseAgreementUpdateRequestData.fromJson(value);
        case 'BetaLicenseAgreementsResponse':
          return BetaLicenseAgreementsResponse.fromJson(value);
        case 'BetaReviewState':
          return BetaReviewStateTypeTransformer().decode(value);
        case 'BetaTester':
          return BetaTester.fromJson(value);
        case 'BetaTesterAppsLinkagesRequest':
          return BetaTesterAppsLinkagesRequest.fromJson(value);
        case 'BetaTesterAppsLinkagesResponse':
          return BetaTesterAppsLinkagesResponse.fromJson(value);
        case 'BetaTesterAttributes':
          return BetaTesterAttributes.fromJson(value);
        case 'BetaTesterBetaGroupsLinkagesRequest':
          return BetaTesterBetaGroupsLinkagesRequest.fromJson(value);
        case 'BetaTesterBetaGroupsLinkagesResponse':
          return BetaTesterBetaGroupsLinkagesResponse.fromJson(value);
        case 'BetaTesterBuildsLinkagesRequest':
          return BetaTesterBuildsLinkagesRequest.fromJson(value);
        case 'BetaTesterBuildsLinkagesResponse':
          return BetaTesterBuildsLinkagesResponse.fromJson(value);
        case 'BetaTesterCreateRequest':
          return BetaTesterCreateRequest.fromJson(value);
        case 'BetaTesterCreateRequestData':
          return BetaTesterCreateRequestData.fromJson(value);
        case 'BetaTesterCreateRequestDataAttributes':
          return BetaTesterCreateRequestDataAttributes.fromJson(value);
        case 'BetaTesterCreateRequestDataRelationships':
          return BetaTesterCreateRequestDataRelationships.fromJson(value);
        case 'BetaTesterCreateRequestDataRelationshipsBetaGroups':
          return BetaTesterCreateRequestDataRelationshipsBetaGroups.fromJson(
              value);
        case 'BetaTesterInvitation':
          return BetaTesterInvitation.fromJson(value);
        case 'BetaTesterInvitationCreateRequest':
          return BetaTesterInvitationCreateRequest.fromJson(value);
        case 'BetaTesterInvitationCreateRequestData':
          return BetaTesterInvitationCreateRequestData.fromJson(value);
        case 'BetaTesterInvitationCreateRequestDataRelationships':
          return BetaTesterInvitationCreateRequestDataRelationships.fromJson(
              value);
        case 'BetaTesterInvitationCreateRequestDataRelationshipsBetaTester':
          return BetaTesterInvitationCreateRequestDataRelationshipsBetaTester
              .fromJson(value);
        case 'BetaTesterInvitationResponse':
          return BetaTesterInvitationResponse.fromJson(value);
        case 'BetaTesterRelationships':
          return BetaTesterRelationships.fromJson(value);
        case 'BetaTesterRelationshipsApps':
          return BetaTesterRelationshipsApps.fromJson(value);
        case 'BetaTesterResponse':
          return BetaTesterResponse.fromJson(value);
        case 'BetaTestersResponse':
          return BetaTestersResponse.fromJson(value);
        case 'BetaTestersResponseIncludedInner':
          return BetaTestersResponseIncludedInner.fromJson(value);
        case 'BrazilAgeRating':
          return BrazilAgeRatingTypeTransformer().decode(value);
        case 'Build':
          return Build.fromJson(value);
        case 'BuildAppEncryptionDeclarationLinkageRequest':
          return BuildAppEncryptionDeclarationLinkageRequest.fromJson(value);
        case 'BuildAppEncryptionDeclarationLinkageResponse':
          return BuildAppEncryptionDeclarationLinkageResponse.fromJson(value);
        case 'BuildAttributes':
          return BuildAttributes.fromJson(value);
        case 'BuildAudienceType':
          return BuildAudienceTypeTypeTransformer().decode(value);
        case 'BuildBetaDetail':
          return BuildBetaDetail.fromJson(value);
        case 'BuildBetaDetailAttributes':
          return BuildBetaDetailAttributes.fromJson(value);
        case 'BuildBetaDetailResponse':
          return BuildBetaDetailResponse.fromJson(value);
        case 'BuildBetaDetailUpdateRequest':
          return BuildBetaDetailUpdateRequest.fromJson(value);
        case 'BuildBetaDetailUpdateRequestData':
          return BuildBetaDetailUpdateRequestData.fromJson(value);
        case 'BuildBetaDetailUpdateRequestDataAttributes':
          return BuildBetaDetailUpdateRequestDataAttributes.fromJson(value);
        case 'BuildBetaDetailsResponse':
          return BuildBetaDetailsResponse.fromJson(value);
        case 'BuildBetaGroupsLinkagesRequest':
          return BuildBetaGroupsLinkagesRequest.fromJson(value);
        case 'BuildBetaNotification':
          return BuildBetaNotification.fromJson(value);
        case 'BuildBetaNotificationCreateRequest':
          return BuildBetaNotificationCreateRequest.fromJson(value);
        case 'BuildBetaNotificationCreateRequestData':
          return BuildBetaNotificationCreateRequestData.fromJson(value);
        case 'BuildBetaNotificationResponse':
          return BuildBetaNotificationResponse.fromJson(value);
        case 'BuildBundle':
          return BuildBundle.fromJson(value);
        case 'BuildBundleAttributes':
          return BuildBundleAttributes.fromJson(value);
        case 'BuildBundleFileSize':
          return BuildBundleFileSize.fromJson(value);
        case 'BuildBundleFileSizeAttributes':
          return BuildBundleFileSizeAttributes.fromJson(value);
        case 'BuildBundleFileSizesResponse':
          return BuildBundleFileSizesResponse.fromJson(value);
        case 'BuildBundleRelationships':
          return BuildBundleRelationships.fromJson(value);
        case 'BuildBundleRelationshipsAppClipDomainCacheStatus':
          return BuildBundleRelationshipsAppClipDomainCacheStatus.fromJson(
              value);
        case 'BuildBundleRelationshipsAppClipDomainCacheStatusData':
          return BuildBundleRelationshipsAppClipDomainCacheStatusData.fromJson(
              value);
        case 'BuildBundleRelationshipsBetaAppClipInvocations':
          return BuildBundleRelationshipsBetaAppClipInvocations.fromJson(value);
        case 'BuildBundleRelationshipsBuildBundleFileSizes':
          return BuildBundleRelationshipsBuildBundleFileSizes.fromJson(value);
        case 'BuildBundleRelationshipsBuildBundleFileSizesDataInner':
          return BuildBundleRelationshipsBuildBundleFileSizesDataInner.fromJson(
              value);
        case 'BuildIcon':
          return BuildIcon.fromJson(value);
        case 'BuildIconAttributes':
          return BuildIconAttributes.fromJson(value);
        case 'BuildIconsResponse':
          return BuildIconsResponse.fromJson(value);
        case 'BuildIndividualTestersLinkagesRequest':
          return BuildIndividualTestersLinkagesRequest.fromJson(value);
        case 'BuildIndividualTestersLinkagesResponse':
          return BuildIndividualTestersLinkagesResponse.fromJson(value);
        case 'BuildRelationships':
          return BuildRelationships.fromJson(value);
        case 'BuildRelationshipsAppEncryptionDeclaration':
          return BuildRelationshipsAppEncryptionDeclaration.fromJson(value);
        case 'BuildRelationshipsBetaAppReviewSubmission':
          return BuildRelationshipsBetaAppReviewSubmission.fromJson(value);
        case 'BuildRelationshipsBetaAppReviewSubmissionData':
          return BuildRelationshipsBetaAppReviewSubmissionData.fromJson(value);
        case 'BuildRelationshipsBetaBuildLocalizations':
          return BuildRelationshipsBetaBuildLocalizations.fromJson(value);
        case 'BuildRelationshipsBetaBuildLocalizationsDataInner':
          return BuildRelationshipsBetaBuildLocalizationsDataInner.fromJson(
              value);
        case 'BuildRelationshipsBuildBetaDetail':
          return BuildRelationshipsBuildBetaDetail.fromJson(value);
        case 'BuildRelationshipsBuildBetaDetailData':
          return BuildRelationshipsBuildBetaDetailData.fromJson(value);
        case 'BuildRelationshipsBuildBundles':
          return BuildRelationshipsBuildBundles.fromJson(value);
        case 'BuildRelationshipsIcons':
          return BuildRelationshipsIcons.fromJson(value);
        case 'BuildRelationshipsIconsDataInner':
          return BuildRelationshipsIconsDataInner.fromJson(value);
        case 'BuildRelationshipsPreReleaseVersion':
          return BuildRelationshipsPreReleaseVersion.fromJson(value);
        case 'BuildResponse':
          return BuildResponse.fromJson(value);
        case 'BuildUpdateRequest':
          return BuildUpdateRequest.fromJson(value);
        case 'BuildUpdateRequestData':
          return BuildUpdateRequestData.fromJson(value);
        case 'BuildUpdateRequestDataAttributes':
          return BuildUpdateRequestDataAttributes.fromJson(value);
        case 'BuildUpdateRequestDataRelationships':
          return BuildUpdateRequestDataRelationships.fromJson(value);
        case 'BuildUpdateRequestDataRelationshipsAppEncryptionDeclaration':
          return BuildUpdateRequestDataRelationshipsAppEncryptionDeclaration
              .fromJson(value);
        case 'BuildsResponse':
          return BuildsResponse.fromJson(value);
        case 'BuildsResponseIncludedInner':
          return BuildsResponseIncludedInner.fromJson(value);
        case 'BundleId':
          return BundleId.fromJson(value);
        case 'BundleIdAttributes':
          return BundleIdAttributes.fromJson(value);
        case 'BundleIdCapabilitiesResponse':
          return BundleIdCapabilitiesResponse.fromJson(value);
        case 'BundleIdCapability':
          return BundleIdCapability.fromJson(value);
        case 'BundleIdCapabilityAttributes':
          return BundleIdCapabilityAttributes.fromJson(value);
        case 'BundleIdCapabilityCreateRequest':
          return BundleIdCapabilityCreateRequest.fromJson(value);
        case 'BundleIdCapabilityCreateRequestData':
          return BundleIdCapabilityCreateRequestData.fromJson(value);
        case 'BundleIdCapabilityCreateRequestDataAttributes':
          return BundleIdCapabilityCreateRequestDataAttributes.fromJson(value);
        case 'BundleIdCapabilityCreateRequestDataRelationships':
          return BundleIdCapabilityCreateRequestDataRelationships.fromJson(
              value);
        case 'BundleIdCapabilityCreateRequestDataRelationshipsBundleId':
          return BundleIdCapabilityCreateRequestDataRelationshipsBundleId
              .fromJson(value);
        case 'BundleIdCapabilityCreateRequestDataRelationshipsBundleIdData':
          return BundleIdCapabilityCreateRequestDataRelationshipsBundleIdData
              .fromJson(value);
        case 'BundleIdCapabilityResponse':
          return BundleIdCapabilityResponse.fromJson(value);
        case 'BundleIdCapabilityUpdateRequest':
          return BundleIdCapabilityUpdateRequest.fromJson(value);
        case 'BundleIdCapabilityUpdateRequestData':
          return BundleIdCapabilityUpdateRequestData.fromJson(value);
        case 'BundleIdCreateRequest':
          return BundleIdCreateRequest.fromJson(value);
        case 'BundleIdCreateRequestData':
          return BundleIdCreateRequestData.fromJson(value);
        case 'BundleIdCreateRequestDataAttributes':
          return BundleIdCreateRequestDataAttributes.fromJson(value);
        case 'BundleIdPlatform':
          return BundleIdPlatformTypeTransformer().decode(value);
        case 'BundleIdRelationships':
          return BundleIdRelationships.fromJson(value);
        case 'BundleIdRelationshipsBundleIdCapabilities':
          return BundleIdRelationshipsBundleIdCapabilities.fromJson(value);
        case 'BundleIdRelationshipsBundleIdCapabilitiesDataInner':
          return BundleIdRelationshipsBundleIdCapabilitiesDataInner.fromJson(
              value);
        case 'BundleIdRelationshipsProfiles':
          return BundleIdRelationshipsProfiles.fromJson(value);
        case 'BundleIdRelationshipsProfilesDataInner':
          return BundleIdRelationshipsProfilesDataInner.fromJson(value);
        case 'BundleIdResponse':
          return BundleIdResponse.fromJson(value);
        case 'BundleIdUpdateRequest':
          return BundleIdUpdateRequest.fromJson(value);
        case 'BundleIdUpdateRequestData':
          return BundleIdUpdateRequestData.fromJson(value);
        case 'BundleIdUpdateRequestDataAttributes':
          return BundleIdUpdateRequestDataAttributes.fromJson(value);
        case 'BundleIdsResponse':
          return BundleIdsResponse.fromJson(value);
        case 'BundleIdsResponseIncludedInner':
          return BundleIdsResponseIncludedInner.fromJson(value);
        case 'CapabilityOption':
          return CapabilityOption.fromJson(value);
        case 'CapabilitySetting':
          return CapabilitySetting.fromJson(value);
        case 'CapabilityType':
          return CapabilityTypeTypeTransformer().decode(value);
        case 'Certificate':
          return Certificate.fromJson(value);
        case 'CertificateAttributes':
          return CertificateAttributes.fromJson(value);
        case 'CertificateCreateRequest':
          return CertificateCreateRequest.fromJson(value);
        case 'CertificateCreateRequestData':
          return CertificateCreateRequestData.fromJson(value);
        case 'CertificateCreateRequestDataAttributes':
          return CertificateCreateRequestDataAttributes.fromJson(value);
        case 'CertificateResponse':
          return CertificateResponse.fromJson(value);
        case 'CertificateType':
          return CertificateTypeTypeTransformer().decode(value);
        case 'CertificatesResponse':
          return CertificatesResponse.fromJson(value);
        case 'CiAction':
          return CiAction.fromJson(value);
        case 'CiActionTestConfiguration':
          return CiActionTestConfiguration.fromJson(value);
        case 'CiActionType':
          return CiActionTypeTypeTransformer().decode(value);
        case 'CiArtifact':
          return CiArtifact.fromJson(value);
        case 'CiArtifactAttributes':
          return CiArtifactAttributes.fromJson(value);
        case 'CiArtifactResponse':
          return CiArtifactResponse.fromJson(value);
        case 'CiArtifactsResponse':
          return CiArtifactsResponse.fromJson(value);
        case 'CiBranchPatterns':
          return CiBranchPatterns.fromJson(value);
        case 'CiBranchPatternsPatternsInner':
          return CiBranchPatternsPatternsInner.fromJson(value);
        case 'CiBranchStartCondition':
          return CiBranchStartCondition.fromJson(value);
        case 'CiBuildAction':
          return CiBuildAction.fromJson(value);
        case 'CiBuildActionAttributes':
          return CiBuildActionAttributes.fromJson(value);
        case 'CiBuildActionRelationships':
          return CiBuildActionRelationships.fromJson(value);
        case 'CiBuildActionRelationshipsBuildRun':
          return CiBuildActionRelationshipsBuildRun.fromJson(value);
        case 'CiBuildActionRelationshipsBuildRunData':
          return CiBuildActionRelationshipsBuildRunData.fromJson(value);
        case 'CiBuildActionResponse':
          return CiBuildActionResponse.fromJson(value);
        case 'CiBuildActionsResponse':
          return CiBuildActionsResponse.fromJson(value);
        case 'CiBuildRun':
          return CiBuildRun.fromJson(value);
        case 'CiBuildRunAttributes':
          return CiBuildRunAttributes.fromJson(value);
        case 'CiBuildRunAttributesSourceCommit':
          return CiBuildRunAttributesSourceCommit.fromJson(value);
        case 'CiBuildRunCreateRequest':
          return CiBuildRunCreateRequest.fromJson(value);
        case 'CiBuildRunCreateRequestData':
          return CiBuildRunCreateRequestData.fromJson(value);
        case 'CiBuildRunCreateRequestDataAttributes':
          return CiBuildRunCreateRequestDataAttributes.fromJson(value);
        case 'CiBuildRunCreateRequestDataRelationships':
          return CiBuildRunCreateRequestDataRelationships.fromJson(value);
        case 'CiBuildRunCreateRequestDataRelationshipsBuildRun':
          return CiBuildRunCreateRequestDataRelationshipsBuildRun.fromJson(
              value);
        case 'CiBuildRunCreateRequestDataRelationshipsPullRequest':
          return CiBuildRunCreateRequestDataRelationshipsPullRequest.fromJson(
              value);
        case 'CiBuildRunCreateRequestDataRelationshipsSourceBranchOrTag':
          return CiBuildRunCreateRequestDataRelationshipsSourceBranchOrTag
              .fromJson(value);
        case 'CiBuildRunCreateRequestDataRelationshipsWorkflow':
          return CiBuildRunCreateRequestDataRelationshipsWorkflow.fromJson(
              value);
        case 'CiBuildRunRelationships':
          return CiBuildRunRelationships.fromJson(value);
        case 'CiBuildRunRelationshipsPullRequest':
          return CiBuildRunRelationshipsPullRequest.fromJson(value);
        case 'CiBuildRunRelationshipsPullRequestData':
          return CiBuildRunRelationshipsPullRequestData.fromJson(value);
        case 'CiBuildRunRelationshipsSourceBranchOrTag':
          return CiBuildRunRelationshipsSourceBranchOrTag.fromJson(value);
        case 'CiBuildRunRelationshipsSourceBranchOrTagData':
          return CiBuildRunRelationshipsSourceBranchOrTagData.fromJson(value);
        case 'CiBuildRunRelationshipsWorkflow':
          return CiBuildRunRelationshipsWorkflow.fromJson(value);
        case 'CiBuildRunRelationshipsWorkflowData':
          return CiBuildRunRelationshipsWorkflowData.fromJson(value);
        case 'CiBuildRunResponse':
          return CiBuildRunResponse.fromJson(value);
        case 'CiBuildRunsResponse':
          return CiBuildRunsResponse.fromJson(value);
        case 'CiBuildRunsResponseIncludedInner':
          return CiBuildRunsResponseIncludedInner.fromJson(value);
        case 'CiCompletionStatus':
          return CiCompletionStatusTypeTransformer().decode(value);
        case 'CiExecutionProgress':
          return CiExecutionProgressTypeTransformer().decode(value);
        case 'CiFilesAndFoldersRule':
          return CiFilesAndFoldersRule.fromJson(value);
        case 'CiGitRefKind':
          return CiGitRefKindTypeTransformer().decode(value);
        case 'CiGitUser':
          return CiGitUser.fromJson(value);
        case 'CiIssue':
          return CiIssue.fromJson(value);
        case 'CiIssueAttributes':
          return CiIssueAttributes.fromJson(value);
        case 'CiIssueCounts':
          return CiIssueCounts.fromJson(value);
        case 'CiIssueResponse':
          return CiIssueResponse.fromJson(value);
        case 'CiIssuesResponse':
          return CiIssuesResponse.fromJson(value);
        case 'CiMacOsVersion':
          return CiMacOsVersion.fromJson(value);
        case 'CiMacOsVersionAttributes':
          return CiMacOsVersionAttributes.fromJson(value);
        case 'CiMacOsVersionRelationships':
          return CiMacOsVersionRelationships.fromJson(value);
        case 'CiMacOsVersionRelationshipsXcodeVersions':
          return CiMacOsVersionRelationshipsXcodeVersions.fromJson(value);
        case 'CiMacOsVersionRelationshipsXcodeVersionsDataInner':
          return CiMacOsVersionRelationshipsXcodeVersionsDataInner.fromJson(
              value);
        case 'CiMacOsVersionResponse':
          return CiMacOsVersionResponse.fromJson(value);
        case 'CiMacOsVersionsResponse':
          return CiMacOsVersionsResponse.fromJson(value);
        case 'CiProduct':
          return CiProduct.fromJson(value);
        case 'CiProductAttributes':
          return CiProductAttributes.fromJson(value);
        case 'CiProductRelationships':
          return CiProductRelationships.fromJson(value);
        case 'CiProductRelationshipsBundleId':
          return CiProductRelationshipsBundleId.fromJson(value);
        case 'CiProductRelationshipsPrimaryRepositories':
          return CiProductRelationshipsPrimaryRepositories.fromJson(value);
        case 'CiProductRelationshipsPrimaryRepositoriesDataInner':
          return CiProductRelationshipsPrimaryRepositoriesDataInner.fromJson(
              value);
        case 'CiProductResponse':
          return CiProductResponse.fromJson(value);
        case 'CiProductsResponse':
          return CiProductsResponse.fromJson(value);
        case 'CiProductsResponseIncludedInner':
          return CiProductsResponseIncludedInner.fromJson(value);
        case 'CiPullRequestStartCondition':
          return CiPullRequestStartCondition.fromJson(value);
        case 'CiScheduledStartCondition':
          return CiScheduledStartCondition.fromJson(value);
        case 'CiScheduledStartConditionSchedule':
          return CiScheduledStartConditionSchedule.fromJson(value);
        case 'CiStartConditionFileMatcher':
          return CiStartConditionFileMatcher.fromJson(value);
        case 'CiTagPatterns':
          return CiTagPatterns.fromJson(value);
        case 'CiTagStartCondition':
          return CiTagStartCondition.fromJson(value);
        case 'CiTestDestination':
          return CiTestDestination.fromJson(value);
        case 'CiTestDestinationKind':
          return CiTestDestinationKindTypeTransformer().decode(value);
        case 'CiTestResult':
          return CiTestResult.fromJson(value);
        case 'CiTestResultAttributes':
          return CiTestResultAttributes.fromJson(value);
        case 'CiTestResultAttributesDestinationTestResultsInner':
          return CiTestResultAttributesDestinationTestResultsInner.fromJson(
              value);
        case 'CiTestResultResponse':
          return CiTestResultResponse.fromJson(value);
        case 'CiTestResultsResponse':
          return CiTestResultsResponse.fromJson(value);
        case 'CiTestStatus':
          return CiTestStatusTypeTransformer().decode(value);
        case 'CiWorkflow':
          return CiWorkflow.fromJson(value);
        case 'CiWorkflowAttributes':
          return CiWorkflowAttributes.fromJson(value);
        case 'CiWorkflowCreateRequest':
          return CiWorkflowCreateRequest.fromJson(value);
        case 'CiWorkflowCreateRequestData':
          return CiWorkflowCreateRequestData.fromJson(value);
        case 'CiWorkflowCreateRequestDataAttributes':
          return CiWorkflowCreateRequestDataAttributes.fromJson(value);
        case 'CiWorkflowCreateRequestDataRelationships':
          return CiWorkflowCreateRequestDataRelationships.fromJson(value);
        case 'CiWorkflowCreateRequestDataRelationshipsMacOsVersion':
          return CiWorkflowCreateRequestDataRelationshipsMacOsVersion.fromJson(
              value);
        case 'CiWorkflowCreateRequestDataRelationshipsProduct':
          return CiWorkflowCreateRequestDataRelationshipsProduct.fromJson(
              value);
        case 'CiWorkflowCreateRequestDataRelationshipsRepository':
          return CiWorkflowCreateRequestDataRelationshipsRepository.fromJson(
              value);
        case 'CiWorkflowCreateRequestDataRelationshipsXcodeVersion':
          return CiWorkflowCreateRequestDataRelationshipsXcodeVersion.fromJson(
              value);
        case 'CiWorkflowRelationships':
          return CiWorkflowRelationships.fromJson(value);
        case 'CiWorkflowRelationshipsMacOsVersion':
          return CiWorkflowRelationshipsMacOsVersion.fromJson(value);
        case 'CiWorkflowRelationshipsMacOsVersionData':
          return CiWorkflowRelationshipsMacOsVersionData.fromJson(value);
        case 'CiWorkflowRelationshipsRepository':
          return CiWorkflowRelationshipsRepository.fromJson(value);
        case 'CiWorkflowRelationshipsXcodeVersion':
          return CiWorkflowRelationshipsXcodeVersion.fromJson(value);
        case 'CiWorkflowResponse':
          return CiWorkflowResponse.fromJson(value);
        case 'CiWorkflowUpdateRequest':
          return CiWorkflowUpdateRequest.fromJson(value);
        case 'CiWorkflowUpdateRequestData':
          return CiWorkflowUpdateRequestData.fromJson(value);
        case 'CiWorkflowUpdateRequestDataAttributes':
          return CiWorkflowUpdateRequestDataAttributes.fromJson(value);
        case 'CiWorkflowUpdateRequestDataRelationships':
          return CiWorkflowUpdateRequestDataRelationships.fromJson(value);
        case 'CiWorkflowUpdateRequestDataRelationshipsMacOsVersion':
          return CiWorkflowUpdateRequestDataRelationshipsMacOsVersion.fromJson(
              value);
        case 'CiWorkflowUpdateRequestDataRelationshipsXcodeVersion':
          return CiWorkflowUpdateRequestDataRelationshipsXcodeVersion.fromJson(
              value);
        case 'CiWorkflowsResponse':
          return CiWorkflowsResponse.fromJson(value);
        case 'CiWorkflowsResponseIncludedInner':
          return CiWorkflowsResponseIncludedInner.fromJson(value);
        case 'CiXcodeVersion':
          return CiXcodeVersion.fromJson(value);
        case 'CiXcodeVersionAttributes':
          return CiXcodeVersionAttributes.fromJson(value);
        case 'CiXcodeVersionAttributesTestDestinationsInner':
          return CiXcodeVersionAttributesTestDestinationsInner.fromJson(value);
        case 'CiXcodeVersionAttributesTestDestinationsInnerAvailableRuntimesInner':
          return CiXcodeVersionAttributesTestDestinationsInnerAvailableRuntimesInner
              .fromJson(value);
        case 'CiXcodeVersionRelationships':
          return CiXcodeVersionRelationships.fromJson(value);
        case 'CiXcodeVersionRelationshipsMacOsVersions':
          return CiXcodeVersionRelationshipsMacOsVersions.fromJson(value);
        case 'CiXcodeVersionResponse':
          return CiXcodeVersionResponse.fromJson(value);
        case 'CiXcodeVersionsResponse':
          return CiXcodeVersionsResponse.fromJson(value);
        case 'CustomerReview':
          return CustomerReview.fromJson(value);
        case 'CustomerReviewAttributes':
          return CustomerReviewAttributes.fromJson(value);
        case 'CustomerReviewRelationships':
          return CustomerReviewRelationships.fromJson(value);
        case 'CustomerReviewRelationshipsResponse':
          return CustomerReviewRelationshipsResponse.fromJson(value);
        case 'CustomerReviewRelationshipsResponseData':
          return CustomerReviewRelationshipsResponseData.fromJson(value);
        case 'CustomerReviewResponse':
          return CustomerReviewResponse.fromJson(value);
        case 'CustomerReviewResponseV1':
          return CustomerReviewResponseV1.fromJson(value);
        case 'CustomerReviewResponseV1Attributes':
          return CustomerReviewResponseV1Attributes.fromJson(value);
        case 'CustomerReviewResponseV1CreateRequest':
          return CustomerReviewResponseV1CreateRequest.fromJson(value);
        case 'CustomerReviewResponseV1CreateRequestData':
          return CustomerReviewResponseV1CreateRequestData.fromJson(value);
        case 'CustomerReviewResponseV1CreateRequestDataAttributes':
          return CustomerReviewResponseV1CreateRequestDataAttributes.fromJson(
              value);
        case 'CustomerReviewResponseV1CreateRequestDataRelationships':
          return CustomerReviewResponseV1CreateRequestDataRelationships
              .fromJson(value);
        case 'CustomerReviewResponseV1CreateRequestDataRelationshipsReview':
          return CustomerReviewResponseV1CreateRequestDataRelationshipsReview
              .fromJson(value);
        case 'CustomerReviewResponseV1Relationships':
          return CustomerReviewResponseV1Relationships.fromJson(value);
        case 'CustomerReviewResponseV1RelationshipsReview':
          return CustomerReviewResponseV1RelationshipsReview.fromJson(value);
        case 'CustomerReviewResponseV1RelationshipsReviewData':
          return CustomerReviewResponseV1RelationshipsReviewData.fromJson(
              value);
        case 'CustomerReviewResponseV1Response':
          return CustomerReviewResponseV1Response.fromJson(value);
        case 'CustomerReviewsResponse':
          return CustomerReviewsResponse.fromJson(value);
        case 'Device':
          return Device.fromJson(value);
        case 'DeviceAttributes':
          return DeviceAttributes.fromJson(value);
        case 'DeviceCreateRequest':
          return DeviceCreateRequest.fromJson(value);
        case 'DeviceCreateRequestData':
          return DeviceCreateRequestData.fromJson(value);
        case 'DeviceCreateRequestDataAttributes':
          return DeviceCreateRequestDataAttributes.fromJson(value);
        case 'DeviceResponse':
          return DeviceResponse.fromJson(value);
        case 'DeviceUpdateRequest':
          return DeviceUpdateRequest.fromJson(value);
        case 'DeviceUpdateRequestData':
          return DeviceUpdateRequestData.fromJson(value);
        case 'DeviceUpdateRequestDataAttributes':
          return DeviceUpdateRequestDataAttributes.fromJson(value);
        case 'DevicesResponse':
          return DevicesResponse.fromJson(value);
        case 'DiagnosticLog':
          return DiagnosticLog.fromJson(value);
        case 'DiagnosticLogCallStackNode':
          return DiagnosticLogCallStackNode.fromJson(value);
        case 'DiagnosticLogs':
          return DiagnosticLogs.fromJson(value);
        case 'DiagnosticLogsProductDataInner':
          return DiagnosticLogsProductDataInner.fromJson(value);
        case 'DiagnosticLogsProductDataInnerDiagnosticInsightsInner':
          return DiagnosticLogsProductDataInnerDiagnosticInsightsInner.fromJson(
              value);
        case 'DiagnosticLogsProductDataInnerDiagnosticLogsInner':
          return DiagnosticLogsProductDataInnerDiagnosticLogsInner.fromJson(
              value);
        case 'DiagnosticLogsProductDataInnerDiagnosticLogsInnerCallStackTreeInner':
          return DiagnosticLogsProductDataInnerDiagnosticLogsInnerCallStackTreeInner
              .fromJson(value);
        case 'DiagnosticLogsProductDataInnerDiagnosticLogsInnerCallStackTreeInnerCallStacksInner':
          return DiagnosticLogsProductDataInnerDiagnosticLogsInnerCallStackTreeInnerCallStacksInner
              .fromJson(value);
        case 'DiagnosticLogsProductDataInnerDiagnosticLogsInnerDiagnosticMetaData':
          return DiagnosticLogsProductDataInnerDiagnosticLogsInnerDiagnosticMetaData
              .fromJson(value);
        case 'DiagnosticSignature':
          return DiagnosticSignature.fromJson(value);
        case 'DiagnosticSignatureAttributes':
          return DiagnosticSignatureAttributes.fromJson(value);
        case 'DiagnosticSignaturesResponse':
          return DiagnosticSignaturesResponse.fromJson(value);
        case 'DocumentLinks':
          return DocumentLinks.fromJson(value);
        case 'EndUserLicenseAgreement':
          return EndUserLicenseAgreement.fromJson(value);
        case 'EndUserLicenseAgreementCreateRequest':
          return EndUserLicenseAgreementCreateRequest.fromJson(value);
        case 'EndUserLicenseAgreementCreateRequestData':
          return EndUserLicenseAgreementCreateRequestData.fromJson(value);
        case 'EndUserLicenseAgreementCreateRequestDataAttributes':
          return EndUserLicenseAgreementCreateRequestDataAttributes.fromJson(
              value);
        case 'EndUserLicenseAgreementCreateRequestDataRelationships':
          return EndUserLicenseAgreementCreateRequestDataRelationships.fromJson(
              value);
        case 'EndUserLicenseAgreementRelationships':
          return EndUserLicenseAgreementRelationships.fromJson(value);
        case 'EndUserLicenseAgreementResponse':
          return EndUserLicenseAgreementResponse.fromJson(value);
        case 'EndUserLicenseAgreementUpdateRequest':
          return EndUserLicenseAgreementUpdateRequest.fromJson(value);
        case 'EndUserLicenseAgreementUpdateRequestData':
          return EndUserLicenseAgreementUpdateRequestData.fromJson(value);
        case 'EndUserLicenseAgreementUpdateRequestDataRelationships':
          return EndUserLicenseAgreementUpdateRequestDataRelationships.fromJson(
              value);
        case 'EndUserLicenseAgreementUpdateRequestDataRelationshipsTerritories':
          return EndUserLicenseAgreementUpdateRequestDataRelationshipsTerritories
              .fromJson(value);
        case 'ErrorResponse':
          return ErrorResponse.fromJson(value);
        case 'ErrorResponseErrorsInner':
          return ErrorResponseErrorsInner.fromJson(value);
        case 'ErrorResponseErrorsInnerSource':
          return ErrorResponseErrorsInnerSource.fromJson(value);
        case 'ErrorSourceParameter':
          return ErrorSourceParameter.fromJson(value);
        case 'ErrorSourcePointer':
          return ErrorSourcePointer.fromJson(value);
        case 'ExternalBetaState':
          return ExternalBetaStateTypeTransformer().decode(value);
        case 'FileLocation':
          return FileLocation.fromJson(value);
        case 'GameCenterEnabledVersion':
          return GameCenterEnabledVersion.fromJson(value);
        case 'GameCenterEnabledVersionAttributes':
          return GameCenterEnabledVersionAttributes.fromJson(value);
        case 'GameCenterEnabledVersionCompatibleVersionsLinkagesRequest':
          return GameCenterEnabledVersionCompatibleVersionsLinkagesRequest
              .fromJson(value);
        case 'GameCenterEnabledVersionCompatibleVersionsLinkagesResponse':
          return GameCenterEnabledVersionCompatibleVersionsLinkagesResponse
              .fromJson(value);
        case 'GameCenterEnabledVersionRelationships':
          return GameCenterEnabledVersionRelationships.fromJson(value);
        case 'GameCenterEnabledVersionsResponse':
          return GameCenterEnabledVersionsResponse.fromJson(value);
        case 'GameCenterEnabledVersionsResponseIncludedInner':
          return GameCenterEnabledVersionsResponseIncludedInner.fromJson(value);
        case 'HttpHeader':
          return HttpHeader.fromJson(value);
        case 'IconAssetType':
          return IconAssetTypeTypeTransformer().decode(value);
        case 'ImageAsset':
          return ImageAsset.fromJson(value);
        case 'InAppPurchase':
          return InAppPurchase.fromJson(value);
        case 'InAppPurchaseAppStoreReviewScreenshot':
          return InAppPurchaseAppStoreReviewScreenshot.fromJson(value);
        case 'InAppPurchaseAppStoreReviewScreenshotCreateRequest':
          return InAppPurchaseAppStoreReviewScreenshotCreateRequest.fromJson(
              value);
        case 'InAppPurchaseAppStoreReviewScreenshotCreateRequestData':
          return InAppPurchaseAppStoreReviewScreenshotCreateRequestData
              .fromJson(value);
        case 'InAppPurchaseAppStoreReviewScreenshotCreateRequestDataRelationships':
          return InAppPurchaseAppStoreReviewScreenshotCreateRequestDataRelationships
              .fromJson(value);
        case 'InAppPurchaseAppStoreReviewScreenshotCreateRequestDataRelationshipsInAppPurchaseV2':
          return InAppPurchaseAppStoreReviewScreenshotCreateRequestDataRelationshipsInAppPurchaseV2
              .fromJson(value);
        case 'InAppPurchaseAppStoreReviewScreenshotRelationships':
          return InAppPurchaseAppStoreReviewScreenshotRelationships.fromJson(
              value);
        case 'InAppPurchaseAppStoreReviewScreenshotRelationshipsInAppPurchaseV2':
          return InAppPurchaseAppStoreReviewScreenshotRelationshipsInAppPurchaseV2
              .fromJson(value);
        case 'InAppPurchaseAppStoreReviewScreenshotResponse':
          return InAppPurchaseAppStoreReviewScreenshotResponse.fromJson(value);
        case 'InAppPurchaseAppStoreReviewScreenshotUpdateRequest':
          return InAppPurchaseAppStoreReviewScreenshotUpdateRequest.fromJson(
              value);
        case 'InAppPurchaseAppStoreReviewScreenshotUpdateRequestData':
          return InAppPurchaseAppStoreReviewScreenshotUpdateRequestData
              .fromJson(value);
        case 'InAppPurchaseAttributes':
          return InAppPurchaseAttributes.fromJson(value);
        case 'InAppPurchaseAvailability':
          return InAppPurchaseAvailability.fromJson(value);
        case 'InAppPurchaseAvailabilityCreateRequest':
          return InAppPurchaseAvailabilityCreateRequest.fromJson(value);
        case 'InAppPurchaseAvailabilityCreateRequestData':
          return InAppPurchaseAvailabilityCreateRequestData.fromJson(value);
        case 'InAppPurchaseAvailabilityCreateRequestDataRelationships':
          return InAppPurchaseAvailabilityCreateRequestDataRelationships
              .fromJson(value);
        case 'InAppPurchaseAvailabilityRelationships':
          return InAppPurchaseAvailabilityRelationships.fromJson(value);
        case 'InAppPurchaseAvailabilityResponse':
          return InAppPurchaseAvailabilityResponse.fromJson(value);
        case 'InAppPurchaseContent':
          return InAppPurchaseContent.fromJson(value);
        case 'InAppPurchaseContentAttributes':
          return InAppPurchaseContentAttributes.fromJson(value);
        case 'InAppPurchaseContentResponse':
          return InAppPurchaseContentResponse.fromJson(value);
        case 'InAppPurchaseLocalization':
          return InAppPurchaseLocalization.fromJson(value);
        case 'InAppPurchaseLocalizationAttributes':
          return InAppPurchaseLocalizationAttributes.fromJson(value);
        case 'InAppPurchaseLocalizationCreateRequest':
          return InAppPurchaseLocalizationCreateRequest.fromJson(value);
        case 'InAppPurchaseLocalizationCreateRequestData':
          return InAppPurchaseLocalizationCreateRequestData.fromJson(value);
        case 'InAppPurchaseLocalizationCreateRequestDataAttributes':
          return InAppPurchaseLocalizationCreateRequestDataAttributes.fromJson(
              value);
        case 'InAppPurchaseLocalizationResponse':
          return InAppPurchaseLocalizationResponse.fromJson(value);
        case 'InAppPurchaseLocalizationUpdateRequest':
          return InAppPurchaseLocalizationUpdateRequest.fromJson(value);
        case 'InAppPurchaseLocalizationUpdateRequestData':
          return InAppPurchaseLocalizationUpdateRequestData.fromJson(value);
        case 'InAppPurchaseLocalizationUpdateRequestDataAttributes':
          return InAppPurchaseLocalizationUpdateRequestDataAttributes.fromJson(
              value);
        case 'InAppPurchaseLocalizationsResponse':
          return InAppPurchaseLocalizationsResponse.fromJson(value);
        case 'InAppPurchasePrice':
          return InAppPurchasePrice.fromJson(value);
        case 'InAppPurchasePriceAttributes':
          return InAppPurchasePriceAttributes.fromJson(value);
        case 'InAppPurchasePriceInlineCreate':
          return InAppPurchasePriceInlineCreate.fromJson(value);
        case 'InAppPurchasePriceInlineCreateAttributes':
          return InAppPurchasePriceInlineCreateAttributes.fromJson(value);
        case 'InAppPurchasePriceInlineCreateRelationships':
          return InAppPurchasePriceInlineCreateRelationships.fromJson(value);
        case 'InAppPurchasePriceInlineCreateRelationshipsInAppPurchasePricePoint':
          return InAppPurchasePriceInlineCreateRelationshipsInAppPurchasePricePoint
              .fromJson(value);
        case 'InAppPurchasePriceInlineCreateRelationshipsInAppPurchaseV2':
          return InAppPurchasePriceInlineCreateRelationshipsInAppPurchaseV2
              .fromJson(value);
        case 'InAppPurchasePricePoint':
          return InAppPurchasePricePoint.fromJson(value);
        case 'InAppPurchasePricePointAttributes':
          return InAppPurchasePricePointAttributes.fromJson(value);
        case 'InAppPurchasePricePointRelationships':
          return InAppPurchasePricePointRelationships.fromJson(value);
        case 'InAppPurchasePricePointsResponse':
          return InAppPurchasePricePointsResponse.fromJson(value);
        case 'InAppPurchasePriceRelationships':
          return InAppPurchasePriceRelationships.fromJson(value);
        case 'InAppPurchasePriceRelationshipsInAppPurchasePricePoint':
          return InAppPurchasePriceRelationshipsInAppPurchasePricePoint
              .fromJson(value);
        case 'InAppPurchasePriceRelationshipsInAppPurchasePricePointData':
          return InAppPurchasePriceRelationshipsInAppPurchasePricePointData
              .fromJson(value);
        case 'InAppPurchasePriceSchedule':
          return InAppPurchasePriceSchedule.fromJson(value);
        case 'InAppPurchasePriceScheduleCreateRequest':
          return InAppPurchasePriceScheduleCreateRequest.fromJson(value);
        case 'InAppPurchasePriceScheduleCreateRequestData':
          return InAppPurchasePriceScheduleCreateRequestData.fromJson(value);
        case 'InAppPurchasePriceScheduleCreateRequestDataRelationships':
          return InAppPurchasePriceScheduleCreateRequestDataRelationships
              .fromJson(value);
        case 'InAppPurchasePriceScheduleCreateRequestDataRelationshipsBaseTerritory':
          return InAppPurchasePriceScheduleCreateRequestDataRelationshipsBaseTerritory
              .fromJson(value);
        case 'InAppPurchasePriceScheduleCreateRequestDataRelationshipsManualPrices':
          return InAppPurchasePriceScheduleCreateRequestDataRelationshipsManualPrices
              .fromJson(value);
        case 'InAppPurchasePriceScheduleCreateRequestIncludedInner':
          return InAppPurchasePriceScheduleCreateRequestIncludedInner.fromJson(
              value);
        case 'InAppPurchasePriceScheduleRelationships':
          return InAppPurchasePriceScheduleRelationships.fromJson(value);
        case 'InAppPurchasePriceScheduleRelationshipsManualPrices':
          return InAppPurchasePriceScheduleRelationshipsManualPrices.fromJson(
              value);
        case 'InAppPurchasePriceScheduleRelationshipsManualPricesDataInner':
          return InAppPurchasePriceScheduleRelationshipsManualPricesDataInner
              .fromJson(value);
        case 'InAppPurchasePriceScheduleResponse':
          return InAppPurchasePriceScheduleResponse.fromJson(value);
        case 'InAppPurchasePriceScheduleResponseIncludedInner':
          return InAppPurchasePriceScheduleResponseIncludedInner.fromJson(
              value);
        case 'InAppPurchasePricesResponse':
          return InAppPurchasePricesResponse.fromJson(value);
        case 'InAppPurchasePricesResponseIncludedInner':
          return InAppPurchasePricesResponseIncludedInner.fromJson(value);
        case 'InAppPurchaseRelationships':
          return InAppPurchaseRelationships.fromJson(value);
        case 'InAppPurchaseResponse':
          return InAppPurchaseResponse.fromJson(value);
        case 'InAppPurchaseState':
          return InAppPurchaseStateTypeTransformer().decode(value);
        case 'InAppPurchaseSubmission':
          return InAppPurchaseSubmission.fromJson(value);
        case 'InAppPurchaseSubmissionCreateRequest':
          return InAppPurchaseSubmissionCreateRequest.fromJson(value);
        case 'InAppPurchaseSubmissionCreateRequestData':
          return InAppPurchaseSubmissionCreateRequestData.fromJson(value);
        case 'InAppPurchaseSubmissionResponse':
          return InAppPurchaseSubmissionResponse.fromJson(value);
        case 'InAppPurchaseType':
          return InAppPurchaseTypeTypeTransformer().decode(value);
        case 'InAppPurchaseV2':
          return InAppPurchaseV2.fromJson(value);
        case 'InAppPurchaseV2Attributes':
          return InAppPurchaseV2Attributes.fromJson(value);
        case 'InAppPurchaseV2CreateRequest':
          return InAppPurchaseV2CreateRequest.fromJson(value);
        case 'InAppPurchaseV2CreateRequestData':
          return InAppPurchaseV2CreateRequestData.fromJson(value);
        case 'InAppPurchaseV2CreateRequestDataAttributes':
          return InAppPurchaseV2CreateRequestDataAttributes.fromJson(value);
        case 'InAppPurchaseV2Relationships':
          return InAppPurchaseV2Relationships.fromJson(value);
        case 'InAppPurchaseV2RelationshipsAppStoreReviewScreenshot':
          return InAppPurchaseV2RelationshipsAppStoreReviewScreenshot.fromJson(
              value);
        case 'InAppPurchaseV2RelationshipsAppStoreReviewScreenshotData':
          return InAppPurchaseV2RelationshipsAppStoreReviewScreenshotData
              .fromJson(value);
        case 'InAppPurchaseV2RelationshipsContent':
          return InAppPurchaseV2RelationshipsContent.fromJson(value);
        case 'InAppPurchaseV2RelationshipsContentData':
          return InAppPurchaseV2RelationshipsContentData.fromJson(value);
        case 'InAppPurchaseV2RelationshipsIapPriceSchedule':
          return InAppPurchaseV2RelationshipsIapPriceSchedule.fromJson(value);
        case 'InAppPurchaseV2RelationshipsIapPriceScheduleData':
          return InAppPurchaseV2RelationshipsIapPriceScheduleData.fromJson(
              value);
        case 'InAppPurchaseV2RelationshipsInAppPurchaseAvailability':
          return InAppPurchaseV2RelationshipsInAppPurchaseAvailability.fromJson(
              value);
        case 'InAppPurchaseV2RelationshipsInAppPurchaseAvailabilityData':
          return InAppPurchaseV2RelationshipsInAppPurchaseAvailabilityData
              .fromJson(value);
        case 'InAppPurchaseV2RelationshipsInAppPurchaseLocalizations':
          return InAppPurchaseV2RelationshipsInAppPurchaseLocalizations
              .fromJson(value);
        case 'InAppPurchaseV2RelationshipsInAppPurchaseLocalizationsDataInner':
          return InAppPurchaseV2RelationshipsInAppPurchaseLocalizationsDataInner
              .fromJson(value);
        case 'InAppPurchaseV2RelationshipsPricePoints':
          return InAppPurchaseV2RelationshipsPricePoints.fromJson(value);
        case 'InAppPurchaseV2RelationshipsPromotedPurchase':
          return InAppPurchaseV2RelationshipsPromotedPurchase.fromJson(value);
        case 'InAppPurchaseV2Response':
          return InAppPurchaseV2Response.fromJson(value);
        case 'InAppPurchaseV2UpdateRequest':
          return InAppPurchaseV2UpdateRequest.fromJson(value);
        case 'InAppPurchaseV2UpdateRequestData':
          return InAppPurchaseV2UpdateRequestData.fromJson(value);
        case 'InAppPurchaseV2UpdateRequestDataAttributes':
          return InAppPurchaseV2UpdateRequestDataAttributes.fromJson(value);
        case 'InAppPurchasesResponse':
          return InAppPurchasesResponse.fromJson(value);
        case 'InAppPurchasesV2Response':
          return InAppPurchasesV2Response.fromJson(value);
        case 'InAppPurchasesV2ResponseIncludedInner':
          return InAppPurchasesV2ResponseIncludedInner.fromJson(value);
        case 'InternalBetaState':
          return InternalBetaStateTypeTransformer().decode(value);
        case 'KidsAgeBand':
          return KidsAgeBandTypeTransformer().decode(value);
        case 'MetricCategory':
          return MetricCategoryTypeTransformer().decode(value);
        case 'MetricsInsight':
          return MetricsInsight.fromJson(value);
        case 'MetricsInsightPopulationsInner':
          return MetricsInsightPopulationsInner.fromJson(value);
        case 'PagedDocumentLinks':
          return PagedDocumentLinks.fromJson(value);
        case 'PagingInformation':
          return PagingInformation.fromJson(value);
        case 'PagingInformationPaging':
          return PagingInformationPaging.fromJson(value);
        case 'PerfPowerMetric':
          return PerfPowerMetric.fromJson(value);
        case 'PerfPowerMetricAttributes':
          return PerfPowerMetricAttributes.fromJson(value);
        case 'PhasedReleaseState':
          return PhasedReleaseStateTypeTransformer().decode(value);
        case 'Platform':
          return PlatformTypeTransformer().decode(value);
        case 'PreReleaseVersion':
          return PreReleaseVersion.fromJson(value);
        case 'PreReleaseVersionAttributes':
          return PreReleaseVersionAttributes.fromJson(value);
        case 'PreReleaseVersionRelationships':
          return PreReleaseVersionRelationships.fromJson(value);
        case 'PreReleaseVersionResponse':
          return PreReleaseVersionResponse.fromJson(value);
        case 'PreReleaseVersionsResponse':
          return PreReleaseVersionsResponse.fromJson(value);
        case 'PreReleaseVersionsResponseIncludedInner':
          return PreReleaseVersionsResponseIncludedInner.fromJson(value);
        case 'PreviewType':
          return PreviewTypeTypeTransformer().decode(value);
        case 'Profile':
          return Profile.fromJson(value);
        case 'ProfileAttributes':
          return ProfileAttributes.fromJson(value);
        case 'ProfileCreateRequest':
          return ProfileCreateRequest.fromJson(value);
        case 'ProfileCreateRequestData':
          return ProfileCreateRequestData.fromJson(value);
        case 'ProfileCreateRequestDataAttributes':
          return ProfileCreateRequestDataAttributes.fromJson(value);
        case 'ProfileCreateRequestDataRelationships':
          return ProfileCreateRequestDataRelationships.fromJson(value);
        case 'ProfileCreateRequestDataRelationshipsCertificates':
          return ProfileCreateRequestDataRelationshipsCertificates.fromJson(
              value);
        case 'ProfileCreateRequestDataRelationshipsDevices':
          return ProfileCreateRequestDataRelationshipsDevices.fromJson(value);
        case 'ProfileRelationships':
          return ProfileRelationships.fromJson(value);
        case 'ProfileRelationshipsCertificates':
          return ProfileRelationshipsCertificates.fromJson(value);
        case 'ProfileRelationshipsCertificatesDataInner':
          return ProfileRelationshipsCertificatesDataInner.fromJson(value);
        case 'ProfileRelationshipsDevices':
          return ProfileRelationshipsDevices.fromJson(value);
        case 'ProfileRelationshipsDevicesDataInner':
          return ProfileRelationshipsDevicesDataInner.fromJson(value);
        case 'ProfileResponse':
          return ProfileResponse.fromJson(value);
        case 'ProfilesResponse':
          return ProfilesResponse.fromJson(value);
        case 'ProfilesResponseIncludedInner':
          return ProfilesResponseIncludedInner.fromJson(value);
        case 'PromotedPurchase':
          return PromotedPurchase.fromJson(value);
        case 'PromotedPurchaseAttributes':
          return PromotedPurchaseAttributes.fromJson(value);
        case 'PromotedPurchaseCreateRequest':
          return PromotedPurchaseCreateRequest.fromJson(value);
        case 'PromotedPurchaseCreateRequestData':
          return PromotedPurchaseCreateRequestData.fromJson(value);
        case 'PromotedPurchaseCreateRequestDataAttributes':
          return PromotedPurchaseCreateRequestDataAttributes.fromJson(value);
        case 'PromotedPurchaseCreateRequestDataRelationships':
          return PromotedPurchaseCreateRequestDataRelationships.fromJson(value);
        case 'PromotedPurchaseCreateRequestDataRelationshipsSubscription':
          return PromotedPurchaseCreateRequestDataRelationshipsSubscription
              .fromJson(value);
        case 'PromotedPurchaseImage':
          return PromotedPurchaseImage.fromJson(value);
        case 'PromotedPurchaseImageAttributes':
          return PromotedPurchaseImageAttributes.fromJson(value);
        case 'PromotedPurchaseImageCreateRequest':
          return PromotedPurchaseImageCreateRequest.fromJson(value);
        case 'PromotedPurchaseImageCreateRequestData':
          return PromotedPurchaseImageCreateRequestData.fromJson(value);
        case 'PromotedPurchaseImageCreateRequestDataRelationships':
          return PromotedPurchaseImageCreateRequestDataRelationships.fromJson(
              value);
        case 'PromotedPurchaseImageCreateRequestDataRelationshipsPromotedPurchase':
          return PromotedPurchaseImageCreateRequestDataRelationshipsPromotedPurchase
              .fromJson(value);
        case 'PromotedPurchaseImageRelationships':
          return PromotedPurchaseImageRelationships.fromJson(value);
        case 'PromotedPurchaseImageResponse':
          return PromotedPurchaseImageResponse.fromJson(value);
        case 'PromotedPurchaseImageUpdateRequest':
          return PromotedPurchaseImageUpdateRequest.fromJson(value);
        case 'PromotedPurchaseImageUpdateRequestData':
          return PromotedPurchaseImageUpdateRequestData.fromJson(value);
        case 'PromotedPurchaseImagesResponse':
          return PromotedPurchaseImagesResponse.fromJson(value);
        case 'PromotedPurchaseRelationships':
          return PromotedPurchaseRelationships.fromJson(value);
        case 'PromotedPurchaseRelationshipsPromotionImages':
          return PromotedPurchaseRelationshipsPromotionImages.fromJson(value);
        case 'PromotedPurchaseRelationshipsPromotionImagesDataInner':
          return PromotedPurchaseRelationshipsPromotionImagesDataInner.fromJson(
              value);
        case 'PromotedPurchaseRelationshipsSubscription':
          return PromotedPurchaseRelationshipsSubscription.fromJson(value);
        case 'PromotedPurchaseRelationshipsSubscriptionData':
          return PromotedPurchaseRelationshipsSubscriptionData.fromJson(value);
        case 'PromotedPurchaseResponse':
          return PromotedPurchaseResponse.fromJson(value);
        case 'PromotedPurchaseUpdateRequest':
          return PromotedPurchaseUpdateRequest.fromJson(value);
        case 'PromotedPurchaseUpdateRequestData':
          return PromotedPurchaseUpdateRequestData.fromJson(value);
        case 'PromotedPurchaseUpdateRequestDataAttributes':
          return PromotedPurchaseUpdateRequestDataAttributes.fromJson(value);
        case 'PromotedPurchasesResponse':
          return PromotedPurchasesResponse.fromJson(value);
        case 'PromotedPurchasesResponseIncludedInner':
          return PromotedPurchasesResponseIncludedInner.fromJson(value);
        case 'ResourceLinks':
          return ResourceLinks.fromJson(value);
        case 'ReviewSubmission':
          return ReviewSubmission.fromJson(value);
        case 'ReviewSubmissionAttributes':
          return ReviewSubmissionAttributes.fromJson(value);
        case 'ReviewSubmissionCreateRequest':
          return ReviewSubmissionCreateRequest.fromJson(value);
        case 'ReviewSubmissionCreateRequestData':
          return ReviewSubmissionCreateRequestData.fromJson(value);
        case 'ReviewSubmissionCreateRequestDataAttributes':
          return ReviewSubmissionCreateRequestDataAttributes.fromJson(value);
        case 'ReviewSubmissionItem':
          return ReviewSubmissionItem.fromJson(value);
        case 'ReviewSubmissionItemAttributes':
          return ReviewSubmissionItemAttributes.fromJson(value);
        case 'ReviewSubmissionItemCreateRequest':
          return ReviewSubmissionItemCreateRequest.fromJson(value);
        case 'ReviewSubmissionItemCreateRequestData':
          return ReviewSubmissionItemCreateRequestData.fromJson(value);
        case 'ReviewSubmissionItemCreateRequestDataRelationships':
          return ReviewSubmissionItemCreateRequestDataRelationships.fromJson(
              value);
        case 'ReviewSubmissionItemCreateRequestDataRelationshipsAppEvent':
          return ReviewSubmissionItemCreateRequestDataRelationshipsAppEvent
              .fromJson(value);
        case 'ReviewSubmissionItemCreateRequestDataRelationshipsReviewSubmission':
          return ReviewSubmissionItemCreateRequestDataRelationshipsReviewSubmission
              .fromJson(value);
        case 'ReviewSubmissionItemRelationships':
          return ReviewSubmissionItemRelationships.fromJson(value);
        case 'ReviewSubmissionItemResponse':
          return ReviewSubmissionItemResponse.fromJson(value);
        case 'ReviewSubmissionItemUpdateRequest':
          return ReviewSubmissionItemUpdateRequest.fromJson(value);
        case 'ReviewSubmissionItemUpdateRequestData':
          return ReviewSubmissionItemUpdateRequestData.fromJson(value);
        case 'ReviewSubmissionItemUpdateRequestDataAttributes':
          return ReviewSubmissionItemUpdateRequestDataAttributes.fromJson(
              value);
        case 'ReviewSubmissionItemsResponse':
          return ReviewSubmissionItemsResponse.fromJson(value);
        case 'ReviewSubmissionItemsResponseIncludedInner':
          return ReviewSubmissionItemsResponseIncludedInner.fromJson(value);
        case 'ReviewSubmissionRelationships':
          return ReviewSubmissionRelationships.fromJson(value);
        case 'ReviewSubmissionRelationshipsItems':
          return ReviewSubmissionRelationshipsItems.fromJson(value);
        case 'ReviewSubmissionRelationshipsItemsDataInner':
          return ReviewSubmissionRelationshipsItemsDataInner.fromJson(value);
        case 'ReviewSubmissionRelationshipsSubmittedByActor':
          return ReviewSubmissionRelationshipsSubmittedByActor.fromJson(value);
        case 'ReviewSubmissionRelationshipsSubmittedByActorData':
          return ReviewSubmissionRelationshipsSubmittedByActorData.fromJson(
              value);
        case 'ReviewSubmissionResponse':
          return ReviewSubmissionResponse.fromJson(value);
        case 'ReviewSubmissionUpdateRequest':
          return ReviewSubmissionUpdateRequest.fromJson(value);
        case 'ReviewSubmissionUpdateRequestData':
          return ReviewSubmissionUpdateRequestData.fromJson(value);
        case 'ReviewSubmissionUpdateRequestDataAttributes':
          return ReviewSubmissionUpdateRequestDataAttributes.fromJson(value);
        case 'ReviewSubmissionsResponse':
          return ReviewSubmissionsResponse.fromJson(value);
        case 'ReviewSubmissionsResponseIncludedInner':
          return ReviewSubmissionsResponseIncludedInner.fromJson(value);
        case 'RoutingAppCoverage':
          return RoutingAppCoverage.fromJson(value);
        case 'RoutingAppCoverageCreateRequest':
          return RoutingAppCoverageCreateRequest.fromJson(value);
        case 'RoutingAppCoverageCreateRequestData':
          return RoutingAppCoverageCreateRequestData.fromJson(value);
        case 'RoutingAppCoverageResponse':
          return RoutingAppCoverageResponse.fromJson(value);
        case 'RoutingAppCoverageUpdateRequest':
          return RoutingAppCoverageUpdateRequest.fromJson(value);
        case 'RoutingAppCoverageUpdateRequestData':
          return RoutingAppCoverageUpdateRequestData.fromJson(value);
        case 'SandboxTesterV2':
          return SandboxTesterV2.fromJson(value);
        case 'SandboxTesterV2Attributes':
          return SandboxTesterV2Attributes.fromJson(value);
        case 'SandboxTesterV2Response':
          return SandboxTesterV2Response.fromJson(value);
        case 'SandboxTesterV2UpdateRequest':
          return SandboxTesterV2UpdateRequest.fromJson(value);
        case 'SandboxTesterV2UpdateRequestData':
          return SandboxTesterV2UpdateRequestData.fromJson(value);
        case 'SandboxTesterV2UpdateRequestDataAttributes':
          return SandboxTesterV2UpdateRequestDataAttributes.fromJson(value);
        case 'SandboxTestersClearPurchaseHistoryRequestV2':
          return SandboxTestersClearPurchaseHistoryRequestV2.fromJson(value);
        case 'SandboxTestersClearPurchaseHistoryRequestV2CreateRequest':
          return SandboxTestersClearPurchaseHistoryRequestV2CreateRequest
              .fromJson(value);
        case 'SandboxTestersClearPurchaseHistoryRequestV2CreateRequestData':
          return SandboxTestersClearPurchaseHistoryRequestV2CreateRequestData
              .fromJson(value);
        case 'SandboxTestersClearPurchaseHistoryRequestV2CreateRequestDataRelationships':
          return SandboxTestersClearPurchaseHistoryRequestV2CreateRequestDataRelationships
              .fromJson(value);
        case 'SandboxTestersClearPurchaseHistoryRequestV2CreateRequestDataRelationshipsSandboxTesters':
          return SandboxTestersClearPurchaseHistoryRequestV2CreateRequestDataRelationshipsSandboxTesters
              .fromJson(value);
        case 'SandboxTestersClearPurchaseHistoryRequestV2CreateRequestDataRelationshipsSandboxTestersDataInner':
          return SandboxTestersClearPurchaseHistoryRequestV2CreateRequestDataRelationshipsSandboxTestersDataInner
              .fromJson(value);
        case 'SandboxTestersClearPurchaseHistoryRequestV2Response':
          return SandboxTestersClearPurchaseHistoryRequestV2Response.fromJson(
              value);
        case 'SandboxTestersV2Response':
          return SandboxTestersV2Response.fromJson(value);
        case 'ScmGitReference':
          return ScmGitReference.fromJson(value);
        case 'ScmGitReferenceAttributes':
          return ScmGitReferenceAttributes.fromJson(value);
        case 'ScmGitReferenceRelationships':
          return ScmGitReferenceRelationships.fromJson(value);
        case 'ScmGitReferenceResponse':
          return ScmGitReferenceResponse.fromJson(value);
        case 'ScmGitReferencesResponse':
          return ScmGitReferencesResponse.fromJson(value);
        case 'ScmProvider':
          return ScmProvider.fromJson(value);
        case 'ScmProviderAttributes':
          return ScmProviderAttributes.fromJson(value);
        case 'ScmProviderResponse':
          return ScmProviderResponse.fromJson(value);
        case 'ScmProviderType':
          return ScmProviderType.fromJson(value);
        case 'ScmProvidersResponse':
          return ScmProvidersResponse.fromJson(value);
        case 'ScmPullRequest':
          return ScmPullRequest.fromJson(value);
        case 'ScmPullRequestAttributes':
          return ScmPullRequestAttributes.fromJson(value);
        case 'ScmPullRequestResponse':
          return ScmPullRequestResponse.fromJson(value);
        case 'ScmPullRequestsResponse':
          return ScmPullRequestsResponse.fromJson(value);
        case 'ScmRepositoriesResponse':
          return ScmRepositoriesResponse.fromJson(value);
        case 'ScmRepositoriesResponseIncludedInner':
          return ScmRepositoriesResponseIncludedInner.fromJson(value);
        case 'ScmRepository':
          return ScmRepository.fromJson(value);
        case 'ScmRepositoryAttributes':
          return ScmRepositoryAttributes.fromJson(value);
        case 'ScmRepositoryRelationships':
          return ScmRepositoryRelationships.fromJson(value);
        case 'ScmRepositoryRelationshipsScmProvider':
          return ScmRepositoryRelationshipsScmProvider.fromJson(value);
        case 'ScmRepositoryRelationshipsScmProviderData':
          return ScmRepositoryRelationshipsScmProviderData.fromJson(value);
        case 'ScmRepositoryResponse':
          return ScmRepositoryResponse.fromJson(value);
        case 'ScreenshotDisplayType':
          return ScreenshotDisplayTypeTypeTransformer().decode(value);
        case 'Subscription':
          return Subscription.fromJson(value);
        case 'SubscriptionAppStoreReviewScreenshot':
          return SubscriptionAppStoreReviewScreenshot.fromJson(value);
        case 'SubscriptionAppStoreReviewScreenshotCreateRequest':
          return SubscriptionAppStoreReviewScreenshotCreateRequest.fromJson(
              value);
        case 'SubscriptionAppStoreReviewScreenshotCreateRequestData':
          return SubscriptionAppStoreReviewScreenshotCreateRequestData.fromJson(
              value);
        case 'SubscriptionAppStoreReviewScreenshotCreateRequestDataRelationships':
          return SubscriptionAppStoreReviewScreenshotCreateRequestDataRelationships
              .fromJson(value);
        case 'SubscriptionAppStoreReviewScreenshotCreateRequestDataRelationshipsSubscription':
          return SubscriptionAppStoreReviewScreenshotCreateRequestDataRelationshipsSubscription
              .fromJson(value);
        case 'SubscriptionAppStoreReviewScreenshotRelationships':
          return SubscriptionAppStoreReviewScreenshotRelationships.fromJson(
              value);
        case 'SubscriptionAppStoreReviewScreenshotResponse':
          return SubscriptionAppStoreReviewScreenshotResponse.fromJson(value);
        case 'SubscriptionAppStoreReviewScreenshotUpdateRequest':
          return SubscriptionAppStoreReviewScreenshotUpdateRequest.fromJson(
              value);
        case 'SubscriptionAppStoreReviewScreenshotUpdateRequestData':
          return SubscriptionAppStoreReviewScreenshotUpdateRequestData.fromJson(
              value);
        case 'SubscriptionAttributes':
          return SubscriptionAttributes.fromJson(value);
        case 'SubscriptionAvailability':
          return SubscriptionAvailability.fromJson(value);
        case 'SubscriptionAvailabilityCreateRequest':
          return SubscriptionAvailabilityCreateRequest.fromJson(value);
        case 'SubscriptionAvailabilityCreateRequestData':
          return SubscriptionAvailabilityCreateRequestData.fromJson(value);
        case 'SubscriptionAvailabilityCreateRequestDataRelationships':
          return SubscriptionAvailabilityCreateRequestDataRelationships
              .fromJson(value);
        case 'SubscriptionAvailabilityRelationships':
          return SubscriptionAvailabilityRelationships.fromJson(value);
        case 'SubscriptionAvailabilityResponse':
          return SubscriptionAvailabilityResponse.fromJson(value);
        case 'SubscriptionAvailabilityResponseIncludedInner':
          return SubscriptionAvailabilityResponseIncludedInner.fromJson(value);
        case 'SubscriptionCreateRequest':
          return SubscriptionCreateRequest.fromJson(value);
        case 'SubscriptionCreateRequestData':
          return SubscriptionCreateRequestData.fromJson(value);
        case 'SubscriptionCreateRequestDataAttributes':
          return SubscriptionCreateRequestDataAttributes.fromJson(value);
        case 'SubscriptionCreateRequestDataRelationships':
          return SubscriptionCreateRequestDataRelationships.fromJson(value);
        case 'SubscriptionCustomerEligibility':
          return SubscriptionCustomerEligibilityTypeTransformer().decode(value);
        case 'SubscriptionGracePeriod':
          return SubscriptionGracePeriod.fromJson(value);
        case 'SubscriptionGracePeriodAttributes':
          return SubscriptionGracePeriodAttributes.fromJson(value);
        case 'SubscriptionGracePeriodDuration':
          return SubscriptionGracePeriodDurationTypeTransformer().decode(value);
        case 'SubscriptionGracePeriodResponse':
          return SubscriptionGracePeriodResponse.fromJson(value);
        case 'SubscriptionGracePeriodUpdateRequest':
          return SubscriptionGracePeriodUpdateRequest.fromJson(value);
        case 'SubscriptionGracePeriodUpdateRequestData':
          return SubscriptionGracePeriodUpdateRequestData.fromJson(value);
        case 'SubscriptionGroup':
          return SubscriptionGroup.fromJson(value);
        case 'SubscriptionGroupAttributes':
          return SubscriptionGroupAttributes.fromJson(value);
        case 'SubscriptionGroupCreateRequest':
          return SubscriptionGroupCreateRequest.fromJson(value);
        case 'SubscriptionGroupCreateRequestData':
          return SubscriptionGroupCreateRequestData.fromJson(value);
        case 'SubscriptionGroupCreateRequestDataAttributes':
          return SubscriptionGroupCreateRequestDataAttributes.fromJson(value);
        case 'SubscriptionGroupLocalization':
          return SubscriptionGroupLocalization.fromJson(value);
        case 'SubscriptionGroupLocalizationAttributes':
          return SubscriptionGroupLocalizationAttributes.fromJson(value);
        case 'SubscriptionGroupLocalizationCreateRequest':
          return SubscriptionGroupLocalizationCreateRequest.fromJson(value);
        case 'SubscriptionGroupLocalizationCreateRequestData':
          return SubscriptionGroupLocalizationCreateRequestData.fromJson(value);
        case 'SubscriptionGroupLocalizationCreateRequestDataAttributes':
          return SubscriptionGroupLocalizationCreateRequestDataAttributes
              .fromJson(value);
        case 'SubscriptionGroupLocalizationCreateRequestDataRelationships':
          return SubscriptionGroupLocalizationCreateRequestDataRelationships
              .fromJson(value);
        case 'SubscriptionGroupLocalizationCreateRequestDataRelationshipsSubscriptionGroup':
          return SubscriptionGroupLocalizationCreateRequestDataRelationshipsSubscriptionGroup
              .fromJson(value);
        case 'SubscriptionGroupLocalizationRelationships':
          return SubscriptionGroupLocalizationRelationships.fromJson(value);
        case 'SubscriptionGroupLocalizationRelationshipsSubscriptionGroup':
          return SubscriptionGroupLocalizationRelationshipsSubscriptionGroup
              .fromJson(value);
        case 'SubscriptionGroupLocalizationResponse':
          return SubscriptionGroupLocalizationResponse.fromJson(value);
        case 'SubscriptionGroupLocalizationUpdateRequest':
          return SubscriptionGroupLocalizationUpdateRequest.fromJson(value);
        case 'SubscriptionGroupLocalizationUpdateRequestData':
          return SubscriptionGroupLocalizationUpdateRequestData.fromJson(value);
        case 'SubscriptionGroupLocalizationUpdateRequestDataAttributes':
          return SubscriptionGroupLocalizationUpdateRequestDataAttributes
              .fromJson(value);
        case 'SubscriptionGroupLocalizationsResponse':
          return SubscriptionGroupLocalizationsResponse.fromJson(value);
        case 'SubscriptionGroupRelationships':
          return SubscriptionGroupRelationships.fromJson(value);
        case 'SubscriptionGroupRelationshipsSubscriptionGroupLocalizations':
          return SubscriptionGroupRelationshipsSubscriptionGroupLocalizations
              .fromJson(value);
        case 'SubscriptionGroupRelationshipsSubscriptionGroupLocalizationsDataInner':
          return SubscriptionGroupRelationshipsSubscriptionGroupLocalizationsDataInner
              .fromJson(value);
        case 'SubscriptionGroupRelationshipsSubscriptions':
          return SubscriptionGroupRelationshipsSubscriptions.fromJson(value);
        case 'SubscriptionGroupResponse':
          return SubscriptionGroupResponse.fromJson(value);
        case 'SubscriptionGroupSubmission':
          return SubscriptionGroupSubmission.fromJson(value);
        case 'SubscriptionGroupSubmissionCreateRequest':
          return SubscriptionGroupSubmissionCreateRequest.fromJson(value);
        case 'SubscriptionGroupSubmissionCreateRequestData':
          return SubscriptionGroupSubmissionCreateRequestData.fromJson(value);
        case 'SubscriptionGroupSubmissionResponse':
          return SubscriptionGroupSubmissionResponse.fromJson(value);
        case 'SubscriptionGroupUpdateRequest':
          return SubscriptionGroupUpdateRequest.fromJson(value);
        case 'SubscriptionGroupUpdateRequestData':
          return SubscriptionGroupUpdateRequestData.fromJson(value);
        case 'SubscriptionGroupsResponse':
          return SubscriptionGroupsResponse.fromJson(value);
        case 'SubscriptionGroupsResponseIncludedInner':
          return SubscriptionGroupsResponseIncludedInner.fromJson(value);
        case 'SubscriptionIntroductoryOffer':
          return SubscriptionIntroductoryOffer.fromJson(value);
        case 'SubscriptionIntroductoryOfferAttributes':
          return SubscriptionIntroductoryOfferAttributes.fromJson(value);
        case 'SubscriptionIntroductoryOfferCreateRequest':
          return SubscriptionIntroductoryOfferCreateRequest.fromJson(value);
        case 'SubscriptionIntroductoryOfferCreateRequestData':
          return SubscriptionIntroductoryOfferCreateRequestData.fromJson(value);
        case 'SubscriptionIntroductoryOfferCreateRequestDataRelationships':
          return SubscriptionIntroductoryOfferCreateRequestDataRelationships
              .fromJson(value);
        case 'SubscriptionIntroductoryOfferInlineCreate':
          return SubscriptionIntroductoryOfferInlineCreate.fromJson(value);
        case 'SubscriptionIntroductoryOfferInlineCreateAttributes':
          return SubscriptionIntroductoryOfferInlineCreateAttributes.fromJson(
              value);
        case 'SubscriptionIntroductoryOfferInlineCreateRelationships':
          return SubscriptionIntroductoryOfferInlineCreateRelationships
              .fromJson(value);
        case 'SubscriptionIntroductoryOfferInlineCreateRelationshipsSubscriptionPricePoint':
          return SubscriptionIntroductoryOfferInlineCreateRelationshipsSubscriptionPricePoint
              .fromJson(value);
        case 'SubscriptionIntroductoryOfferRelationships':
          return SubscriptionIntroductoryOfferRelationships.fromJson(value);
        case 'SubscriptionIntroductoryOfferRelationshipsSubscriptionPricePoint':
          return SubscriptionIntroductoryOfferRelationshipsSubscriptionPricePoint
              .fromJson(value);
        case 'SubscriptionIntroductoryOfferRelationshipsSubscriptionPricePointData':
          return SubscriptionIntroductoryOfferRelationshipsSubscriptionPricePointData
              .fromJson(value);
        case 'SubscriptionIntroductoryOfferResponse':
          return SubscriptionIntroductoryOfferResponse.fromJson(value);
        case 'SubscriptionIntroductoryOfferUpdateRequest':
          return SubscriptionIntroductoryOfferUpdateRequest.fromJson(value);
        case 'SubscriptionIntroductoryOfferUpdateRequestData':
          return SubscriptionIntroductoryOfferUpdateRequestData.fromJson(value);
        case 'SubscriptionIntroductoryOfferUpdateRequestDataAttributes':
          return SubscriptionIntroductoryOfferUpdateRequestDataAttributes
              .fromJson(value);
        case 'SubscriptionIntroductoryOffersLinkagesRequest':
          return SubscriptionIntroductoryOffersLinkagesRequest.fromJson(value);
        case 'SubscriptionIntroductoryOffersLinkagesResponse':
          return SubscriptionIntroductoryOffersLinkagesResponse.fromJson(value);
        case 'SubscriptionIntroductoryOffersResponse':
          return SubscriptionIntroductoryOffersResponse.fromJson(value);
        case 'SubscriptionIntroductoryOffersResponseIncludedInner':
          return SubscriptionIntroductoryOffersResponseIncludedInner.fromJson(
              value);
        case 'SubscriptionLocalization':
          return SubscriptionLocalization.fromJson(value);
        case 'SubscriptionLocalizationCreateRequest':
          return SubscriptionLocalizationCreateRequest.fromJson(value);
        case 'SubscriptionLocalizationCreateRequestData':
          return SubscriptionLocalizationCreateRequestData.fromJson(value);
        case 'SubscriptionLocalizationResponse':
          return SubscriptionLocalizationResponse.fromJson(value);
        case 'SubscriptionLocalizationUpdateRequest':
          return SubscriptionLocalizationUpdateRequest.fromJson(value);
        case 'SubscriptionLocalizationUpdateRequestData':
          return SubscriptionLocalizationUpdateRequestData.fromJson(value);
        case 'SubscriptionLocalizationsResponse':
          return SubscriptionLocalizationsResponse.fromJson(value);
        case 'SubscriptionOfferCode':
          return SubscriptionOfferCode.fromJson(value);
        case 'SubscriptionOfferCodeAttributes':
          return SubscriptionOfferCodeAttributes.fromJson(value);
        case 'SubscriptionOfferCodeCreateRequest':
          return SubscriptionOfferCodeCreateRequest.fromJson(value);
        case 'SubscriptionOfferCodeCreateRequestData':
          return SubscriptionOfferCodeCreateRequestData.fromJson(value);
        case 'SubscriptionOfferCodeCreateRequestDataAttributes':
          return SubscriptionOfferCodeCreateRequestDataAttributes.fromJson(
              value);
        case 'SubscriptionOfferCodeCreateRequestDataRelationships':
          return SubscriptionOfferCodeCreateRequestDataRelationships.fromJson(
              value);
        case 'SubscriptionOfferCodeCreateRequestDataRelationshipsPrices':
          return SubscriptionOfferCodeCreateRequestDataRelationshipsPrices
              .fromJson(value);
        case 'SubscriptionOfferCodeCustomCode':
          return SubscriptionOfferCodeCustomCode.fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeAttributes':
          return SubscriptionOfferCodeCustomCodeAttributes.fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeCreateRequest':
          return SubscriptionOfferCodeCustomCodeCreateRequest.fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeCreateRequestData':
          return SubscriptionOfferCodeCustomCodeCreateRequestData.fromJson(
              value);
        case 'SubscriptionOfferCodeCustomCodeCreateRequestDataAttributes':
          return SubscriptionOfferCodeCustomCodeCreateRequestDataAttributes
              .fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeCreateRequestDataRelationships':
          return SubscriptionOfferCodeCustomCodeCreateRequestDataRelationships
              .fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeCreateRequestDataRelationshipsOfferCode':
          return SubscriptionOfferCodeCustomCodeCreateRequestDataRelationshipsOfferCode
              .fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeRelationships':
          return SubscriptionOfferCodeCustomCodeRelationships.fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeRelationshipsOfferCode':
          return SubscriptionOfferCodeCustomCodeRelationshipsOfferCode.fromJson(
              value);
        case 'SubscriptionOfferCodeCustomCodeRelationshipsOfferCodeData':
          return SubscriptionOfferCodeCustomCodeRelationshipsOfferCodeData
              .fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeResponse':
          return SubscriptionOfferCodeCustomCodeResponse.fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeUpdateRequest':
          return SubscriptionOfferCodeCustomCodeUpdateRequest.fromJson(value);
        case 'SubscriptionOfferCodeCustomCodeUpdateRequestData':
          return SubscriptionOfferCodeCustomCodeUpdateRequestData.fromJson(
              value);
        case 'SubscriptionOfferCodeCustomCodeUpdateRequestDataAttributes':
          return SubscriptionOfferCodeCustomCodeUpdateRequestDataAttributes
              .fromJson(value);
        case 'SubscriptionOfferCodeCustomCodesResponse':
          return SubscriptionOfferCodeCustomCodesResponse.fromJson(value);
        case 'SubscriptionOfferCodeOneTimeUseCode':
          return SubscriptionOfferCodeOneTimeUseCode.fromJson(value);
        case 'SubscriptionOfferCodeOneTimeUseCodeAttributes':
          return SubscriptionOfferCodeOneTimeUseCodeAttributes.fromJson(value);
        case 'SubscriptionOfferCodeOneTimeUseCodeCreateRequest':
          return SubscriptionOfferCodeOneTimeUseCodeCreateRequest.fromJson(
              value);
        case 'SubscriptionOfferCodeOneTimeUseCodeCreateRequestData':
          return SubscriptionOfferCodeOneTimeUseCodeCreateRequestData.fromJson(
              value);
        case 'SubscriptionOfferCodeOneTimeUseCodeCreateRequestDataAttributes':
          return SubscriptionOfferCodeOneTimeUseCodeCreateRequestDataAttributes
              .fromJson(value);
        case 'SubscriptionOfferCodeOneTimeUseCodeResponse':
          return SubscriptionOfferCodeOneTimeUseCodeResponse.fromJson(value);
        case 'SubscriptionOfferCodeOneTimeUseCodeUpdateRequest':
          return SubscriptionOfferCodeOneTimeUseCodeUpdateRequest.fromJson(
              value);
        case 'SubscriptionOfferCodeOneTimeUseCodeUpdateRequestData':
          return SubscriptionOfferCodeOneTimeUseCodeUpdateRequestData.fromJson(
              value);
        case 'SubscriptionOfferCodeOneTimeUseCodeValue':
          return SubscriptionOfferCodeOneTimeUseCodeValue.fromJson(value);
        case 'SubscriptionOfferCodeOneTimeUseCodesResponse':
          return SubscriptionOfferCodeOneTimeUseCodesResponse.fromJson(value);
        case 'SubscriptionOfferCodePrice':
          return SubscriptionOfferCodePrice.fromJson(value);
        case 'SubscriptionOfferCodePriceInlineCreate':
          return SubscriptionOfferCodePriceInlineCreate.fromJson(value);
        case 'SubscriptionOfferCodePriceInlineCreateRelationships':
          return SubscriptionOfferCodePriceInlineCreateRelationships.fromJson(
              value);
        case 'SubscriptionOfferCodePriceRelationships':
          return SubscriptionOfferCodePriceRelationships.fromJson(value);
        case 'SubscriptionOfferCodePricesResponse':
          return SubscriptionOfferCodePricesResponse.fromJson(value);
        case 'SubscriptionOfferCodePricesResponseIncludedInner':
          return SubscriptionOfferCodePricesResponseIncludedInner.fromJson(
              value);
        case 'SubscriptionOfferCodeRelationships':
          return SubscriptionOfferCodeRelationships.fromJson(value);
        case 'SubscriptionOfferCodeRelationshipsCustomCodes':
          return SubscriptionOfferCodeRelationshipsCustomCodes.fromJson(value);
        case 'SubscriptionOfferCodeRelationshipsCustomCodesDataInner':
          return SubscriptionOfferCodeRelationshipsCustomCodesDataInner
              .fromJson(value);
        case 'SubscriptionOfferCodeRelationshipsOneTimeUseCodes':
          return SubscriptionOfferCodeRelationshipsOneTimeUseCodes.fromJson(
              value);
        case 'SubscriptionOfferCodeRelationshipsOneTimeUseCodesDataInner':
          return SubscriptionOfferCodeRelationshipsOneTimeUseCodesDataInner
              .fromJson(value);
        case 'SubscriptionOfferCodeRelationshipsPrices':
          return SubscriptionOfferCodeRelationshipsPrices.fromJson(value);
        case 'SubscriptionOfferCodeRelationshipsPricesDataInner':
          return SubscriptionOfferCodeRelationshipsPricesDataInner.fromJson(
              value);
        case 'SubscriptionOfferCodeResponse':
          return SubscriptionOfferCodeResponse.fromJson(value);
        case 'SubscriptionOfferCodeUpdateRequest':
          return SubscriptionOfferCodeUpdateRequest.fromJson(value);
        case 'SubscriptionOfferCodeUpdateRequestData':
          return SubscriptionOfferCodeUpdateRequestData.fromJson(value);
        case 'SubscriptionOfferCodesResponse':
          return SubscriptionOfferCodesResponse.fromJson(value);
        case 'SubscriptionOfferCodesResponseIncludedInner':
          return SubscriptionOfferCodesResponseIncludedInner.fromJson(value);
        case 'SubscriptionOfferDuration':
          return SubscriptionOfferDurationTypeTransformer().decode(value);
        case 'SubscriptionOfferEligibility':
          return SubscriptionOfferEligibilityTypeTransformer().decode(value);
        case 'SubscriptionOfferMode':
          return SubscriptionOfferModeTypeTransformer().decode(value);
        case 'SubscriptionPrice':
          return SubscriptionPrice.fromJson(value);
        case 'SubscriptionPriceAttributes':
          return SubscriptionPriceAttributes.fromJson(value);
        case 'SubscriptionPriceCreateRequest':
          return SubscriptionPriceCreateRequest.fromJson(value);
        case 'SubscriptionPriceCreateRequestData':
          return SubscriptionPriceCreateRequestData.fromJson(value);
        case 'SubscriptionPriceCreateRequestDataRelationships':
          return SubscriptionPriceCreateRequestDataRelationships.fromJson(
              value);
        case 'SubscriptionPriceCreateRequestDataRelationshipsSubscriptionPricePoint':
          return SubscriptionPriceCreateRequestDataRelationshipsSubscriptionPricePoint
              .fromJson(value);
        case 'SubscriptionPriceInlineCreate':
          return SubscriptionPriceInlineCreate.fromJson(value);
        case 'SubscriptionPriceInlineCreateAttributes':
          return SubscriptionPriceInlineCreateAttributes.fromJson(value);
        case 'SubscriptionPricePoint':
          return SubscriptionPricePoint.fromJson(value);
        case 'SubscriptionPricePointAttributes':
          return SubscriptionPricePointAttributes.fromJson(value);
        case 'SubscriptionPricePointInlineCreate':
          return SubscriptionPricePointInlineCreate.fromJson(value);
        case 'SubscriptionPricePointResponse':
          return SubscriptionPricePointResponse.fromJson(value);
        case 'SubscriptionPricePointsResponse':
          return SubscriptionPricePointsResponse.fromJson(value);
        case 'SubscriptionPriceResponse':
          return SubscriptionPriceResponse.fromJson(value);
        case 'SubscriptionPricesLinkagesRequest':
          return SubscriptionPricesLinkagesRequest.fromJson(value);
        case 'SubscriptionPricesLinkagesResponse':
          return SubscriptionPricesLinkagesResponse.fromJson(value);
        case 'SubscriptionPricesResponse':
          return SubscriptionPricesResponse.fromJson(value);
        case 'SubscriptionPromotionalOffer':
          return SubscriptionPromotionalOffer.fromJson(value);
        case 'SubscriptionPromotionalOfferAttributes':
          return SubscriptionPromotionalOfferAttributes.fromJson(value);
        case 'SubscriptionPromotionalOfferCreateRequest':
          return SubscriptionPromotionalOfferCreateRequest.fromJson(value);
        case 'SubscriptionPromotionalOfferCreateRequestData':
          return SubscriptionPromotionalOfferCreateRequestData.fromJson(value);
        case 'SubscriptionPromotionalOfferCreateRequestDataRelationships':
          return SubscriptionPromotionalOfferCreateRequestDataRelationships
              .fromJson(value);
        case 'SubscriptionPromotionalOfferCreateRequestDataRelationshipsPrices':
          return SubscriptionPromotionalOfferCreateRequestDataRelationshipsPrices
              .fromJson(value);
        case 'SubscriptionPromotionalOfferInlineCreate':
          return SubscriptionPromotionalOfferInlineCreate.fromJson(value);
        case 'SubscriptionPromotionalOfferInlineCreateAttributes':
          return SubscriptionPromotionalOfferInlineCreateAttributes.fromJson(
              value);
        case 'SubscriptionPromotionalOfferInlineCreateRelationships':
          return SubscriptionPromotionalOfferInlineCreateRelationships.fromJson(
              value);
        case 'SubscriptionPromotionalOfferInlineCreateRelationshipsPrices':
          return SubscriptionPromotionalOfferInlineCreateRelationshipsPrices
              .fromJson(value);
        case 'SubscriptionPromotionalOfferPrice':
          return SubscriptionPromotionalOfferPrice.fromJson(value);
        case 'SubscriptionPromotionalOfferPriceInlineCreate':
          return SubscriptionPromotionalOfferPriceInlineCreate.fromJson(value);
        case 'SubscriptionPromotionalOfferPricesResponse':
          return SubscriptionPromotionalOfferPricesResponse.fromJson(value);
        case 'SubscriptionPromotionalOfferRelationships':
          return SubscriptionPromotionalOfferRelationships.fromJson(value);
        case 'SubscriptionPromotionalOfferRelationshipsPrices':
          return SubscriptionPromotionalOfferRelationshipsPrices.fromJson(
              value);
        case 'SubscriptionPromotionalOfferRelationshipsPricesDataInner':
          return SubscriptionPromotionalOfferRelationshipsPricesDataInner
              .fromJson(value);
        case 'SubscriptionPromotionalOfferResponse':
          return SubscriptionPromotionalOfferResponse.fromJson(value);
        case 'SubscriptionPromotionalOfferUpdateRequest':
          return SubscriptionPromotionalOfferUpdateRequest.fromJson(value);
        case 'SubscriptionPromotionalOfferUpdateRequestData':
          return SubscriptionPromotionalOfferUpdateRequestData.fromJson(value);
        case 'SubscriptionPromotionalOfferUpdateRequestDataRelationships':
          return SubscriptionPromotionalOfferUpdateRequestDataRelationships
              .fromJson(value);
        case 'SubscriptionPromotionalOffersResponse':
          return SubscriptionPromotionalOffersResponse.fromJson(value);
        case 'SubscriptionPromotionalOffersResponseIncludedInner':
          return SubscriptionPromotionalOffersResponseIncludedInner.fromJson(
              value);
        case 'SubscriptionRelationships':
          return SubscriptionRelationships.fromJson(value);
        case 'SubscriptionRelationshipsAppStoreReviewScreenshot':
          return SubscriptionRelationshipsAppStoreReviewScreenshot.fromJson(
              value);
        case 'SubscriptionRelationshipsAppStoreReviewScreenshotData':
          return SubscriptionRelationshipsAppStoreReviewScreenshotData.fromJson(
              value);
        case 'SubscriptionRelationshipsIntroductoryOffers':
          return SubscriptionRelationshipsIntroductoryOffers.fromJson(value);
        case 'SubscriptionRelationshipsIntroductoryOffersDataInner':
          return SubscriptionRelationshipsIntroductoryOffersDataInner.fromJson(
              value);
        case 'SubscriptionRelationshipsOfferCodes':
          return SubscriptionRelationshipsOfferCodes.fromJson(value);
        case 'SubscriptionRelationshipsPrices':
          return SubscriptionRelationshipsPrices.fromJson(value);
        case 'SubscriptionRelationshipsPricesDataInner':
          return SubscriptionRelationshipsPricesDataInner.fromJson(value);
        case 'SubscriptionRelationshipsPromotionalOffers':
          return SubscriptionRelationshipsPromotionalOffers.fromJson(value);
        case 'SubscriptionRelationshipsPromotionalOffersDataInner':
          return SubscriptionRelationshipsPromotionalOffersDataInner.fromJson(
              value);
        case 'SubscriptionRelationshipsSubscriptionAvailability':
          return SubscriptionRelationshipsSubscriptionAvailability.fromJson(
              value);
        case 'SubscriptionRelationshipsSubscriptionAvailabilityData':
          return SubscriptionRelationshipsSubscriptionAvailabilityData.fromJson(
              value);
        case 'SubscriptionRelationshipsSubscriptionLocalizations':
          return SubscriptionRelationshipsSubscriptionLocalizations.fromJson(
              value);
        case 'SubscriptionRelationshipsSubscriptionLocalizationsDataInner':
          return SubscriptionRelationshipsSubscriptionLocalizationsDataInner
              .fromJson(value);
        case 'SubscriptionResponse':
          return SubscriptionResponse.fromJson(value);
        case 'SubscriptionStatusUrlVersion':
          return SubscriptionStatusUrlVersionTypeTransformer().decode(value);
        case 'SubscriptionSubmission':
          return SubscriptionSubmission.fromJson(value);
        case 'SubscriptionSubmissionCreateRequest':
          return SubscriptionSubmissionCreateRequest.fromJson(value);
        case 'SubscriptionSubmissionCreateRequestData':
          return SubscriptionSubmissionCreateRequestData.fromJson(value);
        case 'SubscriptionSubmissionResponse':
          return SubscriptionSubmissionResponse.fromJson(value);
        case 'SubscriptionUpdateRequest':
          return SubscriptionUpdateRequest.fromJson(value);
        case 'SubscriptionUpdateRequestData':
          return SubscriptionUpdateRequestData.fromJson(value);
        case 'SubscriptionUpdateRequestDataAttributes':
          return SubscriptionUpdateRequestDataAttributes.fromJson(value);
        case 'SubscriptionUpdateRequestDataRelationships':
          return SubscriptionUpdateRequestDataRelationships.fromJson(value);
        case 'SubscriptionUpdateRequestDataRelationshipsIntroductoryOffers':
          return SubscriptionUpdateRequestDataRelationshipsIntroductoryOffers
              .fromJson(value);
        case 'SubscriptionUpdateRequestDataRelationshipsPrices':
          return SubscriptionUpdateRequestDataRelationshipsPrices.fromJson(
              value);
        case 'SubscriptionUpdateRequestDataRelationshipsPromotionalOffers':
          return SubscriptionUpdateRequestDataRelationshipsPromotionalOffers
              .fromJson(value);
        case 'SubscriptionUpdateRequestIncludedInner':
          return SubscriptionUpdateRequestIncludedInner.fromJson(value);
        case 'SubscriptionsResponse':
          return SubscriptionsResponse.fromJson(value);
        case 'SubscriptionsResponseIncludedInner':
          return SubscriptionsResponseIncludedInner.fromJson(value);
        case 'TerritoriesResponse':
          return TerritoriesResponse.fromJson(value);
        case 'Territory':
          return Territory.fromJson(value);
        case 'TerritoryAttributes':
          return TerritoryAttributes.fromJson(value);
        case 'TerritoryCode':
          return TerritoryCodeTypeTransformer().decode(value);
        case 'TerritoryInlineCreate':
          return TerritoryInlineCreate.fromJson(value);
        case 'TerritoryResponse':
          return TerritoryResponse.fromJson(value);
        case 'UploadOperation':
          return UploadOperation.fromJson(value);
        case 'User':
          return User.fromJson(value);
        case 'UserAttributes':
          return UserAttributes.fromJson(value);
        case 'UserInvitation':
          return UserInvitation.fromJson(value);
        case 'UserInvitationAttributes':
          return UserInvitationAttributes.fromJson(value);
        case 'UserInvitationCreateRequest':
          return UserInvitationCreateRequest.fromJson(value);
        case 'UserInvitationCreateRequestData':
          return UserInvitationCreateRequestData.fromJson(value);
        case 'UserInvitationCreateRequestDataAttributes':
          return UserInvitationCreateRequestDataAttributes.fromJson(value);
        case 'UserInvitationCreateRequestDataRelationships':
          return UserInvitationCreateRequestDataRelationships.fromJson(value);
        case 'UserInvitationCreateRequestDataRelationshipsVisibleApps':
          return UserInvitationCreateRequestDataRelationshipsVisibleApps
              .fromJson(value);
        case 'UserInvitationRelationships':
          return UserInvitationRelationships.fromJson(value);
        case 'UserInvitationResponse':
          return UserInvitationResponse.fromJson(value);
        case 'UserInvitationsResponse':
          return UserInvitationsResponse.fromJson(value);
        case 'UserResponse':
          return UserResponse.fromJson(value);
        case 'UserRole':
          return UserRoleTypeTransformer().decode(value);
        case 'UserUpdateRequest':
          return UserUpdateRequest.fromJson(value);
        case 'UserUpdateRequestData':
          return UserUpdateRequestData.fromJson(value);
        case 'UserUpdateRequestDataAttributes':
          return UserUpdateRequestDataAttributes.fromJson(value);
        case 'UserVisibleAppsLinkagesRequest':
          return UserVisibleAppsLinkagesRequest.fromJson(value);
        case 'UserVisibleAppsLinkagesResponse':
          return UserVisibleAppsLinkagesResponse.fromJson(value);
        case 'UsersResponse':
          return UsersResponse.fromJson(value);
        case 'XcodeMetrics':
          return XcodeMetrics.fromJson(value);
        case 'XcodeMetricsInsights':
          return XcodeMetricsInsights.fromJson(value);
        case 'XcodeMetricsProductDataInner':
          return XcodeMetricsProductDataInner.fromJson(value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInner':
          return XcodeMetricsProductDataInnerMetricCategoriesInner.fromJson(
              value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInner':
          return XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInner
              .fromJson(value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInner':
          return XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInner
              .fromJson(value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInnerFilterCriteria':
          return XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInnerFilterCriteria
              .fromJson(value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInnerPointsInner':
          return XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInnerPointsInner
              .fromJson(value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInnerPointsInnerPercentageBreakdown':
          return XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerDatasetsInnerPointsInnerPercentageBreakdown
              .fromJson(value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerGoalKeysInner':
          return XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerGoalKeysInner
              .fromJson(value);
        case 'XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerUnit':
          return XcodeMetricsProductDataInnerMetricCategoriesInnerMetricsInnerUnit
              .fromJson(value);
        default:
          dynamic match;
          if (value is List &&
              (match = _regList.firstMatch(targetType)?.group(1)) != null) {
            return value
                .map<dynamic>((dynamic v) => _deserialize(
                      v,
                      match,
                      growable: growable,
                    ))
                .toList(growable: growable);
          }
          if (value is Set &&
              (match = _regSet.firstMatch(targetType)?.group(1)) != null) {
            return value
                .map<dynamic>((dynamic v) => _deserialize(
                      v,
                      match,
                      growable: growable,
                    ))
                .toSet();
          }
          if (value is Map &&
              (match = _regMap.firstMatch(targetType)?.group(1)) != null) {
            return Map<String, dynamic>.fromIterables(
              value.keys.cast<String>(),
              value.values.map<dynamic>((dynamic v) => _deserialize(
                    v,
                    match,
                    growable: growable,
                  )),
            );
          }
      }
    } on Exception catch (error, trace) {
      throw ApiException.withInner(
        HttpStatus.internalServerError,
        'Exception during deserialization.',
        error,
        trace,
      );
    }
    throw ApiException(
      HttpStatus.internalServerError,
      'Could not find a suitable class for deserialization',
    );
  }
}

/// Primarily intended for use in an isolate.
class DeserializationMessage {
  const DeserializationMessage({
    required this.json,
    required this.targetType,
    this.growable = false,
  });

  /// The JSON value to deserialize.
  final String json;

  /// Target type to deserialize to.
  final String targetType;

  /// Whether to make deserialized lists or maps growable.
  final bool growable;
}

/// Primarily intended for use in an isolate.
Future<dynamic> deserializeAsync(DeserializationMessage message) async {
  // Remove all spaces. Necessary for regular expressions as well.
  final targetType = message.targetType.replaceAll(' ', '');

  // If the expected target type is String, nothing to do...
  return targetType == 'String'
      ? message.json
      : ApiClient._deserialize(
          jsonDecode(message.json),
          targetType,
          growable: message.growable,
        );
}

/// Primarily intended for use in an isolate.
Future<String> serializeAsync(Object? value) async =>
    value == null ? '' : json.encode(value);
