//
// AUTO-GENERATED FILE, DO NOT MODIFY!
//
// @dart=2.12

// ignore_for_file: unused_element, unused_import
// ignore_for_file: always_put_required_named_parameters_first
// ignore_for_file: constant_identifier_names
// ignore_for_file: lines_longer_than_80_chars

part of openapi.api;

class AppsApi {
  AppsApi([ApiClient? apiClient]) : apiClient = apiClient ?? defaultApiClient;

  final ApiClient apiClient;

  /// Performs an HTTP 'GET /v1/apps/{id}/appAvailability' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppAvailabilityGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppAvailabilities,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limitAvailableTerritories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appAvailability'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appAvailabilities]', fieldsAppAvailabilities));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limitAvailableTerritories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[availableTerritories]', limitAvailableTerritories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppAvailabilityResponse?> appsAppAvailabilityGetToOneRelated(
    String id, {
    List<String>? fieldsAppAvailabilities,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limitAvailableTerritories,
    List<String>? include,
  }) async {
    final response = await appsAppAvailabilityGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppAvailabilities: fieldsAppAvailabilities,
      fieldsApps: fieldsApps,
      fieldsTerritories: fieldsTerritories,
      limitAvailableTerritories: limitAvailableTerritories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppAvailabilityResponse',
      ) as AppAvailabilityResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appClips' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBundleId:
  ///   filter by attribute 'bundleId'
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppClipDefaultExperiences:
  ///   maximum number of related appClipDefaultExperiences returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppClipsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterBundleId,
    List<String>? fieldsAppClips,
    List<String>? fieldsApps,
    List<String>? fieldsAppClipDefaultExperiences,
    int? limit,
    int? limitAppClipDefaultExperiences,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appClips'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterBundleId != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[bundleId]', filterBundleId));
    }
    if (fieldsAppClips != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appClips]', fieldsAppClips));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsAppClipDefaultExperiences != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appClipDefaultExperiences]',
          fieldsAppClipDefaultExperiences));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppClipDefaultExperiences != null) {
      queryParams.addAll(_queryParams('', 'limit[appClipDefaultExperiences]',
          limitAppClipDefaultExperiences));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterBundleId:
  ///   filter by attribute 'bundleId'
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppClipDefaultExperiences:
  ///   maximum number of related appClipDefaultExperiences returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppClipsResponse?> appsAppClipsGetToManyRelated(
    String id, {
    List<String>? filterBundleId,
    List<String>? fieldsAppClips,
    List<String>? fieldsApps,
    List<String>? fieldsAppClipDefaultExperiences,
    int? limit,
    int? limitAppClipDefaultExperiences,
    List<String>? include,
  }) async {
    final response = await appsAppClipsGetToManyRelatedWithHttpInfo(
      id,
      filterBundleId: filterBundleId,
      fieldsAppClips: fieldsAppClips,
      fieldsApps: fieldsApps,
      fieldsAppClipDefaultExperiences: fieldsAppClipDefaultExperiences,
      limit: limit,
      limitAppClipDefaultExperiences: limitAppClipDefaultExperiences,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppClipsResponse',
      ) as AppClipsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appCustomProductPages' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterVisible:
  ///   filter by attribute 'visible'
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsAppCustomProductPageVersions:
  ///   the fields to include for returned resources of type appCustomProductPageVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppCustomProductPageVersions:
  ///   maximum number of related appCustomProductPageVersions returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppCustomProductPagesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterVisible,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsAppCustomProductPageVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitAppCustomProductPageVersions,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appCustomProductPages'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterVisible != null) {
      queryParams.addAll(_queryParams('csv', 'filter[visible]', filterVisible));
    }
    if (fieldsAppCustomProductPages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appCustomProductPages]', fieldsAppCustomProductPages));
    }
    if (fieldsAppCustomProductPageVersions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appCustomProductPageVersions]',
          fieldsAppCustomProductPageVersions));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppCustomProductPageVersions != null) {
      queryParams.addAll(_queryParams('', 'limit[appCustomProductPageVersions]',
          limitAppCustomProductPageVersions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterVisible:
  ///   filter by attribute 'visible'
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsAppCustomProductPageVersions:
  ///   the fields to include for returned resources of type appCustomProductPageVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppCustomProductPageVersions:
  ///   maximum number of related appCustomProductPageVersions returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppCustomProductPagesResponse?>
      appsAppCustomProductPagesGetToManyRelated(
    String id, {
    List<String>? filterVisible,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsAppCustomProductPageVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitAppCustomProductPageVersions,
    List<String>? include,
  }) async {
    final response =
        await appsAppCustomProductPagesGetToManyRelatedWithHttpInfo(
      id,
      filterVisible: filterVisible,
      fieldsAppCustomProductPages: fieldsAppCustomProductPages,
      fieldsAppCustomProductPageVersions: fieldsAppCustomProductPageVersions,
      fieldsApps: fieldsApps,
      limit: limit,
      limitAppCustomProductPageVersions: limitAppCustomProductPageVersions,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppCustomProductPagesResponse',
      ) as AppCustomProductPagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appEvents' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterEventState:
  ///   filter by attribute 'eventState'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsAppEventLocalizations:
  ///   the fields to include for returned resources of type appEventLocalizations
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitLocalizations:
  ///   maximum number of related localizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppEventsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterEventState,
    List<String>? filterId,
    List<String>? fieldsAppEventLocalizations,
    List<String>? fieldsAppEvents,
    int? limit,
    int? limitLocalizations,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appEvents'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterEventState != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[eventState]', filterEventState));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsAppEventLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appEventLocalizations]', fieldsAppEventLocalizations));
    }
    if (fieldsAppEvents != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appEvents]', fieldsAppEvents));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitLocalizations != null) {
      queryParams
          .addAll(_queryParams('', 'limit[localizations]', limitLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterEventState:
  ///   filter by attribute 'eventState'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsAppEventLocalizations:
  ///   the fields to include for returned resources of type appEventLocalizations
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitLocalizations:
  ///   maximum number of related localizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppEventsResponse?> appsAppEventsGetToManyRelated(
    String id, {
    List<String>? filterEventState,
    List<String>? filterId,
    List<String>? fieldsAppEventLocalizations,
    List<String>? fieldsAppEvents,
    int? limit,
    int? limitLocalizations,
    List<String>? include,
  }) async {
    final response = await appsAppEventsGetToManyRelatedWithHttpInfo(
      id,
      filterEventState: filterEventState,
      filterId: filterId,
      fieldsAppEventLocalizations: fieldsAppEventLocalizations,
      fieldsAppEvents: fieldsAppEvents,
      limit: limit,
      limitLocalizations: limitLocalizations,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppEventsResponse',
      ) as AppEventsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appInfos' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppInfoLocalizations:
  ///   maximum number of related appInfoLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppInfosGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsAppInfos,
    List<String>? fieldsAppInfoLocalizations,
    List<String>? fieldsAppCategories,
    List<String>? fieldsApps,
    int? limit,
    int? limitAppInfoLocalizations,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appInfos'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAgeRatingDeclarations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ageRatingDeclarations]', fieldsAgeRatingDeclarations));
    }
    if (fieldsAppInfos != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appInfos]', fieldsAppInfos));
    }
    if (fieldsAppInfoLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appInfoLocalizations]', fieldsAppInfoLocalizations));
    }
    if (fieldsAppCategories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appCategories]', fieldsAppCategories));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppInfoLocalizations != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[appInfoLocalizations]', limitAppInfoLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsAppInfoLocalizations:
  ///   the fields to include for returned resources of type appInfoLocalizations
  ///
  /// * [List<String>] fieldsAppCategories:
  ///   the fields to include for returned resources of type appCategories
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppInfoLocalizations:
  ///   maximum number of related appInfoLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppInfosResponse?> appsAppInfosGetToManyRelated(
    String id, {
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsAppInfos,
    List<String>? fieldsAppInfoLocalizations,
    List<String>? fieldsAppCategories,
    List<String>? fieldsApps,
    int? limit,
    int? limitAppInfoLocalizations,
    List<String>? include,
  }) async {
    final response = await appsAppInfosGetToManyRelatedWithHttpInfo(
      id,
      fieldsAgeRatingDeclarations: fieldsAgeRatingDeclarations,
      fieldsAppInfos: fieldsAppInfos,
      fieldsAppInfoLocalizations: fieldsAppInfoLocalizations,
      fieldsAppCategories: fieldsAppCategories,
      fieldsApps: fieldsApps,
      limit: limit,
      limitAppInfoLocalizations: limitAppInfoLocalizations,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppInfosResponse',
      ) as AppInfosResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appPricePoints' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppPricePointsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appPricePoints'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricePointsV3Response?> appsAppPricePointsGetToManyRelated(
    String id, {
    List<String>? filterTerritory,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response = await appsAppPricePointsGetToManyRelatedWithHttpInfo(
      id,
      filterTerritory: filterTerritory,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsApps: fieldsApps,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricePointsV3Response',
      ) as AppPricePointsV3Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appPriceSchedule' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitManualPrices:
  ///   maximum number of related manualPrices returned (when they are included)
  ///
  /// * [int] limitAutomaticPrices:
  ///   maximum number of related automaticPrices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppPriceScheduleGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPriceSchedules,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limitManualPrices,
    int? limitAutomaticPrices,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appPriceSchedule'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (fieldsAppPriceSchedules != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appPriceSchedules]', fieldsAppPriceSchedules));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limitManualPrices != null) {
      queryParams
          .addAll(_queryParams('', 'limit[manualPrices]', limitManualPrices));
    }
    if (limitAutomaticPrices != null) {
      queryParams.addAll(
          _queryParams('', 'limit[automaticPrices]', limitAutomaticPrices));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limitManualPrices:
  ///   maximum number of related manualPrices returned (when they are included)
  ///
  /// * [int] limitAutomaticPrices:
  ///   maximum number of related automaticPrices returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPriceScheduleResponse?> appsAppPriceScheduleGetToOneRelated(
    String id, {
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPriceSchedules,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limitManualPrices,
    int? limitAutomaticPrices,
    List<String>? include,
  }) async {
    final response = await appsAppPriceScheduleGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppPrices: fieldsAppPrices,
      fieldsAppPriceSchedules: fieldsAppPriceSchedules,
      fieldsApps: fieldsApps,
      fieldsTerritories: fieldsTerritories,
      limitManualPrices: limitManualPrices,
      limitAutomaticPrices: limitAutomaticPrices,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPriceScheduleResponse',
      ) as AppPriceScheduleResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appStoreVersionExperimentsV2' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatments:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatments
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitControlVersions:
  ///   maximum number of related controlVersions returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentTreatments:
  ///   maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppStoreVersionExperimentsV2GetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterState,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperimentTreatments,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitControlVersions,
    int? limitAppStoreVersionExperimentTreatments,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/apps/{id}/appStoreVersionExperimentsV2'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[state]', filterState));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsAppStoreVersionExperimentTreatments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperimentTreatments]',
          fieldsAppStoreVersionExperimentTreatments));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitControlVersions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[controlVersions]', limitControlVersions));
    }
    if (limitAppStoreVersionExperimentTreatments != null) {
      queryParams.addAll(_queryParams(
          '',
          'limit[appStoreVersionExperimentTreatments]',
          limitAppStoreVersionExperimentTreatments));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperimentTreatments:
  ///   the fields to include for returned resources of type appStoreVersionExperimentTreatments
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitControlVersions:
  ///   maximum number of related controlVersions returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentTreatments:
  ///   maximum number of related appStoreVersionExperimentTreatments returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppStoreVersionExperimentsV2Response?>
      appsAppStoreVersionExperimentsV2GetToManyRelated(
    String id, {
    List<String>? filterState,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperimentTreatments,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitControlVersions,
    int? limitAppStoreVersionExperimentTreatments,
    List<String>? include,
  }) async {
    final response =
        await appsAppStoreVersionExperimentsV2GetToManyRelatedWithHttpInfo(
      id,
      filterState: filterState,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsAppStoreVersionExperimentTreatments:
          fieldsAppStoreVersionExperimentTreatments,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsApps: fieldsApps,
      limit: limit,
      limitControlVersions: limitControlVersions,
      limitAppStoreVersionExperimentTreatments:
          limitAppStoreVersionExperimentTreatments,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionExperimentsV2Response',
      ) as AppStoreVersionExperimentsV2Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/appStoreVersions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterAppStoreState:
  ///   filter by attribute 'appStoreState'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterVersionString:
  ///   filter by attribute 'versionString'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments2:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsAppStoreVersionSubmissions:
  ///   the fields to include for returned resources of type appStoreVersionSubmissions
  ///
  /// * [List<String>] fieldsAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [List<String>] fieldsAppStoreVersionPhasedReleases:
  ///   the fields to include for returned resources of type appStoreVersionPhasedReleases
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppStoreVersionLocalizations:
  ///   maximum number of related appStoreVersionLocalizations returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperiments:
  ///   maximum number of related appStoreVersionExperiments returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsAppStoreVersionsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterAppStoreState,
    List<String>? filterPlatform,
    List<String>? filterVersionString,
    List<String>? filterId,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperiments2,
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsAppStoreVersionSubmissions,
    List<String>? fieldsAppStoreReviewDetails,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    List<String>? fieldsRoutingAppCoverages,
    List<String>? fieldsAppClipDefaultExperiences,
    List<String>? fieldsAppStoreVersionPhasedReleases,
    List<String>? fieldsBuilds,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
    int? limitAppStoreVersionLocalizations,
    int? limitAppStoreVersionExperiments,
    int? limitAppStoreVersionExperimentsV2,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/appStoreVersions'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterAppStoreState != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[appStoreState]', filterAppStoreState));
    }
    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }
    if (filterVersionString != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[versionString]', filterVersionString));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsAppStoreVersionExperiments2 != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments2));
    }
    if (fieldsAgeRatingDeclarations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[ageRatingDeclarations]', fieldsAgeRatingDeclarations));
    }
    if (fieldsAppStoreVersionSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionSubmissions]',
          fieldsAppStoreVersionSubmissions));
    }
    if (fieldsAppStoreReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreReviewDetails]', fieldsAppStoreReviewDetails));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsRoutingAppCoverages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[routingAppCoverages]', fieldsRoutingAppCoverages));
    }
    if (fieldsAppClipDefaultExperiences != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appClipDefaultExperiences]',
          fieldsAppClipDefaultExperiences));
    }
    if (fieldsAppStoreVersionPhasedReleases != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionPhasedReleases]',
          fieldsAppStoreVersionPhasedReleases));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionLocalizations]',
          fieldsAppStoreVersionLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitAppStoreVersionLocalizations != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionLocalizations]',
          limitAppStoreVersionLocalizations));
    }
    if (limitAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionExperiments]',
          limitAppStoreVersionExperiments));
    }
    if (limitAppStoreVersionExperimentsV2 != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionExperimentsV2]',
          limitAppStoreVersionExperimentsV2));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterAppStoreState:
  ///   filter by attribute 'appStoreState'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterVersionString:
  ///   filter by attribute 'versionString'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments2:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsAgeRatingDeclarations:
  ///   the fields to include for returned resources of type ageRatingDeclarations
  ///
  /// * [List<String>] fieldsAppStoreVersionSubmissions:
  ///   the fields to include for returned resources of type appStoreVersionSubmissions
  ///
  /// * [List<String>] fieldsAppStoreReviewDetails:
  ///   the fields to include for returned resources of type appStoreReviewDetails
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsRoutingAppCoverages:
  ///   the fields to include for returned resources of type routingAppCoverages
  ///
  /// * [List<String>] fieldsAppClipDefaultExperiences:
  ///   the fields to include for returned resources of type appClipDefaultExperiences
  ///
  /// * [List<String>] fieldsAppStoreVersionPhasedReleases:
  ///   the fields to include for returned resources of type appStoreVersionPhasedReleases
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsAppStoreVersionLocalizations:
  ///   the fields to include for returned resources of type appStoreVersionLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitAppStoreVersionLocalizations:
  ///   maximum number of related appStoreVersionLocalizations returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperiments:
  ///   maximum number of related appStoreVersionExperiments returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppStoreVersionsResponse?> appsAppStoreVersionsGetToManyRelated(
    String id, {
    List<String>? filterAppStoreState,
    List<String>? filterPlatform,
    List<String>? filterVersionString,
    List<String>? filterId,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsAppStoreVersionExperiments2,
    List<String>? fieldsAgeRatingDeclarations,
    List<String>? fieldsAppStoreVersionSubmissions,
    List<String>? fieldsAppStoreReviewDetails,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    List<String>? fieldsRoutingAppCoverages,
    List<String>? fieldsAppClipDefaultExperiences,
    List<String>? fieldsAppStoreVersionPhasedReleases,
    List<String>? fieldsBuilds,
    List<String>? fieldsAppStoreVersionLocalizations,
    int? limit,
    int? limitAppStoreVersionLocalizations,
    int? limitAppStoreVersionExperiments,
    int? limitAppStoreVersionExperimentsV2,
    List<String>? include,
  }) async {
    final response = await appsAppStoreVersionsGetToManyRelatedWithHttpInfo(
      id,
      filterAppStoreState: filterAppStoreState,
      filterPlatform: filterPlatform,
      filterVersionString: filterVersionString,
      filterId: filterId,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsAppStoreVersionExperiments2: fieldsAppStoreVersionExperiments2,
      fieldsAgeRatingDeclarations: fieldsAgeRatingDeclarations,
      fieldsAppStoreVersionSubmissions: fieldsAppStoreVersionSubmissions,
      fieldsAppStoreReviewDetails: fieldsAppStoreReviewDetails,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsApps: fieldsApps,
      fieldsRoutingAppCoverages: fieldsRoutingAppCoverages,
      fieldsAppClipDefaultExperiences: fieldsAppClipDefaultExperiences,
      fieldsAppStoreVersionPhasedReleases: fieldsAppStoreVersionPhasedReleases,
      fieldsBuilds: fieldsBuilds,
      fieldsAppStoreVersionLocalizations: fieldsAppStoreVersionLocalizations,
      limit: limit,
      limitAppStoreVersionLocalizations: limitAppStoreVersionLocalizations,
      limitAppStoreVersionExperiments: limitAppStoreVersionExperiments,
      limitAppStoreVersionExperimentsV2: limitAppStoreVersionExperimentsV2,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppStoreVersionsResponse',
      ) as AppStoreVersionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/availableTerritories' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appsAvailableTerritoriesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsTerritories,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/availableTerritories'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<TerritoriesResponse?> appsAvailableTerritoriesGetToManyRelated(
    String id, {
    List<String>? fieldsTerritories,
    int? limit,
  }) async {
    final response = await appsAvailableTerritoriesGetToManyRelatedWithHttpInfo(
      id,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'TerritoriesResponse',
      ) as TerritoriesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/betaAppLocalizations' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appsBetaAppLocalizationsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBetaAppLocalizations,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/betaAppLocalizations'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppLocalizations]', fieldsBetaAppLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaAppLocalizationsResponse?>
      appsBetaAppLocalizationsGetToManyRelated(
    String id, {
    List<String>? fieldsBetaAppLocalizations,
    int? limit,
  }) async {
    final response = await appsBetaAppLocalizationsGetToManyRelatedWithHttpInfo(
      id,
      fieldsBetaAppLocalizations: fieldsBetaAppLocalizations,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppLocalizationsResponse',
      ) as BetaAppLocalizationsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/betaAppReviewDetail' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  Future<Response> appsBetaAppReviewDetailGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBetaAppReviewDetails,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/betaAppReviewDetail'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaAppReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppReviewDetails]', fieldsBetaAppReviewDetails));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  Future<BetaAppReviewDetailResponse?> appsBetaAppReviewDetailGetToOneRelated(
    String id, {
    List<String>? fieldsBetaAppReviewDetails,
  }) async {
    final response = await appsBetaAppReviewDetailGetToOneRelatedWithHttpInfo(
      id,
      fieldsBetaAppReviewDetails: fieldsBetaAppReviewDetails,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaAppReviewDetailResponse',
      ) as BetaAppReviewDetailResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/betaGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appsBetaGroupsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBetaGroups,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/betaGroups'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BetaGroupsResponse?> appsBetaGroupsGetToManyRelated(
    String id, {
    List<String>? fieldsBetaGroups,
    int? limit,
  }) async {
    final response = await appsBetaGroupsGetToManyRelatedWithHttpInfo(
      id,
      fieldsBetaGroups: fieldsBetaGroups,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaGroupsResponse',
      ) as BetaGroupsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/betaLicenseAgreement' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  Future<Response> appsBetaLicenseAgreementGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBetaLicenseAgreements,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/betaLicenseAgreement'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBetaLicenseAgreements != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaLicenseAgreements]', fieldsBetaLicenseAgreements));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  Future<BetaLicenseAgreementResponse?> appsBetaLicenseAgreementGetToOneRelated(
    String id, {
    List<String>? fieldsBetaLicenseAgreements,
  }) async {
    final response = await appsBetaLicenseAgreementGetToOneRelatedWithHttpInfo(
      id,
      fieldsBetaLicenseAgreements: fieldsBetaLicenseAgreements,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BetaLicenseAgreementResponse',
      ) as BetaLicenseAgreementResponse;
    }
    return null;
  }

  /// Performs an HTTP 'DELETE /v1/apps/{id}/relationships/betaTesters' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppBetaTestersLinkagesRequest] appBetaTestersLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> appsBetaTestersDeleteToManyRelationshipWithHttpInfo(
    String id,
    AppBetaTestersLinkagesRequest appBetaTestersLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/apps/{id}/relationships/betaTesters'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appBetaTestersLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'DELETE',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppBetaTestersLinkagesRequest] appBetaTestersLinkagesRequest (required):
  ///   List of related linkages
  Future<void> appsBetaTestersDeleteToManyRelationship(
    String id,
    AppBetaTestersLinkagesRequest appBetaTestersLinkagesRequest,
  ) async {
    final response = await appsBetaTestersDeleteToManyRelationshipWithHttpInfo(
      id,
      appBetaTestersLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/builds' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appsBuildsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/builds'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<BuildsResponse?> appsBuildsGetToManyRelated(
    String id, {
    List<String>? fieldsBuilds,
    int? limit,
  }) async {
    final response = await appsBuildsGetToManyRelatedWithHttpInfo(
      id,
      fieldsBuilds: fieldsBuilds,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'BuildsResponse',
      ) as BuildsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/ciProduct' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limitPrimaryRepositories:
  ///   maximum number of related primaryRepositories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsCiProductGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsCiProducts,
    List<String>? fieldsApps,
    List<String>? fieldsScmRepositories,
    List<String>? fieldsBundleIds,
    int? limitPrimaryRepositories,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/ciProduct'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsScmRepositories != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[scmRepositories]', fieldsScmRepositories));
    }
    if (fieldsBundleIds != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[bundleIds]', fieldsBundleIds));
    }
    if (limitPrimaryRepositories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[primaryRepositories]', limitPrimaryRepositories));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsScmRepositories:
  ///   the fields to include for returned resources of type scmRepositories
  ///
  /// * [List<String>] fieldsBundleIds:
  ///   the fields to include for returned resources of type bundleIds
  ///
  /// * [int] limitPrimaryRepositories:
  ///   maximum number of related primaryRepositories returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CiProductResponse?> appsCiProductGetToOneRelated(
    String id, {
    List<String>? fieldsCiProducts,
    List<String>? fieldsApps,
    List<String>? fieldsScmRepositories,
    List<String>? fieldsBundleIds,
    int? limitPrimaryRepositories,
    List<String>? include,
  }) async {
    final response = await appsCiProductGetToOneRelatedWithHttpInfo(
      id,
      fieldsCiProducts: fieldsCiProducts,
      fieldsApps: fieldsApps,
      fieldsScmRepositories: fieldsScmRepositories,
      fieldsBundleIds: fieldsBundleIds,
      limitPrimaryRepositories: limitPrimaryRepositories,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CiProductResponse',
      ) as CiProductResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/customerReviews' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterRating:
  ///   filter by attribute 'rating'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by attribute 'territory'
  ///
  /// * [bool] existsPublishedResponse:
  ///   filter by publishedResponse
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsCustomerReviewsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterRating,
    List<String>? filterTerritory,
    bool? existsPublishedResponse,
    List<String>? sort,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsCustomerReviewResponses,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/customerReviews'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterRating != null) {
      queryParams.addAll(_queryParams('csv', 'filter[rating]', filterRating));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (existsPublishedResponse != null) {
      queryParams.addAll(_queryParams(
          '', 'exists[publishedResponse]', existsPublishedResponse));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsCustomerReviews != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[customerReviews]', fieldsCustomerReviews));
    }
    if (fieldsCustomerReviewResponses != null) {
      queryParams.addAll(_queryParams('csv', 'fields[customerReviewResponses]',
          fieldsCustomerReviewResponses));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterRating:
  ///   filter by attribute 'rating'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by attribute 'territory'
  ///
  /// * [bool] existsPublishedResponse:
  ///   filter by publishedResponse
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsCustomerReviewResponses:
  ///   the fields to include for returned resources of type customerReviewResponses
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<CustomerReviewsResponse?> appsCustomerReviewsGetToManyRelated(
    String id, {
    List<String>? filterRating,
    List<String>? filterTerritory,
    bool? existsPublishedResponse,
    List<String>? sort,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsCustomerReviewResponses,
    int? limit,
    List<String>? include,
  }) async {
    final response = await appsCustomerReviewsGetToManyRelatedWithHttpInfo(
      id,
      filterRating: filterRating,
      filterTerritory: filterTerritory,
      existsPublishedResponse: existsPublishedResponse,
      sort: sort,
      fieldsCustomerReviews: fieldsCustomerReviews,
      fieldsCustomerReviewResponses: fieldsCustomerReviewResponses,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'CustomerReviewsResponse',
      ) as CustomerReviewsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/endUserLicenseAgreement' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  Future<Response> appsEndUserLicenseAgreementGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsEndUserLicenseAgreements,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/apps/{id}/endUserLicenseAgreement'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsEndUserLicenseAgreements != null) {
      queryParams.addAll(_queryParams('csv', 'fields[endUserLicenseAgreements]',
          fieldsEndUserLicenseAgreements));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  Future<EndUserLicenseAgreementResponse?>
      appsEndUserLicenseAgreementGetToOneRelated(
    String id, {
    List<String>? fieldsEndUserLicenseAgreements,
  }) async {
    final response =
        await appsEndUserLicenseAgreementGetToOneRelatedWithHttpInfo(
      id,
      fieldsEndUserLicenseAgreements: fieldsEndUserLicenseAgreements,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'EndUserLicenseAgreementResponse',
      ) as EndUserLicenseAgreementResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/gameCenterEnabledVersions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterVersionString:
  ///   filter by attribute 'versionString'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitCompatibleVersions:
  ///   maximum number of related compatibleVersions returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsGameCenterEnabledVersionsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterPlatform,
    List<String>? filterVersionString,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitCompatibleVersions,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/apps/{id}/gameCenterEnabledVersions'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }
    if (filterVersionString != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[versionString]', filterVersionString));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[gameCenterEnabledVersions]',
          fieldsGameCenterEnabledVersions));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitCompatibleVersions != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[compatibleVersions]', limitCompatibleVersions));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterVersionString:
  ///   filter by attribute 'versionString'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitCompatibleVersions:
  ///   maximum number of related compatibleVersions returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<GameCenterEnabledVersionsResponse?>
      appsGameCenterEnabledVersionsGetToManyRelated(
    String id, {
    List<String>? filterPlatform,
    List<String>? filterVersionString,
    List<String>? filterId,
    List<String>? sort,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsApps,
    int? limit,
    int? limitCompatibleVersions,
    List<String>? include,
  }) async {
    final response =
        await appsGameCenterEnabledVersionsGetToManyRelatedWithHttpInfo(
      id,
      filterPlatform: filterPlatform,
      filterVersionString: filterVersionString,
      filterId: filterId,
      sort: sort,
      fieldsGameCenterEnabledVersions: fieldsGameCenterEnabledVersions,
      fieldsApps: fieldsApps,
      limit: limit,
      limitCompatibleVersions: limitCompatibleVersions,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'GameCenterEnabledVersionsResponse',
      ) as GameCenterEnabledVersionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [List<String>] filterAppStoreVersionsPeriodAppStoreState:
  ///   filter by attribute 'appStoreVersions.appStoreState'
  ///
  /// * [List<String>] filterAppStoreVersionsPeriodPlatform:
  ///   filter by attribute 'appStoreVersions.platform'
  ///
  /// * [List<String>] filterBundleId:
  ///   filter by attribute 'bundleId'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterSku:
  ///   filter by attribute 'sku'
  ///
  /// * [List<String>] filterAppStoreVersions:
  ///   filter by id(s) of related 'appStoreVersions'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [bool] existsGameCenterEnabledVersions:
  ///   filter by existence or non-existence of related 'gameCenterEnabledVersions'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsAppPricePoints2:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsInAppPurchases2:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [List<String>] fieldsPerfPowerMetrics:
  ///   the fields to include for returned resources of type perfPowerMetrics
  ///
  /// * [int] limitAppClips:
  ///   maximum number of related appClips returned (when they are included)
  ///
  /// * [int] limitAppCustomProductPages:
  ///   maximum number of related appCustomProductPages returned (when they are included)
  ///
  /// * [int] limitAppEvents:
  ///   maximum number of related appEvents returned (when they are included)
  ///
  /// * [int] limitAppInfos:
  ///   maximum number of related appInfos returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [int] limitAppStoreVersions:
  ///   maximum number of related appStoreVersions returned (when they are included)
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [int] limitBetaAppLocalizations:
  ///   maximum number of related betaAppLocalizations returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [int] limitGameCenterEnabledVersions:
  ///   maximum number of related gameCenterEnabledVersions returned (when they are included)
  ///
  /// * [int] limitInAppPurchases:
  ///   maximum number of related inAppPurchases returned (when they are included)
  ///
  /// * [int] limitInAppPurchasesV2:
  ///   maximum number of related inAppPurchasesV2 returned (when they are included)
  ///
  /// * [int] limitPreReleaseVersions:
  ///   maximum number of related preReleaseVersions returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitPromotedPurchases:
  ///   maximum number of related promotedPurchases returned (when they are included)
  ///
  /// * [int] limitReviewSubmissions:
  ///   maximum number of related reviewSubmissions returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroups:
  ///   maximum number of related subscriptionGroups returned (when they are included)
  Future<Response> appsGetCollectionWithHttpInfo({
    List<String>? filterAppStoreVersionsPeriodAppStoreState,
    List<String>? filterAppStoreVersionsPeriodPlatform,
    List<String>? filterBundleId,
    List<String>? filterName,
    List<String>? filterSku,
    List<String>? filterAppStoreVersions,
    List<String>? filterId,
    bool? existsGameCenterEnabledVersions,
    List<String>? sort,
    List<String>? fieldsApps,
    int? limit,
    List<String>? include,
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? fieldsAppPriceSchedules,
    List<String>? fieldsCiProducts,
    List<String>? fieldsReviewSubmissions,
    List<String>? fieldsBetaGroups,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsAppAvailabilities,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsAppEvents,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaLicenseAgreements,
    List<String>? fieldsAppClips,
    List<String>? fieldsAppInfos,
    List<String>? fieldsBetaAppLocalizations,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsAppPricePoints2,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsInAppPurchases2,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPreOrders,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsSubscriptionGracePeriods,
    List<String>? fieldsEndUserLicenseAgreements,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsTerritories,
    List<String>? fieldsPerfPowerMetrics,
    int? limitAppClips,
    int? limitAppCustomProductPages,
    int? limitAppEvents,
    int? limitAppInfos,
    int? limitAppStoreVersionExperimentsV2,
    int? limitAppStoreVersions,
    int? limitAvailableTerritories,
    int? limitBetaAppLocalizations,
    int? limitBetaGroups,
    int? limitBuilds,
    int? limitGameCenterEnabledVersions,
    int? limitInAppPurchases,
    int? limitInAppPurchasesV2,
    int? limitPreReleaseVersions,
    int? limitPrices,
    int? limitPromotedPurchases,
    int? limitReviewSubmissions,
    int? limitSubscriptionGroups,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps';

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterAppStoreVersionsPeriodAppStoreState != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[appStoreVersions.appStoreState]',
          filterAppStoreVersionsPeriodAppStoreState));
    }
    if (filterAppStoreVersionsPeriodPlatform != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'filter[appStoreVersions.platform]',
          filterAppStoreVersionsPeriodPlatform));
    }
    if (filterBundleId != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[bundleId]', filterBundleId));
    }
    if (filterName != null) {
      queryParams.addAll(_queryParams('csv', 'filter[name]', filterName));
    }
    if (filterSku != null) {
      queryParams.addAll(_queryParams('csv', 'filter[sku]', filterSku));
    }
    if (filterAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[appStoreVersions]', filterAppStoreVersions));
    }
    if (filterId != null) {
      queryParams.addAll(_queryParams('csv', 'filter[id]', filterId));
    }
    if (existsGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams('', 'exists[gameCenterEnabledVersions]',
          existsGameCenterEnabledVersions));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBetaAppReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppReviewDetails]', fieldsBetaAppReviewDetails));
    }
    if (fieldsAppPriceSchedules != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appPriceSchedules]', fieldsAppPriceSchedules));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsReviewSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissions]', fieldsReviewSubmissions));
    }
    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsAppAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appAvailabilities]', fieldsAppAvailabilities));
    }
    if (fieldsCustomerReviews != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[customerReviews]', fieldsCustomerReviews));
    }
    if (fieldsAppEvents != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appEvents]', fieldsAppEvents));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsBetaLicenseAgreements != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaLicenseAgreements]', fieldsBetaLicenseAgreements));
    }
    if (fieldsAppClips != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appClips]', fieldsAppClips));
    }
    if (fieldsAppInfos != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appInfos]', fieldsAppInfos));
    }
    if (fieldsBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppLocalizations]', fieldsBetaAppLocalizations));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsAppPricePoints2 != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints2));
    }
    if (fieldsInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases));
    }
    if (fieldsPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[preReleaseVersions]', fieldsPreReleaseVersions));
    }
    if (fieldsInAppPurchases2 != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases2));
    }
    if (fieldsSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionGroups]', fieldsSubscriptionGroups));
    }
    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (fieldsAppPreOrders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreOrders]', fieldsAppPreOrders));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[gameCenterEnabledVersions]',
          fieldsGameCenterEnabledVersions));
    }
    if (fieldsSubscriptionGracePeriods != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionGracePeriods]',
          fieldsSubscriptionGracePeriods));
    }
    if (fieldsEndUserLicenseAgreements != null) {
      queryParams.addAll(_queryParams('csv', 'fields[endUserLicenseAgreements]',
          fieldsEndUserLicenseAgreements));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsAppCustomProductPages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appCustomProductPages]', fieldsAppCustomProductPages));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (fieldsPerfPowerMetrics != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[perfPowerMetrics]', fieldsPerfPowerMetrics));
    }
    if (limitAppClips != null) {
      queryParams.addAll(_queryParams('', 'limit[appClips]', limitAppClips));
    }
    if (limitAppCustomProductPages != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[appCustomProductPages]', limitAppCustomProductPages));
    }
    if (limitAppEvents != null) {
      queryParams.addAll(_queryParams('', 'limit[appEvents]', limitAppEvents));
    }
    if (limitAppInfos != null) {
      queryParams.addAll(_queryParams('', 'limit[appInfos]', limitAppInfos));
    }
    if (limitAppStoreVersionExperimentsV2 != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionExperimentsV2]',
          limitAppStoreVersionExperimentsV2));
    }
    if (limitAppStoreVersions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[appStoreVersions]', limitAppStoreVersions));
    }
    if (limitAvailableTerritories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[availableTerritories]', limitAvailableTerritories));
    }
    if (limitBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[betaAppLocalizations]', limitBetaAppLocalizations));
    }
    if (limitBetaGroups != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaGroups]', limitBetaGroups));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }
    if (limitGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams('', 'limit[gameCenterEnabledVersions]',
          limitGameCenterEnabledVersions));
    }
    if (limitInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('', 'limit[inAppPurchases]', limitInAppPurchases));
    }
    if (limitInAppPurchasesV2 != null) {
      queryParams.addAll(
          _queryParams('', 'limit[inAppPurchasesV2]', limitInAppPurchasesV2));
    }
    if (limitPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[preReleaseVersions]', limitPreReleaseVersions));
    }
    if (limitPrices != null) {
      queryParams.addAll(_queryParams('', 'limit[prices]', limitPrices));
    }
    if (limitPromotedPurchases != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotedPurchases]', limitPromotedPurchases));
    }
    if (limitReviewSubmissions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[reviewSubmissions]', limitReviewSubmissions));
    }
    if (limitSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[subscriptionGroups]', limitSubscriptionGroups));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [List<String>] filterAppStoreVersionsPeriodAppStoreState:
  ///   filter by attribute 'appStoreVersions.appStoreState'
  ///
  /// * [List<String>] filterAppStoreVersionsPeriodPlatform:
  ///   filter by attribute 'appStoreVersions.platform'
  ///
  /// * [List<String>] filterBundleId:
  ///   filter by attribute 'bundleId'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterSku:
  ///   filter by attribute 'sku'
  ///
  /// * [List<String>] filterAppStoreVersions:
  ///   filter by id(s) of related 'appStoreVersions'
  ///
  /// * [List<String>] filterId:
  ///   filter by id(s)
  ///
  /// * [bool] existsGameCenterEnabledVersions:
  ///   filter by existence or non-existence of related 'gameCenterEnabledVersions'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsAppPricePoints2:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsInAppPurchases2:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [List<String>] fieldsPerfPowerMetrics:
  ///   the fields to include for returned resources of type perfPowerMetrics
  ///
  /// * [int] limitAppClips:
  ///   maximum number of related appClips returned (when they are included)
  ///
  /// * [int] limitAppCustomProductPages:
  ///   maximum number of related appCustomProductPages returned (when they are included)
  ///
  /// * [int] limitAppEvents:
  ///   maximum number of related appEvents returned (when they are included)
  ///
  /// * [int] limitAppInfos:
  ///   maximum number of related appInfos returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [int] limitAppStoreVersions:
  ///   maximum number of related appStoreVersions returned (when they are included)
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [int] limitBetaAppLocalizations:
  ///   maximum number of related betaAppLocalizations returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [int] limitGameCenterEnabledVersions:
  ///   maximum number of related gameCenterEnabledVersions returned (when they are included)
  ///
  /// * [int] limitInAppPurchases:
  ///   maximum number of related inAppPurchases returned (when they are included)
  ///
  /// * [int] limitInAppPurchasesV2:
  ///   maximum number of related inAppPurchasesV2 returned (when they are included)
  ///
  /// * [int] limitPreReleaseVersions:
  ///   maximum number of related preReleaseVersions returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitPromotedPurchases:
  ///   maximum number of related promotedPurchases returned (when they are included)
  ///
  /// * [int] limitReviewSubmissions:
  ///   maximum number of related reviewSubmissions returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroups:
  ///   maximum number of related subscriptionGroups returned (when they are included)
  Future<AppsResponse?> appsGetCollection({
    List<String>? filterAppStoreVersionsPeriodAppStoreState,
    List<String>? filterAppStoreVersionsPeriodPlatform,
    List<String>? filterBundleId,
    List<String>? filterName,
    List<String>? filterSku,
    List<String>? filterAppStoreVersions,
    List<String>? filterId,
    bool? existsGameCenterEnabledVersions,
    List<String>? sort,
    List<String>? fieldsApps,
    int? limit,
    List<String>? include,
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? fieldsAppPriceSchedules,
    List<String>? fieldsCiProducts,
    List<String>? fieldsReviewSubmissions,
    List<String>? fieldsBetaGroups,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsAppAvailabilities,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsAppEvents,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaLicenseAgreements,
    List<String>? fieldsAppClips,
    List<String>? fieldsAppInfos,
    List<String>? fieldsBetaAppLocalizations,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsAppPricePoints2,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsInAppPurchases2,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPreOrders,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsSubscriptionGracePeriods,
    List<String>? fieldsEndUserLicenseAgreements,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsTerritories,
    List<String>? fieldsPerfPowerMetrics,
    int? limitAppClips,
    int? limitAppCustomProductPages,
    int? limitAppEvents,
    int? limitAppInfos,
    int? limitAppStoreVersionExperimentsV2,
    int? limitAppStoreVersions,
    int? limitAvailableTerritories,
    int? limitBetaAppLocalizations,
    int? limitBetaGroups,
    int? limitBuilds,
    int? limitGameCenterEnabledVersions,
    int? limitInAppPurchases,
    int? limitInAppPurchasesV2,
    int? limitPreReleaseVersions,
    int? limitPrices,
    int? limitPromotedPurchases,
    int? limitReviewSubmissions,
    int? limitSubscriptionGroups,
  }) async {
    final response = await appsGetCollectionWithHttpInfo(
      filterAppStoreVersionsPeriodAppStoreState:
          filterAppStoreVersionsPeriodAppStoreState,
      filterAppStoreVersionsPeriodPlatform:
          filterAppStoreVersionsPeriodPlatform,
      filterBundleId: filterBundleId,
      filterName: filterName,
      filterSku: filterSku,
      filterAppStoreVersions: filterAppStoreVersions,
      filterId: filterId,
      existsGameCenterEnabledVersions: existsGameCenterEnabledVersions,
      sort: sort,
      fieldsApps: fieldsApps,
      limit: limit,
      include: include,
      fieldsBetaAppReviewDetails: fieldsBetaAppReviewDetails,
      fieldsAppPriceSchedules: fieldsAppPriceSchedules,
      fieldsCiProducts: fieldsCiProducts,
      fieldsReviewSubmissions: fieldsReviewSubmissions,
      fieldsBetaGroups: fieldsBetaGroups,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsAppAvailabilities: fieldsAppAvailabilities,
      fieldsCustomerReviews: fieldsCustomerReviews,
      fieldsAppEvents: fieldsAppEvents,
      fieldsBuilds: fieldsBuilds,
      fieldsBetaLicenseAgreements: fieldsBetaLicenseAgreements,
      fieldsAppClips: fieldsAppClips,
      fieldsAppInfos: fieldsAppInfos,
      fieldsBetaAppLocalizations: fieldsBetaAppLocalizations,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsAppPricePoints2: fieldsAppPricePoints2,
      fieldsInAppPurchases: fieldsInAppPurchases,
      fieldsPreReleaseVersions: fieldsPreReleaseVersions,
      fieldsInAppPurchases2: fieldsInAppPurchases2,
      fieldsSubscriptionGroups: fieldsSubscriptionGroups,
      fieldsAppPrices: fieldsAppPrices,
      fieldsAppPreOrders: fieldsAppPreOrders,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsGameCenterEnabledVersions: fieldsGameCenterEnabledVersions,
      fieldsSubscriptionGracePeriods: fieldsSubscriptionGracePeriods,
      fieldsEndUserLicenseAgreements: fieldsEndUserLicenseAgreements,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsAppCustomProductPages: fieldsAppCustomProductPages,
      fieldsTerritories: fieldsTerritories,
      fieldsPerfPowerMetrics: fieldsPerfPowerMetrics,
      limitAppClips: limitAppClips,
      limitAppCustomProductPages: limitAppCustomProductPages,
      limitAppEvents: limitAppEvents,
      limitAppInfos: limitAppInfos,
      limitAppStoreVersionExperimentsV2: limitAppStoreVersionExperimentsV2,
      limitAppStoreVersions: limitAppStoreVersions,
      limitAvailableTerritories: limitAvailableTerritories,
      limitBetaAppLocalizations: limitBetaAppLocalizations,
      limitBetaGroups: limitBetaGroups,
      limitBuilds: limitBuilds,
      limitGameCenterEnabledVersions: limitGameCenterEnabledVersions,
      limitInAppPurchases: limitInAppPurchases,
      limitInAppPurchasesV2: limitInAppPurchasesV2,
      limitPreReleaseVersions: limitPreReleaseVersions,
      limitPrices: limitPrices,
      limitPromotedPurchases: limitPromotedPurchases,
      limitReviewSubmissions: limitReviewSubmissions,
      limitSubscriptionGroups: limitSubscriptionGroups,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppsResponse',
      ) as AppsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsAppPricePoints2:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsInAppPurchases2:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [List<String>] fieldsPerfPowerMetrics:
  ///   the fields to include for returned resources of type perfPowerMetrics
  ///
  /// * [int] limitAppClips:
  ///   maximum number of related appClips returned (when they are included)
  ///
  /// * [int] limitAppCustomProductPages:
  ///   maximum number of related appCustomProductPages returned (when they are included)
  ///
  /// * [int] limitAppEvents:
  ///   maximum number of related appEvents returned (when they are included)
  ///
  /// * [int] limitAppInfos:
  ///   maximum number of related appInfos returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [int] limitAppStoreVersions:
  ///   maximum number of related appStoreVersions returned (when they are included)
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [int] limitBetaAppLocalizations:
  ///   maximum number of related betaAppLocalizations returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [int] limitGameCenterEnabledVersions:
  ///   maximum number of related gameCenterEnabledVersions returned (when they are included)
  ///
  /// * [int] limitInAppPurchases:
  ///   maximum number of related inAppPurchases returned (when they are included)
  ///
  /// * [int] limitInAppPurchasesV2:
  ///   maximum number of related inAppPurchasesV2 returned (when they are included)
  ///
  /// * [int] limitPreReleaseVersions:
  ///   maximum number of related preReleaseVersions returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitPromotedPurchases:
  ///   maximum number of related promotedPurchases returned (when they are included)
  ///
  /// * [int] limitReviewSubmissions:
  ///   maximum number of related reviewSubmissions returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroups:
  ///   maximum number of related subscriptionGroups returned (when they are included)
  Future<Response> appsGetInstanceWithHttpInfo(
    String id, {
    List<String>? fieldsApps,
    List<String>? include,
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? fieldsAppPriceSchedules,
    List<String>? fieldsCiProducts,
    List<String>? fieldsReviewSubmissions,
    List<String>? fieldsBetaGroups,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsAppAvailabilities,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsAppEvents,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaLicenseAgreements,
    List<String>? fieldsAppClips,
    List<String>? fieldsAppInfos,
    List<String>? fieldsBetaAppLocalizations,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsAppPricePoints2,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsInAppPurchases2,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPreOrders,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsSubscriptionGracePeriods,
    List<String>? fieldsEndUserLicenseAgreements,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsTerritories,
    List<String>? fieldsPerfPowerMetrics,
    int? limitAppClips,
    int? limitAppCustomProductPages,
    int? limitAppEvents,
    int? limitAppInfos,
    int? limitAppStoreVersionExperimentsV2,
    int? limitAppStoreVersions,
    int? limitAvailableTerritories,
    int? limitBetaAppLocalizations,
    int? limitBetaGroups,
    int? limitBuilds,
    int? limitGameCenterEnabledVersions,
    int? limitInAppPurchases,
    int? limitInAppPurchasesV2,
    int? limitPreReleaseVersions,
    int? limitPrices,
    int? limitPromotedPurchases,
    int? limitReviewSubmissions,
    int? limitSubscriptionGroups,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }
    if (fieldsBetaAppReviewDetails != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppReviewDetails]', fieldsBetaAppReviewDetails));
    }
    if (fieldsAppPriceSchedules != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appPriceSchedules]', fieldsAppPriceSchedules));
    }
    if (fieldsCiProducts != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[ciProducts]', fieldsCiProducts));
    }
    if (fieldsReviewSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissions]', fieldsReviewSubmissions));
    }
    if (fieldsBetaGroups != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[betaGroups]', fieldsBetaGroups));
    }
    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsAppAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appAvailabilities]', fieldsAppAvailabilities));
    }
    if (fieldsCustomerReviews != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[customerReviews]', fieldsCustomerReviews));
    }
    if (fieldsAppEvents != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appEvents]', fieldsAppEvents));
    }
    if (fieldsBuilds != null) {
      queryParams.addAll(_queryParams('csv', 'fields[builds]', fieldsBuilds));
    }
    if (fieldsBetaLicenseAgreements != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaLicenseAgreements]', fieldsBetaLicenseAgreements));
    }
    if (fieldsAppClips != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appClips]', fieldsAppClips));
    }
    if (fieldsAppInfos != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appInfos]', fieldsAppInfos));
    }
    if (fieldsBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[betaAppLocalizations]', fieldsBetaAppLocalizations));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsAppPricePoints2 != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints2));
    }
    if (fieldsInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases));
    }
    if (fieldsPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[preReleaseVersions]', fieldsPreReleaseVersions));
    }
    if (fieldsInAppPurchases2 != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases2));
    }
    if (fieldsSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionGroups]', fieldsSubscriptionGroups));
    }
    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (fieldsAppPreOrders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreOrders]', fieldsAppPreOrders));
    }
    if (fieldsAppStoreVersionExperiments != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[appStoreVersionExperiments]',
          fieldsAppStoreVersionExperiments));
    }
    if (fieldsGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[gameCenterEnabledVersions]',
          fieldsGameCenterEnabledVersions));
    }
    if (fieldsSubscriptionGracePeriods != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionGracePeriods]',
          fieldsSubscriptionGracePeriods));
    }
    if (fieldsEndUserLicenseAgreements != null) {
      queryParams.addAll(_queryParams('csv', 'fields[endUserLicenseAgreements]',
          fieldsEndUserLicenseAgreements));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsAppCustomProductPages != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appCustomProductPages]', fieldsAppCustomProductPages));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (fieldsPerfPowerMetrics != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[perfPowerMetrics]', fieldsPerfPowerMetrics));
    }
    if (limitAppClips != null) {
      queryParams.addAll(_queryParams('', 'limit[appClips]', limitAppClips));
    }
    if (limitAppCustomProductPages != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[appCustomProductPages]', limitAppCustomProductPages));
    }
    if (limitAppEvents != null) {
      queryParams.addAll(_queryParams('', 'limit[appEvents]', limitAppEvents));
    }
    if (limitAppInfos != null) {
      queryParams.addAll(_queryParams('', 'limit[appInfos]', limitAppInfos));
    }
    if (limitAppStoreVersionExperimentsV2 != null) {
      queryParams.addAll(_queryParams('', 'limit[appStoreVersionExperimentsV2]',
          limitAppStoreVersionExperimentsV2));
    }
    if (limitAppStoreVersions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[appStoreVersions]', limitAppStoreVersions));
    }
    if (limitAvailableTerritories != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[availableTerritories]', limitAvailableTerritories));
    }
    if (limitBetaAppLocalizations != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[betaAppLocalizations]', limitBetaAppLocalizations));
    }
    if (limitBetaGroups != null) {
      queryParams
          .addAll(_queryParams('', 'limit[betaGroups]', limitBetaGroups));
    }
    if (limitBuilds != null) {
      queryParams.addAll(_queryParams('', 'limit[builds]', limitBuilds));
    }
    if (limitGameCenterEnabledVersions != null) {
      queryParams.addAll(_queryParams('', 'limit[gameCenterEnabledVersions]',
          limitGameCenterEnabledVersions));
    }
    if (limitInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('', 'limit[inAppPurchases]', limitInAppPurchases));
    }
    if (limitInAppPurchasesV2 != null) {
      queryParams.addAll(
          _queryParams('', 'limit[inAppPurchasesV2]', limitInAppPurchasesV2));
    }
    if (limitPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[preReleaseVersions]', limitPreReleaseVersions));
    }
    if (limitPrices != null) {
      queryParams.addAll(_queryParams('', 'limit[prices]', limitPrices));
    }
    if (limitPromotedPurchases != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotedPurchases]', limitPromotedPurchases));
    }
    if (limitReviewSubmissions != null) {
      queryParams.addAll(
          _queryParams('', 'limit[reviewSubmissions]', limitReviewSubmissions));
    }
    if (limitSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          '', 'limit[subscriptionGroups]', limitSubscriptionGroups));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  ///
  /// * [List<String>] fieldsBetaAppReviewDetails:
  ///   the fields to include for returned resources of type betaAppReviewDetails
  ///
  /// * [List<String>] fieldsAppPriceSchedules:
  ///   the fields to include for returned resources of type appPriceSchedules
  ///
  /// * [List<String>] fieldsCiProducts:
  ///   the fields to include for returned resources of type ciProducts
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [List<String>] fieldsBetaGroups:
  ///   the fields to include for returned resources of type betaGroups
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsAppAvailabilities:
  ///   the fields to include for returned resources of type appAvailabilities
  ///
  /// * [List<String>] fieldsCustomerReviews:
  ///   the fields to include for returned resources of type customerReviews
  ///
  /// * [List<String>] fieldsAppEvents:
  ///   the fields to include for returned resources of type appEvents
  ///
  /// * [List<String>] fieldsBuilds:
  ///   the fields to include for returned resources of type builds
  ///
  /// * [List<String>] fieldsBetaLicenseAgreements:
  ///   the fields to include for returned resources of type betaLicenseAgreements
  ///
  /// * [List<String>] fieldsAppClips:
  ///   the fields to include for returned resources of type appClips
  ///
  /// * [List<String>] fieldsAppInfos:
  ///   the fields to include for returned resources of type appInfos
  ///
  /// * [List<String>] fieldsBetaAppLocalizations:
  ///   the fields to include for returned resources of type betaAppLocalizations
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsAppPricePoints2:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [List<String>] fieldsInAppPurchases2:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  ///
  /// * [List<String>] fieldsAppStoreVersionExperiments:
  ///   the fields to include for returned resources of type appStoreVersionExperiments
  ///
  /// * [List<String>] fieldsGameCenterEnabledVersions:
  ///   the fields to include for returned resources of type gameCenterEnabledVersions
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  ///
  /// * [List<String>] fieldsEndUserLicenseAgreements:
  ///   the fields to include for returned resources of type endUserLicenseAgreements
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsAppCustomProductPages:
  ///   the fields to include for returned resources of type appCustomProductPages
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [List<String>] fieldsPerfPowerMetrics:
  ///   the fields to include for returned resources of type perfPowerMetrics
  ///
  /// * [int] limitAppClips:
  ///   maximum number of related appClips returned (when they are included)
  ///
  /// * [int] limitAppCustomProductPages:
  ///   maximum number of related appCustomProductPages returned (when they are included)
  ///
  /// * [int] limitAppEvents:
  ///   maximum number of related appEvents returned (when they are included)
  ///
  /// * [int] limitAppInfos:
  ///   maximum number of related appInfos returned (when they are included)
  ///
  /// * [int] limitAppStoreVersionExperimentsV2:
  ///   maximum number of related appStoreVersionExperimentsV2 returned (when they are included)
  ///
  /// * [int] limitAppStoreVersions:
  ///   maximum number of related appStoreVersions returned (when they are included)
  ///
  /// * [int] limitAvailableTerritories:
  ///   maximum number of related availableTerritories returned (when they are included)
  ///
  /// * [int] limitBetaAppLocalizations:
  ///   maximum number of related betaAppLocalizations returned (when they are included)
  ///
  /// * [int] limitBetaGroups:
  ///   maximum number of related betaGroups returned (when they are included)
  ///
  /// * [int] limitBuilds:
  ///   maximum number of related builds returned (when they are included)
  ///
  /// * [int] limitGameCenterEnabledVersions:
  ///   maximum number of related gameCenterEnabledVersions returned (when they are included)
  ///
  /// * [int] limitInAppPurchases:
  ///   maximum number of related inAppPurchases returned (when they are included)
  ///
  /// * [int] limitInAppPurchasesV2:
  ///   maximum number of related inAppPurchasesV2 returned (when they are included)
  ///
  /// * [int] limitPreReleaseVersions:
  ///   maximum number of related preReleaseVersions returned (when they are included)
  ///
  /// * [int] limitPrices:
  ///   maximum number of related prices returned (when they are included)
  ///
  /// * [int] limitPromotedPurchases:
  ///   maximum number of related promotedPurchases returned (when they are included)
  ///
  /// * [int] limitReviewSubmissions:
  ///   maximum number of related reviewSubmissions returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroups:
  ///   maximum number of related subscriptionGroups returned (when they are included)
  Future<AppResponse?> appsGetInstance(
    String id, {
    List<String>? fieldsApps,
    List<String>? include,
    List<String>? fieldsBetaAppReviewDetails,
    List<String>? fieldsAppPriceSchedules,
    List<String>? fieldsCiProducts,
    List<String>? fieldsReviewSubmissions,
    List<String>? fieldsBetaGroups,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsAppAvailabilities,
    List<String>? fieldsCustomerReviews,
    List<String>? fieldsAppEvents,
    List<String>? fieldsBuilds,
    List<String>? fieldsBetaLicenseAgreements,
    List<String>? fieldsAppClips,
    List<String>? fieldsAppInfos,
    List<String>? fieldsBetaAppLocalizations,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsAppPricePoints2,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPreReleaseVersions,
    List<String>? fieldsInAppPurchases2,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsAppPrices,
    List<String>? fieldsAppPreOrders,
    List<String>? fieldsAppStoreVersionExperiments,
    List<String>? fieldsGameCenterEnabledVersions,
    List<String>? fieldsSubscriptionGracePeriods,
    List<String>? fieldsEndUserLicenseAgreements,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsAppCustomProductPages,
    List<String>? fieldsTerritories,
    List<String>? fieldsPerfPowerMetrics,
    int? limitAppClips,
    int? limitAppCustomProductPages,
    int? limitAppEvents,
    int? limitAppInfos,
    int? limitAppStoreVersionExperimentsV2,
    int? limitAppStoreVersions,
    int? limitAvailableTerritories,
    int? limitBetaAppLocalizations,
    int? limitBetaGroups,
    int? limitBuilds,
    int? limitGameCenterEnabledVersions,
    int? limitInAppPurchases,
    int? limitInAppPurchasesV2,
    int? limitPreReleaseVersions,
    int? limitPrices,
    int? limitPromotedPurchases,
    int? limitReviewSubmissions,
    int? limitSubscriptionGroups,
  }) async {
    final response = await appsGetInstanceWithHttpInfo(
      id,
      fieldsApps: fieldsApps,
      include: include,
      fieldsBetaAppReviewDetails: fieldsBetaAppReviewDetails,
      fieldsAppPriceSchedules: fieldsAppPriceSchedules,
      fieldsCiProducts: fieldsCiProducts,
      fieldsReviewSubmissions: fieldsReviewSubmissions,
      fieldsBetaGroups: fieldsBetaGroups,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsAppAvailabilities: fieldsAppAvailabilities,
      fieldsCustomerReviews: fieldsCustomerReviews,
      fieldsAppEvents: fieldsAppEvents,
      fieldsBuilds: fieldsBuilds,
      fieldsBetaLicenseAgreements: fieldsBetaLicenseAgreements,
      fieldsAppClips: fieldsAppClips,
      fieldsAppInfos: fieldsAppInfos,
      fieldsBetaAppLocalizations: fieldsBetaAppLocalizations,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsAppPricePoints2: fieldsAppPricePoints2,
      fieldsInAppPurchases: fieldsInAppPurchases,
      fieldsPreReleaseVersions: fieldsPreReleaseVersions,
      fieldsInAppPurchases2: fieldsInAppPurchases2,
      fieldsSubscriptionGroups: fieldsSubscriptionGroups,
      fieldsAppPrices: fieldsAppPrices,
      fieldsAppPreOrders: fieldsAppPreOrders,
      fieldsAppStoreVersionExperiments: fieldsAppStoreVersionExperiments,
      fieldsGameCenterEnabledVersions: fieldsGameCenterEnabledVersions,
      fieldsSubscriptionGracePeriods: fieldsSubscriptionGracePeriods,
      fieldsEndUserLicenseAgreements: fieldsEndUserLicenseAgreements,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsAppCustomProductPages: fieldsAppCustomProductPages,
      fieldsTerritories: fieldsTerritories,
      fieldsPerfPowerMetrics: fieldsPerfPowerMetrics,
      limitAppClips: limitAppClips,
      limitAppCustomProductPages: limitAppCustomProductPages,
      limitAppEvents: limitAppEvents,
      limitAppInfos: limitAppInfos,
      limitAppStoreVersionExperimentsV2: limitAppStoreVersionExperimentsV2,
      limitAppStoreVersions: limitAppStoreVersions,
      limitAvailableTerritories: limitAvailableTerritories,
      limitBetaAppLocalizations: limitBetaAppLocalizations,
      limitBetaGroups: limitBetaGroups,
      limitBuilds: limitBuilds,
      limitGameCenterEnabledVersions: limitGameCenterEnabledVersions,
      limitInAppPurchases: limitInAppPurchases,
      limitInAppPurchasesV2: limitInAppPurchasesV2,
      limitPreReleaseVersions: limitPreReleaseVersions,
      limitPrices: limitPrices,
      limitPromotedPurchases: limitPromotedPurchases,
      limitReviewSubmissions: limitReviewSubmissions,
      limitSubscriptionGroups: limitSubscriptionGroups,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/inAppPurchases' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterInAppPurchaseType:
  ///   filter by attribute 'inAppPurchaseType'
  ///
  /// * [List<String>] filterCanBeSubmitted:
  ///   filter by canBeSubmitted
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitApps:
  ///   maximum number of related apps returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsInAppPurchasesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterInAppPurchaseType,
    List<String>? filterCanBeSubmitted,
    List<String>? sort,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsApps,
    int? limit,
    int? limitApps,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/inAppPurchases'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterInAppPurchaseType != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[inAppPurchaseType]', filterInAppPurchaseType));
    }
    if (filterCanBeSubmitted != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[canBeSubmitted]', filterCanBeSubmitted));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitApps != null) {
      queryParams.addAll(_queryParams('', 'limit[apps]', limitApps));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterInAppPurchaseType:
  ///   filter by attribute 'inAppPurchaseType'
  ///
  /// * [List<String>] filterCanBeSubmitted:
  ///   filter by canBeSubmitted
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitApps:
  ///   maximum number of related apps returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<InAppPurchasesResponse?> appsInAppPurchasesGetToManyRelated(
    String id, {
    List<String>? filterInAppPurchaseType,
    List<String>? filterCanBeSubmitted,
    List<String>? sort,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsApps,
    int? limit,
    int? limitApps,
    List<String>? include,
  }) async {
    final response = await appsInAppPurchasesGetToManyRelatedWithHttpInfo(
      id,
      filterInAppPurchaseType: filterInAppPurchaseType,
      filterCanBeSubmitted: filterCanBeSubmitted,
      sort: sort,
      fieldsInAppPurchases: fieldsInAppPurchases,
      fieldsApps: fieldsApps,
      limit: limit,
      limitApps: limitApps,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'InAppPurchasesResponse',
      ) as InAppPurchasesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/inAppPurchasesV2' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterInAppPurchaseType:
  ///   filter by attribute 'inAppPurchaseType'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterProductId:
  ///   filter by attribute 'productId'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsInAppPurchaseAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsInAppPurchaseAvailabilities:
  ///   the fields to include for returned resources of type inAppPurchaseAvailabilities
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsInAppPurchaseLocalizations:
  ///   the fields to include for returned resources of type inAppPurchaseLocalizations
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsInAppPurchasePriceSchedules:
  ///   the fields to include for returned resources of type inAppPurchasePriceSchedules
  ///
  /// * [List<String>] fieldsInAppPurchaseContents:
  ///   the fields to include for returned resources of type inAppPurchaseContents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitInAppPurchaseLocalizations:
  ///   maximum number of related inAppPurchaseLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsInAppPurchasesV2GetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterInAppPurchaseType,
    List<String>? filterName,
    List<String>? filterProductId,
    List<String>? filterState,
    List<String>? sort,
    List<String>? fieldsInAppPurchaseAppStoreReviewScreenshots,
    List<String>? fieldsInAppPurchaseAvailabilities,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsInAppPurchaseLocalizations,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsInAppPurchasePriceSchedules,
    List<String>? fieldsInAppPurchaseContents,
    int? limit,
    int? limitInAppPurchaseLocalizations,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/inAppPurchasesV2'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterInAppPurchaseType != null) {
      queryParams.addAll(_queryParams(
          'csv', 'filter[inAppPurchaseType]', filterInAppPurchaseType));
    }
    if (filterName != null) {
      queryParams.addAll(_queryParams('csv', 'filter[name]', filterName));
    }
    if (filterProductId != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[productId]', filterProductId));
    }
    if (filterState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[state]', filterState));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsInAppPurchaseAppStoreReviewScreenshots != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[inAppPurchaseAppStoreReviewScreenshots]',
          fieldsInAppPurchaseAppStoreReviewScreenshots));
    }
    if (fieldsInAppPurchaseAvailabilities != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[inAppPurchaseAvailabilities]',
          fieldsInAppPurchaseAvailabilities));
    }
    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsInAppPurchaseLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[inAppPurchaseLocalizations]',
          fieldsInAppPurchaseLocalizations));
    }
    if (fieldsInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases));
    }
    if (fieldsInAppPurchasePriceSchedules != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[inAppPurchasePriceSchedules]',
          fieldsInAppPurchasePriceSchedules));
    }
    if (fieldsInAppPurchaseContents != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[inAppPurchaseContents]', fieldsInAppPurchaseContents));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitInAppPurchaseLocalizations != null) {
      queryParams.addAll(_queryParams('', 'limit[inAppPurchaseLocalizations]',
          limitInAppPurchaseLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterInAppPurchaseType:
  ///   filter by attribute 'inAppPurchaseType'
  ///
  /// * [List<String>] filterName:
  ///   filter by attribute 'name'
  ///
  /// * [List<String>] filterProductId:
  ///   filter by attribute 'productId'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsInAppPurchaseAppStoreReviewScreenshots:
  ///   the fields to include for returned resources of type inAppPurchaseAppStoreReviewScreenshots
  ///
  /// * [List<String>] fieldsInAppPurchaseAvailabilities:
  ///   the fields to include for returned resources of type inAppPurchaseAvailabilities
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsInAppPurchaseLocalizations:
  ///   the fields to include for returned resources of type inAppPurchaseLocalizations
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsInAppPurchasePriceSchedules:
  ///   the fields to include for returned resources of type inAppPurchasePriceSchedules
  ///
  /// * [List<String>] fieldsInAppPurchaseContents:
  ///   the fields to include for returned resources of type inAppPurchaseContents
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitInAppPurchaseLocalizations:
  ///   maximum number of related inAppPurchaseLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<InAppPurchasesV2Response?> appsInAppPurchasesV2GetToManyRelated(
    String id, {
    List<String>? filterInAppPurchaseType,
    List<String>? filterName,
    List<String>? filterProductId,
    List<String>? filterState,
    List<String>? sort,
    List<String>? fieldsInAppPurchaseAppStoreReviewScreenshots,
    List<String>? fieldsInAppPurchaseAvailabilities,
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsInAppPurchaseLocalizations,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsInAppPurchasePriceSchedules,
    List<String>? fieldsInAppPurchaseContents,
    int? limit,
    int? limitInAppPurchaseLocalizations,
    List<String>? include,
  }) async {
    final response = await appsInAppPurchasesV2GetToManyRelatedWithHttpInfo(
      id,
      filterInAppPurchaseType: filterInAppPurchaseType,
      filterName: filterName,
      filterProductId: filterProductId,
      filterState: filterState,
      sort: sort,
      fieldsInAppPurchaseAppStoreReviewScreenshots:
          fieldsInAppPurchaseAppStoreReviewScreenshots,
      fieldsInAppPurchaseAvailabilities: fieldsInAppPurchaseAvailabilities,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsInAppPurchaseLocalizations: fieldsInAppPurchaseLocalizations,
      fieldsInAppPurchases: fieldsInAppPurchases,
      fieldsInAppPurchasePriceSchedules: fieldsInAppPurchasePriceSchedules,
      fieldsInAppPurchaseContents: fieldsInAppPurchaseContents,
      limit: limit,
      limitInAppPurchaseLocalizations: limitInAppPurchaseLocalizations,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'InAppPurchasesV2Response',
      ) as InAppPurchasesV2Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/perfPowerMetrics' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterDeviceType:
  ///   filter by attribute 'deviceType'
  ///
  /// * [List<String>] filterMetricType:
  ///   filter by attribute 'metricType'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  Future<Response> appsPerfPowerMetricsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterDeviceType,
    List<String>? filterMetricType,
    List<String>? filterPlatform,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/perfPowerMetrics'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterDeviceType != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[deviceType]', filterDeviceType));
    }
    if (filterMetricType != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[metricType]', filterMetricType));
    }
    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterDeviceType:
  ///   filter by attribute 'deviceType'
  ///
  /// * [List<String>] filterMetricType:
  ///   filter by attribute 'metricType'
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  Future<XcodeMetrics?> appsPerfPowerMetricsGetToManyRelated(
    String id, {
    List<String>? filterDeviceType,
    List<String>? filterMetricType,
    List<String>? filterPlatform,
  }) async {
    final response = await appsPerfPowerMetricsGetToManyRelatedWithHttpInfo(
      id,
      filterDeviceType: filterDeviceType,
      filterMetricType: filterMetricType,
      filterPlatform: filterPlatform,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'XcodeMetrics',
      ) as XcodeMetrics;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/preOrder' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  Future<Response> appsPreOrderGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppPreOrders,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/preOrder'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPreOrders != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPreOrders]', fieldsAppPreOrders));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPreOrders:
  ///   the fields to include for returned resources of type appPreOrders
  Future<AppPreOrderResponse?> appsPreOrderGetToOneRelated(
    String id, {
    List<String>? fieldsAppPreOrders,
  }) async {
    final response = await appsPreOrderGetToOneRelatedWithHttpInfo(
      id,
      fieldsAppPreOrders: fieldsAppPreOrders,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPreOrderResponse',
      ) as AppPreOrderResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/preReleaseVersions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appsPreReleaseVersionsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsPreReleaseVersions,
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/preReleaseVersions'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsPreReleaseVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[preReleaseVersions]', fieldsPreReleaseVersions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPreReleaseVersions:
  ///   the fields to include for returned resources of type preReleaseVersions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<PreReleaseVersionsResponse?> appsPreReleaseVersionsGetToManyRelated(
    String id, {
    List<String>? fieldsPreReleaseVersions,
    int? limit,
  }) async {
    final response = await appsPreReleaseVersionsGetToManyRelatedWithHttpInfo(
      id,
      fieldsPreReleaseVersions: fieldsPreReleaseVersions,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PreReleaseVersionsResponse',
      ) as PreReleaseVersionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/pricePoints' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPriceTier:
  ///   filter by id(s) of related 'priceTier'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsPricePointsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterPriceTier,
    List<String>? filterTerritory,
    List<String>? fieldsAppPriceTiers,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/pricePoints'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterPriceTier != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[priceTier]', filterPriceTier));
    }
    if (filterTerritory != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[territory]', filterTerritory));
    }
    if (fieldsAppPriceTiers != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPriceTiers]', fieldsAppPriceTiers));
    }
    if (fieldsAppPricePoints != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPricePoints]', fieldsAppPricePoints));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsTerritories != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[territories]', fieldsTerritories));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPriceTier:
  ///   filter by id(s) of related 'priceTier'
  ///
  /// * [List<String>] filterTerritory:
  ///   filter by id(s) of related 'territory'
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] fieldsAppPricePoints:
  ///   the fields to include for returned resources of type appPricePoints
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsTerritories:
  ///   the fields to include for returned resources of type territories
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricePointsV2Response?> appsPricePointsGetToManyRelated(
    String id, {
    List<String>? filterPriceTier,
    List<String>? filterTerritory,
    List<String>? fieldsAppPriceTiers,
    List<String>? fieldsAppPricePoints,
    List<String>? fieldsApps,
    List<String>? fieldsTerritories,
    int? limit,
    List<String>? include,
  }) async {
    final response = await appsPricePointsGetToManyRelatedWithHttpInfo(
      id,
      filterPriceTier: filterPriceTier,
      filterTerritory: filterTerritory,
      fieldsAppPriceTiers: fieldsAppPriceTiers,
      fieldsAppPricePoints: fieldsAppPricePoints,
      fieldsApps: fieldsApps,
      fieldsTerritories: fieldsTerritories,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricePointsV2Response',
      ) as AppPricePointsV2Response;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/prices' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsPricesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsAppPriceTiers,
    List<String>? fieldsApps,
    List<String>? fieldsAppPrices,
    int? limit,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/prices'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsAppPriceTiers != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[appPriceTiers]', fieldsAppPriceTiers));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsAppPrices != null) {
      queryParams
          .addAll(_queryParams('csv', 'fields[appPrices]', fieldsAppPrices));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsAppPriceTiers:
  ///   the fields to include for returned resources of type appPriceTiers
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsAppPrices:
  ///   the fields to include for returned resources of type appPrices
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<AppPricesResponse?> appsPricesGetToManyRelated(
    String id, {
    List<String>? fieldsAppPriceTiers,
    List<String>? fieldsApps,
    List<String>? fieldsAppPrices,
    int? limit,
    List<String>? include,
  }) async {
    final response = await appsPricesGetToManyRelatedWithHttpInfo(
      id,
      fieldsAppPriceTiers: fieldsAppPriceTiers,
      fieldsApps: fieldsApps,
      fieldsAppPrices: fieldsAppPrices,
      limit: limit,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPricesResponse',
      ) as AppPricesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/promotedPurchases' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitPromotionImages:
  ///   maximum number of related promotionImages returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsPromotedPurchasesGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPromotedPurchaseImages,
    int? limit,
    int? limitPromotionImages,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/promotedPurchases'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsPromotedPurchases != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[promotedPurchases]', fieldsPromotedPurchases));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsInAppPurchases != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[inAppPurchases]', fieldsInAppPurchases));
    }
    if (fieldsPromotedPurchaseImages != null) {
      queryParams.addAll(_queryParams('csv', 'fields[promotedPurchaseImages]',
          fieldsPromotedPurchaseImages));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitPromotionImages != null) {
      queryParams.addAll(
          _queryParams('', 'limit[promotionImages]', limitPromotionImages));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsPromotedPurchases:
  ///   the fields to include for returned resources of type promotedPurchases
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsInAppPurchases:
  ///   the fields to include for returned resources of type inAppPurchases
  ///
  /// * [List<String>] fieldsPromotedPurchaseImages:
  ///   the fields to include for returned resources of type promotedPurchaseImages
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitPromotionImages:
  ///   maximum number of related promotionImages returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<PromotedPurchasesResponse?> appsPromotedPurchasesGetToManyRelated(
    String id, {
    List<String>? fieldsPromotedPurchases,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsInAppPurchases,
    List<String>? fieldsPromotedPurchaseImages,
    int? limit,
    int? limitPromotionImages,
    List<String>? include,
  }) async {
    final response = await appsPromotedPurchasesGetToManyRelatedWithHttpInfo(
      id,
      fieldsPromotedPurchases: fieldsPromotedPurchases,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsInAppPurchases: fieldsInAppPurchases,
      fieldsPromotedPurchaseImages: fieldsPromotedPurchaseImages,
      limit: limit,
      limitPromotionImages: limitPromotionImages,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'PromotedPurchasesResponse',
      ) as PromotedPurchasesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/relationships/promotedPurchases' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<Response> appsPromotedPurchasesGetToManyRelationshipWithHttpInfo(
    String id, {
    int? limit,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/apps/{id}/relationships/promotedPurchases'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [int] limit:
  ///   maximum resources per page
  Future<AppPromotedPurchasesLinkagesResponse?>
      appsPromotedPurchasesGetToManyRelationship(
    String id, {
    int? limit,
  }) async {
    final response =
        await appsPromotedPurchasesGetToManyRelationshipWithHttpInfo(
      id,
      limit: limit,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppPromotedPurchasesLinkagesResponse',
      ) as AppPromotedPurchasesLinkagesResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/apps/{id}/relationships/promotedPurchases' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppPromotedPurchasesLinkagesRequest] appPromotedPurchasesLinkagesRequest (required):
  ///   List of related linkages
  Future<Response> appsPromotedPurchasesReplaceToManyRelationshipWithHttpInfo(
    String id,
    AppPromotedPurchasesLinkagesRequest appPromotedPurchasesLinkagesRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/apps/{id}/relationships/promotedPurchases'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appPromotedPurchasesLinkagesRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppPromotedPurchasesLinkagesRequest] appPromotedPurchasesLinkagesRequest (required):
  ///   List of related linkages
  Future<void> appsPromotedPurchasesReplaceToManyRelationship(
    String id,
    AppPromotedPurchasesLinkagesRequest appPromotedPurchasesLinkagesRequest,
  ) async {
    final response =
        await appsPromotedPurchasesReplaceToManyRelationshipWithHttpInfo(
      id,
      appPromotedPurchasesLinkagesRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/reviewSubmissions' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [List<String>] fieldsActors:
  ///   the fields to include for returned resources of type actors
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitItems:
  ///   maximum number of related items returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsReviewSubmissionsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterPlatform,
    List<String>? filterState,
    List<String>? fieldsReviewSubmissionItems,
    List<String>? fieldsActors,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    List<String>? fieldsReviewSubmissions,
    int? limit,
    int? limitItems,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/reviewSubmissions'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterPlatform != null) {
      queryParams
          .addAll(_queryParams('csv', 'filter[platform]', filterPlatform));
    }
    if (filterState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[state]', filterState));
    }
    if (fieldsReviewSubmissionItems != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissionItems]', fieldsReviewSubmissionItems));
    }
    if (fieldsActors != null) {
      queryParams.addAll(_queryParams('csv', 'fields[actors]', fieldsActors));
    }
    if (fieldsAppStoreVersions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[appStoreVersions]', fieldsAppStoreVersions));
    }
    if (fieldsApps != null) {
      queryParams.addAll(_queryParams('csv', 'fields[apps]', fieldsApps));
    }
    if (fieldsReviewSubmissions != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[reviewSubmissions]', fieldsReviewSubmissions));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitItems != null) {
      queryParams.addAll(_queryParams('', 'limit[items]', limitItems));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterPlatform:
  ///   filter by attribute 'platform'
  ///
  /// * [List<String>] filterState:
  ///   filter by attribute 'state'
  ///
  /// * [List<String>] fieldsReviewSubmissionItems:
  ///   the fields to include for returned resources of type reviewSubmissionItems
  ///
  /// * [List<String>] fieldsActors:
  ///   the fields to include for returned resources of type actors
  ///
  /// * [List<String>] fieldsAppStoreVersions:
  ///   the fields to include for returned resources of type appStoreVersions
  ///
  /// * [List<String>] fieldsApps:
  ///   the fields to include for returned resources of type apps
  ///
  /// * [List<String>] fieldsReviewSubmissions:
  ///   the fields to include for returned resources of type reviewSubmissions
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitItems:
  ///   maximum number of related items returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<ReviewSubmissionsResponse?> appsReviewSubmissionsGetToManyRelated(
    String id, {
    List<String>? filterPlatform,
    List<String>? filterState,
    List<String>? fieldsReviewSubmissionItems,
    List<String>? fieldsActors,
    List<String>? fieldsAppStoreVersions,
    List<String>? fieldsApps,
    List<String>? fieldsReviewSubmissions,
    int? limit,
    int? limitItems,
    List<String>? include,
  }) async {
    final response = await appsReviewSubmissionsGetToManyRelatedWithHttpInfo(
      id,
      filterPlatform: filterPlatform,
      filterState: filterState,
      fieldsReviewSubmissionItems: fieldsReviewSubmissionItems,
      fieldsActors: fieldsActors,
      fieldsAppStoreVersions: fieldsAppStoreVersions,
      fieldsApps: fieldsApps,
      fieldsReviewSubmissions: fieldsReviewSubmissions,
      limit: limit,
      limitItems: limitItems,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'ReviewSubmissionsResponse',
      ) as ReviewSubmissionsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/subscriptionGracePeriod' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  Future<Response> appsSubscriptionGracePeriodGetToOneRelatedWithHttpInfo(
    String id, {
    List<String>? fieldsSubscriptionGracePeriods,
  }) async {
    // ignore: prefer_const_declarations
    final path =
        r'/v1/apps/{id}/subscriptionGracePeriod'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (fieldsSubscriptionGracePeriods != null) {
      queryParams.addAll(_queryParams('csv', 'fields[subscriptionGracePeriods]',
          fieldsSubscriptionGracePeriods));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] fieldsSubscriptionGracePeriods:
  ///   the fields to include for returned resources of type subscriptionGracePeriods
  Future<SubscriptionGracePeriodResponse?>
      appsSubscriptionGracePeriodGetToOneRelated(
    String id, {
    List<String>? fieldsSubscriptionGracePeriods,
  }) async {
    final response =
        await appsSubscriptionGracePeriodGetToOneRelatedWithHttpInfo(
      id,
      fieldsSubscriptionGracePeriods: fieldsSubscriptionGracePeriods,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionGracePeriodResponse',
      ) as SubscriptionGracePeriodResponse;
    }
    return null;
  }

  /// Performs an HTTP 'GET /v1/apps/{id}/subscriptionGroups' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterReferenceName:
  ///   filter by attribute 'referenceName'
  ///
  /// * [List<String>] filterSubscriptionsPeriodState:
  ///   filter by attribute 'subscriptions.state'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsSubscriptionGroupLocalizations:
  ///   the fields to include for returned resources of type subscriptionGroupLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitSubscriptions:
  ///   maximum number of related subscriptions returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroupLocalizations:
  ///   maximum number of related subscriptionGroupLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<Response> appsSubscriptionGroupsGetToManyRelatedWithHttpInfo(
    String id, {
    List<String>? filterReferenceName,
    List<String>? filterSubscriptionsPeriodState,
    List<String>? sort,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsSubscriptionGroupLocalizations,
    int? limit,
    int? limitSubscriptions,
    int? limitSubscriptionGroupLocalizations,
    List<String>? include,
  }) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}/subscriptionGroups'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    if (filterReferenceName != null) {
      queryParams.addAll(
          _queryParams('csv', 'filter[referenceName]', filterReferenceName));
    }
    if (filterSubscriptionsPeriodState != null) {
      queryParams.addAll(_queryParams('csv', 'filter[subscriptions.state]',
          filterSubscriptionsPeriodState));
    }
    if (sort != null) {
      queryParams.addAll(_queryParams('csv', 'sort', sort));
    }
    if (fieldsSubscriptions != null) {
      queryParams.addAll(
          _queryParams('csv', 'fields[subscriptions]', fieldsSubscriptions));
    }
    if (fieldsSubscriptionGroups != null) {
      queryParams.addAll(_queryParams(
          'csv', 'fields[subscriptionGroups]', fieldsSubscriptionGroups));
    }
    if (fieldsSubscriptionGroupLocalizations != null) {
      queryParams.addAll(_queryParams(
          'csv',
          'fields[subscriptionGroupLocalizations]',
          fieldsSubscriptionGroupLocalizations));
    }
    if (limit != null) {
      queryParams.addAll(_queryParams('', 'limit', limit));
    }
    if (limitSubscriptions != null) {
      queryParams
          .addAll(_queryParams('', 'limit[subscriptions]', limitSubscriptions));
    }
    if (limitSubscriptionGroupLocalizations != null) {
      queryParams.addAll(_queryParams(
          '',
          'limit[subscriptionGroupLocalizations]',
          limitSubscriptionGroupLocalizations));
    }
    if (include != null) {
      queryParams.addAll(_queryParams('csv', 'include', include));
    }

    const contentTypes = <String>[];

    return apiClient.invokeAPI(
      path,
      'GET',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [List<String>] filterReferenceName:
  ///   filter by attribute 'referenceName'
  ///
  /// * [List<String>] filterSubscriptionsPeriodState:
  ///   filter by attribute 'subscriptions.state'
  ///
  /// * [List<String>] sort:
  ///   comma-separated list of sort expressions; resources will be sorted as specified
  ///
  /// * [List<String>] fieldsSubscriptions:
  ///   the fields to include for returned resources of type subscriptions
  ///
  /// * [List<String>] fieldsSubscriptionGroups:
  ///   the fields to include for returned resources of type subscriptionGroups
  ///
  /// * [List<String>] fieldsSubscriptionGroupLocalizations:
  ///   the fields to include for returned resources of type subscriptionGroupLocalizations
  ///
  /// * [int] limit:
  ///   maximum resources per page
  ///
  /// * [int] limitSubscriptions:
  ///   maximum number of related subscriptions returned (when they are included)
  ///
  /// * [int] limitSubscriptionGroupLocalizations:
  ///   maximum number of related subscriptionGroupLocalizations returned (when they are included)
  ///
  /// * [List<String>] include:
  ///   comma-separated list of relationships to include
  Future<SubscriptionGroupsResponse?> appsSubscriptionGroupsGetToManyRelated(
    String id, {
    List<String>? filterReferenceName,
    List<String>? filterSubscriptionsPeriodState,
    List<String>? sort,
    List<String>? fieldsSubscriptions,
    List<String>? fieldsSubscriptionGroups,
    List<String>? fieldsSubscriptionGroupLocalizations,
    int? limit,
    int? limitSubscriptions,
    int? limitSubscriptionGroupLocalizations,
    List<String>? include,
  }) async {
    final response = await appsSubscriptionGroupsGetToManyRelatedWithHttpInfo(
      id,
      filterReferenceName: filterReferenceName,
      filterSubscriptionsPeriodState: filterSubscriptionsPeriodState,
      sort: sort,
      fieldsSubscriptions: fieldsSubscriptions,
      fieldsSubscriptionGroups: fieldsSubscriptionGroups,
      fieldsSubscriptionGroupLocalizations:
          fieldsSubscriptionGroupLocalizations,
      limit: limit,
      limitSubscriptions: limitSubscriptions,
      limitSubscriptionGroupLocalizations: limitSubscriptionGroupLocalizations,
      include: include,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'SubscriptionGroupsResponse',
      ) as SubscriptionGroupsResponse;
    }
    return null;
  }

  /// Performs an HTTP 'PATCH /v1/apps/{id}' operation and returns the [Response].
  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppUpdateRequest] appUpdateRequest (required):
  ///   App representation
  Future<Response> appsUpdateInstanceWithHttpInfo(
    String id,
    AppUpdateRequest appUpdateRequest,
  ) async {
    // ignore: prefer_const_declarations
    final path = r'/v1/apps/{id}'.replaceAll('{id}', id);

    // ignore: prefer_final_locals
    Object? postBody = appUpdateRequest;

    final queryParams = <QueryParam>[];
    final headerParams = <String, String>{};
    final formParams = <String, String>{};

    const contentTypes = <String>['application/json'];

    return apiClient.invokeAPI(
      path,
      'PATCH',
      queryParams,
      postBody,
      headerParams,
      formParams,
      contentTypes.isEmpty ? null : contentTypes.first,
    );
  }

  /// Parameters:
  ///
  /// * [String] id (required):
  ///   the id of the requested resource
  ///
  /// * [AppUpdateRequest] appUpdateRequest (required):
  ///   App representation
  Future<AppResponse?> appsUpdateInstance(
    String id,
    AppUpdateRequest appUpdateRequest,
  ) async {
    final response = await appsUpdateInstanceWithHttpInfo(
      id,
      appUpdateRequest,
    );
    if (response.statusCode >= HttpStatus.badRequest) {
      throw ApiException(response.statusCode, await _decodeBodyBytes(response));
    }
    // When a remote server returns no body with a status of 204, we shall not decode it.
    // At the time of writing this, `dart:convert` will throw an "Unexpected end of input"
    // FormatException when trying to decode an empty string.
    if (response.body.isNotEmpty &&
        response.statusCode != HttpStatus.noContent) {
      return await apiClient.deserializeAsync(
        await _decodeBodyBytes(response),
        'AppResponse',
      ) as AppResponse;
    }
    return null;
  }
}
